                          ABS                                           PTM00005
                          HDNG    ***PHASE 0 (ASSEMBLER LOADER)***      PTM00010
                    *************************************************** PTM00015
                    *                                                 * PTM00020
                    *STATUS - VERSION 2, MODIFICATION LEVEL 12        * PTM00025
                    *                                                 * PTM00030
                    *FUNCTION/OPERATION-                              * PTM00035
                    *   *THE DISK IOAR HEADER INFORMATION OF THE      * PTM00040
                    *    PRINCIPAL I/O, PRINCIPAL PRINTER, AND THE    * PTM00045
                    *    ASSOCIATED CONVERSION SUBROUTINES ARE        * PTM00050
                    *    INITIALIZED IN THE ASSEMBLER PROGRAMER'S     * PTM00055
                    *    COMMUNICATION AREA (ASCOM), AND THE SUBROUTIN* PTM00060
                    *    ARE FETCHED INTO CORE.                       * PTM00065
                    *   *PHASE 9 IS LOADED INTO CORE, AND THE DISK    * PTM00070
                    *    IOAR HEADER INFORMATION FOR THE PRINCIPAL    * PTM00075
                    *    OVERLAY PHASES IS INITIALIZED WITHIN PHASE 9 * PTM00080
                    *   *PHASE 0 ALSO INITIALIZES THE SECTOR ADDRESSES* PTM00085
                    *    AND WORD COUNTS OF THE VARIOUS BUFFERS       * PTM00090
                    *    UTILIZED BY THE ASSEMBLER PROGRAM.           * PTM00095
                    *   *THE BOUNDARY CONDITIONS FOR THE SYSTEM SYMBOL* PTM00100
                    *    TABLE ARE ESTABLISHED AND THE DISK IOAR      * PTM00105
                    *    HEADER INFORMATION FOR THE SYMBOL TABLE      * PTM00110
                    *    OVERFLOW IS SET UP IN ASCOM.                 * PTM00115
                    *   *THE SWITCHES $NDUP AND $NXEQ IN (COMMA) ARE  * PTM00120
                    *    SET NON-ZERO TO PREVENT EXECUTION AND DUP    * PTM00125
                    *    FUNCTIONS IN THE EVENT THE ASSEMBLY IS       * PTM00130
                    *    TERMINATED BEFORE COMPLETION.                * PTM00135
                    *   *PHASE 0 THEN FETCHES PHASE 1 INTO THE        * PTM00140
                    *    OVERLAY AREA AND TRANSFERS CONTROL TO IT.    * PTM00145
                    *   *A MASTER OVERLAY CONTROL SUBROUTINE (P0130), * PTM00150
                    *    THE SUBROUTINE INTERFACING WITH DISKZ (DISK1)* PTM00155
                    *    AND AN INDEX REGISTER RESTORING SUBROUTINE   * PTM00160
                    *    (STXRS AND LDXRS) ARE PART OF PHASE 0 AND    * PTM00165
                    *    REMAIN IN CORE DURING THE ENTIRE             * PTM00170
                    *    ASSEMBLY. THE REST OF PHASE 0 IS OVERLAID    * PTM00175
                    *    BY PHASE 1.                                  * PTM00180
                    *                                                 * PTM00185
                    *ENTRY POINTS-                                    * PTM00190
                    *   * P0000 - ENTRY FROM SUPERVISOR               * PTM00195
                    *                                                 * PTM00200
                    *INPUT-N/A                                        * PTM00205
                    *                                                 * PTM00210
                    *OUTPUT- N/A                                      * PTM00215
                    *                                                 * PTM00220
                    *EXTERNAL RERERENCES-                             * PTM00225
                    *   *SUBROUTINES-                                 * PTM00230
                    *      * DISKZ                                    * PTM00235
                    *      * GETS5                                    * PTM00240
                    *      * GETER                                    * PTM00245
                    *      * INT1                                     * PTM00250
                    *      * LDXRS                                    * PTM00255
                    *   *ASMCM-                                       * PTM00260
                    *       * MCOM3                                   * PTM00265
                    *      * PRINCIPAL I/O SUBROUTINE                 * PTM00270
                    *   *DCOM/COMMA-                                  * PTM00275
                    *       $CTSW                                     * PTM00280
                    *       $DBSY                                     * PTM00285
                    *       DZ000                                       PTM00290
                    *       $FPAD                                     * PTM00295
                    *       $IBT4                                     * PTM00300
                    *       $KCSW                                     * PTM00305
                    *       $NDUP                                     * PTM00310
                    *       $NXEQ                                     * PTM00315
                    *       $PHSE                                     * PTM00320
                    *       $PST4                                     * PTM00325
                    *       $WSDR                                     * PTM00330
                    *                                                 * PTM00335
                    *EXITS-                                           * PTM00340
                    *   *NORMAL - MASTER OVERLAY CONTROL SUBROUTINE   * PTM00345
                    *   *ERROR - NONE                                 * PTM00350
                    *                                                 * PTM00355
                    *TABLES/WORK AREAS- N/A                           * PTM00360
                    *                                                 * PTM00365
                    *ATTRIBUTES-REUSABLE                              * PTM00370
                    *                                                 * PTM00375
                    *NOTES-N/A                                        * PTM00380
                    *                                                 * PTM00385
                    *************************************************** PTM00390
                    *************************************************** PTM00395
                    *                                                 * PTM00400
                    *             RESIDENT MONITOR COMMUNICATION      * PTM00405
                    *                                                 * PTM00410
                    *************************************************** PTM00415
                    BUMP# EQU     0                                2-11 PTM00417
                    $CH12 EQU     /6   CHANNEL 12 INDR,NON-ZERO=CHAN 12 PTM00420
                    $CORE EQU     /E   CORE SIZE,/1000=4K,/2000=8K,ETC) PTM00425
                    $CTSW EQU     15        CONTROL RECORD TRAP         PTM00430
                    $DBSY EQU     /EE  DISK BUSY INDR,NON-ZERO=DK BUSY  PTM00435
                    DZ000 EQU     /0F2 DISKZ ENTRY POINT                PTM00440
                    PIOSZ EQU     310       PRINC PRNT RTN SIZE     212 PTM00442
                    $DUMP EQU     /3F  ADDR CALL DUMP ENTRY POINT       PTM00445
                    $EXIT EQU     /38  ADDR CALL EXIT ENTRY POINT       PTM00450
                    $FPAD EQU     /95  FILE PROTECT ADDR (ADJ),LOG DR 0 PTM00455
                    $I405 EQU     /D3                                   PTM00460
                    $IBT4 EQU     $I405+1 ADDR OF IBT FOR LEVEL 4       PTM00465
                    $IBSY EQU     /13  PRINC I/O BUSY INDR,NON-ZERO=BSY PTM00470
                    $IREQ EQU     /2C     INTRPT REQ BR ADDR            PTM00475
                    $1410 EQU     /D5     ILS04 KB INTRPT ADDR          PTM00480
                    $KCSW EQU     /7C     KB = + OR -                   PTM00485
                    $LINK EQU     /39  ADDR CALL LINK ENTRY POINT       PTM00490
                    $LAST EQU     /33  LAST CD INDR,NON-ZERO=LAST CARD  PTM00495
                    $NEND EQU     /3A2      ADDR OF END OF DISKN    2-8 PTM00500
                    $NDUP EQU     /34  INHIBIT DUP SW,NON-ZERO=NO DUP   PTM00505
                    $NXEQ EQU     /35  INHIBIT EXEC SW,NON-ZERO=NO EXEQ PTM00510
                    $PBSY EQU     /36  PRINC PTR BUSY INDR,NON-ZERO=BSY PTM00515
                    $PHSE EQU     /78  NO. OF PHASE CURRENTLY IN CORE   PTM00520
                    $PST4 EQU     /8D                                   PTM00525
                    $PRET EQU     /28     PREOPERATIVE ERROR TRAP       PTM00530
                    $WSDR EQU     /7A  WORKING STORAGE DRIVE CODE       PTM00535
                    $ULET EQU     /2D       ADDR OF LET SCTR ADDR TA2-8 PTM00540
                    #ENSW EQU     90   NO. ENTRY PTS-1, LOGICAL DR 0    PTM00545
                    #FMAT EQU     70   FORMAT OF PROG IN WS,LOG DRIVE 0 PTM00550
                    #HDNG EQU     7         SCTR ADDR OF PAGE HDNG  2-8 PTM00555
                    #WSCT EQU     85   BLK CNT OF PROG IN WS,LOG DR 0   PTM00560
                    #ENTY EQU     16   RELATIVE ENTRY ADDR OF PROGRAM   PTM00565
                    #NAME EQU     4    NAME OF PROGRAM                  PTM00570
                    #RP67 EQU     17        1442-5 SW,0=1442-5 ON SYST  PTM00575
                    @HWCT EQU     /1E     CORE IMAGE HDR WD CNT         PTM00580
                    @RP67 EQU     17   1442-5 SWTCH, 0=MOD 5 ON SYSTEM  PTM00585
                    @BLCT EQU     2         DISP TO BLK CNT         2-8 PTM00590
                    @LFEN EQU     3         LNG OF LET/FLET ENT     2-8 PTM00595
                    @NEXT EQU     4         DISP TO NEXT SCTR ADDR  2-8 PTM00600
                    @MXDR EQU     5         MAX NO. OF DISK DRIVES  2-8 PTM00605
                    @SCTN EQU     0         DISP TO SCTR NO.        2-8 PTM00610
                    @WDSA EQU     3         DISP TO NO. WDS OF SCTR 2-8 PTM00615
                    @LFHD EQU     5         LNG OF SCTR HEADER      2-8 PTM00620
                    @UAFX EQU     1         DISP TO SCTR ADDR,USER A2-8 PTM00625
                    @LFNM EQU     0         DISP TO LET/FLET NAME   2-8 PTM00630
                          ORG     /1E0                                  PTM00635
                          DC      P0800-P0000   WD CNT PHASE 0          PTM00640
                          DC      -/CF      IND. ID'S TO BE FILLED  2-8 PTM00645
                    PHS00 DC      P0700-PHS00  ADDR OF ID TABLE         PTM00650
                          DC      27        NO. PH ID'S TO BE FILLED2-8 PTM00655
                          ORG     *-2                                   PTM00660
                    *                                                   PTM00665
                    *     THIS PHASE IS READ INTO CORE WHEN THE         PTM00670
                    *     SUPERVISOR RECOGNIZES A // ASM RECORD,        PTM00675
                    *     WITH EXECUTION BEGINNING AT P0000.            PTM00680
                    *     THIS PHASE CONTAINS THE                       PTM00685
                    *     MASTER DISK OVERLAY CONTROL WHICH REMAINS     PTM00690
                    *     IN CORE THROUGHOUT THE ASSEMBLY.              PTM00695
                    *     THE SECTION OF THIS PHASE WHICH BEGINS        PTM00700
                    *     AT P0210 IS OVERLAYED BY PHASE 9. THIS        PTM00705
                    *     SECTION IS PRIMARILY CONCERNED WITH LOADING   PTM00710
                    *     OTHER SECTIONS OF THE ASSEMBLER WHICH         PTM00715
                    *     ALWAYS REMAIN IN CORE. THE LAST FUNCTION      PTM00720
                    *     PERFORMED BY THIS PHASE IS TO READ PHASE 1    PTM00725
                    *     INTO THE OVERLAY AREA, AND TO THEN            PTM00730
                    *     TRANSFER CONTROL TO IT.                       PTM00735
                    *                                                   PTM00740
                    P0000 LD      P0005     SET-UP PHASE CELL TO IND.   PTM00745
                          STO  L  $PHSE      ASM PHASE 0 IS IN CONTROL  PTM00750
                          BSC  L  P0210     BRANCH PAST ASM COMMA       PTM00755
                    *                                                   PTM00760
                    P0005 DC      /CF       SLET ID OF ASM PHASE 0  2-8 PTM00765
                    *************************************************** PTM00770
                    *                                                   PTM00775
                    *     ASM COMMUNICATION AREA (COMMA)                PTM00780
                    *                                                   PTM00785
                    *************************************************** PTM00790
                          BSS  E  0         ADJUST FOR EVEN LOCATION    PTM00795
                    DCOMM EQU     1        SCTR ADDR OF DCOM (CONSTANT) PTM00800
                    ASSAD EQU     *         PHS 0 WD CNT AND SCTR ADDR  PTM00805
                    PRINT EQU     ASSAD+2   SYS PRINT WD CNT, SCTR ADDR PTM00810
                    PINPT EQU     PRINT+2   SYS INPUT WD CNT, SCTR ADDR PTM00815
                    PCPAD EQU     PINPT+2   SYS CP    WD CNT, SCTR ADDR PTM00820
                    I2501 EQU     PCPAD+2   SYS 2501 WD CNT, SCTR ADDR  PTM00825
                    I1442 EQU     I2501+2   SYS 1442 WD CNT, SCTR ADDR  PTM00830
                    I1134 EQU     I1442+2   SYS 1134 WD CNT, SCTR ADDR  PTM00835
                    IKBRD EQU     I1134+2   SYS KYBD WD CNT, SCTR ADDR  PTM00840
                    CNVRT EQU     IKBRD+2   SYS CNVRT WD CNT, SCTR ADDR PTM00845
                    NAMEP EQU     CNVRT+2   NAME OF PROGRAM/CORE LOAD   PTM00850
                    RELEP EQU     NAMEP+2   REL ENTRY ADDR OF PROGRAM   PTM00855
                    WSCNT EQU     RELEP+1   BLK CT OF PROG IN WK STG    PTM00860
                    FRMAT EQU     WSCNT+1   FORMAT OF PROG IN WK STG    PTM00865
                    CVADR EQU     FRMAT+1   CONVERT ENTRY POINT         PTM00870
                    OFLOW EQU     CVADR+1   OVERFLOW SCTR--CNT AND ADDR PTM00875
                    SAVSW EQU     OFLOW+2   SAVE SYMBOL TABLE SWITCH    PTM00880
                    FILE  EQU     SAVSW+1   NO. OF FILES DEFINED        PTM00885
                    TXQSW EQU     FILE+1    TEMPORARY NOXEQ SWITCH      PTM00890
                    TDPSW EQU     TXQSW+1   TEMPORARY NODUP SWITCH      PTM00895
                    IPTKB EQU     TDPSW+1    PT/KB INPUT SWTCH          PTM00900
                    ICD25 EQU     IPTKB+1    2501 CD INPUT SWTCH        PTM00905
                    STOPT EQU     ICD25+1    SYM TBL OUTPUT OPTIONS     PTM00910
                    CTSYM EQU     STOPT+1   NO. OF SYMBOLS IN ASSEMBLY  PTM00915
                    LDKOP EQU     CTSYM+1   LIST DECK OPTION            PTM00920
                    LSTOP EQU     LDKOP+1   LIST OPTION                 PTM00925
                    PSMDE EQU     LSTOP+1   ONE OR TWO INPUT PASSES     PTM00930
                    PASS  EQU     PSMDE+1   PASS SWITCH (PASS 1=0)      PTM00935
                    SCOMN EQU     PASS+1    SIZE OF COMMON DEFINED      PTM00940
                    SCRA  EQU     SCOMN+1   SIZE OF WORKING STORAGE     PTM00945
                    SCRA2 EQU     SCRA+1    RESTORE FOR SCRA            PTM00950
                    WSSZE EQU     SCRA2+1   DSF OUTPUT DISP. IN W.S.    PTM00955
                    THRT2 EQU     WSSZE+1   NO. OF OV'FLO SCTRS DEFINED PTM00960
                    ADCOW EQU     THRT2+1   LOC'N ASSIGN. CTR (L.A.C.)  PTM00965
                    MVCNT EQU     ADCOW+1  DSF BFR OVERFLOW COUNT       PTM00970
                    ADCW2 EQU     MVCNT+1  SECONDARY ADDRESS COUNTER    PTM00975
                    ERCNT EQU     ADCW2+1   NO. OF ASSEMBLY ERRORS      PTM00980
                    ENDST EQU     ERCNT+1   END OF SYMBOL TBL ADDRESS   PTM00985
                    HIEND EQU     ENDST+1   CURRENT HI END OF SYM TBL   PTM00990
                    LOEND EQU     HIEND+1   CURRENT LOW END OF SYM TBL  PTM00995
                    OFCNT EQU     LOEND+1   OVERFLOW SCTRS REQUIRED     PTM01000
                    TLIST EQU     OFCNT+1   TEMPORARY LIST SWITCH       PTM01005
                    LABVL EQU     TLIST+1   LABEL ADDRESS VALUE         PTM01010
                    LABRL EQU     LABVL+1   LABEL RELOCATION VALUE      PTM01015
                    INTL1 EQU     LABRL+1   INTRPT LEVEL NUMBER(S)      PTM01020
                    ENTSW EQU     INTL1+2   ENT(S) USED IN ASSEMBLY     PTM01025
                    ISSSW EQU     ENTSW+1   ISS USED IN ASSEMBLY        PTM01030
                    ILSSW EQU     ISSSW+1   ILS USED IN ASSEMBLY        PTM01035
                    LBRSW EQU     ILSSW+1   LIBR USED IN ASSEMBLY       PTM01040
                    EPRSW EQU     LBRSW+1   EPR USED IN ASSEMBLY        PTM01045
                    SPRSW EQU     EPRSW+1   SPR USED IN ASSEMBLY        PTM01050
                    HDLTH EQU     SPRSW+1   LENGTH OF PROGRAM HEADER    PTM01055
                    ENTCT EQU     HDLTH+1   NO. OF ENT'S USED           PTM01060
                    NLVLS EQU     ENTCT+1   INTRPT LEVELS FOR ISS SUBR  PTM01065
                    ADJSA EQU     NLVLS+1   WS & OVERFLOW SCTR ADDR     PTM01070
                    DSBUF EQU     ADJSA+1   DSF PRGM HDR ENTRY PTS      PTM01075
                    DHPTR EQU     DSBUF+1   DATA HEADER POINTER         PTM01080
                    ISSNO EQU     DHPTR+1   ISS NUMBER                  PTM01085
                    DFXR1 EQU     ISSNO+1   XR1 ADDR FOR DSF OUTPUT     PTM01090
                    DFXR2 EQU     DFXR1+1   XR2 ADDR FOR DSF OUTPUT     PTM01095
                    DFXR3 EQU     DFXR2+1   SHIFT CNT FOR INDIC BITS    PTM01100
                    ENDAD EQU     DFXR3+1  END ADDR OF DSF BFR          PTM01105
                    STADR EQU     ENDAD+1   STARTING ADDR OF DSF BUFFER PTM01110
                    DSADR EQU     STADR+1   ADDR OF DSF BUFR SCTR ADDR  PTM01115
                    OFSAD EQU     DSADR+1    SYM TBL OFLOW SCTR ADDR    PTM01120
                    DSFWR EQU     OFSAD+1    DSK DISKZ WRITE FUNC       PTM01125
                    RDTHD EQU     DSFWR+2   REDUNDANT DATA HDR SWITCH   PTM01130
                    HTYPE EQU     RDTHD+1   PROGRAM TYPE (HEADER WD 3)  PTM01135
                    RDBFR EQU     HTYPE+1   I/O BUFFER ADDRESSES        PTM01140
                    TRWRD EQU     RDBFR+2   DATA WD & RELOC. BITS       PTM01145
                    SYMBF EQU     TRWRD+2   SYMBOL (NAME) IN NAME CODE  PTM01150
                    VALUE EQU     SYMBF+2   VALUE OF OPERAND EXPRESSION PTM01155
                    RLCSW EQU     VALUE+1   INTERNAL RELOC. SWITCH      PTM01160
                    RELSW EQU     RLCSW+1   RELOC. VALUE OF EXPRESSION  PTM01165
                    RLCNT EQU     RELSW+1   RELOCATION COUNT            PTM01170
                    ELMNT EQU     RLCNT+1   VALUE OF EXPRESSION ELEMENT PTM01175
                    TRLSW EQU     ELMNT+1   TERM RELOC. VALUE           PTM01180
                    A     EQU     RELSW     SCAN OUTPUT POINTER         PTM01185
                    RLMDE EQU     TRLSW+1   RELOC. MODE OF ASSEMBLY     PTM01190
                    OPCNT EQU     RLMDE+1   OP CODE & CTRL INDICATORS   PTM01195
                    SMSEC EQU     OPCNT+1   SYST MACRO LIBRARY ADDR 2-8 PTM01200
                    SYSLM EQU     SMSEC+1   GENERATED NAME CTR      2-8 PTM01205
                    SKLTN EQU     SYSLM+1   MACRO SK SCTR CNT       2-8 PTM01210
                    PARAM EQU     SKLTN+1   PARAM SPILL SCTR CNT    2-8 PTM01215
                    MCOM0 EQU     PARAM+1   PBUFF POSITION PT       2-8 PTM01220
                    MCOM1 EQU     MCOM0+1   PROTOTYPE WD CNT        2-8 PTM01225
                    MCOM2 EQU     MCOM1+1   MACRO NAME              2-8 PTM01230
                    MCOM3 EQU     MCOM2+1   MACRO NAME              2-8 PTM01235
                    MCOM4 EQU     MCOM3+1   MACRO PH 2 END RCD SW   2-8 PTM01240
                    MCOM5 EQU     MCOM4+1   WARNING CNT             2-8 PTM01245
                    MCOM6 EQU     MCOM5+1   GENERATED NAME SW       2-8 PTM01250
                    MCOM7 EQU     MCOM6+1   START ADDR OF W.S.      2-8 PTM01255
                    MCOM8 EQU     MCOM7+1   MACRO PH 2 SAVE AREA    2-8 PTM01260
                    MCOM9 EQU     MCOM8+1   MACRO PH 2 SAVE AREA    2-8 PTM01265
                    RDMDE EQU     MCOM9+1   STATEMENT NO.-1         2-8 PTM01270
                    MCGEN EQU     RDMDE+1   END DISK ADDR OF DSF    2-8 PTM01275
                    SMAC0 EQU     MCGEN+1   LIBRARY SCTR ADDR       2-8 PTM01280
                    COMSW EQU     SMAC0+1   MACRO COMMENTS SW       2-8 PTM01285
                    MCDEF EQU     COMSW+1   TEMP MACRO DEFINITION SW2-8 PTM01290
                    LOGC0 EQU     MCDEF+1   LOGICAL CONCATENATION SW2-8 PTM01295
                    TBLCT EQU     LOGC0+1   OP CODE TABLE COUNT.   2-11 PTM01297
                    AC990 EQU     TBLCT+1   END OF ASM COMMA        2-8 PTM01300
                    ASMCM EQU     LOEND     ASM COMMA POINTER       2-8 PTM01305
                    X3    EQU     ASMCM                                 PTM01310
                    ASMCL EQU     AC990-ASSAD                           PTM01315
                    P2MEC EQU     RDMDE     TWO PASS MODE ERR SW    2-8 PTM01320
                    *                                                   PTM01325
                          BSS     AC990-ASSAD                           PTM01330
                    *                                                   PTM01335
                    P94XX DC      0         SAVE INDEX REGISTERS 1,3    PTM01340
                          STX   1 P94ZZ+1                               PTM01345
                          BSC  I  P94XX                                 PTM01350
                    P94YY DC      0         RELOAD REGISTERS 1,3        PTM01355
                    P94ZZ LDX  L1 *-*                                   PTM01360
                          LDX  L3 ASMCM     XR3 = ASM COMMA             PTM01365
                          BSC  I  P94YY                                 PTM01370
                    *                                               2-8 PTM01375
                    *     ASM INTERRUPT BRANCH TABLE                2-8 PTM01380
                    *                                               2-8 PTM01385
                          DC      $PST4      IBT-1                      PTM01390
                    IBT   DC      $PST4      RESERVED FOR FUTURE USE    PTM01395
                          DC      $PST4      RESERVED FOR FUTURE USE    PTM01400
                          DC      $PST4      RESERVED FOR FUTURE USE    PTM01405
                          DC      $PST4      1231 INTRPT ADDR           PTM01410
                          DC      $PST4      1403 INTRPT ADDR           PTM01415
                          DC      $PST4      2501 INTRPT ADDR           PTM01420
                          DC      $PST4      1442 INTRPT ADDR           PTM01425
                          DC      $PST4      KB/CP INTRPT ADDR          PTM01430
                          DC      $PST4      1134/1055 INTRPT ADDR      PTM01435
                          HDNG    MASTER OVLAY CTRL & DISKZ INTERFACE   PTM01440
                    *                                                   PTM01445
                    *             MASTER OVERLAY CONTROL                PTM01450
                    *                                                   PTM01455
                    *     USES DISKZ TO READ PHASE OVERLAYS INTO        PTM01460
                    *     THE ASSEMBLER OVERLAY AREA. THE WORD COUNT    PTM01465
                    *     AND SCTR ADDR OF THE OVERLAY, AS WELL AS THE  PTM01470
                    *     EXECUTE ADDRESS AT P0140+1 ARE INITIALIZED    PTM01475
                    *     FOR EACH OVERLAY FROM WITHIN PHASE 9.         PTM01480
                    *     EXECUTION OF AN OVERLAY DOES NOT BEGIN UNTIL  PTM01485
                    *     THE DISK READ OF THE OVERLAY IS COMPLETE.     PTM01490
                    *                                                   PTM01495
                    P0130 LDD     P0170     SET-UP TO READ OVERLAY      PTM01500
                    *                                                 * PTM01505
                          BSI   3 DISK1-X3  READ THE OVERLAY            PTM01510
                    *                                               2-8 PTM01515
                    *     ADDR AT P0140+1 DYNAMICALLY MODIFIED      2-8 PTM01520
                    *                                               2-8 PTM01525
                    P0140 BSC  L  OVLAY+2   TRANS TO THE OVERLAY        PTM01530
                    P0150 BSC  L  *-*       DISK READ/WRITE WITH TEST   PTM01535
                          BSI  L  DZ000     READ OR WRITE WITH DISKZ    PTM01540
                    P0160 MDX  L  $DBSY,0    TEST DISK BUSY INDICATOR   PTM01545
                          MDX     P0160     DO NOT SKIP IF BUSY         PTM01550
                          MDX     P0150     EXIT WAIT IF NOT BUSY       PTM01555
                    *                                                   PTM01560
                    *     CONSTANTS                                     PTM01565
                    *                                                   PTM01570
                    P2MWC DC      *-*       TWO PASS MODE WARN CNT  2-8 PTM01575
                    CON2  DC      2          SYM LNGTH USED BY PH 92/11 PTM01576
                          BSS  E  0                                     PTM01580
                    P0170 DC      /7000     DISK READ FUNCTION CODE     PTM01585
                    P0180 DC      P0190     I/O AREA FOR OVERLAYS       PTM01590
                    P0190 DC      *-*       WD CNT OF OVERLAY           PTM01595
                    P0200 DC      *-*       SCTR ADDR OF OVERLAY        PTM01600
                    P0195 BSS  E  2         TEMP STORAGE            2-8 PTM01605
                    *                                                 * PTM01610
                    STXRS EQU     P94XX     ADDR OF SAV XR'S RTN        PTM01615
                    LDXRS EQU     P94YY     ADDR OF RESTO XR'S RTN      PTM01620
                    DISK1 EQU     P0150+1   DISKZ INTERFACE             PTM01625
                    OVLAY EQU     P0190     OVERLAY IOAR HEADER         PTM01630
                          HDNG    ** OVERLAID SECTION OF PHASE 0 **     PTM01635
                    P0208 DC      P11AA     INT1 HDR ADDR           2-8 PTM01640
                    P0209 DC      /0200      INITIAL TYPE SETTING       PTM01645
                    *                                                   PTM01650
                    P0210 LD      ADDR                                  PTM01655
                          STO  L  $IBT4      SET UP IBT ADDR IN ILS04   PTM01660
                    *                                                   PTM01665
                          LDX  L2 ASSAD     XR2 = START OF ASM COMMA    PTM01670
                          LDX   3 ASMCL     NO. OF ENTRIES TO BE ZEROED PTM01675
                          SLA     16                                    PTM01680
                    P0230 STO   2 0         CLEAR ASM COMMA TO ZEROS    PTM01685
                          MDX   2 +1                                    PTM01690
                          MDX   3 -1                                    PTM01695
                          MDX     P0230                                 PTM01700
                    *                                                   PTM01705
                          MDX   2 -ASMCL    SET XR2 TO 1ST ASMCM ENTRY  PTM01710
                    * SET STANDARD OP CODE TABLE LENGTH            2-11 PTM01712
                    *                                              2-11 PTM01713
                          LDX  L3 P9178-P9180 OP CODE TABLE LENGTH 2-11 PTM01714
                          STX  L3 TBLCT     SAVE COUNT             2-11 PTM01715
                          LDX   3 -34       SLET TABLE LENGTH           PTM01716
                    *                                                 * PTM01720
                    P0240 LDD  L3 P0700+104 FETCH WD CNT+SCTR ADDR  2-8 PTM01725
                          STD   2 0         SAVE IN COMMA               PTM01730
                          MDX   2 2         INCRE COMMA POINTER         PTM01735
                          MDX   3 +4        INCRE TABLE POINTER         PTM01740
                          MDX     P0240     LOOP TIL TRANS COMPLETE     PTM01745
                    *                                                 * PTM01750
                          LDX  L3 ASMCM     XR3 = ADDR OF ASM COMMA     PTM01755
                          LD   L  $NXEQ      SAVE VALUES IN NODUP AND   PTM01760
                          STO   3 TXQSW-X3  NOXEQ FOR LATER SYSTEM      PTM01765
                          LD   L  $NDUP      COMMUNICATION. SET NODUP   PTM01770
                          STO   3 TDPSW-X3  AND NOXEQ TO PREVENT        PTM01775
                          STX  L0 $NXEQ      EXECUTION AND DUP FUNCTION PTM01780
                          STX  L0 $NDUP      IF ASM IS TERMINATED.      PTM01785
                    *                                                   PTM01790
                          LD      P0209                                 PTM01795
                          STO   3 HTYPE-X3   INITIAL TYPE TO 2          PTM01800
                          MDX  L  HDLTH,+3   INITIAL HDR LENGTH TO 3    PTM01805
                    *                                                 * PTM01810
                          LDD  L  P0700+66  FETCH WD CNT+SCTR ADDR  2-8 PTM01815
                    P0260 STD  L  P9000-2                           2-8 PTM01820
                          LDD  L  P0700+106 SAVE IOAR HDR OF MACRO  2-8 PTM01825
                          STD     P0195     *PH 3B TEMPORARILY      2-8 PTM01830
                          LD      P0260+1   HDR ADDR TO Q               PTM01835
                          RTE     16                                    PTM01840
                          LD      P0170     RD FUNC CODE TO ACC         PTM01845
                          BSI   3 DISK1-X3  GO TO LOAD PHASE 9          PTM01850
                    *                                                   PTM01855
                          LDD  L  P0700+46  FETCH WD CNT+SCTR ADDR  2-8 PTM01860
                          STD  I  P0208                             2-8 PTM01865
                          LD      P0208     FETCH INT1 HDR ADDR     2-8 PTM01870
                          RTE     16                                    PTM01875
                          LD      P0170                                 PTM01880
                          BSI   3 DISK1-X3                              PTM01885
                    *                                                 * PTM01890
                          LD      P0448     COMPUTE ADDR OF TABLE   2-8 PTM01895
                          S       K19       *WITHIN PHASE 9         2-8 PTM01900
                          STO     P0265+3                               PTM01905
                          LDX   2 0                                     PTM01910
                          LDX   1 -32                               2-8 PTM01915
                    P0265 LDD  L1 P0700+38  FETCH WD CNT & SCTR ADR 2-8 PTM01920
                          STD  L2 *-*        SAVE IN PHASE 9            PTM01925
                          MDX   2 +2                                    PTM01930
                          MDX   1 +4                                    PTM01935
                          MDX     P0265      LOOP TIL TRANS COMPLETE    PTM01940
                    *                                                 * PTM01945
                          LD      P0552                             2-8 PTM01950
                          S    L  P0566                                 PTM01955
                          STO     P0266+1                               PTM01960
                          LDX   2 0                                     PTM01965
                          LDX   3 -16                                   PTM01970
                          LDD  L3 P0700+66  FETCH WD CNT+SCTR ADDR  2-8 PTM01975
                    P0266 STD  L2 *-*                                   PTM01980
                          MDX   2 +2                                    PTM01985
                          MDX   3 +4                                    PTM01990
                          MDX     P0266-2                               PTM01995
                          LDX  L3 ASMCM                                 PTM02000
                          LD      P0446     SET-UP ENTCT TO             PTM02005
                          STO   3 ENTCT-X3  ALLOW 14 ENT'S              PTM02010
                          SLA     1         INITLZ RELOC. MODE FOR      PTM02015
                          STO   3 RLMDE-X3  RELOCATABLE ASSEMBLIES      PTM02020
                          MDX     P0320                                 PTM02025
                    *                                                   PTM02030
                    *     CONSTANTS                                     PTM02035
                    *                                                   PTM02040
                    P0550 DC      3                                     PTM02045
                    P0551 DC      1                                 2-3 PTM02050
                    P0552 DC      GETER     ERMSG PH FETCH SUBR ADDR2-8 PTM02055
                    P0556 DC      +6         CONSTANT 6                 PTM02060
                    ADDR  DC      IBT-1      ADDR OF ILS04 INTERPT BR   PTM02065
                    K19   DC      19        CONSTANT 19             2-8 PTM02070
                    P0446 DC      /2000     ALLOWS 14 ENT'S             PTM02075
                    P0448 DC      GETS5     PH 5 ADDR               2-8 PTM02080
                    *                                                 * PTM02085
                    P0320 LD   L  $KCSW                                 PTM02090
                          BSC  L  P0330-1,+-  BR IF NOT KB I/O          PTM02095
                          LDD  L  IKBRD      FETCH WD CNT+SCTR ADR  2G2 PTM02100
                          STD   3 PINPT-X3   OF KB RTN                  PTM02105
                          LDD   3 PINPT-X3                              PTM02110
                    P0330 STD  I  RP000     INITIAL SYS I/O AREA        PTM02115
                          LD   L  RP000                                 PTM02120
                          A     3 PINPT-X3  BUILD ADDR FOR CONVERT      PTM02125
                          BSC     E         SKIP IF EVEN ADDRESS    2-3 PTM02130
                          A       P0551     MAKE ADDRESS EVEN       2-3 PTM02135
                          A    L  P0540     ROUTINE BASED ON LENGTH     PTM02140
                          STO   3 CVADR-X3  OF THE PRINC. INPUT ROUTINE PTM02145
                          LD   L  RP000     LOAD ADDR FOR I/O DEVICE    PTM02150
                          RTE     16        AREA AND DISKZ READ CODE    PTM02155
                          LD      P0170     INTO ACC AND EXTENSION      PTM02160
                          BSI   3 DISK1-X3  READ I/O DEVICE ROUTINE     PTM02165
                    *                                                   PTM02170
                          LDX  I1 ADDR       FETCH ADDR OF ILS04 IBT    PTM02175
                    P0334 LD   L  RP000     INITLZ 2501,1442,1134/1055  PTM02180
                          A       P0556     ENTRIES IN ILS04 BRANCH     PTM02185
                          STO   1 +6         TABLE FOR INPUT+4          PTM02190
                          STO   1 +7                                    PTM02195
                          STO   1 +9                                    PTM02200
                    *                                                 * PTM02205
                          A       P0550     INITLZ 1442 COL. INTRPTS    PTM02210
                          STO  L  8         FOR INPUT+7                 PTM02215
                    *                                                   PTM02220
                          LD    3 I1134+1-X3 DETERMINE IF SYST I/O 2-10 PTM02225
                          EOR   3 PINPT+1-X3 IS PAPER TAPE.        2-10 PTM02230
                          BSC     +-         SKIP IF NOT PAPER TAPE     PTM02235
                          MDX     FIX        GO TO SET PT INPUT SWTCH   PTM02240
                          LD    3 IKBRD+1-X3 DETERMINE IF SYST I/O 2-10 PTM02245
                          EOR   3 PINPT+1-X3 IS KEYBOARD           2-10 PTM02250
                          BSC     Z         SKIP IF KEYBOARD            PTM02255
                          MDX     P0360     GO GET CONVERT ROUTINE      PTM02260
                    *                                                   PTM02265
                    FIX   STX  L0 IPTKB      SET PT/KB INPUT SWTCH      PTM02270
                    P0354 LDD   3 CNVRT-X3  CNVRT'S WD CNT, SCTR ADDR   PTM02275
                          MDX     P0370                                 PTM02280
                    *                                                   PTM02285
                    P0360 LDD  L  P0700+38  SET UP IOAR HDR INFO    2-8 PTM02290
                          STD   3 CNVRT-X3  SAVE CONVERSION WD CNT 2-11 PTM02292
                    P0370 STD  I  CVADR     INITLZ TO READ CONVERT      PTM02295
                          LD    3 CVADR-X3  FETCH I/O AREA FOR DISKZ    PTM02300
                          RTE     16        READ CODE IN ACC AND EXT    PTM02305
                          LD   L  P0580                             2G2 PTM02310
                          BSI   3 DISK1-X3  READ ASSEMBLED CONVERT      PTM02315
                          MDX  L  CVADR,+3  FIX CONVERT ENTRY POINT     PTM02320
                    *                                                   PTM02325
                          LD    3 I2501+1-X3                       2-10 PTM02330
                          EOR   3 PINPT+1-X3 CHECK FOR 2501 INPUT  2-10 PTM02335
                          BSC  L  P0380-1,Z  BR IF NOT 2501             PTM02340
                          STX  L0 ICD25      SET 2501 INPUT SWTCH       PTM02345
                          LDD   3 PRINT-X3  PRINT'S WD CNT, SCTR ADDR   PTM02350
                    P0380 STD  I  PR000     SET-UP TO RD SYS PRINT      PTM02355
                          LD   L  PR000     LD I/O AREA ADDR            PTM02360
                          RTE     16        DISKZ READ CODE INTO THE    PTM02365
                          LD   L  P0580      ACC AND EXTENSION      2G2 PTM02370
                          BSI   3 DISK1-X3  READ SYSTEM PRINT ROUT      PTM02375
                          LD   L  PR000     INITIAL 1403 ENTRY          PTM02380
                          A       P0556     IN ILS04 BRANCH TABLE AND   PTM02385
                          STO   1 +5         LEVEL 1 INTERRUPTS         PTM02390
                          STO  L  9         FOR PRINT+4                 PTM02395
                    *                                                   PTM02400
                          LD   L  P0470     SET-UP WORD COUNT FOR       PTM02405
                          STO  I  P0462     ALL I/O BUFFERS FOR 80, 2-8 PTM02410
                          STO  I  P0464     AND ALL PRINT BUFFERS   2-8 PTM02415
                          SRA     1         FOR 40.                     PTM02420
                          STO  L  PRBFR                             2-8 PTM02425
                    *                                               2G2 PTM02430
                          LD   L  $CORE      CHECK IF SYSTEM CORE   2G2 PTM02435
                          S    L  P0570      SIZE GREATER THAN 4K   2G2 PTM02440
                          BSC  L  P0397,+    BRANCH IF NO           2G2 PTM02445
                    *                                               2G2 PTM02450
                          LDD  L  P0700+42  SET UP IOAR HDR INFO    2-8 PTM02455
                    *             THE ABSOLUTE ADDRESS IN THE       2G2 PTM02460
                    *             FOLLOWING STO INSTR IS DEPENDENT  2G2 PTM02465
                    *             ON THE PHASE 13 LOAD ADDRESS      2G2 PTM02470
                    P0390 STD  L  GRAPH+BUMP#                      2-11 PTM02475
                          LD      P0390+1                           2G2 PTM02480
                          RTE     16                                2G2 PTM02485
                          LD   L  P0580                             2G2 PTM02490
                          BSI   3 DISK1-X3  LOAD PHASE 13          2-11 PTM02495
                    *                                               2G2 PTM02500
                          LD      P0448     COMPUTE ADDR OF         2-8 PTM02505
                          S       P0540     *WORD IN PHASE 9        2-8 PTM02510
                          STO     P0392+1                           2G2 PTM02515
                          LD      P0390+1    STORE ENTRY POINT OF   2G2 PTM02520
                          A       P0540      PHASE 13 IN PHASE 9    2G2 PTM02525
                    P0392 STO  L  *-*                               2G2 PTM02530
                    *                                               2G2 PTM02535
                          LDD  L  P0195     INITLZ I/O HDR OF LOAD  2-8 PTM02540
                    P0393 STD  L  PDEND+104 *MACRO PH 3B TO CORE    2-8 PTM02545
                          LD      P0460     GET I/O AREA ADDR       2-8 PTM02550
                          RTE     16                                2-8 PTM02555
                          LD      P0580     GET DK READ FUNC CODE   2-8 PTM02560
                          BSI   3 DISK1-X3  LOAD MACRO PH 3B        2-8 PTM02565
                    *                                               2-8 PTM02570
                    P0397 LD   L  $CORE     INITLZ VALUE FOR LOW    2-8 PTM02585
                          A       P0540     *END ADDR OF SYMBOL     2-8 PTM02590
                          STO   3 LOEND-X3  TABLE IS CORE+2, AND FOR    PTM02595
                          S    L  P0550      THE HIGH END ADDR,     2G2 PTM02600
                          STO   3 HIEND-X3  IS CORE-1.                  PTM02605
                          LD   L  $CORE      CHECK IF SYSTEM CORE   2G2 PTM02610
                          S       P0570      SIZE GREATER THAN 4K   2G2 PTM02615
                          BSC  L  P0398,+    BRANCH IF NO           2G2 PTM02620
                          LD    3 HIEND-X3   COMPUTE SYMBOL TABLE   2G2 PTM02625
                          S       P0390+1    SIZE                   2G2 PTM02630
                    *                       ADJUST SYMBOL TBL SIZE  2-8 PTM02640
                          S       P0461     *FOR MACRO PROCESSOR    2-8 PTM02645
                          MDX     P0399                             2-8 PTM02650
                    P0398 LD    3 HIEND-X3  COMPUTE SYMBOL TBL      2-8 PTM02655
                          S    L  PR000     *SIZE                   2-8 PTM02660
                          S     3 PRINT-X3                          2G2 PTM02665
                          S       P0541                            2-11 PTM02670
                    P0399 BSC     E         SKIP IF RESULT EVEN    2-11 PTM02675
                          S       P0542      ADJUST TO EVEN             PTM02680
                    P0400 STO     P0560      SAVE TEMPORARILY           PTM02685
                          RTE     16                                    PTM02690
                          SLA     16                                    PTM02695
                          D       P0543      COMPUTE NO. OF ENTRIES     PTM02700
                          RTE     16         CHECK FOR EVEN NO.         PTM02705
                          BSC  L  FOUND,+-   BR IF EVEN                 PTM02710
                          LD      P0560      OTHERWISE, DECRE TOTAL     PTM02715
                          S       P0540      BY TWO.                    PTM02720
                          MDX     P0400      LOOP TO TRY AGAIN          PTM02725
                    *                                                 * PTM02730
                    FOUND LD   L  $CORE      FETCH CORE SIZE            PTM02735
                          S       P0560                                 PTM02740
                          STO   3 ENDST-X3   INITIAL END SYM TBL ADDR   PTM02745
                          S       P0540                                 PTM02750
                          STO     P0410+1   TO INITLZ LDX INST.         PTM02755
                          LDX  I2 $WSDR                                 PTM02760
                          LD   L2 $FPAD      FETCH APPROP FILE PROTECT  PTM02765
                    P0410 LDX  L2 *-*       ADDR OF THE TEMP DRIVE      PTM02770
                          STO   3 ADJSA-X3  SAVE IN TEMP W.S. SIZE      PTM02775
                          STO   3 MCOM7-X3  SAVE W.S. START ADDR    2-8 PTM02780
                          STO   2 +1        INITLZ SYMBOL TABLE OVRFLO  PTM02785
                          LDX  L1 BUFI      SCTR ADDR AND           2-8 PTM02790
                          LDX  L3 DFBUF     THE DISK OUTPUT         2-8 PTM02795
                          STO   1 +1        BUFFERS SCTR ADDR.          PTM02800
                          STO   3 +1                                    PTM02805
                    *                                                   PTM02810
                          LD      P0565     SET WORD COUNT FOR 320 FOR  PTM02815
                          STO   2 0         SYMBOL TABLE OVERFLOW AND   PTM02820
                          STO   1 0         BOTH DISK OUTPUT BUFFERS    PTM02825
                          STO   3 0                                     PTM02830
                    *                                                 * PTM02835
                          STX  L2 OFLOW+1   INITLZ SYM TBL OVERFLOW     PTM02840
                          MDX   2 +1                                    PTM02845
                          STX  L2 OFSAD                                 PTM02850
                          BSI  L  LDXRS     GO TO RESET XR1 & XR3       PTM02855
                          LD      P0580     DISKZ READ/WRITE COMMAND    PTM02860
                          STO   3 OFLOW-X3                              PTM02865
                    *                                                   PTM02870
                          LD      P0510     COMPUTE SIZE OF             PTM02875
                          S     3 ADJSA-X3  WORKING STORAGE             PTM02880
                          AND     P0520     MASK OUT NEG. DRIVE CODE    PTM02885
                          STO   3 WSSZE-X3  SAVE SIZE IN ASM COMMA      PTM02890
                    *                                                   PTM02895
                          LD      P0464                             2-8 PTM02900
                          RTE     16        SET I/O BFR ADDRESSES IN    PTM02905
                          LD      P0462     COMMA TO FACILITATE     2-8 PTM02910
                          STD   3 RDBFR-X3  DOUBLE BUFFERING            PTM02915
                          LD      P0450     SET BLANK FOR           2-8 PTM02920
                          STO  L  IOBF1+81  *POSSIBLE CROSS-        2-8 PTM02925
                          STO  L  IOBF2+81  *REFERENCED LISTING     2-8 PTM02930
                    *                                                   PTM02935
                          LDX  I2 RP000                                 PTM02940
                          LD    3 RDBFR+1-X3   SET UP TO READ THE       PTM02945
                          RTE     16        FIRST RECORD                PTM02950
                          LD      P0480                                 PTM02955
                          BSI   2 +3        GO TO READ IT               PTM02960
                          LDD     P0700+2    WD CNT AND SCTR ADR OF 2G2 PTM02965
                          STD  L  P0190     PH. 1 TO OVRLAY HDR         PTM02970
                    *                                                 * PTM02975
                          BSC  L  P0130     GO TO LOAD PHASE 1          PTM02980
                    *                                                   PTM02985
                    *     CONSTANTS AND SAVE AREAS                      PTM02990
                    *                                                   PTM02995
                    P0460 DC      PDEND+104 I/O AREA ADDR           2-8 PTM03005
                    P0461 DC      M3BZ-GRAPH+1 WD CNT OF MACRO AREA2-11 PTM03010
                    INTBF EQU     98   MAX SIZE OF INT1,2 AND 10A  2-11 PTM03012
                    P0462 DC      IOBF1     ADDR READ/PUNCH BFR 1   2-8 PTM03015
                    P0450 DC      .         EBCDIC BLANK            2-8 PTM03020
                    P0464 DC      IOBF2     ADDR READ/PUNCH BFR 2   2-8 PTM03025
                          BSS  E  0                                     PTM03030
                    P0470 DC      80        WORD COUNT FOR BUFFERS      PTM03035
                    P0480 DC      /7002     READ WITH CONVERSION CODE   PTM03040
                    P0510 DC      1600      LAST SCTR ADDR + 1          PTM03045
                    P0520 DC      /0FFF     NEG. DRIVE CODE MASK        PTM03050
                    P0540 DC      2         ADD TO CONVERT SCTR ADDR    PTM03055
                    P0541 DC      4          CONSTANT 4                 PTM03060
                    P0542 DC      1          CONSTANT 1                 PTM03065
                    P0543 DC      3          CONSTANT 3                 PTM03070
                    P0560 DC      0          TEMP STORAGE               PTM03075
                    P0565 DC      320       DISK BUFFER WD CNT          PTM03080
                    P0566 DC      8          CONSTANT 8                 PTM03085
                    P0570 DC      /1000                             2G2 PTM03090
                    *                                                   PTM03095
                    P0580 DC      /7000     DISK READ CODE              PTM03100
                    *                                                   PTM03105
                    *                                               2G2 PTM03110
                    PATCH BSS     21        PATCH AREA              2-3 PTM03115
                    *                                                   PTM03120
                    *     PHASE 0 SLET TABLE                            PTM03125
                    *                                                   PTM03130
                          BSS  E  0                                     PTM03135
                    P0700 DC      /D5       SLET ID OF PHASE 1      2-8 PTM03140
                          BSS     3                                     PTM03145
                          DC      /DD       SLET ID OF PHASE 5      2-8 PTM03150
                          BSS     3                                     PTM03155
                          DC      /DE       SLET ID OF PHASE 6      2-8 PTM03160
                          BSS     3                                     PTM03165
                          DC      /DF       SLET ID OF PHASE 7      2-8 PTM03170
                          BSS     3                                     PTM03175
                          DC      /E1       SLET ID OF PHASE 8      2-8 PTM03180
                          BSS     3                                     PTM03185
                          DC      /E2       SLET ID OF PHASE 8A     2-8 PTM03190
                          BSS     3                                     PTM03195
                          DC      /D3       SLET ID OF PHASE 12     2-8 PTM03200
                          BSS     3                                     PTM03205
                          DC      /DA       SLET ID OF PHASE 2      2-8 PTM03210
                          BSS     3                                     PTM03215
                          DC      /E9       SLET ID OF MACRO PH 1   2-8 PTM03220
                          BSS     3                                 2-8 PTM03225
                          DC      /D0       SLET ID OF ASM CONV SUBR2-8 PTM03230
                          BSS     3                                     PTM03235
                          DC      /E6       SLET ID OF PHASE 13     2-8 PTM03240
                          BSS     3                                     PTM03245
                          DC      /E4       SLET ID OF INT2         2-8 PTM03250
                          BSS     3                                     PTM03255
                          DC      /E3       SLET ID OF PNCH CNVRT   2-8 PTM03260
                          BSS     3                                     PTM03265
                          DC      /D4       SLET ID OF ERMSG        2-8 PTM03270
                          BSS     3                                     PTM03275
                          DC      /D9       SLET ID OF PHASE 4      2-8 PTM03280
                          BSS     3                                     PTM03285
                          DC      /E5       SLET ID OF PHASE 10A    2-8 PTM03290
                          BSS     3                                     PTM03295
                          DC      /DC       SLET ID OF PHASE 9      2-8 PTM03300
                          BSS     3                                     PTM03305
                          DC      /CF       SLET ID OF PHASE 0      2-8 PTM03310
                          BSS     3                                     PTM03315
                          DC      153        SLET ID OF PRIN PRINT  2G2 PTM03320
                          BSS     3                                     PTM03325
                          DC      154        SLET ID OF PRIN INPUT  2G2 PTM03330
                          BSS     3                                     PTM03335
                          DC      142        SLET ID OF CONSOLE PRT 2G2 PTM03340
                          BSS     3                                     PTM03345
                          DC      143        SLET ID OF 2501        2G2 PTM03350
                          BSS     3                                     PTM03355
                          DC      144        SLET ID OF 1442        2G2 PTM03360
                          BSS     3                                     PTM03365
                          DC      145        SLET ID OF 1134        2G2 PTM03370
                          BSS     3                                     PTM03375
                          DC      146        SLET ID OF KEYBOARD    2G2 PTM03380
                          BSS     3                                 2G2 PTM03385
                          DC      149       SLET ID OF KP/PT CNV RT 2G2 PTM03390
                          BSS     3                                 2G2 PTM03395
                          DC      /F1       SLET ID OF MACRO PH 3B  2-8 PTM03400
                          BSS     3                                 2-8 PTM03405
                    P0800 DC      0                                     PTM03410
*SBRKSLS D0          ASM CARD CONVERSION PHASE                    V2M08 PTM03415
                          HDNG    ***ASM CARD CONVERSION***             PTM03420
                    *************************************************** PTM03425
                    *                                                 * PTM03430
                    *STATUS-VERSION 2, MODIFICATION 8                 * PTM03435
                    *                                                 * PTM03440
                    *FUNCTION/OPERATION-                              * PTM03445
                    *     THIS ROUTINE CONVERTS IBM CARD CODE         * PTM03450
                    *                                                 * PTM03455
                    *ENTRY POINTS-                                    * PTM03460
                    *   *SP000+1 - ENTRY FROM PHASE 1,9               * PTM03465
                    *                                                 * PTM03470
                    *INPUT-                                           * PTM03475
                    *   *A BUFFER FOR CONVERSION                      * PTM03480
                    *                                                 * PTM03485
                    *OUTPUT                                           * PTM03490
                    *   *A CONVERTED BUFFER                           * PTM03495
                    *                                                 * PTM03500
                    *EXTERNAL RERERENCES-                             * PTM03505
                    *   *SUBROUTINES- NONE                            * PTM03510
                    *   *DCOM/COMMA-NONE                           2-8* PTM03515
                    *                                                 * PTM03520
                    *EXITS-                                           * PTM03525
                    *   *NORMAL - TO THE CALLER                       * PTM03530
                    *   * ERROR - NONE                                * PTM03535
                    *                                                 * PTM03540
                    *TABLES/WORK AREAS-                               * PTM03545
                    *   * EBCDIC  CHARACTER TABLE                     * PTM03550
                    *                                                 * PTM03555
                    *ATTRIBUTES-REUSABLE                              * PTM03560
                    *                                                 * PTM03565
                    *NOTES-N/A                                        * PTM03570
                    *                                                 * PTM03575
                    *************************************************** PTM03580
                          ORG     /1E8                              2-8 PTM03585
                    *                                                   PTM03590
                    *                                                   PTM03595
                          DC      SP990-SP000+1   WD CNT CD CNVRT       PTM03600
                          DC      /D0       PH ID OF CD CNVRT       2-8 PTM03605
                    SP000 BSC  L  *-*       EXIT/ENTRY                  PTM03610
                          STS     SP074     SAVE STATUS INDICATORS      PTM03615
                          STX   1 SP070+1   SAVE XR1                    PTM03620
                          STX   2 SP072+1   SAVE XR 2                   PTM03625
                          STO     SP020+1   INITIALIZE LOAD AND STORE   PTM03630
                          STO     SP060+1   WITH ADDRESS OF I/O AREA.   PTM03635
                          LDX   2 80        XR 2 = COLUMN COUNT         PTM03640
                    SP020 LD   L2 *-*       FETCH HOLLERITH CARD COLUMN PTM03645
                          STO     SP090     SAVE FOR LATER RELOAD       PTM03650
                          SRT     6         PACK 12,11,0 ROWS NEXT TO   PTM03655
                          SRA     7         8,9 ROWS AND STORE          PTM03660
                          SRT     3         IN Q REGISTER.              PTM03665
                          LD      SP090     RELOAD COLUMN IN ACC        PTM03670
                    *                                                   PTM03675
                    *     DETERMINE WHICH ROWS OF ROWS 1-7 ARE PUNCHED  PTM03680
                    *                                                   PTM03685
                          LDX   1 10                                    PTM03690
                          AND     SP100     ZERO ALL ROWS EXCEPT 1-7    PTM03695
                          SLCA  1 0                                     PTM03700
                          SLA     1         IS MULTIPLE PUNCH IN 1-7    PTM03705
                          BSC     +-                                    PTM03710
                          MDX     SP030     NO MULTIPLE PUNCHES         PTM03715
                          LD      SP120     USE AMPERSAND (ASM--FF)     PTM03720
                          MDX     SP060     TO INDICATE INVALID PUNCH   PTM03725
                    *                                                   PTM03730
                    *             COLUMN CONTAINS VALID PUNCH           PTM03735
                    *                                                   PTM03740
                    SP030 STX   1 SP090     XR1 = 0 IF NO 1-7 PUNCH,    PTM03745
                          LD      SP090         = 1 IF 7 PUNCH,         PTM03750
                          SLT     4             = 7 IF 1 PUNCH          PTM03755
                          STO     SP050+1   ADD 12,11,0,AND 8 ROWS      PTM03760
                          STO     SP090                                 PTM03765
                          STX   0 SP052+1   BUILD ADDRESS FOR           PTM03770
                    SP040 LD      SP052+1   INDEXED LOAD INST AT SP052  PTM03775
                          A       SP110                                 PTM03780
                          STO     SP052+1                               PTM03785
                          LD      SP090                                 PTM03790
                          SLT     17        STORE 9 ROW IN CARRY        PTM03795
                    SP050 LDX  L1 *-*       XR1 = TABLE LOOK-UP ADDRESS PTM03800
                    SP052 LD   L1 *-*       LOAD TABLE ENTRY            PTM03805
                    *                                                   PTM03810
                    *     IF 9 PUNCH, USE RIGHT HALF OF ENTRY           PTM03815
                    *                                                   PTM03820
                          BSC     C         IF CARRY SET                PTM03825
                          SLA     8         USE RIGHT-HALF, OTHERWISE   PTM03830
                          SRA     8         USE LEFT-HALF OF ENTRY      PTM03835
                    SP060 STO  L2 *-*       STORE CHAR IN BUFFER        PTM03840
                          MDX   2 -1        CHANGE COLUMN POINTER       PTM03845
                          MDX     SP020     TO CONVERT NEXT COLUMN      PTM03850
                    SP070 LDX  L1 *-*       RELOAD XR 1                 PTM03855
                    SP072 LDX  L2 *-*       RELOAD XR 2                 PTM03860
                    SP074 LDS     0         RELOAD STATUS INDICATORS    PTM03865
                          MDX     SP000     GO TO EXIT                  PTM03870
                    *                                                   PTM03875
                    *     CONSTANTS (OTHER THAN TABLE) USED BY ROUTINE  PTM03880
                    *                                                   PTM03885
                    SP090 DC      *-*       TEMPORARY STORE FOR COLUMN  PTM03890
                    SP100 DC      /1FC0     MASK OUT ALL ROWS BUT 1-7   PTM03895
                    SP110 DC      SP130-SP040   DISP. TO BUILD SP052    PTM03900
                    SP120 DC      /EF       ILLEGAL CHAR TO AMPERSAN2-8 PTM03905
                    *                                                   PTM03910
                    *                                                   PTM03915
                    *                                                   PTM03920
                    *             EBCDIC CHARACTER TABLE - BASED ON     PTM03925
                    *             PACKED HOL ( 1-7 ROW COMPLEMENT, 12,  PTM03930
                    *             11,0,8 ROWS ... RIGHT CHAR IF 9 ROW)  PTM03935
                    *                                                   PTM03940
                    *             EBCDIC,HOL ROW PUNCHES,   LEFT,RIGHT  PTM03945
                    *                                                   PTM03950
                    SP130 DC      /40F9  BLANK,(9)          BLANK  9    PTM03955
                          DC      /F838  8,(9)              8           PTM03960
                          DC      /F0E9  0,(9)              ZERO   Z    PTM03965
                          DC      /E828  0,8,(9)            Y           PTM03970
                          DC      /60D9  11,(9)             DASH   R    PTM03975
                          DC      /D818  11,8,(9)           Q           PTM03980
                          DC      /D0A9  11,0,(9)                       PTM03985
                          DC      /A868  11,0,8,(9)                     PTM03990
                    *                                                   PTM03995
                          DC      /50C9  12,(9)             PLUS   I    PTM04000
                          DC      /C808  12,8,(9)           H           PTM04005
                          DC      /C089  12,0,(9)                       PTM04010
                          DC      /8848  12,0,8,(9)                     PTM04015
                          DC      /6A99  12,11,(9)                      PTM04020
                          DC      /9858  12,11,8,(9)                    PTM04025
                          DC      /70B9  12,11,0,(9)                    PTM04030
                          DC      /B878  12,11,0,8,(9)                  PTM04035
                    *                                                   PTM04040
                          DC      /F737  7,(9)              7      EOT  PTM04045
                          DC      /7F3F  7,8,(9)                        PTM04050
                          DC      /E727  7,0,(9)            X      PRE  PTM04055
                          DC      /6F2F  7,0,8,(9)                      PTM04060
                          DC      /D717  7,11,(9)           P      IDL  PTM04065
                          DC      /5F1F  7,11,8,(9)                     PTM04070
                          DC      /A767  7,11,0,(9)                     PTM04075
                          DC      /AFEF  7,11,0,8,(9)                   PTM04080
                          DC      /C707  7,12,(9)           G      DEL  PTM04085
                          DC      /4F0F  7,12,8,(9)                     PTM04090
                          DC      /8747  7,12,0,(9)                     PTM04095
                          DC      /8FCF  7,12,0,8,(9)                   PTM04100
                          DC      /9757  7,12,11,(9)                    PTM04105
                          DC      /9FDF  7,12,11,8,(9)                  PTM04110
                          DC      /B777  7,12,11,0,(9)                  PTM04115
                          DC      /BFFF  7,12,11,0,8,(9)                PTM04120
                    *                                                   PTM04125
                          DC      /F636  6,(9)              6      UC   PTM04130
                          DC      /7E3E  6,8,(9)            EQUAL       PTM04135
                          DC      /E626  6,0,(9)            W      EOB  PTM04140
                          DC      /6E2E  6,0,8,(9)                      PTM04145
                          DC      /D616  6,11,(9)           O      BS   PTM04150
                          DC      /5E1E  6,11,8,(9)                     PTM04155
                          DC      /A666  6,11,0,(9)                     PTM04160
                          DC      /AEEE  6,11,0,8,(9)                   PTM04165
                          DC      /C606  6,12,(9)           F      LC   PTM04170
                          DC      /4E0E  6,12,8,(9)         PLUS        PTM04175
                          DC      /8646  6,12,0,(9)                     PTM04180
                          DC      /8ECE  6,12,0,8,(9)                   PTM04185
                          DC      /9656  6,12,11,(9)                    PTM04190
                          DC      /9EDE  6,12,11,8,(9)                  PTM04195
                          DC      /B676  6,12,11,0,(9)                  PTM04200
                          DC      /BEFE  6,12,11,0,8,(9)                PTM04205
                    *                                                   PTM04210
                          DC      /F535  5,(9)              5      RS   PTM04215
                          DC      /7D3D  5,8,(9)                        PTM04220
                          DC      /E525  5,0,(9)            V      LF   PTM04225
                          DC      /6D2D  5,0,8,(9)                      PTM04230
                          DC      /D515  5,11,(9)           N      NL   PTM04235
                          DC      /5D1D  5,11,8,(9)         )           PTM04240
                          DC      /A565  5,11,0,(9)                     PTM04245
                          DC      /ADED  5,11,0,8,(9)                   PTM04250
                          DC      /C505  5,12,(9)           E      HT   PTM04255
                          DC      /4D0D  5,12,8,(9)         (           PTM04260
                          DC      /8545  5,12,0,(9)                     PTM04265
                          DC      /8DCD  5,12,0,8,(9)                   PTM04270
                          DC      /9555  5,12,11,(9)                    PTM04275
                          DC      /9DDD  5,12,11,8,(9)                  PTM04280
                          DC      /B575  5,12,11,0,(9)                  PTM04285
                          DC      /BDFD  5,12,11,0,8,(9)                PTM04290
                    *                                                   PTM04295
                          DC      /F434  4,(9)             4     PN 2-7 PTM04300
                          DC      /7C3C  4,8,(9)            APOSTROPHE  PTM04305
                          DC      /E424  4,0,(9)            U      BYP  PTM04310
                          DC      /6C2C     4,0,8,(9)      %            PTM04315
                          DC      /D414  4,11,(9)           M      RES  PTM04320
                          DC      /5C1C  4,11,8,(9)         *           PTM04325
                          DC      /A464  4,11,0,(9)                     PTM04330
                          DC      /ACEC  4,11,0,8,(9)                   PTM04335
                          DC      /C404  4,12,(9)           D      PF   PTM04340
                    *                                                   PTM04345
                          DC      /4C0C     4,12,8,(9)     <            PTM04350
                          DC      /8444  4,12,0,(9)                     PTM04355
                          DC      /8CCC  4,12,0,8,(9)                   PTM04360
                          DC      /9454  4,12,11,(9)                    PTM04365
                          DC      /9CDC  4,12,11,8,(9)                  PTM04370
                          DC      /B474  4,12,11,0,(9)                  PTM04375
                          DC      /BCFC  4,12,11,0,8,(9)                PTM04380
                    *                                                   PTM04385
                          DC      /F333  3,(9)              3           PTM04390
                    *                                                   PTM04395
                          DC      /7B3B  3,8,(9)            =           PTM04400
                          DC      /E323  3,0,(9)            T           PTM04405
                          DC      /6B2B  3,0,8,(9)          COMMA       PTM04410
                          DC      /D313  3,11,(9)           L           PTM04415
                          DC      /5B1B  3,11,8,(9)         /           PTM04420
                          DC      /A363  3,11,0,(9)                     PTM04425
                          DC      /ABEB  3,11,0,8,(9)                   PTM04430
                          DC      /C303  3,12,(9)           C           PTM04435
                          DC      /4B0B  3,12,8,(9)         .           PTM04440
                          DC      /8343  3,12,0,(9)                     PTM04445
                          DC      /8BCB  3,12,0,8,(9)                   PTM04450
                          DC      /9353  3,12,11,(9)                    PTM04455
                          DC      /9BDB  3,12,11,8,(9)                  PTM04460
                          DC      /B373  3,12,11,0,(9)                  PTM04465
                          DC      /BBFB  3,12,11,0,8,(9)                PTM04470
                    *                                                   PTM04475
                          DC      /F232  2,(9)              Z           PTM04480
                          DC      /7A3A  2,8,(9)                        PTM04485
                          DC      /E222  2,0,(9)            S           PTM04490
                          DC      /E02A  2,0,8,(9)                      PTM04495
                          DC      /D212  2,11,(9)           K           PTM04500
                          DC      /5A1A  2,11,8,(9)                     PTM04505
                          DC      /A262  2,11,0,(9)                     PTM04510
                          DC      /AAEA  2,11,0,8,(9)                   PTM04515
                          DC      /C202  2,12,(9)           B           PTM04520
                          DC      /4A0A  2,12,8,(9)                     PTM04525
                          DC      /8242  2,12,0,(9)                     PTM04530
                          DC      /8ACA  2,12,0,8,(9)                   PTM04535
                          DC      /9252  2,12,11,(9)                    PTM04540
                          DC      /9ADA  2,12,11,8,(9)                  PTM04545
                          DC      /B272  2,12,11,0,(9)                  PTM04550
                          DC      /BAFA  2,12,11,0,8,(9)                PTM04555
                    *                                                   PTM04560
                          DC      /F131  1,(9)              1           PTM04565
                          DC      /7939  1,8,(9)                        PTM04570
                          DC      /6121  1,0,(9)            SLASH       PTM04575
                          DC      /6929  1,0,8,(9)                      PTM04580
                          DC      /D111  1,11,(9)           J           PTM04585
                          DC      /5919  1,11,8,(9)                     PTM04590
                          DC      /A1E1  1,11,0,(9)                     PTM04595
                          DC      /A020  1,11,0,8,(9)                   PTM04600
                          DC      /C101  1,12,(9)           A           PTM04605
                          DC      /4909  1,12,8,(9)                     PTM04610
                          DC      /8141  1,12,0,(9)                     PTM04615
                          DC      /8000  1,12,0,8,(9)              NUL  PTM04620
                          DC      /9151  1,12,11,(9)                    PTM04625
                          DC      /9010  1,12,11,8,(9)                  PTM04630
                          DC      /B171  1,12,11,0,(9)                  PTM04635
                          DC      /B030  1,12,11,0,8,(9)                PTM04640
                    *                                                   PTM04645
                    *                                                   PTM04650
                    *                                                   PTM04655
                          BSS     3                                     PTM04660
                    SP990 DC      /FFFF     ALLOW 4 WORD PATCH AREA     PTM04665
*SBRKSLS D1          ASM DSF OUTPUT PHASE                         V2M08 PTM04670
                          HDNG    ***  PHASE 10 DSF SUBROUTINES  ***    PTM04675
                    *************************************************** PTM04680
                    *                                                 * PTM04685
                    *STATUS-VERSION 2, MODIFICATION 8                 * PTM04690
                    *                                                 * PTM04695
                    *FUNCTION/OPERATION-                              * PTM04700
                    *                                                 * PTM04705
                    *ENTRY POINTS-                                    * PTM04710
                    *   *SA000+1 - ENTRY FROM DFOUT OR PHASE 12       * PTM04715
                    *   *SA010+1 - ENTRY FROM DFOUT OR PHASE 12       * PTM04720
                    *                                                 * PTM04725
                    *INPUT-N/A                                        * PTM04730
                    *                                                 * PTM04735
                    *OUTPUT                                           * PTM04740
                    *   *THE DATA HEADERS AND SECTORS                 * PTM04745
                    *   *INTERMEDIATE OUTPUT                          * PTM04750
                    *                                                 * PTM04755
                    *EXTERNAL RERERENCES-                             * PTM04760
                    *   *SUBROUTINES-                                 * PTM04765
                    *      * DISK1                                    * PTM04770
                    *      * LDXRS                                    * PTM04775
                    *   *DCOM/COMMA-NONE                           2-8* PTM04780
                    *                                                 * PTM04785
                    *EXITS-                                           * PTM04790
                    *   *NORMAL - TO THE CALLER                       * PTM04795
                    *   * ERROR - NONE                                * PTM04800
                    *                                                 * PTM04805
                    *TABLES/WORK AREAS- N/A                           * PTM04810
                    *                                                 * PTM04815
                    *ATTRIBUTES-REUSABLE                              * PTM04820
                    *                                                 * PTM04825
                    *NOTES-N/A                                        * PTM04830
                    *                                                 * PTM04835
                    *************************************************** PTM04840
                          ORG     /1E8                              2-8 PTM04845
                    *                                                   PTM04850
                          DC      SA130-SA000    WD CNT OF PHASE 10     PTM04855
                          DC      /D1       SLET ID OF PH 10        2-8 PTM04860
                    *************************************************** PTM04865
                    *   DTHDR                                         * PTM04870
                    *   DTHDR ENTERS A DATA HEADER INTO THE OBJECT    * PTM04875
                    *   PROGRAM OUTPUT IN DSF WHEN REQUIRED.  THE     * PTM04880
                    *   PROGRAM WORD COUNT, WRDCT, IS INCREMENTED BY 2* PTM04885
                    *   FOR EACH ENTRY TO SUBROUTINE SINCE EACH DATA  * PTM04890
                    *   HEADER IS TWO WORDS LONG.  THE NUMBER OF WORDS* PTM04895
                    *   TO, AND INCLUDING, EACH NEW DATA HEADER IS    * PTM04900
                    *   STORED IN WORD 2 OF THE LAST DATA HEADER.     * PTM04905
                    *************************************************** PTM04910
                    SA000 BSC  L  *-*  ENTRY POINT DATA HDR GENERATION  PTM04915
                          LD    3 RDTHD-X3                              PTM04920
                          BSC     Z          SKIP IF HDR NEEDED         PTM04925
                          MDX     SA002      BR TO ADJST ADDR CNTRS     PTM04930
                          MDX     SA005      BR TO GENERATE DATA HDR    PTM04935
                    SA002 LD    3 ADCOW-X3   NO DATA HDR NEEDED         PTM04940
                          STO   3 ADCW2-X3                              PTM04945
                          STO  I  DHPTR                                 PTM04950
                          MDX     SA000      BR TO EXIT                 PTM04955
                    SA005 LD    3 DFXR1-X3   COMPUTE NO OF WORDS IN     PTM04960
                          S     3 DHPTR-X3  DATA BLOCK JUST COMPLETED,  PTM04965
                    *                                              2/11 PTM04970
                          MDX  L  DHPTR,1   THE DATA HEADER NOW BEING   PTM04975
                    *                                              2/11 PTM04980
                          STO  I  DHPTR     2ND WORD OF LAST DATA HDR.  PTM04985
                    *                                                   PTM04990
                          LD    3 ADCOW-X3  SET SECONDARY L.A.C. EQUAL  PTM04995
                          STO   3 ADCW2-X3  TO MAIN L.A.C. OF ASSEMBLER PTM05000
                    *                                                   PTM05005
                    *             THE L.A.C. VALUE IS ALSO PLACED       PTM05010
                    *             IN WORD 1 OF NEW DATA HEADER          PTM05015
                    *                                                   PTM05020
                          STO  I  DFXR1                                 PTM05025
                    *                                                   PTM05030
                          LD    3 DFXR1-X3  DATA HDR PTR ADDR IS EQUAL  PTM05035
                          STO   3 DHPTR-X3  TO BUFFER ADDR OF LAST WD   PTM05040
                    *                                                   PTM05045
                          MDX  L  DFXR1,2   RESET XR POINTERS USED BY   PTM05050
                          LD    3 DFXR1-X3  DFOUT SUBR FOR NEW BLOCK    PTM05055
                          S       SA090     OF EIGHT DATA WORDS.        PTM05060
                          STO   3 DFXR2-X3     XR2 (ADDR) = XR1(ADDR)-9 PTM05065
                          SLA     16                                    PTM05070
                          STO   3 DFXR3-X3     XR3 = 0                  PTM05075
                    *                                                   PTM05080
                          MDX  L  MVCNT,1   INCR BUFFER OVRFLO WD CNT   PTM05085
                          NOP               (MAY SKIP)                  PTM05090
                          MDX     SA000     EXIT DATA HEADER SUBR       PTM05095
                    *                                                   PTM05100
                          EJCT                                     2/11 PTM05101
                    *************************************************** PTM05105
                    *   WRDFO                                         * PTM05110
                    *   THIS SUBROUTINE WRITES ONE SECTOR OF DSF      * PTM05115
                    *   OUTPUT WHEN THE DSF OUTPUT BUFFER IS FULL.    * PTM05120
                    *   AFTER THE SECTOR IS WRITTEN, THOSE WORDS PAST * PTM05125
                    *   THE 320TH WORD OF THE BUFFER ARE MOVED BACK TO* PTM05130
                    *   THE BEGINNING OF THE BUFFER.                  * PTM05135
                    *   IN THE EVENT THE BUFFER IS NOT FULL AND WRDFO * PTM05140
                    *   IS ENTERED FROM PHASE 12 END STATEMENT        * PTM05145
                    *   PROCESSING, THE DSF BUFFER IS WRITTEN TO      * PTM05150
                    *   WORKING STORAGE.                              * PTM05155
                    *************************************************** PTM05160
                    SA010 BSC  L  *-*  WRITE DSF OUTPUT ENTRY POINT     PTM05165
                    *                                                   PTM05170
                          LD    3 DFXR1-X3  CHECK FOR OUTPUT POINTER    PTM05175
                          S     3 ENDAD-X3  PAST 320TH WORD OF BUFFER   PTM05180
                          STO   3 MVCNT-X3  SAVE RESULT                 PTM05185
                          BSC     -                                2/11 PTM05190
                          MDX     SA020      OUTPUT BFR IF PLUS         PTM05195
                    *                                                   PTM05200
                    *             IF BUFFER IS NOT FULL, BUT WRDFO      PTM05205
                    *             WAS ENTERED FROM PHASE 12 (END        PTM05210
                    *             STATEMENT PROCESSING), WRITE          PTM05215
                    *             DSF BUFFER TO WORKING STORAGE.        PTM05220
                    *                                                   PTM05225
                          LD    3 OPCNT-X3  OP CODE CONTROL WD = 5      PTM05230
                          EOR     SA100     IF END STATEMENT.           PTM05235
                          BSC     Z          SKIP IF END                PTM05240
                          MDX     SA010      NOT END STMNT, EXIT        PTM05245
                          MDX     SA030                                 PTM05250
                    *                                                   PTM05255
                    SA020 BSI     SA000+1   GENERATE DATA HEADER        PTM05260
                          STX  L0 RDTHD     NO REDUNDANT DATA HEADERS   PTM05265
                    SA030 LDD   3 DSFWR-X3                              PTM05270
                          BSI   3 DISK1-X3  WRITE DSF OUTPUT SECTOR     PTM05275
                          LD   I  DSADR                                 PTM05280
                          A       SA110     INCREMENT DSF BUFFER        PTM05285
                          STO  I  DSADR     SCTR ADDR BY 1.             PTM05290
                          MDX  L  SCRA,-1   DECREMENT W.S. SCTRS        PTM05295
                          NOP               (MAY SKIP)                  PTM05300
                    *                                                   PTM05305
                          LD    3 MVCNT-X3  USE NO. OF WORDS PAST END   PTM05310
                          STO     SA040+1   OF BUFFER AS A LOOP COUNTER PTM05315
                          LDX  I1 STADR     XR1 = START OF DSF BUFFER   PTM05320
                          LDX  I2 ENDAD     XR2 = END OF DSF BUFFER     PTM05325
                    SA040 LDX  L3 *-*       XR3 = LOOP CTR FOR MOVE     PTM05330
                          BSC     +Z         SKIP NOT END          2/11 PTM05335
                          MDX     SA065      END BRANCH TO END     2/11 PTM05336
                          BSC     +                                2/11 PTM05340
                          MDX     SA060                            2/11 PTM05341
                    *                                                   PTM05345
                    SA050 LD    2 0                                     PTM05350
                          STO   1 0         THIS LOOP MOVES THOSE       PTM05355
                          MDX   1 +1        WORDS WHICH HAVE OVERFLOWED PTM05360
                          MDX   2 +1        THE DSF BUFFER BACK TO      PTM05365
                          MDX   3 -1        THE BEGINNING OF THE BUFFER PTM05370
                          MDX     SA050                                 PTM05375
                    *                                                   PTM05380
                    SA060 MDX   1 -8        RESET XR1 AND XR2 TO        PTM05385
                          STX  L1 DFXR2     CONTINUE DATA OUTPUT        PTM05390
                          MDX   1 +9        AT BEGINNING OF DSF BUFFER  PTM05395
                          STX  L1 DFXR1                                 PTM05400
                          LD   L  DHPTR                                 PTM05405
                          S       SA120     MOVE DATA HEADER POINTER    PTM05410
                          STO  L  DHPTR      ADDR BACK TO START OF BFR  PTM05415
                    SA065 BSI  L  LDXRS     RELOAD REGISTERS 1,3        PTM05420
                    *                                                 * PTM05425
                          MDX     SA010      EXIT WRITE DSF SUBR        PTM05430
                    *                                                   PTM05435
                    *             PHASE 10 CONSTANTS                    PTM05440
                    *                                                   PTM05445
                    *                                              2-11 PTM05450
                    SA090 DC      9    ADJUST XR1 ADDR TO XR2 ADDR      PTM05455
                    SA100 DC      6    OP CODE CONTROL FOR END INST.2-8 PTM05460
                    SA110 DC      1         UPDATE DSF BFR SCTR ADDR    PTM05465
                    SA120 DC      320  UPDATE DATA HDR POINTER ADDR     PTM05470
                    *                                              2-11 PTM05471
                    *     NOTE - IF THIS PHASE IS INCREASED, A     2-11 PTM05472
                    *      BSS MAY HAVE TO BE ADDED BEFORE P9380   2-11 PTM05473
                    *      TO ALLOW FOR THE INCREASED SIZE.        2-11 PTM05474
                    *                                              2-11 PTM05475
                    SA130 EQU     *         END OF PHASE 10        2-11 PTM05476
*SBRKSLS D2          ASM INTERMEDIATE INPUT PHASE                 V2M08 PTM05480
                          HDNG    ***  PHASE 11 INTERMED. INPUT  ***    PTM05485
                    *************************************************** PTM05490
                    *                                                 * PTM05495
                    *STATUS-VERSION 2, MODIFICATION 8                 * PTM05500
                    *                                                 * PTM05505
                    *FUNCTION/OPERATION-                              * PTM05510
                    *                                                 * PTM05515
                    *ENTRY POINTS-                                    * PTM05520
                    *   *SB000+1 - ENTRY FROM DLDLBL OR PHASE 12      * PTM05525
                    *                                                 * PTM05530
                    *INPUT-N/A                                        * PTM05535
                    *                                                 * PTM05540
                    *OUTPUT                                           * PTM05545
                    *   *A SOURCE STATEMENT TO THE INPUT BUFFER       * PTM05550
                    *                                                 * PTM05555
                    *EXTERNAL RERERENCES-                             * PTM05560
                    *   *SUBROUTINES-                                 * PTM05565
                    *      * LDXRS                                    * PTM05570
                    *   *DCOM/COMMA-                                  * PTM05575
                    *       $PHSE                                     * PTM05580
                    *                                                 * PTM05585
                    *EXITS-                                           * PTM05590
                    *   *NORMAL - TO PHASE 9                          * PTM05595
                    *   * ERROR - NONE                                * PTM05600
                    *                                                 * PTM05605
                    *TABLES/WORK AREAS- N/A                           * PTM05610
                    *                                                 * PTM05615
                    *ATTRIBUTES-REUSABLE                              * PTM05620
                    *                                                 * PTM05625
                    *NOTES-N/A                                        * PTM05630
                    *                                                 * PTM05635
                    *************************************************** PTM05640
                          ORG     /01E8+BUMP#                      2-11 PTM05645
                    *                                                   PTM05650
                          DC      SB080-SB000    WORD COUNT, PHASE 11   PTM05655
                          DC      /D2       SLET ID OF PH 11        2-8 PTM05660
                    SB000 BSC  L  *-*       ENTRY POINT (INT2)          PTM05665
                          LD      SB065     INDICATE THAT PHASE 11      PTM05670
                          STO  L  $PHSE      OF ASSEMBLER IS IN CONTROL PTM05675
                    *                                              2-11 PTM05680
                    *                                              2-11 PTM05685
                    *                                              2-11 PTM05690
                    *                                              2-11 PTM05695
                    *                                              2-11 PTM05700
                    *                                              2-11 PTM05705
                    *                                              2-11 PTM05710
                    *                                              2-11 PTM05715
                    *                                              2-11 PTM05720
                    *                                              2-11 PTM05725
                    *                                              2-11 PTM05730
                    *                                              2-11 PTM05735
                    *                                              2-11 PTM05740
                    *                                              2-11 PTM05745
                          LDX   2 +80                                   PTM05750
                          LD      SB055     CLEAR 80 WORD INPUT BUFFER  PTM05755
                    SB005 STO   1 +1        TO EBCDIC BLANKS.           PTM05760
                          MDX   1 +1                                    PTM05765
                          MDX   2 -1                                    PTM05770
                          MDX     SB005                                 PTM05775
                    *                                                   PTM05780
                          BSI   3 LDXRS-X3  RELOAD REGISTERS 1,3        PTM05785
                    SB010 LDX  I2 PRFIX     ADDR OF BUFFER TO XR2  2-11 PTM05790
                          BSI     SB040+1   CHECK IF INT.I/O BUFR FULL  PTM05795
                          MDX   1 +21       XR1 POINTS TO COL. 21       PTM05800
                          LD    2 0         USE CONTENTS OF PREFIX WD   PTM05805
                          STO     SB015+1   AS UNPACK LOOP COUNTER      PTM05810
                    SB015 LDX  L3 *-*       XR3 = STATEMENT CHAR COUNT  PTM05815
                          MDX   3 -1         SET TO PREFIX WD - 1       PTM05820
                          NOP                MIGHT SKIP                 PTM05825
                          MDX   2 1         BUMP PAST COUNTER WORD 2-11 PTM05830
                          BSI     SB040+1   TEST IF BUFFER EMPTY   2-11 PTM05831
                          LD    2 0         1ST WORD OF BUFFER     2-11 PTM05832
                          RTE     8         SAVE ONLY FIRST WORD   2-11 PTM05833
                          S       SB055     TEST IF BLANK          2-11 PTM05834
                          BSC     +-        SKIP IF LABEL FOUND    2-11 PTM05835
                          MDX   1 5         ADJUST FOR NO LABEL    2-11 PTM05836
                    SB020 BSI     SB040+1   TEST IF EMPTY BUFFER   2-11 PTM05837
                          LD    2 0         GET TWO CHARACTERS     2-11 PTM05840
                          RTE     8         SPLIT THEM APART       2-11 PTM05841
                          STO   1 0         SET IN INPUT BUFFER    2-11 PTM05842
                          SLA     8         GET NEXT CHARACTER     2-11 PTM05843
                          SLT     8              TO A REG          2-11 PTM05844
                          STO   1 1         SET IN INPUT AREA      2-11 PTM05845
                          MDX   1 +2        NEXT TWO COLUMNS            PTM05870
                          MDX   2 +1        NEXT BUFFER WORD            PTM05875
                          MDX   3 -1        DECREMENT LOOP COUNTER      PTM05880
                          MDX     SB020     CONTINUE WITH NEXT WORD     PTM05885
                    *                                                   PTM05890
                    *             STATEMENT IS NOW IN INPUT BUFFER      PTM05895
                    *                                                   PTM05900
                          STX  L2 PRFIX     SAVE BUFFER POINTER    2-11 PTM05905
                    SB030 BSI  L  LDXRS     RELOAD REGISTERS 1,3        PTM05910
                          LDX   2 59        SCAN FOR MACRO INDICATO2-11 PTM05911
                    SB025 LD    1 20        START AT COL 21 END    2-11 PTM05912
                          EOR     SB056     = PLUSI INDICATOR      2-11 PTM05913
                          BSC     +-        SKIP IF NOT MACRO YET  2-11 PTM05914
                          MDX     SB027     BRANCH IF INDICATOR FOU2-11 PTM05915
                          MDX   1 1         ADVANCE COL POINTER    2-11 PTM05916
                          MDX   2 -1        DECR COUNT TO DO       2-11 PTM05917
                          MDX     SB025     SEARCH FOR MORE        2-11 PTM05918
                          LD      SB055     GET A BLANK FOR COL 20 2-11 PTM05919
                    SB026 BSI   3 LDXRS-X3  RESTORE XR 1           2-11 PTM05920
                          STO   1 20        SET INDICATOR IN COL 202-11 PTM05921
                          MDX     SB000     EXIT (INT2)            2-11 PTM05922
                    *                                              2-11 PTM05923
                    SB027 LD      SB055     REPLACE CHAR WITH BLANK2-11 PTM05924
                          STO   1 20                               2-11 PTM05925
                          LD      SB057     PLACE A PLUS IN COL 20 2-11 PTM05926
                          MDX     SB026                            2-11 PTM05927
                    *                                              2-11 PTM05928
                          SLT     32        CLEAR A AND Q          2-11 PTM05929
                    SB040 BSC  L  *-*       BUFFER FULL TEST            PTM05930
                          STX  L2 PRFIX     COMPARE CURRENT BUFFER 2-11 PTM05935
                          LD   L  PRFIX     FETCH CURRENT WORD ADDR2-11 PTM05940
                          S       SB060     BUFFER ADDR CONSTANT        PTM05945
                    SB045 BSC     Z                                     PTM05950
                          MDX     SB040-1   EXIT IF NOT EQUAL      2-11 PTM05955
                          LDD     SB070     SET-UP TO USE DISKZ TO      PTM05960
                    SB046 MDX  L  BUFI+1,1  SECTR ADDR + 1         2-11 PTM05965
                          BSI  L  DISK1      READ NEXT INT. I/O SCTR    PTM05970
                          MDX  L2 -320      MOVE BUFFER WORD PTR TO     PTM05975
                          MDX     SB040+2   FORCE EXIT             2-11 PTM05985
                    *                                                   PTM05990
                    *             CONSTANTS                             PTM05995
                    *                                                   PTM06000
                    SB055 DC      .         EBCDIC BLANK                PTM06015
                    SB056 DC      /0041     MACRO STATEMENT INDICAT2-11 PTM06017
                    SB057 DC      .+        EBCDIC PLUS FOR MACRO S2-11 PTM06018
                    SB060 DC      BUFI+322  END OF BUFFER ADDRESS  2-11 PTM06020
                    SB065 DC      /D2       SLET ID OF PH 11        2-8 PTM06025
                          BSS  E  0         MAKE NEXT LOCATION EVEN     PTM06030
                    SB070 DC      /7000     DISKZ READ CODE             PTM06035
                          DC      BUFI      DISK I/O AREA ADDR     2-11 PTM06042
                          BSS     INTBF-*+SB000-4 PATCH AREA       2-11 PTM06044
                    SB080 DC      0         END OF PHASE 11 (INT2) 2-11 PTM06045
*SBRKSLS D3          ASM END STATEMENT PHASE                      V2M08 PTM06050
                          HDNG    PHASE 12 VERSION 2 - END STMNT        PTM06055
                    *************************************************** PTM06060
                    *                                                 * PTM06065
                    *STATUS - VERSION 2, MODIFICATION 12              * PTM06070
                    *                                                 * PTM06075
                    *FUNCTION/OPERATION-                              * PTM06080
                    *   *PHASE 11 IS FETCHED INTO CORE IN PASS 1      * PTM06085
                    *    DURING PHASE 12 END STATEMENT PROCESSING IF  * PTM06090
                    *    THE ASSEMBLY IS IN ONE-PASS MODE.            * PTM06095
                    *   *THE SOURCE STATEMENTS SAVED IN PASS 1 ARE    * PTM06100
                    *    READ BACK ONTO CORE IN PASS 2 IN SUCH A WAY  * PTM06105
                    *    THAT THEY ARE INDISTINGUISHABLE FROM         * PTM06110
                    *    STATEMENTS READ FROM THE PRINCIPAL I/O       * PTM06115
                    *    DEVICE.                                      * PTM06120
                    *   *THE SOURCE STATEMENTS ARE READ, ONE SECTOR AT* PTM06125
                    *    A TIME, INTO THE FIRST DISK BUFFER (BUFI).   * PTM06130
                    *   *PHASE 11 PROCESSES THE RECORDS, ONE STATEMENT* PTM06135
                    *    AT A TIME, AND SAVES THE UNPACKED STATEMENT  * PTM06140
                    *    IN THE INPUT BUFFER.                         * PTM06145
                    *   *IN PASS 1,                                   * PTM06150
                    *        *PHASE 12 BUILDS THE PROGRAM HEADER      * PTM06155
                    *         RECORD IN THE DSF BUFFER.               * PTM06160
                    *        *SEVERAL COUNTERS ARE REINITIALIZED IN   * PTM06165
                    *         ASCOM AND THE BUFFER POINTERS ARE RESET * PTM06170
                    *         FOR DSF OUTPUT.                         * PTM06175
                    *        *PHASE 10 IS FETCHED INTO CORE AND A     * PTM06180
                    *         CHECK IS MADE ON THE PASS MODE.         * PTM06185
                    *        *IF THE ASSEMBLY IS IN TWO-PASS MODE,    * PTM06190
                    *         PHASE 1 IS FETCHED AND CONTROL IS       * PTM06195
                    *         PASSED TO IT.                           * PTM06200
                    *        *IF THE ASSEMBLY IS IN ONE-PASS MODE, THE* PTM06205
                    *         END STATEMENT IS SAVED IN THE           * PTM06210
                    *         INTERMEDIATE I/O BUFFER AND THE BUFFER  * PTM06215
                    *         IS WRITTEN TO THE DISK.  PHASE 11 IS    * PTM06220
                    *         FETCHED INTO CORE AND THE FIRST SECTOR  * PTM06225
                    *         OF INTERMEDIATE I/O IS READ INTO THE    * PTM06230
                    *         FIRST DISK BUFFER (BUFI).               * PTM06235
                    *        *A BRANCH IS THEN MADE TO PHASE 11 TO    * PTM06240
                    *         TRANSFER THE FIRST STATEMENT FROM THE   * PTM06245
                    *         INTERMEDIATE I/O BUFFER TO THE SOURCE   * PTM06250
                    *         INPUT BUFFER.                           * PTM06255
                    *        *PHASE 1 IS THEN FETCHED ONTO CORE AND   * PTM06260
                    *         CONTROL IS TRANSFERRED TO IT.           * PTM06265
                    *   *IN PASS 2,                                   * PTM06270
                    *        *PHASE 12 BRANCHES TO DTHDR TO BUILD THE * PTM06275
                    *         END-OF-PROGRAM DATA HEADER.             * PTM06280
                    *        *IF THE SOURCE PROGRAM HAS AN ENTRY      * PTM06285
                    *         POINT, AND EXECUTION ADDRESS OF ZERO IS * PTM06290
                    *         SAVED IN ASCOM AND IN THE SOURCE        * PTM06295
                    *         STATEMENT BUFFER.  IF THE SOURCE PROGRAM* PTM06300
                    *         DOES NOT HAVE AN ENTRY POINT, A BRANCH  * PTM06305
                    *         IS MADE TO THE SCAN ROUTINE TO EVALUATE * PTM06310
                    *         THE EXCUTION ADDRESS, I.E., THE END     * PTM06315
                    *         STATEMENT OPERAND.  THIS ADDRESS IS     * PTM06320
                    *         SAVED IN ASCOM AND IN THE SOURCE        * PTM06325
                    *         STATEMENT BUFFER.                       * PTM06330
                    *        *THE LAST SECTOR OF DSF OUTPUT IS WRITTEN* PTM06335
                    *         TO THE DISK AND THE DISK BLOCK COUNT OF * PTM06340
                    *         THE PROGRAM IS SAVED IN ASCOM.          * PTM06345
                    *        *PHASE 12 THEN FETCHES PHASE 3 TRANSFERS * PTM06350
                    *         CONTROL TO IT.                          * PTM06355
                    *                                                 * PTM06360
                    *ENTRY POINTS-                                    * PTM06365
                    *   * SC010 - ENTRY FROM PHASE 9                  * PTM06370
                    *                                                 * PTM06375
                    *INPUT-N/A                                        * PTM06380
                    *                                                 * PTM06385
                    *OUTPUT                                           * PTM06390
                    *   * THE CONSTRUCTED OP CODE FOR THE END         * PTM06395
                    *     STATEMENT                                   * PTM06400
                    *                                                 * PTM06405
                    *EXTERNAL RERERENCES-                             * PTM06410
                    *   *SUBROUTINES-                                 * PTM06415
                    *      * B4HEX                                    * PTM06420
                    *      * DISK1                                    * PTM06425
                    *      * DTHDR                                    * PTM06430
                    *      * ERFLG                                    * PTM06435
                    *      * GETS5                                    * PTM06440
                    *      * GETS6                                    * PTM06445
                    *      * GETS7                                    * PTM06450
                    *      * GETS8                                    * PTM06455
                    *      * GTS8A                                    * PTM06460
                    *      * LDXRS                                    * PTM06465
                    *      * P9MVE                                    * PTM06470
                    *      * SCAN                                     * PTM06475
                    *      * WRDFO                                    * PTM06480
                    *   *DCOM/COMMA-                                  * PTM06485
                    *       $IBSY                                     * PTM06490
                    *       $PHSE                                     * PTM06495
                    *       #HDNG                                     * PTM06500
                    *                                                 * PTM06505
                    *EXITS-                                           * PTM06510
                    *   *NORMAL - MASTER OVERLAY CONTROL SUBROUTINE   * PTM06515
                    *   *ERROR - ERFLG SUBROUTINE                     * PTM06520
                    *                                                 * PTM06525
                    *TABLES/WORK AREAS- N/A                           * PTM06530
                    *                                                 * PTM06535
                    *ATTRIBUTES-REUSABLE                              * PTM06540
                    *                                                 * PTM06545
                    *NOTES-N/A                                        * PTM06550
                    *                                                 * PTM06555
                    *************************************************** PTM06560
                    *                                                   PTM06565
                          ORG     OVLAY                                 PTM06570
                          DC      SC180-SC000   WD CNT OF PHASE 12      PTM06575
                          DC      -/D3      SLET ID OF PH 12        2-8 PTM06580
                    PHS12 DC      SC170-PHS12  ADDR OF ID TABLE         PTM06585
                          DC      6         NO. OF ID'S TO BE FILLED2-8 PTM06590
                          ORG     *-2                                   PTM06595
                    SC000 BSC  L  GETS5     FETCH PHASE 5           2-8 PTM06600
                          BSC  L  GETS6     FETCH PHASE 6           2-8 PTM06605
                          BSC  L  GETS7     FETCH PHASE 7           2-8 PTM06610
                          BSC  L  GETS8     FETCH PHASE 8           2-8 PTM06615
                          BSC  L  GTS8A     FETCH PHASE 8A          2-8 PTM06620
                          BSC  L  SC010      BR TO PHASE 12 (IN CORE)   PTM06625
                          BSC  L  GTS13     FETCH MACRO PH 1        2-8 PTM06630
                    *                                                 * PTM06635
                    PH2AD DC      OVLAY+16  PH 2 XEQ ADDR           2-8 PTM06640
                          DC      /D3       SLET ID OF PH 12        2-8 PTM06645
                    SC010 LD      *-2                                   PTM06650
                          STO  L  $PHSE      SET PHASE ID IN RES MON    PTM06655
                          LD    3 PASS-X3    DETM ASM PASS              PTM06660
                          BSC  L  SC100,Z    BR IF SECOND               PTM06665
                    *                                                 * PTM06670
                          STO   3 ERCNT-X3     SWTCHS                   PTM06675
                          STO   3 ADCOW-X3       TO                     PTM06680
                          STO   3 OPCNT-X3      ZERO                    PTM06685
                          STO   3 MCOM5-X3                          2-8 PTM06690
                          STO   3 MCOM6-X3   REST. GEN. LBL. CNTR  2/11 PTM06691
                          LD      PH2AD                                 PTM06695
                          STO  L  OPVND     RESET GET 2 ADDR IN PH 92-8 PTM06700
                          LD    3 OFCNT-X3                              PTM06705
                          BSC  L  SC015,+-                              PTM06710
                          LD   L  WRTBF                                 PTM06715
                          STO   3 OFLOW-X3                              PTM06720
                          LDD   3 OFLOW-X3                              PTM06725
                          BSI   3 DISK1-X3                              PTM06730
                          LD   L  SC950                             2-8 PTM06735
                          STO   3 OFLOW-X3                              PTM06740
                    SC015 LDX  I2 STADR                                 PTM06745
                          LDX   1 51                                    PTM06750
                          SLA     16                                    PTM06755
                    SC020 STO   2 0          CLEAR FIRST 51             PTM06760
                          MDX   2 1          WORDS OF HEADER            PTM06765
                          MDX   1 -1         TO ZERO                    PTM06770
                          MDX     SC020                                 PTM06775
                    *                                                 * PTM06780
                          MDX   2 -42        SET XR2 TO BFR+9           PTM06785
                          LD    3 HTYPE-X3   FETCH PROG TYPE (W/PREC),  PTM06790
                          STO   2 -7           HEADER LENGTH, AND       PTM06795
                          LD    3 FILE-X3      NUMBER OF FILES DEFINED  PTM06800
                          STO   2 -1           FROM ASM COMMA AND       PTM06805
                    *                                                 * PTM06810
                          LD    3 ILSSW-X3                              PTM06815
                          OR    3 ISSSW-X3                              PTM06820
                          BSC  L  SC040,+-   BR IF NOT ISS OR ILS       PTM06825
                          S     3 ILSSW-X3                              PTM06830
                          BSC  L  SC030,Z    BR IF ISS                  PTM06835
                    *                                                 * PTM06840
                          LD    3 ISSNO-X3   INTRPT,LEVEL NUMBER        PTM06845
                          STO   2 +3         TO WRD 13 OF HEADER REC    PTM06850
                          MDX     SC040      BR TO FINISH THE HEADER    PTM06855
                    *                                                 * PTM06860
                    SC030 LD    3 ISSNO-X3   MOVE ISS NO.               PTM06865
                          STO   2 +4         AND NO. LEVELS             PTM06870
                          A    L  H0032                                 PTM06875
                          STO   2 +3         ISS NO. + 50 TO WRD. 13    PTM06880
                          LD    3 NLVLS-X3   REQUIRED TO WORDS          PTM06885
                          STO   2 +5         14-15 OF HEADER RECORD     PTM06890
                          STO     *+1                                   PTM06895
                          LDX  L1 *-*        NO. OF LEVELS TO XR1       PTM06900
                    *                                                 * PTM06905
                          LD    3 INTL1-X3   MOVE INT LEV 1             PTM06910
                          STO   2 +6         TO WRD 16                  PTM06915
                          MDX  L  HDLTH,+1   INCRE HEADER LENGTH        PTM06920
                          MDX   1 -1         IS LEV 2 REQUIRED          PTM06925
                          MDX     *+1        YES, SKIP                  PTM06930
                          MDX     SC040      NO, BR TO CONTINUE         PTM06935
                          LD    3 INTL1+1-X3 MOVE INT LEV 2             PTM06940
                          STO   2 +7         TO WRD 17                  PTM06945
                          MDX  L  HDLTH,+1   INCRE HEADER LENGTH        PTM06950
                    *                                                 * PTM06955
                    SC040 LD    3 SCOMN-X3   MOVE THE SIZE OF           PTM06960
                          STO   2 -5         COMMON TO WRD 5            PTM06965
                          LD    3 HDLTH-X3                              PTM06970
                          STO   2 -4         SET UP HDR LENGTH IN HDR   PTM06975
                          STX   2 SC043+1    SAVE XR2                   PTM06980
                          LD    3 ENTSW-X3                              PTM06985
                          OR    3 ILSSW-X3                              PTM06990
                          OR    3 ISSSW-X3   CHECK FOR AN ENTRY POINT   PTM06995
                          BSC  L  SC043+3,Z  BR IF ENTRY POINT PRESENT  PTM07000
                    *                                                 * PTM07005
                          BSI   3 LDXRS-X3   GO RELOAD XR1              PTM07010
                          MDX   1 +35        POINT TO CC 35             PTM07015
                          BSI  L  SCAN      BR TO SCAN XEQ ADDR     2-8 PTM07020
                          LD    3 VALUE-X3                              PTM07025
                    SC043 LDX  L2 *-*        RESTO XR2                  PTM07030
                          STO   2 +2         XEQ ADDR TO HDR            PTM07035
                    *                                                 * PTM07040
                          LD    3 STADR-X3                              PTM07045
                          A     3 HDLTH-X3   ADJUST THE OUTPUT          PTM07050
                          A       NINE       BFR POINTER AND            PTM07055
                          STO   3 DHPTR-X3   SAVE IT IN COMMA           PTM07060
                    *                                                 * PTM07065
                          A       TWO                                   PTM07070
                          STO   3 DFXR1-X3   SET BFR POINTERS           PTM07075
                          S       NINE       IN COMMA FOR               PTM07080
                          STO   3 DFXR2-X3   DSF OUTPUT                 PTM07085
                    *                                                 * PTM07090
                          LDX   2 8          SET TO CLEAR 8 SWTCHS      PTM07095
                          SLT     32                                    PTM07100
                    SC045 STD  L2 INTL1-2    CLEAR TO ZERO (REINITIAL)  PTM07105
                          MDX   2 -2         THE HDR INFO SWTCHS IN     PTM07110
                          MDX     SC045      COMMA.                     PTM07115
                          LD      H2000                                 PTM07120
                          STO   3 ENTCT-X3   REINITIAL ENT CNT          PTM07125
                    *                                                 * PTM07130
                          LDD  L  SC170+10  WD CNT & SCTR ADDR OF       PTM07135
                          STD  I  SC900     PHASE 10 TO BFR HDR     2-8 PTM07140
                          LD      SC900     PH 10 ADDR IN ACC       2-8 PTM07145
                          RTE     16         IN Q AND BFR HEADER        PTM07150
                          LD      SC950     SET UP READ FUNCTION    2-8 PTM07155
                          BSI   3 DISK1-X3   GO TO LOAD PHASE 10        PTM07160
                    *                                                 * PTM07165
                          LD    3 TLIST-X3                              PTM07170
                          STO   3 LSTOP-X3   RESTO ORIG LIST CONDITION  PTM07175
                          LD    3 ADJSA-X3                              PTM07180
                          STO  I  DSADR      ADJUST WD SA FOR DSF BFR   PTM07185
                    *                                                 * PTM07190
                          LD    3 PSMDE-X3   CHECK PASS MODE            PTM07195
                          BSC  L  SC050,Z    BR IF TWO                  PTM07200
                          BSI   3 LDXRS-X3  GO TO RESTO XR1 + 3         PTM07205
                    *                                                 * PTM07210
                          BSI  L  INT1      SAV END STMNT IN INT. BFR2-8PTM07215
                    *                                                 * PTM07220
                          LD      SC910     SET UP FUNC & I/O BFR   2-8 PTM07225
                          RTE     16                                    PTM07230
                          LD      WRTBF                                 PTM07235
                    *                                                 * PTM07240
                          BSI   3 DISK1-X3   GO TO WRT CURR BFR TO DISK PTM07245
                    *                                                 * PTM07250
                          LDD  L  SC170+14  WD CNT & SCTR ADDR OF       PTM07255
                          STD  I  SC920     PHASE 11 TO BFR HDR     2-8 PTM07260
                          LD      SC920      I/O ADDR               2-8 PTM07265
                          RTE     16         SET UP READ FUNC           PTM07270
                          LD      SC950                             2-8 PTM07275
                          BSI   3 DISK1-X3   GO TO LOAD PHASE 11        PTM07280
                          LD      SC900     FETCH ADDR OF PREFIX ADDR2-8PTM07285
                          S       ONE                                   PTM07290
                          STO     SC047+1                               PTM07295
                    *                                                 * PTM07300
                          LD      SC910     I/O BFR ADDR TO ACC     2-8 PTM07305
                          A       ONE                                   PTM07310
                          STO     SC048+1                               PTM07315
                          A       ONE                                   PTM07320
                    SC047 STO  L  *-*                                   PTM07325
                          LD   I  SC048+1   SAVE END SCTR ADDR      2-8 PTM07330
                          STO  L  MCGEN     *INTERM I/P             2-8 PTM07335
                          LD    3 ADJSA-X3   ADDR TO INTERM             PTM07340
                    SC048 STO  L  *-*                                   PTM07345
                    *                                                 * PTM07350
                          LD      SC910     I/O BFR ADDR TO ACC     2-8 PTM07355
                          RTE     16             TO Q                   PTM07360
                          LD      SC950     READ FUNC CODE          2-8 PTM07365
                          BSI   3 DISK1-X3   GO TO RD FIRST SCTR        PTM07370
                    *                                                 * PTM07375
                          BSI  L  INT2      1ST STMNT TO SOURCE BFR 2-8 PTM07380
                    *                                                 * PTM07385
                    SC050 LDD  L  SC170+2   WD CNT & SCTR ADDR OF PH. 1 PTM07390
                          STD   3 OVLAY-X3                              PTM07395
                          LD      OVRAD      SET UP OVERLAY ADDR        PTM07400
                          STO   3 P0140+1-X3   IN PHASE 0               PTM07405
                          LDX   3 +32        LOOP CNTR                  PTM07410
                          LDX  I2 SC930     ADDR OF HDNG BFR        2-8 PTM07415
                          LDD     PCKBL                                 PTM07420
                    SC051 STD   2 +1         CLEAR THE HDNG BFR         PTM07425
                          MDX   2 +2         TO BLANKS.                 PTM07430
                          MDX   3 -2         DECRE LOOP CNTR            PTM07435
                          MDX     SC051      LOOP TIL COMPLETE          PTM07440
                          STO   2 +1         BLANK LAST WORD OF BFR     PTM07445
                    *                                                 * PTM07450
                          LD   L  LDKOP      CHECK LIST DECK SWTCH      PTM07455
                          BSC  L  SC060,+-   BR IF OFF                  PTM07460
                          LDX  I3 SC940     FETCH ADDR OF RDCRD SUBR2-8 PTM07465
                          MDX   3 +66       PT TO XCH BFR CODE      2-8 PTM07470
                          LDD     TSTIB      MODIFY CODING TO           PTM07475
                          STD   3 0          LOOP ON $IBSY UNTIL        PTM07480
                          LDD     TSTIB+2    NEXT RCRD IS IN CORE.      PTM07485
                          STD   3 +2                                    PTM07490
                    *                                                 * PTM07495
                          LD   L  RDBFR      PREVENT DOUBLE BUFFERING   PTM07500
                          STO  L  RDBFR+1                               PTM07505
                    *                                                 * PTM07510
                    SC060 BSI  L  LDXRS      RESTO XR1 & XR3            PTM07515
                          LD      SC930                             2-8 PTM07520
                          S       ONE        INITIAL IOAR ADDR FOR      PTM07525
                          STO     *+2        DISK READ OF PAGE NUMBER   PTM07530
                          LDD     PGHDR                                 PTM07535
                          STD  L  *-*        SET TO READ #HDNG          PTM07540
                    SC065 EQU     *-1                               2-8 PTM07545
                          LD      *-2                                   PTM07550
                          RTE     16                                    PTM07555
                          LD      SC950                             2-8 PTM07560
                          BSI   3 DISK1-X3   BR TO READ THE PAGE HDR    PTM07565
                    *                                                   PTM07570
                          LD      HDCNT      SET PAGE HEADER            PTM07575
                          STO  I  SC065     SET DK WRITE WD CNT     2-8 PTM07580
                    *                                                 * PTM07585
                          LD      SC065     SET TO WRITE HDNG       2-8 PTM07590
                          RTE     16                                2-8 PTM07595
                          LD      WRTBF                             2-8 PTM07600
                          BSI   3 DISK1-X3  INITIALIZE DK HDNG      2-8 PTM07605
                          MDX  L  PASS,+1    SET TO PASS 2              PTM07610
                          BSC  L  P0130      LOAD AND TRANS TO PHASE 1  PTM07615
                    *                                                 * PTM07620
                    * FOLLOWING IS A TABLE OF CONSTANTS               * PTM07625
                    * USED BY PHASE 12 IN BOTH PASSES                 * PTM07630
                    *                                                 * PTM07635
                    SC900 DC      P10AA     PHASE 10 I/O AREA ADDR  2-8 PTM07640
                    SC910 DC      BUFI      ADDR DISK BFR 1         2-8 PTM07645
                    SC920 DC      P11AA     PHASE 11 I/O AREA ADDR  2-8 PTM07650
                    SC930 DC      HDGBF     PAGE HEADING BFR ADDR   2-8 PTM07655
                    HDCNT DC      33         PAGE HDR WORD CNT          PTM07660
                    ONE   DC      1          CONSTANT 1                 PTM07665
                    TWO   DC      2          CONSTANT 2                 PTM07670
                    NINE  DC      9          CONSTANT 9                 PTM07675
                    SC950 DC      /7000     RD FUNC CODE            2-8 PTM07680
                    WRTBF DC      /7001      WRT FUNC CODE              PTM07685
                    SYNER DC      .S         RT JUSTIFIED EBC S         PTM07690
                    RLCER DC      .R         RT JUSTIFIED EBC R         PTM07695
                    SC955 DC      /0040     EBC BLANK               2-8 PTM07700
                    OVRAD DC      OVLAY+2                               PTM07705
                    H2000 DC      /2000      INITIAL SETTING OF ENTCT   PTM07710
                    ADDRP DC      STRT9+1    IOAR ADDR FOR PNCH CONV    PTM07715
                          BSS  E  0                                     PTM07720
                    PGHDR DC      10         WD CNT AND                 PTM07725
                          DC      #HDNG      SCTR ADDR OF PAGE HDNG.    PTM07730
                    PCKBL DC      /4040      TWO WORDS OF               PTM07735
                          DC      /4040      PCKED EBC BLNKS.           PTM07740
                    TSTIB MDX  L  $IBSY,0    THIS CHECK OF $IBSY IS     PTM07745
                          MDX     *-3        TRANSFERED TO PH. 9 IF     PTM07750
                          NOP                A LIST DECK IS REQ.        PTM07755
                    SCONE DC      1          CONSTANT ONE               PTM07760
                    TWNTY DC      20         CONSTANT 20                PTM07765
                    H0013 DC      /0013      CONSTANT 19                PTM07770
                    H0032 DC      /32        CONSTANT 50 FOR ISS NO.    PTM07775
                    *                                                 * PTM07780
                    *                                                 * PTM07785
                    SC100 LD    3 PASS-X3                           2-8 PTM07790
                          BSC  L  SC165,+Z  BR-CROSS REFERENCE PASS 2-8 PTM07795
                          LD    3 ADCOW-X3                          2-8 PTM07800
                          BSC     E          SET THE LOCATION           PTM07805
                          A       ONE        ASSIGN. CNTR TO            PTM07810
                          STO   3 ADCOW-X3   NEXT EVEN ADDR             PTM07815
                          LD   L  $CORE                             2-9 PTM07820
                          S    L  SC965                             2-9 PTM07825
                          BSC  L  SC105,+-  BR-4K CORE              2-9 PTM07830
                          LD    3 ADCOW-X3  SAVE ADCOW FOR XREF     2-9 PTM07835
                          STO  L  XADCO                             2-9 PTM07840
                    SC105 BSI   3 LDXRS-X3  RESTORE XR1 AND XR3     2-9 PTM07845
                          MDX   1 +1         POINT TO CC1               PTM07850
                          BSI  L  B4HEX     CONVERT LOC             2-8 PTM07855
                    *                       XR1 POINTS TO CC 5        * PTM07860
                          BSI  L  DTHDR     WRITE THE LAST          2-8 PTM07865
                          LD    3 DHPTR-X3   DATA HEADER AND            PTM07870
                          STO   3 DFXR1-X3  *FORCE A ZERO AS WD CNT     PTM07875
                          SLA     16        CLEAR THE REDUNDANT     2-2 PTM07880
                          STO   3 RDTHD-X3  *HEADER SWITCH          2-2 PTM07885
                    SC106 BSI  L  DTHDR     DATA HEADER             2-8 PTM07890
                    *                                                 * PTM07895
                          LD    3 ENTSW-X3                              PTM07900
                          OR    3 ILSSW-X3                              PTM07905
                          OR    3 ISSSW-X3   DOES PROG HAVE AN ENT PT   PTM07910
                          BSC  L  SC140,Z    BR IF YES                  PTM07915
                          MDX   1 +30        POINT TO CC 35             PTM07920
                          LD    1 0          CHECK THE OPERAND          PTM07925
                          S       SC955     FIELD FOR AN XEQ ADDR   2-8 PTM07930
                          BSC  L  SC110,Z    GO TO CONT IF ADDR PRESENT PTM07935
                    *                                                 * PTM07940
                          LD      SYNER      INDICATE SYNTAX ERROR      PTM07945
                          MDX     SC120      GO TO SET XEQ ADDR TO ZERO PTM07950
                    *                                                 * PTM07955
                    SC110 BSI  L  SCAN      GO TO FETCH XEQ ADDR    2-8 PTM07960
                          BSI  L  LDXRS      RESET XR3                  PTM07965
                    *                                                 * PTM07970
                          LD    3 RLMDE-X3                              PTM07975
                          SRT     14                                    PTM07980
                          EOR   3 RELSW-X3   CHECK THAT MODES AGREE     PTM07985
                          BSC  L  SC130,+-   BR IF YES                  PTM07990
                    *                                                 * PTM07995
                          LD      RLCER      SET RELOC ER FLAG          PTM08000
                    SC120 BSI  L  ERFLG     BR TO ERROR SUBR        2-8 PTM08005
                    *                                                 * PTM08010
                          SLA     16                                    PTM08015
                          MDX     SC130+1    GO TO SET XEQ ADDR TO ZERO PTM08020
                    *                                                 * PTM08025
                    SC130 LD    3 VALUE-X3                              PTM08030
                          STO   3 RELEP-X3   SAVE XEQ ADDR              PTM08035
                          BSI   3 LDXRS-X3  RESET XR1               2-6 PTM08040
                          MDX   1 9          INCRE BFR PT BY 9          PTM08045
                          BSI  L  B4HEX     GO TO CVRT BINARY TO HEX2-8 PTM08050
                    *                                                 * PTM08055
                    SC140 LD    3 LSTOP-X3   CHECK LIST OP SWTCH        PTM08060
                          BSC  L  SC150,+-   BR IF OFF                  PTM08065
                          LDX  I1 RDBFR     RESTORE XR1             2-8 PTM08070
                          LD    1 +33       TEST FOR WARNING FLAG   2-8 PTM08075
                          EOR     SC955                             2-8 PTM08080
                          BSC  L  SC145,+-  BR-NO WARNING FLAG      2-8 PTM08085
                          LD      SC955     RESET COL 33 TO BLANK   2-8 PTM08090
                          STO   1 +33                               2-8 PTM08095
                          LD      SC146     SET RETURN ADDR         2-8 PTM08100
                          STO  L  P9202                             2-8 PTM08105
                          MDX  L  ERADD,MCOM5-ERCNT  PT TO WARN CNT 2-8 PTM08110
                          LD      SC147                             2-8 PTM08115
                          BSC  L  FLGCO     JOIN ERFLG SUBR         2-8 PTM08120
                    SC146 DC      SC145     RETURN ADDR             2-8 PTM08125
                    SC147 DC      .Q        EBCDIC Q                2-8 PTM08130
                    SC145 BSI  L  P9MVE     GO TO PRINT RCD         2-8 PTM08135
                    *                                                 * PTM08140
                    SC150 LDD     SC170+18                              PTM08145
                          STD  L  STRT9+1    SET UP DISK IOAR HDR INFO  PTM08150
                          LD      ADDRP                                 PTM08155
                          RTE     16                                    PTM08160
                          LD      SC950                             2-8 PTM08165
                          BSI   3 DISK1-X3                              PTM08170
                          BSI   3 LDXRS-X3  RESTORE XR1 AND XR3     2-8 PTM08175
                          LD   I  DSADR     SET XREF OVERFLOW       2-8 PTM08180
                          STO   3 MCGEN-X3  *SCTR ADDR              2-8 PTM08185
                          LD    3 LDKOP-X3   CHK LIST DECK OP SWTCH     PTM08190
                          BSC  L  SC160,+-   BR IF OFF                  PTM08195
                    *                                                 * PTM08200
                          BSI  L  STRT9+20  BR TO PUNCH CONVERT     2-8 PTM08205
                    *                                                 * PTM08210
                    *                                                 * PTM08215
                    SC160 STX  L0 RDTHD      IND NO DATA HDR NEEDED     PTM08220
                          BSI  L  WRDFO     WR LAST SCTR TO DISK    2-8 PTM08225
                          LD    3 MVCNT-X3   HAS ALL BEEN WRITEN        PTM08230
                          BSI  L  WRDFO,-   NO, BRANCH TO WRITE END 212 PTM08235
                    *                                               2-9 PTM08240
                          LD   L  $CORE                             2-9 PTM08245
                          S       SC965                             2-9 PTM08250
                          BSC  L  SC161,+-  BR-4K CORE              2-9 PTM08255
                          LD      SC970     SET ADDR AT SC162       2-9 PTM08260
                          STO     SC162     *TO XADJS               2-9 PTM08265
                    SC161 LD   I  DSADR                             2-9 PTM08270
                          STO  L  MCGEN     TEMP HOLD FOR XREF     2-10 PTM08275
                          S    L  ADJSA     THE SCTR SIZE OF PGM    2-9 PTM08280
                    SC162 EQU     *-1                               2-9 PTM08285
                          S       SCONE      DECRE BY ONE               PTM08290
                          SLA     4          MULT BY 16 (DB CNT)        PTM08295
                          STO   3 WSCNT-X3   SAVE IN ASM COMMA          PTM08300
                          LD    3 DFXR1-X3                              PTM08305
                          S     3 STADR-X3   COMPUTE WD CNT OF          PTM08310
                          A       H0013      REMAINING PORTION.         PTM08315
                          RTE     16         MOVE DIVIDEND TO EXT       PTM08320
                          SLA     16         CLEAR ACC                  PTM08325
                          D    L  TWNTY                                 PTM08330
                          A     3 WSCNT-X3                              PTM08335
                          STO   3 WSCNT-X3   SAVE DB CNT IN ASCOM       PTM08340
                    *                                                 * PTM08345
                          LD   L  OVRAD                                 PTM08350
                          STO   3 P0140+1-X3  RESET OVLAY XEQ ADDR      PTM08355
                          LDD     SC170+6   WD CNT & SCTR ADDR OF PH. 3 PTM08360
                          STD  I  SC940                             2-8 PTM08365
                          LD      SC940                             2-8 PTM08370
                          RTE     16                                    PTM08375
                          LD   L  SC950                             2-8 PTM08380
                          BSI   3 DISK1-X3                              PTM08385
                          MDX  L  SC940,+2                          2-8 PTM08390
                          BSC  I  SC940                                 PTM08395
                    SC165 LDX  I1 RDBFR     SET I/P PT FOR SCAN     2-8 PTM08400
                          MDX   1 +35                               2-8 PTM08405
                          BSI  L  SCAN      PLACE SYMB TBL ENTRY    2-8 PTM08410
                          LDD     SC175+2   GET WD CNT,SCTR ADDR    2-8 PTM08415
                          STD  L  G4000-2   SET DISK READ HEADER    2-8 PTM08420
                          LDD     SC960                             2-8 PTM08425
                          BSI   3 DISK1-X3  LD XREF PART 3 TO CORE  2-8 PTM08430
                          BSC  L  XR100     XEQ XREF PART 3         2-8 PTM08435
                    *                                                   PTM08440
                    *     CONSTANTS                                     PTM08445
                    *                                                   PTM08450
                    SC940 DC      RDCRD     ADDR READ RCD SUBR      2-8 PTM08455
                          BSS  E  0                                     PTM08460
                    SC960 DC      /7000     DK READ FUNC CODE       2-8 PTM08465
                          DC      G4000-2   I/O AREA ADDR           2-8 PTM08470
                    SC965 DC      /1000     4K CORE CHECK CONSTANT  2-9 PTM08475
                    SC970 DC      XADJS     ALTERNATE ADJSA         2-9 PTM08480
                    *                                                   PTM08485
                    *     PHASE 12 SLET TABLE                           PTM08490
                    *                                                   PTM08495
                    SC170 DC      /D5       SLET ID OF PH 1         2-8 PTM08500
                          BSS     3                                     PTM08505
                          DC      /D8       SLET ID OF PH 3         2-8 PTM08510
                          BSS     3                                     PTM08515
                          DC      /D1       SLET ID OF PH 10        2-8 PTM08520
                          BSS     3                                     PTM08525
                          DC      /D2       SLET ID OF PH 11        2-8 PTM08530
                          BSS     3                                     PTM08535
                          DC      /E3       SLET ID OF PNCH CNVRT   2-8 PTM08540
                          BSS     2                                     PTM08545
                          DC      0         END PRG WITH A CONSTANT     PTM08550
                    SC175 DC      /F6       SLET ID OF XREF PART 3  2-8 PTM08555
                          BSS     3                                 2-8 PTM08560
                          BSS     /0456-*    PATCH                 2/11 PTM08565
                    SC180 DC      0                                     PTM08570
*SBRKSLS D4          ASM ASSEMBLY ERROR PHASE                     V2M08 PTM08575
                          HDNG    *** ASM ERROR MESSAGES ***            PTM08580
                    *************************************************** PTM08585
                    *                                                 * PTM08590
                    *STATUS - VERSION 2, MODIFICATION 11              * PTM08595
                    *                                                 * PTM08600
                    *FUNCTION/OPERATION-                              * PTM08605
                    *   *ERMSG IS CALLED BY THE GETER SUBROUTINE      * PTM08610
                    *    WITHIN PHASE 9 WHEN AN ERROR OCCURS DURING   * PTM08615
                    *    THE ASSEMBLY PROCESS.                        * PTM08620
                    *   *IT IS LOADED INTO THE FIRST DISK BUFFER      * PTM08625
                    *    (BUFI).                                      * PTM08630
                    *   *A LIST OF ERROR MESSAGES IS CONTAINED WITHIN * PTM08635
                    *    ERMSG.  THIS LIST IS REFERENCED BY INDEX     * PTM08640
                    *    REGISTER 2, WHICH CONTAINS THE APPROPRIATE   * PTM08645
                    *    ERROR CODE AT THE TIME OF ENTRY TO ERMSG.    * PTM08650
                    *   *THE I/O HEADER INFORMATION IS SET UP AND A   * PTM08655
                    *    BRANCH IS MADE TO THE PRINCIPAL PRINT        * PTM08660
                    *    SUBROUTINE TO PRINT THE ERROR MESSAGE.       * PTM08665
                    *   *CONTROL IS THEN RETURNED TO GETER.           * PTM08670
                    *                                                 * PTM08675
                    *ENTRY POINTS-                                    * PTM08680
                    *   *EM000+1 - ENTRY FROM GETER                   * PTM08685
                    *                                                 * PTM08690
                    *INPUT-                                           * PTM08695
                    *   *ERROR MESSAGE NUMBER                         * PTM08700
                    *                                                 * PTM08705
                    *OUTPUT-                                          * PTM08710
                    *   *PRINTED ERROR MESSAGE                        * PTM08715
                    *                                                 * PTM08720
                    *EXTERNAL RERERENCES-                             * PTM08725
                    *   *SUBROUTINES- NONE                            * PTM08730
                    *   *DCOM/COMMA-                                  * PTM08735
                    *       $PHSE                                     * PTM08740
                    *                                                 * PTM08745
                    *EXITS-                                           * PTM08750
                    *   *NORMAL- GETER SUBROUTINE                     * PTM08755
                    *   * ERROR - NONE                                * PTM08760
                    *                                                 * PTM08765
                    *TABLES/WORK AREAS-                               * PTM08770
                    *   * THE PRINTED ERROR MESSAGES ARE              * PTM08775
                    *     CONTAINED WITHIN THIS SUBROUTINE.           * PTM08780
                    *                                                 * PTM08785
                    *ATTRIBUTES - RELOCATABLE                         * PTM08790
                    *                                                 * PTM08795
                    *NOTES - THIS PHASE LOADS TO ADDRESS P9466 WHICH  * PTM08800
                    *        MAY NOT AGREE WITH ASSEMBLY ADDRESSES.   * PTM08802
                    *                                                 * PTM08805
                    *************************************************** PTM08810
                          ORG     /0AD0     ABS ORIGIN AT BUFI     2-11 PTM08815
                    *                                                   PTM08820
                          DC      EM900-EM000  WD CNT OF ERR MSG RTN    PTM08825
                          DC      -/D4      SLET ID OF ERMSG        2-8 PTM08830
                    EM999 DC      EM014-EM999  SLET TBL DISP        2-8 PTM08835
                          DC      1         NO. ID'S TO BE FILLED   2-8 PTM08840
                          ORG     *-2                               2-8 PTM08845
                    *                                                 * PTM08850
                    EM000 BSC  L  *-*        ENTRY                      PTM08855
                          LD      @AERM                                 PTM08860
                          STO  L  $PHSE      IDENTIFY ASM PHASE         PTM08865
                    *                                                 * PTM08870
                          MDX   2 -1         DECRE MESSAGE POINTER      PTM08875
                          NOP                MAY SKIP                   PTM08880
                          STX     EM016                                 PTM08890
                    EM005 LD      EM016      COMPUTE THE TBL ADDRESS    PTM08895
                          A       EM015                                 PTM08900
                          STO     EM008+1    SAVE IN IN-LINE CODING     PTM08905
                          LD      EM016     SAVE DISPLACEMENT FROM 2-11 PTM08906
                          S       EM035     * ASSEMBLY VALUES      2-11 PTM08907
                          STO     EM035                            2-11 PTM08908
                          SLA     16                                    PTM08910
                          STO  L  $CTSW                                 PTM08915
                    EM008 LD   L2 *-*        FETCH MESSAGE ADDRESS      PTM08920
                          A       EM035     =TRUE MESSAGE ADDRESS  2-11 PTM08922
                          RTE     16                                    PTM08925
                          LD      EM020      PRINT FUNC CODE            PTM08930
                          BSI  L  P9472+3   PRINT ERROR MESSAGE    2-11 PTM08935
                    *                                                 * PTM08945
                    EM010 MDX  L  $PBSY,0   CHECK FOR PRINTER BUSY 2-11 PTM08950
                          MDX     EM010      LOOP TIL NOT BUSY          PTM08960
                    *                                                 * PTM08965
                          STX   2 EM016     SAVE ERROR NUMBER      2-11 PTM08970
                          LD      EM016                            2-11 PTM08975
                          S       EM003     TEST FOR A04            2-8 PTM08980
                          BSC     +-        SKIP IF NOT A04        2-11 PTM08985
                          MDX     EM000     RETURN ON A04          2-11 PTM08987
                          S       EM002     TEST FOR A06            2-8 PTM08990
                          BSC     +-        SKIP IF NOT A06        2-11 PTM08995
                          MDX     EM000     RETURN ON A06          2-11 PTM08997
                          LDD     EM014+2   SET OVLAY HDR           2-8 PTM09000
                          STD  L  OVLAY     *TO LD PH 4             2-8 PTM09005
                          LD      EM013     SET OVLAY XEQ ADDR      2-8 PTM09010
                          STO  L  P0140+1   *TO EXIT ASM            2-8 PTM09015
                          LDX  L3 ASMCM     RESTORE XR3             2-8 PTM09020
                          BSC  L  P0130     LD AND XEQ ASM EXIT     2-8 PTM09025
                    *                                                   PTM09030
                    *     CONSTANTS                                     PTM09035
                    *                                                 * PTM09040
                    EM003 DC      3         CONSTANT 3              2-8 PTM09045
                    EM002 DC      2         CONSTANT 2              2-8 PTM09050
                    @AERM DC      /D4       SLET ID OF ERMSG       2-10 PTM09055
                    EM013 DC      P4800     ASM EXIT ADDR           2-8 PTM09060
                          BSS  E  0         FORCE EVEN ADDR         2-8 PTM09065
                    EM014 DC      /D9       SLET ID OF PHASE 9      2-8 PTM09070
                          BSS     3                                 2-8 PTM09075
                    EM015 DC      EM030-EM005   ADDR DISPLACEMENT       PTM09080
                    EM016 DC      0          TEMP STORAGE               PTM09085
                    EM020 DC      /7001      PRINT FUNC CODE            PTM09090
                    EM030 DC      EM040      IOAR HDR ADDR OF MSG #1    PTM09095
                          DC      EM050      IOAR HDR ADDR OF MSG #2    PTM09100
                          DC      EM060      IOAR HDR ADDR OF MSG #3    PTM09105
                          DC      EM070      IOAR HDR ADDR OF MSG #4    PTM09110
                          DC      EM080      IOAR HDR ADDR OF MSG #5    PTM09115
                          DC      EM090      IOAR HDR ADDR OF MSG #6    PTM09120
                          DC      EM100      IOAR HDR ADDR OF MSG #7    PTM09125
                          DC      EM110     IOAR HDR ADDR OF MSG #8 2-8 PTM09130
                          DC      EM120     IOAR HDR ADDR OF MSG #9 2-8 PTM09135
                          DC      EM130     IOAR HDR ADDR OF MSG #102-8 PTM09140
                          DC      EM140     IOAR HDR ADDR OF MSG #112-8 PTM09145
                    *                                                   PTM09150
                          BSS  E  0         WORD CNT TO ODD LOCN   2-11 PTM09152
                    EM035 DC      EM005     DISP FROM ASSM.LOCNS   2-11 PTM09155
                    EM040 DC      EM050-EM040-1 WD CNT OF MSG #1        PTM09160
                          EBC     .  .                                  PTM09165
                          EBC     .A .                                  PTM09170
                          EBC     .01.                                  PTM09175
                          EBC     . M.                                  PTM09180
                          EBC     .IN.                                  PTM09185
                          EBC     .IM.                                  PTM09190
                          EBC     .UM.                                  PTM09195
                          EBC     . W.                                  PTM09200
                          EBC     ..S.                                  PTM09205
                          EBC     .. .                                  PTM09210
                          EBC     .NO.                                  PTM09215
                          EBC     .T .                                  PTM09220
                          EBC     .AV.                                  PTM09225
                          EBC     .AI.                                  PTM09230
                          EBC     .LA.                                  PTM09235
                          EBC     .BL.                                  PTM09240
                          EBC     .E-.                                  PTM09245
                          EBC     .-A.                                  PTM09250
                          EBC     .SS.                                  PTM09255
                          EBC     .EM.                                  PTM09260
                          EBC     .BL.                                  PTM09265
                          EBC     .Y .                                  PTM09270
                          EBC     .TE.                                  PTM09275
                          EBC     .RM.                                  PTM09280
                          EBC     .IN.                                  PTM09285
                          EBC     .AT.                                  PTM09290
                          EBC     .ED.                                  PTM09295
                          EBC     .. .                                  PTM09300
                          EBC     .  .                                  PTM09305
                    EM050 DC      EM060-EM050-1  WD CNT OF MSG #2       PTM09310
                          EBC     .  .                                  PTM09315
                          EBC     .A .                                  PTM09320
                          EBC     .02.                                  PTM09325
                          EBC     . S.                                  PTM09330
                          EBC     .YM.                                  PTM09335
                          EBC     .BO.                                  PTM09340
                          EBC     .L .                                  PTM09345
                          EBC     .TA.                                  PTM09350
                          EBC     .BL.                                  PTM09355
                          EBC     .E .                                  PTM09360
                          EBC     .OV.                                  PTM09365
                          EBC     .ER.                                  PTM09370
                          EBC     .FL.                                  PTM09375
                          EBC     .OW.                                  PTM09380
                          EBC     .--.                                  PTM09385
                          EBC     .AS.                                  PTM09390
                          EBC     .SE.                                  PTM09395
                          EBC     .MB.                                  PTM09400
                          EBC     .LY.                                  PTM09405
                          EBC     . T.                                  PTM09410
                          EBC     .ER.                                  PTM09415
                          EBC     .MI.                                  PTM09420
                          EBC     .NA.                                  PTM09425
                          EBC     .TE.                                  PTM09430
                          EBC     .D..                                  PTM09435
                    *                                                 * PTM09440
                    EM060 DC      EM070-EM060-1  WD CNT OF MSG #3       PTM09445
                          EBC     .  .                                  PTM09450
                          EBC     .A .                                  PTM09455
                          EBC     .03.                                  PTM09460
                          EBC     . D.                                  PTM09465
                          EBC     .IS.                                  PTM09470
                          EBC     .K .                                  PTM09475
                          EBC     .OU.                                  PTM09480
                          EBC     .TP.                                  PTM09485
                          EBC     .UT.                                  PTM09490
                          EBC     . E.                                  PTM09495
                          EBC     .XC.                                  PTM09500
                          EBC     .EE.                                  PTM09505
                          EBC     .DS.                                  PTM09510
                          EBC     . W.                                  PTM09515
                          EBC     ..S.                                  PTM09520
                          EBC     .. .                                  PTM09525
                          EBC     .  .                                  PTM09530
                    *                                                 * PTM09535
                    EM070 DC      EM080-EM070-1  WD CNT OF MSG #4       PTM09540
                          EBC     .  .                                  PTM09545
                          EBC     .A .                                  PTM09550
                          EBC     .04.                                  PTM09555
                          EBC     .  .                                  PTM09560
                          EBC     .SA.                                  PTM09565
                          EBC     .VE.                                  PTM09570
                          EBC     . S.                                  PTM09575
                          EBC     .YM.                                  PTM09580
                          EBC     .BO.                                  PTM09585
                          EBC     .L .                                  PTM09590
                          EBC     .TA.                                  PTM09595
                          EBC     .BL.                                  PTM09600
                          EBC     .E .                                  PTM09605
                          EBC     .IN.                                  PTM09610
                          EBC     .HI.                                  PTM09615
                          EBC     .BI.                                  PTM09620
                          EBC     .TE.                                  PTM09625
                          EBC     .D .                                  PTM09630
                          EBC     .  .                                  PTM09635
                    *                                                 * PTM09640
                    EM080 DC      EM090-EM080-1  WD CNT OF MSG #5       PTM09645
                          EBC     .  .                                  PTM09650
                    *                                                 * PTM09655
                    EM090 DC      EM100-EM090-1  WD CNT OF MSG #6       PTM09660
                          EBC     .  .                                  PTM09665
                          EBC     .A .                                  PTM09670
                          EBC     .06.                                  PTM09675
                          EBC     . L.                                  PTM09680
                          EBC     .OA.                                  PTM09685
                          EBC     .D .                                  PTM09690
                          EBC     .BL.                                  PTM09695
                          EBC     .AN.                                  PTM09700
                          EBC     .K .                                  PTM09705
                          EBC     .CA.                                  PTM09710
                          EBC     .RD.                                  PTM09715
                          EBC     .S .                                  PTM09720
                          EBC     .  .                                  PTM09725
                    *                                                 * PTM09730
                    EM100 DC      EM110-EM100-1  WD CNT OF MSG # 7  2-8 PTM09735
                          EBC     .  .                                  PTM09740
                          EBC     .  .                                  PTM09745
                          EBC     .A2.                              2-8 PTM09750
                          EBC     .1 .                              2-8 PTM09755
                          EBC     .*L.                                  PTM09760
                          EBC     .EV.                                  PTM09765
                          EBC     .EL.                                  PTM09770
                          EBC     . C.                                  PTM09775
                          EBC     .ON.                                  PTM09780
                          EBC     .TR.                                  PTM09785
                          EBC     .OL.                                  PTM09790
                          EBC     . S.                              2-8 PTM09795
                          EBC     .TM.                              2-8 PTM09800
                          EBC     .NT.                              2-8 PTM09805
                          EBC     .  .                              2-8 PTM09810
                          EBC     .MI.                                  PTM09815
                          EBC     .SS.                                  PTM09820
                          EBC     .IN.                                  PTM09825
                          EBC     .G..                                  PTM09830
                    EM110 DC      EM120-EM110-1  WD CNT OF MSG # 8  2-8 PTM09835
                          EBC     .  .                              2-8 PTM09840
                          EBC     .A .                              2-8 PTM09845
                          EBC     .10.                              2-8 PTM09850
                          EBC     . M.                              2-8 PTM09855
                          EBC     .AC.                              2-8 PTM09860
                          EBC     .RO.                              2-8 PTM09865
                          EBC     . A.                              2-8 PTM09870
                          EBC     .RE.                              2-8 PTM09875
                          EBC     .A .                              2-8 PTM09880
                          EBC     .OV.                              2-8 PTM09885
                          EBC     .ER.                              2-8 PTM09890
                          EBC     .FL.                              2-8 PTM09895
                          EBC     .OW.                              2-8 PTM09900
                          EBC     .--.                              2-8 PTM09905
                          EBC     .AS.                              2-8 PTM09910
                          EBC     .SE.                              2-8 PTM09915
                          EBC     .MB.                              2-8 PTM09920
                          EBC     .LY.                              2-8 PTM09925
                          EBC     . T.                              2-8 PTM09930
                          EBC     .ER.                              2-8 PTM09935
                          EBC     .MI.                              2-8 PTM09940
                          EBC     .NA.                              2-8 PTM09945
                          EBC     .TE.                              2-8 PTM09950
                          EBC     .D .                              2-8 PTM09955
                          EBC     .  .                              2-8 PTM09960
                    EM120 DC      EM130-EM120-1  WD CNT OF MSG #9   2-8 PTM09965
                          EBC     .  .                              2-8 PTM09970
                          EBC     .A .                              2-8 PTM09975
                          EBC     .09.                              2-8 PTM09980
                          EBC     . P.                              2-8 PTM09985
                          EBC     .AR.                              2-8 PTM09990
                          EBC     .AM.                              2-8 PTM09995
                          EBC     .ET.                              2-8 PTM10000
                          EBC     .ER.                              2-8 PTM10005
                          EBC     . L.                              2-8 PTM10010
                          EBC     .IS.                              2-8 PTM10015
                          EBC     .T .                              2-8 PTM10020
                          EBC     .OV.                              2-8 PTM10025
                          EBC     .ER.                              2-8 PTM10030
                          EBC     .FL.                              2-8 PTM10035
                          EBC     .OW.                              2-8 PTM10040
                          EBC     .--.                              2-8 PTM10045
                          EBC     .AS.                              2-8 PTM10050
                          EBC     .SE.                              2-8 PTM10055
                          EBC     .MB.                              2-8 PTM10060
                          EBC     .LY.                              2-8 PTM10065
                          EBC     . T.                              2-8 PTM10070
                          EBC     .ER.                              2-8 PTM10075
                          EBC     .MI.                              2-8 PTM10080
                          EBC     .NA.                              2-8 PTM10085
                          EBC     .TE.                              2-8 PTM10090
                          EBC     .D .                              2-8 PTM10095
                          EBC     .  .                              2-8 PTM10100
                    EM130 DC      EM140-EM130-1  WD CNT OF MSG #10  2-8 PTM10105
                          EBC     .  .                              2-8 PTM10110
                          EBC     .A .                              2-8 PTM10115
                          EBC     .12.                              2-8 PTM10120
                          EBC     . N.                              2-8 PTM10125
                          EBC     .ES.                              2-8 PTM10130
                          EBC     .T .                              2-8 PTM10135
                          EBC     .LE.                              2-8 PTM10140
                          EBC     .VE.                              2-8 PTM10145
                          EBC     .L .                              2-8 PTM10150
                          EBC     .EX.                              2-8 PTM10155
                          EBC     .CE.                              2-8 PTM10160
                          EBC     .ED.                              2-8 PTM10165
                          EBC     .S .                              2-8 PTM10170
                          EBC     .20.                              2-8 PTM10175
                          EBC     .--.                              2-8 PTM10180
                          EBC     .AS.                              2-8 PTM10185
                          EBC     .SE.                              2-8 PTM10190
                          EBC     .MB.                              2-8 PTM10195
                          EBC     .LY.                              2-8 PTM10200
                          EBC     . T.                              2-8 PTM10205
                          EBC     .ER.                              2-8 PTM10210
                          EBC     .MI.                              2-8 PTM10215
                          EBC     .NA.                              2-8 PTM10220
                          EBC     .TE.                              2-8 PTM10225
                          EBC     .D .                              2-8 PTM10230
                    EM140 DC      EM150-EM140-1  WD CNT OF MSG #11  2-8 PTM10235
                          EBC     .  .                              2-8 PTM10240
                          EBC     .A .                              2-8 PTM10245
                          EBC     .22.                              2-8 PTM10250
                          EBC     . I.                              2-8 PTM10255
                          EBC     .NV.                              2-8 PTM10260
                          EBC     .AL.                              2-8 PTM10265
                          EBC     .ID.                              2-8 PTM10270
                          EBC     . L.                              2-8 PTM10275
                          EBC     .IS.                              2-8 PTM10280
                          EBC     .T .                              2-8 PTM10285
                          EBC     .DE.                              2-8 PTM10290
                          EBC     .CK.                              2-8 PTM10295
                          EBC     . O.                              2-8 PTM10300
                          EBC     .PT.                              2-8 PTM10305
                          EBC     .IO.                              2-8 PTM10310
                          EBC     .N-.                              2-8 PTM10315
                          EBC     .-A.                              2-8 PTM10320
                          EBC     .SS.                              2-8 PTM10325
                          EBC     .EM.                              2-8 PTM10330
                          EBC     .BL.                              2-8 PTM10335
                          EBC     .Y .                              2-8 PTM10340
                          EBC     .TE.                              2-8 PTM10345
                          EBC     .RM.                              2-8 PTM10350
                          EBC     .IN.                              2-8 PTM10355
                          EBC     .AT.                              2-8 PTM10360
                          EBC     .ED.                              2-8 PTM10365
                          EBC     .  .                              2-8 PTM10370
                    EM150 EQU     *                                 2-8 PTM10375
                    *************************************************** PTM10380
                    *     NOTE - THIS PHASE CANNOT OVERLAY            * PTM10385
                    *     THE INPUT I/O AND CONVERSION SUBRS          * PTM10390
                    *************************************************** PTM10395
                    EM900 BSS     325-*+EM000-1   PATCH AREA       2-11 PTM10400
                          DC      0         END OF ERMSG PHASE      2-8 PTM10405
*SBRKSLS D5          ASM CONTROL CARDS I                          V2M08 PTM10410
                          HDNG    PHASE 1  CONTROL RECORDS     12/07/66 PTM10415
                    *************************************************** PTM10420
                    *                                                 * PTM10425
                    *STATUS - VERSION 2, MODIFICATION LEVEL 12        * PTM10430
                    *                                                 * PTM10435
                    *FUNCTION/OPERATION-                              * PTM10440
                    *   *IN PASS 1 PHASE 1 READS, ANALYZES, AND LISTS * PTM10445
                    *    THE ASSEMBLER CONTROL RECORDS. AS EACH       * PTM10450
                    *    CONTROL RECORD IS ANALYZED, THE VARIOUS      * PTM10455
                    *    OPTIONS SPECIFIED BY THE CONTROL RECORD ARE  * PTM10460
                    *    INDICATED IN THE ASSEMBLER PROGRAM'S         * PTM10465
                    *    COMMUNICATIONS AREA (ASCOM), AND THE CONTROL * PTM10470
                    *    RECORD IS LISTED ON THE PRINCIPAL PRINT      * PTM10475
                    *    DEVICE.                                      * PTM10480
                    *   *WHEN THE FIRST NON-CONTROL TYPE RECORD IS    * PTM10485
                    *    ENCOUNTERED,PHASE 1 TRANSFERS TO THE MASTER  * PTM10490
                    *    OVERLAY CONTROL SUBROUTINE TO FETCH PHASE 1A * PTM10495
                    *    AND TRANSFER CONTROL TO IT.                  * PTM10500
                    *   *IN PASS 2 OF A ONE-PASS MODE ASSEMBLY, PHASE * PTM10505
                    *    1 IMMEDIATELY TRANSFERS TO MASTER OVERLAY    * PTM10510
                    *    CONTROL SUBROUTINE TO FETCH PHASE 1A AND     * PTM10515
                    *    TRANSFER CONTROL TO IT.                      * PTM10520
                    *   *IN PASS 2 OF A TWO-PASS MODE ASSEMBLY PHASE 1* PTM10525
                    *    READS AND BYPASSES SOURCE INPUT RECORDS UNTIL* PTM10530
                    *    A NON-CONTROL TYPE RECORD IS ENCOUNTERED.    * PTM10535
                    *    PHASE 1 THEN TRANSFERS TO THE MASTER OVERLAY * PTM10540
                    *    CONTROL SUBROUTINE TO FETCH PHASE 1A AND     * PTM10545
                    *    TRANSFER CONTROL TO IT.                      * PTM10550
                    *                                                 * PTM10555
                    *ENTRY POINTS-                                    * PTM10560
                    *   * P1000 - ENTRY FROM PHASE 0                  * PTM10565
                    *                                                 * PTM10570
                    *INPUT-N/A                                        * PTM10575
                    *                                                 * PTM10580
                    *OUTPUT-                                          * PTM10585
                    *   * PRINTED CONTROL RECORDS                     * PTM10590
                    *                                                 * PTM10595
                    *EXTERNAL RERERENCES-                             * PTM10600
                    *   *SUBROUTINES-                                 * PTM10605
                    *      * DISK1                                    * PTM10610
                    *      * LDXRS                                    * PTM10615
                    *      * P9MVE                                    * PTM10620
                    *      * RDCRD                                    * PTM10625
                    *      * PRINCIPAL PRINT SUBROUTINE               * PTM10630
                    *      * PRINCIPAL I/O SUBROUTINE                 * PTM10635
                    *      * INPUT CONVERSION SUBROUTINE              * PTM10640
                    *   *DCOM/COMMA-                                  * PTM10645
                    *       $CORE                                     * PTM10650
                    *       $PHSE                                     * PTM10655
                    *       PARAM                                     * PTM10660
                    *       SKLTN                                     * PTM10665
                    *                                                 * PTM10670
                    *EXITS-                                           * PTM10675
                    *   *NORMAL - MASTER OVERLAY CONTROL SUBROUTINE   * PTM10680
                    *   *ERROR - NONE                                 * PTM10685
                    *                                                 * PTM10690
                    *TABLES/WORK AREAS- N/A                           * PTM10695
                    *                                                 * PTM10700
                    *ATTRIBUTES-REUSABLE                              * PTM10705
                    *                                                 * PTM10710
                    *NOTES-N/A                                        * PTM10715
                    *                                                 * PTM10720
                    *************************************************** PTM10725
                    *                                                   PTM10730
                          ORG     OVLAY                                 PTM10735
                          DC      P1570-P1000   WORD COUNT PHASE 1      PTM10740
                          DC      -/D5      SLET ID OF PHASE 1      2-8 PTM10745
                    PHS01 DC      P1560-PHS01  ADDR OF ID TABLE         PTM10750
                          DC      3         NO. OF ID'S TO BE FILLED2-8 PTM10755
                          ORG     *-2                                   PTM10760
                    P1000 EQU     *                                     PTM10765
                          LD    3 PASS-X3    DETRM PASS                 PTM10770
                          BSC  L  P1002,+-   BR TO CONT PH. 1 IF FIRST  PTM10775
                          BSC  L  P1550,+Z  *CESSING IF XREF PASS   2-8 PTM10780
                          LD    3 PSMDE-X3   IF SECOND, DETRM MODE      PTM10785
                          BSC  L  P1550,+-   BR TO EXIT IF ONE PASS MD. PTM10790
                          LD    3 LDKOP-X3   CHECK FOR LIST DECK        PTM10795
                          BSC  L  P1002,Z    SKIP FIRST READ IF LIST    PTM10800
                    *                                                 * PTM10805
                          LDX  I2 RP000      SET TO READ A CARD         PTM10810
                          LD    3 RDBFR+1-X3                            PTM10815
                          RTE     16         INITIAL DBL BUFFERING      PTM10820
                          LD      P1132      BY READIND THE FIRST       PTM10825
                          BSI   2 +3         RECORD                     PTM10830
                    *                                                 * PTM10835
                    P1002 LD   L  $PBSY     CHECK IF PRINTER BUSY   2-2 PTM10840
                          BSC     Z         SKIP IF NOT BUSY        2-2 PTM10845
                          MDX     *-4       LOOP TILL NOT BUSY      2-2 PTM10850
                          LD   I  $CH12     IS CHANNEL 12 ON"       212 PTM10855
                          BSI  L  GTHDG,Z   YES, GO PRINT HEADING   212 PTM10857
                          BSI  L  RDCRD     READ NEXT RECORD        2-8 PTM10860
                          LD    3 RDBFR-X3   SET UP TO CONVERT          PTM10865
                          BSI  I  CVADR     CONVERT RECORD IN BUFFER    PTM10870
                    *                                                   PTM10875
                    *             ASTERISK IN 1ST POSITION              PTM10880
                    *             INDICATES A CONTROL RECORD            PTM10885
                    *                                                   PTM10890
                    P1004 BSI  L  LDXRS      GO RESTO XR1               PTM10895
                    P1010 LDX  I2 P1130     XR2 IS STRING LENGTH        PTM10900
                    P1020 LDX  I3 P1120     XR3 IS STRING ADDR          PTM10905
                          LD    1 +1        CHECK POSITION ONE OF       PTM10910
                          S       P1110     BUFFER FOR AN ASTERISK      PTM10915
                          BSC  L  P1550,Z   BRANCH IF NOT ASTERISK      PTM10920
                          LD   L  PASS      CHECK FOR PASS 2            PTM10925
                          BSC     +-         SKIP IF PASS 2             PTM10930
                          MDX     P1030      SKIP IF PASS 1 TO CONTINUE PTM10935
                          BSI  L  LDXRS      RESTO XR1 & XR3            PTM10940
                          MDX     P1002      BR TO RD NEXT RCD          PTM10945
                    P1030 LD    1 +2                                    PTM10950
                          S       P1111     IGNORE BLANKS IN INPUT      PTM10955
                          BSC  L  P1040,Z   BRANCH IF NOT BLANK         PTM10960
                          MDX  L  P1090,-1  DECREMENT MAX LENGTH CNTR   PTM10965
                          MDX     P1032                                 PTM10970
                          MDX     P1050     AFTER 71 CHARS, RECORD IS   PTM10975
                    P1032 MDX   1 +1        NOT ANY CONTROL RECORD      PTM10980
                          MDX     P1030     COMPARE NEXT INPUT CHAR     PTM10985
                    *                                                   PTM10990
                    P1040 LD    1 +2        A NON-BLANK INPUT CHAR MUST PTM10995
                          S     3 0         MATCH CURRENT STRING CHAR   PTM11000
                          BSC  L  P1050,Z   BRANCH IF NO MATCH          PTM11005
                          MDX  L  P1090,-1  DECREMENT MAX LENGTH CNTR   PTM11010
                          MDX     P1042     GO ON TO NEXT CHAR          PTM11015
                          BSC  L  P1530     BRANCH IF 71 CHARS CHECKED  PTM11020
                    *                                                   PTM11025
                    P1132 DC      /7000     DISKZ READ CODE             PTM11030
                    P1042 MDX   1 +1        NEXT INPUT CHAR             PTM11035
                          MDX   3 +1        NEXT STRING CHAR            PTM11040
                          MDX   2 -1        DECREMENT STRING LENGTH     PTM11045
                          MDX     P1030     BRANCH IF MORE STRING CHARS PTM11050
                          LD    1 +2        IF ENTIRE STRING COMPARED,  PTM11055
                          S       P1111     NXT INPUT CHAR MUST BE BLNK PTM11060
                          BSC  L  P1530,Z   BRANCH IF NOT BLANK         PTM11065
                          STX   3 P1046+1   STORE INDIRECT BRANCH ADDR  PTM11070
                    P1044 LDX  L3 ASMCM     XR3 POINTS TO ASM COMMA     PTM11075
                    P1046 BSC  I  *-*       BRANCH TO PROPER SECTION    PTM11080
                    *                                                   PTM11085
                    P1050 MDX  L  P1010+1,1 UPDATE TO COMPARE           PTM11090
                          MDX  L  P1020+1,1 INPUT RECORD AGAINST        PTM11095
                          LD      P1100     RESET MAX LENGTH            PTM11100
                          STO     P1090     COUNTER FOR 71 CHARS        PTM11105
                          LD   I  P1010+1   NEXT CONTROL RECORD STRING  PTM11110
                          BSC  L  P1530,+-  BRANCH IF NO MORE STRINGS   PTM11115
                          MDX     P1004     BRANCH TO CHECK NEXT STRING PTM11120
                    *                                                   PTM11125
                    P1060 LD      P1070     RESET ADDRESSES TO COMPARE  PTM11130
                          STO     P1010+1   A NEW INPUT RECORD AGAINST  PTM11135
                          LD      P1080     ALL STRINGS, BEGINNING WITH PTM11140
                          STO     P1020+1   THE 1ST CONTROL RCRD STRING PTM11145
                          LD      P1100     RESET MAX LENGTH            PTM11150
                          STO     P1090     COUNTER FOR 71 CHARS        PTM11155
                          MDX     P1002     BRANCH TO READ NEXT RCD     PTM11160
                    *                                                   PTM11165
                    *     CONSTANTS                                     PTM11170
                    *                                                   PTM11175
                    P1070 DC      P1130     ADDR OF STRING LENGTH TABLE PTM11180
                    P1080 DC      P1120     STRING STARTING ADDR TABLE  PTM11185
                    P1090 DC      71        MAX LENGTH COUNTER          PTM11190
                    P1100 DC      71        RESTORE OF MAX LENGTH CNTR  PTM11195
                    P1110 DC      .*        EBCDIC ASTERISK             PTM11200
                    P1111 DC      .         EBCDIC BLANK                PTM11205
                    P1120 DC      P1140     ADDR OF START OF STRING  1  PTM11210
                          DC      P1150     ADDR OF START OF STRING  2  PTM11215
                          DC      P1160     ADDR OF START OF STRING  3  PTM11220
                          DC      P1170     ADDR OF START OF STRING  4  PTM11225
                          DC      P1180     ADDR OF START OF STRING  5  PTM11230
                          DC      P1190     ADDR OF START OF STRING  6  PTM11235
                          DC      P1200     ADDR OF START OF STRING  7  PTM11240
                          DC      P1210     ADDR OF START OF STRING  8  PTM11245
                          DC      P1220     ADDR OF START OF STRING  9  PTM11250
                          DC      P1240     ADDR OF START OF STRING 10  PTM11255
                          DC      P1242     ADDR OF START OF STRING 11  PTM11260
                          DC      P1245     START ADDR OF STRING 12 2-8 PTM11265
                          DC      P1246     START ADDR OF STRING 13 2-8 PTM11270
                    *                                                   PTM11275
                    P1130 DC      16        LENGTH OF PRINT SYM TBL     PTM11280
                          DC      16        LENGTH OF PUNCH SYM TBL     PTM11285
                          DC      11        LENGTH OF TWO PASS MODE     PTM11290
                          DC      9         LENGTH OF LIST DECK E       PTM11295
                          DC      8         LENGTH OF LIST DECK         PTM11300
                          DC      4         LENGTH OF LIST              PTM11305
                          DC      15        LENGTH OF SAVE SYM TBL      PTM11310
                          DC      17        LENGTH OF SYSTEM SYM TBL    PTM11315
                          DC      5         LENGTH OF LEVEL             PTM11320
                          DC      6         LENGTH OF COMMON            PTM11325
                          DC      15        LENGTH OF OVERFLOW SECTORS  PTM11330
                          DC      6         LENGTH OF MACLIB        2-8 PTM11335
                          DC      4         LENGTH OF XREF          2-8 PTM11340
                          DC      0         ZERO FORCES END OF COMPARES PTM11345
                    *                                                   PTM11350
                    *             COMMENTS TO THE RIGHT OF THE          PTM11355
                    *             FOLLOWING CONSTANTS GIVE THE LITERAL  PTM11360
                    *             STRING CHARACTER IN EBCDIC            PTM11365
                    *             AS IT APPEARS WHILE BEING COMPARED    PTM11370
                    *             TO THE INPUT RECORD                   PTM11375
                    *                                                   PTM11380
                    P1140 DC      .P        P                           PTM11385
                          DC      .R         R                          PTM11390
                          DC      .I          I                         PTM11395
                          DC      .N           N                        PTM11400
                          DC      .T            T                       PTM11405
                          DC      .S             S                      PTM11410
                          DC      .Y              Y                     PTM11415
                          DC      .M               M                    PTM11420
                          DC      .B                B                   PTM11425
                          DC      .O                 O                  PTM11430
                          DC      .L                  L                 PTM11435
                          DC      .T                   T                PTM11440
                          DC      .A                    A               PTM11445
                          DC      .B                     B              PTM11450
                          DC      .L                      L             PTM11455
                          DC      .E                       E            PTM11460
                          DC      P1330     START 'PRINT SYM TBL'       PTM11465
                    P1150 DC      .P        P                           PTM11470
                          DC      .U         U                          PTM11475
                          DC      .N          N                         PTM11480
                          DC      .C           C                        PTM11485
                          DC      .H            H                       PTM11490
                          DC      .S             S                      PTM11495
                          DC      .Y              Y                     PTM11500
                          DC      .M               M                    PTM11505
                          DC      .B                B                   PTM11510
                          DC      .O                 O                  PTM11515
                          DC      .L                  L                 PTM11520
                          DC      .T                   T                PTM11525
                          DC      .A                    A               PTM11530
                          DC      .B                     B              PTM11535
                          DC      .L                      L             PTM11540
                          DC      .E                       E            PTM11545
                          DC      P1350     START 'PUNCH SYM TBL'       PTM11550
                    P1160 DC      .T        T                           PTM11555
                          DC      .W         W                          PTM11560
                          DC      .O          O                         PTM11565
                          DC      .P           P                        PTM11570
                          DC      .A            A                       PTM11575
                          DC      .S             S                      PTM11580
                          DC      .S              S                     PTM11585
                          DC      .M               M                    PTM11590
                          DC      .O                O                   PTM11595
                          DC      .D                 D                  PTM11600
                          DC      .E                  E                 PTM11605
                          DC      P1360     START 'TWO PASS MODE'       PTM11610
                    P1170 DC      .L        L                           PTM11615
                          DC      .I         I                          PTM11620
                          DC      .S          S                         PTM11625
                          DC      .T           T                        PTM11630
                          DC      .D            D                       PTM11635
                          DC      .E             E                      PTM11640
                          DC      .C              C                     PTM11645
                          DC      .K               K                    PTM11650
                          DC      .E                E                   PTM11655
                          DC      P1380     START 'LIST DECK E'         PTM11660
                    P1180 DC      .L        L                           PTM11665
                          DC      .I         I                          PTM11670
                          DC      .S          S                         PTM11675
                          DC      .T           T                        PTM11680
                          DC      .D            D                       PTM11685
                          DC      .E             E                      PTM11690
                          DC      .C              C                     PTM11695
                          DC      .K               K                    PTM11700
                          DC      P1370     START 'LIST DECK'           PTM11705
                    P1190 DC      .L        L                           PTM11710
                          DC      .I         I                          PTM11715
                          DC      .S          S                         PTM11720
                          DC      .T           T                        PTM11725
                          DC      P1340     START 'LIST'                PTM11730
                    P1200 DC      .S        S                           PTM11735
                          DC      .A         A                          PTM11740
                          DC      .V          V                         PTM11745
                          DC      .E           E                        PTM11750
                          DC      .S            S                       PTM11755
                          DC      .Y             Y                      PTM11760
                          DC      .M              M                     PTM11765
                          DC      .B               B                    PTM11770
                          DC      .O                O                   PTM11775
                          DC      .L                 L                  PTM11780
                          DC      .T                  T                 PTM11785
                          DC      .A                   A                PTM11790
                          DC      .B                    B               PTM11795
                          DC      .L                     L              PTM11800
                          DC      .E                      E             PTM11805
                          DC      P1390     START 'SAVE SYM TBL'        PTM11810
                    P1210 DC      .S        S                           PTM11815
                          DC      .Y         Y                          PTM11820
                          DC      .S          S                         PTM11825
                          DC      .T           T                        PTM11830
                          DC      .E            E                       PTM11835
                          DC      .M             M                      PTM11840
                          DC      .S              S                     PTM11845
                          DC      .Y               Y                    PTM11850
                          DC      .M                M                   PTM11855
                          DC      .B                 B                  PTM11860
                          DC      .O                  O                 PTM11865
                          DC      .L                   L                PTM11870
                          DC      .T                    T               PTM11875
                          DC      .A                     A              PTM11880
                          DC      .B                      B             PTM11885
                          DC      .L                       L            PTM11890
                          DC      .E                        E           PTM11895
                          DC      P1400     START 'SYSTEM SYM TBL'      PTM11900
                    P1220 DC      .L        L                           PTM11905
                          DC      .E         E                          PTM11910
                          DC      .V          V                         PTM11915
                          DC      .E           E                        PTM11920
                          DC      .L            L                       PTM11925
                          DC      P1270     START 'LEVEL'               PTM11930
                    P1240 DC      .C        C                           PTM11935
                          DC      .O         O                          PTM11940
                          DC      .M          M                         PTM11945
                          DC      .M           M                        PTM11950
                          DC      .O            O                       PTM11955
                          DC      .N             N                      PTM11960
                          DC      P1250     START 'COMMON'              PTM11965
                    P1242 DC      .O        O                           PTM11970
                          DC      .V         V                          PTM11975
                          DC      .E          E                         PTM11980
                          DC      .R           R                        PTM11985
                          DC      .F            F                       PTM11990
                          DC      .L             L                      PTM11995
                          DC      .O              O                     PTM12000
                          DC      .W               W                    PTM12005
                          DC      .S                S                   PTM12010
                          DC      .E                 E                  PTM12015
                          DC      .C                  C                 PTM12020
                          DC      .T                   T                PTM12025
                          DC      .O                    O               PTM12030
                          DC      .R                     R              PTM12035
                          DC      .S                      S             PTM12040
                          DC      P1460     START 'OVERFLOW SECTORS'    PTM12045
                    P1245 DC      .M        M                       2-8 PTM12050
                          DC      .A         A                      2-8 PTM12055
                          DC      .C          C                     2-8 PTM12060
                          DC      .L           L                    2-8 PTM12065
                          DC      .I            I                   2-8 PTM12070
                          DC      .B             B                  2-8 PTM12075
                          DC      P1545     START 'MACLIB'          2-8 PTM12080
                    P1246 DC      .X        X                       2-8 PTM12085
                          DC      .R         R                      2-8 PTM12090
                          DC      .E          E                     2-8 PTM12095
                          DC      .F           F                    2-8 PTM12100
                          DC      P1569     START 'XREF'            2-8 PTM12105
                    *                                               2-8 PTM12110
                    *             'COMMON'                              PTM12115
                    *                                                   PTM12120
                    P1286 DC      2         NO. OF LEVELS ALLOWED  2-10 PTM12125
                    P1250 BSI     P1280     COMPUTE SIZE OF COMMON      PTM12130
                          STO   3 SCOMN-X3  SAVE IN ASM COMMA           PTM12135
                          BSC     -          SKIP IF SIZE NEGATIVE      PTM12140
                          MDX     P1275     GO TO CONTROL RCRD COMMON   PTM12145
                          AND     P1321      MASK OUT SIGN BIT          PTM12150
                          STO   3 SCOMN-X3   SAVE POSITIVE RESULT       PTM12155
                          BSC  L  P1530      GO TO CNTRL RCD ERR RTN    PTM12160
                    *                                                   PTM12165
                    *             'LEVEL'                               PTM12170
                    *                                                   PTM12175
                    P1270 BSI     P1280     COMPUTE INTRPT LEVEL NO.    PTM12180
                          S       P1310     HIGHEST LEVEL IS 5     2-10 PTM12185
                          BSC  L  P1530,-Z  BRANCH TO ERR IF HIGHER2-10 PTM12190
                          LD   L  NLVLS     NO. OF INT LEVELS      2-10 PTM12195
                          S       P1286     *MUST NOT BE GREATER   2-10 PTM12200
                          BSC  L  P1530,-   *THAN TWO. BR IF ERR   2-10 PTM12205
                          LD    2 VALUE-A   SAVE INTRPT LEVEL NO.       PTM12210
                          LDX  I2 NLVLS     STORE LEV NO IN        2-10 PTM12215
                          STO  L2 INTL1     *COMMA                 2-10 PTM12220
                          MDX  L  NLVLS,+1  INCREMENT NO OF INT LEV2-10 PTM12225
                    P1275 MDX     P1520     GO TO CONTROL RCRD COMMON   PTM12230
                    *                                                   PTM12235
                    P1280 DC      0         DECIMAL TO BINARY ENTRY PT  PTM12240
                          LD      P1290     MODIFY OPERAND SCAN IN      PTM12245
                          STO  L  FERR1     PHASE 9 TO CAUSE ALL    2-8 PTM12250
                          LD      P1288     *OPND ERRORS TO RETURN  2-8 PTM12255
                          STO  L  FERR2     HERE WITH ERR CNT = 0   2-8 PTM12260
                          MDX   1 +3        DO NOT ENTER SCAN ROUTINE   PTM12265
                    P1284 BSI  L  SCAN      CVRT NO. TO BINARY      2-8 PTM12270
                          STO     P1440     SAVE ACC                2-3 PTM12275
                    *                                               2-3 PTM12280
                          LD      P1412     LOAD 1ST WD OF  BSI  L  2-3 PTM12285
                          STO  L  FERR1     SET UP 1ST HALF OF INST 2-8 PTM12290
                          LD      P1289     FETCH ADDR              2-8 PTM12295
                          STO  L  FERR2     SET UP 2ND HALF         2-8 PTM12300
                          LD      P1440     RESTORE ACC             2-3 PTM12305
                    *                                               2-3 PTM12310
                          BSC  L  P1530,Z   BRANCH IF NOT Z (BAD NO.)   PTM12315
                          LD    2 VALUE-A   EXIT WITH VALUE IN ACC      PTM12320
                    P1290 BSC  I  P1280     EXIT SUBROUTINE             PTM12325
                    *     ABOVE INSTR USED AS CONSTANT /4C80            PTM12330
                    *                                                   PTM12335
                    *     CONSTANTS                                     PTM12340
                    *                                                   PTM12345
                    P1288 DC      SCAN      SCAN SUBR ENTRY PT      2-8 PTM12350
                    P1289 DC      ERFLG     ERROR FLAG SUBR ENTRY   2-8 PTM12355
                    P1310 DC      5         MAX NO. FOR 1130 INTRPT LVL PTM12360
                    P1321 DC      /7FFF      MASK-THE-SIGN-BIT CONSTANT PTM12365
                    *                                                   PTM12370
                    *             'PRINT SYMBOL TABLE'                  PTM12375
                    *                                                   PTM12380
                    P1330 LD      P1500                                 PTM12385
                    P1331 OR    3 STOPT-X3  SET SYM TBL OPTION SW       PTM12390
                          STO   3 STOPT-X3  EQUAL TO 8000               PTM12395
                          MDX     P1520     GO TO CONTROL RCRD COMMON   PTM12400
                    *                                                   PTM12405
                    *             'LIST'                                PTM12410
                    *                                                   PTM12415
                    P1340 LD      P1500     SET LIST OPTION             PTM12420
                          OR    3 LSTOP-X3                          2-8 PTM12425
                          STO   3 LSTOP-X3  SW EQUAL TO 8000            PTM12430
                          STO   3 TLIST-X3  SAVE ORIG COND IN TEMP      PTM12435
                          MDX     P1520     GO TO CONTROL RCRD COMMON   PTM12440
                    *                                                   PTM12445
                    *             'PUNCH SYMBOL TABLE'                  PTM12450
                    *                                                   PTM12455
                    P1350 LD    3 IPTKB-X3   CHECK FOR PT/KB INPUT      PTM12460
                          BSC  L  P1530,Z    BR TO FLAG AS ERROR        PTM12465
                          LD      P1510      SET SYM TBL OPION SW=0001  PTM12470
                          MDX     P1331     BRANCH TO OR TO PRNT OPTION PTM12475
                    *                                                   PTM12480
                    *             'TWO PASS MODE'                       PTM12485
                    *                                                   PTM12490
                    P1360 LD    3 IPTKB-X3   CHECK INPUT DEVICE         PTM12495
                          BSC  L  P1530,Z    ERROR IF PT/KB -BRANCH     PTM12500
                          LD      P1500      OTHERWISE, MODE SWTCH=8000 PTM12505
                          STO   3 PSMDE-X3                              PTM12510
                          MDX     P1520     GO TO CONTROL RCRD COMMON   PTM12515
                    *                                                   PTM12520
                    *             'LIST DECK'                           PTM12525
                    *                                                   PTM12530
                    P1370 LD      P1500     SET LIST DECK SW = 8000     PTM12535
                    P1371 RTE     16        ACC TO EXTENSION            PTM12540
                    *                                                 * PTM12545
                          LD    3 ICD25-X3   IS INPUT FROM 2501         PTM12550
                          BSC  L  P1530,Z    YES, BR TO IND ERROR       PTM12555
                          LD    3 IPTKB-X3   NO, IS INPUT FROM PT/KB    PTM12560
                          BSC  L  P1530,Z    YES, BR TO IND ERROR       PTM12565
                          RTE     16        RETURN OPTION CODE TO ACC   PTM12570
                          STO   3 LDKOP-X3  AND SET LIST DECK SW        PTM12575
                          MDX     P1520     GO TO CONTROL RCRD COMMON   PTM12580
                    *                                                   PTM12585
                    *             'LIST DECK E'                         PTM12590
                    *                                                   PTM12595
                    P1380 LD      P1510     SET LIST DECK SW = 0001     PTM12600
                          MDX     P1371     BRANCH TO CHECK IF OK       PTM12605
                    *                                                   PTM12610
                    *             'SAVE SYMBOL TABLE'                   PTM12615
                    *                                                   PTM12620
                    P1390 STX  L  SAVSW     SET SAVSW ON (NZ)           PTM12625
                          MDX     P1520     GO TO CONTROL RCRD COMMON   PTM12630
                    *                                                   PTM12635
                    *             'SYSTEM SYMBOL TABLE'                 PTM12640
                    *                                                   PTM12645
                    P1400 LD   L  $CORE     SYSTEM SYMBOL TAKES         PTM12650
                          S       P1420     376 WORDS ON THE DISK.      PTM12655
                          STO     P1451     COMPUTE THE CORE ADDR TO    PTM12660
                          STO     P1410+1   SET-UP THE WORD COUNT AND   PTM12665
                    P1410 LDX  L2 *-*       SCTR ADDR OF THE SYSTEM     PTM12670
                          LDD     P1565+2   SYMBOL TABLE.               PTM12675
                          STD   2 0                                     PTM12680
                          LDD     P1450                                 PTM12685
                    P1412 BSI  L  DISK1     READ THE SYSTEM TABLE       PTM12690
                    *     ABOVE INSTR USED AS CONSTANT /4400            PTM12695
                          LD    2 +2        FIRST WORD OF TABLE IS THE  PTM12700
                          STO   3 CTSYM-X3  NO. OF SYMBOLS IN THE ABLE  PTM12705
                          LD   L  $CORE     LOAD UPPER CORE LIMIT   212 PTM12710
                          S     3 CTSYM-X3  MINUS NO. ENTRIES       212 PTM12715
                          S     3 CTSYM-X3  MINUS NO. ENTRIES       212 PTM12720
                          S     3 CTSYM-X3  MINUS NO. ENTRIES       212 PTM12725
                          A       P1286     ADD 2                   212 PTM12730
                          STO   3 LOEND-X3                              PTM12735
                          MDX     P1520     GO TO CONTROL RCRD COMMON   PTM12740
                    *                                                   PTM12745
                    *             'OVERFLOW SECTORS'                    PTM12750
                    *                                                   PTM12755
                    P1460 LD      P1452     MODIFY SCAN TO PROCESS  2-8 PTM12760
                          STO  L  P9114     *COMMA AS BLANK         2-8 PTM12765
                          BSI     P1280     COMPUTE NO. OF OVERFLOW 2-8 PTM12770
                          A       P1510                                 PTM12775
                          STO   3 THRT2-X3  SECTORS, SAVE IN ASM COMMA  PTM12780
                          S       P1470     CHECK IF NO. GTR THAN 32    PTM12785
                          BSC  L  P1465,+   BR IT NOT GTR THAN 32   2-8 PTM12790
                          LD      P1470     IF GTR THAN 32, SET THE     PTM12795
                          STO   3 THRT2-X3  OVFLO SCTRS = 32        2-8 PTM12800
                    P1465 MDX   1 -3        ADJUST XR1 FOR NEXT FLD 2-8 PTM12805
                          BSI     P1280     PARAMETER SPILL SCAN    2-8 PTM12810
                          A     3 THRT2-X3                          2-8 PTM12815
                          STO   3 PARAM-X3                          2-8 PTM12820
                          MDX   1 -3        ADJUST XR1 FOR NEXT FLD 2-8 PTM12825
                          BSI     P1280     SCAN FOR MACRO SK SIZE  2-8 PTM12830
                          A     3 PARAM-X3                          2-8 PTM12835
                          STO   3 SKLTN-X3                          2-8 PTM12840
                          LD      P1453     RESTORE SCAN TO PROCESS 2-8 PTM12845
                          STO  L  P9114     *COMMA NORMALLY         2-8 PTM12850
                    *                                                   PTM12855
                    *             CONTROL RCRD COMMON                   PTM12860
                    *                                                   PTM12865
                    P1520 BSI  L  P9MVE     MOVE I/P TO PRINT BFR   2-8 PTM12870
                          BSC  L  P1060     BRANCH AND INITLZ           PTM12875
                    *                                                   PTM12880
                    *             RECORD IN INPUT BUFFER WAS            PTM12885
                    *             NOT RECOGNIZABLE AS AN                PTM12890
                    *             ASM CONTROL RECORD.                   PTM12895
                    *                                                   PTM12900
                    P1530 LDD     P1567+2   SET I/O AREA HDR        2-8 PTM12905
                          LDX  L3 ASMCM     RESTORE XR3             2-8 PTM12910
                          STD   3 OVLAY-X3                          2-8 PTM12915
                          LDD   3 P0170-X3  PREPARE TO              2-8 PTM12920
                          BSI   3 DISK1-X3  READ PH 1B INTO CORE    2-8 PTM12925
                          LDX  L0 B1150     BR FOR A07 ERROR MSG    2-8 PTM12930
                    *                                                   PTM12935
                    *     CONSTANTS                                     PTM12940
                    *                                                   PTM12945
                    P1500 DC      /8000                             2-8 PTM12950
                    P1510 DC      /0001                             2-8 PTM12955
                    P1440 DC      *-*       TEMP STORAGE FOR LOW END2-8 PTM12960
                    P1420 DC      3*100+4   WD CNT OF SYS SYM TBL   2-8 PTM12965
                    *                                               2-8 PTM12970
                    *     'MACLIB'                                  2-8 PTM12975
                    *                                               2-8 PTM12980
                    P1545 LDD     P1567+2   INITLZ MACLIB OVLY      2-8 PTM12985
                          STD  L  OVLAY                             2-8 PTM12990
                          MDX     P1552     LD AND GO TO PH 1B      2-8 PTM12995
                    P1550 LDD     P1560+2   WD CNT & SCTR ADDR      2-8 PTM13000
                          STD  L  OVLAY                             2-8 PTM13005
                    P1552 EQU     *                                 2-8 PTM13010
                          BSI  L  LDXRS     GO TO RESTO XR1 & 3         PTM13015
                          BSC  L  P0130     BRANCH TO READ PHASE 1A     PTM13020
                    *                                                   PTM13025
                    *     CONSTANTS                                     PTM13030
                    *                                                   PTM13035
                          BSS  E  0         MAKE NEXT LOCATION EVEN     PTM13040
                    P1450 DC      /7000     DISKZ READ CODE         2-8 PTM13045
                    P1451 DC      *-*       INITLZ TO SYS TBL I/O ADDR  PTM13050
                    P1452 MDX  X  P9116-P9114-1                     2-8 PTM13055
                    P1453 DC      /6680     LDX  I2                 2-8 PTM13060
                    P1560 DC      /D6       SLET ID OF       1A     2-8 PTM13065
                          BSS     3                                     PTM13070
                    P1565 DC      /D7       SLET ID OF SYS SYMB TBL 2-8 PTM13075
                          BSS     3                                     PTM13080
                    P1567 DC      /E8       SLET ID OF PHASE 1B     2-8 PTM13085
                          BSS     3                                 2-8 PTM13090
                    P1470 DC      32        MAX NO. OF OVFLO SCTRS  2-8 PTM13095
                    *                                               2-8 PTM13100
                    *     'XREF'                                    2-8 PTM13105
                    *                                               2-8 PTM13110
                    P1569 LD      P9171     SET BRANCH ADDR         2-8 PTM13115
                          STO  L  P0140+1                           2-8 PTM13120
                          MDX     P1545     LOAD PHASE 1B           2-8 PTM13125
                    P9171 DC      B1300                             2-8 PTM13130
                          BSS     /0457-*   PATCH AREA             2-10 PTM13135
                    P1570 DC      3         END PHASE,CONSTANT 3    2-8 PTM13140
*SBRKSLS D6          ASM CONTROL CARDS 2                          V2M08 PTM13145
                          HDNG    PHASE 1A CONTROL RECORDS II           PTM13150
                    *************************************************** PTM13155
                    *                                                 * PTM13160
                    *STATUS - VERSION 2, MODIFICATION 11              * PTM13165
                    *                                                 * PTM13170
                    *FUNCTION/OPERATION-                              * PTM13175
                    *   *IN PASS 1, PHASE 1A DETERMINES THE CORE      * PTM13180
                    *    ADDRESS OF THE DSF BUFFER AND INITIALIZES ITS* PTM13185
                    *    IOAR HEADER INFORMATION IN THE ASSEMBLER     * PTM13190
                    *    PROGRAM'S COMMUNICATIONS AREA (ASCOM).       * PTM13195
                    *   *IF THE PRINCIPAL INPUT DEVICE IS THE 1134    * PTM13200
                    *    PAPET TAPE READER, THE CURRENT RECORD IS     * PTM13205
                    *    MOVED OVER 20 POSITIONS TO THE RIGHT AND THE * PTM13210
                    *    READ-IN ADDRESS IS SET FOR POSITION 21 OF THE* PTM13215
                    *    I/O AREA.                                    * PTM13220
                    *   *A CHECK IS MADE TO DETERMINE IF THE SIZE OF  * PTM13225
                    *    WORKING STORAGE IS GREATER THAN OR EQUAL TO  * PTM13230
                    *    ONE PLUS THE NUMBER OF OVERFLOW SECTORS      * PTM13235
                    *    ASSIGNED (MAXIMUM NUMBER OF ASSIGNED OVERFLOW* PTM13240
                    *    SECTORS EQUALS 32).                          * PTM13245
                    *   *PHASE 1A THEN TRANSFERS CONTROL TO THE MASTER* PTM13250
                    *    OVERLAY CONTROL SUBROUTINE TO FETCH PHASE 2  * PTM13255
                    *    AND TRANSFER CONTROL TO IT.                  * PTM13260
                    *   *IN PASS 2 OF A ONE-PASS MODE ASSEMBLY, AN    * PTM13265
                    *    IMMEDIATE TRANSFER IS MADE TO THE MASTER     * PTM13270
                    *    OVERLAY CONTROL SUBROUTINE TO FETCH PHASE 2  * PTM13275
                    *    AND TRANSFER CONTROL TO IT.                  * PTM13280
                    *   *IN PASS 2 OF A TWO-PASS MODE ASSEMBLY, THE   * PTM13285
                    *    PASS 1 PROCESSING IS DUPLICATED, EXCEPT FOR  * PTM13290
                    *    THE ERROR CHECK ON THE SIZE OF WORKING       * PTM13295
                    *    STORAGE.                                     * PTM13300
                    *                                                 * PTM13305
                    *ENTRY POINTS-                                    * PTM13310
                    *   * A1000 - ENTRY FROM PHASE 1                  * PTM13315
                    *                                                 * PTM13320
                    *INPUT-N/A                                        * PTM13325
                    *                                                 * PTM13330
                    *OUTPUT- N/A                                      * PTM13335
                    *                                                 * PTM13340
                    *EXTERNAL RERERENCES-                             * PTM13345
                    *   *SUBROUTINES-                                 * PTM13350
                    *      * GETER                                    * PTM13355
                    *      * LDXRS                                    * PTM13360
                    *   *DCOM/COMMA-                                  * PTM13365
                    *       $EXIT                                     * PTM13370
                    *       $IBSY                                     * PTM13375
                    *       $PHSE                                     * PTM13380
                    *       SKLTN                                     * PTM13385
                    *                                                 * PTM13390
                    *EXITS-                                           * PTM13395
                    *   *NORMAL - MASTER OVERLAY CONTROL SUBROUTINE   * PTM13400
                    *   *ERROR - GETER                                * PTM13405
                    *                                                 * PTM13410
                    *TABLES/WORK AREAS- N/A                           * PTM13415
                    *                                                 * PTM13420
                    *ATTRIBUTES-REUSABLE                              * PTM13425
                    *                                                 * PTM13430
                    *NOTES-N/A                                        * PTM13435
                    *                                                 * PTM13440
                    *************************************************** PTM13445
                    *                                                   PTM13450
                          ORG     OVLAY                                 PTM13455
                          DC      A1070-A1000    WORD COUNT OF PH. 1A   PTM13460
                          DC      -/D6      SLET ID OF PHASE 1A     2-8 PTM13465
                    PHS1A DC      A1065-PHS1A  ADDR OF ID TABLE         PTM13470
                          DC      1         NO. OF ID'S TO BE FILLED    PTM13475
                          ORG     *-2                                   PTM13480
                    A1000 LD   L  A1040     INDICATE THAT PHASE 1A      PTM13485
                          STO  L  $PHSE      OF ASM IS IN CONTROL       PTM13490
                          SLA     16        CLEAR SPECIAL LIST      2-8 PTM13495
                          STO  L  P9YYY     *PRINT SWITCH           2-8 PTM13500
                          LD   L  $CORE                             2-8 PTM13505
                          S    L  A1041                             2-8 PTM13510
                          STO     TEMP2     SAVE DIFFERENCE BETWEEN2-11 PTM13512
                    *                       4K AND CORE SIZE       2-11 PTM13513
                          BSC  L  A1004,+-  BR IF 4K CORE           2-8 PTM13515
                          LD    3 PSMDE-X3  DETERMINE PASS MODE     2-8 PTM13520
                          BSC  L  A1002,+-  BR IF ONE               2-8 PTM13525
                          LD    3 LSTOP-X3  RESET XREF SW           2-8 PTM13530
                          AND     A1039                             2-8 PTM13535
                          STO   3 LSTOP-X3                          2-8 PTM13540
                          STO   3 TLIST-X3                          2-8 PTM13545
                          MDX     A1004     CONT PHASE 1A           2-8 PTM13550
                    *                                               2-8 PTM13555
                    A1002 LD    3 PASS-X3   DETERMINE ASM PASS      2-8 PTM13560
                          BSC  L  A1004,+   BR IF FIRST PASS        2-8 PTM13565
                          LD      A1038     MODIFY P9MVE SUBR FOR   2-8 PTM13570
                          STO  L  PACK-1    *CROSS-REFERENCE        2-8 PTM13575
                          LDD     A1037     MODIFY P9MVE SUBR FOR   2-8 PTM13580
                          STO  L  PACK0     *CROSS-REFERENCE        2-8 PTM13585
                          SLT     16                                2-8 PTM13590
                          STO  L  PACK0+1                           2-8 PTM13595
                          MDX  L  P9233,-32  MODIFY IN LDLBL TO BR 2-10 PTM13600
                          LD      A1029     *TO UPDATE ST NO UNCOND2-10 PTM13605
                          STO  L  P9233+1   *AND THEN TEST ON LIST 2-10 PTM13610
                          MDX  L  PRBFR,3   ADJUST O/P BFR FOR XREF 2-8 PTM13615
                          LD    3 HTYPE-X3  SAVE HDR TYPE FOR       2-8 PTM13620
                          STO   3 P2MWC-X3  *PASS 3                 2-8 PTM13625
                    *                                               2-8 PTM13630
                    A1004 LD    3 PSMDE-X3  DETERMINE PASS MODE     2-8 PTM13635
                          BSC  L  A1035,Z   BR IF TWO               2-8 PTM13640
                          LD    3 PASS-X3   DETRM ASM PASS              PTM13645
                          BSC  L  A1020,Z   BR IF 2ND PASS          2-8 PTM13650
                          LDX  L2 DFBUF     SET DSF BFR TO DSBUF    2-8 PTM13655
                    A1033 MDX  L  TEMP2,0   CORE SIZE 4K?          2-11 PTM13657
                          MDX     *+1       NO, CONTINUE.          2-11 PTM13658
                          MDX     A1005     SKIP MACRO PROC.INIT.  2-11 PTM13659
                          LD    3 THRT2-X3  LOAD NO.OVFL.SCTRS.    2-11 PTM13660
                          A     3 MCOM7-X3                          2-8 PTM13665
                          STO  L  PBASE     SET SCTR POINTERS       2-8 PTM13670
                          STO  L  PBUFF+1   *FOR MACRO PROCESSOR    2-8 PTM13675
                          LD    3 PARAM-X3  *PARAMETER SPILL        2-8 PTM13680
                          A     3 MCOM7-X3                          2-8 PTM13685
                          STO   3 PARAM-X3                          2-8 PTM13690
                          S    L  A1060                             2-8 PTM13695
                          STO  L  PLAST                             2-8 PTM13700
                          LD   L  A1060     SET PBUFF BACKWARDS     2-8 PTM13705
                          STO  L  PBUFF+3   *POINTER                2-8 PTM13710
                          LD   L  PBASE                             2-8 PTM13715
                          S    L  PLAST                             2-8 PTM13720
                          BSC  L  A1005,+   IF NO OVERFLOW SECTORS  2-8 PTM13725
                          LD   L  PBASE     *FOR PARAM SPILL        2-8 PTM13730
                          STO  L  PLAST     *INDICATE               2-8 PTM13735
                    A1005 STX  L2 DSFWR+1                           2-8 PTM13740
                          LD   L  A7001     WRITE FUNC CODE TO ASMCM    PTM13745
                          STO   3 DSFWR-X3                              PTM13750
                          MDX   2 +1                                    PTM13755
                          STX  L2 DSADR     SET DSF SCTR ADDR IN ACOM   PTM13760
                          MDX   2 +1                                    PTM13765
                          STX  L2 STADR     STARTING ADDR OF DSF BFR    PTM13770
                          MDX   2 +9                               2-10 PTM13775
                          STX  L2 DSBUF     DSF PROG HDR POINTER   2-10 PTM13780
                    A1032 MDX   2 -4                               2-10 PTM13785
                          STX  L2 DFXR2     XR2 ADDR FOR DSF OUTPUT2-10 PTM13790
                          MDX   2 +7                               2-10 PTM13795
                          STX  L2 DHPTR     DATA HEADER POINTER         PTM13800
                          MDX   2 +2                                    PTM13805
                          STX  L2 DFXR1     XR1 ADDR FOR DSF OUTPUT     PTM13810
                    A1031 MDX  L2 +306                             2-10 PTM13815
                          STX  L2 ENDAD     END ADDR OF DSF BFR         PTM13820
                          MDX     A1036      SKIP TO DETRM DEVICE       PTM13825
                    A1035 LDX  L2 BUFI      SET DSF BFR TO BUFI     2-8 PTM13830
                          LD    3 PASS-X3   CHECK WHICH PASS       2-10 PTM13835
                          BSC  L  A1033,+-  BRANCH IF FIRST PASS   2-10 PTM13840
                          LD    3 DFXR2-X3  CALCULATE ACTUAL DIS-  2-10 PTM13845
                          S     3 DSBUF-X3  *PLACEMENT OF POINTERS 2-10 PTM13850
                          SLA     8         *USED AT DSF-OUTPUT    2-10 PTM13855
                          SRA     8         *AND                   2-10 PTM13860
                          OR      A1034     *MODIFY THE            2-10 PTM13865
                          STO     A1032     *ABOVE REINITIALIZATION2-10 PTM13870
                          LD    3 ENDAD-X3  *CODE                  2-10 PTM13875
                          S     3 DFXR1-X3  *ACCORDINGLY,          2-10 PTM13880
                          STO     A1031+1   *IF NECESSARY          2-10 PTM13885
                          MDX     A1005     BR FOR REINIT AT SEC PS2-10 PTM13890
                    *                                                   PTM13895
                    *     CONSTANTS                                     PTM13900
                    *                                                 * PTM13905
                    A1034 DC      /7200     MDX - MASK             2-10 PTM13910
                    A1039 DC      /8001                             2-8 PTM13915
                    A1038 LDX   3 8         XREF P9MVE INST         2-8 PTM13920
                    TEMP2 DC      *-*       STORAGE FOR DIFFERENCE 2-11 PTM13922
                    *                       BETWEEN 4K AND CORE SIZ2-11 PTM13923
                          BSS  E  0         FORCE EVEN ADDR         2-8 PTM13925
                    A1037 BSC  L  X9MVE     XREF P9MVE INST         2-8 PTM13930
                    A1029 DC      IN+1                             2-10 PTM13935
                    *                                                   PTM13940
                    A1036 LD    3 IPTKB-X3   IS INPUT FROM PT/KB        PTM13945
                          BSC  L  A1010,+-   NO, BRANCH                 PTM13950
                    *                                                 * PTM13955
                          LD   L  RP000      FETCH CORE ADDR OF KB/PT   PTM13960
                          A       A1042      INCRE TO IOAR CONSTANT     PTM13965
                          STO     A1011+1                               PTM13970
                          LD      A1044                                 PTM13975
                    A1011 STO  L  *-*        CHANGE CONSTANT WITHIN RTN PTM13980
                          LDX   2 +60                                   PTM13985
                          STX  I2 RDBFR     SET INPUT BFR               PTM13990
                          STX  I2 RDBFR+1   WD CNT TO 60                PTM13995
                          LDX   3 2          SET LOOP CNTR              PTM14000
                    A1008 LD    1 +60       NON-BLANK MEANS KB OR PT    PTM14005
                          STO   1 +80       INPUT.                      PTM14010
                          LD   L  A1056+1    MOVE FIRST 60 CHARACTERS   PTM14015
                          STO   1 +60       OVER 20 POSITIONS AND       PTM14020
                          MDX   1 -1        FILL FIRST 20 WITH BLANKS   PTM14025
                          MDX   2 -1                                    PTM14030
                          MDX     A1008     LOOP                        PTM14035
                          MDX  L  $IBSY,0    CHECK INPUT BUSY IND       PTM14040
                          MDX     *-3        LOOP TIL NOT BUSY          PTM14045
                          LDX  I1 RDBFR+1    POINT TO OTHER BFR         PTM14050
                          LDX   2 +60        SET TO MOVE ENTIRE RCD     PTM14055
                          MDX   3 -1         DECRE LOOP CNTR            PTM14060
                          MDX     A1008      BR TO MOVE OTHER RCD       PTM14065
                          BSI  L  LDXRS      GO RESTO XR1 & XR3         PTM14070
                    A1010 LD    3 PASS-X3   CHECK IF PASS 2             PTM14075
                          BSC  L  A1015,Z   BRANCH IF PASS 2            PTM14080
                          LD    3 WSSZE-X3  IF PASS 1, THE SIZE OF WORK PTM14085
                          S     3 SKLTN-X3  *STORAGE MUST BE GTE    2-8 PTM14090
                          S       A1060     1 + NO. OF OVERFLOW SECTORS PTM14095
                          BSC  L  A1030,+   BRANCH IF WORK STORAGE LESS PTM14100
                          STO   3 SCRA-X3   SAVE AS NO. OF SECTORS WHEN PTM14105
                          STO   3 SCRA2-X3  OUTPUTTING TO DISK          PTM14110
                          LD    3 SKLTN-X3  NO. OVERFLOW SCTRS EQ   2-8 PTM14115
                          STO   3 WSSZE-X3  DISPLACEMENT FOR OTHER      PTM14120
                    *                                                 * PTM14125
                          A     3 ADJSA-X3  DISK OUTPUTS. ADJUST        PTM14130
                          STO   3 ADJSA-X3  WS ADDR BY OVERFLOW.        PTM14135
                          LDX  L1 BUFI                              2-8 PTM14140
                          LDX  L2 DFBUF                             2-8 PTM14145
                    *                                                 * PTM14150
                          LD    3 WSSZE-X3  SET DISPLACEMENT FOR        PTM14155
                          A     1 +1        DISK OUTPUTS TO WORK        PTM14160
                          STO   1 +1        STORAGE                     PTM14165
                          LD    3 WSSZE-X3                              PTM14170
                          A     2 +1                                    PTM14175
                          STO   2 +1                                    PTM14180
                          MDX     A1020                                 PTM14185
                    *                                                 * PTM14190
                    A1015 LD    3 PRINT-X3                              PTM14195
                          EOR   3 PCPAD-X3  DETRM PRINC PRINT           PTM14200
                          BSC  L  A1020,Z   BR IF NOT CONSOLE PRT       PTM14205
                    *                                                 * PTM14210
                          LD   L  PRBFR     FOR THE CONSOLE PRINT,  2-8 PTM14215
                          S       A1050     ADJUST THE WD CNT'S         PTM14220
                          STO  L  PRBFR     OF THE PRNT BFRS        2-8 PTM14225
                    A1020 LD    3 OFCNT-X3                          2-8 PTM14230
                          BSC  L  A1022,+  BR-NO SYMBOL TBL OVFLO   2-8 PTM14235
                          LD    3 LSTOP-X3  RESET XREF SW           2-8 PTM14240
                          AND     A1039                             2-8 PTM14245
                          STO   3 LSTOP-X3                          2-8 PTM14250
                          STO   3 TLIST-X3                          2-8 PTM14255
                    *                                               2-8 PTM14265
                    A1022 LD    3 PASS-X3   DETERMINE ASM PASS      2-8 PTM14270
                          BSC  L  A1027,+   BR-PASS ONE             2-8 PTM14275
                          LD   L  $CORE                             2-8 PTM14280
                          S       A1041                             2-8 PTM14285
                          BSC  L  A1027,+-  BR-4K CORE                  PTM14290
                          LD    3 ADJSA-X3  SET ALTERNATE ADJSA     2-9 PTM14295
                          STO  L  XADJS                             2-9 PTM14300
                          LD    3 PSMDE-X3                          2-8 PTM14305
                          BSC  L  A1027,Z   BR-TWO PASS MODE        2-8 PTM14310
                          LD    3 LSTOP-X3                          2-8 PTM14315
                          AND     H1AC0                             2-8 PTM14320
                          EOR     H1AC0     TEST FOR XREF           2-8 PTM14325
                          BSC  L  A1028,Z   BR, NO XREF SPECIFIED  2-11 PTM14330
                          LD    3 MCGEN-X3  SET DSF SCTR,DO         2-8 PTM14335
                          A       A1060     *NOT OVLAY INTERM I/P   2-8 PTM14340
                          STO  I  DSADR                             2-8 PTM14345
                          STO  L  XADJS     SAVE FOR ASM EXIT       2-8 PTM14350
                          S     3 MCOM7-X3                          2-8 PTM14355
                          STO   3 WSSZE-X3  SET W.S. ADDR           2-8 PTM14360
                    A1027 LDD     A1065+2   FETCH WD CNT,SCTR ADDR  2-8 PTM14365
                          STD   3 OVLAY-X3                          2-8 PTM14370
                          MDX  L  P0140+1,+14  INCR OVERLAY ADDR    2-8 PTM14375
                    *                                                 * PTM14380
                          BSI   3 LDXRS-X3  GO TO RESTO XR1 & 3         PTM14385
                          BSC  L  P0130     BRANCH TO READ PHASE 2      PTM14390
                    *                                                   PTM14395
                    A1028 LD    3 SCRA2-X3  SET UP NO. WS SCTRS    2-11 PTM14396
                          STO   3 SCRA-X3   *FOR SECOND PASS       2-11 PTM14397
                          MDX     A1027                            2-11 PTM14398
                    A1030 LDX   2 +1        ERROR 'A 01'                PTM14400
                          BSI  L  GETER     PRINT ERROR MESSAGE     2-8 PTM14405
                    *                                                   PTM14410
                    *     CONSTANTS                                     PTM14415
                    *                                                   PTM14420
                    H1AC0 DC      /C000     XREF CONSTANT           2-8 PTM14425
                    A1040 DC      /D6       SLET ID OF PHASE 1A     2-8 PTM14430
                    A1041 DC      /1000     4K CORE CHECK CONSTANT  2-8 PTM14435
                    A1042 DC      10         CONSTANT 10                PTM14440
                    A1044 DC      21         CONSTANT 21                PTM14445
                    A1060 DC      1                                     PTM14450
                    A7001 DC      /7001      WRITE FUNCTION CODE        PTM14455
                          BSS  E  0         MAKE NEXT LOCATION EVEN     PTM14460
                    A1050 DC      4         BFR WD CNT MODIFIER         PTM14465
                    A1055 DC      14        BFR WD CNT MODIFIER         PTM14470
                    A1056 DC      0         HOLLERITH BLANK             PTM14475
                          DC      /0040     EBC BLANK                   PTM14480
                    A1065 DC      /DA       SLET ID OF PHASE 2      2-8 PTM14485
                          BSS     3                                     PTM14490
                          BSS     /0394-*   PHASE 1A PATCH AREA    2-10 PTM14495
                    A1070 DC      0                                     PTM14500
*SBRKSLS D7          ASM DUMMY SYST SYMBOL TBL                    V2M08 PTM14505
                          HDNG    ASM DUMMY PHASE                       PTM14510
                    *************************************************** PTM14515
                    *                                                 * PTM14520
                    *STATUS - VERSION 2, MODIFICATION 8               * PTM14525
                    *                                                 * PTM14530
                    *FUNCTION-THIS PHASE IS INCLUDED ONLY TO ALLOCATE * PTM14535
                    *         DISK STORAGE FOR THE SYSTEM SYMBOL TABLE. PTM14540
                    *                                                 * PTM14545
                    *ENTRY POINTS-NONE                                * PTM14550
                    *                                                 * PTM14555
                    *EXITS-NONE                                       * PTM14560
                    *                                                 * PTM14565
                    *TABLES/WORK AREAS-N/A                            * PTM14570
                    *                                                 * PTM14575
                    *ATTRIBUTES-N/A                                   * PTM14580
                    *                                                 * PTM14585
                    *************************************************** PTM14590
                          HDNG    ASM DUMMY PHASE                       PTM14595
                          ORG     0                                     PTM14600
                          DC      1         WORD COUNT                  PTM14605
                          DC      @ASYM     PHASE ID                    PTM14610
                          BSS     /12E                                  PTM14615
                          DC      0         DUMMY PHASE DATA            PTM14620
                          DC      /FFFF     END-OF-PHASE INDICATOR      PTM14625
                    @ASYM EQU     /D7       ASM PHASE ID            2-8 PTM14630
*SBRKSLS D8          ASM SYMBOL TABLE OPTIONS PHASE               V2M08 PTM14635
                          HDNG    ***PHASE 3 - SYMBOL TABLE OPTIONS***  PTM14640
                    *************************************************** PTM14645
                    *                                                 * PTM14650
                    *STATUS - VERSION 2, MODIFICATION 11              * PTM14655
                    *                                                 * PTM14660
                    *FUNCTION/OPERATION-                              * PTM14665
                    *   *PHASE 3 IS CALLED INTO CORE AS PART 1 OF THE * PTM14670
                    *    ASSEMBLER PROGRAM'S EXIT TO THE SUPERVISOR.  * PTM14675
                    *   *IF A REQUEST HAS BEEN MADE BY CONTROL RECORD * PTM14680
                    *    THAT THE SYMBOL TABLE BE SAVED, THE FOLLOWING* PTM14685
                    *    CHECKS ARE MADE-                             * PTM14690
                    *        *DETERMINE THAT THE RELOCATION MODE OF   * PTM14695
                    *         THE ASSEMBLE IS ABSOLUTE.               * PTM14700
                    *        *DETERMINE THAT NO ERRORS OCCURRED IN THE* PTM14705
                    *         ASSEMBLY.                               * PTM14710
                    *        *DETERMINE THAT NO MORE THAN ONE HUNDRED * PTM14715
                    *         SYMBOLS WERE UTILIZED.                  * PTM14720
                    *    IF THESE CONDITIONS ARE MET, THE SYMBOL TABLE* PTM14725
                    *    IS WRITTEN TO THE DISK IN THE SYSTEM SYMBOL  * PTM14730
                    *    TABLE SECTOR WITHIN THE ASSEMBLER PROGRAM.   * PTM14735
                    *    IF THESE CONDITIONS ARE NOT MET, AN ERROR    * PTM14740
                    *    MESSAGE IS PRINTED AND THE SYMBOL TABLE IS   * PTM14745
                    *    NOT SAVED.                                   * PTM14750
                    *   *PHASE 3 ALSO PERFORMS THE PRINTING AND       * PTM14755
                    *    PUNCHING OF THE SYMBOL TABLE, AS REQUESTED BY* PTM14760
                    *    THE USER ON CONTROL RECORDS.                 * PTM14765
                    *   *AT THE COMPLETION OF THE SYMBOL TABLE OPTIONS* PTM14770
                    *    PROCESSING, PHASE 4 IS FETCHED INTO CORE AND * PTM14775
                    *    CONTROL IS TRANSFERRED TO IT.                * PTM14780
                    *                                                 * PTM14785
                    *ENTRY POINTS-                                    * PTM14790
                    *   *P3001 - ENTRY FROM PHASE 12                  * PTM14795
                    *                                                 * PTM14800
                    *INPUT-N/A                                        * PTM14805
                    *                                                 * PTM14810
                    *OUTPUT                                           * PTM14815
                    *   *THE SYMBOL TABLE IF REQUESTED                * PTM14820
                    *                                                 * PTM14825
                    *EXTERNAL RERERENCES-                             * PTM14830
                    *   *SUBROUTINES-                                 * PTM14835
                    *      * DISK1                                    * PTM14840
                    *      * GETER                                    * PTM14845
                    *      * GTHDG                                    * PTM14850
                    *      * LDXRS                                    * PTM14855
                    *      * STRT9                                    * PTM14860
                    *      * STXRS                                    * PTM14865
                    *      * PRINCIPAL PRINT SUBROUTINE               * PTM14870
                    *      * PUNCH CONVERSION SUBROUTINE              * PTM14875
                    *      *1442 SYSTEM DEVICE SUBROUTINE             * PTM14880
                    *   *DCOM/COMMA-                                  * PTM14885
                    *       $CH12                                     * PTM14890
                    *       $CORE                                     * PTM14895
                    *       $IBSY                                     * PTM14900
                    *       $PRET                                     * PTM14905
                    *       $PBSY                                     * PTM14910
                    *       $PHSE                                     * PTM14915
                    *       @RP67                                     * PTM14920
                    *                                                 * PTM14925
                    *EXITS-                                           * PTM14930
                    *   *NORMAL - MASTER OVERLAY CONTROL SUBROUTINE   * PTM14935
                    *   *ERROR - GETER SUBROUTINE                     * PTM14940
                    *                                                 * PTM14945
                    *TABLES/WORK AREAS- N/A                           * PTM14950
                    *                                                 * PTM14955
                    *ATTRIBUTES-REUSABLE                              * PTM14960
                    *                                                 * PTM14965
                    *NOTES - ASSURE THAT THIS PHASE IS ORG'D TO SAME  * PTM14970
                    *        LOCATION AS RDCRD ROUTINE IN PHASE 9,    * PTM14972
                    *                                                 * PTM14975
                    *************************************************** PTM14980
                    *                                                   PTM14985
                          ORG     /07A8     ABS ORIGIN AT RDCRD    2-11 PTM14990
                          DC      P3900-P3001  WD CNT PHASE 3           PTM14995
                          DC      -/D8      SLET ID OF PHASE 3      2-8 PTM15000
                    PHS03 DC      P3800-PHS03  ID TABLE ADDR            PTM15005
                          DC      3         NO. OF ID'S TO BE FILLED2-8 PTM15010
                          ORG     *-2                                   PTM15015
                    *                                                   PTM15020
                    *                                                 * PTM15025
                    P3001 LD      PH3ID                                 PTM15030
                          STO  L  $PHSE      IDENTIFY THE PHASE         PTM15035
                          MDX  L  LOEND,-2   POINT TO FIRST ENTRY       PTM15040
                          LD   I  OFSAD      FETCH OVFLO SCTR ADDR      PTM15045
                          S     3 OFCNT-X3                              PTM15050
                          STO  I  OFSAD      SET ADDR = 1ST OVFLO SCTR  PTM15055
                          LD    3 OFCNT-X3                              PTM15060
                          BSC  L  *+3,+-     BR IF NO OVERFLOW          PTM15065
                          A       P3920      OTHERWISE, SAVE NO. +1     PTM15070
                          STO  L  SAVCT                                 PTM15075
                          LD    3 SAVSW-X3   CHK 'SAV SYM TBL' SWTCH    PTM15080
                          BSC  L  P3300,+-   BR IF OFF (NO SAVE REQ)    PTM15085
                    *                                                 * PTM15090
                          LD    3 RLMDE-X3   CHECK ASSEMBLY MODE        PTM15095
                          BSC  L  P3200,Z    BR (ERROR) IF MODE NOT ABS PTM15100
                    *                                                 * PTM15105
                          LD    3 ERCNT-X3   CHECK FOR ASSEMBLY ERRORS  PTM15110
                          BSC  L  P3200,Z    BR (ERROR) IF ANY OCCURRED PTM15115
                    *                                                 * PTM15120
                          LD    3 CTSYM-X3                              PTM15125
                          S       P3910      CHECK CNT OF SYMBOLS       PTM15130
                          BSC  L  P3200,-Z   BR (ERROR) IF OVER 100     PTM15135
                    *                                                 * PTM15140
                          LD   L  $CORE                                 PTM15145
                          S       P3915                                 PTM15150
                          STO     P3003+1    SET UP CORE ADDR OF TBL    PTM15155
                          STO  L  PTFNC+1                               PTM15160
                    P3003 LDX  L2 *-*        POINT XR2 TO TBL           PTM15165
                          LD    3 CTSYM-X3   FETCH SYMBOL COUNT         PTM15170
                          STO   2 +2         1ST WRD OF SCTR IS CNT     PTM15175
                          LDD  L  P3800+6    FETCH WD CNT & SCTR ADDR   PTM15180
                          STD   2 0          SET UP DISK IOAR HDR       PTM15185
                          RTE     16                                    PTM15190
                          LDD  L  PTFNC                                 PTM15195
                          BSI   3 DISK1-X3   BR TO SAVE SYMBOL TBL      PTM15200
                          MDX     P3300      BR TO CHECK OTHER OPTIONS  PTM15205
                    *                                                 * PTM15210
                    *     CONSTANTS                                     PTM15215
                    *                                                   PTM15220
                    D0060 DC      60         LINE PRINT WD CNT          PTM15225
                    D0008 DC      8          CONSTANT 8                 PTM15230
                    PH3ID DC      /D8       SLET ID OF PHASE 3      2-8 PTM15235
                    ELEVN DC      11         CONSTANT ELEVEN            PTM15240
                    P3910 DC      100        CONSTANT ONE HUNDRED       PTM15245
                    P3915 DC      /130       SYM TBL WD CNT             PTM15250
                          BSS  E  0         FORCE EVEN ADDR         2-8 PTM15255
                    P3918 DC      /7001     DK WRITE FUNC CODE      2-8 PTM15260
                          DC      PRBFR+1   I/O AREA ADDR           2-8 PTM15265
                    P3920 DC      1          CONSTANT ONE               PTM15270
                    P3925 DC      HDGBF     ADDR PAGE HEADING BFR   2-8 PTM15275
                          BSS  E  0         FORCE EVEN ADDR         2-8 PTM15280
                    P3926 DC      18         WORD COUNT OF PAGE HD 2/11 PTM15285
                          DC      #HDNG     SCTR ADDR PAGE HDNG     2-8 PTM15290
                    P3927 DC      33        WD CNT PAGE HDNG        2-8 PTM15295
                    *                                                   PTM15300
                    P3200 LDX   2 +4         INDICATE ASM ERROR 'A 04'  PTM15305
                          BSI  L  GETER     GO TO PRINT ERR MSG     2-8 PTM15310
                    *                                                 * PTM15315
                    P3300 LD    3 STOPT-X3   CHECK FOR PRNT/PUNCH REQ   PTM15320
                          BSC  L  P3000,+-   EXIT IF NEITHER REQ        PTM15325
                          BSC  L  NOPRT,-    SKIP HDNG IF NO PRINT REQ  PTM15330
                          MDX  L  $PBSY,0   LOOP ON PRINT BUSY     2-11 PTM15332
                          MDX     *-3                              2-11 PTM15333
                          LDD     P3926     SET I/O AREA ADDR TO    2-8 PTM15335
                          STD  I  P3918+1   *INITIALZ PAGE HDNG     2-8 PTM15340
                          LDD     P3918     PREPARE TO READ PAGE    2-8 PTM15345
                          S       P3920     *HDNG                   2-8 PTM15350
                          BSI   3 DISK1-X3  READ PAGE HDNG          2-8 PTM15355
                          LD      P3925                             2-8 PTM15360
                          A       ELEVN                                 PTM15365
                          STO     FILBF+1    FETCH HDNG BFR ADDR        PTM15370
                          A       D0008                                 PTM15375
                          STO     BLKBF+1                               PTM15380
                          LDX   2 +8         LOOP CNTR                  PTM15385
                          LDD  L2 STHDR-2    FETCH SYM TBL HDR          PTM15390
                    FILBF STD  L2 *-*        SET UP IN HDNG BFR         PTM15395
                          MDX   2 -2         DECRE LOOP CNTR            PTM15400
                          MDX     FILBF-2    LOOP TIL COMPLETE          PTM15405
                          LD   L  STHDR                             2-8 PTM15410
                          STO  L  HDGBF+12                          2-8 PTM15415
                    *                                                 * PTM15420
                          LDX   2 +14        LOOP CNTR                  PTM15425
                          LDD     BLNKS                                 PTM15430
                    BLKBF STD  L2 *-*        BLANK THE REST OF THE BFR  PTM15435
                          MDX   2 -2                                    PTM15440
                          MDX     BLKBF                                 PTM15445
                          LD      P3927     SET EXPANDED WD CNT     2-8 PTM15450
                          STO  I  P3918+1                           2-8 PTM15455
                          LDD     P3918                             2-8 PTM15460
                          BSI   3 DISK1-X3  WRITE PAGE HDNG TO DK   2-8 PTM15465
                          BSI  L  GTHDG     RESTORE PAGE & PR HDNG  2-8 PTM15470
                    *                                                 * PTM15475
                    NOPRT LD    3 STOPT-X3                              PTM15480
                          SLA     1          SHIFT OUT PRINT REQ        PTM15485
                          BSC  L  XCHBF,+    SKIP 1442 RD IF NO PNCH    PTM15490
                          LDD   3 I1442-X3   FETCH WD CNT & SCTR ADDR   PTM15495
                          STD  I  RP000      SET UP DISK IOAR HDR INFO  PTM15500
                          LD   L  RP000      IOAR ADDR                  PTM15505
                          RTE     16                                    PTM15510
                          LD      P3985     READ FUNC CODE          2-8 PTM15515
                          BSI   3 DISK1-X3   GO LOAD THE 1442 RTN       PTM15520
                    *                                                 * PTM15525
                    XCHBF LDD     P3930     FETCH BFR ADDRESSES     2-8 PTM15530
                          STD   3 RDBFR-X3   CASE DBL BFRING INHIBITED. PTM15535
                          LDX  I1 RDBFR                                 PTM15540
                          BSI   3 STXRS-X3   GO INITIAL LDXRS RTN       PTM15545
                          LD      D0060      FETCH PRINT WD CNT         PTM15550
                          STO   1 0          SET NEW WD CNT IN BFR      PTM15555
                    *                                                 * PTM15560
                          LDD     DCOMA                                 PTM15565
                          STD  I  P3935     SET UP DISK IOAR HDR INF02-9PTM15570
                          LD      P3935     IOAR ADDR               2-8 PTM15575
                          RTE     16                                    PTM15580
                          LD      P3985     READ FUNC CODE          2-8 PTM15585
                          BSI   3 DISK1-X3   GO TO LOAD DCOM            PTM15590
                    *                                                 * PTM15595
                    P3330 LD    3 HIEND-X3                              PTM15600
                          S     3 LOEND-X3   COMPUTE SIZE OF SYM TBL    PTM15605
                          A       P3920                                 PTM15610
                          RTE     16                                    PTM15615
                          SLA     16                                    PTM15620
                          D       THREE      COMPUTE NUMBER OF          PTM15625
                          STO     ENTRE      ENTRIES IN TBL.            PTM15630
                    *                                                   PTM15635
                          RTE     16                                    PTM15640
                          SLA     16                                    PTM15645
                          D       KFIVE      SET CNTR TO PRINT 5        PTM15650
                          STO     LINCT      ENTRIES PER LINE.          PTM15655
                          BSC  L  P333X,+-   BR IF LESS THAN 1 FUL LINE PTM15660
                          RTE     16                                    PTM15665
                          STO     EXTRA      SAVE LEFT-OVER ENTRIES     PTM15670
                          MDX  L  CNTR1,+5   SET FORMAT 5 ENTRIES       PTM15675
                    RESTO BSI   3 LDXRS-X3   GO RESTO XR1               PTM15680
                          LDX   3 +2         SET TO CLEAR TWO BFR'S     PTM15685
                          LDX   2 40         SET UP LOOP CNTR           PTM15690
                          LDD     BLNKS                                 PTM15695
                    P3332 STD   1 +1        FILL THE INPUT          2-8 PTM15700
                          MDX   1 +2         BUFFER WITH BLANKS         PTM15705
                          MDX   2 -1                                    PTM15710
                          MDX     P3332     LOOP TIL CLEARED        2-8 PTM15715
                          MDX   3 -1         DECRE LOOP CNTR            PTM15720
                          MDX     *+1        SKIP TO SET FOR NEXT BFR   PTM15725
                          MDX     P3335      BR TO CONTINUE             PTM15730
                    *                                                 * PTM15735
                          LDX  I1 RDBFR+1    POINT TO SECOND BFR        PTM15740
                          MDX     P3332-2   LOOP TO CLEAR NEXT BFR  2-8 PTM15745
                    *                                                 * PTM15750
                    P333X MDX  L  LINCT,+1   SET TO PRINT ONE LINE      PTM15755
                          RTE     16                                    PTM15760
                          BSC  L  P3000,+-   EXIT IF NO SYMBOLS DEFINED PTM15765
                          STO     CNTR1      SET NO. OF ENTRIES         PTM15770
                          MDX     RESTO                                 PTM15775
                    *                                                 * PTM15780
                    *     CONSTANTS                                     PTM15785
                    *                                                   PTM15790
                    LINCT DC      0          LINE CNT                   PTM15795
                    KFIVE DC      5          CONSTANT 5                 PTM15800
                    THREE DC      3          CONSTANT 3                 PTM15805
                    ENTRE DC      0          SAVE NO. OF ENTRIES        PTM15810
                    EXTRA DC      0          SAVE NO. LEFT OVER         PTM15815
                    EBCM  DC      .M         EBC 'M'                    PTM15820
                    EBCA  DC      .A         EBC 'A'                    PTM15825
                    P3334 DC      *-*       TEMP STORAGE AREA       2-8 PTM15830
                    CNTR1 DC      0          ENTRY CNTR                 PTM15835
                    P3980 DC      10         CONSTANT TEN               PTM15840
                          DC      .A-.0-10   CONSTANT 'C1-F0-TEN'       PTM15845
                          DC      .0+10      CONSTANT 'F0+TEN'          PTM15850
                    *                                                 * PTM15855
                          BSS  E  0                                     PTM15860
                    PTFNC DC      /7001      WRITE FUNC CODE            PTM15865
                          DC      *-*        SYS SYM TBL ADDR           PTM15870
                    BLNKS DC      /4040      PACKED EBC BLANKS          PTM15875
                          DC      /4040      PACKED EBC BLANKS          PTM15880
                    DCOMA DC      20         WD CNT AND                 PTM15885
                          DC      DCOMM      SCTR ADDR OF DCOMM         PTM15890
                    P3930 DC      IOBF1     ADDR READ/PUNCH BFR 1   2-8 PTM15895
                          DC      IOBF2     ADDR READ/PUNCH BFR 2   2-8 PTM15900
                    P3985 DC      /7000     READ FUNCTION CODE      2-8 PTM15905
                    P3935 DC      DCBUF      DCOMM BUFFER          2/11 PTM15910
                    *                                                 * PTM15915
                    P3335 BSI  L  LDXRS      GO RESTO XR1 AND XR3       PTM15920
                          LDX  I2 HIEND      SET SYM TBL POINTER        PTM15925
                    CNVR3 LDX  I3 CNTR1      INITIALIZE LOOP CNTR       PTM15930
                          STX   3 RESET+1    SAVE LOOP CNTR             PTM15935
                    *                                                 * PTM15940
                    LOOP1 LD    2 -1         FETCH FIRST WORD OF NAME   PTM15945
                          RTE     16         SAVE IN EXT                PTM15950
                          LD      BLNKS                                 PTM15955
                          STO   1 +1         INITIAL TO BLNKS           PTM15960
                          SLA     16                                    PTM15965
                          SLT     1          SHIFT IN IND. BIT          PTM15970
                          BSC  L  CHEKR,+-   BR IF NOT MULT DEFINED     PTM15975
                          LD      EBCM       OTHERWISE, PUT AN          PTM15980
                          SLA     8          LEFT JUSTIFY               PTM15985
                          OR    1 +1                                    PTM15990
                          STO   1 +1         EBC 'M' IN BFR.            PTM15995
                          SLA     16                                    PTM16000
                    CHEKR SLT     1          CHECK RELOCATION MODE      PTM16005
                          BSC  L  CONVR-1,Z  BR IF RELOCATABLE          PTM16010
                          LD   L  RLMDE      CHECK RELOC. MODE OF ASM   PTM16015
                          BSC  L  CONVR-1,+- BR IF ABSOLUTE             PTM16020
                          LD      EBCA       OTHERWISE, PUT AN          PTM16025
                          OR    1 +1                                    PTM16030
                          STO   1 +1         SET UP IN OUTPUT BFR       PTM16035
                          MDX   1 +2         INCRE OUTPUT POINTER       PTM16040
                    *                                                 * PTM16045
                    *************************************************** PTM16050
                    *                                                 * PTM16055
                    *     THIS BLOCK OF CODING SETS UP 5 ENTRIES      * PTM16060
                    *     OF THE SYMBOL TBL IN THE INPUT BFR          * PTM16065
                    *                                                 * PTM16070
                    *************************************************** PTM16075
                    CONVR LD    2 0          2ND WORD OF NAME           PTM16080
                          RTE     16                                    PTM16085
                          LD    2 -1         1ST WORD OF NAME           PTM16090
                          BSI  L  CONNC      BR TO CONVERT IT           PTM16095
                    *                                                 * PTM16100
                          STX   2 SAVR2+1    SAVE XR2                   PTM16105
                    *                                                 * PTM16110
                          LD    2 -2         FETCH LABEL VALUE          PTM16115
                          LDX   2 +4         SET TO CONVERT TO 4 CHAR   PTM16120
                          RTE     16         SHIFT TO Q                 PTM16125
                          LDX   3 +2         SET LEFT-RIGHT IND         PTM16130
                    P3350 SLA     16         CLEAR ACC                  PTM16135
                          SLT     4          SHIFT IN FIRST CHAR        PTM16140
                          S       P3980                                 PTM16145
                          BSC     -                                     PTM16150
                          A       P3980+1    =.A-.0-10                  PTM16155
                          A       P3980+2    =.0+10                     PTM16160
                          MDX   3 -1         DECRE LFT/RT IND           PTM16165
                          MDX     P3360      SKIP TO HANDLE LEFT        PTM16170
                          OR      P3334     OR RT WITH LEFT         2-8 PTM16175
                          STO   1 0          OUTPUT WORD                PTM16180
                          MDX   1 +1         INCRE OUTPUT POINTER       PTM16185
                          MDX   2 -1         DECRE CHAR CNTR            PTM16190
                          MDX     P3350-1    LOOP TIL COMPLETE          PTM16195
                    *                                                 * PTM16200
                          MDX     SAVR2      BR TO RESTO XR2 & XR3      PTM16205
                    *                                                 * PTM16210
                    P3360 SLA     8          LEFT-JUSTIFY               PTM16215
                          STO     P3334     SAVE TEMPORARILY        2-8 PTM16220
                          MDX   2 -1         DECRE CHAR CNTR            PTM16225
                          MDX     P3350      BR TO CONTINUE CONVERSION  PTM16230
                    *                                                 * PTM16235
                    SAVR2 LDX  L2 *-*        RESTO XR2                  PTM16240
                          MDX   2 -3         DECRE SYM TBL POINTER      PTM16245
                          MDX  L  CNTR1,-1   DECRE LOOP CNTR            PTM16250
                          MDX     LOOP1      LOOP TO SET UP NEXT ENTRY  PTM16255
                    *                                                 * PTM16260
                          BSI  L  LDXRS      GO TO RESTO XR1 & XR3      PTM16265
                    *                                                 * PTM16270
                          LD    3 STOPT-X3                              PTM16275
                          BSC  L  PUNCH-1,-  BR IF NO PRNT REG          PTM16280
                          MDX  L  PR000,+3   INCRE TO ENTRY POINT       PTM16285
                          LD    3 RDBFR-X3   I/O AREA ADDR              PTM16290
                          RTE     16                                    PTM16295
                          LD      PTFNC      WRITE FNC CODE TO ACC      PTM16300
                          BSI  I  PR000      GO TO PRINT A LINE         PTM16305
                          MDX  L  PR000,-3                              PTM16310
                          LD   L  $PBSY      TEST PRINTER BUSY          PTM16315
                          BSC  L  *-4,Z      LOOP TIL PTNTR NOT BUSY    PTM16320
                          LD   I  $CH12      CHECK CHANNEL 12           PTM16325
                          BSI  L  GTHDG,Z   IF ON,BR TO PRNT HDNG   2-8 PTM16330
                          STX   2 P3SV2+1    SAVE XR2                   PTM16335
                    *                                                 * PTM16340
                    PUNCH LD    3 STOPT-X3                              PTM16345
                          SLA     15                                    PTM16350
                          BSC  L  P3367,-   BR IF NO PUNCH REQ      2-8 PTM16355
                    *                                                 * PTM16360
                    *     THIS MODULE HANDLES THE PUNCHING OF THE     * PTM16365
                    *     SYMBOL TABLE - ONE SYMBOL PER CARD          * PTM16370
                    *                                                 * PTM16375
                    RESET LDX  L2 *-*                                   PTM16380
                          STX   2 CNTR1      INITIAL LOOP CNTR          PTM16385
                          LDX  L2 DCBUF      DCOMM POINTER         2/11 PTM16390
                          MDX   2 +2                                    PTM16395
                          LD    2 #RP67      CHECK 1442 SWTCH           PTM16400
                          BSC  L  MOD67,Z    BR IF MOD 6/7 PRESENT      PTM16405
                          LD   L  BRNCH      SET TO SKIP READING        PTM16410
                          STO     MOD67      FOR A BLANK CARD.          PTM16415
                    *                                                 * PTM16420
                    MOD67 LD   L  RDBFR+1    BFR ADDR                   PTM16425
                          RTE     16                                    PTM16430
                          LD      P3985                             2-8 PTM16435
                          MDX  L  RP000,+3                              PTM16440
                          BSI  I  RP000      BR TO 1442 RTN             PTM16445
                          MDX  L  RP000,-3                              PTM16450
                    *                                                 * PTM16455
                          MDX  L  $IBSY,0    TEST READER BUSY           PTM16460
                          MDX     *-3        LOOP TIL NOT BUSY          PTM16465
                          LDX   3 +80        LOOP CNTR                  PTM16470
                          LDX  I2 RDBFR+1    BFR PNTR                   PTM16475
                    RDBLK LD    2 +1         SCAN FOR ZERO'S            PTM16480
                          BSC  L  ERROR,Z    BR TO ERR IF NON-ZERO      PTM16485
                          MDX   2 +1         INCRE BFR PNTR             PTM16490
                          MDX   3 -1         DECRE LOOP CNTR            PTM16495
                          MDX     RDBLK      LOOP TIL 80 CC CHECKED     PTM16500
                    *                                                 * PTM16505
                    MOVE1 LDX  I2 RDBFR+1    SET PNCH BFR POINTER       PTM16510
                          MDX   2 +21        POINT TO CC 21             PTM16515
                          MDX   1 +2         INCRE INPUT POINTER        PTM16520
                          LD    1 0          FETCH NAME FROM PRNT       PTM16525
                          SLA     8          BFR AND UNPACK IT          PTM16530
                          SRA     8                                     PTM16535
                          BSI  L  CHNGE     BR TO CHECK IF ' OR =   2-7 PTM16540
                          STO   2 0          OUTPUT FIRST CHAR          PTM16545
                          LDX   3 +2         SET LOOP PNTR              PTM16550
                    NAME1 LD    1 +1                                    PTM16555
                          RTE     16                                    PTM16560
                          SLA     16                                    PTM16565
                          SLT     8                                     PTM16570
                          BSI  L  CHNGE     BR TO CHECK IF ' OR =   2-7 PTM16575
                          STO   2 +1         OUTPUT SECOND CHAR         PTM16580
                          SLA     16                                    PTM16585
                          SLT     8                                     PTM16590
                          BSI  L  CHNGE     BR TO CHECK IF ' OR =   2-7 PTM16595
                          STO   2 +2         OUTPUT THIRD CHAR          PTM16600
                          MDX   1 +1         INCRE PRNT BFR PNTR        PTM16605
                          MDX   2 +2         INCRE PNCH BFR PNTR        PTM16610
                          MDX   3 -1         DECRE LOOP CNTR            PTM16615
                          MDX     NAME1      BR TO OUTPUT REST OF NAME  PTM16620
                    *                                                 * PTM16625
                          MDX   2 +2         POINT TO CC 27             PTM16630
                          LDD     P3EQU                                 PTM16635
                          STD   2 0                                     PTM16640
                          LD      P3EQU+2                               PTM16645
                          STO   2 +2         SET UP 'EQU' IN CC 27-29   PTM16650
                    *                                                 * PTM16655
                          LDX   3 +2         SET LOOP CNTR              PTM16660
                          MDX   1 +2         INCRE INPUT POINTER        PTM16665
                    MVALU LD    1 0          FETCH VALUE                PTM16670
                          RTE     16                                    PTM16675
                          SLA     16                                    PTM16680
                          SLT     8                                     PTM16685
                          STO   2 +9         OUTPUT HEX VALUE           PTM16690
                          SLA     16         IN CC 36-39                PTM16695
                          SLT     8                                     PTM16700
                          STO   2 +10                                   PTM16705
                          MDX   2 +2         INCRE PNCH BFR PNTR        PTM16710
                          MDX   1 +1         INCRE PRNT BFR PNTR        PTM16715
                          MDX   3 -1         DECRE LOOP CNTR            PTM16720
                    *                                                 * PTM16725
                          MDX     MVALU      LOOP TO CONT OUTPUT        PTM16730
                    *                                                 * PTM16735
                          LD      EBCSL                                 PTM16740
                          STO   2 +4         SET A SLASH IN CC 35       PTM16745
                          STX   1 P3365+1   SAVE XR1                2-8 PTM16750
                          LDX  I1 RDBFR+1    POINT TO PNCH BFR          PTM16755
                          SLA     16         IND SYM TBL CNVR           PTM16760
                          BSI  L  STRT9+20  BR TO PUNCH CONVERT     2-8 PTM16765
                    P3365 LDX  L1 *-*       RESTO XR1               2-8 PTM16770
                    SAVE3 MDX  L  CNTR1,-1   DECRE LOOP CNTR            PTM16775
                          MDX     MOD67      LOOP TIL 5 CARDS PNCHED    PTM16780
                    *                                                 * PTM16785
                          BSI  L  LDXRS                                 PTM16790
                    *                                                 * PTM16795
                    P3367 MDX  L  CNTR1,+5  RESET LOOP CNTR         2-8 PTM16800
                          NOP               (MAY SKIP)              2-8 PTM16805
                          MDX  L  LINCT,-1   DECRE LINE CNTR            PTM16810
                          MDX     P3SV2      BR TO CNVRT NEXT LINE      PTM16815
                          LD   L  EXTRA                                 PTM16820
                          BSC  L  CHKOV,+-   BR IF LAST LINE COMP.      PTM16825
                          STO  L  CNTR1      OTHERWISE, INITIAL LINE    PTM16830
                          M       H0008      COMPUTE NEW WD CNT         PTM16835
                          RTE     16                                    PTM16840
                          STO  I  RDBFR      SET UP IN OUTPUT BFR       PTM16845
                          SLA     16         CNTR AND CLEAR LAST        PTM16850
                          STO  L  EXTRA      LINE IND.                  PTM16855
                    P3SV2 LDX  L2 *-*        RESTO SYM TBL POINTER      PTM16860
                          BSC  L  CNVR3      BR TO CNVRT LAST LINE      PTM16865
                    ERROR LDX   2 +6         SET MESSAGE PNTR           PTM16870
                          BSI  L  GETER     BR TO PRINT MESSAGE     2-8 PTM16875
                          LD      P3ERR      IND 1442 NEEDS BLNK CARDS  PTM16880
                          BSI  L  $PRET      BR TO SYSTEM WAIT          PTM16885
                          LDX  L2 DCBUF      DCOMM POINTER         2/11 PTM16890
                          MDX     MOD67      BR TO READ FOR BLANKS      PTM16895
                    *                                                   PTM16900
                    CHKOV BSI  L  LDXRS      GO RESTO XR1 & XR3         PTM16905
                          LD      SAVCT                                 PTM16910
                          S       P3701      DECRE NO. OF OVFLO SCTRS   PTM16915
                          STO     SAVCT                                 PTM16920
                          BSC  L  P3000,+-   BR TO EXIT IF NO MORE SCTR PTM16925
                          LDD   3 OFLOW-X3                              PTM16930
                          LD   L  P3985                             2-8 PTM16935
                          BSI   3 DISK1-X3   BR TO READ OVFLOW SCTR     PTM16940
                    *                                                 * PTM16945
                          LD      P3701                                 PTM16950
                          A    I  OFSAD                                 PTM16955
                          STO  I  OFSAD      INCRE OVFLO SCTR ADDR      PTM16960
                    *                                                   PTM16965
                          LD      D0021                                 PTM16970
                          STO  L  LINCT      INITIAL LINE CNT           PTM16975
                          MDX  L  EXTRA,+1   INITIAL EXTRA CNT TO 1     PTM16980
                          LD    3 OFSAD-X3   FETCH ADDR OF SCTR ADDR    PTM16985
                          A       D0318      INCRE TO END OF SCTR       PTM16990
                          STO   3 HIEND-X3   RESET HIEND POINTER        PTM16995
                          LD      P3K60                                 PTM17000
                          STO  I  RDBFR      RESET WD CNT TO 60         PTM17005
                          BSC  L  RESTO      BR TO OUTPUT OVFLO SCTR    PTM17010
                    *                                                   PTM17015
                    *     CONSTANTS                                     PTM17020
                    *                                                   PTM17025
                    BRNCH MDX  X  MOVE1-MOD67-1  BR TO SKIP READ BLANKS PTM17030
                    SAVCT DC      1          NO. OF OVFLO SCTRS +1      PTM17035
                    P3701 DC      1          CONSTANT ONE               PTM17040
                    H0008 DC      /0008      CONSTANT 8                 PTM17045
                    EBCSL DC      ./         EBCDIC CODE FOR A SLASH    PTM17050
                    P3ERR DC      /100F      1442 NOT READY             PTM17055
                    P3K60 DC      60         PRINT BFR WD CNT       2-2 PTM17060
                    D0021 DC      21         NO. SYM IN OVFLO/5         PTM17065
                    D0318 DC      318        CONSTANT TO RESET HIEND    PTM17070
                    H0020 DC      /0020     CONSTANT FOR CHECKING   2-2 PTM17075
                          BSS  E  0                                     PTM17080
                    P3EQU DC      .E        EBCDIC E                    PTM17085
                          DC      .Q        EBCDIC Q                    PTM17090
                          DC      .U        EBCDIC U                    PTM17095
                    M2902 DC      /C0C0      MASKING CONSTANT           PTM17100
                    *                                                   PTM17105
                    * CONVERT SUBROUTINE NAME FROM NAME CODE TO PACKED  PTM17110
                    * EBCDIC AND STORE IT IN THE PRINT BUFFER           PTM17115
                    *                                                 * PTM17120
                    CONNC DC      *-*        ENTRY POINT                PTM17125
                          STD     P3800      SAVE NAME                  PTM17130
                          SRT     8                                     PTM17135
                          BSI     CK$#@     CHECK FOR NON-LETTER    2-2 PTM17140
                          STO   1 0          STORE FIRST CHAR           PTM17145
                          SLA     16                                    PTM17150
                          SLT     6                                     PTM17155
                          SLA     2                                     PTM17160
                          SLT     6                                     PTM17165
                          BSI     CK$#@     CHECK FOR NON-LETTER    2-2 PTM17170
                          STO   1 +1         STORE 2ND & 3RD CHAR       PTM17175
                          LDD     P3800                                 PTM17180
                          SLT     4                                     PTM17185
                          SLA     16                                    PTM17190
                          SLT     6                                     PTM17195
                          SLA     2                                     PTM17200
                          SLT     6                                     PTM17205
                          BSI     CK$#@     CHECK FOR NON-LETTER    2-2 PTM17210
                          STO   1 +2         STORE 4TH & 5TH CHAR       PTM17215
                          MDX   1 +4         INCRE OUTPUT POINTER       PTM17220
                          BSC  I  CONNC      RETURN                     PTM17225
                    *                                                   PTM17230
                    P3000 LD    3 LSTOP-X3                          2-8 PTM17235
                          AND     X3R10                             2-8 PTM17240
                          BSC  L  X3R20,+-  BR IF XREF NOT SPECIFIED2-8 PTM17245
                          LDD     X3R30+2   FETCH XREF PHASE        2-8 PTM17250
                          STD  L  OVLAY                             2-8 PTM17255
                          LD      XRBRR     SET XREF BR ADDR        2-8 PTM17260
                          STO   3 P0140+1-X3                        2-8 PTM17265
                          BSC  L  P0130     BR TO XREF PHASE        2-8 PTM17270
                    *                                               2-8 PTM17275
                    X3R20 LDD     P3800+2    PH. 4 WD CNT & SCTR ADDR   PTM17280
                          STD   3 OVLAY-X3   TO OVERLAY AREA            PTM17285
                          BSC  L  P0130      LOAD & TRANS TO PH. 4      PTM17290
                    *                                                   PTM17295
                    *     CONSTANTS                                     PTM17300
                    *                                                   PTM17305
                    X3R10 DC      /4000     XREF SW CHECK CONSTANT  2-8 PTM17310
                          BSS  E  0         FORCE EVEN ADDR         2-8 PTM17315
                    P3800 DC      /D9       SLET ID OF PHASE 4      2-8 PTM17320
                          BSS     3                                     PTM17325
                          DC      /D7       SLET ID OF SYS SYMB TBL 2-8 PTM17330
                          BSS     3                                     PTM17335
                    X3R30 DC      /F2       SLET ID OF XREF PART 1  2-8 PTM17340
                          BSS     3                                 2-8 PTM17345
                    STHDR EBC     .  .                                  PTM17350
                          EBC     .*S.                                  PTM17355
                          EBC     .YM.                                  PTM17360
                          EBC     .BO.                                  PTM17365
                          EBC     .L .                                  PTM17370
                          EBC     .TA.                                  PTM17375
                          EBC     .BL.                                  PTM17380
                          EBC     .E*.                                  PTM17385
                    XRBRR DC      XR000     XREF BR ADDR            2-8 PTM17390
                    *                                                   PTM17395
                    *         PHASE 3 PATCH AREA                    2-2 PTM17400
                    *                                               2-2 PTM17405
                    *             APAR N5072                        2-2 PTM17410
                    *                                               2-2 PTM17415
                    CK$#@ DC      *-*       RECORD RETURN ADDRESS   2-2 PTM17420
                          OR      M2902     EBCDIC MASK             2-2 PTM17425
                          STO     P3880     SAVE TENTATIVE EBC CHAR 2-8 PTM17430
                          LDX   3 0         INITLZ POINTER          2-2 PTM17435
                    CHAR1 SRA     8         FIRST CHAR TO POSITION  2-2 PTM17440
                    *                                               2-2 PTM17445
                    CHAR2 AND     H007F     MASK OUT FIRST BIT      2-2 PTM17450
                    CK$   S       H005B     CHECK FOR $             2-2 PTM17455
                          BSC  L  CK#,Z     BR IF NOT FOUND         2-2 PTM17460
                          LD      H005B     LOAD EBCDIC FOR $       2-2 PTM17465
                          BSC  L3 REPLC     GO TO REPLACE CHAR      2-2 PTM17470
                    CK#   S       H0020     CHECK FOR #             2-2 PTM17475
                          BSC  L  CK@,Z     BR IF NOT FOUND         2-2 PTM17480
                          LD      H007E     LOAD EBCDIC FOR =       2-2 PTM17485
                          BSC  L3 REPLC     GO TO REPLACE CHAR      2-2 PTM17490
                    CK@   S       P3701     CHECK FOR @             2-2 PTM17495
                          BSC  L3 LETTR,Z   BR IF NOT FOUND         2-2 PTM17500
                          LD      H007D     LOAD EBCDIC FOR '       2-2 PTM17505
                          BSC  L3 REPLC     GO TO REPLACE CHAR      2-2 PTM17510
                    *                                               2-2 PTM17515
                    REPLC SLA     8         PLACE FIRST CHAR IN     2-2 PTM17520
                          STO     RSLT      *RESULT WORD            2-2 PTM17525
                          MDX   3 7         MOVE POINTER            2-2 PTM17530
                          LD      P3880     GO TO PROCESS SECOND    2-8 PTM17535
                          MDX     CHAR2     *CHARACTER              2-2 PTM17540
                    *                                               2-2 PTM17545
                    P3880 DC      *-*       TENTATIVE EBCDIC CHAR   2-8 PTM17550
                    RSLT  DC      *-*       TWO EBCDIC CHAR OF NAME 2-2 PTM17555
                    *                                               2-2 PTM17560
                    RPLC3 OR      RSLT      PLACE SECOND CHAR IN    2-2 PTM17565
                          MDX     RTURN     *RESULT AND RETURN      2-2 PTM17570
                    *                                               2-2 PTM17575
                    LETTR LD      P3880     GET FIRST CHARACTER,    2-8 PTM17580
                          SRA     8         *UNCHANGED              2-2 PTM17585
                          SLA     8                                 2-2 PTM17590
                          STO     RSLT      PLACE IN RESULT         2-2 PTM17595
                          MDX   3 7         MOVE POINTER            2-2 PTM17600
                          LD      P3880     GO TO PROCESS SECOND    2-8 PTM17605
                          MDX     CHAR2     *CHARACTER              2-2 PTM17610
                    *                                               2-2 PTM17615
                    LTTR3 LD      P3880     GET SECOND CHARACTER,   2-8 PTM17620
                          SLA     8         *UNCHANGED              2-2 PTM17625
                          SRA     8                                 2-2 PTM17630
                          OR      RSLT      FORM RESULT             2-2 PTM17635
                    *                                               2-2 PTM17640
                    RTURN BSC  I  CK$#@     RETURN TO CONNC ROUTINE 2-2 PTM17645
                    *                                               2-2 PTM17650
                    *     CONSTANTS                                     PTM17655
                    *                                                   PTM17660
                    H007F DC      /007F     MASK TO CHECK FOR $,#,@ 2-2 PTM17665
                    H005B DC      /005B     EBCDIC FOR $            2-2 PTM17670
                    H007E DC      /007E     EBCDIC FOR =            2-2 PTM17675
                    H007D DC      /007D     EBCDIC FOR '            2-2 PTM17680
                    *                                               2-2 PTM17685
                    *                                               2-2 PTM17690
                    CHNGE DC      *-*       RETURN ADDRESS          2-7 PTM17695
                          STO     SAVE      SAVE CHAR               2-7 PTM17700
                          EOR     H007D     CHECK FOR '             2-7 PTM17705
                          BSC  L  LAB1,Z    BRANCH IF NOT '         2-7 PTM17710
                          LD      H007C     CHANGE ' INTO AT-SIGN   2-7 PTM17715
                          BSC  I  CHNGE     RETURN TO PRINTING      2-7 PTM17720
                    LAB1  LD      SAVE      GET CHAR                2-7 PTM17725
                          EOR     H007E     CHECK FOR =             2-7 PTM17730
                          BSC  L  LAB2,Z    BR IF NOT =             2-7 PTM17735
                          LD      H007B     CHANGE = INTO POUND-SIGN2-7 PTM17740
                    LAB3  BSC  I  CHNGE     RETURN TO PRINTING      2-7 PTM17745
                    LAB2  LD      SAVE      GET CHAR                2-7 PTM17750
                          MDX     LAB3      RETURN TO PRINTING      2-7 PTM17755
                    *                                               2-7 PTM17760
                    SAVE  DC      *-*       TEMP SAVE AREA          2-7 PTM17765
                    H007C DC      /007C     EBCDIC FOR AT-SIGN      2-7 PTM17770
                    H007B DC      /007B     EBCDIC FOR POUND-SIGN   2-7 PTM17775
                    *                                               2-7 PTM17780
                    *                                               2-7 PTM17785
                    *     ADDITIONAL PATCH CAN BE OBTAINED          2-8 PTM17790
                    *     *BY USING THE OVERLAY AREA---            2-8  PTM17795
                    *     *CURRENTLY UNUSED BY PHASE 3             2-8  PTM17800
                          BSS     10        PATCH AREA              2-8 PTM17805
                    *                                               2-7 PTM17810
                    P3900 DC      0         END OF PHASE 3          2-7 PTM17815
*SBRKSLS D9          ASM EXIT PHASE                               V2M08 PTM17820
                          HDNG    ***PHASE 4 - ASM EXIT***              PTM17825
                    *************************************************** PTM17830
                    *                                                 * PTM17835
                    *STATUS - VERSION 2, MODIFICATION LEVEL 12        * PTM17840
                    *                                                 * PTM17845
                    *FUNCTION/OPERATION-                              * PTM17850
                    *   *PHASE 4 PERFORMS THE FINAL PROCESSING FOR THE* PTM17855
                    *    ASSEMBLER PROGRAM AND IS CALLED INTO CORE BY * PTM17860
                    *    PHASE 3.                                     * PTM17865
                    *   *IF OVERFLOW SECTORS WERE SPECIFIED BY THE    * PTM17870
                    *    USER ON CONTROL RECORDS, AND IF THEY WERE    * PTM17875
                    *    NECESSARY IN ASSEMBLING THE PROGRAM, THE     * PTM17880
                    *    OBJECT PROGRAM, WHICH IS RESIDING ON THE     * PTM17885
                    *    DISK, IS MOVED BACK TO THE SECTOR BOUNDARY AT* PTM17890
                    *    THE START OF WORKING STORAGE.                * PTM17895
                    *   *PHASE 4 UPDATES DCOM ON ALL READY DRIVES WITH* PTM17900
                    *    THE PROGRAM NAME, THE EXECUTION ADDRESS, THE * PTM17905
                    *    FORMAT, AND THE LENGTH OF THE PROGRAM JUST   * PTM17910
                    *    ASSEMBLED.                                   * PTM17915
                    *   *THE LAST RECORD READ BY THE ASSEMBLER, THE   * PTM17920
                    *    RECORD FOLLOWING THE END STATEMENT, IS       * PTM17925
                    *    CONVERTED AND MOVED TO THE SUPERVISOR'S      * PTM17930
                    *    CONTROL RECORD BUFFER.                       * PTM17935
                    *   *IN TERMINATING THE ASSEMBLY, PHASE 4 PRINTS  * PTM17940
                    *    FOUR SIGN-OFF MESSAGES-                      * PTM17945
                    *        *THE NUMBER OF ERRORS IN THE ABOVE       * PTM17950
                    *         ASSEMBLY                                * PTM17955
                    *        *THE NUMBER OF SYMBOLS DEFINED           * PTM17960
                    *        *THE NUMBER OF OVERFLOW SECTORS SPECIFIED* PTM17965
                    *        *THE NUMBER OF OVERFLOW SECTORS REQUIRED * PTM17970
                    *   *IN ADDITION, MESSAGES ARE PRINTED IF         * PTM17975
                    *    ERRONEOUS ORG, BSS, BES, OR EQU STATEMENTS   * PTM17980
                    *    WERE ENCOUNTERED, A MONITOR CONTROL RECORD   * PTM17985
                    *    WAS DETECTED, OR AN * LEVEL RECORD WAS       * PTM17990
                    *    MISSING.                                     * PTM17995
                    *   *PHASE 4 THEN EXITS TO THE SKELETON SUPERVISOR* PTM18000
                    *    AT THE $EXIT ENTRY POINT.                    * PTM18005
                    *                                                 * PTM18010
                    *ENTRY POINTS-                                    * PTM18015
                    *   * P4000 - ENTRY FROM PHASE 3 OR PHASE 9       * PTM18020
                    *                                                 * PTM18025
                    *INPUT-N/A                                        * PTM18030
                    *                                                 * PTM18035
                    *OUTPUT                                           * PTM18040
                    *   *UPDATED DCOM'S                               * PTM18045
                    *   *PRINTED SIGN OFF MESSAGES                    * PTM18050
                    *                                                 * PTM18055
                    *EXTERNAL RERERENCES-                             * PTM18060
                    *   *SUBROUTINES-                                 * PTM18065
                    *      * DISK1                                    * PTM18070
                    *      * GETER                                    * PTM18075
                    *      * GTHDG                                    * PTM18080
                    *   *DCOM/COMMA-                                  * PTM18085
                    *       $CH12                                     * PTM18090
                    *       $CTSW                                     * PTM18095
                    *       $EXIT                                     * PTM18100
                    *       $1410                                     * PTM18105
                    *       $IREQ                                     * PTM18110
                    *       $NDUP                                     * PTM18115
                    *       $NXEQ                                     * PTM18120
                    *       $PBSY                                     * PTM18125
                    *       $WSDR                                     * PTM18130
                    *       #ENTY                                     * PTM18135
                    *       #FMAT                                     * PTM18140
                    *       #NAME                                     * PTM18145
                    *       #WSCT                                     * PTM18150
                    *                                                 * PTM18155
                    *EXITS-                                           * PTM18160
                    *   *NORMAL - THE SUPERVISOR                      * PTM18165
                    *   *ERROR - GETER SUBROUTINE                     * PTM18170
                    *                                                 * PTM18175
                    *TABLES/WORK AREAS- N/A                           * PTM18180
                    *                                                 * PTM18185
                    *ATTRIBUTES-REUSABLE                              * PTM18190
                    *                                                 * PTM18195
                    *NOTES-N/A                                        * PTM18200
                    *                                                 * PTM18205
                    *************************************************** PTM18210
                    *                                                   PTM18215
                          ORG     OVLAY                                 PTM18220
                          DC      P4900-P4000  PHASE 4 WD CNT           PTM18225
                          DC      /D9       SLET ID OF PHASE 4      2-8 PTM18230
                    P4000 LDX  L1 X1        XR1 POINTS TO CONSTANTS 2-3 PTM18235
                          LD      DSFWR+1   SET UP BFR             2-10 PTM18240
                          STO   1 HDWRT+1-X1 ADDR FOR PRG MOVE          PTM18245
                          STO   1 HDRRD+1-X1                            PTM18250
                    *                                                   PTM18255
                          LD   L  PR000                                 PTM18260
                          A     1 P4870-X1  COMPUTE AND SAVE        2-8 PTM18265
                          STO   1 PTENT-X1   PRT RTN ENTRY ADDR         PTM18270
                    *                                                   PTM18275
                          LD   L  $CTSW      CHECK FOR CTL RCRD         PTM18280
                          BSC  L  P4001,+-  BR IF NORMAL ASM EXIT   2-1 PTM18285
                    *                                                   PTM18290
                    *     THE FOLLOWING CODE MOVES A DETECTED MCR   2-6 PTM18295
                    *     FROM COL 21 TO COL 1 IF INPUT IS KB OR PT 2-6 PTM18300
                    *                                                   PTM18305
                          LD    3 IPTKB-X3  CHK TO SEE IF PT-KB I/P 2-6 PTM18310
                          BSC  L  SUPBF,+-  BRANCH IF NOT           2-6 PTM18315
                          LDX   1 60        INITLZ FOR MOVING A     2-6 PTM18320
                          LDX  I2 RDBFR+1   *MON CTRL RCD WITHIN BFR2-6 PTM18325
                    MVRCD MDX   2 1         POINT AT COL 1          2-6 PTM18330
                          LD    2 20        GET WD TO MOVE          2-6 PTM18335
                          STO   2 0         PLACE 20 POS LEFT       2-6 PTM18340
                          MDX   1 -1        DECREASE COUNTER        2-6 PTM18345
                          MDX     MVRCD     MOVE ALL 60 CHAR        2-6 PTM18350
                          LDX   1 20        SET COUNTER TO PUT      2-6 PTM18355
                    BLNKZ MDX   3 1         *BLANKS IN REST OF RCD  2-8 PTM18360
                          STO   3 0         STORE BLANK (FROM C 60) 2-6 PTM18365
                          MDX   1 -1        COUNT DOWN              2-6 PTM18370
                          MDX     BLNKZ     GO BACK TIL BFR FULL    2-8 PTM18375
                          BSC  L  SUPBF     GO TO MOVE RECORD       2-3 PTM18380
                    *                                               2-3 PTM18385
                    P4001 LD   I  DSADR     SAVE CONTENTS OF DSADR  2-3 PTM18390
                          STO   1 P4890-X1                          2-8 PTM18395
                          LD    3 ADJSA-X3  SCTR ADDR OF PROGRAM    2-1 PTM18400
                          STO  I  DSADR     SET TO READ FIRST       2-1 PTM18405
                          LD   L  H0140     PUT WD CNT OF FIRST SCT2-10 PTM18410
                          STO  I  DSFWR+1   *IN DISK BUFFER        2-10 PTM18415
                          LDD   1 HDRRD-X1  *SECTOR OF PROGRAM      2-1 PTM18420
                          BSI   3 DISK1-X3  GO TO READ              2-1 PTM18425
                          LDX  I2 STADR     POINT TO BUFFER         2-1 PTM18430
                          LD    3 ADCOW-X3  GET TERMINAL ADDR       2-1 PTM18435
                          STO   2 +3        TO 4TH WD OF HDR        2-1 PTM18440
                          LDD   1 HDWRT-X1  SET TO WRITE FIRST      2-1 PTM18445
                          BSI   3 DISK1-X3  *SECTOR BACK TO DISK    2-1 PTM18450
                          LD    1 P4890-X1                          2-8 PTM18455
                          STO  I  DSADR     RESTORE DSADR           2-3 PTM18460
                          LD   L  XADJS     LOAD SCTR ADDR START    212 PTM18462
                          STO   3 ADJSA-X3  STORE IN ASM. INDR      212 PTM18465
                    P4002 MDX  L  COUNT,+2   INITIAL CNTR TO TWO        PTM18470
                          LD    3 TLIST-X3  LOAD AUX. LIST INDR     212 PTM18475
                          AND   1 HC000-X1                          2-8 PTM18480
                          EOR   1 HC000-X1                          2-8 PTM18485
                          BSC  L  P4003,+-  BR-MOVE DSF IF XREF     2-8 PTM18490
                          LD    3 SKLTN-X3  CHK FOR OVFLO SCTRS     2-8 PTM18495
                          A     3 OFCNT-X3                              PTM18500
                          S     1 P4850-X1                          2-8 PTM18505
                          BSC     +          SKIP IF SCTRS ASSIGNED     PTM18510
                          MDX     PTMES      BR IF ZERO                 PTM18515
                    *                                                   PTM18520
                    P4003 LD    3 THRT2-X3  CHK SYMB TBL OVFLO SCTRS2-8 PTM18525
                          A     3 OFCNT-X3                          2-8 PTM18530
                          S     1 P4850-X1                          2-8 PTM18535
                          BSC  L  P4004,+   BR-NO SYMB TBL OVFLO    2-8 PTM18540
                          RTE     16         SAVE IN Q                  PTM18545
                          LD    3 OFCNT-X3   CHK NO. OF SCTRS NEEDED    PTM18550
                          STD   1 OVFLO-X1   SAVE NO. ASSIGN & NO. NEED PTM18555
                    P4004 LD   I  DSADR      FETCH PRESENT SCTR ADDR    PTM18560
                          S     3 ADJSA-X3                              PTM18565
                          A     1 P4850-X1  COMPUTE THE             2-8 PTM18570
                          STO   1 PRGSZ-X1   SIZE OF PRG PLUS ONE       PTM18575
                          LD    3 MCOM7-X3                          2-8 PTM18580
                          STO   1 PWSAD-X1   PERM.WS SCTR ADDR          PTM18585
                    LOOP  LD    3 ADJSA-X3   SCTR ADDR OF PRG           PTM18590
                          STO  I  DSADR      SET TO MOVE PRG            PTM18595
                          LDD   1 HDRRD-X1                              PTM18600
                          BSI   3 DISK1-X3   GO TO RD PRG               PTM18605
                    *                                                   PTM18610
                          LD    1 PWSAD-X1                              PTM18615
                          STO  I  DSADR      SWTCH SCTR ADDR            PTM18620
                          LDD   1 HDWRT-X1                              PTM18625
                          BSI   3 DISK1-X3   GO TO WRT PRG              PTM18630
                          MDX  L  PWSAD,+1   INCRE WRT SCTR ADDR        PTM18635
                          MDX  L  ADJSA,+1   INCRE RD SCTR ADDR         PTM18640
                          MDX  L  PRGSZ,-1   DECRE PRG SIZE             PTM18645
                          MDX     LOOP       LOOP TIL PRG MOVED         PTM18650
                    *                                                   PTM18655
                    *                                                   PTM18660
                    PTMES LDX  L1 CNT3       OUTPUT ADDR                PTM18665
                          LD   L  OVFLO+1    BINARY NUMBER              PTM18670
                          BSI  L  BIDEC      GO CONV AND PACK           PTM18675
                          LDX  L1 CNT4       OUTPUT ADDRESS             PTM18680
                    *                                                   PTM18685
                          LD   L  OVFLO                                 PTM18690
                          BSI  L  BIDEC      GO CONV AND PACK           PTM18695
                    *                                                 * PTM18700
                          LD   L  SPACE                                 PTM18705
                          BSI  I  PTENT      BR TO SPACE A LINE         PTM18710
                    *                                                   PTM18715
                          BSI  L  CHK12      GO CHECK CHANNEL 12        PTM18720
                          LD      MESS3                                 PTM18725
                          RTE     16                                    PTM18730
                          LD   L  HDWRT                                 PTM18735
                          BSI  I  PTENT      GO PRINT 3RD MESSAGE       PTM18740
                    *                                                   PTM18745
                          BSI  L  CHK12      GO CHECK CHANNEL 12        PTM18750
                          LD   L  MESS4                                 PTM18755
                          RTE     16                                    PTM18760
                          LD   L  HDWRT                                 PTM18765
                          BSI  I  PTENT      GO PRINT 4TH MESSAGE       PTM18770
                    *                                                   PTM18775
                    RDCOM LDD   3 TXQSW-X3                              PTM18780
                          RTE     16         STORE XEQ & DUP            PTM18785
                          STD  L  $NDUP      SWITCHES IN DUP            PTM18790
                    *                                                   PTM18795
                    *                                                 * PTM18800
                          LD   L  $IREQ                                 PTM18805
                          STO  L  P4890     SAVE IREQ ADDR          2-8 PTM18810
                          LD   L  INTAD                                 PTM18815
                          STO  L  $IREQ      INSERT MASK ADDR           PTM18820
                    *                                                 * PTM18825
                    ADJST LDD  L  DCOM       DCOM WD CNT & SCTR ADDR    PTM18830
                          STD  I  DSFWR+1   TO DSF BFR HDR          2-6 PTM18835
                          LDD  L  HDRRD                                 PTM18840
                          BSI   3 DISK1-X3   GO LOAD DCOM               PTM18845
                    *                                                   PTM18850
                          LDX  I2 DSFWR+1   XR2 PTS AT DCOM         2-6 PTM18855
                          MDX   2 +2         INCRE PNTR TO DATA AREA    PTM18860
                          LDD   3 NAMEP-X3                              PTM18865
                          STD   2 #NAME      RESTORE DCOM SWITCHES      PTM18870
                          LD    3 RELEP-X3   TO DCOM                    PTM18875
                          STO   2 #ENTY                                 PTM18880
                    *                                                   PTM18885
                          MDX  I2 $WSDR      INCRE POINTER  BY DRIVE    PTM18890
                          LD    3 WSCNT-X3                              PTM18895
                          STO   2 #WSCT      BLK CNT OF PRG             PTM18900
                          SLA     16                                    PTM18905
                          STO   2 #FMAT      INDICATE DSF FORMAT        PTM18910
                    *                                                   PTM18915
                          LDD  L  HDWRT                                 PTM18920
                          BSI   3 DISK1-X3   GO WRT DCOM BACK TO DISK   PTM18925
                    *                                                   PTM18930
                          MDX  L  COUNT,-1   DECRE COUNTER              PTM18935
                          MDX     *+1        SKIP TO UPDATE 2ND DCOM    PTM18940
                          MDX     SUPBF      BR TO MOVE LAST RCD        PTM18945
                    *                                                   PTM18950
                          LD   L  $WSDR      FETCH LOG DRIVE CODE       PTM18955
                          SLA     12         LEFT JUSTIFY               PTM18960
                          OR   L  DCOM+1                                PTM18965
                          STO  L  DCOM+1     RESET SCTR ADDR OF DCOM    PTM18970
                    *                                                   PTM18975
                          LDX  L1 CNT2       OUTPUT ADDR                PTM18980
                          LD   L  CTSYM      BINARY NUMBER              PTM18985
                          BSI  L  BIDEC      GO CONV AND PACK           PTM18990
                          BSI  L  CHK12      GO CHECK CH. 12            PTM18995
                    *                                                   PTM19000
                          LD      MESS2                                 PTM19005
                          RTE     16                                    PTM19010
                          LD      HDWRT                                 PTM19015
                          BSI  I  PTENT      GO PRINT 2ND MESSAGE       PTM19020
                    *                                                   PTM19025
                          MDX     ADJST      GO TO UPDATE               PTM19030
                    *                                                   PTM19035
                    *     CONSTANTS                                     PTM19040
                    *                                                   PTM19045
                    MESS3 DC      MSG3      MESSAGE 3 ADDR          2-8 PTM19050
                    MESS2 DC      MSG2      MESSAGE 2 ADDR          2-8 PTM19055
                    *                                                   PTM19060
                    SUPBF LDX   1 +80        SET TO MOVE 80 WRDS        PTM19065
                          LDX  I2 RDBFR+1    OF RECORD TO THE           PTM19070
                          LDX  L3 /0FB0                                 PTM19075
                    *                                                   PTM19080
                          MDX   2 +1         SUP BFR                    PTM19085
                    MOVE  LD    2 0          MOVE THE RECORD            PTM19090
                          STO   3 0                                     PTM19095
                          MDX   3 +1         INCRE OUTPUT PNTR          PTM19100
                          MDX   1 -1                                    PTM19105
                          MDX     MOVE-1     LOOP TIL MOVE COMPLETE     PTM19110
                          LD   L  $CTSW     SEE IF MCR DETECTED     2-3 PTM19115
                          BSC  L  P4800,Z   BRANCH TO EXIT IF YES   2-3 PTM19120
                          LDX  L3 ASMCM     RESTORE XR3             2-8 PTM19125
                    *                                                   PTM19130
                          LDX  L1 CNT1       OUTPUT ADDR                PTM19135
                          LD    3 ERCNT-X3  ERROR CNT               2-8 PTM19140
                          MDX  L  PSMDE,0                           2-8 PTM19145
                          A     3 P2MEC-X3                          2-8 PTM19150
                          BSC     Z          SKIP CONV IF NO ERRORS     PTM19155
                          BSI     BIDEC                                 PTM19160
                          LDX  L1 CNT01     OUTPUT ADDR             2-8 PTM19165
                          LD    3 MCOM5-X3  FETCH WARNING CNT       2-8 PTM19170
                          MDX  L  PSMDE,0                           2-8 PTM19175
                          A     3 P2MWC-X3                          2-8 PTM19180
                          BSC     Z         SKIP IF NO WARNINGS     2-8 PTM19185
                          BSI     BIDEC     CONVERT WARNING CNT     2-8 PTM19190
                    *                                                   PTM19195
                          BSI     CHK12     GO CHECK CHANNEL 12    2-10 PTM19200
                          LD      MESS1                                 PTM19205
                          RTE     16                                    PTM19210
                          LD      HDWRT                                 PTM19215
                          BSI  I  PTENT      GO PRINT 1ST MESSAGE       PTM19220
                    *                                                 * PTM19225
                          LD      P4890                             2-8 PTM19230
                          STO  L  $IREQ      RESTO ORIG SETTING         PTM19235
                          LD      DMPRQ      DID INTRPT REQ OCCUR       PTM19240
                          BSC  I  $IREQ,Z    YES, BR TO SERVICE         PTM19245
                          SLA     16                                    PTM19250
                          STO     DMPRQ      CLEAR SWTCH                PTM19255
                    *                                                   PTM19260
                          LDX  L1 CNT5       OUTPUT ADDR                PTM19265
                          LD   L  ERPTR      CHK PHASE 2 ERROR CNTR     PTM19270
                          BSC  L  CKLEV,+-   BR IF NO ORG/BSS/EQU ERROR PTM19275
                          BSI     BIDEC      GO CNVRT NUMBER            PTM19280
                    *                                                 * PTM19285
                          BSI     CHK12      BR TO CHECK CHAN. 12 IND.  PTM19290
                          LD      MESS5      MESSAGE ADDR               PTM19295
                          RTE     16                                    PTM19300
                          LD      HDWRT      WRT FUNC CODE              PTM19305
                          STD  L  $NDUP      PREVENT XEQ & DUP          PTM19310
                          BSI  I  PTENT      GO PRINT THE MESSAGE       PTM19315
                    *                                                 * PTM19320
                    CKLEV LD    3 ISSSW-X3  WAS PRG AN ISS          2-8 PTM19325
                          BSC  L  P4800,+-   NO, BR                     PTM19330
                          LD    3 NLVLS-X3  YES,CHECK *LEVEL RCD    2-8 PTM19335
                          BSC  L  P4800,Z    OK, BR TO EXIT             PTM19340
                          LDX   2 +7         NO * LEVEL RCRD            PTM19345
                          BSI  L  GETER     BR TO PRINT ERR MSG     2-8 PTM19350
                          LDD     DCOM                                  PTM19355
                          STD  L  $NDUP      PREVENT DUP & XEQ FUNCTION PTM19360
                    *                                                 * PTM19365
                    *     RESTORE PAGE HDNG SCTR TO BLANKS          2-8 PTM19370
                    P4800 LDD     P4893     SET I/O AREA HDR        2-8 PTM19375
                          STD  L  BUFI      *FOR PAGE HDNG RESTORE  2-8 PTM19380
                          LDD     P4892     READ FIRST 10 WORDS     2-8 PTM19385
                          BSI  L  DISK1     *OF PAGE HDNG SCTR      2-8 PTM19390
                          LDX  L2 -310      SET LOOP CTR            2-8 PTM19395
                          LD      P4891     FETCH DOUBLE BLANK      2-8 PTM19400
                    P4801 STO  L2 BUFI+322  FILL DISK BFR           2-8 PTM19405
                          MDX   2 1         INCR LOOP CTRL          2-8 PTM19410
                          MDX     P4801     CONT TO FILL BFR        2-8 PTM19415
                          MDX  L  P4892,1   INCR FUNC CODE TO WRITE 2-8 PTM19420
                          LDD     P4892                             2-8 PTM19425
                          BSI  L  DISK1     WRITE PAGE HDR TO DISK  2-8 PTM19430
                          MDX  L  $PBSY,0   TEST PRINTER BUSY       2-8 PTM19435
                          MDX     *-3        LOOP TIL NOT BUSY          PTM19440
                          LDS     0          SET OVFLO & CARRY TO ZERO  PTM19445
                          LDX   0 $EXIT      EXIT THE ASM TO THE SUP    PTM19450
                    *                                               2-8 PTM19455
                    *     CONSTANTS                                 2-8 PTM19460
                    *                                               2-8 PTM19465
                          BSS  E  0         FORCE EVEN ADDR         2-8 PTM19470
                    P4892 DC      /7000     DK READ FUNC CODE       2-8 PTM19475
                          DC      BUFI      I/O AREA ADDR           2-8 PTM19480
                    P4893 DC      320       PAGE HDNG WD CNT        2-8 PTM19485
                          DC      7         PAGE HDNG SCTR ADDR     2-8 PTM19490
                    X1    EQU     *         POINTER FOR IDX REG 1   2-3 PTM19495
                    P4850 DC      1         CONSTANT 1              2-8 PTM19500
                    HC000 DC      /C000     XREF CONSTANT           2-8 PTM19505
                          BSS  E  0                                     PTM19510
                    OVFLO DC      0          NO. OF OVFLO SCTRS NEEDED  PTM19515
                          DC      0          NO. OF OVFLO SCTRS ASSIGN  PTM19520
                    HDWRT DC      /7001                                 PTM19525
                          DC      *-*                                   PTM19530
                    HDRRD DC      /7000                                 PTM19535
                          DC      *-*                                   PTM19540
                    DCOM  DC      320        DCOM WD CNT                PTM19545
                          DC      DCOMM      DCOM SCTR ADDR             PTM19550
                    H0140 EQU     DCOM                             2-10 PTM19555
                    DMPRQ DC      0          INTRPT REQ SWTCH           PTM19560
                          DC      /0F01      IOCC WORD FOR KEYBOARD     PTM19565
                    RSTKB EQU     DMPRQ                                 PTM19570
                    PRGSZ DC      0          SIZE OF PRG                PTM19575
                    P4860 DC      *-*       THESE THREE WORDS       2-8 PTM19580
                          DC      0          ARE USED BY BIDEC          PTM19585
                          DC      0          FOR TEMP STORAGE           PTM19590
                    PWSAD DC      0          PERM. WS ADDR              PTM19595
                    TEN   DC      10         CONSTANT 10                PTM19600
                    COUNT DC      0                                     PTM19605
                    PTENT DC      0          PRINT RTN ENTRY ADDR       PTM19610
                    P4870 DC      3         CONSTANT 3              2-8 PTM19615
                    SPACE DC      /7002      FUNC CODE TO SPACE         PTM19620
                    INTAD DC      INREQ      ADDR OF RTN TO HAND INTRPT PTM19625
                    MESS1 DC      MSG1       MESSAGE 1 ADDR             PTM19630
                    MESS4 DC      MSG4       MESSAGE 4 ADDR             PTM19635
                    MESS5 DC      MSG5       MESSAGE 5 ADDR             PTM19640
                    *                       MESSAGE 6 REMOVED       2-3 PTM19645
                    EBCF0 DC      .0         EBCDIC ZERO                PTM19650
                    P4890 DC      *-*       TEMP STORAGE AREA       2-8 PTM19655
                    P4891 DC      /4040     DOUBLE EBCDIC BLANK    2-10 PTM19660
                    *                                                   PTM19665
                    *                                                   PTM19670
                    BIDEC DC      0          BIN TO DEC CONV            PTM19675
                          LDX   2 +3         SET PRECISION TO 3         PTM19680
                    *                                                   PTM19685
                    *                                                   PTM19690
                          SRT     16         CONVERT                    PTM19695
                    LOOP2 D       TEN                                   PTM19700
                          RTE     16         REMAINDER TO ACC           PTM19705
                          OR      EBCF0                                 PTM19710
                          STO  L2 P4860-1                           2-8 PTM19715
                          SLA     16         CLEAR OUT LAST CHAR        PTM19720
                          MDX   2 -1         DECRE XR2                  PTM19725
                          MDX     LOOP2      LOOP TIL COMP.             PTM19730
                    *                                                   PTM19735
                          LDD     P4860+1   FETCH FIRST 2 CHAR      2-8 PTM19740
                          SLT     8                                     PTM19745
                          SRA     8                                     PTM19750
                          SLT     8          PACK TO ONE WRD            PTM19755
                          STO   1 0          OUTPUT                     PTM19760
                          LD      P4860     FETCH THIRD WD          2-8 PTM19765
                          OR    1 -1         OR IN A BLANK              PTM19770
                          STO   1 -1         OUTPUT                     PTM19775
                    *                                                   PTM19780
                          BSC  I  BIDEC      EXIT BIDEC                 PTM19785
                    *                                                   PTM19790
                    INREQ DC      0          ENTRY POINT                PTM19795
                          STX     DMPRQ      IND THAT REQ OCCURRED      PTM19800
                          XIO     RSTKB      TURN OFF INTRPT            PTM19805
                          BSC  L  $1410      RETURN TO ILS04            PTM19810
                    *                                                 * PTM19815
                    CHK12 DC      *-*        ENTRY                      PTM19820
                          LD   I  $CH12      FETCH CH. 12 IND           PTM19825
                          BSC  I  CHK12,+-   RETURN IF OFF              PTM19830
                          BSI  L  GTHDG     BR TO RESTO THE PAGE    2-8 PTM19835
                          BSC  I  CHK12      RETURN                     PTM19840
                    *                                                   PTM19845
                    *     CONSTANTS                                     PTM19850
                    *                                                   PTM19855
                          BSS  E  1                                     PTM19860
                    MSG1  DC      END1-MSG1+1  MSG WD CNT               PTM19865
                          EBC     .  .                                  PTM19870
                          EBC     .  .                                  PTM19875
                    CNT1  EBC     .NO.                                  PTM19880
                          EBC     . E.                                  PTM19885
                          EBC     .RR.                                  PTM19890
                          EBC     .OR.                                  PTM19895
                          EBC     .(S.                                  PTM19900
                          EBC     .) .                                  PTM19905
                          EBC     .AN.                              2-8 PTM19910
                          EBC     .D .                              2-8 PTM19915
                          EBC     .  .                              2-8 PTM19920
                    CNT01 EBC     .NO.                              2-8 PTM19925
                          EBC     . W.                              2-8 PTM19930
                          EBC     .AR.                              2-8 PTM19935
                          EBC     .NI.                              2-8 PTM19940
                          EBC     .NG.                              2-8 PTM19945
                          EBC     .(S.                              2-8 PTM19950
                          EBC     .) .                              2-8 PTM19955
                          EBC     . F.                              2-8 PTM19960
                          EBC     .LA.                                  PTM19965
                          EBC     .GG.                                  PTM19970
                          EBC     .ED.                                  PTM19975
                          EBC     . I.                                  PTM19980
                          EBC     .N .                                  PTM19985
                          EBC     .AB.                                  PTM19990
                          EBC     .OV.                                  PTM19995
                          EBC     .E .                                  PTM20000
                          EBC     .AS.                                  PTM20005
                          EBC     .SE.                                  PTM20010
                          EBC     .MB.                                  PTM20015
                    END1  EBC     .LY.                                  PTM20020
                    MSG2  DC      END2-MSG2+1  MSG WD CNT               PTM20025
                          EBC     .  .                                  PTM20030
                          EBC     . 0.                                  PTM20035
                    CNT2  EBC     .00.                                  PTM20040
                          EBC     . S.                                  PTM20045
                          EBC     .YM.                                  PTM20050
                          EBC     .BO.                                  PTM20055
                          EBC     .LS.                                  PTM20060
                          EBC     . D.                                  PTM20065
                          EBC     .EF.                                  PTM20070
                          EBC     .IN.                                  PTM20075
                    END2  EBC     .ED.                                  PTM20080
                    MSG3  DC      END3-MSG3+1  MSG WD CNT               PTM20085
                          EBC     .  .                                  PTM20090
                          EBC     . 0.                                  PTM20095
                    CNT3  EBC     .00.                                  PTM20100
                          EBC     . O.                                  PTM20105
                          EBC     .VE.                                  PTM20110
                          EBC     .RF.                                  PTM20115
                          EBC     .LO.                                  PTM20120
                          EBC     .W .                                  PTM20125
                          EBC     .SE.                                  PTM20130
                          EBC     .CT.                                  PTM20135
                          EBC     .OR.                                  PTM20140
                          EBC     .S .                                  PTM20145
                          EBC     .SP.                                  PTM20150
                          EBC     .EC.                                  PTM20155
                          EBC     .IF.                                  PTM20160
                          EBC     .IE.                                  PTM20165
                    END3  EBC     .D .                                  PTM20170
                    MSG4  DC      END4-MSG4+1  MSG WD CNT               PTM20175
                          EBC     .  .                                  PTM20180
                          EBC     . 0.                                  PTM20185
                    CNT4  EBC     .00.                                  PTM20190
                          EBC     . O.                                  PTM20195
                          EBC     .VE.                                  PTM20200
                          EBC     .RF.                                  PTM20205
                          EBC     .LO.                                  PTM20210
                          EBC     .W .                                  PTM20215
                          EBC     .SE.                                  PTM20220
                          EBC     .CT.                                  PTM20225
                          EBC     .OR.                                  PTM20230
                          EBC     .S .                                  PTM20235
                          EBC     .RE.                                  PTM20240
                          EBC     .QU.                                  PTM20245
                          EBC     .IR.                                  PTM20250
                    END4  EBC     .ED.                                  PTM20255
                          EBC     .  .                                  PTM20260
                    MSG5  DC      END5-MSG5+1 WD CNT OF 5TH MSG         PTM20265
                          EBC     .  .                                  PTM20270
                          EBC     . A.                                  PTM20275
                          EBC     .05.                                  PTM20280
                          EBC     . 0.                                  PTM20285
                    CNT5  EBC     .00.                                  PTM20290
                          EBC     . E.                                  PTM20295
                          EBC     .RR.                                  PTM20300
                          EBC     .ON.                                  PTM20305
                          EBC     .EO.                                  PTM20310
                          EBC     .US.                                  PTM20315
                          EBC     . O.                                  PTM20320
                          EBC     .RG.                                  PTM20325
                          EBC     .,B.                                  PTM20330
                          EBC     .SS.                                  PTM20335
                          EBC     .,O.                                  PTM20340
                          EBC     .R .                                  PTM20345
                          EBC     .EQ.                                  PTM20350
                          EBC     .U .                                  PTM20355
                          EBC     .ST.                                  PTM20360
                          EBC     .AT.                                  PTM20365
                          EBC     .EM.                                  PTM20370
                          EBC     .EN.                                  PTM20375
                    END5  EBC     .TS.                              212 PTM20380
                    P4899 BSS     /0458-*   PATCH AREA              212 PTM20385
                    *                                               2-8 PTM20430
                    *MORE PATCH AREA CAN BE OBTAINED FOR THIS       212 PTM20435
                    *     *PHASE BY LOADING THE SIGN-OFF MESSAGES   2-8 PTM20440
                    *     *UPON ENTRY TO PH 4 OVER PH 9 BEGINNING   2-8 PTM20445
                    *     *AT RDCRD                                 2-8 PTM20450
                    P4900 DC      0          END PHASE 4                PTM20455
                    * NOTICE - ABOVE STATEMENT CANNOT OVERLAY PH 9  2-8 PTM20460
*SBRKSLS DA          ASM PROG HEADER MNEMONICS PH                 V2M08 PTM20465
                          HDNG    PHASE 2   PROGRAM HEADER MNEMONICS    PTM20470
                    *************************************************** PTM20475
                    *                                                 * PTM20480
                    *STATUS-VERSION 2, MODIFICATION 9                 * PTM20485
                    *                                                 * PTM20490
                    *FUNCTION/OPERATION-                              * PTM20495
                    *   *PHASE 2 HANDLES THE PROCESSING OF ALL ENT,   * PTM20500
                    *    ISS, LIBR, ABS, EPR, SPR, ILS, AND FILE      * PTM20505
                    *    STATEMENTS.                                  * PTM20510
                    *   *DEPENDING ON THE OP CODE, AN INDIRECT BRANCH * PTM20515
                    *    IS MADE THROUGH A TABLE TO THE MODULE        * PTM20520
                    *    PREPARED TO PROCESS THAT OP CODE.            * PTM20525
                    *   *AS EACH PARTICULAR HEADER MNEMONIC IS        * PTM20530
                    *    PROCESSED, THE NECESSARY INDICATORS ARE SET  * PTM20535
                    *    IN THE ASSEMBLER PROGRAM'S COMMUNICATIONS    * PTM20540
                    *    AREA (ASCOM).                                * PTM20545
                    *   *THE ORDERING AND COMPATIBILITY OF THE VARIOUS* PTM20550
                    *    HEADER MNEMONICS IS CHECKED, AND THE PROGRAM * PTM20555
                    *    HEADER RECORD INFORMATION IS BUILT AND SAVED * PTM20560
                    *    IN ASCOM.                                    * PTM20565
                    *   *IF THE RECORD BEING PROCESSED IS A FILE      * PTM20570
                    *    STATEMENT, A TRANSFER IS MADE TO A FLIPPER   * PTM20575
                    *    ROUTINE WHICH FETCHES PHASE 2A AND TRANSFERS * PTM20580
                    *    CONTROL TO IT.  WHEN PHASE 2A COMPLETES THE  * PTM20585
                    *    FILE STATEMENT PROCESSING, IT RETURNS TO THE * PTM20590
                    *    FLIPPER ROUTINE, WHICH, IN TURN, FETCHES THE * PTM20595
                    *    OVERLAID PROTION OF PHASE 2 AND TRANSFERS    * PTM20600
                    *    CONTROL TO THE OP CODE SEARCH.               * PTM20605
                    *   *WHEN THE PHASE 2 PROCESSING OF A PARTICULAR  * PTM20610
                    *    HEADER MNEMONIC IS COMPLETED, A BRANCH IS    * PTM20615
                    *    MADE TO PALBL TO GET THE NEXT RECORD.        * PTM20620
                    *                                                 * PTM20625
                    *ENTRY POINTS-                                    * PTM20630
                    *   *P2010 - ENTRY FROM PHASE 1A                  * PTM20635
                    *                                                 * PTM20640
                    *INPUT-N/A                                        * PTM20645
                    *                                                 * PTM20650
                    *OUTPUT                                           * PTM20655
                    *   * THE CONSTRUCTED OP CODE FOR THE MNEMONIC    * PTM20660
                    *     BEING PROCESSED                             * PTM20665
                    *                                                 * PTM20670
                    *EXTERNAL RERERENCES-                             * PTM20675
                    *   *SUBROUTINES-                                 * PTM20680
                    *      * B4HEX                                    * PTM20685
                    *      * DISK1                                    * PTM20690
                    *      * ERFLG                                    * PTM20695
                    *      * GETS5                                    * PTM20700
                    *      * LDLBL                                    * PTM20705
                    *      * LDXRS                                    * PTM20710
                    *      * PALBL                                    * PTM20715
                    *      * SCAN                                     * PTM20720
                    *      * STRT9                                    * PTM20725
                    *   *DCOM/COMMA-                                  * PTM20730
                    *       @HWCT                                     * PTM20735
                    *       $NEND                                     * PTM20740
                    *       $PHSE                                     * PTM20745
                    *                                                 * PTM20750
                    *EXITS-                                           * PTM20755
                    *   *NORMAL - LDLBL SUBROUTINE TO GET NEXT RECORD * PTM20760
                    *   *ERROR - ERFLG SUBROUTINE                     * PTM20765
                    *                                                 * PTM20770
                    *TABLES/WORK AREAS- N/A                           * PTM20775
                    *                                                 * PTM20780
                    *ATTRIBUTES-REUSABLE                              * PTM20785
                    *                                                 * PTM20790
                    *NOTES-N/A                                        * PTM20795
                    *                                                 * PTM20800
                    *************************************************** PTM20805
                    *                                                   PTM20810
                          ORG     OVLAY                                 PTM20815
                          DC      P2470-P2001 WD LNG PH 2           2-8 PTM20820
                          DC      -/DA      SLET ID OF PHASE 2      2-8 PTM20825
                    PHS02 DC      P2370-PHS02  ID TABLE ADDR            PTM20830
                          DC      1            NO. OF ID'S TO BE FILLED PTM20835
                          ORG     *-2                                   PTM20840
                    P2001 BSC  L  GETS5                             2-8 PTM20845
                          BSC  L  GETS6                             2-8 PTM20850
                          BSC  L  GETS7                             2-8 PTM20855
                          BSC  L  GETS8                             2-8 PTM20860
                          BSC  L  GTS8A                             2-8 PTM20865
                          BSC  L  GTS12                             2-8 PTM20870
                          BSC  L  GTS13     FETCH MACRO PH 1        2-8 PTM20875
                    *             BEGIN EXECUTION---PHASE 2             PTM20880
                    P2010 BSC  L  *         BR AHEAD                    PTM20885
                          LD      P2027      MODIFY ENTRY BR            PTM20890
                          STO     P2010+1    TO SKIP OP CD SEARCH       PTM20895
                    *                                                   PTM20900
                          BSI   3 LDXRS-X3   GO TO RESTO XR1 & 3        PTM20905
                          BSC  L  STRT9      GO TO OP CD SEARCH         PTM20910
                    *                                                   PTM20915
                    P2012 LD      P2025      INDICATE THAT PHASE 2      PTM20920
                          STO  L  $PHSE      OF ASM IS IN CONTROL       PTM20925
                    *                                                 * PTM20930
                    P2015 LD    3 OPCNT-X3  DETRM OP CODE               PTM20935
                          SRA     12                                    PTM20940
                          STO     P2020+1                               PTM20945
                    P2020 LDX  L2 *-*                                   PTM20950
                          BSC  I2 P2030                                 PTM20955
                    *                                                   PTM20960
                    *     CONSTANTS                                     PTM20965
                    *                                                   PTM20970
                    P2025 DC      /DA       SLET ID OF PHASE 2      2-8 PTM20975
                    P2027 DC      P2012      ENTRY ADDR FROM PH. 9      PTM20980
                    P2030 DC      P2050                                 PTM20985
                          DC      P2090                                 PTM20990
                          DC      P2170                                 PTM20995
                          DC      P2200                                 PTM21000
                          DC      P2210                                 PTM21005
                          DC      P2220                                 PTM21010
                          DC      P2340                                 PTM21015
                          DC      P2380      FILES STATEMENT            PTM21020
                    *                                                   PTM21025
                    P2040 BSC  L  P2225     GO TO RD NEXT RCD       2-8 PTM21030
                    *                                                 * PTM21035
                    P2050 LD    3 RLMDE-X3                              PTM21040
                          BSC  L  P2080,Z        REL. MODE = RELOC.     PTM21045
                    P2060 LD      P2070     =.O  NO, OP CODE ERROR      PTM21050
                    P2061 BSI  L  ERFLG                             2-8 PTM21055
                          MDX     P2040                                 PTM21060
                    P2070 DC      .O                                    PTM21065
                    P2080 LD    3 ISSSW-X3       PRECEDED BY ISS        PTM21070
                          OR    3 ILSSW-X3  OR ILS STATEMENT            PTM21075
                          BSC  L  P2060,Z        YES, OP CODE ER        PTM21080
                          LD    3 ENTCT-X3       ENTCT = 14             PTM21085
                          BSC  L  P2060,+-       YES, OP CODE ER        PTM21090
                          SRA     1                                     PTM21095
                          STO   3 ENTCT-X3                              PTM21100
                          LD    3 ENTSW-X3   CHECK FOR 1ST ENT          PTM21105
                          BSC  L  P2085,+-   BR IF FIRST ENT            PTM21110
                          MDX  L  HDLTH,+3   INCRE HDR LENGTH           PTM21115
                          MDX     P2086      BR TO CHECK PASS           PTM21120
                    P2085 STX  L0 ENTSW      SET ENT SWTCH ON           PTM21125
                          LD    3 HTYPE-X3                              PTM21130
                          A       P2172     INCRE TYPE BY 2 FOR ENT     PTM21135
                          STO   3 HTYPE-X3  RESTO ADJUSTED TYPE TO COM  PTM21140
                    P2086 LD    3 PASS-X3        END OF ENT IF PASS 1   PTM21145
                          BSI  L  P2260,Z   IF PASS 2 COLLECT           PTM21150
                          MDX     P2070-1   NAME AND REL. ADDRS.        PTM21155
                    P2090 LD    3 RLMDE-X3  IS REL. MODE = RELOCATABLE  PTM21160
                          BSC  L  P2060,+-  NO, OP CODE ERROR           PTM21165
                          LD    3 ENTSW-X3  NO ENT.S AND ONLY ONE ISS   PTM21170
                          OR    3 ISSSW-X3  ALLOWED IN ISS ASSEMBLY     PTM21175
                          OR    3 ILSSW-X3  NO ILS ALLOWED              PTM21180
                          BSC  L  P2060,Z   IN ISS ASSEMBLY.            PTM21185
                          STX  L0 ISSSW                                 PTM21190
                          BSI  L  P2120     ISS-ILS COMMON SBRTN.       PTM21195
                          BSC  L  *+6,-Z                                PTM21200
                    P2100 LD   L  P2161      =.S  WHEN EVALUATING THE   PTM21205
                          BSI  L  ERFLG     *ISS NO.                2-8 PTM21210
                          SLA     16        SET ISS NO. = 0             PTM21215
                          MDX     P2110                                 PTM21220
                          LD    2 VALUE-A                               PTM21225
                          BSC  L  P2100,+-  ISS NO. MUST BE 1 - 8.      PTM21230
                          S       P2130                                 PTM21235
                          BSC  L  P2100,-Z                              PTM21240
                          LD    2 VALUE-A   STORE ISS NO. FOR           PTM21245
                    P2110 STO   3 ISSNO-X3  WORD 14 OF HEADER.          PTM21250
                          MDX  L  HDLTH,+3  INITIAL HDR LNG BY 3        PTM21255
                          LD    3 HTYPE-X3                              PTM21260
                          A       P2174     INCRE TYPE BY 4 FOR ISS     PTM21265
                          STO   3 HTYPE-X3  RESTO ADJUSTED TYPE TO COM  PTM21270
                    *                                                 * PTM21275
                          LD    3 PASS-X3   END OF ISS IF PASS 1        PTM21280
                          BSC  L  P2040,+-                              PTM21285
                          BSI   3 LDXRS-X3                              PTM21290
                          MDX   1 +35       SET SCAN PTR FOR COLUMN 35  PTM21295
                          BSI     P2260     IF PASS 2 COLLECT NAME      PTM21300
                          MDX     P2090-1                               PTM21305
                    P2130 DC      20        MAXIMUM ISS NO.             PTM21310
                    P2170 LD    3 RLMDE-X3  LIBR NOT PERMITTED IN       PTM21315
                          BSC  L  P2060,+-  ABSOLUTE ASSEMBLY.          PTM21320
                          LD    3 ILSSW-X3  ILS STATEMENT NOT           PTM21325
                          OR    3 ISSSW-X3  PERMITTED - ISS/ENT         PTM21330
                          OR    3 ENTSW-X3  COMING FIRST NOT            PTM21335
                          BSC  L  P2060,Z   PERMITTED WITH LIBR         PTM21340
                          STX  L0 LBRSW     SET LBRSW ON (NZ)           PTM21345
                    *                                                 * PTM21350
                          LD    3 PASS-X3   IF PASS 1, NO MORE LIBR     PTM21355
                          BSC  L  P2171,+-   PROCESSING.                PTM21360
                          LD    3 HTYPE-X3                              PTM21365
                          SRA     8         LIBR ONLY ALLOWED FOR       PTM21370
                          S       P2180     TYPE 3 (1 WORD CALL ENT     PTM21375
                          BSC  L  P2090-1,+- SUBROUTINE) OR TYPE 5      PTM21380
                          S       P2190     (1 WORD CALL ISS SBRTN)     PTM21385
                          BSC  L  P2060,Z   ANY OTHER TYPE WITH LIBR    PTM21390
                          MDX     P2090-1    IS AN OP CODE ERROR.       PTM21395
                    P2171 LD    3 HTYPE-X3                              PTM21400
                          S       P2176     DECRE TYPE BY 1             PTM21405
                          STO   3 HTYPE-X3  RESTO ADJUSTED TYPE TO COM  PTM21410
                          MDX     P2090-1    BR TO EXIT                 PTM21415
                    *                                                   PTM21420
                    *     CONSTANTS                                     PTM21425
                    *                                                   PTM21430
                    P2172 DC      /0200     ENT TYPE MODIFIER           PTM21435
                    P2174 DC      /0400     ISS TYPE MODIFIER           PTM21440
                    P2176 DC      /0100     ABS TYPE MODIFIER           PTM21445
                    P2178 DC      /0500     ILS TYPE MODIFIER           PTM21450
                    P2180 DC      /3                                    PTM21455
                    P2190 DC      /2                                    PTM21460
                    P2195 DC      1                                     PTM21465
                    P2196 DC      /1000     ENT COUNT FIRST TIME    2-9 PTM21470
                    *                                                   PTM21475
                    P2200 LD    3 ISSSW-X3  NO ISS OR ENT'S ALLOWED     PTM21480
                          OR    3 ENTSW-X3  IN AN ABSOLUTE ASSEMBLY.    PTM21485
                          OR    3 ILSSW-X3  ILS NOT ALLOWED             PTM21490
                          OR    3 LBRSW-X3                              PTM21495
                          BSC  L  P2060,Z                               PTM21500
                          SLA     16        RLMDE=0 FOR ABS ASSEMBLY    PTM21505
                          STO   3 RLMDE-X3                              PTM21510
                          LD      P2250     SET ADDRESS COUNTER =       PTM21515
                          STO   3 ADCOW-X3  LOWEST LOADABLE LOCATION    PTM21520
                          STO   3 ADCW2-X3                              PTM21525
                    *                                                 * PTM21530
                          LD    3 HTYPE-X3                              PTM21535
                          S       P2176     DECRE TYPE BY 1             PTM21540
                          STO   3 HTYPE-X3  RESTO ADJUSTED TYPE TO COM  PTM21545
                          MDX     P2090-1                               PTM21550
                    P2210 LD    3 SPRSW-X3  ONLY ONE TYPE PREC.         PTM21555
                          BSC  L  P2060,Z   MAY BE SPECIFIED            PTM21560
                          STX  L0 EPRSW     SET EPRSW ON (NZ)           PTM21565
                          LD      P2190     IND PREC OF 2               PTM21570
                          OR    3 HTYPE-X3  WITH THE TYPE               PTM21575
                          STO   3 HTYPE-X3  RESTO ADJUSTED TYPE TO COM  PTM21580
                          MDX     P2210-1                               PTM21585
                    P2220 LD    3 EPRSW-X3  ONLY ONE TYPE PREC.         PTM21590
                          BSC  L  P2060,Z   MAY BE SPECIFIED            PTM21595
                          STX  L0 SPRSW     SET SPRSW ON (NZ)           PTM21600
                          LD      P2195     IND PREC OF 1               PTM21605
                          OR    3 HTYPE-X3  WITH THE TYPE               PTM21610
                          STO   3 HTYPE-X3  RESTO ADJUSTED TYPE TO COM  PTM21615
                          MDX     P2220-1                               PTM21620
                    P2225 BSI  L  PALBL     RD NEXT RCD             2-8 PTM21625
                          BSC  L  STRT9     BR TO OP CODE SEARCH    2-8 PTM21630
                    *                                                   PTM21635
                    *     CONSTANTS                                     PTM21640
                    *                                                   PTM21645
                    P2250 DC      $NEND+@HWCT  LOAD ADDR - DEFAULT ABS  PTM21650
                    *                                                   PTM21655
                    P2260 DC      0         ENTRY                       PTM21660
                          LDX  L2 GNRT1     SAVE LONG INST          2-8 PTM21665
                          LD    2 -1        *IN THE SCAN ROUTINE    2-6 PTM21670
                          STO     P2310     *THAT IS TO BE          2-6 PTM21675
                          LD    2 0         *MODIFIED               2-6 PTM21680
                          STO     P2311                             2-6 PTM21685
                          LD   L  FERR1     CHANGE BSC INST IN      2-8 PTM21690
                          STO   2 -1        *SCAN RTN TO BSI INSTR  2-6 PTM21695
                          LD   L  FERR2     CHANGE ADDR             2-8 PTM21700
                          STO   2 0         *TO ERFLG ROUTINE       2-6 PTM21705
                          LD      P2300     DO NOT ALLOW LEADING PLUS,  PTM21710
                          STO  L  NOP1      MINUS,COMMA,OR BLANK.   2-8 PTM21715
                          BSI  L  SCAN                              2-8 PTM21720
                          LDX  L2 GNRT1     XR2 PTS TO INST IN SCAN 2-8 PTM21725
                          LD      P2310     RESTORE INSTR           2-6 PTM21730
                          STO   2 -1        *IN SCAN RTN            2-6 PTM21735
                          LD      P2311     *THAT WAS               2-6 PTM21740
                          STO   2 0         *MODIFIED               2-6 PTM21745
                          LDX  L2 A         RESTORE XR2             2-6 PTM21750
                          LD      P2320                                 PTM21755
                          STO  L  NOP1                              2-8 PTM21760
                          LD    2 RLMDE-A                               PTM21765
                          SRA     14             ENTRY ADDRESS MUST     PTM21770
                          EOR   2 RELSW-A        BE RELOCATABLE.        PTM21775
                          BSC  L  P2278,+-                              PTM21780
                          LD      P2330     =.R  RELOCATION ERROR       PTM21785
                          BSC  L  P2061                                 PTM21790
                    P2278 LD    3 ISSSW-X3  IS THIS AN ISS STMNT    2-9 PTM21795
                          BSC  L  P2268,Z   BRANCH IF YES           2-9 PTM21800
                          LDX  I2 DSBUF     SET XR2 TO WD 10 OF DSF BFR PTM21805
                          LD    3 ENTCT-X3  GET NO OF ENT'S         2-9 PTM21810
                          S       P2196     IS THIS FIRST ENT       2-9 PTM21815
                          BSC  L  P2280,+-  BRANCH IF YES           2-9 PTM21820
                          LD    3 ENTCT-X3  IF NOT - START CHECKING 2-9 PTM21825
                          LDX   1 13        *IF NAME ALREADY ENTERED2-9 PTM21830
                          BSC     Z         SKIP IF 14TH ENT IS TO  2-9 PTM21835
                    P2262 MDX   1 -1        *BE PROCESSED           2-9 PTM21840
                          NOP               NOP TO AVOID SKIPPING   2-9 PTM21845
                          SRA     1         DECREMENT ENT COUNT     2-9 PTM21850
                          BSC     Z         START BACK CHECKING     2-9 PTM21855
                          MDX     P2262     CONT DECR COUNT         2-9 PTM21860
                    P2264 LDD   3 SYMBF-X3  GET ENT NAME            2-9 PTM21865
                          S     2 -3        COMP WITH ENTERED NAMES 2-9 PTM21870
                          BSC  L  P2266,Z   BR IF NO MATCH FRST HALF2-9 PTM21875
                          RTE     16        PUT SECOND HALF IN ACC  2-9 PTM21880
                          S     2 -2        COMP WITH SECOND WORD   2-9 PTM21885
                          BSC  L  P2266,Z   BR IF NO MATCH SECND WRD2-9 PTM21890
                          LD      P2161     SET UP ERROR FLAG S     2-9 PTM21895
                          BSI  L  ERFLG     *IF NAME ENTERED BEFORE 2-9 PTM21900
                          MDX     P2268     CONT BUILDING DSF HEAD. 2-9 PTM21905
                    P2266 MDX   2 -3        DECREMENT HEADERPOINTER 2-9 PTM21910
                          MDX   1 -1        DECREMENT ENT COUNT     2-9 PTM21915
                          MDX     P2264     BRANCH CHECK NEXT NAME  2-9 PTM21920
                    P2268 LDX  I2 DSBUF     RESET POINTER TO DSFHEAD2-9 PTM21925
                    P2280 LDD   3 SYMBF-X3  GET ENT NAME            2-9 PTM21930
                          STO   2 0         PUT IN DSF HEADER       2-9 PTM21935
                          RTE     16        OUTPUT NAME AND EQUIV   2-9 PTM21940
                          STO   2 +1        TO PROGRAM HEADER       2-9 PTM21945
                          LD    3 VALUE-X3  OUTPUT REL.ADDRESS OF   2-9 PTM21950
                          STO   2 +2        RELATIVE ENTRY PT. ADDRESS  PTM21955
                          MDX   2 +3        UPDATE BUFFER ADDRESS FOR   PTM21960
                          BSI   3 LDXRS-X3   GO TO RESTO XR1 & XR3      PTM21965
                          MDX   1 1          SET TO CC 1                PTM21970
                          STX  L2 DSBUF     NEXT ENTRY PT.              PTM21975
                          BSI  L  B4HEX     O/P ENTRY PT ADDR       2-8 PTM21980
                          MDX   1 +4        TO CC 1-4.                  PTM21985
                          LDD  L  SYMBF                                 PTM21990
                          BSI  L  B4HEX     O/P ENTRY PT NAME TO    2-8 PTM21995
                          LDD  L  SYMBF     CC 9-16.                    PTM22000
                          RTE     16                                    PTM22005
                          BSI  L  B4HEX                             2-8 PTM22010
                          LD    3 ENTCT-X3                              PTM22015
                          SRA     12                                    PTM22020
                          BSC  I  P2260,+-                              PTM22025
                          LDD   3 SYMBF-X3  INSERT FIRST ENTRY PT       PTM22030
                          STD   3 NAMEP-X3  (NAME AND ADDRESS) IN       PTM22035
                          LD    3 VALUE-X3  COMMA FOR DUP.              PTM22040
                          STO   3 RELEP-X3                              PTM22045
                          BSC  I  P2260     EXIT                        PTM22050
                    *                                                   PTM22055
                    *     CONSTANTS                                     PTM22060
                    *                                                   PTM22065
                    P2300 SLT     0                                     PTM22070
                    P2310 DC      *-*        TEMPORARY STORAGE          PTM22075
                    P2311 DC      *-*       2ND WD TEMP STORAGE     2-6 PTM22080
                    P2320 SRT     0                                     PTM22085
                    P2330 DC      .R                                    PTM22090
                    *                                                   PTM22095
                    P2340 LD    3 RLMDE-X3  ILS NOT ALLOWED             PTM22100
                          BSC  L  P2060,+-  WITH ABS                    PTM22105
                          LD    3 ENTSW-X3  ILS NOT ALLOWED WITH ENT,   PTM22110
                          OR    3 ISSSW-X3  ISS,                        PTM22115
                          OR    3 LBRSW-X3  LIBR,                       PTM22120
                          OR    3 ILSSW-X3  OR ANOTHER ILS.             PTM22125
                          BSC  L  P2060,Z   OP CODE ERROR IF NON-ZERO   PTM22130
                          STX  L0 ILSSW     SET NON-ZERO                PTM22135
                    *                                                 * PTM22140
                          MDX  L  HDLTH,+1   INCRE HDR LENGTH           PTM22145
                          LD    3 HTYPE-X3                              PTM22150
                          A    L  P2178     INCRE TYPE BY 5 FOR ILS     PTM22155
                          STO   3 HTYPE-X3  RESTO ADJUSTED TYPE TO COM  PTM22160
                    *                                                 * PTM22165
                          BSI  L  P2120     COMPUTE LEVEL NO. 32-33     PTM22170
                          STO   3 ISSNO-X3  SAVE LEVEL NUMBER           PTM22175
                          S       P2350        COMPARE WITH 5           PTM22180
                          BSC  L  P2040,+    OK IF NOT PLUS             PTM22185
                          LD      P2360      EBCDIC S                   PTM22190
                          BSI  L  ERFLG     SYNTAX ERR              2-8 PTM22195
                          BSC  L  P2040     GET NEXT RECORD             PTM22200
                    *                                                   PTM22205
                    *     CONSTANTS                                     PTM22210
                    *                                                   PTM22215
                    P2350 DC      5                                     PTM22220
                    P2360 DC      .S                                    PTM22225
                    P2230 DC      /4C80                             2-9 PTM22230
                    *                                                   PTM22235
                          BSS  E  0                                     PTM22240
                    P2370 DC      /DB       SLET ID OF PHASE 2A     2-8 PTM22245
                          BSS     3                                     PTM22250
                    *                                                   PTM22255
                    *************************************************** PTM22260
                    *                                                 * PTM22265
                    *  THIS SUBR LOADS AND TRANS TO PH. 2A FOR        * PTM22270
                    *  FILES PROCESSING. THIS SUBR IS THE RESIDENT    * PTM22275
                    *  COMMUNICATIONS BETWEEN PH.2 AND 2A.            * PTM22280
                    *                                                 * PTM22285
                    *************************************************** PTM22290
                    P2120 DC      0                                     PTM22295
                          LD      P2230     SET-UP SCAN TO ALLOW        PTM22300
                          STO  L  FERR1     ONLY NUMERIC OPERAND    2-8 PTM22305
                          LD      P2135                             2-8 PTM22310
                          STO  L  FERR2                             2-8 PTM22315
                          MDX   1 -3             START AT COLUMN 32,    PTM22320
                          LD    1 0              OR CC 33 IF CC 32      PTM22325
                          S       P2160      =.  IS BLANK.              PTM22330
                          BSC     +-                                    PTM22335
                          MDX   1 +1                                    PTM22340
                          BSI  L  SCAN      EVALUATE ISS NO.        2-8 PTM22345
                          LD      P2140                                 PTM22350
                          STO  L  FERR1     RESET SCAN TO NORMAL    2-8 PTM22355
                          LD      P2137     *STATUS                 2-8 PTM22360
                          STO  L  FERR2                             2-8 PTM22365
                          LD    2 VALUE-A   RETURN WITH NO. IN ACC      PTM22370
                          BSC  I  P2120                                 PTM22375
                    *                                                   PTM22380
                    *     CONSTANTS                                     PTM22385
                    *                                                   PTM22390
                    P2135 DC      SCAN      ADDR OF SCAN SUBR       2-8 PTM22395
                    P2137 DC      ERFLG     ADDR ERROR FLAG SUBR    2-8 PTM22400
                    P2140 DC      /4400                                 PTM22405
                    P2160 DC      .                                     PTM22410
                    P2161 DC      .S                                    PTM22415
                          DC      3                                     PTM22420
                    *                                                   PTM22425
                    P2380 LDD     P2370+2    SET PH. 2A WD CNT AND SCTR PTM22430
                          STD  L  OVLAY+2    ADDR IN I/O HDR AREA       PTM22435
                          LD      *-2                                   PTM22440
                          RTE     16                                    PTM22445
                          LD      HDRP2                                 PTM22450
                          BSI   3 DISK1-X3   GO TO LOAD PH. 2A          PTM22455
                    *                                                   PTM22460
                          BSI  L  OVLAY+4    TRANS TO PHASE 2A          PTM22465
                    *                                                   PTM22470
                    P2390 LDD     HDRP2      PH. 2 HDR INFO             PTM22475
                          BSI   3 DISK1-X3   GO TO LOAD PH. 2           PTM22480
                    *                                                 * PTM22485
                          BSI  L  LDLBL     GET NEXT RCD            2-8 PTM22490
                          BSC  L  STRT9     BR TO OP CODE SEARCH    2-8 PTM22495
                    *                                                 * PTM22500
                          BSS  E  0                                     PTM22505
                    HDRP2 DC      /7000        READ FUNC CODE           PTM22510
                          DC      OVLAY        PH. 2 I/O 1R51 HDR ADDR  PTM22515
                          BSS     /0421-*   PHASE 2 PATCH AREA      2-9 PTM22520
                    P2470 DC      0                                     PTM22525
*SBRKSLS DB          ASM FILE STATEMENT PHASE                     V2M08 PTM22530
                          HDNG    ***PHASE 2A - FILES PROCESSING***     PTM22535
                    *************************************************** PTM22540
                    *                                                 * PTM22545
                    *STATUS - VERSION 2, MODIFICATION LEVEL 12        * PTM22550
                    *                                                 * PTM22555
                    *FUNCTION/OPERATION-                              * PTM22560
                    *   *PHASE 2A IS LOADED BY A FLIPPER ROUTINE      * PTM22565
                    *    WITHIN PHASE 2 AND OVERLAYS PART OF PHASE 2. * PTM22570
                    *   *PHASE 2A OBTAINS THE FILE INFORMATION FROM   * PTM22575
                    *    THE FILE STATEMENT AND BUILDS THE 7-WORD     * PTM22580
                    *    DEFINE FILE TABLE.                           * PTM22585
                    *                                                 * PTM22590
                    *ENTRY POINTS-                                    * PTM22595
                    *   * P2000 - ENTRY FROM PHASE 2                  * PTM22600
                    *                                                 * PTM22605
                    *INPUT-N/A                                        * PTM22610
                    *                                                 * PTM22615
                    *OUTPUT                                           * PTM22620
                    *   * THE CONSTRUCTED FILE TABLE                  * PTM22625
                    *                                                 * PTM22630
                    *EXTERNAL RERERENCES-                             * PTM22635
                    *   *SUBROUTINES-                                 * PTM22640
                    *      * DFOUT                                    * PTM22645
                    *      * ERFLG                                    * PTM22650
                    *      * LDXRS                                    * PTM22655
                    *      * SCAN                                     * PTM22660
                    *   *DCOM/COMMA-                                  * PTM22665
                    *       $PHSE                                     * PTM22670
                    *                                                 * PTM22675
                    *EXITS-                                           * PTM22680
                    *   *NORMAL - PHASE 2 FLIPPER SUBROUTINE          * PTM22685
                    *   *ERROR - ERFLG SUBROUTINE                     * PTM22690
                    *                                                 * PTM22695
                    *TABLES/WORK AREAS- N/A                           * PTM22700
                    *                                                 * PTM22705
                    *ATTRIBUTES-REUSABLE                              * PTM22710
                    *                                                 * PTM22715
                    *NOTES-N/A                                        * PTM22720
                    *                                                 * PTM22725
                    *************************************************** PTM22730
                    *                                                   PTM22735
                          ORG     OVLAY+2                               PTM22740
                    *                                                   PTM22745
                    *             THE FOLLOWING SECTION OF PHASE 2      PTM22750
                    *             PROCESSES FILE STATEMENTS.            PTM22755
                          DC      P2A99-P2000 WD CNT OF PHASE 2A        PTM22760
                          DC      /DB       SLET ID OF PHASE 2A     2-8 PTM22765
                    P2000 DC      0          ENTRY                      PTM22770
                          LD      P2077                             2-8 PTM22775
                          STO  L  $PHSE      SET ID IN COMMA            PTM22780
                    *                                                   PTM22785
                          LD    3 ENTSW-X3                              PTM22800
                          OR    3 ISSSW-X3  FILE STATEMENT CANNOT BE    PTM22805
                          OR    3 ILSSW-X3  PRECEEDED BY AN ENT,ISS,    PTM22810
                          OR    3 LBRSW-X3  ILS, OR LIBR STATEMENT      PTM22815
                          BSC  L  P2065,Z   BRANCH IF SO PRECEDED   2-8 PTM22820
                          MDX  L  FILE,+1   INCREMENT FILE COUNTER      PTM22825
                          LD    3 PASS-X3   DETERMINE IF PASS 1 OR 2    PTM22830
                          BSC  L  P2385,Z   BRANCH IF PASS 2        2-8 PTM22835
                    *                                                   PTM22840
                    *             FILE INSTRUCTION, PASS 1              PTM22845
                    *                                                   PTM22850
                          MDX  L  ADCOW,+7  LEAVE ROOM FOR FILE TABLE   PTM22855
                          NOP               (MAY SKIP)                  PTM22860
                    *                                                 * PTM22865
                    P2376 BSC  I  P2000      EXIT PH. 2A                PTM22870
                    *                                                   PTM22875
                    P2065 LD      P2075     ERROR FLAG              2-8 PTM22880
                          BSI  L  ERFLG     GO TO ERR SUBR          2-8 PTM22885
                          MDX     P2376      GO TO EXIT                 PTM22890
                    *                                                   PTM22895
                    *     CONSTANTS                                     PTM22900
                    *                                                   PTM22905
                    P2365 DC      .S        EBCDIC S                2-8 PTM22910
                    P2075 DC      .O        EBCDIC O                2-8 PTM22915
                    P2077 DC      /DB       SLET ID OF PHASE 2A     2-8 PTM22920
                    *                                                   PTM22925
                    *                                                   PTM22930
                    P2385 LD      P2475                             2-8 PTM22935
                          STO   1 -3         SET FORMAT TO LONG         PTM22940
                          BSI     P2125     GET FILE NUMBER         2-8 PTM22945
                          STO   3 TRWRD-X3  OUTPUT FILE NUMBER AS       PTM22950
                          BSI  L  DFOUT     FIRST WD OF FILE TABLE  2-8 PTM22955
                          MDX  L  ADCOW,+1  INCREMENT ADDR CTR BY 1     PTM22960
                          NOP               (MAY SKIP)                  PTM22965
                    *                                                 * PTM22970
                    P2395 BSI     P2125     GET NO. OF RCDS IN FILE 2-8 PTM22975
                          STO     P2430     STORE IN TEMPORARY          PTM22980
                          STO   3 TRWRD-X3  OUTPUT NO. OF RECORDS AS    PTM22985
                          BSI  L  DFOUT     2ND   WD OF FILE TABLE  2-8 PTM22990
                          MDX  L  ADCOW,+1  INCREMENT ADDR CTR BY 1     PTM22995
                          NOP               (MAY SKIP)                  PTM23000
                    *                                                   PTM23005
                    P2095 BSI     P2125     GET RCD LNG (WORDS)     2-8 PTM23010
                          STO     P2430+1   STORE IN TEMPORARY,         PTM23015
                          STO   3 TRWRD-X3  OUTPUT RECORD LENGTH AS     PTM23020
                          BSI  L  DFOUT     3RD   WD OF FILE TABLE  2-8 PTM23025
                          MDX  L  ADCOW,+1  INCREMENT ADDR CTR          PTM23030
                          NOP               (MAY SKIP)                  PTM23035
                    *                                                   PTM23040
                          LD    1 0          NEXT INPUT CHARACTER AFTER PTM23045
                          S       P2440     RECORD LENGTH MUST BE       PTM23050
                          BSC  L  P2400,+-  EBCDIC U. BRANCH IF OK      PTM23055
                    *                                                   PTM23060
                    *             IF NOT AN EBCDIC U, FLAG AS SYNTAX ER PTM23065
                    *                                                   PTM23070
                          LD      P2365     INSERT EBC S INTO POS   2-8 PTM23075
                          BSI  L  ERFLG     18 OF INPUT BFR         2-8 PTM23080
                    *                                                   PTM23085
                    P2400 MDX   1 +2         POINT TO NEXT CC           PTM23090
                          BSI  L  SCAN      GET VALUE OF ASSOC. VAR 2-8 PTM23095
                          LD    3 RELSW-X3                          2-7 PTM23100
                          SLA     14        SET UP RELOC INDR BIT   2-7 PTM23105
                          RTE     16                                    PTM23110
                          LD    3 VALUE-X3                              PTM23115
                          STD   3 TRWRD-X3   AS FOURTH WD OF TABLE      PTM23120
                          BSI  L  DFOUT                             2-8 PTM23125
                          MDX  L  ADCOW,+1  INCREMENT ADDR CTR BY 1     PTM23130
                          NOP               (MAY SKIP)                  PTM23135
                    *                                                   PTM23140
                          SLA     16        OUTPUT ZERO AS FIFTH WORD   PTM23145
                          STO   3 TRWRD-X3  OF FILE TABLE. SET TO SCTR  PTM23150
                          BSI  L  DFOUT     ADDR BY CORE LD BUILDER 2-8 PTM23155
                          MDX  L  ADCOW,+1  INCREMENT ADDR CTR BY 1     PTM23160
                          NOP               (MAY SKIP)                  PTM23165
                    *                                                   PTM23170
                    *             COMPUTE NO. OF RECORDS PER SECTOR     PTM23175
                    *                                                   PTM23180
                          LD      P2450     NO. OF RECORDS PER SECTOR   PTM23185
                          SRT     16        EQUALS INTEGER QUOTIENT OF  PTM23190
                          SLA     16        320 DIVIDED BY RECORD       PTM23195
                          D       P2430+1   LENGTH IN WORDS             PTM23200
                          STO     P2430+1   STORE IN TEMPORARY          PTM23205
                          STO   3 TRWRD-X3  OUTPUT RECORDS/SCTR AS      PTM23210
                          BSI  L  DFOUT     6TH WD OF FILE TABLE    2-8 PTM23215
                          MDX  L  ADCOW,+1  INCREMENT ADDR CTR BY 1     PTM23220
                          NOP               (MAY SKIP)                  PTM23225
                    *                                                   PTM23230
                    *             COMPUTE LENGTH OF FILE IN DISK BLOCKS PTM23235
                    *                                                   PTM23240
                          LD      P2430     LENGTH OF FILE IN DISK      PTM23245
                          SRT     12        BLOCK EQUALS THE QUO-   2-7 PTM23250
                          NOP               *TIENT OF NO. OF RECORDS2-7 PTM23255
                          D       P2430+1   DIVIDED BY RECORDS/SCTR     PTM23260
                          STO   3 TRWRD-X3  OUTPUT DISK BLOCK LENGTH AS PTM23265
                          RTE     16         CHECK REMAINDER            PTM23270
                          BSC     Z          SKIP IF ZERO               PTM23275
                          LD      P2484      ADD ONE TO DB              PTM23280
                          A     3 TRWRD-X3   COUNT.                     PTM23285
                          STO   3 TRWRD-X3                              PTM23290
                          S       P2490     CHECK FOR LENGTH OF FILE2-7 PTM23295
                          BSC  L  P2415,-Z  BRANCH IF TOO LONG      2-9 PTM23300
                    P2405 BSI  L  DFOUT     7TH WORD OF FILE TABLE  2-9 PTM23305
                          MDX  L  ADCOW,+1  INCREMENT ADDR CTR BY 1     PTM23310
                          NOP               (MAY SKIP)                  PTM23315
                    *                                                   PTM23320
                          BSI   3 LDXRS-X3   GO RESTO XR1 & XR3         PTM23325
                          LD      P2480                                 PTM23330
                          STO   1 +32        RESET BLANK TO FORMAT      PTM23335
                    P2410 MDX     P2376      GO TO EXIT                 PTM23340
                    *                                               2-9 PTM23345
                    P2415 LD      P2365     INSERT EBC S INTO       2-9 PTM23350
                          BSI  L  ERFLG     *ERROR FLAG COLUMNS     2-9 PTM23355
                          MDX     P2405     BRANCH TO OUTPUT WD 7   2-9 PTM23360
                    *                                                   PTM23365
                    *     CONSTANTS                                     PTM23370
                    *                                                   PTM23375
                    P2420 DC      /4D       029 LEFT PARENTHESES        PTM23380
                          DC      .%-/4D    026 LEFT PARENTHESES        PTM23385
                    P2430 BSS     2         TEMPORARY STORAGE           PTM23390
                    P2440 DC      .U        EBCDIC U                    PTM23395
                    P2450 DC      320       WORDS PER SECTOR (CONSTANT) PTM23400
                    P2460 DC      /5D       029 RIGHT PARENTHESES       PTM23405
                          DC      .<-/5D    026 RIGHT PARENTHESES       PTM23410
                    P2475 DC      .L        EBCDIC L                2-8 PTM23415
                    P2480 DC      .          EBCDIC BLANK               PTM23420
                    P2484 DC      1          CONSTANT ONE               PTM23425
                    *************************************************** PTM23430
                    *  SCAN INTERFACE TO ALLOW ONLY NUMERIC OPERAND   * PTM23435
                    *************************************************** PTM23440
                    P2125 DC      *-*       ENTRY                   2-8 PTM23445
                          LD      P2231     SET UP SCAN TO ALLOW    2-8 PTM23450
                          STO  L  FERR1     ONLY NUMERIC OPERAND    2-8 PTM23455
                          LD      P2131                             2-8 PTM23460
                          STO  L  FERR2                             2-8 PTM23465
                          BSI  L  SCAN      EVALUATE FILE           2-8 PTM23470
                          LD      P2141                             2-8 PTM23475
                          STO  L  FERR1     RESET SCAN TO           2-8 PTM23480
                          LD      P2136     *NORMAL STATUS          2-8 PTM23485
                          STO  L  FERR2                             2-8 PTM23490
                          LD    3 VALUE-X3                              PTM23495
                          BSC  I  P2125     RETURN TO CALLER        2-8 PTM23500
                    *                                                   PTM23505
                    P2131 DC      SCAN      ADDR SCAN SUBR          2-8 PTM23510
                    P2136 DC      ERFLG     ADDR ERR FLAG SUBR      2-8 PTM23515
                    P2141 DC      /4400     CONSTANT 'BSI'          2-8 PTM23520
                    P2231 DC      /4C80     CONSTANT 'BSC I'        2-8 PTM23525
                          BSS     12        PHASE 2A PATCH AREA     2-9 PTM23530
                    P2490 DC      /6400     LIMIT OF FILE LENGTH    2-7 PTM23535
                    P2A99 DC      0                                     PTM23540
*SBRKSLS DC          ASM COMMON SUBROUTINES,ASCOM                 V2M08 PTM23545
                          HDNG    ***  PHASE 9 COMMON SUBROUTINES  ***  PTM23550
                    *************************************************** PTM23555
                    *                                                 * PTM23560
                    *STATUS - VERSION 2, MODIFICATION LEVEL 12        * PTM23565
                    *                                                 * PTM23570
                    *FUNCTION/OPERATION-                              * PTM23575
                    *   *PHASE 9 CONSISTS OF SUBROUTINES THAT ARE     * PTM23580
                    *    COMMON TO ALL PHASES IN THE ASSEMBLER.       * PTM23585
                    *   *THE PHASE 9 COMMUNICATIONS AREA (PHSCO)      * PTM23590
                    *    CONSISTS OF THE ENTRY ADDRESSES OF THE       * PTM23595
                    *    COMMON SUBROUTINES.                          * PTM23600
                    *   *PHASE 9 REMAINS RESIDENT IN CORE DURING THE  * PTM23605
                    *    ENTIRE ASSEMBLY PROCESS, ALTHOUGH A FEW      * PTM23610
                    *    SUBROUTINES WITHIN PHASE 9 ARE OVERLAID.     * PTM23615
                    *                                                 * PTM23620
                    *ENTRY POINTS-                                    * PTM23625
                    *   * STRT9 - OP CODE SEARCH SUBR                 * PTM23630
                    *   * GETS5 - FETCH PHASE 5                       * PTM23635
                    *   * GETS6 - FETCH PHASE 6                       * PTM23640
                    *   * GETS7 - FETCH PHASE 7                       * PTM23645
                    *   * GETS8 - FETCH PHASE 8                       * PTM23650
                    *   * GTS8A - FETCH PHASE 8A                      * PTM23655
                    *   * GTS12 - FETCH PHASE 12                      * PTM23660
                    *   * GETS2 - FETCH PHASE 2                       * PTM23665
                    *   * SCAN - SCAN THE OPERAND FIELD SUBR          * PTM23670
                    *   * BTHEX - BINARY TO HEX (1-3) SUBR            * PTM23675
                    *   * B4HEX - BINARY TO HEX (4) SUBR              * PTM23680
                    *   * ERFLG - ERROR FLAGGING SUBR                 * PTM23685
                    *   * GTHDG - RESTO PAGE & PRNT HDNG SUBR         * PTM23690
                    *   * LDLBL - COLLECT & CHECK LABEL-GET NEXT RCD  * PTM23695
                    *   * PALBL - IGNOR LABLE - GET NEXT RECORD       * PTM23700
                    *   * GETER - FETCH THE ERROR SUBR                * PTM23705
                    *   * RDCRD - READ A RECORD SUBR                  * PTM23710
                    *   * P9MVE - MOVE RCRD FROM I/O TO PRNT BFR SUBR * PTM23715
                    *   * DFOUT - DSF OUTPUT SUBR                     * PTM23720
                    *   * DTHDR - GENERATE A DATA HDR SUBR            * PTM23725
                    *   * WRDFO - CHECK FOR, & WRITE, FULL DSF BRR SUBR PTM23730
                    *   * INT1 - INTERMEDIATE OUTPUT SUBR             * PTM23735
                    *   * INT2 - INTERMEDIATE INPUT(1 PASS MODE) SUBR * PTM23740
                    *                                                 * PTM23745
                    *INPUT-N/A                                        * PTM23750
                    *                                                 * PTM23755
                    *OUTPUT                                           * PTM23760
                    *   *VARIES WITH EACH SUBROUTINE                  * PTM23765
                    *                                                 * PTM23770
                    *EXTERNAL RERERENCES-                             * PTM23775
                    *   *SUBROUTINES-                                 * PTM23780
                    *      * DISK1                                    * PTM23785
                    *      * DTHDR                                    * PTM23790
                    *      * LDXRS                                    * PTM23795
                    *      * STXRS                                    * PTM23800
                    *      * WRDFO                                    * PTM23805
                    *      * PRINCIPAL PRINT SUBROUTINE               * PTM23810
                    *      * PRINCIPAL I/O SUBROUTINE                 * PTM23815
                    *      * INPUT CONVERSION SUBROUTINE              * PTM23820
                    *      * PUNCH CONVERSION SUBROUTINE              * PTM23825
                    *      * ERROR MESSAGE SUBROUTINE                 * PTM23830
                    *   *DCOM/COMMA-                                  * PTM23835
                    *       $CH12                                     * PTM23840
                    *       $CORE                                     * PTM23845
                    *       $CTSW                                     * PTM23850
                    *       $EXIT                                     * PTM23855
                    *       $IBSY                                     * PTM23860
                    *       $LAST                                     * PTM23865
                    *       $PRET                                     * PTM23870
                    *       $PBSY                                     * PTM23875
                    *       $PHSE                                     * PTM23880
                    *                                                 * PTM23885
                    *EXITS-                                           * PTM23890
                    *   *NORMAL - EACH SUBROUTINE RETURNS TO THE      * PTM23895
                    *             CALLER EXCEPT LDLBL WHICH BRANCHES  * PTM23900
                    *             TO STRT9.                           * PTM23905
                    *   * ERROR- VARIES WITH EACH SUBROUTINE          * PTM23910
                    *                                                 * PTM23915
                    *TABLES/WORK AREAS-                               * PTM23920
                    *   * HDGBF                                       * PTM23925
                    *   * IOBF1                                       * PTM23930
                    *   * IOBF2                                       * PTM23935
                    *   * PRBFR                                       * PTM23940
                    *   * BUFI                                        * PTM23945
                    *   * DFBUF                                       * PTM23950
                    *                                                 * PTM23955
                    *ATTRIBUTES-REUSABLE                              * PTM23960
                    *                                                 * PTM23965
                    *NOTES-                                           * PTM23970
                    *   * THE FUNCTION OF EACH SUBROUTINE IN          * PTM23975
                    *   * PHASE 9 IS DISCUSSED IN A DISCRIPTION       * PTM23980
                    *   * THAT PRECEDES EACH SUBROUTINE               * PTM23985
                    *   * PATCH AREA CAN BE OBTAINED FOR PHASE 9   2-8* PTM23990
                    *   * BY JUDICIOUSLY LIFTING ERFLG OUT OF PH   2-8* PTM23995
                    *   * 9,PLACING IT IN THE DIVISION OPERATOR    2-8* PTM24000
                    *   * PHASE AND CAUSING A FLIP-FLOP TO         2-8* PTM24005
                    *   * OCCUR JUST AS THE DIVISION OPERATOR PH   2-8* PTM24010
                    *   * NOW OPERATES. BEWARE OF Q-FLAGGING       2-8* PTM24015
                    *   * DYNAMIC MODIFICATION OF ERFLG SUBR       2-8* PTM24020
                    *   *                                             * PTM24025
                    *************************************************** PTM24030
                    *                                                   PTM24035
                          ORG     OVLAY+/1D8                        2-8 PTM24040
                          DC      P9451-P9000  WD CNT OF PHASE 9        PTM24045
                          DC      -/DC      SLET ID OF PHASE 9      2-8 PTM24050
                          DC      DVSTR-*+1 DISP TO SLET TBL        2-8 PTM24055
                          DC      1         NO. ID'S TO BE FILLED   2-8 PTM24060
                          ORG     *-2                                   PTM24065
                    *                                                   PTM24070
                    *             SECTION 9. NON-OVERLAYED MAINLINE.    PTM24075
                    *                                                   PTM24080
                    P9000 EQU     *         START OF PHASE 9            PTM24085
                    *                                                   PTM24090
                    ERPTR DC      *-*       PH 5 ERROR CTR          2-8 PTM24095
                    *************************************************** PTM24100
                    *            **TAKE NOTE,TAKE NOTE**           2-8* PTM24105
                    *  THE MACRO DEFINITION PHASES OVERLAY         2-8* PTM24110
                    *   PHASE 9 BEGINNING AT ERPTR AND ENDING      2-8* PTM24115
                    *  AT LDLBL                                    2-8* PTM24120
                    *************************************************** PTM24125
                    RP000 DC      P9468     END OF DISK BFR 1       2-8 PTM24130
                    PR000 DC      P9472     END OF DISK BFR 2       2-8 PTM24135
                          HDNG    ** OP CODE SEARCH **                  PTM24140
                    *************************************************** PTM24145
                    *   STRT9                                         * PTM24150
                    *   THE OP CODE OBTAINED FROM THE INPUT RECORD IS * PTM24155
                    *   PACKED AND SAVED IN OPCNT IN ASCOM.  ALL      * PTM24160
                    *   POSSIBLE OP CODES ARE RESIDENT IN A TABLE,    * PTM24165
                    *   WHICH HAS FOR EACH OP CODE A TWO-WORD         * PTM24170
                    *   INDICATOR FOLLOWING BY A CORRESPONDING ONE-   * PTM24175
                    *   WORD MACHINE LANGUAGE MNEMONIC.  THE OP CODE  * PTM24180
                    *   SEARCH IS PERFORMED BY MEANS OF A TABLE       * PTM24185
                    *   LOOKUP.  WHEN A MATCH IS FOUND, THE           * PTM24190
                    *   CORRESPONDING MACHINE LANGUAGE MNEMONIC IS    * PTM24195
                    *   PICKED UP AND SAVED IN OPCNT.  BITS 13-15 OF  * PTM24200
                    *   OPCNT FORM A BRANCH TABLE DISPLACEMENT.  USING* PTM24205
                    *   THIS DISPLACEMENT, AN INDIRECT BRANCH IS TAKEN* PTM24210
                    *   THRU THE TABLE TO THE OVERLAY PREPARED TO     * PTM24215
                    *   PROCESS THIS OP CODE.  IF THE OVERLAY IS IN   * PTM24220
                    *   CORE, EXECUTION PROCEEDS.  IF IT IS NOT, A    * PTM24225
                    *   RETURN IS MADE TO THE OP CODE SEARCH.  THE    * PTM24230
                    *   DISK IOAR HEADER INFORMATION FOR THE OVERLAY  * PTM24235
                    *   PHASE REQUIRED IS SET UP AND A TRANSFER IS    * PTM24240
                    *   MADE TO THE MASTER OVERLAY CONTROL SUBROUTINE * PTM24245
                    *   (PHASE 0), WHICH FETCHES THE OVERLAY PHASE    * PTM24250
                    *   REQUIRED INTO CORE.  CONTROL IS THEN PASSED TO* PTM24255
                    *   THE OVERLAY AND STATEMENT PROCESSING          * PTM24260
                    *   CONTINUES.                                    * PTM24265
                    *************************************************** PTM24270
                    STRT9 EQU     *         1ST EXECUTABLE INST         PTM24275
                    *                                                   PTM24280
                    P9026 LD    1 +21       CHECK COLUMN 21 FOR AN      PTM24285
                          S       P9036+1   ASTERISK (COMMENTS RECORD)  PTM24290
                          BSC  L  *+3,Z     BRANCH IF NOT ASTERISK      PTM24295
                          BSI  L  P9224     GO TO LDLBL ROUTINE         PTM24300
                          MDX     P9026     PROCESS NEXT RECORD         PTM24305
                          LD    1 30                                    PTM24310
                          RTE     8         PACK AND SAVE OP CODE.      PTM24315
                          LD    1 29                                    PTM24320
                          RTE     8                                     PTM24325
                          LD    1 27                                    PTM24330
                          SLA     8                                     PTM24335
                          OR    1 28                                    PTM24340
                          STD     P9040                                 PTM24345
                          STD   3 SYMBF-X3                          2G2 PTM24350
                          LD    3 RLMDE-X3  SAVE RELOC. MODE IN LABEL   PTM24355
                          STO   3 LABRL-X3  RELOCATION INDICATOR        PTM24360
                          LD    3 ADCOW-X3  SAVE ADDR COUNTER IN        PTM24365
                          STO   3 LABVL-X3  LABEL VALUE                 PTM24370
                    *             OP CODE LOOKUP                        PTM24375
                          LD    1 +31                               2-8 PTM24380
                          S       P9541     TEST FOR 5 CHAR OP CODE 2-8 PTM24385
                          BSC  L  P9031+2,Z GO CHECK 5 CHAR        2-11 PTM24390
                          LDX  I2 TBLCT     OP CODE TABLE LENGTH   2-11 PTM24395
                    MASM  EQU     *                                2-11 PTM24397
                          LDX  L3 P9178                                 PTM24400
                    P9030 LD    3 1         CHECK OP CODE               PTM24405
                          RTE     16        *AGAINST TABLE              PTM24410
                          LD    3 0                                     PTM24415
                          SD      P9040                                 PTM24420
                          BSC     +-                                    PTM24425
                          RTE     16                                    PTM24430
                          BSC  L  P9034,+-                              PTM24435
                          MDX   3 3                                     PTM24440
                          MDX   2 3                                     PTM24445
                          MDX     P9030                                 PTM24450
                          MDX  L  P9055,1                           2-8 PTM24455
                          MDX     P9048      BR TO LOAD PHASE 8     2G2 PTM24460
                    P9031 MDX  L  P9055,-1                          2-8 PTM24465
                          LD      P9540      CHK IF PH 13 IN CORE   2G2 PTM24470
                          BSC  I  P9540,Z-   BRANCH IF YES          2G2 PTM24475
                    P9032 LD      P9039     INVAL OP CODE OR MACRO  2-8 PTM24480
                          STO   3 OPCNT-X3  SAVE 3RD WORD OF OP CODE2-8 PTM24485
                          LDX   2 +8        SET TO BR TO MACRO PH 1 2-8 PTM24490
                          MDX     P9M34     BR TO MACRO PH 1        2-8 PTM24495
                    P9034 LD    3 2                                     PTM24500
                          BSI  L  LDXRS     RELOAD REGISTERS  1,3       PTM24505
                          STO   3 OPCNT-X3  SAVE 3RD OP CODE WORD       PTM24510
                    P9S34 LD    3 OPCNT-X3  BRANCH HERE AFTER OVERLAY   PTM24515
                          MDX   1 +35       XR 1 POINTS TO COL. 35      PTM24520
                          AND     P9038     IF OP CODE IS A CONDITIONAL PTM24525
                          BSC  I  P9035+1,Z BRANCH, GO TO PHASE 6       PTM24530
                          LD    3 OPCNT-X3  IF NOT, USE BITS 13-15      PTM24535
                          AND     P9036     OF OP CONTROL TO FORM       PTM24540
                          STO     *+1       TRANSFER TBL DISPLACEMENT   PTM24545
                          LDX  L2 *-*                                   PTM24550
                    P9M34 BSC  I2 P9035     BRANCH THRU BRANCH TABLE    PTM24555
                    *                                                   PTM24560
                    *             TRANSFER VECTOR TO INDIVIDUAL         PTM24565
                    *             ROUTINES FOR OP TYPES.                PTM24570
                    *                                                   PTM24575
                    P9035 DC      OVLAY+2   +0   ORG,BSS,EQU, HDNG      PTM24580
                          DC      OVLAY+4   +1   IMPERATIVES, DC'S      PTM24585
                          DC      OVLAY+6   +2   DEC,XFLC               PTM24590
                          DC      OVLAY+8   +3   LIBF,CALL,DSA,..., EBC PTM24595
                          DC      OVLAY+10  +4   DMES,LIST, DUMP        PTM24600
                          DC      OVLAY+4   +5   SHIFTS,LDX,LDS         PTM24605
                          DC      OVLAY+12  +6   END                2-8 PTM24610
                          DC      OVLAY+16  +7  LIBR,ENT,ABS,ISS,ILS2-8 PTM24615
                          DC      OVLAY+14  +8   MACRO,SPECIAL OPS  2-8 PTM24620
                    P9036 DC      7         OP CONTROL MASK, BITS 13-15 PTM24625
                          DC      .*                                    PTM24630
                    P9038 DC      /0400     CONDITIONAL BRANCH MASK     PTM24635
                    P9040 BSS  E  2                                     PTM24640
                    P9041 BSS     2          WD CNT & SCTR AD -PH. 5    PTM24645
                          BSS     2          WD CNT & SCTR AD -PH. 6    PTM24650
                          BSS     2          WD CNT & SCTR AD -PH. 7    PTM24655
                          BSS     2          WD CNT & SCTR AD -PH. 8    PTM24660
                          BSS     2          WD CNT & SCTR AD -PH. 8A   PTM24665
                          BSS     2          WD CNT & SCTR AD -PH. 12   PTM24670
                          BSS     2          WD CNT & SCTR AD -PH. 2    PTM24675
                          BSS     2         WD CNT & SCTR ADDR-PH M12-8 PTM24680
                    P9039 DC      /8008     INVAL OP CODE OR MACRO  2-8 PTM24685
                    P9540 DC      *-*        PHASE 13 ADDRESS       2G2 PTM24690
                    P9541 DC      /40       EBCDIC BLANK            2-8 PTM24695
                    *                                                   PTM24700
                    P9042 LDX   3 0         GET PHASE 5                 PTM24705
                          MDX     P9054                                 PTM24710
                    P9044 LDX   3 2         GET PHASE 6                 PTM24715
                          MDX     P9054                                 PTM24720
                    P9046 LDX   3 4         GET PHASE 7                 PTM24725
                          MDX     P9054                                 PTM24730
                    P9047 LDX   3 14        GET MACRO PH 1          2-8 PTM24735
                          LD      P9057     SET OVERLAY XEQ ADDR    2-8 PTM24740
                          MDX     P9054+1                           2-8 PTM24745
                    P9048 LDX   3 6         GET PHASE 8                 PTM24750
                          MDX     P9054                                 PTM24755
                    P9050 LDX   3 8         GET PHASE 8A                PTM24760
                          MDX     P9054                                 PTM24765
                    P9052 LDX   3 10        GET PHASE 12                PTM24770
                          MDX     P9054                                 PTM24775
                    P9053 LDX   3 12        GET PHASE 2                 PTM24780
                    P9054 EQU     *                                 2-8 PTM24785
                    P9055 LD      P9056     SET OVERLAY XEQ ADDR    2-8 PTM24790
                          STO  L  P0140+1                           2-8 PTM24795
                          MDX  L3 P9041                             2-8 PTM24800
                          LDX  L2 OVLAY     XR2 = OVERLAY I/O AREA      PTM24805
                          LDD   3 0          FETCH WD CNT & SCTR ADDR   PTM24810
                          STD   2 0          AND SET INTO OVERLAY HDR   PTM24815
                          BSI  L  LDXRS     RELOAD REGISTERS  1,3       PTM24820
                          BSC  L  P0130      BR TO MASTER OVLAY CNTRL   PTM24825
                    *                                                   PTM24830
                    *     CONSTANTS                                     PTM24835
                    *                                                   PTM24840
                    P9056 DC      P9S34                                 PTM24845
                          DC      P9031                             2G2 PTM24850
                    P9057 DC      P9032                             2-8 PTM24855
                          HDNG    ** SCAN THE OPERAND FIELD **          PTM24860
                    *************************************************** PTM24865
                    *   SCAN                                          * PTM24870
                    *   THE SCAN ROUTINE COLLECTS THE ELEMENTS OF THE * PTM24875
                    *   OPERAND FIELD, CHARACTER-BY-CHARACTER,        * PTM24880
                    *   PERFORMS ANY ARITHMETIC FUNCTIONS NECESSARY,  * PTM24885
                    *   AND EVALUATES TO OPERAND.                     * PTM24890
                    *************************************************** PTM24895
                    P9060 DC      0         ENTRY--LINK WORD            PTM24900
                          LDX   2 -6                                    PTM24905
                          SLT     32                                    PTM24910
                          STO  L2 VALUE+6   CLEAR BUFFERS AND SWITCHES  PTM24915
                          MDX   2 1                                     PTM24920
                          MDX     *-4                                   PTM24925
                          STD   3 SYMBF-X3  CLEAR SYMBOL BUFFER         PTM24930
                          LD      P9090                                 PTM24935
                          STO  L  P9164                                 PTM24940
                          LD      P9068                                 PTM24945
                          STO     P9064                                 PTM24950
                          STO  L  P9162                                 PTM24955
                          SRA     12        (=1)                        PTM24960
                          STO  L  P9142                                 PTM24965
                          STO  L  P9144                                 PTM24970
                    P9062 LD    1 0         CHECK FOR SPECIAL CHAR.     PTM24975
                          S       P9080      BLANK                      PTM24980
                          BSC  L  P9116,+-                              PTM24985
                          S       P9066      COMMA                      PTM24990
                    *                                                   PTM24995
                    *             CHECK FOR 029 OR 026 LEFT OR RIGHT    PTM25000
                    *             PARENTHESES, AND FOR COMMA            PTM25005
                    *                                                   PTM25010
                          BSC  L  P9114,+-  DETECTED, BRANCH ON ZERO    PTM25015
                          S       P9066+1   PLUS (12-6-8)               PTM25020
                          BSC  L  P9110,+-                              PTM25025
                          S       P9066+2   PLUS (12)                   PTM25030
                          BSC  L  P9110,+-                              PTM25035
                          S       P9066+3   MINUS                       PTM25040
                          BSC  L  P9112,+-                              PTM25045
                          S       P9066+6   ASTERISK                    PTM25050
                          BSC  L  P9106,+-   ADDRESS COUNTER OR MULTIPL PTM25055
                          S       P9066+4   CHECK FOR SLASH         2-8 PTM25060
                          BSC  L  P9092,+-  BR-PROC AS HEX INDR     2-8 PTM25065
                    P9064 DC      0         CONTINUE OR BRANCH          PTM25070
                          S       P9066+5   PERIOD                      PTM25075
                          BSC  L  P9102,+-  CHARACTER VALUE             PTM25080
                          S       P9066+7   ZERO CHARACTER              PTM25085
                          BSC  L  P9088,-   DECIMAL INTEGER             PTM25090
                          MDX     P9078     SYMBOL                      PTM25095
                    *                                                   PTM25100
                    *     CONSTANTS                                     PTM25105
                    *                                                   PTM25110
                    P9066 DC      .,-.       COMMA                      PTM25115
                          DC      /4E-.,    PLUS(12-6-8)                PTM25120
                          DC      /50-/4E   AMPERSAND(12)               PTM25125
                          DC      .--/50    MINUS                       PTM25130
                          DC      ./-.*     SLASH                       PTM25135
                          DC      /4B-./    PERIOD                      PTM25140
                          DC      .*-.-     ASTERISK                    PTM25145
                          DC      .0-/4B    ZERO                        PTM25150
                    P9068 SRT     0                                     PTM25155
                    *             THIS ROUTINE MOVES XR1                PTM25160
                    *             (THE SCAN INPUT POINTER) TO THE       PTM25165
                    *             NEXT BLANK OR ONE PAST THE NEXT       PTM25170
                    *             COMMA.                                PTM25175
                          DC      /4B-.,                                PTM25180
                    P9070 DC      0         ENTRY                       PTM25185
                          LD    1 0                                     PTM25190
                          S       P9080      COMPARE BLANK              PTM25195
                          BSC  I  P9070,+-  RETURN--BLANK               PTM25200
                          MDX   1 1         INCREMENT XR1               PTM25205
                          S       P9066                                 PTM25210
                          BSC  I  P9070,+-  EXIT IF EQUAL               PTM25215
                          S       P9070-1   COMPARE PERIOD              PTM25220
                          BSC     +-                                    PTM25225
                          MDX   1 1         SKIP CHARACTER VALUE        PTM25230
                          MDX     P9070+1                               PTM25235
                    *                                                   PTM25240
                    *             FORMAT ERROR(SYNTAX ERROR)            PTM25245
                    P9072 LD      P9076                                 PTM25250
                          BSI  L  P9202                                 PTM25255
                          SLT     32                                    PTM25260
                          STO   3 VALUE-X3  SET EXPRESSION VALUE AND    PTM25265
                          STO   3 RELSW-X3  RELOCATION = ZERO.          PTM25270
                          STD   3 SYMBF-X3                              PTM25275
                    P9074 LDX  L2 A         SET PTR TO RETURN VALUES    PTM25280
                          BSI     P9070     SKIP PAST COMMA OR          PTM25285
                          BSC  I  P9060      TO BLANK. RETURN           PTM25290
                    P9076 DC      .S                                    PTM25295
                    *             INITIALIZE TO COLLECT SYMBOL.         PTM25300
                    P9078 LD      P9086     SYMBOL                      PTM25305
                          STO     P9064      SYMBOL                     PTM25310
                          LDD     P9080                                 PTM25315
                          STD     P9082     CLEAR 5 WORD                PTM25320
                          STD     P9082+2   CHARACTER BUFFER            PTM25325
                          STO     P9082+4                               PTM25330
                          LDX   2 -6        MAX SYMBOL CHAR COUNT       PTM25335
                          STX   2 P9083 INITLZ COUNTER                  PTM25340
                          LDX  L2 P9082     XR2 = SYMBOL CHAR BUFFER    PTM25345
                          MDX     P9062                                 PTM25350
                    *                                                   PTM25355
                    *     CONSTANTS AND SAVE AREA                       PTM25360
                    *                                                   PTM25365
                          BSS  E  0         ADJUST TO EVEN LOCATION     PTM25370
                    P9080 DC      .                                     PTM25375
                          DC      .                                     PTM25380
                    P9082 BSS     6                                     PTM25385
                    P9083 DC      0         SYMBOL CHAR COUNTER         PTM25390
                    P9084 DC      /9400                                 PTM25395
                    *                                                   PTM25400
                    *             COLLECT SYMBOL                        PTM25405
                    *                                                   PTM25410
                    P9086 MDX  X  P9086-P9064                           PTM25415
                          LD    1 0                                     PTM25420
                          STO   2 0                                     PTM25425
                          MDX   2 1                                     PTM25430
                          MDX  L  P9083,+1  CHECK FOR MORE THAN         PTM25435
                          MDX     P9100+2   5 CHARACTERS                PTM25440
                          MDX     P9072                                 PTM25445
                    *             INITIALIZE TO COLLECT                 PTM25450
                    *             DECIMAL INTEGER                       PTM25455
                    P9088 LD      P9094     DECIMAL BASE                PTM25460
                          STO     P9128                                 PTM25465
                          LD      P9098                                 PTM25470
                          STO     P9064                                 PTM25475
                          MDX     P9098+1                               PTM25480
                    P9090 DC      /8400                                 PTM25485
                    *             INITIALIZE TO COLLECT                 PTM25490
                    *             HEXADECIMAL INTEGER                   PTM25495
                    P9092 LD      P9064     NOP OR BRANCH           2-8 PTM25500
                          SLA     1                                 2-8 PTM25505
                          BSC  L  DIV00,+Z  BR IF DIVISION OPTR     2-8 PTM25510
                          LD      P9096     HEX BASE                    PTM25515
                          MDX   1 1                                     PTM25520
                          MDX     P9088+1                               PTM25525
                    P9094 DC      10                                    PTM25530
                    P9096 DC      16                                    PTM25535
                    *             COLLECT DECIMAL OR                    PTM25540
                    *             HEXADECIMAL INTEGER                   PTM25545
                          DC      .0                                    PTM25550
                          DC      .A-.0                                 PTM25555
                          DC      0                                     PTM25560
                    P9098 MDX  X  P9098-P9064                           PTM25565
                          LD    1 0                                     PTM25570
                          S       P9096+1   =.0                         PTM25575
                          BSC  L  *+4,-                                 PTM25580
                          S       P9096+2   =.A-.0                      PTM25585
                          BSC  L  P9072,+Z                              PTM25590
                          A       P9094     CONVERT CHAR. TO            PTM25595
                          STO     P9096+3   INTEGER VALUE.              PTM25600
                          S       P9128                                 PTM25605
                          BSC  L  P9072,-    ILLEGAL CHARACTER          PTM25610
                          LD      P9128                                 PTM25615
                          M     3 ELMNT-X3  MULTIPLY PREVIOUSLY         PTM25620
                          SLT     16        ACCUMULATED INTEGER         PTM25625
                          A       P9096+3   BY RADIX(10 OR 16).         PTM25630
                          STO   3 ELMNT-X3  ADD NEWEST DIGIT VALUE      PTM25635
                          LD      P9076     GET ERROR CODE S        2-6 PTM25640
                    P9100 BSC  L  *         SWITCH-SINGLE SYMBOL MODE.  PTM25645
                          MDX   1 1                                     PTM25650
                          BSC  L  P9062                                 PTM25655
                    *             COLLECT CHARACTER VALUE               PTM25660
                    P9102 MDX   1 1                                     PTM25665
                          LD    1 0                                     PTM25670
                          STO   3 ELMNT-X3  ELEMENT = CHAR VALUE        PTM25675
                          LD      P9104     NEXT CHAR. MUST BE          PTM25680
                          STO     P9064      OPERATOR                   PTM25685
                          MDX     P9100                                 PTM25690
                    P9104 MDX  X  P9072-P9064-1                         PTM25695
                    *             PROCESS OPERATORS                     PTM25700
                    P9106 LD      P9064     CHECK TYPE CODE         2-8 PTM25705
                          SLA     1                                     PTM25710
                          BSC  L  P9118,-    PROCESS AS ELEMENT IF BRNC PTM25715
                          LD      P9108     =MDX X CLRES+5-COL3-1       PTM25720
                          STO     P9162                                 PTM25725
                          BSI     P9154      PROCESS AS OPERATOR.       PTM25730
                          LD      P9150                                 PTM25735
                          STO     P9162                                 PTM25740
                          MDX     P9100                                 PTM25745
                    P9108 MDX  X  P9166+5-P9162-1                       PTM25750
                    P9110 BSI     P9154                                 PTM25755
                          LD      P9090                                 PTM25760
                          STO     P9164                                 PTM25765
                          MDX     P9100                                 PTM25770
                    P9112 BSI     P9154                                 PTM25775
                          LD      P9084                                 PTM25780
                          MDX     P9110+2                               PTM25785
                    *             PROCESS TERMINATION CHARACTERS        PTM25790
                    P9114 LDX  I2 RDBFR      XR2 = INPUT BFR - 1        PTM25795
                          S     2 +32       CHECK FOR COMMA             PTM25800
                          SLA     13                                    PTM25805
                          BSC  L  P9072,-                               PTM25810
                    P9116 BSI     P9154                                 PTM25815
                          LD    3 RLCNT-X3  STORE RELOCATION            PTM25820
                          STO   3 RELSW-X3  INDICATOR                   PTM25825
                          SRT     1         AND TEST FOR                PTM25830
                          BSC  L  P9074,+-  RELOCATION ERROR            PTM25835
                          MDX     P9120                                 PTM25840
                    *             DECODE ASTERISK VALUE                 PTM25845
                    *             AS LOCATION COUNTER                   PTM25850
                    P9118 LD    3 RLMDE-X3  SAVE RELOC. MODE (4000)     PTM25855
                          STO   3 RLCSW-X3  IN INTERNAL RELOC. SWITCH   PTM25860
                          LD    3 ADCOW-X3  ADDR COUNTER TO ACC         PTM25865
                          MDX     P9102+2                               PTM25870
                    P9120 LD      P9122         RELOCATION ERROR        PTM25875
                          MDX     P9072+1                               PTM25880
                    P9122 DC      .R                                    PTM25885
                    P9124 LD      P9126                                 PTM25890
                          LDX  I1 SAVR1+1   RESTORE XR1             2-8 PTM25895
                          MDX     P9120+1                           2-8 PTM25900
                    *                                                   PTM25905
                    P9126 DC      .U                                    PTM25910
                    P9128 DC      0         NUMBER BASE FOR INTEGERS    PTM25915
                    P9142 DC      0         BUFFER                      PTM25920
                    P9144 DC      1         TERM RELOCATION FACTOR      PTM25925
                    P9150 SLT     0                                     PTM25930
                    *             THIS ROUTINE COLLECTS AND             PTM25935
                    *             ADDS OR SUBTRACTS DATA                PTM25940
                    *             INTO VALUE. ALSO RESETS SCAN TO       PTM25945
                    *             START AT A NEW QUANTITY.              PTM25950
                    P9154 DC      0         LINK WORD                   PTM25955
                          LD   L  P9064                                 PTM25960
                          S       P9150     SYNTAX ERROR IF TWO         PTM25965
                          BSC  L  P9072,+-   ADJACENT OPERATORS         PTM25970
                          LD   L  P9064                                 PTM25975
                          S       P9086     CALL SYMBOL LOOK-UP         PTM25980
                          BSC  L  P9158-1,Z   ROUTINE IF SYMBOL         PTM25985
                          STX   1 SAVR1+1    SAVE XR1                   PTM25990
                          LDX  L1 P9082       COLLECTED                 PTM25995
                          BSI  L  P9252       CHECK AND COMPRESS        PTM26000
                          MDX     *+2         LABEL OR SYMBOL           PTM26005
                          BSC  L  P9072                                 PTM26010
                          STD   3 SYMBF-X3  STORE PACKED SYMBOL         PTM26015
                    P9156 BSC  L  *                                     PTM26020
                          BSI  L  P9300                                 PTM26025
                          MDX     P9124       UNDEFINED SYMBOL          PTM26030
                    SAVR1 LDX  L1 *-*        RESTO XR1 TO PRE-SEARCH    PTM26035
                          STO   3 ELMNT-X3  VALUE TO ELEMENT VALUE      PTM26040
                          LD      P9176      MASK OFF RELOC. BIT.       PTM26045
                          AND   3 RLMDE-X3  RLCSW = 0 IF ELEMENT IS     PTM26050
                          STO   3 RLCSW-X3  ABSOLUTE. ZERO IF RELOC.    PTM26055
                          LD      P9176                                 PTM26060
                          BSC  L  P9168,+Z  MULTIPLE DEFINITION.        PTM26065
                          LD    3 ELMNT-X3  UPDATE PARTIAL PRODUCT      PTM26070
                    P9158 M       P9142      IN TERM, AND TERM          PTM26075
                          RTE     16        RELOCATION FACTOR IN RTERM. PTM26080
                          STO     P9142                                 PTM26085
                          LD    3 RLCSW-X3  CHECK IF ELEMENT RELOC.     PTM26090
                          BSC  L  P9160,Z   BRANCH IF RELOC.            PTM26095
                          LD      P9144     RTERM IS PRODUCT OF ALL     PTM26100
                          M     3 ELMNT-X3  ABSOLUTE ELEMENTS           PTM26105
                          RTE     16                                    PTM26110
                          STO     P9144                                 PTM26115
                          MDX     P9162                                 PTM26120
                    P9160 EOR   3 TRLSW-X3  CHECK FOR RELOC. ERROR      PTM26125
                          BSC  L  P9120,+-  BRANCH IF RELOC. ERROR      PTM26130
                          STO   3 TRLSW-X3  INDICATE RELOC. ELEMENT     PTM26135
                    P9162 SLT     0         MOD. TO MDX IF * OPERATOR.  PTM26140
                          LD    3 VALUE-X3  CURRENT EXPRESSION VALUE    PTM26145
                    P9164 A    L  P9142      ADD OR SUBTRACT            PTM26150
                          STO   3 VALUE-X3  NEW EXPRESSION VALUE        PTM26155
                          LD    3 TRLSW-X3  UPDATE RELOCATION           PTM26160
                          BSC  L  P9166,+-  COUNT BY  +RF  + REL. TERM  PTM26165
                          LD      P9164               -RF  - REL. TERM  PTM26170
                          S    L  P9090                0     ABS. TERM  PTM26175
                          BSC     Z                                     PTM26180
                          LD      P9172                                 PTM26185
                          A       P9174                                 PTM26190
                          M       P9144                                 PTM26195
                          RTE     16                                    PTM26200
                          A     3 RLCNT-X3                              PTM26205
                          STO   3 RLCNT-X3                              PTM26210
                    P9166 LD      P9174       RESET SCAN FOR NEXT TERM. PTM26215
                          STO     P9142                                 PTM26220
                          STO     P9144                                 PTM26225
                          SRA     1         (=0)                        PTM26230
                          STO   3 TRLSW-X3                              PTM26235
                          LD      P9150     RESTORE SCAN FOR            PTM26240
                          STO  L  P9064      NEXT ELEMENT               PTM26245
                          SLA     16                                    PTM26250
                          STO   3 ELMNT-X3                              PTM26255
                          STO   3 RLCSW-X3                              PTM26260
                          BSC  I  P9154                                 PTM26265
                    P9168 LDD     P9170      MULT. DEFINITION ERROR     PTM26270
                          BSI  L  P9202                                 PTM26275
                          MDX     P9158-1   USE FIRST VALUE             PTM26280
                    *                                                   PTM26285
                    P9170 DC      .M                                    PTM26290
                    P9172 DC      -2                                    PTM26295
                    P9174 DC      1                                     PTM26300
                    P9176 DC      0                                     PTM26305
                          HDNG    ** TABLE OF OP CODES **               PTM26310
                    *             OP CODE TABLE                         PTM26315
                    *             MACHINE INSTRUCTIONS.                 PTM26320
                    P9178 EBC     .A   .                                PTM26325
                          DC      /8001                                 PTM26330
                          EBC     .AD  .                                PTM26335
                          DC      /8801                                 PTM26340
                          EBC     .AND .                                PTM26345
                          DC      /E001                                 PTM26350
                          EBC     .B   .    IF SHORT, OP CODE = 70      PTM26355
                          DC      /FFF9     IF LONG, OP CODE = 4C       PTM26360
                          EBC     .BC  .                                PTM26365
                          DC      /4C02      BR ON CARRY                PTM26370
                          EBC     .BN  .                                PTM26375
                          DC      /4C28      BR ON NEGATIVE             PTM26380
                          EBC     .BNN .                                PTM26385
                          DC      /4C10      BR ON NOT NEGATIVE         PTM26390
                          EBC     .BNP .                                PTM26395
                          DC      /4C08      BR ON NOT POSITIVE         PTM26400
                          EBC     .BNZ .                                PTM26405
                          DC      /4C20      BR ON NOT ZERO             PTM26410
                          EBC     .BO  .                                PTM26415
                          DC      /4C01      BR ON OVERFLOW             PTM26420
                          EBC     .BOSC.                                PTM26425
                          DC      /4949      (BOSC)                     PTM26430
                          EBC     .BOD .                                PTM26435
                          DC      /4C04      BR ON ODD                  PTM26440
                          EBC     .BP  .                                PTM26445
                          DC      /4C30      BR ON POSITIVE             PTM26450
                          EBC     .BSC .                                PTM26455
                          DC      /4909      (BSC)                      PTM26460
                          EBC     .BSI .                                PTM26465
                          DC      /4101      (BSI)                      PTM26470
                          EBC     .BZ  .                                PTM26475
                          DC      /4C18      BR ON ZERO                 PTM26480
                          EBC     .SKP .                            2-8 PTM26485
                          DC      /4829     (SKP)                   2-8 PTM26490
                          EBC     .D   .                                PTM26495
                          DC      /A801                                 PTM26500
                          EBC     .EOR .                                PTM26505
                          DC      /F001                                 PTM26510
                          EBC     .LD  .                                PTM26515
                          DC      /C001                                 PTM26520
                          EBC     .LDD .                                PTM26525
                          DC      /C801                                 PTM26530
                          EBC     .LDS .                                PTM26535
                          DC      /2025      (LDS)                      PTM26540
                          EBC     .LDX .                                PTM26545
                          DC      /6005      (LDX)                      PTM26550
                          EBC     .MDM .                                PTM26555
                          DC      /7401      MODIFY MEMORY              PTM26560
                          EBC     .MDX .                                PTM26565
                          DC      /7001                                 PTM26570
                          EBC     .M   .                                PTM26575
                          DC      /A001                                 PTM26580
                          EBC     .NOP .                                PTM26585
                          DC      /1201     (NOP)                       PTM26590
                          EBC     .OR  .                                PTM26595
                          DC      /E801                                 PTM26600
                          EBC     .RTE .                                PTM26605
                          DC      /18E5      (RTE)                      PTM26610
                          EBC     .S   .                                PTM26615
                          DC      /9001                                 PTM26620
                          EBC     .SD  .                                PTM26625
                          DC      /9801                                 PTM26630
                          EBC     .SLA .                                PTM26635
                          DC      /1025      (SLA)                      PTM26640
                          EBC     .SLC .                                PTM26645
                          DC      /10E5      (SLC)                      PTM26650
                          EBC     .SLCA.                                PTM26655
                          DC      /1065      (SLCA)                     PTM26660
                          EBC     .SLT .                                PTM26665
                          DC      /10A5      (SLT)                      PTM26670
                          EBC     .SRA .                                PTM26675
                          DC      /1825      (SRA)                      PTM26680
                          EBC     .SRT .                                PTM26685
                          DC      /18A5      (SRT)                      PTM26690
                          EBC     .STD .                                PTM26695
                          DC      /D801                                 PTM26700
                          EBC     .STO .                                PTM26705
                          DC      /D001                                 PTM26710
                          EBC     .STS .                                PTM26715
                          DC      /2801                                 PTM26720
                          EBC     .STX .                                PTM26725
                          DC      /6811      (STX)                      PTM26730
                          EBC     .WAIT.                                PTM26735
                          DC      /3005     WAIT                   2-11 PTM26740
                          EBC     .XCH .                                PTM26745
                          DC      /1AD1      (XCH)                      PTM26750
                          EBC     .XIO .                                PTM26755
                          DC      /0801                                 PTM26760
                    *             PSEUDO-OPERATIONS.                    PTM26765
                          EBC     .ORG .                                PTM26770
                          DC      /1000      ORG                        PTM26775
                          EBC     .BSS .                                PTM26780
                          DC      /2000      BSS                        PTM26785
                          EBC     .BES .                                PTM26790
                          DC      /3000      BES                        PTM26795
                          EBC     .EQU .                                PTM26800
                          DC      /4000      EQU                        PTM26805
                          EBC     .HDNG.                                PTM26810
                          DC      /0000      HDNG                       PTM26815
                          EBC     .DC  .                                PTM26820
                          DC      /0001                                 PTM26825
                          EBC     .DEC .                                PTM26830
                          DC      /0002                                 PTM26835
                          EBC     .XFLC.                                PTM26840
                          DC      /1002                                 PTM26845
                          EBC     .LIBF.                                PTM26850
                          DC      /0003                                 PTM26855
                          EBC     .CALL.                                PTM26860
                          DC      /1003                                 PTM26865
                          EBC     .DSA .                                PTM26870
                          DC      /2003                                 PTM26875
                          EBC     .LINK.                                PTM26880
                          DC      /3003                                 PTM26885
                          EBC     .EXIT.                                PTM26890
                          DC      /4003                                 PTM26895
                          EBC     .EBC .                                PTM26900
                          DC      /5003                                 PTM26905
                          EBC     .DN  .                                PTM26910
                          DC      /6003                                 PTM26915
                    DMESM EBC     .DMES.                           2-10 PTM26920
                          DC      /0004                                 PTM26925
                          EBC     .LIST.                                PTM26930
                          DC      /5000      LIST                       PTM26935
                          EBC     .DUMP.                                PTM26940
                          DC      /8000      DUMP                       PTM26945
                          EBC     .PDMP.                                PTM26950
                          DC      /9000      PDUMP                      PTM26955
                          EBC     .EJCT.                                PTM26960
                          DC      /7000      EJECT                      PTM26965
                          EBC     .SPAC.                                PTM26970
                          DC      /6000      SPACE                      PTM26975
                          EBC     .END .                                PTM26980
                          DC      /0006     END                     2-8 PTM26985
                          EBC     .ENT .                                PTM26990
                          DC      /0007     ENT                     2-8 PTM26995
                          EBC     .ISS .                                PTM27000
                          DC      /1007     ISS                     2-8 PTM27005
                          EBC     .LIBR.                                PTM27010
                          DC      /2007     LIBR                    2-8 PTM27015
                          EBC     .ABS .                                PTM27020
                          DC      /3007     ABS                     2-8 PTM27025
                          EBC     .EPR .                                PTM27030
                          DC      /4007     EPR                     2-8 PTM27035
                          EBC     .SPR .                                PTM27040
                          DC      /5007     SPR                     2-8 PTM27045
                          EBC     .ILS .                                PTM27050
                          DC      /6007     ILS                     2-8 PTM27055
                          EBC     .FILE.                                PTM27060
                          DC      /7007     FILE                    2-8 PTM27065
                    P9180 DC      10        CONSTANT 10             2-8 PTM27070
                          HDNG    ** BINARY TO HEX (1-3 AND 4) SUBR **  PTM27075
                    *************************************************** PTM27080
                    *   BTHEX                                         * PTM27085
                    *   BTHEX IS A BINARY-HEXADECIMAL CONVERSION      * PTM27090
                    *   SUBROUTINE.  THE BINARY DATA IS ENTERED IN THE* PTM27095
                    *   ACCUMULATOR LEFT-JUSTIFIED, AND THE           * PTM27100
                    *   HEXADECIMAL OUTPUT IS STORED BY INDEX REGISTER* PTM27105
                    *   1.  THE NUMBER OF CHARACTERS TO BE CONVERTED  * PTM27110
                    *   IS IN INDEX REGISTER 2.                       * PTM27115
                    *************************************************** PTM27120
                    P9194 DC      0                                     PTM27125
                          RTE     16                                    PTM27130
                    P9196 SLA     16          CLEAR A                   PTM27135
                          SLT     4           4 BITS TO MAKE ONE CHAR.  PTM27140
                          S       P9180                             2-8 PTM27145
                          BSC     -                                     PTM27150
                          A       P9200+1     =.A-.0-10                 PTM27155
                          A       P9200+2     =.0+10                    PTM27160
                          STO   1 0           STORE HEX CHARACTER.      PTM27165
                          MDX   1 +1          INCREMENT OUTPUT POINTER. PTM27170
                          MDX   2 -1          COUNT AND TEST            PTM27175
                          MDX     P9196                                 PTM27180
                          BSC  I  P9194       RETURN.                   PTM27185
                    *************************************************** PTM27190
                    *   B4HEX                                         * PTM27195
                    *   THE B4HEX SUBROUTINE IS ENTERED WHEN FOUR     * PTM27200
                    *   HEXADECIMAL OUTPUT CHARACTERS ARE DESIRED.    * PTM27205
                    *   INDEX REGISTER 2 IS SET TO FOUR AND A BRANCH  * PTM27210
                    *   IS MADE TO BTHEX.                             * PTM27215
                    *************************************************** PTM27220
                    P9198 DC      0           ENTRY                     PTM27225
                          LDX   2 4                                     PTM27230
                          BSI     P9194                                 PTM27235
                          BSC  I  P9198       RETURN                    PTM27240
                    P9200 EQU     *-1                               2-8 PTM27245
                          DC      .A-.0-10                              PTM27250
                          DC      .0+10                                 PTM27255
                          HDNG    ** ERROR FLAGGING SUBR **             PTM27260
                    *             ERROR FLAG ROUTINE.                   PTM27265
                    *             THIS ROUTINE PLACES THE ERROR         PTM27270
                    *             CHARACTER IN THE A-REGISTER INTO      PTM27275
                    *             COLUMN 18 OR 19.                      PTM27280
                    *THIS SUBROUTINE IS MODIFIED BY XREF PART 1     2-8 PTM27285
                    P9202 DC      0           ENTRY                     PTM27290
                          LDX  L3 ERCNT     XR3 PT TO ASM COMMA     2-8 PTM27295
                    P9213 EQU     *-1                               2-8 PTM27300
                          STO   3 TXQSW-ERCNT  PREVENT XEQ AND DUP  2-8 PTM27305
                          STO   3 TDPSW-ERCNT                       2-8 PTM27310
                    FLGCO STO     P9198     SAVE FLAG               2-8 PTM27315
                          STX   1 P9204+1   SAVE XR1                2-8 PTM27320
                          BSI  L  LDXRS     RESTORE XR1 AND XR3     2-8 PTM27325
                          S     1 +18                                   PTM27330
                          BSC  L  P9203,+-  DO NOT FLAG SAME ERROR      PTM27335
                          MDX  L  ERCNT,+1   INCRE CNT OF ERRORS        PTM27340
                    ERADD EQU     *-1                               2-8 PTM27345
                          NOP                                       2-8 PTM27350
                          LD    1 +18        TWICE.                     PTM27355
                          S       P9244+1   CHK FOR COL 18 BLANK    2-8 PTM27360
                          BSC     Z         SKIP IF COL 18 BLANK    2-3 PTM27365
                          MDX   1 +1        SET POINTER FOR COL 19  2-3 PTM27370
                          LD      P9198     FETCH ERROR FLAG        2-8 PTM27375
                          STO   1 +18       STORE IN C18 OR C19     2-3 PTM27380
                    P9203 LD      P9213     RESTORE ERFLG SUBR      2-8 PTM27385
                          STO     ERADD                             2-8 PTM27390
                    P9204 LDX  L1 *-*       RESTORE XR1             2-8 PTM27395
                          BSC  I  P9202     RETURN                  2-3 PTM27400
                    *                                               2-3 PTM27405
                    *     CONSTANTS                                     PTM27410
                    *                                                 * PTM27415
                          BSS  E  0         MAKE NEXT LOCATION EVEN     PTM27420
                    P9210 DC      /7000     PRINT LINE CODE             PTM27425
                          DC      HDGBF     ADDR OF PAGE HDNG BFR   2-8 PTM27430
                    P9211 DC      33        PAGE HDNG WD CNT        2-8 PTM27435
                          DC      #HDNG     PAGE HDNG SCTR ADDR     2-8 PTM27440
                    P9212 DC      /7000     DK READ FUNC CODE       2-8 PTM27445
                          DC      PRBFR+1   ADDR-1 OF PAGE HDNG BFR 2-8 PTM27450
                    P9215 DC      /7002     FUNC CODE TO SPACE      2-8 PTM27455
                    *                                                   PTM27460
                          HDNG    ** PAGE HEADING SUBR **               PTM27465
                    *************************************************** PTM27470
                    *   GTHDG                                         * PTM27475
                    *   GTHDG IS THE NEW PAGE SUBROUTINE.  BRANCHES   * PTM27480
                    *   ARE MADE TO THE PRINCIPAL PRINT SUBROUTINE TO * PTM27485
                    *   SKIP TO CHANNEL 1, AND PRINT THE HDNG.        * PTM27490
                    *************************************************** PTM27495
                    P9216 DC      0         NEW PAGE SUBROUTINE         PTM27500
                          LD   L  $PBSY                             2-8 PTM27505
                          BSC  L  *-4,Z-    BR-PRINT BFR BUSY       2-8 PTM27510
                          LDD     P9211     SET DK READ HDR FOR DK  2-8 PTM27515
                          STD  I  P9212+1   *READ OF PAGE HDNG      2-8 PTM27520
                          LDD     P9212     FETCH I/O AREA HDR      2-8 PTM27525
                          BSI   3 DISK1-X3  *OF PAGE HDNG           2-8 PTM27530
                          LD      P9211     SET WD CNT OF PAGE HDNG 2-8 PTM27535
                          STO  I  P9210+1                           2-8 PTM27540
                    P9219 LDD     P9210     GO TO PRINT ROUTINE TO      PTM27545
                          BSI  L  P9472+3   SKIP TO CHANNEL 1.          PTM27550
                          BSI  L  P9472+3   RETURN TO PRINT HDNG        PTM27555
                          LD      P9215     SPACE FUNC CODE             PTM27560
                          BSI  L  P9472+3   RETURN TO SPACE A LINE      PTM27565
                          BSC  I  P9216     EXIT NEW PAGE ROUTINE       PTM27570
                          HDNG    ** LOAD LABEL SUBR **                 PTM27575
                    *************************************************** PTM27580
                    *   LDLBL                                         * PTM27585
                    *   THE LDLBL SUBROUTINE SCANS THE LABEL FIELD OF * PTM27590
                    *   THE STATEMENT.  THE LABEL IS SAVED IN NAME    * PTM27595
                    *   CODE IN SYMBF IN ASCOM.  IF THE LABEL WAS     * PTM27600
                    *   INVALID, OR IF THERE WAS NO LABEL, BLANKS ARE * PTM27605
                    *   PLACED IN SYMBF.                              * PTM27610
                    *   IN PASS 1, VALID LABELS ARE ADDED TO THE      * PTM27615
                    *   SYMBOL TABLE IF THEY DO NOT ALREADY APPEAR    * PTM27620
                    *   THERE.  THE RECORD IS SAVED IN THE            * PTM27625
                    *   INTERMEDIATE OUTPUT BUFFER BY INT1 AND A      * PTM27630
                    *   BRANCH IS MADE TO READ THE NEXT RECORD(RDCRD).* PTM27635
                    *   WHEN THE NEXT RECORD IS IN CORE, A BRANCH IS  * PTM27640
                    *   MADE TO LAST TO CHECK THE LAST CARD.  UPON    * PTM27645
                    *   RETURNING FROM LAST, A BRANCH IS MADE TO THE  * PTM27650
                    *   PRINCIPAL CONVERSION ROUTINE (DVADR), AND     * PTM27655
                    *   CONTROL IS RETURNED TO THE CALLER.            * PTM27660
                    *   IN PASS 2, THE RECORD IS LISTED, IF A LISTING * PTM27665
                    *   HAS BEEN REQUESTED.  THE NEXT RECORD IS       * PTM27670
                    *   FETCHED AND CONTROL IS RETURNED TO THE CALLER.* PTM27675
                    *************************************************** PTM27680
                    *************************************************** PTM27685
                    *   PALBL                                         * PTM27690
                    *   THE PALBL SUBROUTINE IS A SECONDARY ENTRY TO  * PTM27695
                    *   THE LDLBL SUBROUTINE.  PALBL IS ENTERED WHEN A* PTM27700
                    *   LABEL IS NOT PERMITTED ON A STATEMENT BEING   * PTM27705
                    *   PROCESSED.                                    * PTM27710
                    *************************************************** PTM27715
                    P9220 DC      0                                     PTM27720
                          BSI   3 LDXRS-X3   GO RESTO XR1 & 3           PTM27725
                          MDX   1 +21       XR1 POINTS TO COL. 21       PTM27730
                          BSI  L  P9252     CHECK AND COLLECT LABEL     PTM27735
                          MDX     *+3                                   PTM27740
                          LD      P9244     =.L                         PTM27745
                          BSI     P9202     LABEL ERROR                 PTM27750
                          MDX     P9222                                 PTM27755
                    *THE FOLLOWING TWO WORDS ARE MODIFIED           2-8 PTM27760
                    *DURING PASS 3 OF XREF BY XREF PART 1           2-8 PTM27765
                    P9221 STD   3 SYMBF-X3  SAVE LABEL IN NAME FORMAT   PTM27770
                          LD    3 PASS-X3   CHECK IF PASS 1             PTM27775
                          BSC  L  P9352,+-  BR IF PASS 1 TO SYM TBL ADD PTM27780
                    P9222 LD    3 LABVL-X3  LABEL VALUE TO ACC          PTM27785
                          MDX   1 +1        XR1 POINTS TO COL. 1        PTM27790
                          BSI     P9198     HEX TO CC 1-4.              PTM27795
                          MDX     P9226                                 PTM27800
                    P9224 DC      0         ENTER HERE WHEN LABEL       PTM27805
                          LD      P9224     SET RETURN ADDR         2-8 PTM27810
                          STO     P9220                             2-8 PTM27815
                    *THE FOLLOWING TWO WORDS ARE MODIFIED BY        2-8 PTM27820
                    *XREF PART 1 FOR PASS 3 PROCESSING              2-8 PTM27825
                    P9226 BSI   3 LDXRS-X3   GO RESET XR1               PTM27830
                          LD    3 SCRA-X3   CHECK IF ANY W.S. AVAILABLE PTM27835
                          BSC  L  P9228,Z   BRANCH IF W.S. STILL LEFT   PTM27840
                          LDX   2 +3        USE ERROR SUBR TO PRINT 2-7 PTM27845
                          BSI     P9246     ASM ERROR 'A 03 '           PTM27850
                    P9227 LDX   0 $EXIT      EXIT ASM TO SUPERVISOR     PTM27855
                    *                                                 * PTM27860
                    P9228 LD    3 PASS-X3   CHECK IF PASS 1             PTM27865
                          BSC  L  P9232,Z   BRANCH IF PASS 2            PTM27870
                          LD    3 PSMDE-X3  CHECK IF ONE PASS MODE      PTM27875
                          BSI  L  P9382,+-  GO TO INTERMED. I/O IF ONE  PTM27880
                    P9230 BSI     P9ZZZ      GET NEXT RECORD            PTM27885
                          LD    3 RDBFR-X3   USE ASM CONVERT            PTM27890
                          BSI  I  CVADR          TO CONVERT LAST RECORD PTM27895
                          LD    1 +21                               2-8 PTM27900
                          EOR     P9AST                             2-8 PTM27905
                          BSC  L  *+2,+-    BR-COMMENTS RCD         2-8 PTM27910
                          LD      P9244+1   SET COL 34 TO BLANK     2-8 PTM27915
                          STO   1 +34       *UNCONDITIONALLY        2-8 PTM27920
                    *                                               2-7 PTM27925
                    P9231 BSC  I  P9220     EXIT LDLBL SUBR         2-8 PTM27930
                    P9232 LD   I  $CH12      IF CHANNEL 12, RESTO PAGE  PTM27935
                          BSC     Z         PRINT HEADING. SKIP NOT 12  PTM27940
                          BSI     P9216                                 PTM27945
                          LD      P9YYY      CHECK SPECIAL LIST SWTCH   PTM27950
                          BSC     +-         BR IF ON                   PTM27955
                          MDX     *+3        GO TO CHECK LSTOP          PTM27960
                          SLA     16                                    PTM27965
                          STO     P9YYY      CLEAR SPECIAL SWTCH        PTM27970
                          MDX     *+3        BR TO CHECK FOR ERRORS     PTM27975
                          LD    3 LSTOP-X3  NO LISTING IF ZERO          PTM27980
                    P9LST BSC  L  P9233,Z   BR IF LISTING SPECIFIED     PTM27985
                          LD    1 +18       IF ANY ERRORS, (COL 18      PTM27990
                          S       P9244+1   NOT BLANK) LIST THIS        PTM27995
                    P9233 BSI  L  P9250,Z   STATEMENT UNCONDITIONALLY   PTM28000
                    P9234 LD    3 PSMDE-X3  CHECK IF TWO PASS MODE      PTM28005
                          BSC  L  P9236,Z   BRANCH IF TWO PASS MODE     PTM28010
                          BSI  L  P9382+1   GET NEXT RCRD FROM INT. I/O PTM28015
                          MDX     P9231     EXIT                        PTM28020
                    P9236 LD    3 LDKOP-X3       CHECK LIST DECK SW     PTM28025
                          BSC  L  P9230,+-       BRANCH IF NO LIST DECK PTM28030
                          LDD     P9245+6                               PTM28035
                    P9237 STD   3 OVLAY-X3                          2-8 PTM28040
                          LD      PNC10                             2-8 PTM28045
                          RTE     16                                    PTM28050
                          LD      P9245+2                               PTM28055
                          BSI   3 DISK1-X3   GO TO LOAD PNCH RTN        PTM28060
                    *                                                 * PTM28065
                          BSI   3 LDXRS-X3   GO RESTO XR1               PTM28070
                          LD    3 LDKOP-X3  GET LIST DECK SW        2-8 PTM28075
                          BSI   3 OVLAY+19-X3  BR TO PUNCH CONVERT  2-8 PTM28080
                          MDX     P9230     EXIT                        PTM28085
                    *                                                   PTM28090
                    *     CONSTANTS                                     PTM28095
                    *                                                   PTM28100
                    P9244 DC      .L                                    PTM28105
                          DC      .                                     PTM28110
                    P9AST DC      .*        EBCDIC ASTERISK         2-8 PTM28115
                          BSS  E  0         MAKE NEXT LOCATION EVEN     PTM28120
                    P9245 DC      /7001     SYS I/O PUNCH CODE          PTM28125
                    H7003 DC      /7003     FEED CODE               2-8 PTM28130
                          DC      /7000     DISKZ READ CODE             PTM28135
                          DC      P9466     ADDR FOR ERROR MESSAGES     PTM28140
                          DC      /7002     SYS I/O READ CODE           PTM28145
                          DC      P9460      INITIAL INPUT BFR          PTM28150
                          DC      *-*        WD CNT &                   PTM28155
                          DC      *-*        SCTR ADDR OF PNCH CNVRT    PTM28160
                          DC      *-*        WD CNT &                   PTM28165
                          DC      *-*        SCTR ADDR OF ERMSG         PTM28170
                          DC      *-*        WD CNT &                   PTM28175
                          DC      *-*        SCTR ADDR OF PHASE 4       PTM28180
                          DC      *-*        WD CNT &                   PTM28185
                          DC      *-*        SCTR ADDR OF PHASE 10 A    PTM28190
                    *                                                 * PTM28195
                          HDNG    ** FETCH ERROR MESSAGE SUBR **        PTM28200
                    *************************************************** PTM28205
                    *   GETER                                         * PTM28210
                    *   A BRANCH IS MADE TO GETER WHEN AN ERROR OCCURS* PTM28215
                    *   DURING THE ASSEMBLY.  GETER FETCHES THE ERROR * PTM28220
                    *   MESSAGE PHASE (ERMSG) INTO THE FIRST DISK     * PTM28225
                    *   BUFFER (BUFI).                                * PTM28230
                    *************************************************** PTM28235
                    P9246 DC      0                                     PTM28240
                          LDD     P9245+8    FETCH IOAR HDR INFO        PTM28245
                          STD  L  P9466      SAVE IN IOAR HDR           PTM28250
                          LDD     P9245+2   READ ERROR MESSAGE ROUTINE  PTM28255
                          BSI  L  DISK1     INTO BUFI DISK BUFFER       PTM28260
                    *                                                 * PTM28265
                          BSI  L  P9466+3    GO TO PRINT ERROR MESSAGE  PTM28270
                          BSC  I  P9246                                 PTM28275
                    P9YYY DC      0         LAST CARD SUBROUTINE        PTM28280
                          HDNG    ** READ A RECORD INTERFACING **       PTM28285
                    *************************************************** PTM28290
                    *   RDCRD                                         * PTM28295
                    *   RDCRD IS THE INTERFACE SUBROUTINE FOR THE     * PTM28300
                    *   PRINCIPAL INPUT SUBROUTINE.  THE INPUT BUFFER * PTM28305
                    *   IS CLEARED TO EBCDIC BLANKS, THE INPUT BUFFER * PTM28310
                    *   ADDRESSES IN ASCOM ARE EXCHANGED, AND A BRANCH* PTM28315
                    *   IS MADE TO THE PRINCIPAL INPUT SUBROUTINE TO  * PTM28320
                    *   READ A RECORD.  INDEX REGISTER 1 IS SET TO    * PTM28325
                    *   POINT AT THE CURRENT INPUT BUFFER AND CONTROL * PTM28330
                    *   IS TRANSFERRED BACK TO THE CALLER.            * PTM28335
                    *   IF THE RECORD PREVIOUSLY READ WAS A CONTROL   * PTM28340
                    *   RECORD, PHASE 3 IS FETCHED INTO CORE AND      * PTM28345
                    *   CONTROL IS TRANSFERRED TO IT.                 * PTM28350
                    *************************************************** PTM28355
                    *************************************************** PTM28360
                    *            **TAKE NOTE,TAKE NOTE**           2-8* PTM28365
                    *   THIS SUBROUTINE IS OVERLAID BY MACRO       2-8* PTM28370
                    *   PHASE 3 AND/OR XREF PART 2A                2-8* PTM28375
                    *************************************************** PTM28380
                    P9ZZZ DC      *-*       ENTER READ CARD SUBR        PTM28385
                          BSC  L  *         RESET BY MACRO EXPANDER 2-8 PTM28390
                          LDX  I1 RDBFR                                 PTM28395
                          LDX   2 80                                    PTM28400
                          LD      P9244+1                               PTM28405
                    P9ZZ8 STO   1 +1        CLEAR NEXT 80 CHARACTER     PTM28410
                          MDX   1 +1        INPUT BUFFER TO EBCDIC      PTM28415
                          MDX   2 -1        BLANKS BEFORE READING.      PTM28420
                          MDX     P9ZZ8                                 PTM28425
                    P9ZZ1 LD    2 $IBSY     WAIT FOR NOT BUSY       2-8 PTM28430
                          BSC  L  P9ZZ1,Z   BRANCH UNTIL NOT BUSY       PTM28435
                          LD    2 $CTSW     CHECK FOR A // RCD      2-8 PTM28440
                          BSC  L  P9ZZ2,Z    BR IF CNTRL RCD DETECTED   PTM28445
                          MDX     PZZZ3                             2-8 PTM28450
                    P9BLK DC      /4040     EBC CODE FOR DOUBLE BLK 2-8 PTM28455
                    *************************************************** PTM28460
                    *                                                 * PTM28465
                    *  THIS MODULE CHECKS FOR THE END STMNT AND       * PTM28470
                    *  TERMINATES READING WHEN THE 'END' IS DETECTED. * PTM28475
                    *                                                 * PTM28480
                    *************************************************** PTM28485
                    PZZZ3 LDX  I1 RDBFR+1   SET BFR POINTER         2-8 PTM28490
                          LD    1 +21        CHECK FOR COMMENT CARD     PTM28495
                          S       P9KHL      =HOLL *                    PTM28500
                          BSC  L  P9ZOK,+-   BR IF * IN CC 21           PTM28505
                          S       P9KEB      =EBC *                     PTM28510
                          BSC  L  P9ZOK,+-   BR IF * IN CC 21           PTM28515
                    *                                                 * PTM28520
                          LD    1 +30       CHECK FOR 5 CHAR OP CODE2-8 PTM28525
                          SLA     8         CC 30,31 MUST BE BLANK  2-8 PTM28530
                          OR    1 +31                               2-8 PTM28535
                          S       P9BLK     =EBC DOUBLE BLANK       2-8 PTM28540
                          BSC  L  P9ZZO,+- BR IF CC 30,31 BLANK     2-8 PTM28545
                          A       P9BLK     =HOLL DOUBLE BLANK      2-8 PTM28550
                          BSC  L  P9ZOK,Z  BR CC 30,31 NONBLANK     2-8 PTM28555
                    P9ZZO EQU     *                                 2-8 PTM28560
                          LDD   1 +27        OTHERWISE, CHECK FOR END   PTM28565
                          SD      P9KHL+1    =HOLL 'E'                  PTM28570
                          BSC  L  P9RTE,+-   BR IF 'E' IN CC 27         PTM28575
                          SD      P9KEB+1    =EBC 'E'                   PTM28580
                          BSC  L  P9ZOK,Z    BR IF NOT END STMNT        PTM28585
                    *                                                 * PTM28590
                    P9RTE RTE     16         CHECK CC 28                PTM28595
                          BSC  L  P9ZOK,Z    BR IF NOT END STMNT        PTM28600
                    P9LDD LD    1 +29        CHECK FOR 'ND'             PTM28605
                          S       P9KHL+3    =HOLL 'ND'                 PTM28610
                          BSC  L  P9ZZS,+-   BR IF 'N' IN CC 28         PTM28615
                          S       P9KEB+3    =EBC 'ND'                  PTM28620
                          BSC  L  P9ZOK,Z    BR IF NOT END STMNT        PTM28625
                          MDX     P9ZZS      SKIP TO PROCESS END STMNT  PTM28630
                    *                                                   PTM28635
                    * NOTICE - TBL BELOW MUST BEGIN AT ODD ADDR     2-8 PTM28640
                    *                                                   PTM28645
                    P9KHL DC      /5C        EBC CODE FOR *             PTM28650
                          DC      /C5        EBC CODE FOR E             PTM28655
                          DC      /D5        EBC CODE FOR N             PTM28660
                          DC      /C4        EBC CODE FOR D             PTM28665
                    P9KEB DC      /4220-/5C  HOLLERITH CODE FOR *       PTM28670
                          DC      /8100-/C5  HOLLERITH CODE FOR E       PTM28675
                          DC      /4100-/D5  HOLLERITH CODE FOR N       PTM28680
                          DC      /8200-/C4  HOLLERITH CODE FOR D       PTM28685
                    *                                                 * PTM28690
                    P9ZOK LDD     P9245+4   SET-UP TO READ NEXT RCRD    PTM28695
                          BSI  L  P9468+3   SYSTEM I/O STARTS NEXT RCRD PTM28700
                    P9ZZS LDD   3 RDBFR-X3   EXCHANGE I/O               PTM28705
                          RTE     16        BUFFER ADDRESSES            PTM28710
                          STO     P9245+5   INITLZ READ COMMAND ADDR    PTM28715
                          STD   3 RDBFR-X3                              PTM28720
                          LDX  I1 RDBFR      XR1 POINS TO CURRENT BFR   PTM28725
                          BSI   3 STXRS-X3  SAVE INDEX REGISTER 1       PTM28730
                          LD   L  $CTSW     IF *LIST DECK OPTION IS 2-9 PTM28735
                    *                       *USED,// CARD MUST BE   2-9 PTM28740
                    *                       *CHECKED FOR HERE       2-9 PTM28745
                          BSC  I  P9ZZZ,+-  EXIT READ IF SW NOT SET 2-9 PTM28750
                    *                                                   PTM28755
                    P9ZZ2 LDD     P9245+10   HDR INFO FOR PHASE 4       PTM28760
                          STD   3 OVLAY-X3   TRAP // RCRD TO SUP        PTM28765
                          LD      P9ZZ6     INITLZ OVERLAY EXECUTION    PTM28770
                          STO   3 P0140+1-X3   BRANCH IN PHASE 0.       PTM28775
                          LD    3 RDBFR+1-X3  ADDR OF LAST RCRD         PTM28780
                          BSI  I  CVADR      GO TO CNVRT LAST RCD       PTM28785
                          LDD     POS       GET TWO POS NUMBERS     2-6 PTM28790
                          STD   3 TXQSW-X3  SET TEMP NON-DUP,NON-XEQ SW PTM28795
                    P9ZZ5 BSC  L  P0130      BR TO MASTER OVLAY CNTRL   PTM28800
                    *                                                   PTM28805
                    *                                                   PTM28810
                    PNC10 DC      OVLAY     PUNCH CNVRT ADDR        2-8 PTM28815
                    P9ZZ6 DC      OVLAY+2    PHASE 3 CORE ADDR          PTM28820
                          HDNG    ** MOVE I/O BFR TO PRNT BFR **        PTM28825
                    *************************************************** PTM28830
                    *   P9MVE                                         * PTM28835
                    *   THE P9MVE SUBROUTINE MOVES THE INPUT RECORD   * PTM28840
                    *   FROM THE INPUT BUFFER TO THE PRINT BUFFER.  AS* PTM28845
                    *   IT MOVES THE RECORD, EACH CHARACTER IS CHECKED* PTM28850
                    *   FOR VALIDITY.  AT THE COMPLETION OF THE MOVE, * PTM28855
                    *   A BRANCH IS MADE TO THE PRINCIPAL PRINT       * PTM28860
                    *   SUBROUTINE TO LIST THE RECORD AND CONTROL IS  * PTM28865
                    *   RETURNED TO THE CALLER.                       * PTM28870
                    *   THIS SUBROUTINE IS DYNAMICALLY MODIFIED       * PTM28875
                    *   BY ASM PHASE 1A AND THE XREF INTERFACE        * PTM28880
                    *   SUBR X9MVE,SEE MACRO PHASE 3B. THIS           * PTM28885
                    *   MODIFICATION ONLY OCCURS IF STMNT             * PTM28890
                    *     NUMBERING IS ALLOWED.                       * PTM28895
                    *************************************************** PTM28900
                    P9250 DC      0         INPUT BUFFR TO PRINT BUFFR  PTM28905
                          BSI   3 LDXRS-X3  GO TO RESTO XR1 & 3         PTM28910
                    MAFBR BSC  L  *         MODIFIED IF 8 K OR +    2-8 PTM28915
                          LD   L  $PBSY      DO NOT MOVE RECORD TO PRIN PTM28920
                          BSC  L  *-4,-Z     BFR IF PRINTER IS BUSY     PTM28925
                    *                                                 * PTM28930
                          LDX   3 +60        SET TO SCAN 21 TO 80       PTM28935
                          MDX   1 20         SKIP FIRST 20 COLUMNS      PTM28940
                          LDX   2 6          SET TO CHECK FOR SIX CHARS PTM28945
                    CHKON LD   L2 XCHTB-1    FETCH TABLE CHAR           PTM28950
                          RTE     8          SAVE THE SUBSTITUTE CODE   PTM28955
                          EOR   1 1          COMPARE WITH INPUT CHAR    PTM28960
                          BSC  L  XCHCD,+-   BR IF MATCH FOUND          PTM28965
                          SLT     32         CLEAR ACC & EXT            PTM28970
                          MDX   2 -1         SET TO CHECK NEXT TBL CHAR PTM28975
                          MDX     CHKON      CONTINUE CHECKING          PTM28980
                    *                                                 * PTM28985
                    NEXT  MDX   1 +1         INCRE INPUT POINTER        PTM28990
                          MDX   3 -1         DECRE LOOP CNTR            PTM28995
                          MDX     CHKON-1    BR TO SCAN NEXT INPUT CHAR PTM29000
                    *                                                 * PTM29005
                          MDX   1 -80        RESET POINTER TO WD CNT    PTM29010
                    *                                                 * PTM29015
                          LDX  L2 PRBFR     POINT XR2 TO PRNT BFR   2-8 PTM29020
                          LDX   3 40         SET TO PACK ENTIRE BFR     PTM29025
                    *                                                 * PTM29030
                    PACK  LDD   1 +1         FETCH 2 INPUT CHARS.       PTM29035
                          SLT     8                                     PTM29040
                          SRA     8                                     PTM29045
                          SLT     8          APCK THEM INTO ONE WORD    PTM29050
                          STO   2 +1         OUTPUT WORD TO PRINT BFR   PTM29055
                          MDX   2 +1         INCRE PRNT BFR POINTER     PTM29060
                          MDX   1 +2         INCRE INPUT POINTER        PTM29065
                          MDX   3 -1         DECRE CHAR CNT             PTM29070
                          MDX     PACK       LOOP TIL PACKING COMPLETE  PTM29075
                    *                                                 * PTM29080
                    PACK0 LD      P9251     PUT I/O WRITE CODE AND  2-8 PTM29085
                          RTE     16        PRINTER I/O AREA ADDR IN    PTM29090
                    PACK1 LD   L  P9245     ACC AND EXTENSION           PTM29095
                          BSI  L  P9472+3   PRINT A LINE                PTM29100
                          BSI  L  LDXRS                                 PTM29105
                          BSC  I  P9250     EXIT MOVE SUBROUTINE        PTM29110
                    *                                                 * PTM29115
                    XCHCD SLA     16         CLEAR OUT THE BAD CODE     PTM29120
                          SLT     8          FETCH ITS SUBSTITUTE       PTM29125
                          STO   1 1          REPLACE IN INPUT BFR       PTM29130
                          MDX     NEXT       RETURN TO CONTINUE SCAN    PTM29135
                    *                                                 * PTM29140
                          BSS  E  0                                     PTM29145
                    XCHTB DC      /EF50     ILLEGAL CHAR TO AMPERSAN2-8 PTM29150
                          DC      /504E      AMPERSAND TO PLUS SIGN     PTM29155
                          DC      /7B7E      POIND TO EQUAL SIGN        PTM29160
                          DC      /7C7D      AT TO APOSTROPHE           PTM29165
                    POS   DC      /6C4D      PERCENT TO LEFT PAREN.     PTM29170
                          DC      /4C5D      LESS THAN TO RIGHT PAREN.  PTM29175
                    *     ABOVE TWO WDS USED AS TWO POS NUMBERS     2-6 PTM29180
                    P9274 BSS  E  2                                 2-8 PTM29185
                    P9251 DC      PRBFR                             2-8 PTM29190
                    *                                                 * PTM29195
                    *             CONVERT LABEL FROM UNPACKED FORM      PTM29200
                    *             (1 CH/WD) TO COMPRESSED FORM(5 6-BIT  PTM29205
                    *             CHAR. TO 30 BITS RJ IN TWO WORDS).    PTM29210
                    *             CHECK LABEL FOR VALIDITY. IF LABEL    PTM29215
                    *             IS INVALID, PSEUDO-SKIP AND RETURN    PTM29220
                    *             ZEROES(EQUIVALENT TO 5 BLANKS).       PTM29225
                    *             XR2 POINTS TO FIRST CHAR. OF INPUT.   PTM29230
                    P9252 DC      0         ENTRY                       PTM29235
                          STX   1 P9260+1   SAVE XR1                212 PTM29237
                          LD    1 0                                     PTM29240
                          S       P9264     =.0   FIRST CHAR. MUST NOT  PTM29245
                          BSC  L  P9260,-         BE NUMERIC.           PTM29250
                          LDX   3 -5                                    PTM29255
                    P9254 LDX  L2 P9262                                 PTM29260
                          LD    1 0               CHECK EACH CHARACTER  PTM29265
                          S       P9264+1   =.    FOR BLANK             PTM29270
                          BSC  L  P9272,+-                              PTM29275
                    P9256 S     2 0               AND VALID 8-BIT CHAR. PTM29280
                          BSC  L  P9260,+Z  A-Z,0-9,/,#,.               PTM29285
                          S     2 +1                                    PTM29290
                          BSC  L  P9258,+                               PTM29295
                          MDX   2 +2                                    PTM29300
                          MDX     P9256                                 PTM29305
                    P9258 MDX   1 +1          INCREMENT INPUT POINTER   PTM29310
                          MDX   3 1           COUNT AND TEST CHARACTERS PTM29315
                          MDX     P9254     GO TO TEST NEXT CHARACTER   PTM29320
                          MDX     P9266                                 PTM29325
                    P9260 LDX  L1 *-*       RESTORE XR1 TO COL 21   212 PTM29330
                          MDX  L  P9252,1     PSEUDO-SKIP               PTM29335
                          MDX     P9266+1   BRANCH TO SAVE LABEL    212 PTM29340
                    P9262 DC      .$-.      TABLE OF VALID CHARACTERS   PTM29345
                          DC      .$-.$     (INCLUSIVE LIMITS)          PTM29350
                          DC      .#-.$     A-I,J-R,S-Z,0-9,$,#,@       PTM29355
                          DC      1         .'-.# APOSTR IS AT-SIGN 2-7 PTM29360
                          DC      /0045     .A-.' APOSTR IS AT-SIGN 2-7 PTM29365
                          DC      .I-.A                                 PTM29370
                          DC      .J-.I                                 PTM29375
                          DC      .R-.J                                 PTM29380
                          DC      .S-.R                                 PTM29385
                          DC      .Z-.S                                 PTM29390
                          DC      .0-.Z                                 PTM29395
                          DC      .9-.0                                 PTM29400
                          DC      /3FFF-.9    (FORCE END CHECK LOOP).   PTM29405
                    P9264 DC      .0                                    PTM29410
                          DC      .                                     PTM29415
                          DC      /3F                                   PTM29420
                    *                                                   PTM29425
                    *     SUBROUTINE TO COLLECT LABEL                   PTM29430
                    *                                                   PTM29435
                    P9266 MDX   1 -5        LABEL IS VALID.             PTM29440
                          LDX   3 -5        COLLECT IT.                 PTM29445
                          SLT     32                                    PTM29450
                    P9268 STD     P9274                                 PTM29455
                          LD    1 0                                     PTM29460
                          AND     P9264+2   =/3F                        PTM29465
                          SLA     10                                    PTM29470
                          OR      P9274                                 PTM29475
                          RTE     32-6                                  PTM29480
                          MDX   1 +1                                    PTM29485
                          MDX   3 1                                     PTM29490
                          MDX     P9268                                 PTM29495
                    P9270 BSI  L  LDXRS     RELOAD REGISTERS 1,3        PTM29500
                          BSC  I  P9252     EXIT.                       PTM29505
                    P9272 LD    1 0               CHECK LABEL FOR       PTM29510
                          S       P9264+1   =.    EMBEDDED BLANKS.      PTM29515
                          BSC  L  P9260,Z                               PTM29520
                          MDX   1 1                                     PTM29525
                          MDX   3 1                                     PTM29530
                          MDX     P9272                                 PTM29535
                          MDX     P9266                                 PTM29540
                          HDNG    ** DSF OUTPUT SUBR **                 PTM29545
                    *             THIS ROUTINE OUTPUTS DATA WORDS       PTM29550
                    *             AND RELOCATION INDICATOR BITS         PTM29555
                    *             IN SYSTEM DISK FORMAT.  ONE WORD      PTM29560
                    *             OF INDICATOR BITS NORMALLY PRECEDES   PTM29565
                    *             EIGHT DATA WORDS.                     PTM29570
                    *THIS SUBROUTINE IS MADE INOPERATIVE FOR        2-8 PTM29575
                    *PASS THREE PROCESSING AND OVERLAID BY XREF 2C  2-8 PTM29580
                    P9276 DC      0         ENTRY POINT                 PTM29585
                          STX   1 P9289+1                               PTM29590
                          STX   2 P9291+1    SAVE THE INDEX REGISTERS   PTM29595
                          LD      P9294                                 PTM29600
                          BSC  L  P9278,Z   IF DATA HAS BEEN OUTPUT     PTM29605
                          LD    3 ADCOW-X3  BEFORE, COMPARE COUNTERS.   PTM29610
                          STO  I  DHPTR     IF NOT, STORE DATA ADDRESS  PTM29615
                          STO   3 ADCW2-X3  IN WORD 1 OF CURRENT DATA   PTM29620
                    P9278 LD    3 ADCOW-X3  HEADER. IF TWO COUNTERS     PTM29625
                          S     3 ADCW2-X3  DO NOT AGREE, GENERATE      PTM29630
                          BSI  L  DTHDR,Z   *A DATA HDR             2-8 PTM29635
                    P9282 LDX  I1 DFXR1                                 PTM29640
                          LDX  I2 DFXR2                                 PTM29645
                          LD    3 DFXR3-X3  IF NEW DATA BLOCK SHOULD    PTM29650
                          BSC  L  P9286,Z   BE STARTED, STORE ZERO IN   PTM29655
                          STO   2 9         NEXT INDICATOR BITS WORD,   PTM29660
                          LD      P9292     RESET SHIFT COUNT TO 16,    PTM29665
                          STO   3 DFXR3-X3  RESET XR1 AND XR2           PTM29670
                          MDX   1 +1                                    PTM29675
                          MDX   2 +9                                    PTM29680
                    P9286 LDD   3 TRWRD-X3  FETCH OUTPUT WORD & REL.BIT PTM29685
                          LDX  I3 DFXR3     XR3 = SHIFT COUNT           PTM29690
                          STO   1 0         STORE DATA WORD             PTM29695
                          MDX   1 +1                                    PTM29700
                          SLA     16        CLEAR A                     PTM29705
                          SLT   3 0         VARIABLE SHIFT OF INDICATOR PTM29710
                          OR    2 0         BITS FOR THIS DATA WORD.    PTM29715
                          STO   2 0                                     PTM29720
                          MDX   3 -2        DECREMENT SHIFT COUNT       PTM29725
                          NOP               (MAY SKIP)                  PTM29730
                          STX     P9294     DATA OUTPUT. SW = NON-ZERO  PTM29735
                          STX  L1 DFXR1     SAVE DATA WD POINTER        PTM29740
                          STX  L2 DFXR2     SAVE INDICATOR BITS POINTER PTM29745
                          STX  L3 DFXR3     SAVE NEXT SHIFT COUNT       PTM29750
                          BSI  L  LDXRS                                 PTM29755
                          LD    3 TRWRD+1-X3     IF ENTRY FOR FIRST     PTM29760
                          EOR     P9292+1        WORD OF ONE WORD       PTM29765
                          BSC  L  P9288,+-          CALL DO NOT UPDATE  PTM29770
                          MDX  L  ADCW2,1           INTERNAL COUNTER.   PTM29775
                          NOP               (MAY SKIP)                  PTM29780
                    P9288 SLT     32        CLEAR A & Q                 PTM29785
                          STD   3 TRWRD-X3  CLEAR OUTPUT WORD BUFFER    PTM29790
                          STO   3 RDTHD-X3   CLEAR NEW SCTR HDR SWTCH   PTM29795
                          BSI  L  WRDFO     CHECK IF DSF BFR FULL   2-8 PTM29800
                    P9289 LDX  L1 *-*        RESTO XR1                  PTM29805
                    P9291 LDX  L2 *-*        RESTO XR2                  PTM29810
                    P9290 BSC  I  P9276                                 PTM29815
                    *                                                   PTM29820
                    P9292 DC      +16       INITIAL IND. BITS SHIFT CNT PTM29825
                          DC      /8000                                 PTM29830
                    P9294 DC      0                                     PTM29835
                    *                                               2-4 PTM29840
                    CHEC1 EQU     P9294-P9276   -CHECK WORD-        2-4 PTM29845
                    *             LABEL 'CHECK' SHOULD HAVE THE     2-4 PTM29850
                    *             COMPUTED VALUE 0042. IF NOT,      2-4 PTM29855
                    *             TWO REFERENCES IN PHASE 5 MUST    2-4 PTM29860
                    *             BE CHANGED TO THE NEW VALUE.      2-4 PTM29865
                    *                                               2-4 PTM29870
                          HDNG    ** SEARCH THE SYMBOL TABLE **         PTM29875
                    P9300 DC      0                                     PTM29880
                    *THIS SUBROUTINE IS MODIFIED HERE DURING        2-8 PTM29885
                    *PASS THREE BY XREF PART 1 TO INTERFACE TO      2-8 PTM29890
                    *XREF 2,2A,2B AND BUILD THE XREF TABLE          2-8 PTM29895
                          BSI     P9324      SEARCH IN CORE TBL         PTM29900
                          MDX     *+1        NOT FOUND                  PTM29905
                          MDX     P9302      FOUND - BR TO EXIT         PTM29910
                    P9301 LD    3 OFCNT-X3   CHECK FOR OVERFLOW TO DISK PTM29915
                          BSC  L  P9303,+-   BR IF NO OVERFLOW          PTM29920
                          LD   L  PAAID     TEST IF 10A IS IN CORE 2-11 PTM29921
                          S       P9442                            2-11 PTM29922
                          BSC  L  P93A1,+- BR IF 10A IS IN CORE    2-11 PTM29923
                          LDD  L  P9245+12   OTHERWISE, LOAD            PTM29925
                          STD  L  P9380      PHASE 10 A TO SEARCH       PTM29930
                    P93B1 EQU     *-1       OVERFOW SECTORS        2-11 PTM29935
                          LD      P93B1                            2-11 PTM29937
                          RTE     16                                    PTM29940
                          LD      P9346+1                           2-8 PTM29945
                          BSI   3 DISK1-X3   BR TO READ PHASE 10 A      PTM29950
                    *                                                 * PTM29955
                    P93A1 BSI  L  PAA00     BRANCH TO PHASE 10A    2-11 PTM29960
                          MDX     P9303      BR TO EXIT                 PTM29965
                    P9302 MDX  L  P9300,+1   INCRE RET ADDR             PTM29970
                          LD      P9321      VALUE TO ACC               PTM29975
                    P9303 BSI   3 LDXRS-X3   GO RESTO XR1               PTM29980
                          BSC  I  P9300      EXIT                       PTM29985
                    *                                                 * PTM29990
                    P9324 DC      0           ENTRY POINT               PTM29995
                          LD    3 LOEND-X3                              PTM30000
                          S       P9316       BEGIN FORMING NEW         PTM30005
                          STO     P9430       SEARCH ADDRESS.           PTM30010
                          LD    3 HIEND-X3                              PTM30015
                          A       P9316                                 PTM30020
                          STO     P9432                                 PTM30025
                    P9326 LD      P9432                                 PTM30030
                          S       P9430                                 PTM30035
                    *THE FOLLOWING 3 LINES OF CODE ARE MODIFIED IN  2-8 PTM30040
                    *PASS THREE TO HANDLE 4 WORD ENTRIES            2-8 PTM30045
                    P9327 EOR     P9318       =1                        PTM30050
                          S       P9318       =1                        PTM30055
                          SRA     1           DIVIDE DIFFERENCE BY 2.   PTM30060
                          BSC  I  P9324,+    GO SET MULT DEFINE    2/11 PTM30065
                          STO     P9328+1       EXITS IF SYMBOL NOT     PTM30070
                          LD      P9432         FOUND.                  PTM30075
                          S       P9328+1                               PTM30080
                          STO     P9328+1                               PTM30085
                    P9328 LDX  L1 *-*                                   PTM30090
                          LD    1 0                                     PTM30095
                          RTE     16          WITH TABLE ENTRY.         PTM30100
                          LD    1 -1          COMPARE NEW SYMBOL        PTM30105
                          AND     P9322     MASK OFF BITS 0-1.          PTM30110
                          SD    3 SYMBF-X3                              PTM30115
                          BSC  L  P9330,Z                               PTM30120
                          RTE     16          FIRST HALF EQUAL.         PTM30125
                          BSC  L  P9330,Z                               PTM30130
                          LD      P9428      COMPARE EQUAL. IF SRCH ON  PTM30135
                          BSC  L  P9334,Z    STADD, MULTIPLY DEFINED.   PTM30140
                          LD    1 -1        SAVE MULTIPLE DEFINITION    PTM30145
                          STO  L  P9176      AND RELOCATION BITS.       PTM30150
                          LD    1 -2                                    PTM30155
                          STO     P9321      SAVE VALUE                 PTM30160
                    P9329 MDX  L  P9324,+1   BUMP RETURN           2/11 PTM30165
                    *                                              2/11 PTM30170
                    *                                              2/11 PTM30175
                          BSC  I  P9324        LOAD VALUE,INCR. RETURN. PTM30180
                    P9330 BSC  L  P9332,C     IF SYMBOL GREATER, SET    PTM30185
                          STX   1 P9430     HI=(XR1). IF SYMBOL     2-8 PTM30190
                          MDX     P9326          LESS SET LOW =(XR1).   PTM30195
                    P9332 STX   1 P9432                             2-8 PTM30200
                          MDX     P9326                                 PTM30205
                    P9334 LD    1 -1             MASK MULTIPLE          PTM30210
                          OR      P9320       /4000   DEFINITION BIT    PTM30215
                          STO   1 -1             TO VALUE.              PTM30220
                          MDX     P9329      RETURN                2/11 PTM30225
                    *                                                   PTM30230
                    P9430 DC      0                                     PTM30235
                    P9432 DC      0                                     PTM30240
                    P9438 DC      315                                   PTM30245
                    P9442 DC      /E5       PHASE ID OF 10A        2-11 PTM30247
                    *                                                   PTM30250
                    P9316 DC      3                                     PTM30255
                    P9318 DC      1                                     PTM30260
                    P9320 DC      /8000                                 PTM30265
                    P9321 DC      0          TEMP STORAGE FOR VALUE     PTM30270
                    P9428 DC      0          SYM TBL ADD SWTCH          PTM30275
                          BSS  E  0         LOCATE PRFIX AT P10AA-1     PTM30280
                    P9322 DC      /3FFF                                 PTM30285
                    P9346 DC      /7001     DISKZ WRITE CODE            PTM30290
                          DC      /7000     DISKZ READ CODE             PTM30295
                    PRFIX DC      P9466+2    ADDR OF CURRENT PREFIX WD  PTM30300
                    *                                                   PTM30305
                          HDNG    ** ADD A SYMBOL TO THE SYMBOL TABLE * PTM30310
                          BSS  E  0         ADJUST TO EVEN LOCATION     PTM30315
                    *THIS SUBROUTINE IS OVERLAID BY XREF PART 2B    2-8 PTM30320
                    *DURING PASS THREE PROCESSING                   2-8 PTM30325
                    P9350 DC      SA130-SA000 WORD CNT PHASE 10    2-11 PTM30330
                          DC      +3   RELATIVE SCTR ADDR OF PHASE 10   PTM30335
                    *                                                   PTM30340
                    P9352 LDD   3 SYMBF-X3                              PTM30345
                          BSC  L  P9354,Z                               PTM30350
                          RTE     16        IF LABEL FIELD IS BLANK,    PTM30355
                          BSC  L  P9358,+-  EXIT.                       PTM30360
                    P9354 STO     P9428     SET SW TO INDICATE ADD ENT. PTM30365
                          BSI     P9324      SEARCH IN-CORE TABLE FIRST PTM30370
                          MDX     *+1                                   PTM30375
                          MDX     P9358     MULTIPLE DEFINITION         PTM30380
                          LD      P9430                                 PTM30385
                          STO     P9374      SAVE LOW ADDR              PTM30390
                          LD    3 OFCNT-X3  IF NO TABLE OVERFLOW,       PTM30395
                          BSC  L  P9362,+-  ADD SYMBOL TO TABLE.        PTM30400
                    *                                                   PTM30405
                    *             ENTER TABLE OVERFLOW MODE.            PTM30410
                    *             WRITE PARTIAL SECTOR OUT ON DISK,     PTM30415
                    *             SEARCH ALL SECTORS OF TABLE OVERFLOW  PTM30420
                    *             TO DETECT A MULTIPLE DEFINITION       PTM30425
                    *             CONDITION. IF NOT MULTIPLY DEFINED,   PTM30430
                    *             RESTORE PARTIAL SECTOR AND ADD NEW    PTM30435
                    *             SYMBOL. IF MULTIPLY DEFINED, RESTORE  PTM30440
                    *             PARTIAL SECTOR AND EXIT.              PTM30445
                    *                                                   PTM30450
                    *                                                 * PTM30455
                          LD      PAAID     TEST IF 10A IS IN CORE 2-11 PTM30456
                          S       P9442                            2-11 PTM30457
                          BSC  L  P9356,+-  BRANCH IF YES          2-11 PTM30458
                          LDD  L  P9245+12   FETCH PH. 10 A HDR INFO    PTM30460
                          STD     P9380     SET UP IOAR HDR        2-11 PTM30465
                          LD      P93B1                            2-11 PTM30470
                          RTE     16                                    PTM30475
                          LD      P9346+1                           2-8 PTM30480
                          BSI   3 DISK1-X3   BR TO READ PHASE 10 A      PTM30485
                    *                                                 * PTM30490
                    P9356 BSI     PAA00     BR. TO PHASE 10A       2-11 PTM30495
                          MDX     P9360      NOT FOUND                  PTM30500
                          LD      P9374                                 PTM30505
                          STO     P9430                                 PTM30510
                    P9358 BSI   3 LDXRS-X3                              PTM30515
                          SLA     16         CLEAR ADD SYM SW      2/11 PTM30516
                          STO     P9428                            2/11 PTM30517
                          BSC  L  P9222     EXIT TO LDLBL ROUTINE       PTM30520
                    P9360 LD      P9374                                 PTM30525
                          STO     P9430                                 PTM30530
                    P9362 LDX  I1 P9430                                 PTM30535
                          LD    3 LOEND-X3                              PTM30540
                          S       P9430                                 PTM30545
                          S       P9372      =3                         PTM30550
                          BSC  L  P9366,+-                              PTM30555
                          STO     *+1       IF LABEL WAS NOT IN TABLE,  PTM30560
                          LDX  L2 *-*       PUSH DOWN ALL ENTRIES       PTM30565
                          LDX  I3 LOEND     3 WORDS TO ENTER NEW LABEL  PTM30570
                    P9364 LD    3 -2                                    PTM30575
                          STO   3 -5                                    PTM30580
                          MDX   3 +1                                    PTM30585
                          MDX   2 +1                                    PTM30590
                          MDX     P9364                                 PTM30595
                    P9366 LDX  L3 X3        RELOAD XR3 TO ASM COMMA     PTM30600
                          LDD   3 SYMBF-X3  LOAD SYMBOL (NAME CODE)     PTM30605
                          OR    3 LABRL-X3  INSERT RELOCATION BIT       PTM30610
                          STO   1 -1                                    PTM30615
                          RTE     16                                    PTM30620
                          STO   1 0                                     PTM30625
                          LD    3 LABVL-X3                              PTM30630
                          STO   1 -2                                    PTM30635
                          MDX  L  CTSYM,+1  COUNT SYMBOLS IN TABLE      PTM30640
                          LD    3 LOEND-X3                              PTM30645
                          S       P9372      =3                         PTM30650
                          STO   3 LOEND-X3  NEW LOW END OF SYMBOL TABLE PTM30655
                          S       P9372      =3                         PTM30660
                          S     3 ENDST-X3  IS TABLE FULL               PTM30665
                          BSC  L  P9358,-   NO, EXIT                    PTM30670
                    *                                                 * PTM30675
                          MDX  L  THRT2,-1   DECRE OVFLO SCTRS CNTR     PTM30680
                          MDX     P9367      OVFLO CYLINDERS NOT FULL   PTM30685
                          LDX   2 +2         IF FULL, IND ERROR 'A 02'  PTM30690
                          BSI  L  P9246      FETCH ERROR RTN            PTM30695
                    P9367 LD      P9346      WRITE FUNC CODE            PTM30700
                          STO   3 OFLOW-X3                              PTM30705
                          LDD   3 OFLOW-X3                              PTM30710
                          BSI   3 DISK1-X3   BR TO WRITE SCTR           PTM30715
                          LD      P9346+1    RESET CNTRL WRD            PTM30720
                          STO   3 OFLOW-X3   TO READ                    PTM30725
                          MDX  L  OFCNT,+1  ONE MORE OVERFLOW SECTOR    PTM30730
                    P9368 LD   I  OFSAD     INCREMENT SCTR ADDR         PTM30735
                          A       P9318     OF SYMBOL TABLE OVERFLOW    PTM30740
                          STO  I  OFSAD     BY 1.                       PTM30745
                          LD    3 ENDST-X3                              PTM30750
                          A       P9436                                 PTM30755
                          A       P9440     RESET TABLE LIMIT TO ALLOW  PTM30760
                          STO   3 LOEND-X3  MORE SYMBOLS.               PTM30765
                          MDX     P9358                                 PTM30770
                    P9372 EQU     P9316                             2-8 PTM30775
                    P9374 DC      0                                     PTM30780
                    P9436 DC      2                                     PTM30785
                    P9440 DC      318                                   PTM30790
                    P9378 EQU     P9352                                 PTM30795
                          BSS  E  0                                2-11 PTM30800
                    P9380 DC      *-*       WD CNT PHASE 11             PTM30805
                          DC      +4   RELATIVE SCTR ADDR OF PHASE 11   PTM30810
                          BSS     INTBF     ALLOCATE ROOM FOR INT1 2-11 PTM30815
                    *                                               2-2 PTM30820
                    *                                               2-2 PTM30825
                    DVADR DC      DIVSN     DIVISION OP BR ADDR     2-8 PTM30830
                    OSAVE DC      *-*        SAVE OVFL COUNT       2/11 PTM30831
                          BSS  E  0         FORCE EVEN ADDR         2-8 PTM30835
                    DVSTR DC      /E7       SLET ID OF DIVISION OP  2-8 PTM30840
                    DVSKY EQU     *-1       SAVE SCTR ADDR ,WD CNT  2-8 PTM30845
                          BSS     3                                 2-8 PTM30850
                    DIV00 LDD   3 OVLAY-X3    SAVE SCTR ADDR        2-8 PTM30855
                          STD     DVSKY                             2-8 PTM30860
                          LDD   3 P0170-X3  SET DK WRITE PARAM      2-8 PTM30865
                          A       PA901     ADD ONE                 2-8 PTM30870
                          BSI   3 DISK1-X3  SAVE SCTR TO DISK       2-8 PTM30875
                          LDD     DVSTR+2                           2-8 PTM30880
                          STD   3 OVLAY-X3    SET SCTR ADDR         2-8 PTM30885
                          LD      DVADR     SET BR ADDR FOR DIVIDE  2-8 PTM30890
                          STO   3 P0140+1-X3                        2-8 PTM30895
                          BSC  L  P0130     GO TO MASTER OVLAY SUBR 2-8 PTM30900
                          BSS  E  0         RD/PCH BUFFER ON ODD   2-11 PTM30903
                    PA901 DC      1         CONSTANT 1              2-8 PTM30905
                    P9451 EQU     *                                 2-8 PTM30910
                    *************************************************** PTM30915
                    *                                                 * PTM30916
                    *STATUS - VERSION 2, MODIFICATION LEVEL 12        * PTM30917
                    *                                                 * PTM30918
                    *   INT1                                          * PTM30920
                    *   INT1 IS THE SUBROUTINE USED IN PASS 1 TO PACK * PTM30925
                    *   THE INPUT RECORD INTO TWO EBCDIC CHARACTERS   * PTM30930
                    *   PER WORD AND SAVE IT IN THE INTERMEDIATE      * PTM30935
                    *   OUTPUT BUFFER.  INT1 IS OVERLAID BY PHASE 11  * PTM30940
                    *   FOR PASS 2 PROCESSING.  INT2 IS THE ENTRY     * PTM30945
                    *   ADDRESS FOR PHASE 11 DURING PASS 2.           * PTM30950
                    *THIS PHASE IS ASSEMBLED OUT OF THE NORMAL      2-8 PTM30955
                    *PHASE ID SEQUENCE -- IT MUST BE PHYSICALLY     2-8 PTM30960
                    *MOVED TO PERFORM SYSTEM LOAD FUNCTIONS.        2-8 PTM30965
                    *************************************************** PTM30970
                    *                                                   PTM30975
                          ORG     P9380                                 PTM30980
*SBRKSLS E4         *ASM INTERMEDIATE I/O                         V2M08 PTM30985
                          DC      P9INT-P9382                           PTM30990
                          DC      /E4       SLET ID OF INT1         2-8 PTM30995
                    P9382 DC      0         ENTRY POINT                 PTM30996
                          MDX   1 21                                    PTM30997
                          LD    1 0         LOAD COL 21                 PTM30998
                          S       P9412     CHECK FOR BLANK           * PTM30999
                          BSC  L  P9384,Z   NON-BLANK, BRANCH         * PTM31000
                          OR    1 1         OR WITH 2ND CHARACTER   212 PTM31001
                          OR    1 2         OR WITH 3RD CHARACTER   212 PTM31002
                          OR    1 3         OR WITH 4TH CHARACTER   212 PTM31003
                          OR    1 4         OR WITH 5TH CHARACTER   212 PTM31004
                          S       P9412     BY SUBTRACTING BLANK   2-11 PTM31005
                          STO   1 0         SET COL 21 NON-BLANK   2-11 PTM31006
                          BSC  L  P9384,Z   BR IF LABEL             212 PTM31007
                          MDX   1 5         POINT PAST LABEL        212 PTM31010
                          LD      P9412     LOAD BLANK              212 PTM31012
                          STO   1 0         *AND STORE IN COL. 26   212 PTM31014
                    P9384 S       P9412+2   TEST FOR ASTERISK       212 PTM31016
                          OR    3 LSTOP-X3  NO LIST, SKIP RECORD    212 PTM31017
                          BSC     +-        SKIP IF RCRD TO BE SAVED    PTM31020
                          MDX     P9398     BRANCH TO EXIT              PTM31025
                    *                                                   PTM31030
                          LDX  I2 PRFIX      XR2 = ADDR OF PREFIX WD    PTM31040
                          BSI     P9400     CHECK FOR BUFFER FULL       PTM31045
                          STX   1 P9393+1   ADDR OF LEFT END COLUMN     PTM31060
                          BSI   3 LDXRS-X3  RESTORE XR1            2-11 PTM31063
                          MDX   1 81        POINT TO COLUMN 81     2-11 PTM31065
                          LDX   3 +60       MAX. BLANK COLS. 21-80      PTM31070
                    *                                                   PTM31075
                    *             SCAN FROM COLUMN 80 LEFT-WARD FOR     PTM31080
                    *             THE FIRST NON-BLANK COLUMN. A         PTM31085
                    *             NON-BLANK COLUMN MUST OCCUR BETWEEN   PTM31090
                    *             COLUMNS 21-80, OR THE STATEMENT       PTM31095
                    *             IS NOT PACKED FOR DISK OUTPUT.        PTM31100
                    *                                                   PTM31105
                    P9390 LD    1 -1        CHECK STMT CHARACTER   2-11 PTM31110
                          EOR     P9412     FOR A NON-BLANK.            PTM31115
                          BSC  L  P9392,Z   BRANCH IF COLUMN NOT BLANK  PTM31120
                          MDX   1 -1        DECREMENT INPUT POINTER,    PTM31125
                          MDX   3 -1        DECREMENT LENGTH COUNTER,   PTM31130
                          MDX     P9390     AND CHECK NEXT COLUMN.      PTM31135
                          LDX   3 2         INITLZ TO 2 COLUMNS     2-1 PTM31145
                          LD      P9INT     GET CONSTANT 2          2-1 PTM31150
                          MDX     P9394+2   *WITH PREFIX OF 2       2-1 PTM31160
                    *                                                   PTM31165
                    P9392 STX   1 P9394+1   FIRST BLANK COLUMN     2-11 PTM31175
                          LD      P9394+1   COMPUTE NO. OF COLUMNS      PTM31180
                          S       P9393+1   BETWEEN LEFT AND RIGHT ENDS PTM31185
                          BSC     E         IF ODD NO. OF COLUMNS,      PTM31190
                          A       P9412+1   ADD 1 TO MAKE NO. EVEN      PTM31195
                          STO     P9394+1   INITLZ LOOP COUNTER         PTM31200
                          SRA     1          WORDS = CHAR/2             PTM31205
                          A       P9412+1   = TOTAL NO WORDS TO    2-11 PTM31210
                    P9393 LDX  L1 *-*       INITLZ TO LEFT COLUMN ADDR  PTM31220
                    P9394 LDX  L3 *-*       INITLZ TO NO. OF COLUMNS    PTM31225
                          STO   2 0         STORE PREFIX WORD       212 PTM31227
                          MDX   2 +1        1 WORD PAST CONTROL WORD    PTM31230
                    *                                                   PTM31235
                    P9396 BSI     P9400     CHECK FOR BUFFER FULL       PTM31240
                          LD    1 +1                                    PTM31245
                          RTE     8         PACK INPUT CHARACTERS,      PTM31250
                          LD    1 0         TWO EBCDIC CHARACTERS PER   PTM31255
                          SLT     8         WORD, AND INSERT IN         PTM31260
                          STO   2 0         INTERMEDIATE I/O BUFFER.    PTM31265
                          MDX   1 +2        NEXT TWO INPUT CHARACTERS   PTM31270
                          MDX   2 +1        NEXT BUFFER WORD            PTM31275
                          MDX   3 -2        LOOP COUNT - 2              PTM31280
                          MDX     P9396     REPEAT IF COUNT NOT ZERO    PTM31285
                    *                                                   PTM31290
                          STX  L2 PRFIX      SAVE ADDR OF NEXT PRFIX WD PTM31295
                    P9398 BSI  L  LDXRS     RELOAD REGISTERS 1,3        PTM31300
                          BSC  I  P9382     EXIT (INT1)                 PTM31305
                    *                                                   PTM31310
                    P9400 DC      0         BUFFER FULL ROUTINE         PTM31315
                    P9401 STX   2 P9393+1   CONPARE ADDR FOR CURR  2-11 PTM31320
                          LD      P9393+1   BUFFER WITH            2-11 PTM31325
                          S       P9408     END OF BUFFER ADDR.         PTM31330
                    P9402 BSC  I  P9400,Z   BRANCH (EXIT) IF NOT EQUAL  PTM31335
                          LDD     P9406     SET-UP TO USE DISKZ TO      PTM31340
                          BSI  L  DISK1     WRITE INTERMED. I/O SECTOR  PTM31345
                          MDX  L  P9466+1,+1  NEXT SCTR ADDRESS         PTM31350
                          MDX  L  SCRA,-1   ONE LESS WORK STORAGE SCTR  PTM31355
                          MDX     P9404     (BRANCH IF SCRA NOT ZERO)   PTM31360
                          LDX   2 +3         IND ERROR 'A 03'           PTM31365
                          BSI  L  P9246     DISK OUTPUT EXCEEDS W.S.    PTM31370
                    *                                                   PTM31375
                    P9404 MDX  L2 -320      DECREMENT XR2 FOR NEXT SCTR PTM31380
                          MDX     P9401     RESET PREFIX WD ADDR    2-6 PTM31385
                    *                                                   PTM31390
                    *             INT1 CONSTANTS                        PTM31395
                    *                                                   PTM31400
                          BSS  E  0         MAKE NEXT LOCATION EVEN     PTM31410
                    P9406 DC      /7001     DISKZ WRITE CODE            PTM31415
                          DC      P9466     ADDR FOR DISK WRITE         PTM31420
                    P9412 DC      .         EBCDIC BLANK                PTM31425
                          DC      1         CONSTANT                    PTM31430
                          DC      .*-.      EBCDIC ASTERISK-BLANK  2-11 PTM31435
                    P9408 DC      P9466+322 END OF BUFR ADDR        2-8 PTM31436
                          BSS     INTBF-*+P9382-4 PATCH AREA       2-11 PTM31437
                    P9INT DC      2         CONSTANT 2, ENDS PHASE  2-1 PTM31440
                    *************************************************** PTM31445
                    *  PHASE 10A IS FETCHED INTO CORE STORAGE WHENEVER* PTM31450
                    *  NECESSARY TO HANDLE SYMBOL TABLE OVERFLOW. WHEN* PTM31455
                    *  A SYMBOL IS TO BE ADDED TO AN OVERFLOW SECTOR  * PTM31460
                    *  IN PASS 1, OR WHEN THE OVERFLOW SECTORS ARE TO * PTM31465
                    *  BE SEARCHED FOR A SYMBOL IN PASS 2, PHASE 10A  * PTM31470
                    *  IS CALLED. PHASE 10A OVERLAYS THE INT1 SUBR IN * PTM31475
                    *  PHASE 9 WHEN CALLED DURING PASS 1. IT OVERLAYS * PTM31480
                    *  PHASE 11 (THE INT2 SUBR) WHEN CALLED IN PASS 2 * PTM31485
                    *  OF AN ASSEMBLY IN ONE-PASS MODE.               * PTM31490
                    *************************************************** PTM31495
                    *                                                   PTM31500
                          ORG     P9380                                 PTM31505
*SBRKSLS E5         *ASM SYMBOL TABLE OVERFLOW                    V2M08 PTM31510
                          DC      P9455-PAA00                      2/11 PTM31515
                          DC      -/E5      SLET ID OF PHASE 10A    2-8 PTM31520
                          DC      PA200-*+1  LOCATE TABLES         2-11 PTM31525
                          DC      2          NO. OF ID'S TO BE FILLED   PTM31530
                          ORG     *-2                                   PTM31535
                    *THIS PHASE IS ASSEMBLED OUT OF THE NORMAL      2-8 PTM31540
                    *PHASE ID SEQUENCE -- IT MUST BE PHYSICALLY     2-8 PTM31545
                    *MOVED TO PERFORM SYSTEM LOAD FUNCTIONS.        2-8 PTM31550
                    PAAID DC      /E5       PHASE ID THIS PHASE    2-11 PTM31553
                    PAA00 DC      *-*        PHASE 10 A ENTRY           PTM31555
                    *                                              2/11 PTM31560
                    *                                              2/11 PTM31565
                          BSI     P9344      SAVE A PARTIAL SCTR        PTM31570
                          BSI     P9342      INITIALIZE OVFLO SRCH      PTM31575
                    PA010 LDD   3 OFLOW-X3                              PTM31580
                          BSI   3 DISK1-X3                              PTM31585
                          BSI  L  P9324      SEARCH OVFLO SCTR          PTM31590
                          MDX     PA050      NOT FOUND - BRANCH         PTM31595
                          MDX  L  PAA00,+1   INCRE RET ADDR             PTM31600
                          LD      P9428      WAS SYMBOL TO BE ADDED     PTM31605
                          BSC  L  PA020,+-   NO, BR TO RESTO SCTR       PTM31610
                    *                                                 * PTM31615
                          BSI     P9344      WRITE MULT. DEFINED SCTR   PTM31620
                    PA020 BSI     P9340      RESTO PARTIAL SCTR         PTM31625
                    *                                                 * PTM31630
                    PA025 LD      PAA00                                 PTM31635
                          STO     PA300+1    SAVE RET ADDR              PTM31640
                          LD    3 PSMDE-X3  BYPASS REST IF 2PASS   2-11 PTM31642
                          BSC  I  PAA00,Z   EXIT IF TWO PASS MODE  2-11 PTM31643
                          LD    3 PASS-X3    DETRM ASM PASS             PTM31645
                          BSC  L  PA040,+-   BR IF PASS 1               PTM31650
                          LDD     PA200+2    PHASE 11 HDR INFO          PTM31655
                    PA030 STD     P9380      SET UP DISK IOAR HDR       PTM31660
                          LD      P9455                             2-8 PTM31665
                          RTE     16                                    PTM31670
                          LD   L  P9346+1                               PTM31675
                          MDX     PA290      BR TO OVLAY PHASE 10 A     PTM31680
                    *                                                 * PTM31685
                    PA040 LDD     PA200+6    INT1 HDR INFO              PTM31690
                          MDX     PA030      BR TO RE-LOAD INT          PTM31695
                    *                                                 * PTM31700
                    PA050 LD   I  OFSAD                             2-2 PTM31705
                          A       PA901     ADD ONE                 2-8 PTM31710
                          STO  I  OFSAD     STORE NEW ADDR          2-8 PTM31715
                          MDX   2 -1        DECR LOOP CTR           2-8 PTM31720
                          MDX     PA010     BR-CTR NOT ZERO         2-8 PTM31725
                          MDX     PA020     BR-CTR ZERO             2-8 PTM31730
                    *                                               2-2 PTM31735
                    *                                                 * PTM31740
                    *                                                   PTM31745
                    *             RESTORE TABLE STATUS                  PTM31750
                    *                                                   PTM31755
                    P9340 DC      0                                     PTM31760
                          STX   2 OSAVE      COUNT TO PARTIAL      2/11 PTM31765
                          LD   I  OFSAD                             2-8 PTM31770
                          A       OSAVE      INCR SECTOR ADDR      2/11 PTM31775
                    *                                               2-2 PTM31780
                          STO  I  OFSAD     PARTIAL SCTR FROM THIS ADDR PTM31785
                          LDD   3 OFLOW-X3                              PTM31790
                          BSI   3 DISK1-X3   BR TO READ SCTR            PTM31795
                          LD      P9348                                 PTM31800
                          STO   3 LOEND-X3  RESET LOW END ADDR          PTM31805
                          LD   L  $CORE      RESET HIGH END ADDR        PTM31810
                          S       PA901     AT CORE SIZE - 1       2-11 PTM31815
                          STO   3 HIEND-X3                              PTM31820
                          BSC  I  P9340                                 PTM31825
                    P9342 DC      0                                     PTM31830
                          LD    3 LOEND-X3  SAVE LOW END ADDR           PTM31835
                          STO     P9348                                 PTM31840
                          LD   I  OFSAD     FORM SCTR ADDR OF           PTM31845
                          S     3 OFCNT-X3  FIRST OVERFLOW SCTR TO      PTM31850
                          STO  I  OFSAD     SEARCH ALL OVERFLOW SCTR'S  PTM31855
                          LD    3 ENDST-X3  FORM NEW LOW END AND        PTM31860
                          A     3 CON2-X3    HIGH END ADDR         2/11 PTM31865
                          STO   3 LOEND-X3  SEARCHING OVERFLOW SCTR     PTM31870
                          A    L  P9438     BUFFER OF THE SYMBOL TABLE  PTM31875
                          STO   3 HIEND-X3                              PTM31880
                          LDX  I2 OFCNT                                 PTM31885
                          BSC  I  P9342                                 PTM31890
                    *                                                   PTM31895
                    *             WRITE SECTOR OF OVERFLOW              PTM31900
                    *                                                   PTM31905
                    P9344 DC      0                                     PTM31910
                          LDD   3 OFLOW-X3                              PTM31925
                          A       PA901     CAUSE WRITE            2-11 PTM31927
                          BSI   3 DISK1-X3   BR TO WRITE THE SCTR       PTM31930
                          BSC  I  P9344                                 PTM31945
                    *                                                   PTM31950
                          BSS  E  0                                     PTM31955
                    PA200 DC      /D2       SLET ID OF PHASE 11     2-8 PTM31960
                    P9348 EQU     PA200     TEMP SAVE AREA          2-8 PTM31965
                          BSS     3                                     PTM31970
                          DC      /E4       SLET ID OF INT1         2-8 PTM31975
                          BSS     3                                     PTM31980
                    P9455 DC      P11AA     PH 11 I/O AREA         2-11 PTM31985
                          BSS     INTBF-*+PAAID-3   PATCH AREA     2-11 PTM31987
                    PA290 BSI   3 DISK1-X3   BR TO DISK RTN             PTM31990
                    PA300 BSC  L  *-*        RETURN TO CALLER           PTM31995
                    *                                              2/11 PTM32000
                    P9460 EQU     P9451     RD/PNCH BUFFER 1       2-11 PTM32010
                    P9462 EQU     P9460+82  RD/PNCH BFR 2               PTM32015
                    P9464 EQU     P9462+82  PRINT BFR                   PTM32020
                    P9466 EQU     P9464+45  PRINT BFR               2-8 PTM32025
                    *************************************************** PTM32030
                    *            **TAKE NOTE,TAKE NOTE**           2-8* PTM32035
                    *  CODE BEGINNING AT P9468 IS OVERLAID         2-8* PTM32040
                    *  BY THE MACRO EXPANDER - MACRO PHASES        2-8* PTM32045
                    *  3,3A AND 3B.                                2-8* PTM32050
                    *************************************************** PTM32055
                    * NOTE -- P9468 MUST BE AT AN EVEN ADDRESS  1  2-11 PTM32058
                    P9468 EQU     P9466+326  END OF DISK BUFFER 1  2-11 PTM32060
                    P9470 EQU     P9468-2   DISK BFR 2                  PTM32065
                    P9472 EQU     P9468+380    PRINT RTN                PTM32070
                    GRAPH EQU     P9472+PIOSZ  START OF GRAPH PHASE2-11 PTM32072
                    OPERR EQU     P9032     OP CODE ERROR           2-8 PTM32075
                    OPOK2 EQU     P9034+4   PH FLIPPER ENTRY PT     2-8 PTM32080
                    OPVND EQU     P9036-2   OP CODE TV END          2-8 PTM32085
                    GETS5 EQU     P9042     FETCH PH 5              2-8 PTM32090
                    GETS6 EQU     P9044     FETCH PH 6              2-8 PTM32095
                    GETS7 EQU     P9046     FETCH PH 7              2-8 PTM32100
                    GETS8 EQU     P9048     FETCH PH 8              2-8 PTM32105
                    GTS8A EQU     P9050     FETCH PH 8A             2-8 PTM32110
                    GTS12 EQU     P9052     FETCH PH 12             2-8 PTM32115
                    GETS2 EQU     P9053     FETCH PH 2              2-8 PTM32120
                    SCAN  EQU     P9060     SCAN SUBR ENTRY PT      2-8 PTM32125
                    NOP1  EQU     P9068     SCAN MODIFIER NO.  1    2-8 PTM32130
                    FERR1 EQU     P9072+1   SCAN MODIFIER NO.  2    2-8 PTM32135
                    FERR2 EQU     P9072+2   SCAN MODIFIER NO.  3    2-8 PTM32140
                    GNRT1 EQU     P9100+1   SCAN MODIFIER NO.  4    2-8 PTM32145
                    SYDF1 EQU     P9156+1   SCAN MODIFIER NO.  5    2-8 PTM32150
                    COLXT EQU     P9168-2   SCAN MODIFIER NO.  6    2-8 PTM32155
                    BTHEX EQU     P9194     BINARY-HEX (1-3) SUBR   2-8 PTM32160
                    B4HEX EQU     P9198     BINARY-HEX (4) SUBR     2-8 PTM32165
                    ERFLG EQU     P9202     ERROR FLAG SUBR         2-8 PTM32170
                    GTHDG EQU     P9216     PAGE HEADING SUBR       2-8 PTM32175
                    LDLBL EQU     P9220     LOAD LABEL SUBR         2-8 PTM32180
                    PALBL EQU     P9224     LD LBL SECONDARY ENT PT 2-8 PTM32185
                    GETER EQU     P9246     GET ERR MSG PH ENT      2-8 PTM32190
                    LAST  EQU     P9YYY     LAST CD TEST ENT PT     2-8 PTM32195
                    RDCRD EQU     P9ZZZ     READ RCD ENT PT         2-8 PTM32200
                    P9MVE EQU     P9250     I/O BFR TO PRINT BFR    2-8 PTM32205
                    DFOUT EQU     P9276     DSF O/P SUBR            2-8 PTM32210
                    P10AA EQU     P9350     PH 10 I/O AREA          2-8 PTM32215
                    DTHDR EQU     P9350+3   DATA HDR SUBR ENT       2-8 PTM32220
                    WRDFO EQU     SA010-SA000+P10AA+3              2/11 PTM32225
                    P11AA EQU     P9380     PH 11 I/O AREA          2-8 PTM32230
                    INT1  EQU     P9382     INTMD O/P ENT PT        2-8 PTM32235
                    INT2  EQU     P9382+1   INTMD I/P ENT PT        2-8 PTM32240
                    HDGBF EQU     P9464+2   PAGE HDNG BFR           2-8 PTM32245
                    IOBF1 EQU     P9460     RD/PNCH BFR 1           2-8 PTM32250
                    IOBF2 EQU     P9462     RD/PNCH BFR 2           2-8 PTM32255
                    PRBFR EQU     P9464     PRINT BFR               2-8 PTM32260
                    BUFI  EQU     P9466     DISK BFR 1              2-8 PTM32265
                    DCBUF EQU     BUFI+2     DCOMM BUFFER          2/11 PTM32266
                    GTS13 EQU     P9047     FETCH MACRO PH 1        2-8 PTM32270
                    DFBUF EQU     P9470     DISK BFR 2              2-8 PTM32275
*SBRKSLS DD          ASM PROG CONTROL MNEMONICS PH                V2M08 PTM32280
                          HDNG    ***PHASE 5 PROGRAM CONTROL***         PTM32285
                    *************************************************** PTM32290
                    *                                                 * PTM32295
                    *STATUS - VERSION 2, MODIFICATION LEVEL 12        * PTM32300
                    *                                                 * PTM32305
                    *FUNCTION/OPERATION-                              * PTM32310
                    *   *PHASE 5 IS CALLED INTO CORE TO PROCESS HDNG, * PTM32315
                    *    ORG, BSS, BES, EQU, LIST, EJCT, SPAC, DUMP,  * PTM32320
                    *    OR PDMP STATEMENTS.                          * PTM32325
                    *   *DEPENDING ON THE OP CODE, AN INDIRECT BRANCH * PTM32330
                    *    IS MADE THROUGH A TABLE TO THE MODULE        * PTM32335
                    *    PREPARED TO PROCESS THAT OP CODE.            * PTM32340
                    *   *PHASE 5 UTILIZES THE SCAN ROUTINE WITHIN     * PTM32345
                    *    PHASE 9 TO EVALUATE THE OPERANDS AND CHECK TO* PTM32350
                    *    SEE THAT THE OPERAND SYMBOLS HAVE BEEN       * PTM32355
                    *    PREVIOUSLY DEFINED.                          * PTM32360
                    *   *IN PASS 2 PROCESSING OF THE HDNG STATEMENT, A* PTM32365
                    *    CHECK IS MADE ON THE LIST OPTIONS SWITCH.  IF* PTM32370
                    *    A LISTING HAS BEEN REQUESTED, THE HEADING ON * PTM32375
                    *    THE HDNG STATEMENT IS MOVED INTO THE HEADING * PTM32380
                    *    BUFFER AND A BRANCH IS MADE TO GTHDG WITHIN  * PTM32385
                    *    PHASE 9 TO PRINT THE HEADING.                * PTM32390
                    *   *THE LIST MNEMONIC CAUSES THE OPERAND FIELD TO* PTM32395
                    *    BE SCANNED FOR THE 'ON', 'OFF', OR BLANK     * PTM32400
                    *    SPECIFICATION.  THE SPECIFIED LIST CONDITION * PTM32405
                    *    IS INDICATED AT LSTOP IN ASCOM.              * PTM32410
                    *   *THE EJCT AND SPAC MNEMONICS GENERATE NO      * PTM32415
                    *    OBJECT CODING.  THE ASSEMBLER PROGRAM        * PTM32420
                    *    BRANCHES TO THE PRINCIPAL PRINT SUBROUTINE   * PTM32425
                    *    TO RESTORE THE PAGE OR SPACE THE REQUESTED   * PTM32430
                    *    NUMBER OF LINES RESPECTIVELY, ON THE ASSEMBLY* PTM32435
                    *    LISTING.                                     * PTM32440
                    *   *THE DUMP AND PDMP MNEMONICS CAUSE A LONG BSI * PTM32445
                    *    TO THE $DUMP ENTRY POINT IN THE SKELETON     * PTM32450
                    *    SUPERVISOR, FOLLOWED BY THE PARAMETERS, TO BE* PTM32455
                    *    GENERATED.  FOR THE DUMP MNEMONIC, AN EXIT   * PTM32460
                    *    IS ALSO GENERATED.                           * PTM32465
                    *                                                 * PTM32470
                    *ENTRY POINTS-                                    * PTM32475
                    *   *P5010 - ENTRY FROM PHASE 9                   * PTM32480
                    *                                                 * PTM32485
                    *INPUT-N/A                                        * PTM32490
                    *                                                 * PTM32495
                    *OUTPUT                                           * PTM32500
                    *   * THE CONSTRUCTED OP CODE FOR THE MNEMONIC    * PTM32505
                    *     BEING PROCESSED                             * PTM32510
                    *                                                 * PTM32515
                    *EXTERNAL RERERENCES-                             * PTM32520
                    *   *SUBROUTINES-                                 * PTM32525
                    *      * B4HEX                                    * PTM32530
                    *      * DFOUT                                    * PTM32535
                    *      * ERFLG                                    * PTM32540
                    *      * GETS6                                    * PTM32545
                    *      * GETS7                                    * PTM32550
                    *      * GETS8                                    * PTM32555
                    *      * GTS8A                                    * PTM32560
                    *      * GTS12                                    * PTM32565
                    *      * GETS2                                    * PTM32570
                    *      * LDLBL                                    * PTM32575
                    *      * LDXRS                                    * PTM32580
                    *      * PALBL                                    * PTM32585
                    *      * P9MVE                                    * PTM32590
                    *      * SCAN                                     * PTM32595
                    *      * PRINCIPAL PRINT SUBROUTINE               * PTM32600
                    *   *DCOM/COMMA-                                  * PTM32605
                    *       $CORE                                     * PTM32610
                    *       $DUMP                                     * PTM32615
                    *       $EXIT                                     * PTM32620
                    *       $PHSE                                     * PTM32625
                    *                                                 * PTM32630
                    *EXITS-                                           * PTM32635
                    *   *NORMAL - LDLBL SUBROUTINE TO GET NEXT RECORD * PTM32640
                    *   *ERROR - ERFLG SUBROUTINE                     * PTM32645
                    *                                                 * PTM32650
                    *TABLES/WORK AREAS- N/A                           * PTM32655
                    *                                                 * PTM32660
                    *ATTRIBUTES-REUSABLE                              * PTM32665
                    *                                                 * PTM32670
                    *NOTES-N/A                                        * PTM32675
                    *                                                 * PTM32680
                    *************************************************** PTM32685
                    *                                                   PTM32690
                          ORG     OVLAY                                 PTM32695
                          DC      P5390-P5000                           PTM32700
                          DC      /DD       SLET ID OF PHASE 5      2-8 PTM32705
                    *                                                   PTM32710
                    P5000 BSC  L  P5010      START PH. 5 EXECUTION      PTM32715
                          BSC  L  GETS6                             2-8 PTM32720
                          BSC  L  GETS7                             2-8 PTM32725
                          BSC  L  GETS8                             2-8 PTM32730
                          BSC  L  GTS8A                             2-8 PTM32735
                          BSC  L  GTS12                             2-8 PTM32740
                          BSC  L  GTS13     FETCH MACRO PH 1        2-8 PTM32745
                          BSC  L  GETS2                             2-8 PTM32750
                    *                                                   PTM32755
                    P5010 LD      P5040     INDICATE THAT PHASE 5 OF    PTM32760
                          STO  L  $PHSE      ASSEMBLER IS IN CONTROL    PTM32765
                          LD    3 OPCNT-X3  CHECK FOR HDNG RECORD       PTM32770
                    P5012 BSC  L  P5340,+-   BRANCH IF OP CODE IS HDNG  PTM32775
                    * ABOVE INSTR ALSO USED AS A CONSTANT /4C18     2-4 PTM32780
                          SRA     12        USE BITS 0-3 TO FORM        PTM32785
                          STO     P5020+1   TV TABLE DISPLACEMENT       PTM32790
                          LD      P5020+1   CHECK FOR ORG STATEMENT 212 PTM32807
                          S       P5123                             212 PTM32808
                          BSC     Z         SKIP IF ORG             212 PTM32809
                          MDX     P5015     ELSE PROHIBIT PH 2 OPS  212 PTM32810
                          LD    3 RLMDE-X3  IF ABS ASM              212 PTM32811
                          BSC     +-        *CONTINUE PROCESSING    212 PTM32812
                          MDX     P5020     *AT 'P5020'             212 PTM32814
                          LD      P5020+1                               PTM32815
                          S       P5045                                 PTM32816
                          BSC  L  P5015,+Z                              PTM32817
                          S       P5042                                 PTM32818
                          BSC  L  P5020,+                               PTM32819
                    P5015 LD      P5047     PREVENT FURTHER             PTM32820
                          STO  L  OPVND     *PH. 2 MNEMONICS            PTM32822
                    P5020 LDX  L2 *-*       XR2 = TV TABLE DISPLACEMENT PTM32825
                          BSC  I2 P5030-1   BR TO PH. 5 SUBSECTION      PTM32830
                    *                                                   PTM32835
                    *     CONSTANTS AND OP CODE BRANCH TBL              PTM32840
                    *                                                   PTM32845
                    P5030 DC      P5050       PROCESS ORG               PTM32850
                          DC      P5080       PROCESS BSS               PTM32855
                          DC      P5080       PROCESS BES               PTM32860
                          DC      P5200       PROCESS EQU               PTM32865
                          DC      P5400        PROCESS LIST             PTM32870
                          DC      P5500        PROCESS SPACE            PTM32875
                          DC      P5600        PROCESS EJECT            PTM32880
                          DC      P5700        PROCESS DUMP             PTM32885
                          DC      P5800        PROCESS PDUMP            PTM32890
                    P5040 DC      /DD       SLET ID OF PHASE 5      2-8 PTM32895
                    P5042 DC      2          CONSTANT 2                 PTM32900
                    P5045 DC      5          CONSTANT 5                 PTM32905
                    P5047 DC      OPERR     OP CODE ERR SUBR ADDR   2-8 PTM32910
                    *                                                   PTM32915
                    P5050 BSI  L  SCAN      EVALUATE OPERAND        2-8 PTM32920
                          BSI  L  LDXRS     RELOAD REGISTERS  1,3       PTM32925
                          LD      P5012                                 PTM32930
                          STO     P5170                                 PTM32935
                          BSI     P5140                                 PTM32940
                          LD    1 +18       IF ANY ERROR OCCURRED       PTM32945
                          S       P5060     IN SCAN, CC 18 WILL NOT     PTM32950
                          BSC  L  P5055,+-  BE BLANK.                   PTM32955
                          S       P5061     =.M-.  IF ERROR IS MULT.    PTM32960
                          BSC  L  P5110,Z          DEF.,USE 1ST VALUE.  PTM32965
                    P5055 LD    3 VALUE-X3  ORG OK,                     PTM32970
                          STO   3 ADCOW-X3  RESET ADDRESS COUNTER       PTM32975
                          S       P5123      ADJUST ADDR CNTRS TO       PTM32980
                          STO   3 ADCW2-X3   FORCE A DATA BREAK.        PTM32985
                          MDX     P5110      BR TO EXIT                 PTM32990
                    P5060 DC      .                                     PTM32995
                    P5061 DC      .M-.      CONSTANT                    PTM33000
                    *                                                 * PTM33005
                    P5080 LD    1 -3         COL. 32  ASSIGN NEXT EVEN  PTM33010
                          S       P5122      =.E    LOCATION IF E IN    PTM33015
                    P5082 BSC  L  P5090,Z          FORMAT CODE.         PTM33020
                    * ABOVE INSTR ALSO USED AS A CONSTANT /4C20     2-4 PTM33025
                          LD    3 ADCOW-X3                              PTM33030
                          BSC     E                                     PTM33035
                          A       P5123      =1     SET LABEL VALUE TO  PTM33040
                          STO   3 LABVL-X3       LEFT-MOST LOCATION.    PTM33045
                    P5090 BSI  L  SCAN      SCAN LNG OPERAND ONLY   2-8 PTM33050
                          BSI  L  LDXRS     RELOAD REGISTERS            PTM33055
                          LD      P5082       PREVIOUS SYMBOLS MAY BE   PTM33060
                          STO     P5170        REFERENCED.              PTM33065
                          BSI     P5140                                 PTM33070
                          LD    3 PASS-X3                           2-4 PTM33075
                          BSC  L  P5095,+   BR IF PASS 1 OR 3       2-8 PTM33080
                          LDX  L2 DFOUT     PT TO DSF O/P SUBR      2-8 PTM33085
                          LD    2 /42       GET INDICATOR WORD      2-4 PTM33090
                          BSC  L  P5095,Z   BR IF BSS NOT FIRST     2-4 PTM33095
                          LD    3 ADCOW-X3  INITLZ TO FORCE AN EXTRA2-4 PTM33100
                          STO  I  DHPTR     *DATA HEADER IF PROGRAM 2-4 PTM33105
                          STO   3 ADCW2-X3  *STARTS WITH BSS STMNT  2-4 PTM33110
                          LD      *                                 2-4 PTM33115
                          STO   2 /42       SET INDICATOR NOT ZERO  2-4 PTM33120
                    *                                               2-4 PTM33125
                    * CHANGE DISP /42 IF DFOUT SUBR IN PH 9 IS CHANGED* PTM33130
                    *                                               2-4 PTM33135
                    P5095 LD    3 VALUE-X3  INCREMENT ADDR COUNTER      PTM33140
                          BSC  L  P5097,-   FALL THRU IF NEG EXPR   2-6 PTM33145
                          LD   L  P5409     INDICATE AN S FOR SYNTAX2-6 PTM33150
                          BSI  L  ERFLG     *ERROR IF NEGATIVE      2-8 PTM33155
                          SLA     16        SET VALUE ZERO,         2-6 PTM33160
                          STO   3 VALUE-X3  FOR OUTPUT              2-6 PTM33165
                    P5097 A     3 LABVL-X3  BY SPECIFIED AMOUNT         PTM33170
                          STO   3 ADCOW-X3                              PTM33175
                          LD    3 OPCNT-X3  IF A BES (OP CONTROL), SET  PTM33180
                          SLA     3          LABEL VALUE TO             PTM33185
                          BSC  L  P5100,-   RIGHT-MOST LOCATION         PTM33190
                          LD    3 ADCOW-X3  PLUS ONE.                   PTM33195
                          STO   3 LABVL-X3                              PTM33200
                    P5100 LD    3 VALUE-X3  NO. OF WORDS RESERVED TO    PTM33205
                          MDX   1 +9        COLS. 9-12 IN HEXADECIMAL   PTM33210
                          BSI  L  B4HEX                             2-8 PTM33215
                    P5110 BSC  L  P5240     GO GET NEXT RCD         2-8 PTM33220
                    *                                                   PTM33225
                          BSS  E  0                                 2-4 PTM33230
                    P5120 DC      .R                                    PTM33235
                    P5121 DC      .U                                    PTM33240
                    P5122 DC      .E                                    PTM33245
                    P5123 DC      1                                     PTM33250
                    *             COMMON SUBROUTINE BSS-ORG             PTM33255
                    P5140 DC      0                                     PTM33260
                          LD    1 +18                                   PTM33265
                          S       P5060          IF ANY ERROR, COL. 18  PTM33270
                          BSC  L  P5160,+-                              PTM33275
                    P5150 LD    3 PASS-X3                               PTM33280
                          BSC     +-                                    PTM33285
                          BSI     P5250     ADD INTERNAL NO. TO TABLE   PTM33290
                    P5160 LD    3 RLMDE-X3  NO RELOCATION ERROR         PTM33295
                          SRA     14        IF ABSOLUTE ASSEMBLY.       PTM33300
                          BSC  L  P5180,+-  IF ORIGIN, OPERAND MUST     PTM33305
                          EOR   3 RELSW-X3  BE RELOCATABLE. IF BSS,     PTM33310
                    P5170 BSC  L  P5180,+-  OPERAND MUST BE ABSOLUTE.   PTM33315
                          LDD     P5120      =.R                        PTM33320
                          BSI  L  ERFLG     RELOCATION ERR          2-8 PTM33325
                          SLA     16                                    PTM33330
                          STO   3 VALUE-X3  SET OPERAND VALUE AND       PTM33335
                          STO   3 RELSW-X3  RELOC. SWITCH = 0.          PTM33340
                    P5180 BSC  I  P5140                                 PTM33345
                          MDX     P5160                                 PTM33350
                    *             EQUATE PSEUDO-OP MAIN SECTION.        PTM33355
                    P5200 BSI  L  SCAN      EVALUATE OPERAND        2-8 PTM33360
                    *                                                   PTM33365
                    *             USE ONLY PREVIOUSLY DEFINED SYMBOLS   PTM33370
                    *                                                   PTM33375
                          BSI  L  LDXRS     RELOAD REGISTERS  1,3       PTM33380
                          LD    3 VALUE-X3  SET LABEL VALUE EQUAL       PTM33385
                          STO   3 LABVL-X3  *TO THE OPERAND VALUE  2-11 PTM33387
                          LD    1 21        TEST IF LABEL          2-11 PTM33390
                          S       P5246     BLANK                  2-11 PTM33391
                          BSC  L  P5205,Z   BRANCH IF NOT BLANK    2-11 PTM33392
                          LD      P5247     RETURN ADDRESS         2-11 PTM33393
                          STO  L  ERFLG                            2-11 PTM33394
                          SRA     16        CLEAR SWITCH           2-11 PTM33395
                          MDX  L  ERADD,MCOM5-ERCNT CHANG INSTR    2-11 PTM33396
                          LD      P5248     GET Q FLAG             2-11 PTM33397
                          BSC  L  FLGCO     GOSET FLAG             2-11 PTM33398
                    P5205 LD    3 PASS-X3    TEST PASS             2-11 PTM33399
                          BSC  L  P5240,Z    BR IF PASS 2               PTM33400
                          LD    1 +18       CHECK IF ANY UNDEFINED      PTM33405
                          S       P5121     SYMBOLS IN THE OPERAND      PTM33410
                          BSC  L  P5220,+-  BRANCH IF ANY UNDEFINED     PTM33415
                    P5210 LD    3 RELSW-X3  MOVE LABEL VALUE AND        PTM33420
                          SLA     14        RELOCATION BIT TO           PTM33425
                          STO   3 LABRL-X3  LDLBLROUTINE                PTM33430
                          MDX     P5240                                 PTM33435
                    P5220 BSI     P5250     OPERAND UNDEFINED DURING    PTM33440
                          MDX     P5210     PASS 1.                     PTM33445
                          BSI  L  ERFLG                             2-8 PTM33450
                    P5240 BSI  L  LDLBL     LD LABEL,GET NEXT RCD   2-8 PTM33455
                          MDX     P5350+2   GO GET NEXT RECORD     2-11 PTM33460
                    P5245 STX  L  P9YYY     DO NOT LIST             2-8 PTM33465
                          MDX     P5240                             2-8 PTM33470
                    P5246 DC      .         BLANK                  2-11 PTM33471
                    P5247 DC      P5205     RETURN ADDRESS         2-11 PTM33472
                    P5248 DC      .Q        WARNING                2-11 PTM33473
                    *             IN EQU,ORG,BSS,AND BES, OPERAND       PTM33475
                    *             SYMBOLS MUST BE PREVIOUSLY DEFINED.   PTM33480
                    *             ERROR IS SENT TO ERFLG.               PTM33485
                    P5250 DC      0                                     PTM33490
                          MDX  L  ERPTR,+1                              PTM33495
                          BSI   3 LDXRS-X3                              PTM33500
                          MDX   1 +1                                    PTM33505
                          LD    3 ADCOW-X3                              PTM33510
                          BSI  L  B4HEX                             2-8 PTM33515
                          BSI  L  P9MVE                             2-8 PTM33520
                          BSC  I  P5250                                 PTM33525
                    *                                                   PTM33530
                    P5310 DC      0                                     PTM33535
                    P5320 DC      0                                     PTM33540
                    P5330 DC      0         TABLE FULL INDICATOR        PTM33545
                    P5335 DC      /7001     DISK WRITE FUNC CODE    2-8 PTM33550
                    *                                                   PTM33555
                    P5340 LD    3 PASS-X3                           2-8 PTM33560
                          AND     P5455                             2-8 PTM33565
                          EOR     P5455                             2-8 PTM33570
                          BSC  L  P5355,+-  BYPASS DURING PASS 3    2-8 PTM33575
                          LD    3 PASS-X3   CHK FOR PASS TWO        2-8 PTM33580
                          BSC  L  P5360,Z   BRANCH IF PASS TWO          PTM33585
                    P5350 BSI  L  PALBL     GET NEXT RCD            2-8 PTM33590
                          BSC  L  STRT9     BR TO OP CODE SEARCH    2-8 PTM33595
                    P5355 STX  L  P9YYY     DO NOT LIST             2-8 PTM33600
                          MDX     P5350                             2-8 PTM33605
                    *                                                   PTM33610
                    P5360 LD    3 LSTOP-X3  SAVE CONTENTS OF            PTM33615
                          BSC  L  P5350,+-  BRANCH IF NO LISTING        PTM33620
                          LD   L  $PBSY                             2-8 PTM33625
                          BSC  L  *-4,Z-    BR-PRINT BFR BUSY       2-8 PTM33630
                          LDD  L  P9211     PREPARE TO              2-8 PTM33635
                          STD  I  P9212+1                           2-8 PTM33640
                          LDD  L  P9212                             2-8 PTM33645
                          BSI   3 DISK1-X3  *READ PAGE HDNG         2-8 PTM33650
                          LDX   2 +18       LOOP CTR TO CENTER HEADING  PTM33655
                          LDX  L3 HDGBF     XR3 = ADDR HEADING BFR  2-9 PTM33660
                    P5370 LDD   1 0                                     PTM33665
                          SLT     8         PACK TWO COLUMNS OF INPUT   PTM33670
                          SRA     8         BUFFER INTO ONE WORD AND    PTM33675
                          SLT     8         MOVE INTO (CENTERED) THE    PTM33680
                          STO   3 +15        HEADING BUFFER.            PTM33685
                          MDX   1 +2        NEXT TWO INPUT CHARACTERS   PTM33690
                          MDX   3 +1        NEXT HEADING BUFFER WORD    PTM33695
                          MDX   2 -1        DECREMENT LOOP COUNTER,     PTM33700
                          MDX     P5370     AND CONTINUE MOVING.        PTM33705
                          LD    1 0          FETCH LAST WORD OF HDNG    PTM33710
                          SLT     8          LEFT JUSTIFY               PTM33715
                          OR      P5450                                 PTM33720
                          STO   3 +15        OUTPUT LAST WORD           PTM33725
                          BSI  L  LDXRS     RELOAD REGISTERS  1,3       PTM33730
                          STX  L  LAST      DO NOT LIST HDNG STMNT  2-8 PTM33735
                          LD   L  P9212+1   PREPARE TO              2-8 PTM33740
                          RTE     16                                2-8 PTM33745
                          LD      P5335                             2-8 PTM33750
                          BSI   3 DISK1-X3  *WRITE PAGE HDNG        2-8 PTM33755
                          BSI  L  GTHDG                             2-8 PTM33760
                          SLA     16        ZERO PRINCIPAL PRINTER  212 PTM33762
                          STO  I  $CH12     *CHANNEL 12             212 PTM33764
                          MDX     P5350     GO GET NEXT RECORD     2-11 PTM33765
                    *                                                   PTM33775
                    P5400 LD    1 0          FETCH CC 35                PTM33780
                          S       P5450      IS IT BLANK                PTM33785
                          BSC  L  P5430,+-   YES, BR TO RESTO ORIG COND PTM33790
                          S       P5451      CHECK FOR AN 'O'           PTM33795
                          BSC  L  P5410,+-   BR IF AN 'O' PRESENT       PTM33800
                    P5405 LD      P5409      =S.                        PTM33805
                          BSI  L  ERFLG     BR TO SET ERR INDR      2-8 PTM33810
                    P5406 MDX     P5350      GO TO EXIT PH5        2-10 PTM33815
                    *                                                 * PTM33820
                    P5409 DC      .S         EBC 'S'                    PTM33825
                    P5410 LD    1 +1                                    PTM33830
                          S       P5452      CHECK FOR AN 'N'           PTM33835
                          BSC  L  P5420,+-   BR TO TURN TLIST ON        PTM33840
                          S       P5453      CHECK FOR AN 'F'           PTM33845
                          BSC     Z          SKIP IF 'F' IN CC 36       PTM33850
                          MDX     P5405      BR TO IND ERROR            PTM33855
                          LD    1 +2         CHECK CC 37 FOR AN 'F'     PTM33860
                          S       P5454                                 PTM33865
                          BSC     Z          SKIP IF OK                 PTM33870
                          MDX     P5405      BR TO IND ERROR            PTM33875
                          SLA     16         CLEAR ACC TO IND NO LIST   PTM33880
                          MDX   1 +3         SET TO CHK CC 38 FOR BLNK  PTM33885
                          MDX     P5431      BR TO TEST TERM CHAR       PTM33890
                    *                                                 * PTM33895
                    P5420 LD      P5456     SET TO IND LIST         2-8 PTM33900
                          OR    3 TLIST-X3                          2-8 PTM33905
                          MDX   1 +2         SET TO CHK CC 37 FOR BLNK  PTM33910
                          MDX     P5431      BR TO TEST TERM CHAR       PTM33915
                    *                                                 * PTM33920
                    P5430 LD    3 TLIST-X3                              PTM33925
                    P5431 STO   3 LSTOP-X3   SET LIST OPTION SWTCH      PTM33930
                          STX  L  LAST      SET TO SKIP PRINT LIST  2-8 PTM33935
                          LD    1 0          CHECK FOR TERM. CHAR       PTM33940
                          S       P5450      MUST BE A BLANK            PTM33945
                          BSC  L  P5405,Z    BR TO ERROR IF NOT         PTM33950
                    P5435 MDX     P5406      BR TO EXIT                 PTM33955
                    *                                                 * PTM33960
                    P5450 DC      .          EBC BLANK                  PTM33965
                    P5451 DC      .O-.       EBC 'O' MINUS BLANK        PTM33970
                    P5452 DC      .N         EBC 'N'                    PTM33975
                    P5453 DC      .F-.N      EBC 'F' MINUS 'N'          PTM33980
                    P5454 DC      .F         EBC 'F'                    PTM33985
                    P5455 DC      /C000     XREF CONSTANT               PTM33990
                    P5456 DC      /8000     LIST CONSTANT           2-8 PTM33995
                    *                                                 * PTM34000
                    P5500 BSI     P5540     TEST PASS              2-11 PTM34005
                          BSI  L  SCAN      BR TO EVALUATE THE      2-8 PTM34040
                          LD    3 VALUE-X3   OPERAND.                   PTM34045
                          STO     *+1                                   PTM34050
                          LDX  L2 *-*        SET LOOP CNTR FOR SPACING  PTM34055
                          BSC  L  P5240,+    EXIT IF OPERAND = NEG/ZERO PTM34060
                    P5510 LD   I  $CH12      CHECK FOR CHANNEL 12       PTM34065
                          BSC  L  *+2,+-     SKIP IF OFF                PTM34070
                          BSI  L  GTHDG     IF ON,BR TO RESTO PAGE  2-8 PTM34075
                          LD      P5520      FUNC CODE FOR SPACE        PTM34080
                          MDX  L  PR000,+3   INCRE ENTRY ADDR           PTM34085
                          BSI  I  PR000      BR TO SPACE A LINE         PTM34090
                          MDX  L  PR000,-3                              PTM34095
                          MDX   2 -1         DECRE LOOP CNTR            PTM34100
                          MDX     P5510      LOOP TIL SPACING COMPLETE  PTM34105
                          MDX     P5435      BR TO EXIT                 PTM34110
                    *                                                 * PTM34115
                    P5520 DC      /7002      FUNC CODE FOR SPACE        PTM34120
                    *                                                 * PTM34125
                    P5540 DC      *-*       ENTRY                  2-11 PTM34135
                          LD    3 PASS-X3   CHECK PASS             2-11 PTM34136
                          BSC  L  P5350,+-  EXIT                   2-11 PTM34138
                          AND     P5455     XREF FLAG              2-11 PTM34140
                          EOR     P5455                             212 PTM34142
                          BSC  L  P5245,+-  EXIT                   2-11 PTM34144
                          AND     P5455                             2-8 PTM34145
                          LD    3 LSTOP-X3  TEST IF LIST REQUIRED  2-11 PTM34146
                          BSC  L  P5240,+-  BRANCH NO              2-11 PTM34148
                          STX  L  LAST      SKIP TO PRINT LIST     2-11 PTM34150
                          BSC  I  P5540     RETURN                 2-11 PTM34155
                    P5600 BSI     P5540     GO TEST PASS           2-11 PTM34160
                          BSI  L  GTHDG     PRINT HEADING           2-8 PTM34165
                          MDX     P5435      BR TO EXIT                 PTM34170
                    *                                                 * PTM34175
                    *                                                 * PTM34180
                    P5700 LD      P5740      SET LOOP CNTR TO           PTM34185
                          STO     P5720+1    INCLUDE THE SUP EXIT       PTM34190
                          LD    3 PASS-X3    CHECK ASM PASS             PTM34195
                          BSC     Z          SKIP IF FIRST              PTM34200
                          MDX     P5710      BR TO OUTPUT DSF           PTM34205
                          MDX  L  ADCOW,+6   INCRE ADDR CNTR            PTM34210
                          NOP                                           PTM34215
                          MDX     P5950      BR TO EXIT            2-10 PTM34220
                    *                                                 * PTM34225
                    P5710 LD      P5760                                 PTM34230
                          STO   1 -3         SET UP A TEMP 'L'          PTM34235
                          BSI  L  SCAN      BR TO EVALUATE LOW LIMIT2-8 PTM34240
                          LD    3 RELSW-X3   FETCH RELOC VALUE OF       PTM34245
                          SLA     14         THE LOW LIMIT              PTM34250
                          RTE     16                                    PTM34255
                          LD    3 VALUE-X3                              PTM34260
                          STD     P5750+6    SAVE LOW LIMIT & RELOC IND PTM34265
                    *                                                   PTM34270
                          BSI  L  SCAN                     HI  LIMIT2-8 PTM34275
                          LD    3 RELSW-X3   FETCH RELOC VALUE OF       PTM34280
                          SLA     14         THE HIGH LIMIT             PTM34285
                          RTE     16                                    PTM34290
                          LD    3 VALUE-X3                              PTM34295
                    *                       IF UPPER LIMIT NOT SPEC 2-6 PTM34300
                    *                       *ZERO MEANS ALL OF CORE 2-6 PTM34305
                          STD     P5750+8    SAVE HIGH LIMIT & REL. IND PTM34310
                    *                                                   PTM34315
                          BSI  L  SCAN      BR TO EVALUATE FORMAT   2-8 PTM34320
                          LD    3 VALUE-X3                              PTM34325
                          STO     P5750+4   SAVE THE FORMAT             PTM34330
                    *                                                 * PTM34335
                    P5720 LDX  L2 *-*        INITIAL LOOP CNTR          PTM34340
                          LDX   1 0          SET POINTER TO ZERO        PTM34345
                    P5730 LDD  L1 P5750      FETCH GENERATED CODE       PTM34350
                          STD   3 TRWRD-X3   SAVE FOR DFOUT RTN.        PTM34355
                          BSI  L  DFOUT     O/P TO DSF BFR          2-8 PTM34360
                          MDX   1 +2         INCRE TBL POINTER          PTM34365
                          MDX  L  ADCOW,+1   INCRE THE ADDR CNTR        PTM34370
                          MDX   2 -1         DECRE LOOP CNTR            PTM34375
                          MDX     P5730      LOOP TIL OUTPUT COMPLETE   PTM34380
                    *                                                 * PTM34385
                          BSI   3 LDXRS-X3   GO RESTO XR1               PTM34390
                          LD      P5450                                 PTM34395
                          STO   1 +32        RESTO ORIG BLANK           PTM34400
                          MDX     P5950      BR TO EXIT            2-10 PTM34405
                    *                                                 * PTM34410
                    P5740 DC      6          CONSTANT 6                 PTM34415
                    P5741 DC      5          CONSTANT 5             2-4 PTM34420
                          BSS  E  0                                     PTM34425
                    P5750 BSI  L  0          LONG BSI & IND WORD        PTM34430
                          DC      $DUMP      ADDR OF SYSTEM DUMP        PTM34435
                          DC      0          IND WORD                   PTM34440
                          DC      *-*        FORMAT                     PTM34445
                          DC      0          IND WORD                   PTM34450
                          DC      *-*        LOW LIMIT                  PTM34455
                          DC      0          IND WORD                   PTM34460
                          DC      *-*        HIGH LIMIT                 PTM34465
                          DC      0          IND WORD                   PTM34470
                          LDX   0 $EXIT      EXIT TO THE SUPV.          PTM34475
                          DC      0          IND WORD                   PTM34480
                    *                                                 * PTM34485
                    P5760 DC      .L         EBC 'L'                    PTM34490
                    P5800 LD      P5741                                 PTM34495
                          STO     P5720+1    INITIAL LOOP CNTR TO 5     PTM34500
                          LD    3 PASS-X3    CHECK ASM PASS             PTM34505
                          BSC     Z          SKIP IF FIRST              PTM34510
                          MDX     P5710      BR TO OUTPUT DSF           PTM34515
                          MDX  L  ADCOW,+5   INCRE THE ADDR CNTR        PTM34520
                          NOP                                           PTM34525
                    P5950 BSC  L  P5240     BR TO EXIT             2-11 PTM34530
                          BSS     /0456-*   PATCH AREA             2-11 PTM34535
                    P5390 DC      0                                     PTM34580
*SBRKSLS DE          ASM IMPERATIVE STATEMENTS PH                 V2M08 PTM34585
                          HDNG    ***  PHASE 6 IMPERATIVE INST  ***     PTM34590
                    *************************************************** PTM34595
                    *                                                 * PTM34600
                    *STATUS - VERSION 2, MODIFICATION LEVEL 12        * PTM34605
                    *                                                 * PTM34610
                    *FUNCTION/OPERATION-                              * PTM34615
                    *   *IN PROCESSING THE IMPERATIVE INSTRUCTIONS    * PTM34620
                    *    HANDLED BY PHASE 6, THE FORMAT FIELD IS      * PTM34625
                    *    SCANNED, THE TAG FIELD IS SCANNED, AND THE   * PTM34630
                    *    APPROPRIATE OBJECT OUTPUT IS GENERATED.      * PTM34635
                    *   *THE OPERANDS ARE SCANNED AND EVALUATED, THE  * PTM34640
                    *    RECORD IS CONVERTED BY THE B4HEX ROUTINE AND * PTM34645
                    *    THE FINAL OBJECT OUTPUT IS SET UP BY DFOUT IN* PTM34650
                    *    THE DSF BUFFER.                              * PTM34655
                    *                                                 * PTM34660
                    *ENTRY POINTS-                                    * PTM34665
                    *   * INSTA - ENTRY FROM PHASE 9                  * PTM34670
                    *                                                 * PTM34675
                    *INPUT-N/A                                        * PTM34680
                    *                                                 * PTM34685
                    *OUTPUT                                           * PTM34690
                    *   * THE CONSTRUCTED OP CODE FOR THE MNEMONIC    * PTM34695
                    *     BEING PROCESSED                             * PTM34700
                    *                                                 * PTM34705
                    *EXTERNAL RERERENCES-                             * PTM34710
                    *   *SUBROUTINES-                                 * PTM34715
                    *      * B4HEX                                    * PTM34720
                    *      * DFOUT                                    * PTM34725
                    *      * ERFLG                                    * PTM34730
                    *      * GETS5                                    * PTM34735
                    *      * GETS7                                    * PTM34740
                    *      * GETS8                                    * PTM34745
                    *      * GTS8A                                    * PTM34750
                    *      * GTS12                                    * PTM34755
                    *      * LDLBL                                    * PTM34760
                    *      * LDXRS                                    * PTM34765
                    *      * SCAN                                     * PTM34770
                    *   *DCOM/COMMA-                                  * PTM34775
                    *       $PHSE                                     * PTM34780
                    *                                                 * PTM34785
                    *EXITS-                                           * PTM34790
                    *   *NORMAL - LDLBL SUBROUTINE TO GET NEXT RECORD * PTM34795
                    *   *ERROR - ERFLG SUBROUTINE                     * PTM34800
                    *                                                 * PTM34805
                    *TABLES/WORK AREAS- N/A                           * PTM34810
                    *                                                 * PTM34815
                    *ATTRIBUTES-REUSABLE                              * PTM34820
                    *                                                 * PTM34825
                    *NOTES-N/A                                        * PTM34830
                    *                                                 * PTM34835
                    *************************************************** PTM34840
                    *                                                   PTM34845
                          ORG     OVLAY                                 PTM34850
                          DC      S6Z-S6A        WORD COUNT PHASE 6     PTM34855
                          DC      /DE       SLET ID OF PHASE 6      2-8 PTM34860
                    *                                                   PTM34865
                    S6A   BSC  L  GETS5     FETCH PH 5              2-8 PTM34870
                          BSC  L  INSTA     BEGIN EXECUTION,PHASE 6     PTM34875
                          BSC  L  GETS7                             2-8 PTM34880
                          BSC  L  GETS8     FETCH PH 8              2-8 PTM34885
                          BSC  L  GTS8A                             2-8 PTM34890
                          BSC  L  GTS12                             2-8 PTM34895
                          BSC  L  GTS13     FETCH MACRO PH 1        2-8 PTM34900
                    *                                                   PTM34905
                    INSTA LD      S6008     INDICATE THAT PHASE 6       PTM34910
                          STO  L  $PHSE      OF ASM IS IN CONTROL       PTM34915
                          LDX  L2 SPCN      XR2 = ADDR OF PH 6 CNST'S   PTM34920
                          LD      S6006     DO NOT ALLOW FURTHER    2-8 PTM34925
                          STO  L  OPVND     *PH 2 MNEMOVICS         2-8 PTM34930
                          LD    3 OPCNT-X3  MASK OUT BIT 15 OF OPCNT    PTM34935
                          STO   2 +21        SAVE OP CODE               PTM34940
                          AND     S6025     CHECK IF OP CODE 'DC'       PTM34945
                          BSC  L  DC,+-  BRANCH IF MNEMONIC IS 'DC'     PTM34950
                          STO   3 OPCNT-X3  SAVE WITHOUT BIT 15         PTM34955
                          EOR     S6020     CHECK IF MNEMONIC IS 'B'    PTM34960
                          BSC  L  S6000,+-  BRANCH IF 'B'               PTM34965
                          LD    3 OPCNT-X3                              PTM34970
                          SRA     10         IF INSTR VALID IN LONG     PTM34975
                          BSC  L  LINCK,E    FORM ONLY, BRANCH          PTM34980
                          LD    3 OPCNT-X3  CHECK FOR OPCNT BIT 6       PTM34985
                          AND     S6050     (NO OPERAND REQUIRED)       PTM34990
                          BSC  L  S6060,+-  BRANCH IF OPERAND REQ.      PTM34995
                          EOR   3 OPCNT-X3  'EOR' OUT BIT 6 OF OPCNT    PTM35000
                    *                                                   PTM35005
                          STO   2 +21        SAVE IN INSTR BFR          PTM35010
                          MDX     SINST      GO TO PROCESS AS SHORT     PTM35015
                    *             MNEMONIC OP CODE = 'B'                PTM35020
                    *                                                   PTM35025
                    S6000 S     1 -3        CHECK FORMAT FIELD FOR      PTM35030
                          SLA     13        LONG OR SHORT BRANCH        PTM35035
                          BSC  L  S6055,+Z  BRANCH IF FORMAT 'L' OR 'I' PTM35040
                          LD      S6030     BRANCH IS SHORT, SET        PTM35045
                          STO   3 OPCNT-X3  OPCNT = 7000 (MDX)          PTM35050
                    S6005 STO   2 +21       INITLZ INST BUFFER          PTM35055
                    *                                                   PTM35060
                          LD    1 -2        CHECK IF TAG                PTM35065
                          EOR   2 0         FIELD IS BLANK              PTM35070
                          BSC  L  SINST,+-  BRANCH IF BLANK             PTM35075
                          LD      *-2       PLACE ADDRESS SINST     2-6 PTM35080
                          STO     TAGCK     *IN RETURN SLOT TAGCK   2-6 PTM35085
                          MDX     S6070     TAG ERROR IF NOT BLANK      PTM35090
                    *                                                   PTM35095
                    S6006 DC      OPERR     OP CODE ERR SUBR ADDR   2-8 PTM35100
                    S6008 DC      /DE       SLET ID OF PHASE 6      2-8 PTM35105
                    S6020 DC      /FFF8      MASK OPCNT FOR 'DC' + 'B'  PTM35110
                    S6025 DC      /FFFE      MASK OPCNT FOR DC          PTM35115
                    S6030 DC      /7000     MDX OP CODE                 PTM35120
                    S6040 DC      /4C00     BSC WITH LONG BIT           PTM35125
                    S6050 DC      /0200     MASK FOR NOP,XCH, WAIT      PTM35130
                    *                                                   PTM35135
                    S6055 LD      S6040     SET OPCNT = 4C00 (BSC LONG) PTM35140
                          STO   2 +21        FOR 'B' WITH 'L' OR 'I'    PTM35145
                          BSC  L  LINCK      BR TO PROCESS 'BSC  L'     PTM35150
                    S6060 LD    3 OPCNT-X3  MASK BITS 0-5,8,9 FROM      PTM35155
                          AND   2 +5        OPCNT AND INITLZ            PTM35160
                          STO   2 +21       THE INST BUFFER             PTM35165
                          BSI     TAGCK      BR TO CHECK TAG FIELD      PTM35170
                          MDX     INST2      BR TO CHECK FORMAT         PTM35175
                    TAGCK DC      *-*        TAG FIELD CHECK RTN ENTRY  PTM35180
                          LD    1 -2        CHECK TAG COLUMN            PTM35185
                          S     2 0          FOR A BLANK                PTM35190
                          BSC  L  INST2-2,+-  BR AND IGNOR BLANK TAG    PTM35195
                          S     2 +8        COMPARE TAG WITH '3'        PTM35200
                          BSC  L  S6070,-Z  BRANCH IF LARGER THAN '3'   PTM35205
                          S     2 +9        COMPARE TAG WITH '0'        PTM35210
                          BSC  L  S6080,-   BRANCH IF LARGER THAN '0'   PTM35215
                          LDD     SYMTG     FETCH PACKED BLANKS     2-8 PTM35220
                          LD    1 -2        ADD SYMBOLIC TAG CHAR   2-8 PTM35225
                          SLA     10        *TO PACKED BLANKS       2-8 PTM35230
                          SRA     2         *TO FORM SYMBOL NAME    2-8 PTM35235
                          OR      SYMTG                             2-8 PTM35240
                          STD   3 SYMBF-X3  *SET SYMBOL NAME        2-8 PTM35245
                          BSI  L  P9300     SEARCH FOR SYMBOLIC TAG 2-8 PTM35250
                          MDX     SYMT1     SYMBOL NOT FOUND        2-8 PTM35255
                    SYMT2 EQU     *         SYMBOL FOUND-VALUE IN A 2-8 PTM35260
                          BSC  L  SYMT1,Z+  BR IF VALUE NEGATIVE    2-8 PTM35265
                          S       SYMT4                             2-8 PTM35270
                          BSC  L  SYMT1,Z-  BR IF VALUE ABOVE 3     2-8 PTM35275
                          MDX   1 +35       RESET XR1 TO COL 35     2-8 PTM35280
                          LDX  L2 SPCN      RESET XR2               2-8 PTM35285
                          A       SYMT4                             2-8 PTM35290
                          MDX     S6080     BR TO INSERT TAG IN INST2-8 PTM35295
                    *                                                   PTM35300
                          BSS  E  0         FORCE EVEN ADDR         2-8 PTM35305
                    SYMTG DC      0         SYMBOL BFR FOR          2-8 PTM35310
                          DC      0         *SYMBOLIC TAG           2-8 PTM35315
                    SYMT4 DC      3         CONSTANT 3              2-8 PTM35320
                    *                                                   PTM35325
                    SYMT1 MDX   1 +35       RESET XR1 TO COL 35     2-8 PTM35330
                          LDX  L2 SPCN      RESET XR2               2-8 PTM35335
                    S6070 LD    3 PASS-X3   IF PASS 1,              212 PTM35336
                          BSC  L  S6075,+-  *SKIP TAG ERROR         212 PTM35337
                          LD    2 +10       TAG EROR, INSERT 'T' IN     PTM35340
                          BSI  L  ERFLG     ERR FLAG FLD OF LISTING 2-8 PTM35345
                    S6075 SLA     8         CLEAR TAG BITS TO ZERON     PTM35350
                    S6080 SLA     8         SHIFT TAG BITS TO BITS 6,7  PTM35355
                          OR    2 +21       OF ACC AND INSERT           PTM35360
                          STO   2 +21       IN THE INST BUFFER          PTM35365
                          BSC  I  TAGCK      RETURN                     PTM35370
                    INST2 LD    1 -3        CHECK FORMAT                PTM35375
                          S     2 0          CHECK IF BLANK             PTM35380
                          BSC  L  SINST,+-   BRANCH TO SHORT            PTM35385
                          S     2 +11       CHECK IF 'X' FORMAT         PTM35390
                          BSC  L  SINST,+-  BRANCH TO SHORT IF 'X'      PTM35395
                          LD    3 OPCNT-X3  IF LONG, INSTRUCTION MUST   PTM35400
                          SRA     5          BE VALID IN LONG FORM      PTM35405
                          BSC  L  FCER,E    BRANCH IF ONLY SHORT VALID  PTM35410
                    FFTST LD    1 -3        CHECK FORMAT FIELD     2-10 PTM35415
                          S     2 +6        FOR 'L' (LONG)              PTM35420
                          BSC  L  LINST,+-  BRANCH TO LONG IF 'L'       PTM35425
                          S     2 +7        CHECK IF 'I' (INDIRECT)     PTM35430
                          BSC  L  IINST,+-  BRANCH TO INDIRECT IF 'I'   PTM35435
                          LD    2 +19       FORMAT ERROR. INSERT 'F' IN PTM35440
                          BSI  L  ERFLG     ERR FLAG FLD OF LISTING 2-8 PTM35445
                          BSC  L  LINST     PROCESS AS LONG INST.       PTM35450
                    *                                                   PTM35455
                    FCER  LD    2 +19       FORMAT ERROR. INSERT 'F' IN PTM35460
                          BSI  L  ERFLG     ERR FLAG FLD OF LISTING 2-8 PTM35465
                    *                                                   PTM35470
                    SINST LD    3 PASS-X3   DETERMINE IF PASS 1 OR 2    PTM35475
                          BSC  L  SI2ND,Z   BRANCH IF PASS TWO          PTM35480
                    S6091 MDX  L  ADCOW,1   INCREMENT ADDR CTR BY ONE   PTM35485
                          NOP               (MAY SKIP)                  PTM35490
                          MDX     INSXT     GO TO INST EXIT             PTM35495
                    *                                                   PTM35500
                    SI2ND LD    3 OPCNT-X3  CHECK IF NOP,XCH,OR WAIT,   PTM35505
                          AND     S6050     WHERE NO OPERAND REQ.       PTM35510
                          BSC  L  S6100,Z   BRANCH IF NO OPERAND REQ.   PTM35515
                          LD    3 ADCOW-X3  SAVE ADDR CTR SO THAT       PTM35520
                          STO     ITEMP+2   CTR MAY BE INCREMENTED TO   PTM35525
                          MDX  L  ADCOW,1   LABEL VALUE PLUS 1          PTM35530
                          NOP               (MAY SKIP)                  PTM35535
                          LD    3 OPCNT-X3  CHECK IF THIS OP CODE       PTM35540
                          SRA     3         TAKES A CONDITIONAL SCAN    PTM35545
                    S6099 BSC  L  SPOND,E   BR IF CONDITIONAL INST  2-8 PTM35550
                          BSI  L  SCAN      EVALUATE OPERAND        2-8 PTM35555
                          BSI  L  LDXRS     RELOAD REGISTERS 1,3        PTM35560
                          LDX  L2 SPCN      XR2 = PHASE 6 CONSTANTS     PTM35565
                          MDX   1 +35        POINT TO CC 35             PTM35570
                          LD    1 -3         CHECK FORMAT FIELD         PTM35575
                          S     2 0          FOR BLANK.                 PTM35580
                          BSC  L  NOMOD,Z    BR IF FORMAT NOT BLANK     PTM35585
                          LD      INSBF      CHECK FORMAT IND           PTM35590
                          SRA     10         IN INSTR. BFR              PTM35595
                          BSC  L  NOMOD,E    BR IF NOT BLANK            PTM35600
                          LD    3 OPCNT-X3  CHECK IF OP CODE IS STX     PTM35605
                          SLA     11                                    PTM35610
                          BSC  L  MOD,+Z    BRANCH IF STX               PTM35615
                          SLA     2         CHECK IF LDS,LDX, OR SHIFT  PTM35620
                          BSC  L  NOMOD,+Z  BRANCH IF ONE OF ABOVE      PTM35625
                          LD    2 +21       CHECK IF INST               PTM35630
                          AND   2 +12       IS INDEXED (NO MODIF.)      PTM35635
                          BSC  L  NOMOD,Z   BRANCH IF INDEXED           PTM35640
                    MOD   LD    3 VALUE-X3  MODIFY VALUE OF OPERAND     PTM35645
                          S     3 ADCOW-X3  BY SUBTRACTING ADDR         PTM35650
                          STO   3 VALUE-X3  COUNTER FROM IT.            PTM35655
                          LD    3 RLMDE-X3  COMPARE RELOC. MODE OF      PTM35660
                          SRA     14        ASSEMBLY WITH RELOC. VALUE  PTM35665
                          EOR   3 RELSW-X3  OF OPERAND. IF RELOC. ASM,  PTM35670
                          STO   3 RELSW-X3  RELOC. VALUE MUST BE 0.     PTM35675
                    NOMOD LD    3 RELSW-X3  CHECK FOR RELOC. OPERAND    PTM35680
                          BSC  L  S6092,+-  BRANCH IF RELOC. NON-ZERO   PTM35685
                          LD    2 +13       RELOC. ERROR INSERT 'R' IN  PTM35690
                    NOMO2 BSI  L  ERFLG     ERR FLAG FLD OF LISTING 2-8 PTM35695
                          MDX     S6098                                 PTM35700
                    S6092 LD    3 VALUE-X3  DISPLACEMENT MUST BE IN     PTM35705
                          SRA     7         THE RANGE +127 TO -128      PTM35710
                          BSC  L  S6094,+-  BRANCH IF ZERO TO +127      PTM35715
                          EOR   2 +20                                   PTM35720
                          BSC  L  S6094,+-  BRANCH IF -1 TO -128        PTM35725
                          LD    2 +14       ADDR ERROR INSERT 'A' IN    PTM35730
                          MDX     NOMO2     ERROR FLAG FIELD OF LISTING PTM35735
                    *                                                   PTM35740
                    S6094 LD    3 VALUE-X3  USE BITS 8-15 OF OPERAND    PTM35745
                          AND   2 +15       VALUE AS INST DISPLACEMENT  PTM35750
                    INST3 OR    2 +21       'OR' DISPLACEMENT INTO      PTM35755
                          STO   2 +21       BITS 8-15 OF INST BUFFER    PTM35760
                    S6098 LD      ITEMP+2   RESTORE ADDR CTR TO         PTM35765
                          STO   3 ADCOW-X3  PRE-SCAN VALUE              PTM35770
                    S6100 MDX   1 -26       XR1 POINTS TO COL. 9        PTM35775
                          LD    2 +16       INSERT '0' INTO INST WORD 1 PTM35780
                          STO   1 -3        RELOC. INDICATOR (COL. 6)   PTM35785
                          LD    2 +21                                   PTM35790
                          STO   3 TRWRD-X3  OUTPUT INST WORD 1 IN HEX   PTM35795
                          STO     QMDX2                             2-8 PTM35800
                          BSI  L  B4HEX     *TO COLS. 9-12,AND IN   2-8 PTM35805
                          BSI  L  DFOUT     *BINARY TO DSF O/P      2-8 PTM35810
                          MDX  L  ADCOW,1   INCREMENT ADDR CTR BY 1     PTM35815
                          NOP               (MAY SKIP)                  PTM35820
                          LD      INSBF     IF LONG BIT (BIT 5) OF INST PTM35825
                          SRA     10        BUFFER IS INCLUDED,         PTM35830
                          BSC  L  LI3RD,E   BRANCH TO OUTPUT WORD 2     PTM35835
                    *                                                   PTM35840
                    INSXT LD      QMDX2                             2-8 PTM35845
                          EOR     H7400                             2-8 PTM35850
                          BSC  L  QMDXF,+-  BR-MDM INST             2-8 PTM35855
                    INSX1 BSI  L  LDLBL     LD LABEL,GET NEXT RCD   2-8 PTM35860
                          BSC  L  STRT9     BR TO OP CODE SEARCH    2-8 PTM35865
                    QMDXF LD      QMDX0     SET ERFLG RETURN ADDR   2-8 PTM35870
                          STO  L  P9202                             2-8 PTM35875
                          SLA     16        RESET                  2-10 PTM35880
                          STO     QMDX2     *MDX SWITCH            2-10 PTM35885
                          MDX  L  ERADD,MCOM5-ERCNT  PT TO WARN CNT 2-8 PTM35890
                          LD      QMDX1     FETCH Q FLAG            2-8 PTM35895
                          BSC  L  FLGCO     JOIN ERFLG SUBR         2-8 PTM35900
                    QMDX2 DC      *-*       TEMP STORAGE            2-8 PTM35905
                    QMDX1 DC      .Q        EBCDIC Q                2-8 PTM35910
                    QMDX0 DC      INSX1     Q FLAG RETURN ADDR      2-8 PTM35915
                    H7400 DC      /7400     MDM CONSTANT            2-8 PTM35920
                    ITEMP BSS  E  2                                     PTM35925
                          DC      0                                     PTM35930
                    SPCN  DC      .         EBCDIC BLANK                PTM35935
                          DC      1         CONSTANT 1                  PTM35940
                          DC      .C        EBCDIC C                    PTM35945
                          DC      /50       AMPERSAND                   PTM35950
                          DC      /4E-/50   EBCDIC +                    PTM35955
                          DC      /F8C0                                 PTM35960
                          DC      .L        EBCDIC L                    PTM35965
                          DC      .I-.L     EBCDIC I                    PTM35970
                          DC      .3-.       CONSTANT EBCDIC 3          PTM35975
                          DC      .0-.3     EBCDIC 0                    PTM35980
                          DC      .T        EBCDIC T                    PTM35985
                          DC      .X-.      CONSTANT  EBCDIC X          PTM35990
                          DC      /0300                                 PTM35995
                          DC      .R        EBCDIC R                    PTM36000
                          DC      .A        EBCDIC A                    PTM36005
                          DC      /00FF                                 PTM36010
                          DC      .0        EBCDIC 0                    PTM36015
                          DC      /0080                                 PTM36020
                          DC      /0400                                 PTM36025
                          DC      .F        EBCDIC F                    PTM36030
                          DC      /01FF                                 PTM36035
                    INSBF DC      0           INSTRUCTION BUFFER        PTM36040
                          DC      .O-.C     O    15  CONDITION          PTM36045
                          DC      .C-.E     C    14  CODE               PTM36050
                          DC      .E-/4E    E    13  CHARACTERS.        PTM36055
                          DC      /4E-.-    PLUS 12                     PTM36060
                          DC      .--.Z     -    11                     PTM36065
                    SPTAB DC      .Z-/50    Z    10                     PTM36070
                          DC      .I         EBC 'I'                    PTM36075
                          DC      /7400      OP CODE FOR 'MDM'          PTM36080
                          DC      0          SAVE 'MDM' FORMAT          PTM36085
                    *                                                   PTM36090
                    SPOND SLT     16        INITLZ EXTENSION TO ZERO    PTM36095
                          LDX  L2 SPCN       RESET PHASE 6 POINTER      PTM36100
                          LDX   3 +6        CONDITION CODE LOOP CTR     PTM36105
                          LD    1 0         COMPARE OPERAND             PTM36110
                          EOR   2 0         CHAR TO BLANK               PTM36115
                          BSC  L  SPOUT,+-  BRANCH IF CHAR BLANK        PTM36120
                          LD    1 0                                     PTM36125
                          MDX   1 +1        INCREMENT PTR TO NEXT COL.  PTM36130
                          S     2 +3        COMPARE CHAR TO AMPERSAND   PTM36135
                          BSC     +-        SKIP IF NOT AMPERSAND       PTM36140
                          LD    2 +4        CORRECT AMPERSAND TO PLUS   PTM36145
                    SPLP  S    L3 SPTAB-6   COMPARE CHAR TO TABLE CHAR  PTM36150
                          BSC  L  S6120,Z   BRANCH IF NOT EQUAL         PTM36155
                          SLT     17        BRING CONDITION CODE MASK   PTM36160
                          RTE   3 0         FROM EXTENSION INTO PROPER  PTM36165
                          OR    2 +1        POSITION IN ACC TO INSERT   PTM36170
                          SLT   3 0         THE CURRENT CONDITION CODE  PTM36175
                          RTE     17        BIT, AND RETURN MASK TO     PTM36180
                          MDX     SPOND+1   THE EXTENSION REGISTER.     PTM36185
                    S6120 MDX   3 -1        DECREMENT LOOP CTR,         PTM36190
                          MDX     SPLP      CONTINUE IF POSITIVE        PTM36195
                          LD    2 +2        CONDITION CODE ERROR. 'C'   PTM36200
                          BSI  L  ERFLG     *TO ERROR FLAG FLD      2-8 PTM36205
                          SLT     32        RETURN CONDITION BITS = 0   PTM36210
                    SPOUT RTE     16        CONDITION BITS TO ACC 10-15 PTM36215
                          BSI  L  LDXRS      GO TO RESTO XR1 & 3        PTM36220
                          MDX   1 35                                    PTM36225
                          MDX     INST3     INSERT IN INST BUFFER       PTM36230
                    *                                                   PTM36235
                    *             PROCESS INDIRECT INSTRUCTION.         PTM36240
                    *                                                   PTM36245
                    *                                                 * PTM36250
                    LINCK LD    3 OPCNT-X3                              PTM36255
                          AND   2 +23                                   PTM36260
                          EOR   2 +29        IS OP CODE AN 'MDM'        PTM36265
                          BSC  L  CHKFT,+-   YES, BR TO CHECK TAG & FMT PTM36270
                    *                                                 * PTM36275
                          BSI  L  TAGCK      BR TO CHECK TAG FIELD      PTM36280
                          LD    1 -3        CHECK FORMAT FIELD          PTM36285
                          S     2           *FOR EBCDIC BLANK      2-10 PTM36290
                          BSC  L  FFTST,Z   BR IF NOT BLANK        2-10 PTM36295
                          MDX     LINST     BR TO TREAT AS LONG         PTM36300
                    IINST LD    2 +21       GET OP CODE             2-1 PTM36305
                          EOR  L  S6030      CHECK IF MDX W/O TAG   2-1 PTM36310
                          BSC  L  *+4,Z      BRANCH IF NOT          2-1 PTM36315
                          LD    2 +19        ERROR IF INDIRECT 'MDX'2-1 PTM36320
                          BSI  L  ERFLG     *WITHOUT IDX REG SPEC   2-8 PTM36325
                          MDX     LINST      BRANCH TO TREAT AS LONG2-1 PTM36330
                          LD    2 +21        INSERT INDIRECT ADDRESS2-1 PTM36335
                          OR    2 +17       BIT (BIT 8) INTO            PTM36340
                          STO   2 +21       INST BUFFER                 PTM36345
                    *                                                   PTM36350
                    *             PROCESS LONG FORM INSTRUCTION.        PTM36355
                    *                                                   PTM36360
                    LINST LD    3 PASS-X3   DETERMINE IF PASS 1 OR 2    PTM36365
                          BSC  L  LI2ND,Z   BRANCH IF PASS 2            PTM36370
                          MDX  L  ADCOW,1   INCREMENT ADDR CTR BY 1     PTM36375
                          NOP               (MAY SKIP)                  PTM36380
                          MDX     S6300      BR TO EXIT                 PTM36385
                    *                                                   PTM36390
                    LI2ND LD    2 +21       INSERT LONG FORMAT          PTM36395
                          OR    2 +18       BIT (BIT 5) INTO            PTM36400
                          STO   2 +21       INST BUFFER                 PTM36405
                          LD    3 ADCOW-X3  SAVE ADDR CTR               PTM36410
                          STO     ITEMP+2   BEFORE GOING TO SCAN        PTM36415
                          MDX  L  ADCOW,2   INCREMENT ADDR CTR TO       PTM36420
                          NOP               VALUE OF NEXT LABEL         PTM36425
                          BSI  L  SCAN      EVALUATE OPERAND        2-8 PTM36430
                          STX   1 S6200+1   SAVE XR1 FOR 2ND OPERAND    PTM36435
                          BSI  L  LDXRS     RELOAD REGISTERS 1,3        PTM36440
                          LD    3 RELSW-X3  OUTPUT '0' (ABS),           PTM36445
                          A       SPCN+16   OR '1' (RELOC) TO           PTM36450
                          STO   1 +7        COLUMN 7                    PTM36455
                          SLA     14                                    PTM36460
                          RTE     16                                    PTM36465
                          LD    3 VALUE-X3  SAVE WORD 2 OF INST FOR     PTM36470
                          STD     ITEMP     OUTPUT BELOW.               PTM36475
                    S6200 LDX  L1 *-*       RELOAD FOR 2ND OPERAND      PTM36480
                          LD    3 OPCNT-X3                              PTM36485
                          SRA     8          IF BIT 7 OF OPCNT IS A 1,  PTM36490
                          BSC  L  SPOND,E   BRANCH IF CONDITIONAL       PTM36495
                          BSC  L  S6099+2   BR IF 2ND OPERAND SCAN  2-8 PTM36500
                    *                                                   PTM36505
                    LI3RD LDD  L  ITEMP     OUTPUT WORD 2 OF INST       PTM36510
                          STD   3 TRWRD-X3  IN HEX TO COLS. 13-16,      PTM36515
                          BSI  L  B4HEX     *AND IN BINARY TO       2-8 PTM36520
                          BSI  L  DFOUT     *DSF O/P                2-8 PTM36525
                          MDX  L  ADCOW,1   INCREMENT ADDR CTR BY 1     PTM36530
                          NOP               (MAY SKIP)                  PTM36535
                          LD    3 OPCNT-X3                              PTM36540
                          AND   2 +23                               2-1 PTM36545
                          EOR   2 +29        CHECK FOR 'MDM'            PTM36550
                    LIEXT BSC  L  INSXT,Z    GO TO EXIT IF NOT 'MDM'    PTM36555
                          LD    2 +30        OTHERWISE, RESTO           PTM36560
                          STO   1 +15        ORIG FORMAT                PTM36565
                          MDX     LIEXT      BR TO EXIT                 PTM36570
                    *                                                 * PTM36575
                    DC    LD    3 PASS-X3   DETERMINE IF PASS 1 OR 2    PTM36580
                          BSC  L  DC2ND,Z   BRANCH IF PASS 2            PTM36585
                    S6300 MDX  L  ADCOW,1   INCREMENT ADDR CTR BY 1     PTM36590
                          NOP               (MAY SKIP)                  PTM36595
                          BSC  L  INSXT     BR TO EXIT              2-8 PTM36600
                    *                                                   PTM36605
                    DC2ND LD    3 ADCOW-X3  SAVE LOC'N ASSIGNMENT CTR   PTM36610
                          STO     DCCN+1    BEFORE ENTERING SCAN        PTM36615
                          MDX  L  ADCOW,1   INCREMENT ADDR CTR TO       PTM36620
                          NOP               NEXT LABEL VALUE            PTM36625
                          BSI  L  SCAN      EVALUATE OPERAND        2-8 PTM36630
                          BSI   3 LDXRS-X3   GO RELOAD XR1              PTM36635
                          LD      DCCN+1    RESET ADDR CTR TO           PTM36640
                          STO   3 ADCOW-X3  PRE-SCAN VALUE              PTM36645
                          MDX   1 +9        XR1 POINTS TO COL. 9        PTM36650
                          LD    3 RELSW-X3  OUTPUT '0' (ABS), OR        PTM36655
                          A       DCCN      '1' (RELOC)                 PTM36660
                          STO   1 -3        COL. 6                      PTM36665
                          SLA     14                                    PTM36670
                          RTE     16                                    PTM36675
                          LD    3 VALUE-X3  OUTPUT VALUE OF CONSTANT    PTM36680
                          STD   3 TRWRD-X3  IN HEX TO COLS. 9-12,       PTM36685
                          BSI  L  B4HEX     *AND IN BINARY TO       2-8 PTM36690
                          BSI  L  DFOUT     *DSF O/P                2-8 PTM36695
                          MDX     S6300                                 PTM36700
                    *                                                   PTM36705
                    DCCN  DC      .0   EBCDIC ZERO                      PTM36710
                          DC      *-*  SAVE LOC'N ASSIGNMENT CTR        PTM36715
                    *                                                   PTM36720
                    CHKFT LD    2 +29                                   PTM36725
                          STO   2 +21        SAVE OP CODE IN INSBF      PTM36730
                          LD    3 PASS-X3                           2-1 PTM36735
                          BSC  L  LINST+3,+- BRANCH OUT IF PASS 1   2-1 PTM36740
                          LD    1 -3                                    PTM36745
                          S     2 +28        HAS AN 'I' BEEN SPECIFIED  PTM36750
                          BSC  L  MDMER,+-   YES, BR TO ERROR           PTM36755
                          LD    1 -3                                    PTM36760
                          STO   2 +30        SAVE 'MDM' FORMAT          PTM36765
                          LD    2 +6                                    PTM36770
                          STO   1 -3         SET FORMAT TO LONG         PTM36775
                          LD    1 -2         NO, IS THIS INSTR INDEXED  PTM36780
                          S     2 0          = BLANK                    PTM36785
                          BSC     +-         YES, BR TO ERROR           PTM36790
                          MDX     LINST      NO, BR TO LONG INSTR       PTM36795
                    MDMER LD    2 +19        FORMAT ERROR               PTM36800
                          BSI  L  ERFLG     BR TO FLAG ERROR        2-8 PTM36805
                          MDX     LINST      BR TO LONG INSTR           PTM36810
                    *                                                 * PTM36815
                          BSS     /0457-*   PATCH AREA             2-10 PTM36820
                    S6Z   DC      0                                     PTM36825
*SBRKSLS DF          ASM DECML,XFLC PROCESSING PH                 V2M08 PTM36830
                          HDNG    ***  PHASE 7  REAL CONSTANTS  ***     PTM36835
                    *************************************************** PTM36840
                    *                                                 * PTM36845
                    *STATUS-VERSION 2, MODIFICATION 9                 * PTM36850
                    *                                                 * PTM36855
                    *FUNCTION/OPERATION-                              * PTM36860
                    *   *THE TWO MNEMONICS PROCESSED BY PHASE 7 ARE   * PTM36865
                    *    XFLC AND DEC.                                * PTM36870
                    *   *IN PASS 1, THE ONLY PROCESSING INVOLVED IS   * PTM36875
                    *    THE APPROPRIATE MODIFICATION OF THE LOCATION * PTM36880
                    *    ASSIGNMENT COUNTER.                          * PTM36885
                    *   *IN PASS 2, CONVERSION OF THE DECIMAL DATA    * PTM36890
                    *    OCCURS.  PHASE 7 TRANSFERS CONTROL TO A      * PTM36895
                    *    FLIPPER ROUTINE THAT FETCHES PHASE 7A AND    * PTM36900
                    *    TRANSFERS CONTROL TO IT.  WHEN PHASE 7A HAS  * PTM36905
                    *    COMPLETED THE DECIMAL DATA CONVERSION, IT    * PTM36910
                    *    RETURNS TO THE FLIPPER ROUTINE, WHICH FETCHES* PTM36915
                    *    TO OVERLAID PORTION OF PHASE 7.              * PTM36920
                    *   *PHASE 7 THEN SETS UP THE CONVERTED NUMBER    * PTM36925
                    *    INTO THE APPROPRIATE FLOATING, FIXED, OR     * PTM36930
                    *    DECIMAL FORMAT.                              * PTM36935
                    *                                                 * PTM36940
                    *ENTRY POINTS-                                    * PTM36945
                    *   * S7000 - ENTRY FROM PHASE 9                  * PTM36950
                    *                                                 * PTM36955
                    *INPUT-N/A                                        * PTM36960
                    *                                                 * PTM36965
                    *OUTPUT                                           * PTM36970
                    *   * THE CONSTRUCTED OP CODE FOR THE MNEMONIC    * PTM36975
                    *     BEING PROCESSED                             * PTM36980
                    *                                                 * PTM36985
                    *EXTERNAL RERERENCES-                             * PTM36990
                    *   *SUBROUTINES-                                 * PTM36995
                    *      * B4HEX                                    * PTM37000
                    *      * DISK1                                    * PTM37005
                    *      * DFOUT                                    * PTM37010
                    *      * ERFLG                                    * PTM37015
                    *      * GETS5                                    * PTM37020
                    *      * GETS6                                    * PTM37025
                    *      * GETS8                                    * PTM37030
                    *      * GTS8A                                    * PTM37035
                    *      * GTS12                                    * PTM37040
                    *      * LDLBL                                    * PTM37045
                    *      * LDXRS                                    * PTM37050
                    *      * SCAN                                     * PTM37055
                    *   *DCOM/COMMA-                                  * PTM37060
                    *       $PHSE                                     * PTM37065
                    *                                                 * PTM37070
                    *EXITS-                                           * PTM37075
                    *   *NORMAL - LDLBL SUBROUTINE TO GET NEXT RECORD * PTM37080
                    *   *ERROR - ERFLG SUBROUTINE                     * PTM37085
                    *                                                 * PTM37090
                    *TABLES/WORK AREAS-                               * PTM37095
                    *   * DATA CONVERSION INFORMATION IS STORED       * PTM37100
                    *     IN A TABLE AT THE END OF PHASE 7.           * PTM37105
                    *                                                 * PTM37110
                    *ATTRIBUTES-REUSABLE                              * PTM37115
                    *                                                 * PTM37120
                    *NOTES-N/A                                        * PTM37125
                    *                                                 * PTM37130
                    *************************************************** PTM37135
                    *                                                   PTM37140
                          ORG     OVLAY                                 PTM37145
                          DC      FLONE-S7A+1 WD CNT OF PHASE 7         PTM37150
                          DC      -/DF      SLET ID OF PHASE 7      2-8 PTM37155
                    PHS07 DC      HDR7A-PHS07  ID TABLE ADDR            PTM37160
                          DC      1          NO. OF ID'S TO BE FILLED   PTM37165
                          ORG     *-2                                   PTM37170
                    *                                                   PTM37175
                    S7A   BSC  L  GETS5     FETCH PH 5              2-8 PTM37180
                          BSC  L  GETS6                             2-8 PTM37185
                          BSC  L  S7000     BEGIN EXECUTION, PH. 7      PTM37190
                          BSC  L  GETS8                             2-8 PTM37195
                          BSC  L  GTS8A                             2-8 PTM37200
                          BSC  L  GTS12                             2-8 PTM37205
                          BSC  L  GTS13     FETCH MACRO PH 1        2-8 PTM37210
                    *                                                   PTM37215
                    S7000 LD      S7010     INDICATE THAT PHASE 7 OF    PTM37220
                          STO  L  $PHSE      ASSEMBLER IS IN CONTROL    PTM37225
                          LD      ADOPR     PREVENT FURTHER         2-9 PTM37230
                          STO  L  OPVND     *PH 2 MNEMONICS         2-8 PTM37235
                          LD    3 OPCNT-X3  CHECK OPCNT TO DETERMINE    PTM37240
                          SRA     12        IF MNEMONICS IS 'XFLC'      PTM37245
                          BSC  L  XFLC,E    BRANCH IF 'XFLC'            PTM37250
                          LD    3 ADCOW-X3                              PTM37255
                          BSC  L  ADJCT,E   IF ADDRESS COUNTER ODD,     PTM37260
                    STOLB STO   3 LABVL-X3  ADD ONE TO MAKE IT EVEN     PTM37265
                          LD    3 PASS-X3   DETERMINE IF PASS 1 OR 2    PTM37270
                          BSC  L  DECIN,Z   BRANCH IF PASS 2            PTM37275
                          MDX  L  ADCOW,2   INCREMENT ADDR CTR BY 2     PTM37280
                          NOP               (MAY SKIP)                  PTM37285
                          MDX     S7030     EXIT DEC,XFLC PROCESSING    PTM37290
                    *                                                   PTM37295
                    ADJCT A       DECCN     =1  MAKE ADCOW EVEN.        PTM37300
                          STO   3 ADCOW-X3                              PTM37305
                          MDX     STOLB                                 PTM37310
                    S7010 DC      /DF       SLET ID OF PHASE 7      2-8 PTM37315
                    DECIN BSI  L  FLIP1      GO LOAD DEC OP SCAN        PTM37320
                          LDX  L2 F                                     PTM37325
                          LD    2 FLNIS-F   (USE POINTER SET BY FLOTD)  PTM37330
                          BSC  L  DECA,Z         TREAT INTEGER AS       PTM37335
                          LD      DECCN+2   =31  FIXED POINT(B=31).     PTM37340
                          STO   2 FLB2-F                                PTM37345
                          MDX     DEFXP                                 PTM37350
                    DECA  LD    2 FLBSW-F   GO TO FIXED POINT RTN.      PTM37355
                          BSC  L  DEFXP,Z   IF B-VALUE SPECIFIED.       PTM37360
                    *             FLOATING POINT SECTION OF DEC.        PTM37365
                          LDS     0         CLEAR EXPONENT BITS.        PTM37370
                          STS   2 FLBMN+1-F                             PTM37375
                          SLT     32        CONVERT MAGNITUDE & SIGN    PTM37380
                          SD    2 FLBMN-F   TO COMPLEMENT FORM.         PTM37385
                          BSC  L  NOTZ,Z     BR IF NOT ZERO             PTM37390
                          RTE     16         CHECK WORD TWO             PTM37395
                          BSC     +-         SKIP IF NOT ZERO           PTM37400
                          MDX     *+3        BR ON ZERO VALUE           PTM37405
                          RTE     16                                    PTM37410
                    NOTZ  EOR     DECCN+3    =/8000                     PTM37415
                          BSC     -                                     PTM37420
                          LDD   2 FLBMN-F                               PTM37425
                          RTE     16                                    PTM37430
                          OR    2 FLBCH-F                               PTM37435
                          RTE     16                                    PTM37440
                          STD     DECBF                                 PTM37445
                          MDX     DEOUT                                 PTM37450
                    *                                                   PTM37455
                    *             FIXED POINT SECTION OF DEC.           PTM37460
                    *                                                   PTM37465
                    DEFXP LD      DECCN+4     =128                      PTM37470
                          S     2 FLBCH-F     COMPUTE SHIFT COUNT,      PTM37475
                          A     2 FLB2-F      SC=128-FLBCH+FLB2.        PTM37480
                          BSC  L  FLERR,+Z    ERROR IF SC MINUS (LOSS   PTM37485
                          STO     *+1         OF SIGNIFICANT BITS OFF   PTM37490
                          LDX  L3 *-*         LEFT).                    PTM37495
                          S       DECCN+2     =31                       PTM37500
                          BSC  L  FLZER,-Z    ZERO IF SC MORE THAN 31.  PTM37505
                          LDD   2 FLBMN-F     TEST SIGN OF CONSTANT.    PTM37510
                          BSC  L  *+2,+Z      IF PLUS, SHIFT BY SC,     PTM37515
                          SRT   3 0           GO TO OUTPUT SECTION.     PTM37520
                          MDX     DECB                                  PTM37525
                          AND     K7FFF       =/7FFF                    PTM37530
                          SRT   3 0           IF MINUS,REMOVE SIGN BIT, PTM37535
                          STD     DECBF       SHIFT RIGHT BY SC,        PTM37540
                          SLT     32          CONVERT TO 2.S COMPLEMENT PTM37545
                          SD      DECBF                                 PTM37550
                    DECB  STD     DECBF                                 PTM37555
                    *                                                   PTM37560
                    *             OUTPUT SECTION OF DEC.                PTM37565
                    *                                                   PTM37570
                    DEOUT BSI  L  LDXRS     RELOAD REGISTER 1,3         PTM37575
                          LD      KF0            PLACE RELOCATION       PTM37580
                          MDX   1 +9             CODES (ABS) AND        PTM37585
                          STO   1 -3             2 CONSTANT WORDS       PTM37590
                          STO   1 -2             INTO HEX OUTPUT.       PTM37595
                    S7020 LD      DECBF          OUTPUT 2 WORDS OF      PTM37600
                          STO   3 TRWRD-X3       CONSTANT IN BINARY TO  PTM37605
                          BSI  L  B4HEX     *DSF OUTPUT             2-8 PTM37610
                          BSI  L  DFOUT                             2-8 PTM37615
                          MDX  L  ADCOW,1   INCREMENT ADDR CTR BY 1     PTM37620
                          NOP               (MAY SKIP)                  PTM37625
                          LD      DECBF+1                               PTM37630
                          STO   3 TRWRD-X3  OUTPUT WORD 2 OF CONSTANT   PTM37635
                          BSI  L  B4HEX     *IN HEX,AND IN BINARY TO2-8 PTM37640
                          BSI  L  DFOUT     *DSF OUTPUT             2-8 PTM37645
                          MDX  L  ADCOW,1   INCREMENT ADDRESS COUNTER   PTM37650
                          NOP               (MAY SKIP)                  PTM37655
                    S7030 MDX     S7040     GO GET NEXT RCD         2-8 PTM37660
                    *                                                   PTM37665
                    ADOPR DC      OPERR     OP CODE ERR SUBR ADDR   2-9 PTM37670
                    KF0   DC      .0         EBCDIC ZERO                PTM37675
                    K7FFF DC      /7FFF      MASK OUT BIT ZERO          PTM37680
                    KS    DC      .S         EBCDIC S                   PTM37685
                    *                                                   PTM37690
                    DECCN DC      1                                     PTM37695
                          DC      2                                     PTM37700
                          DC      31                                    PTM37705
                          DC      /8000                                 PTM37710
                          DC      128                                   PTM37715
                    DECBF BSS  E  2                                     PTM37720
                    *                                                   PTM37725
                    *             XFLC PSEUDO-OP MAIN SECTION.          PTM37730
                    *                                                   PTM37735
                    XFLC  LD    3 PASS-X3   DETERMINE IF PASS 1 OR 2    PTM37740
                          BSC  L  XFLIN,Z   BRANCH IF PASS 2            PTM37745
                          MDX  L  ADCOW,3                               PTM37750
                          NOP                 (MAY SKIP)                PTM37755
                          MDX     S7030                                 PTM37760
                    *                                                   PTM37765
                    XFLIN BSI  L  FLIP1      GO LOAD DEC OP SCAN        PTM37770
                    *                                                   PTM37775
                          LDX  L2 F                                     PTM37780
                          BSI  L  LDXRS     RELOAD REGISTERS 1,3        PTM37785
                          MDX   1 +6        XR1 POINTS TO COL. 6        PTM37790
                          LD    2 FLBSW-F     B-SPECIFICATION ILLEGAL   PTM37795
                          BSC  L  FLERR,Z     IN XFLC OPERAND.          PTM37800
                          SLT     32        CONVERT MAGNITUDE & SIGN    PTM37805
                          SD    2 FLBMN-F   TO COMPLEMENT FORM.         PTM37810
                          BSC     Z                                     PTM37815
                          EOR     DECCN+3   =/8000                      PTM37820
                          BSC     -                                     PTM37825
                          LDD   2 FLBMN-F                               PTM37830
                          STD     DECBF                                 PTM37835
                          LD    2 FLBCH-F     ASSEMBLE BINARY CHAR. IN  PTM37840
                          STO   3 TRWRD-X3  OUTPUT WORD 1 OF XFLC.      PTM37845
                          SLA     8           AND IN HEX OUTPUT FIELD.  PTM37850
                          LDX   2 2                                     PTM37855
                          BSI  L  BTHEX     OUTPUT CHARACTERISTIC IN2-8 PTM37860
                          BSI  L  DFOUT     *HEX,AND IN BINARY      2-8 PTM37865
                          MDX   1 +1         INCRE POINTER TO CC 9      PTM37870
                          MDX  L  ADCOW,1   INCREMENT ADDRESS COUNTER.  PTM37875
                          NOP               (MAY SKIP)                  PTM37880
                          MDX     S7020                                 PTM37885
                    *                                                   PTM37890
                    S7040 BSI  L  LDLBL     GET NEXT RCD            2-8 PTM37895
                          BSC  L  STRT9     BR TO OP CODE SEARCH    2-8 PTM37900
                    *                                                   PTM37905
                    FLERR LD      KS         INDICATE SYNTAX ERROR      PTM37910
                          BSI  L  ERFLG     GO TO ERROR SUBR        2-8 PTM37915
                    *                                                   PTM37920
                    FLZER SLT     32         CLEAR A & Q                PTM37925
                          STO   2 FLBCH-F    CLEAR THE SWITCHES         PTM37930
                          STD   2 FLBMN-F    AND INDICATORS             PTM37935
                          STO   2 FLB2-F     BEFORE EXITING             PTM37940
                          STO   2 FLBSW-F                               PTM37945
                          LD      *-1                                   PTM37950
                          STO   2 FLNIS-F                               PTM37955
                          BSI  L  LDXRS      RESTO XR3                  PTM37960
                          MDX     S7030      EXIT                       PTM37965
                    *                                                   PTM37970
                          BSS  E  0                                     PTM37975
                    HDR7A DC      /E0       SLET ID OF PHASE 7A     2-8 PTM37980
                          BSS     3                                     PTM37985
                    S7990 BES     133       LOCATE BFR AT /03C1 FOR 7A  PTM37990
                    *                                                 * PTM37995
                    FLIP1 DC      0          ENTRY TO LOAD 7A           PTM38000
                          LDD  L  HDR7A+2    WD CNT & SCTR ADDR OF      PTM38005
                          STD  L  OVLAY+2    PH. 7A TO OVRLAY AREA      PTM38010
                    *                                                   PTM38015
                          LD      *-2                                   PTM38020
                          RTE     16         RD FUNC AND I/O ADDR       PTM38025
                          LD      RDFNC      TO ACC & EXT               PTM38030
                          BSI   3 DISK1-X3   GO TO LOAD PH 7A           PTM38035
                    *                                                   PTM38040
                          LDX  L2 FLIP2      PT XR1 TO RESIDENT FLIP    PTM38045
                          BSC  L  OVLAY+4    TRANS TO PH. 7A            PTM38050
                    *                                                   PTM38055
                    RDFNC DC      /7000      FUNC CODE TO READ          PTM38060
                    HDR7  DC      OVLAY      PH. 7 HDR ADDR             PTM38065
                    *                                                   PTM38070
                    FLIP2 LD      HDR7                                  PTM38075
                          RTE     16         RD FUNC AND I/O ADDR       PTM38080
                          LD      RDFNC      TO ACC & EXT               PTM38085
                          MDX  L  OVLAY,-70  DECR PH 7 WD CNT       2-8 PTM38090
                          BSI   3 DISK1-X3   GO TO LOAD PH. 7           PTM38095
                          MDX  L  OVLAY,+70  RESTORE WD CNT PH 7    2-8 PTM38100
                    *                                                   PTM38105
                          BSC  I  FLIP1      RETURN TO PH. 7            PTM38110
                    *                                                   PTM38115
                    *                                                 * PTM38120
                          BSS  E  1          MAKE 1ST WD ODD            PTM38125
                    FLE10 BSS     1                                     PTM38130
                    FLB2  BSS     1                                     PTM38135
                    FLBSW BSS     1                                     PTM38140
                    FLSGN BSS     1                                     PTM38145
                    FLBCH BSS     1                                     PTM38150
                    FLBMN BSS  E  2                                     PTM38155
                    F     EQU     FLBMN                                 PTM38160
                    MCAR  BSS  E  2                                     PTM38165
                    FLNIS BSS     1                                     PTM38170
                    BUF5  BSS     5                                     PTM38175
                          BSS     /03FC-*   PATCH AREA              2-9 PTM38180
                    FLONE DC      0                                     PTM38185
                          DC      1                                     PTM38190
*SBRKSLS E0          ASM DECIMAL CONVERSION PH                    V2M08 PTM38195
                          HDNG    ***PHASE 7A - DECIMAL CONV***         PTM38200
                    *************************************************** PTM38205
                    *                                                 * PTM38210
                    *STATUS-VERSION 2, MODIFICATION 8                 * PTM38215
                    *                                                 * PTM38220
                    *FUNCTION/OPERATION-                              * PTM38225
                    *   *WHEN PHASE 7A IS ENTERED, INDEX REGISTER 1 IS* PTM38230
                    *    POINTING AT THE INPUT STRING, AND INDEX      * PTM38235
                    *    REGISTER 2 IS POINTING AT THE FLIPPER        * PTM38240
                    *    ROUTINE.                                     * PTM38245
                    *   *PHASE 7A CONVERTS THE MANTISSA OF A DECIMAL  * PTM38250
                    *    INTEGER, A FIXED, OR A FLOATING POINT NUMBER * PTM38255
                    *    TO THE BINARY EQUIVALENT.                    * PTM38260
                    *   *PHASE 7A CONTAINS A SCANNING PROCESS WHICH   * PTM38265
                    *    CONVERTS THE OPERAND TO ITS BINARY EQUIVALENT* PTM38270
                    *    AND A POST-SCANNING PROCESS WHICH CONVERTS   * PTM38275
                    *    FROM POWERS OF 10 TO POWERS OF 2.            * PTM38280
                    *   *THE CONVERTED DECIMAL DATA IS SAVED IN A     * PTM38285
                    *    BUFFER WHICH IS PART OF THE FLIPPER ROUTINE. * PTM38290
                    *                                                 * PTM38295
                    *ENTRY POINTS-                                    * PTM38300
                    *   *FLOTD - ENTRY FROM PHASE 7                   * PTM38305
                    *                                                 * PTM38310
                    *INPUT-                                           * PTM38315
                    *   * ADDRESS OF DATA TABLE                       * PTM38320
                    *   * RETURN ADDRESS OF PHASE 7 FLIPPER           * PTM38325
                    *                                                 * PTM38330
                    *OUTPUT-                                          * PTM38335
                    *   * CONVERTED DECIMAL DATA                      * PTM38340
                    *                                                 * PTM38345
                    *EXTERNAL RERERENCES-                             * PTM38350
                    *   *SUBROUTINES-                                 * PTM38355
                    *      * B4HEX                                    * PTM38360
                    *      * DFOUT                                    * PTM38365
                    *      * ERFLG                                    * PTM38370
                    *   *DCOM/COMMA-                                  * PTM38375
                    *       $PHSE                                     * PTM38380
                    *                                                 * PTM38385
                    *EXITS-                                           * PTM38390
                    *   * NORMAL - PHASE 7 FLIPPER SUBROUTINE         * PTM38395
                    *   * ERROR - NONE                                * PTM38400
                    *                                                 * PTM38405
                    *TABLES/WORK AREAS-                               * PTM38410
                    *   * DATA CONVERSION INFORMATION IS STORED       * PTM38415
                    *    AT THE END OF PHASE 7.                       * PTM38420
                    *                                                 * PTM38425
                    *ATTRIBUTES-REUSABLE                              * PTM38430
                    *                                                 * PTM38435
                    *NOTES-N/A                                        * PTM38440
                    *                                                 * PTM38445
                    *************************************************** PTM38450
                    *                                                   PTM38455
                          ORG     OVLAY+2                               PTM38460
                    *             BASIC DECIMAL CONVERSION ROUTINE      PTM38465
                    *             XR1 POINTS AT INPUT STRING            PTM38470
                    *             RETURNS NORMAL MANTISSA(MAG+SGN)      PTM38475
                    *             IN FLBMN. RETURNS BINARY EXP IN       PTM38480
                    *             EXCESS 128 CODE IN FLBCH.             PTM38485
                    *             IF B-VAL. SPEC, RETURNED IN FLB2 AND  PTM38490
                    *             FLBSW SET NON-ZERO                    PTM38495
                    *             IF DEC. POINT OR E SPEC., OR B-VAL.   PTM38500
                    *             SPEC., FLNIS IS SET TO NON.ZERO.      PTM38505
                    *                                                   PTM38510
                          DC      S7Z-FLOTD  WD CNT OF PH. 7A           PTM38515
                          DC      /E0       SLET ID OF PHASE 7A     2-8 PTM38520
                    FLOTD STX  L2 BYBY+1     SAVE FLIP2 EXIT ADDR       PTM38525
                          LD      ID         IDENTIFY THE PHASE         PTM38530
                          STO  L  $PHSE      IN COMMA                   PTM38535
                          SLT     32        CLEAR AQ                    PTM38540
                          LDX   2 -15                                   PTM38545
                          STO  L2 TABPT+15  RESET SWITCHES AND          PTM38550
                          MDX   2 1         BUFFERS TO ZERO.            PTM38555
                          MDX     *-4                                   PTM38560
                          LD      FLCN      =SLT 0                      PTM38565
                          STO     FLLP2                                 PTM38570
                          LD    1 0         ANALYZE SIGN                PTM38575
                          S       FLCN+1    =.PLUS(12-8-6)              PTM38580
                          BSC  L  FL1,+-                                PTM38585
                          S       FLCN+2    =AMPERSAND(12)-PLUS         PTM38590
                          BSC  L  FL1,+-                                PTM38595
                          S       FLCN+3    =.--.AMPERSAND              PTM38600
                          BSC  L  *+4,Z                                 PTM38605
                          LD      FLCN+4    =/8000                      PTM38610
                          STO  L  TABPT+3                               PTM38615
                    FL1   MDX   1 +1                                    PTM38620
                          LDX   3 0         RESET DEC PT. CNT           PTM38625
                    FLLP  LD    1 0         COLLECT MANTISSA            PTM38630
                          MDX   1 +1        DIGITS.                     PTM38635
                          S       FLCN+5    =.0                         PTM38640
                          BSC  L  FLSSC,+Z  DETECT SPECIAL CHAR.        PTM38645
                    FLLP2 SLT     0         CHANGE TO  MDX 3 -1 BY .    PTM38650
                          SLT     0     MAY SKIP                        PTM38655
                          STO  L  TABPT+8                               PTM38660
                          BSI  L  MPY       COMPUTE BINARY              PTM38665
                          BSC  L  FL000,Z   MANTISSA                2-8 PTM38670
                          MDX     FLLP                                  PTM38675
                    *                                                   PTM38680
                    ID    DC      /E0       SLET ID OF PHASE 7A     2-8 PTM38685
                    *                                                   PTM38690
                    *             ANALYZE SPECIAL CHAR                  PTM38695
                    FLSSC S       FLCN+6    =.E-.0     E                PTM38700
                          BSC  L  FLESC,+-                              PTM38705
                          S       FLCN+7    =.B-.E     B                PTM38710
                          BSC  L  FLBSC,+-                              PTM38715
                          S       FLCN+8    =..-.B     .                PTM38720
                          BSC  L  *+5,Z                                 PTM38725
                          LD      FLCN+9    =MDX  3 -1                  PTM38730
                          STO     FLLP2                                 PTM38735
                          STO  L  TABPT+9                               PTM38740
                          MDX     FLLP                                  PTM38745
                          S       FLCN+10   =. -..     BLANK            PTM38750
                          BSC  L  FL000,Z                           2-8 PTM38755
                          MDX     FLFIN                                 PTM38760
                    *                                                   PTM38765
                    *             SCAN FOR E AND B SPECIFICATIONS       PTM38770
                    *                                                   PTM38775
                    FLESC LD      FLCN+11   =FLE10                      PTM38780
                          STO     FL3+1                                 PTM38785
                          STO  L  TABPT+9                               PTM38790
                          LD      FLCN+19   =A  FLEBF-FL4-1             PTM38795
                          STO     FL4                                   PTM38800
                          LD    1 0                                     PTM38805
                          S       FLCN+1    =.PLUS(12-6-8)              PTM38810
                          BSC  L  FL2,+-    SCAN E OR B SIGN            PTM38815
                          S       FLCN+2    =.AMPERSAND(12)-.PLUS       PTM38820
                          BSC  L  FL2,+-                                PTM38825
                          S       FLCN+3    =.--.AMPERSAND              PTM38830
                          BSC  L  *+3,Z                                 PTM38835
                          LD      FLCN+12   =S  FLEBF-FL4-1             PTM38840
                          STO     FL4                                   PTM38845
                    FL2   MDX   1 1                                     PTM38850
                          LD    1 0                                     PTM38855
                          MDX   1 1                                     PTM38860
                          S       FLCN+5    =.0                         PTM38865
                          BSC  L  FLSSC,+Z                              PTM38870
                          STO     FLEBF                                 PTM38875
                    FL3   LD   L  *-*                                   PTM38880
                          M       FLCN+16   =10                         PTM38885
                          SLT     16                                    PTM38890
                    FL4   A       FLEBF                                 PTM38895
                          STO  I  *-6                                   PTM38900
                          MDX     FL2+1                                 PTM38905
                    *                                                   PTM38910
                    *          B  ENTRY                                 PTM38915
                    *                                                   PTM38920
                    FLBSC LD      FLCN      SET B SWITCH                PTM38925
                          STO  L  TABPT+2                               PTM38930
                          LD      FLCN+13   =FLB2                       PTM38935
                          STO     FL3+1                                 PTM38940
                          MDX     FLESC+2                               PTM38945
                    *                                                   PTM38950
                    FLEBF DC      0         TEMP STG                    PTM38955
                    FLCN  SLT     0                                     PTM38960
                          DC      /4E       (PLUS)                      PTM38965
                          DC      /50-/4E   (AMPERSAND-PLUS)            PTM38970
                          DC      +.--/50   (MINUS-AMPERSAND)           PTM38975
                          DC      /8000                                 PTM38980
                          DC      .0        EBCDIC 0                    PTM38985
                          DC      .E-.0     EBCDIC E                    PTM38990
                          DC      .B-.E     EBCDIC B                    PTM38995
                          DC      ..-.B     EBCDIC PERIOD               PTM39000
                          MDX   3 -1                                    PTM39005
                          DC      . -..     EBCDIC BLANK                PTM39010
                          DC      TABPT                                 PTM39015
                          S    X  FLEBF-FL4-1                           PTM39020
                          DC      TABPT+1                               PTM39025
                          DC      1         CONSTANT 1                  PTM39030
                          DC      256       CONSTANT 256                PTM39035
                          DC      10        CONSTANT 10                 PTM39040
                          DC      5         CONSTANT 5                  PTM39045
                          DC      .S        EBCDIC S                    PTM39050
                          A    X  FLEBF-FL4-1                           PTM39055
                          DC      /7FFF                                 PTM39060
                          DC      -5                                    PTM39065
                    *                                                   PTM39070
                    *             POST-SCAN PROCESSING                  PTM39075
                    *                                                   PTM39080
                    FLFIN MDX  I3 TABPT     COMPUTE POWER OF 10 MODIF.  PTM39085
                          SLT     0         MAY SKIP                    PTM39090
                          STX  L3 TABPT                                 PTM39095
                          LDX  L3 64+128  INITIAL BINARY EXPONENT.      PTM39100
                          LDX   2 -5        CHECK FOR ZERO MANTISSA     PTM39105
                          LD   L2 TABPT+15                              PTM39110
                          BSC  L  *+3,Z                                 PTM39115
                          MDX   2 +1                                    PTM39120
                          MDX     *-6                                   PTM39125
                          MDX     FL010     FLOATING ZERO SPECIFIED 2-8 PTM39130
                    FLFNL LD   L  TABPT+10  SHIFT RIGHT UNTIL           PTM39135
                          BSC  L  *+4,+-    LEFT WORD ZERO.             PTM39140
                          BSI     SRT                                   PTM39145
                          MDX   3 +1        UPDATE BINARY EXPONENT      PTM39150
                          SLT     0         MAY SKIP                    PTM39155
                          MDX     FLFNL                                 PTM39160
                    FLFNX LD   L  TABPT+11  SHIFT LEFT(NORMALIZE)       PTM39165
                          BSC  L  *+4,+Z    MANTISSA                    PTM39170
                          BSI     SLT                                   PTM39175
                          MDX   3 -1        UPDATE BINARY EXPONENT      PTM39180
                          SLT     0         MAY SKIP                    PTM39185
                          MDX     FLFNX                                 PTM39190
                    *             ADJUST MANTISSA AND EXP BY            PTM39195
                    *             POWER OF 10 (E+.) MOD.                PTM39200
                          LD   L  TABPT                                 PTM39205
                          BSC  L  *+5,+                                 PTM39210
                          S       FLCN+14   =1                          PTM39215
                          STO  L  TABPT                                 PTM39220
                          BSI     MPY       MULTIPLY IF EXP(10)         PTM39225
                          MDX     FLFNL     IS POSITIVE                 PTM39230
                          BSC  L  FLFEX,-   EXIT IF EXP(10) IS ZERO     PTM39235
                          A       FLCN+14   =1                          PTM39240
                          STO  L  TABPT                                 PTM39245
                          BSI     DIV       DIVIDE IF EXP(10)           PTM39250
                          MDX     FLFNL     NEGATIVE                    PTM39255
                    *             ASSEMBLE SIGNED MANTISSA AND          PTM39260
                    *             BINARY CHAR. FOR TRANSMISSION         PTM39265
                    FLFEX LDD  L  TABPT+11                              PTM39270
                          STX  L3 TABPT+4                               PTM39275
                          SRT     1                                     PTM39280
                          AND     FLCN+20   =/7FFF                      PTM39285
                          OR   L  TABPT+3                               PTM39290
                          STD  L  TABPT+5                               PTM39295
                          LD   L  TABPT+4                               PTM39300
                          BSC  L  FL000,+Z  CHECK FOR EXPONENT      2-8 PTM39305
                          S       FLCN+15   =256  OVERFLOW AND          PTM39310
                          BSC  L  FL000,-   *UNDERFLOW              2-8 PTM39315
                          BSI  L  LDXRS      GO RESTO XR1 & XR3         PTM39320
                    BYBY  BSC  L  *-*        GO RESTO PHASE 7           PTM39325
                    *             SUBROUTINE TO DIVIDE 5-PRECISION      PTM39330
                    *             NUMBER IN BUF5 BY 10                  PTM39335
                    DIV   DC      0         ENTRY                       PTM39340
                          SLT     32        CLEAR AQ                    PTM39345
                          LDX   2 -5                                    PTM39350
                    DIVL  LD   L2 TABPT+15                              PTM39355
                          RTE     16                                    PTM39360
                          S       FLCN+17   =5                          PTM39365
                          LDS     2               TURNS ON CARRY        PTM39370
                          BSC     +Z                                    PTM39375
                          S       FLCN+21   =-5   TURNS OFF CARRY       PTM39380
                          STS     DIVC                                  PTM39385
                          D       FLCN+16   =10                         PTM39390
                    DIVC  LDS     *-*                                   PTM39395
                          BSC     C                                     PTM39400
                          A       FLCN+4    =/8000                      PTM39405
                          STO  L2 TABPT+15                              PTM39410
                          MDX   2 +1                                    PTM39415
                          MDX     DIVL                                  PTM39420
                          BSC  I  DIV                                   PTM39425
                    *             SUBROUTINE TO MPY 5-PRECISION         PTM39430
                    *             NUMBER IN BUF5 BY 10.  CONTENTS OF    PTM39435
                    *             MCAR+1 ARE ADDED TO RESULT.           PTM39440
                    MPY   DC      0         ENTRY                       PTM39445
                          LDX   2 +5                                    PTM39450
                    MPYL  LD   L2 TABPT+9                               PTM39455
                          M       FLCN+16   =10                         PTM39460
                          BSC     +Z                                    PTM39465
                          A       FLCN+16   =10                         PTM39470
                          AD   L  TABPT+7                               PTM39475
                          STO  L  TABPT+8                               PTM39480
                          SLT     16                                    PTM39485
                          STO  L2 TABPT+9                               PTM39490
                          MDX   2 -1                                    PTM39495
                          MDX     MPYL                                  PTM39500
                          LD   L  TABPT+8                               PTM39505
                          BSC  I  MPY                                   PTM39510
                    *             DECIMAL DATA ERROR                    PTM39515
                    FL000 LD      FLCN+18   SYNTAX ERR,INSERT 'S'   2-8 PTM39520
                          BSI  L  ERFLG     *IN ERROR FLAG FIELD    2-8 PTM39525
                    FL010 SLT     32                                2-8 PTM39530
                          STO  L  TABPT+4                               PTM39535
                          STD  L  TABPT+5                               PTM39540
                          STO  L  TABPT+1                               PTM39545
                          STO  L  TABPT+2                               PTM39550
                          LD      *-1                                   PTM39555
                          STO  L  TABPT+9                               PTM39560
                          MDX     BYBY-2     GO TO EXIT                 PTM39565
                    *             ROUTINE TO SHIFT CONTENTS OF          PTM39570
                    *             BUF5 TO BUF5+4 RIGHT ONE BIT          PTM39575
                    SRT   DC      0         ENTRY                       PTM39580
                          LDX   2 -5                                    PTM39585
                          SLT     32                                    PTM39590
                    SRTL  LD   L2 TABPT+15                              PTM39595
                          RTE     1                                     PTM39600
                          STO  L2 TABPT+15                              PTM39605
                          RTE     15                                    PTM39610
                          MDX   2 +1                                    PTM39615
                          MDX     SRTL                                  PTM39620
                          BSC  I  SRT                                   PTM39625
                    *             ROUTINE TO SHIFT LEFT ONE BIT         PTM39630
                    *             IN 5-PRECISION                        PTM39635
                    SLT   DC      0         ENTRY                       PTM39640
                          LDX   2 +5                                    PTM39645
                          SLT     32                                    PTM39650
                    SLTL  LD   L2 TABPT+9                               PTM39655
                          RTE     31                                    PTM39660
                          STO  L2 TABPT+9                               PTM39665
                          SLT     15                                    PTM39670
                          MDX   2 -1                                    PTM39675
                          MDX     SLTL                                  PTM39680
                          BSC  I  SLT                                   PTM39685
                    *             EXTENDED BINARY CODE MAIN SECTION     PTM39690
                    TABPT EQU     FLE10      TABLE LOCATION IN PH. 7    PTM39695
                    S7Z   BES     20        PATCH AREA                  PTM39700
                          DC      0         END OF PHASE 7A             PTM39705
*SBRKSLS E1          ASM PROG LINKAGE PHASE                       V2M08 PTM39710
                          HDNG    ***  PHASE 8  PROGRAM LINKAGE  ***    PTM39715
                    *************************************************** PTM39720
                    *                                                 * PTM39725
                    *STATUS-VERSION 2, MODIFICATION 9                 * PTM39730
                    *                                                 * PTM39735
                    *FUNCTION/OPERATION-                              * PTM39740
                    *   *PHASE 8 PROCESSES THE LIBF, CALL, DSA, LINK, * PTM39745
                    *    EXIT, EBC, AND DN STATEMENTS.                * PTM39750
                    *   *DEPENDING ON THE OP CODE, AN INDIRECT BRANCH * PTM39755
                    *    IS MADE THROUGH A BRANCH TABLE TO THE MODULE * PTM39760
                    *    PREPARED TO PROCESS THAT OP CODE.            * PTM39765
                    *   *FOR THE CALL AND LIBF STATEMENTS, THE OPERAND* PTM39770
                    *    SUBROUTINE NAME IS COLLECTED AND CONVERTED TO* PTM39775
                    *    NAME CODE (SCAN).                            * PTM39780
                    *   *IN PROCESSING THE DSA STATEMENT, THREE WORDS,* PTM39785
                    *    WHICH WILL BE FILLED BY THE CORE LOAD        * PTM39790
                    *    BUILDER, ARE RESERVED IN THE PROGRAM.        * PTM39795
                    *   *THE LINK STATEMENT PROCESSING GENERATES FOUR * PTM39800
                    *    WORDS IN THE OBJECT PROGRAM.  WORDS 1 AND 2  * PTM39805
                    *    ARE A LONG BSI TO THE $LINK ENTRY POINT IN   * PTM39810
                    *    THE SKELETON SUPERVISOR.  WORDS 3 AND 4 ARE  * PTM39815
                    *    THE PROGRAM NAME IN NAME CODE.               * PTM39820
                    *   *FOR THE EXIT STATEMENT, A SHORT LDX (TAG O)  * PTM39825
                    *    TO THE $EXIT ENTRY POINT IN THE SKELETON     * PTM39830
                    *    SUPERVISOR IS GENERATED.                     * PTM39835
                    *   *THE EBC PROCESSING CAUSES THE NEEDED STORAGE * PTM39840
                    *    FOR THE OPERAND TO BE RESERVED IN THE OBJECT * PTM39845
                    *    PROGRAM.                                     * PTM39850
                    *                                                 * PTM39855
                    *ENTRY POINTS-                                    * PTM39860
                    *   *S8000 - ENTRY FROM PHASE 9                   * PTM39865
                    *                                                 * PTM39870
                    *INPUT-N/A                                        * PTM39875
                    *                                                 * PTM39880
                    *OUTPUT                                           * PTM39885
                    *   * THE CONSTRUCTED OP CODE FOR THE MNEMONIC    * PTM39890
                    *     BEING PROCESSED                             * PTM39895
                    *                                                 * PTM39900
                    *EXTERNAL RERERENCES-                             * PTM39905
                    *   *SUBROUTINES-                                 * PTM39910
                    *      * B4HEX                                    * PTM39915
                    *      * DFOUT                                    * PTM39920
                    *      * ERFLG                                    * PTM39925
                    *      * GETS5                                    * PTM39930
                    *      * GETS6                                    * PTM39935
                    *      * GETS7                                    * PTM39940
                    *      * GTS8A                                    * PTM39945
                    *      * GTS12                                    * PTM39950
                    *      * LDLBL                                    * PTM39955
                    *      * LDXRS                                    * PTM39960
                    *      * SCAN                                     * PTM39965
                    *   *DCOM/COMMA-                                  * PTM39970
                    *       $EXIT                                     * PTM39975
                    *       $LINK                                     * PTM39980
                    *       $PHSE                                     * PTM39985
                    *                                                 * PTM39990
                    *EXITS-                                           * PTM39995
                    *   *NORMAL - LDLBL SUBROUTINE TO GET NEXT RECORD * PTM40000
                    *   *ERROR - ERFLG SUBROUTINE                     * PTM40005
                    *                                                 * PTM40010
                    *TABLES/WORK AREAS- N/A                           * PTM40015
                    *                                                 * PTM40020
                    *ATTRIBUTES-REUSABLE                              * PTM40025
                    *                                                 * PTM40030
                    *NOTES-N/A                                        * PTM40035
                    *                                                 * PTM40040
                    *************************************************** PTM40045
                    *                                                   PTM40050
                          ORG     OVLAY                                 PTM40055
                          DC      S8Z-S8A        WORD COUNT PHASE 8     PTM40060
                          DC      /E1       SLET ID OF PHASE 8      2-8 PTM40065
                    *                                                   PTM40070
                    S8A   BSC  L  GETS5     FETCH PH 5              2-8 PTM40075
                          BSC  L  GETS6                             2-8 PTM40080
                          BSC  L  GETS7                             2-8 PTM40085
                          BSC  L  S8000     BEGIN EXECUTION, PHASE 8    PTM40090
                          BSC  L  GTS8A     FETCH PH 8A             2-8 PTM40095
                          BSC  L  GTS12     FETCH PH 12             2-8 PTM40100
                          BSC  L  GTS13     FETCH MACRO PH 1        2-8 PTM40105
                    *                                                   PTM40110
                    S8000 LD      S8030     INDICATE THAT PHASE 8 OF    PTM40115
                          STO  L  $PHSE      ASSEMBLER IS IN CONTROL    PTM40120
                          LD      AOPER     PREVENT FURTHER         2-9 PTM40125
                          STO  L  OPVND     *PHASE 2 MNEMONICS      2-8 PTM40130
                          LD    3 OPCNT-X3                              PTM40135
                          SRA     12        USE BITS 0-3 OF OPCNT       PTM40140
                          STO     S8010+1   AS DISPLACEMENT FOR         PTM40145
                    S8010 LDX  L2 *-*       TRANSFER VECTOR             PTM40150
                          BSC  I2 S8020     BRANCH TO PH. 8 SUBSECTION  PTM40155
                    *                                                   PTM40160
                    *     OP CODE BRANCH TBL                            PTM40165
                    *                                                   PTM40170
                    S8020 DC      LIBF8     +0        LIBF              PTM40175
                          DC      CALL8     +1        CALL              PTM40180
                          DC      DSA88     +2        DSA               PTM40185
                          DC      LINK8     +3        LINK              PTM40190
                          DC      EXIT8     +4        EXIT              PTM40195
                          DC      EBC88     +5        EBC               PTM40200
                          DC      DN888     +6        DN                PTM40205
                    *                                                   PTM40210
                    S8030 DC      /E1       SLET ID OF PHASE 8      2-8 PTM40215
                    *                                                   PTM40220
                    LIBF8 LD      CLCN      RELOC. IND'S = 20           PTM40225
                          STO     INDBT                                 PTM40230
                          LD    3 PASS-X3   DETERMINE IF PASS 1 OR 2    PTM40235
                          BSC  L  CA2ND,Z   BRANCH IF PASS 2            PTM40240
                          MDX  L  ADCOW,1   INCREMENT ADDR CTR BY 1     PTM40245
                          NOP               (MAY SKIP)                  PTM40250
                          MDX     CLLXT                                 PTM40255
                    *                                                   PTM40260
                    CALL8 LD      CLCN+2    RELOC. IND'S = 30           PTM40265
                          STO     INDBT          RELOCATION CODE.       PTM40270
                    CALLC LD    3 PASS-X3   DETERMINE IF PASS 1 OR 2    PTM40275
                          BSC  L  CA2ND,Z   BRANCH IF PASS 2            PTM40280
                          MDX  L  ADCOW,2   INCREMENT ADDR CTR BY 2     PTM40285
                          NOP               (MAY SKIP)                  PTM40290
                          MDX     CLLXT                                 PTM40295
                    *                                                   PTM40300
                    CA2ND BSI     CLLCT     GET SUBROUTINE NAME         PTM40305
                          BSC  L  COP,Z     BRANCH IF NAME OK           PTM40310
                          MDX  L  ADCOW,1   INCREMENT ADDR CTR BY 1     PTM40315
                          NOP               (MAY SKIP)                  PTM40320
                          LD      INDBT     2ND INCREMENT OF ADDR CTR   PTM40325
                          EOR     CLCN      REQ. IF MNEMONIC IS CALL    PTM40330
                          BSC  L  CLLXT,+-  BRANCH IF LIBF              PTM40335
                          MDX  L  ADCOW,1   INCREMENT ADDR CTR BY 1     PTM40340
                          NOP               (MAY SKIP)                  PTM40345
                          MDX     CLLXT                                 PTM40350
                    *                                                   PTM40355
                    COP   MDX   1 +9        XR1 POINTS TO COL. 9        PTM40360
                          LD      INDBT                                 PTM40365
                          STO   3 TRWRD+1-X3                            PTM40370
                          SRA     14        OUTPUT '2' (LIBF), OR       PTM40375
                          A       CLCN+1    '3' (CALL) TO COL. 6        PTM40380
                          STO   1 -3                                    PTM40385
                          LD    3 SYMBF-X3  OUTPUT 1ST WORD OF NAME     PTM40390
                          STO   3 TRWRD-X3  IN HEX TO COLUMNS 9-12,     PTM40395
                          BSI  L  B4HEX     *AND IN BINARY TO       2-8 PTM40400
                          BSI  L  DFOUT     *DSF OUTPUT             2-8 PTM40405
                          LD      INDBT     INCREMENT OF ADDR CTR IS    PTM40410
                          EOR     CLCN      REQ. IF MNEMONIC IS CALL    PTM40415
                          BSC  L  S8040,+-  BRANCH IF LIBF              PTM40420
                          MDX  L  ADCOW,1   INCREMENT ADDR CTR BY 1     PTM40425
                          NOP               (MAY SKIP)                  PTM40430
                    S8040 LD      CLCN+1    INSERT '0'                  PTM40435
                          STO   1 -6        IN COLUMN 7                 PTM40440
                          LD    3 SYMBF+1-X3  OUTPUT 2ND WORD OF NAME   PTM40445
                          STO   3 TRWRD-X3  IN HEX TO COLS. 13-16,      PTM40450
                          BSI  L  B4HEX     *AND IN BINARY TO       2-8 PTM40455
                          BSI  L  DFOUT     *DSF OUTPUT             2-8 PTM40460
                          MDX  L  ADCOW,1   INCREMENT ADDR CTR BY 1     PTM40465
                          NOP               (MAY SKIP)                  PTM40470
                    *                                                   PTM40475
                    CLLXT MDX     S8050     GO GET NEXT RCD         2-8 PTM40480
                    *                                                   PTM40485
                    AOPER DC      OPERR     OP CODE ERR SUBR ADDR   2-9 PTM40490
                    S8042 DC      COLXT     SCAN MODIFIER NO. 6     2-8 PTM40495
                    CLCN  DC      /8000                                 PTM40500
                          DC      .0                                    PTM40505
                          DC      /C000                                 PTM40510
                          DC      /4000                                 PTM40515
                    *             THIS SUBROUTINE COLLECTS THE CHAR     PTM40520
                    *             STRING BEGINNING IN COL. 35, CHECKS   PTM40525
                    *             TO SEE IF EACH CHAR IS A VALID NAME   PTM40530
                    *             CHAR, AND PACKS THOSE CHARS COLLECTED PTM40535
                    *             (UP TO 5) INTO STANDARD NAME FORMAT.  PTM40540
                    *             IF NO ERRORS ARE DETECTED, THE ACC    PTM40545
                    *             IS NON-ZERO, AND THE 2-WORD NAME      PTM40550
                    *             RESIDES IN THE 2-WORD BUFFER CLBUF.   PTM40555
                    *             ALL ERRORS DETECTED ARE DETECTED      PTM40560
                    *             IN SCAN (PHASE 9).                    PTM40565
                    *                                                   PTM40570
                    CLLCT DC      0         COLLECT NAME                PTM40575
                          LD      S8042                             2-8 PTM40580
                          STO  L  SYDF1     INHIBIT SYM TBL SEARCH  2-8 PTM40585
                          LDX  L2 FERR1                             2-8 PTM40590
                          MDX   2 -1        ACCEPT ONLY SYMBOLIC        PTM40595
                          STX  L2 GNRT1     *OPERAND                2-8 PTM40600
                    *                                                 * PTM40605
                          LD      COLCT     DO NOT ALLOW LEADING PLUS,  PTM40610
                          STO  L  NOP1      *MINUS,COMMA,OR BLANK   2-8 PTM40615
                          BSI  L  SCAN      COLLECT NAME TO SYMBF   2-8 PTM40620
                          LDX  L2 SYDF1                             2-8 PTM40625
                          MDX   2 +1                                    PTM40630
                          STX  L2 SYDF1     RESTO THE SCAN TO       2-8 PTM40635
                          LDX  L2 GNRT1     *NORMAL STATUS          2-8 PTM40640
                          MDX   2 +1                                    PTM40645
                          STX  L2 GNRT1                             2-8 PTM40650
                          LD      COLCT+1                               PTM40655
                          STO  L  NOP1                              2-8 PTM40660
                          BSI  L  LDXRS     RELOAD REGISTERS 1,3        PTM40665
                          LD    3 SYMBF-X3  ZERO IF ANY ERROR IN NAME   PTM40670
                          BSC  I  CLLCT                                 PTM40675
                    *                                                   PTM40680
                    COLCT SLT     0         ABNORMAL COND FOR SCAN      PTM40685
                          SRT     0         NORMAL COND FOR SCAN        PTM40690
                    INDBT DC      0                                     PTM40695
                          DC      0                                     PTM40700
                    DSA88 LD    3 PASS-X3   DETERMINE IF PASS 1 OR 2    PTM40705
                          BSC  L  DS2ND,Z   BRANCH IF PASS 2            PTM40710
                          MDX  L  ADCOW,3   INCREMENT ADDR CTR BY 3     PTM40715
                          NOP               (MAY SKIP)                  PTM40720
                          MDX     S8050                                 PTM40725
                    *                                                   PTM40730
                    DS2ND LD      CLCN+2    RELOC CODE FOR WORD 1 IS 3  PTM40735
                          STO     INDBT              FOR TWO WORD       PTM40740
                          LD      CLCN+3    RELOC CODE FOR WORD 2 IS 1  PTM40745
                          STO     INDBT+1                               PTM40750
                          BSI     CLLCT     COLLECT NAME                PTM40755
                          BSC  L  DSA2,Z    BRANCH IF NAME OK           PTM40760
                          MDX  L  ADCOW,3   INCREMENT ADDR CTR BY 3     PTM40765
                          NOP               (MAY SKIP)                  PTM40770
                    S8050 BSI  L  LDLBL     LD LABEL,GET NEXT RCD   2-8 PTM40775
                          BSC  L  STRT9     BR TO OP CODE SEARCH    2-8 PTM40780
                    *                                                   PTM40785
                    DSA2  MDX   1 +9        XR1 POINTS TO COL. 9        PTM40790
                          LD      INDBT          SAVE WORD 1            PTM40795
                          RTE     16             INDICATOR BITS         PTM40800
                          LD      CLCN+2                                PTM40805
                          SRA     14        OUTPUT '3'                  PTM40810
                          A       CLCN+1    TO COLUMN 6                 PTM40815
                          STO   1 -3                                    PTM40820
                          LD    3 SYMBF-X3                              PTM40825
                          STD   3 TRWRD-X3  OUTPUT WORD 1 OF NAME IN    PTM40830
                          BSI  L  B4HEX     *HEX,AND BINARY TO      2-8 PTM40835
                          BSI  L  DFOUT     *DSF OUTPUT             2-8 PTM40840
                          MDX  L  ADCOW,1   INCREMENT ADDR CTR BY 1     PTM40845
                          NOP               (MAY SKIP)                  PTM40850
                          LD      INDBT+1   SAVE WORD 2                 PTM40855
                          RTE     16        INDICATOR BITS              PTM40860
                          LD      CLCN+3                                PTM40865
                          SRA     14        OUTPUT '1'                  PTM40870
                          A       CLCN+1    TO COLUMN 7                 PTM40875
                          STO   1 -6                                    PTM40880
                          LD    3 SYMBF+1-X3     OUTPUT WORD 2 OF NAME  PTM40885
                          STD   3 TRWRD-X3       IN HEX TO COLS. 13-16, PTM40890
                          BSI  L  B4HEX     *AND IN BINARY TO       2-8 PTM40895
                          BSI  L  DFOUT     *DSF OUTPUT             2-8 PTM40900
                          MDX  L  ADCOW,2    INCRE ADDR CNTR BY 2       PTM40905
                          NOP               (MAY SKIP)                  PTM40910
                          NOP               (MAY SKIP)                  PTM40915
                          MDX     S8050                                 PTM40920
                    *                                                   PTM40925
                    LINK8 LD    3 PASS-X3   DETERMINE IF PASS 1 OR 2    PTM40930
                          BSC  L  LK2ND,Z   BRANCH IF PASS 2            PTM40935
                    S8060 MDX  L  ADCOW,4   INCREMENT ADDR CTR BY 4     PTM40940
                          NOP               (MAY SKIP)                  PTM40945
                          MDX     S8050                                 PTM40950
                    *                                                   PTM40955
                    LK2ND BSI     CLLCT     COLLECT LINK NAME           PTM40960
                          BSC  L  LINK2,Z   BRANCH IF NAME OK           PTM40965
                          MDX     S8060                                 PTM40970
                    *                                                   PTM40975
                    LINK2 MDX   1 +9        XR1 POINTS TO COL. 9        PTM40980
                          LD      LNKCN+2   OUTPUT '0'                  PTM40985
                          STO   1 -3        TO COLUMN 6                 PTM40990
                          LD      LNKCN     OUTPUT 1ST WORD OF 'LINK'   PTM40995
                          STO   3 TRWRD-X3  IN NAME FORMAT TO           PTM41000
                          BSI  L  DFOUT     *DSF OUTPUT             2-8 PTM41005
                          MDX  L  ADCOW,1   INCREMENT ADDR CTR BY 1     PTM41010
                          NOP               (MAY SKIP)                  PTM41015
                          LD      LNKCN+2   OUTPUT '0'                  PTM41020
                          STO   1 -2        TO COLUMN 7                 PTM41025
                          LD      LNKCN+1   OUTPUT 2ND WORD OF 'LINK'   PTM41030
                          STO   3 TRWRD-X3  IN NAME FORMAT TO           PTM41035
                          BSI  L  DFOUT     *DSF OUTPUT             2-8 PTM41040
                          MDX  L  ADCOW,1   INCREMENT ADDR CTR BY 1     PTM41045
                          NOP               (MAY SKIP)                  PTM41050
                          LD    3 SYMBF-X3  OUTPUT WORD 1 OF            PTM41055
                          STO   3 TRWRD-X3  PROGRAM NAME IN HEX TO      PTM41060
                          BSI  L  B4HEX     *COLS. 9-12,AND IN BINARY2-8PTM41065
                          BSI  L  DFOUT     *TO DSF OUTPUT          2-8 PTM41070
                          MDX  L  ADCOW,1   INCREMENT ADDR CTR BY 1     PTM41075
                          NOP               (MAY SKIP)                  PTM41080
                          LD    3 SYMBF+1-X3     OUTPUT WORD 2 OF       PTM41085
                          STO   3 TRWRD-X3       PROGRAM NAME IN HEX    PTM41090
                          BSI  L  B4HEX     *TO COL. 13-16,AND IN   2-8 PTM41095
                          BSI  L  DFOUT     *BINARY TO DSF OUTPUT   2-8 PTM41100
                          MDX  L  ADCOW,1   INCREMENT ADDR CTR BY 1     PTM41105
                          NOP               (MAY SKIP)                  PTM41110
                          MDX     S8050                                 PTM41115
                    *                                                   PTM41120
                    LNKCN BSI  L  $LINK      CALL LINK DATA             PTM41125
                          DC      .0                                    PTM41130
                    EXIT8 LD    3 PASS-X3   DETERMINE IF PASS 1 OR 2    PTM41135
                          BSC  L  EX2ND,Z   BRANCH IF PASS 2            PTM41140
                          MDX  L  ADCOW,1   INCREMENT ADDR CTR BY 1     PTM41145
                          NOP               (MAY SKIP)                  PTM41150
                    S8070 MDX     S8050                                 PTM41155
                    *                                                   PTM41160
                    EX2ND MDX   1 -26       XR1 POINTS TO COL 9         PTM41165
                          LD      EXCN      OUTPUT '0'                  PTM41170
                          STO   1 -3        TO COLUMN 6                 PTM41175
                          LD      EXCN+1    OUTPUT CALL EXIT INST IN    PTM41180
                          STO   3 TRWRD-X3  HEX TO COLS. 9-12,          PTM41185
                          BSI  L  B4HEX     *AND IN BINARY TO       2-8 PTM41190
                          BSI  L  DFOUT     *DSF OUTPUT    TO       2-8 PTM41195
                          MDX  L  ADCOW,1   INCREMENT ADDR CTR BY 1     PTM41200
                          NOP               (MAY SKIP)                  PTM41205
                          MDX     S8070                                 PTM41210
                    *                                                   PTM41215
                    EXCN  DC      .0                                    PTM41220
                          LDX   0 $EXIT      CALL EXIT DATA             PTM41225
                    EBC88 LD    1 0         CHECK COL. 35 FOR           PTM41230
                          BSI     EBCC      LEFT DELIMITER (.)          PTM41235
                          BSC  L  S8080,+-  BRANCH IF DELIMITER OK      PTM41240
                    EBCR  LD      EBCN      SYNTAX ERROR. 'S' INTO      PTM41245
                          BSI  L  ERFLG     *ERR FLAG FLD OF LISTING2-8 PTM41250
                          MDX  L  ADCOW,18  ASSIGN MAXIMUM LENGTH       PTM41255
                          NOP               (MAY SKIP)                  PTM41260
                    EBX   BSI  L  LDLBL     LD LABEL,GET NEXT RCD   2-8 PTM41265
                          BSC  L  STRT9     BR TO OP CODE SEARCH    2-8 PTM41270
                    S8080 LDX   2 +35       EBC SCAN LOOP COUNTER       PTM41275
                    EBLP  LD    1 +36       CHECK INPUT STRING FOR      PTM41280
                          BSI     EBCC      RIGHT DELIMITER. (COL. 71)  PTM41285
                          BSC  L  EBDL,+-   BRANCH IF DELIMITER FOUND   PTM41290
                          MDX   1 -1        POINT TO NEXT COL. TO LEFT  PTM41295
                          MDX   2 -1        DECREMENT LOOP COUNTER      PTM41300
                          MDX     EBLP      CONTINUE IF CTR NOT ZERO    PTM41305
                          MDX     EBCR      DELIMITER NOT FOUND         PTM41310
                    *                                                   PTM41315
                    EBDL  LD      EBCN+2    REPLACE RIGHT DELIMITER     PTM41320
                          STO   1 +36       WITH BLANK (TEMP)           PTM41325
                          STX   2 EBBF      XR2 = NO. OF CHARS          PTM41330
                          LD      EBBF      BETWEEN DELIMITERS.         PTM41335
                          A       EBCN+3    ADJUST THIS NO. TO NEXT     PTM41340
                          SRA     1         EVEN NO. IF ODD, AND        PTM41345
                          STO     EBXR2+1   DIVIDE BY 2 FOR WORD COUNT  PTM41350
                          BSI  L  LDXRS     RELOAD REGISTERS 1,3        PTM41355
                          MDX   1 +9        XR1 POINTS TO COL. 9        PTM41360
                          LD      EBBF      OUTPUT CHAR. COUNT IN HEX   PTM41365
                          BSI  L  B4HEX     *TO COLS. 9-12          2-8 PTM41370
                    EBXR2 LDX  L2 *-*       INITLZ LOOP COUNTER         PTM41375
                          MDX   1 +23       XR1 POINTS TO COL. 36       PTM41380
                    EBPCK LD    1 +1                                    PTM41385
                          SRT     8         PACK INPUT CHARS TWO        PTM41390
                          LD    1 0         CHARS PER WORD              PTM41395
                          SLT     8                                     PTM41400
                          RTE     16        SAVE DATA WORD              PTM41405
                          LD    3 PASS-X3   DETERMINE IF PASS 1 OR 2    PTM41410
                          BSC  L  S8090,+-  BRANCH IF PASS 1            PTM41415
                          RTE     16                                    PTM41420
                          STO   3 TRWRD-X3  OUTPUT DATA WORD IN         PTM41425
                          BSI  L  DFOUT     *IN BINARY TO DSF O/P   2-8 PTM41430
                    S8090 MDX  L  ADCOW,1   INCREMENT ADDR TO CTR BY 1  PTM41435
                          NOP               (MAY SKIP)                  PTM41440
                          MDX   1 +2        POINT TO NEXT 2 INPUT CHARS PTM41445
                          MDX   2 -1        DECREMENT LOOP COUNTER      PTM41450
                          MDX     EBPCK     CONTINUE IF CTR NON-ZERO    PTM41455
                    *                                                   PTM41460
                          BSI  L  LDXRS     RELOAD REGISTERS 1,3        PTM41465
                          MDX  I1 EBBF      INCREMENT 1 BY CHAR COUNT   PTM41470
                          LD      EBCN+1    RESTORE RIGHT DELIMITER     PTM41475
                          STO   1 +36       PREVIOUSLY CHANGED TO BLANK PTM41480
                          MDX     EBX                                   PTM41485
                    *                                                   PTM41490
                    EBCC  DC      0                                     PTM41495
                          S       EBCN+1                                PTM41500
                          BSC  I  EBCC                                  PTM41505
                    EBCN  DC      .S        EBCDIC S                    PTM41510
                          DC      /4B       EBCDIC .                    PTM41515
                          DC      .         EBCDIC BLANK                PTM41520
                          DC      1         CONSTANT 1                  PTM41525
                    EBBF  DC      0         TEMP SAVE AREA              PTM41530
                    *                                                   PTM41535
                    DN888 LD    3 PASS-X3   DETERMINE IF PASS 1 OR 2    PTM41540
                          BSC  L  S8100,Z   BRANCH IF PASS 2            PTM41545
                    S8095 MDX  L  ADCOW,2   INCREMENT ADDR CTR BY 2     PTM41550
                          NOP               (MAY SKIP)                  PTM41555
                    S8098 BSI  L  LDLBL     LD LABEL,GET NEXT RCD   2-8 PTM41560
                          BSC  L  STRT9     BR TO OP CODE SEARCH    2-8 PTM41565
                    *                                                   PTM41570
                    S8100 BSI  L  CLLCT     COLLECT NAME                PTM41575
                          BSC  L  S8095,+-  BRANCH IF NAME NOT OK       PTM41580
                          MDX   1 +9        XR1 POINTS TO COL. 9        PTM41585
                          LD      S8110                                 PTM41590
                          STO   1 -3        OUTPUT 'O' TO               PTM41595
                          STO   1 -2        COLS. 6-7                   PTM41600
                          LD    3 SYMBF-X3  OUTPUT WORD 1 OF CONSTANT   PTM41605
                          STO   3 TRWRD-X3  IN HEX TO COLS. 9-12,       PTM41610
                          BSI  L  B4HEX     *AND IN BINARY TO       2-8 PTM41615
                          BSI  L  DFOUT     *DSF OUTPUT             2-8 PTM41620
                          MDX  L  ADCOW,1   INCREMENT ADDR CTR BY 1     PTM41625
                          NOP               (MAY SKIP)                  PTM41630
                          LD    3 SYMBF+1-X3     OUTPUT WORD 2 OF       PTM41635
                          STO   3 TRWRD-X3       CONSTANT IN HEX TO     PTM41640
                          BSI  L  B4HEX     *COLS. 13-16,AND IN     2-8 PTM41645
                          BSI  L  DFOUT     *BINARY TO DSF O/P      2-8 PTM41650
                          MDX  L  ADCOW,1   INCREMENT ADDR CTR BY 1     PTM41655
                          NOP               (MAY SKIP)                  PTM41660
                          MDX     S8098                                 PTM41665
                    *                                                   PTM41670
                    S8110 DC      .0        EBCDIC ZERO                 PTM41675
                          BSS     /0417-*   PATCH AREA              2-9 PTM41680
                    S8Z   DC      0                                     PTM41685
*SBRKSLS E2          ASM DMES PROCESSING PHASE                    V2M08 PTM41690
                          HDNG    ***PHASE 8A  DEFINE MESSAGE***        PTM41695
                    *************************************************** PTM41700
                    *                                                 * PTM41705
                    *STATUS - VERSION 2, MODIFICATION LEVEL 12        * PTM41710
                    *                                                 * PTM41715
                    *FUNCTION/OPERATION-                              * PTM41720
                    *   *PHASE 8A PROCESSES THE DMES STATEMENT.       * PTM41725
                    *   *THE DMES PROCESSING IS PERFORMED BY A        * PTM41730
                    *    SCANNING SUBROUTINE AND A CONVERSION         * PTM41735
                    *    SUBROUTINE.                                  * PTM41740
                    *        *THE SCANNING SUBROUTINE SCANS AND       * PTM41745
                    *         EVALUATES THE OPERAND FIELD, ONE        * PTM41750
                    *         CHARACTER AT A TIME.  ON THE BASIS OF   * PTM41755
                    *         THE TAG FIELD CONTENTS, A BRANCH IS MADE* PTM41760
                    *         TO THE CONVERSION SUBROUTINE TO CONVERT * PTM41765
                    *         THE EVALUATED CHARACTER TO THE DEVICE   * PTM41770
                    *         CODE REQUESTED.  IF THE TAG FIELD HAS   * PTM41775
                    *         ANY VALUE OTHER THAN BLANK, ZERO, OR    * PTM41780
                    *         ONE, THE DEVICE IS ASSUMED TO BE THE    * PTM41785
                    *         1132 PRINTER AND THE CONVERSION IS      * PTM41790
                    *         SKIPPED, LEAVING THE OPERAND FIELD IN   * PTM41795
                    *         EBCDIC.  THE CONTENTS OF THE OPERAND    * PTM41800
                    *         FIELD ARE PACKED AND SAVED IN THE PHASE * PTM41805
                    *         8A BUFFER AND, IN PASS 2, ARE PRINTED   * PTM41810
                    *         ONE WORD AT A TIME.                     * PTM41815
                    *        *THE CONVERSION SUBROUTINE CONTAINS A    * PTM41820
                    *         TABLE OF PACKED CONSOLE PRINTER CODES   * PTM41825
                    *         AND A TABLE OF PACKED 1403 PRINTER      * PTM41830
                    *         CODES.  THE CONVERSION IS PERFORMED     * PTM41835
                    *         USING AN ALGORITHM.                     * PTM41840
                    *                                                 * PTM41845
                    *ENTRY POINTS-                                    * PTM41850
                    *   * DMESA - ENTRY FROM PHASE 9                  * PTM41855
                    *                                                 * PTM41860
                    *INPUT-N/A                                        * PTM41865
                    *                                                 * PTM41870
                    *OUTPUT-                                          * PTM41875
                    *   * CONVERTED MESSAGE                           * PTM41880
                    *                                                 * PTM41885
                    *EXTERNAL RERERENCES-                             * PTM41890
                    *   *SUBROUTINES-                                 * PTM41895
                    *      * B4HEX                                    * PTM41900
                    *      * DFOUT                                    * PTM41905
                    *      * ERFLG                                    * PTM41910
                    *      * GETS5                                    * PTM41915
                    *      * GETS6                                    * PTM41920
                    *      * GETS7                                    * PTM41925
                    *      * GETS8                                    * PTM41930
                    *      * GTS12                                    * PTM41935
                    *      * LDLBL                                    * PTM41940
                    *      * LDXRS                                    * PTM41945
                    *   *DCOM/COMMA-                                  * PTM41950
                    *       $PHSE                                     * PTM41955
                    *                                                 * PTM41960
                    *EXITS-                                           * PTM41965
                    *   *NORMAL - LDLBL SUBROUTINE TO GET NEXT RECORD * PTM41970
                    *   *ERROR - ERFLG SUBROUTINE                     * PTM41975
                    *                                                 * PTM41980
                    *TABLES/WORK AREAS- N/A                           * PTM41985
                    *                                                 * PTM41990
                    *ATTRIBUTES-REUSABLE                              * PTM41995
                    *                                                 * PTM42000
                    *NOTES-N/A                                        * PTM42005
                    *                                                 * PTM42010
                    *************************************************** PTM42015
                    *                                                   PTM42020
                          ORG     OVLAY                                 PTM42025
                    *                                                   PTM42030
                    *             PROCESS PSEUDO-OP CODE                PTM42035
                          DC      S8AZ-S8AA                             PTM42040
                          DC      /E2       SLET ID OF PHASE 8A     2-8 PTM42045
                    S8AA  BSC  L  GETS5     FETCH PH 5              2-8 PTM42050
                          BSC  L  GETS6     FETCH PH 6              2-8 PTM42055
                          BSC  L  GETS7     FETCH PH 7              2-8 PTM42060
                          BSC  L  GETS8     FETCH PH 8              2-8 PTM42065
                          BSC  L  DMESA      GO TO XEQ PHASE 8A         PTM42070
                          BSC  L  GTS12     FETCH PH 12             2-8 PTM42075
                          BSC  L  GTS13     FETCH MACRO PH 1        2-8 PTM42080
                    DMKE2 DC      /00E2     PHASE ID               2-10 PTM42085
                    DMK00 DC      OPERR     ERROR                  2-10 PTM42090
                    DMK01 DC      .0        EBCDIC ZERO            2-10 PTM42095
                    DMESA LD      DMKE2     SET PH8A ID            2-10 PTM42100
                          STO  L  $PHSE     * FOR PHASE IN CONTROL 2-10 PTM42105
                          STO  L  DMS30     SW FOR END ACTION      2-10 PTM42110
                          LD      DMK00     PREVENT FURTHER         2-9 PTM42115
                          STO  L  OPVND     *PHASE 2 MNEMONICS      2-9 PTM42120
                          LD    3 ASSAD-X3  IF THIS IS NOT THE FIRST2-9 PTM42125
                    *ENTR OF PH8A,DMT04 IS SAVED IN ASSAD           2-9 PTM42130
                          SLA     8         CHECK IF FIRST ENTR     2-9 PTM42135
                          BSC  L  ARND,Z    BRANCH IF FIRST ENTR    2-9 PTM42140
                          LD    3 ASSAD-X3  OTHERWISE,RESTORE       2-9 PTM42145
                          STO  L  DMT04     *OUTPUTWORD             2-9 PTM42150
                    ARND  SLA     16        CLEAR ACC               2-9 PTM42155
                          STO     DMT02     NO CONVERT SWITCH       2-9 PTM42160
                          STO  L  DMT05     REPEAT CHAR FLAG            PTM42165
                          LD    1 -2        DEVICE CODE                 PTM42170
                          S       DMK01     .0.                         PTM42175
                          BSC  L  DMS01,+-  BRANCH DEVICE CODE OK       PTM42180
                          S       DMK02     .1.-.0.                     PTM42185
                          BSC  L  DMS01,+-  BR DEVICE CDE OK            PTM42190
                          S       DMK15     .2.-.1.                2-10 PTM42195
                          BSC  L  S8MT1+1,+-  BR ON DEV CODE 2     2-10 PTM42200
                          S       DMK03     . .-.2.                2-10 PTM42205
                          BSC  L  DMS01,+-  BR TO SET CONVERT SW        PTM42210
                          SLT     32        CLEAR EXTENSION        2-10 PTM42215
                          LD    1 -2        ADD SYMBOLIC TAG CHAR   2-8 PTM42220
                          SLA     10        *TO PACKED BLANKS       2-8 PTM42225
                          SRA     2         *TO FORM SYMBOL NAME    2-8 PTM42230
                          STD   3 SYMBF-X3  SET SYMBOL NAME         2-8 PTM42235
                          BSI  L  P9300     SEARCH FOR SYMBOLIC TAG 2-8 PTM42240
                          MDX     S8MT1                             2-8 PTM42245
                    S8MT2 EQU     *         SYM FOUND-VALUE IN ACC  2-8 PTM42250
                          BSC  L  S8MT1,Z+  BR-VALUE NEGATIVE       2-8 PTM42255
                          S       S8MT4                             2-8 PTM42260
                          BSC  L  S8MT1,Z-  BR-VALUE ABOVE 1        2-8 PTM42265
                          MDX   1 +35       RESET XR1               2-8 PTM42270
                          A       S8MT4     FETCH VALUE             2-8 PTM42275
                          MDX     S8MT5     BR TO SET CONVERT SW    2-8 PTM42280
                    *                                                   PTM42285
                    *                                                   PTM42290
                    S8MT1 MDX   1 +35       RESET XR1               2-8 PTM42295
                          STX     DMT02     SET NO CONVERT SW       2-8 PTM42300
                    DMS01 LD    1 -2                                2-8 PTM42305
                          AND     DMK04     /F                          PTM42310
                    S8MT5 STO     DVCDE+1   STO CODE TO LDX 2           PTM42315
                          STX   1 DMT09     CARD COLUMN 35              PTM42320
                          MDX  L  DMT09,37  CARD COLUMN 72              PTM42325
                          LD      DMK12     -145                        PTM42330
                          STO     DMT06     CHARACTER COUNT             PTM42335
                    DMS02 LD    1 0         LOAD CARD COLUMN            PTM42340
                          S       DMK05     .'. APOSTROPHE              PTM42345
                          BSC  L  DMS03,+-  BR CONTROL FUNCTION         PTM42350
                    DMS10 A       DMK05     .' APOSTROPHE               PTM42355
                          STO     DMT03     SAVE CHAR FOR REPEAT        PTM42360
                    DMS18 MDX  L  DMT05,1   REPEAT CHAR FLAG            PTM42365
                          MDX     *+1                                   PTM42370
                          MDX     DMS08+3                               PTM42375
                          MDX  L  DMT02,0                               PTM42380
                          MDX     DMS04     BYPASS CONVERSION           PTM42385
                    DVCDE LDX  L2 *-*       DEVICE CD, 0=1053, 1=1443   PTM42390
                          BSI  I2 CONAB     CONVERT TO DEVICE CODE      PTM42395
                    DMS04 MDX  L  DMT01,0   TEST IF LEFT OR RIGHT  2-10 PTM42400
                          MDX     DMS05     NO SHIFT                    PTM42405
                          SLA     8                                     PTM42410
                          STO     DMT04     TEMP TO BUILD OUTPUT        PTM42415
                          STX     DMT01     SET SW FOR RIGHT CHAR  2-11 PTM42417
                          MDX     DMS06     INCOMPLETE - NO OUTPUT      PTM42420
                    DMS05 OR      DMT04     OUTPUT TEMPORARY            PTM42425
                          STO  L  TRWRD     OUTPUT BUFFER               PTM42430
                          SLA     16                                    PTM42435
                          STO     DMT04     RESET LEFT FOR NEXT CH  2-9 PTM42440
                          STO     DMT01     CLEAR LEFT OR RIGHT    2-10 PTM42445
                          MDX  L  PASS,0                                PTM42450
                          MDX     DMS07     PASS 2 - OUTPUT             PTM42455
                    DMS11 MDX  L  ADCOW,1   UPDATE ADDRESS COUNTER      PTM42460
                          NOP                                           PTM42465
                    DMS06 MDX  L  DMT06,1   INCR CHARACTER COUNT        PTM42470
                          MDX     DMS08     NO ERROR                    PTM42475
                          LD      DMK06     .S.                         PTM42480
                          BSI  L  ERFLG     GO TO INSERT ERR INDR   2-8 PTM42485
                    DMEND SLA     16                                    PTM42490
                          S       DMK12                                 PTM42495
                          A       DMT06     CHAR COUNT                  PTM42500
                          BSI   3 LDXRS-X3   GO RESTO XR1               PTM42505
                          MDX   1 +9         POINT TO CC 9              PTM42510
                          BSI  L  B4HEX     GO O/P CHAR CNT         2-8 PTM42515
                          LD      DMT04     SAVE OUTPUTWORD IN      2-9 PTM42520
                          STO   3 ASSAD-X3  *ASCOM                  2-9 PTM42525
                          BSC  L  DMS25     GO GET NEXT RECORD     2-10 PTM42530
                    DMS08 MDX  L  DMT05,-1  DECREMENT REPEAT FLAG       PTM42535
                          MDX     DMS09     REPEAT CHARACTER            PTM42540
                          LD      DMTBI     FIRST WD OF BSI INSTRUCTION PTM42545
                          STO     DVCDE+2   RESET TO CNVRT NEXT CHAR    PTM42550
                          BSI     DMS12     INCREMENT COLUMN COUNT      PTM42555
                          MDX     DMS02     NEXT COLUMN                 PTM42560
                    DMS13 LD      DMT01     TEST LEFT/RIGHT CHAR   2-10 PTM42565
                          BSC  L  DMEND,+-  TERMINATE - NO ERROR        PTM42570
                          LDX  I1 DMT09     XR1= CARD COLUMN 72 - END   PTM42575
                          LD      DMK07     . . EBC BLANK               PTM42580
                          MDX     DMS18     FILL OUT WITH BLANK         PTM42585
                    DMS09 LD      DMT03     CHAR TO REPEAT              PTM42590
                          MDX     DMS18+2                               PTM42595
                    DMS07 BSI  L  DFOUT     BR TO O/P WD IN DSF     2-8 PTM42600
                          MDX     DMS11                                 PTM42605
                    *                                                   PTM42610
                    DMK02 DC      .1-.0     EBCDIC ONE                  PTM42615
                    DMK03 DC      . -.2     EBCDIC BLANK           2-10 PTM42620
                    DMS30 DC      0         SW TERMINATION MODE F  2-10 PTM42625
                    DMK04 DC      /F                                    PTM42630
                    DMK05 DC      /7D       EBC APOSTROPHE              PTM42635
                    DMK06 DC      .S                                    PTM42640
                    DMK07 DC      .                                     PTM42645
                    DMK08 EQU     DMK02     ONE                         PTM42650
                    DMK09 DC      10                                    PTM42655
                    DMK10 DC      99                                    PTM42660
                    DMK12 DC      -145                                  PTM42665
                    DMK13 DC      DMS03+2   ADDRESS CONSTANT            PTM42670
                    DMK14 DC      /0093     L MINUS BLANK               PTM42675
                    DMK15 EQU     DMK02     ONE                    2-10 PTM42680
                    S8MT4 EQU     DMK02     ONE                    2-10 PTM42685
                    DMT01 DC      0         SWITCH LEFT RIGHT      2-10 PTM42690
                    DMT02 DC      0         NO CONVERT FLAG             PTM42695
                    DMT03 DC      0         CHAR FOR REPEAT             PTM42700
                    DMT04 DC      0         OUTPUT WORD                 PTM42705
                    DMT05 DC      0         REPEAT CHAR FLAG            PTM42710
                    DMT06 DC      0         CHARACTER COUNT             PTM42715
                    DMT07 DC      0         TENX FLAG                   PTM42720
                    DMT08 DC      0         MULTIPLIER TEMPORARY        PTM42725
                    DMT09 DC      0         CARD COLUMN 72              PTM42730
                    DMT10 DC      0         TEMP FOR CARD COLUMN        PTM42735
                    DMTBI DC      /4680      'BSI  I' OP CODE           PTM42740
                    *                                                   PTM42745
                    DMS12 DC      0                                     PTM42750
                          MDX   1 1         INCR COLUMN COUNT           PTM42755
                    *                                              2-10 PTM42760
                          STX   1 DMT10     COLUMN COUNT TO TEMP        PTM42765
                          LD      DMT10                                 PTM42770
                          S       DMT09     CC72                        PTM42775
                          BSC  L  DMS19,-   BR IF LAST COLUMN PROCESSED PTM42780
                          BSC  I  DMS12     EXIT SUBROUTINE             PTM42785
                    DMS19 LD      DMS12     RETURN ADDRESS              PTM42790
                          S       DMK13     DMS03+2                     PTM42795
                          BSC  L  DMS13,Z   BR LAST CHAR NOT APOSTROPHE PTM42800
                    DMS20 MDX     DMEND                             2-9 PTM42805
                    DMS03 STO     DMT07     CLEAR TENX FLAG             PTM42810
                          BSI     DMS12     INCREMENT COLUMN COUNT      PTM42815
                          LD    1 0         LD NEXT CHAR                PTM42820
                          S       DMK05     .' APOSTROPHE               PTM42825
                          BSC  L  DMS10,+-  BRANCH IF TEXT APOSTROPHE   PTM42830
                          A       DMK05                                 PTM42835
                          STO     DMT03     STORE CONTROL ELEMENT       PTM42840
                          SRT     4                                     PTM42845
                          EOR     DMK04     /F                          PTM42850
                          BSC  L  DMS15,+-  DIGIT                       PTM42855
                          LDX   2 -10                                   PTM42860
                    DMS17 LD   L2 DMKTB+10  CONTROL ELEMENT TABLE ENTRY PTM42865
                          STO     DMT08     CONTROL ELEMENT TEMPORARY   PTM42870
                          SRA     8         SHIFT TO LOW 8 BITS         PTM42875
                          S       DMT03                                 PTM42880
                          BSC  L  DMS16,+-  BR CONTROL CHARACTER FOUND  PTM42885
                          MDX   2 1                                     PTM42890
                          MDX     DMS17                                 PTM42895
                          S       DMK14     .L-. (BLANK)                PTM42900
                          BSC     Z         SKIP IF QUOTE BLANK    2-10 PTM42905
                          MDX     DMS22     ILLEGAL CONTROL CHAR-FORCE  PTM42910
                          STO     DMS30     CLEAR SW YES DMES NEXT 2-10 PTM42915
                          MDX     DMS20     GO EXIT                2-10 PTM42920
                    DMS16 MDX   2 6                                     PTM42925
                          MDX     DMS21     BR OK EITHER DEVICE         PTM42930
                          MDX  L  DVCDE+1,0 SKIP IF 1053                PTM42935
                          MDX     DMS24     FORCE BLANK             212 PTM42940
                          LD      DMS21+1    MODIFY CODING TO           PTM42945
                          STO  L  DVCDE+2    PREVENT CONVERSION         PTM42950
                          MDX   2 -1                                    PTM42955
                          MDX     DMS23     BR REPEAT OK                PTM42960
                          SLA     16                                    PTM42965
                          STO     DMT05     CLEAR REPEAT FLAG           PTM42970
                    DMS23 LD      DMT08     TEMPORARY FROM TABLE        PTM42975
                          SLA     8                                     PTM42980
                          SRA     8         EXTRACT CONTROL CHARACTER   PTM42985
                          MDX     DMS24+1                               PTM42990
                    DMS22 LD      DMK06     .S                          PTM42995
                          BSI  L  ERFLG                             2-8 PTM43000
                    DMS24 LD      DMK07     . . BLANK                   PTM43005
                          BSC  L  DMS10+1                               PTM43010
                    DMS21 MDX   2 1                                     PTM43015
                          MDX     *+1                                   PTM43020
                          MDX     DMS13     .E -END OF STRING           PTM43025
                          MDX   2 1                                     PTM43030
                          MDX     DMS24     SPACE OR BLANK              PTM43035
                          BSI     DMS12     .F -REPEAT NEXT CHARACTER   PTM43040
                          LD    1 0         LOAD CHAR FOR REPEAT        PTM43045
                          BSC  L  DMS10+1                               PTM43050
                    DMS15 SLT     4                                     PTM43055
                          S       DMK08     ONE                         PTM43060
                          STO     DMT08     TEMP FOR CONTROL MPYR       PTM43065
                          MDX  L  DMT07,0   TENX FLAG                   PTM43070
                          MDX     DMS14     BR MPY 10                   PTM43075
                          STO     DMT05     REPEAT FLAG                 PTM43080
                          STX     DMT07     SET TENX FLAG               PTM43085
                          MDX     DMS03+1                               PTM43090
                    DMS14 LD      DMT05     REPEAT FLAG                 PTM43095
                          A       DMK08     ONE                         PTM43100
                          M       DMK09     TEN                         PTM43105
                          SLT     16                                    PTM43110
                          A       DMT08                                 PTM43115
                          STO     DMT05                                 PTM43120
                          S       DMK10     99                          PTM43125
                          BSC  L  DMS03+1,+Z                            PTM43130
                          LD      DMK10     CONTROL MPYR GREATER THN 99 PTM43135
                          S       DMK08                                 PTM43140
                          STO     DMT05     98                          PTM43145
                          LD      DMK06     .S                          PTM43150
                          BSI  L  ERFLG                             2-8 PTM43155
                          MDX     DMS03+1                               PTM43160
                    *                                                   PTM43165
                    * CONTROL CHARACTER TABLE                           PTM43170
                    *                                                   PTM43175
                    DMKTB DC      /E740     X-BLANK                     PTM43180
                          DC      /E240     S-SPACE                     PTM43185
                          DC      /C640     F-REPEAT CHAR FOLLOWING     PTM43190
                          DC      /C540     E-END OF CHARACTER STRING   PTM43195
                          DC      /C205      B-RIBBON CONTROL - BLACK   PTM43200
                          DC      /C109      A-RIBBON CONTROL - RED     PTM43205
                          DC      /E341      T-TABULATE                 PTM43210
                          DC      /C411      D-BACKSPACE                PTM43215
                          DC      /D981      R-CARRIAGE RETURN          PTM43220
                          DC      /D303      L-LINE FEED                PTM43225
                    *                                                 * PTM43230
                    CONAB DC      CONTP      IF 0, 1053 CODE            PTM43235
                          DC      CON43      1, 1403 CODE               PTM43240
                    TYPOT BSC  L  *-*                                   PTM43245
                    CONTP EQU     TYPOT+1                               PTM43250
                          SRT     16         CLEAR EXT.                 PTM43255
                          SLT     9          SHIFT ONE BIT TO ALL       PTM43260
                          BSC  L  ALNUM,Z    BR TO HANDLE ALPHA-NUMERIC PTM43265
                          SLT     3                                     PTM43270
                          RTE     16                                    PTM43275
                          SRA     12         RIGHT JUSTIFY              PTM43280
                          S       PR260      USE BITS 4-7 TO            PTM43285
                          BSC     +Z         COMPUTE TBL POINTER        PTM43290
                          A       H0010                                 PTM43295
                          STO     *+1                                   PTM43300
                          LDX  L2 *-*        GETCH TABLE POINTER        PTM43305
                          SLT     30                                    PTM43310
                          BSC     +Z         SKIP IF BIT 2 OFF          PTM43315
                          MDX   2 +7         POINT TO 2ND HALF          PTM43320
                          SLA     2          SET BOTH 3 IN CARRY        PTM43325
                          LD   L2 COTAT      FETCH CONV CHAR            PTM43330
                          BSC     C          SKIP TO GET LEFT HALF      PTM43335
                          MDX     *+1                                   PTM43340
                          SLA     8          FETCH RIGHT HALF           PTM43345
                          SRA     8          RIGHT JUSTIFY              PTM43350
                          MDX     COTP2      BR TO EXIT                 PTM43355
                    *                                                 * PTM43360
                    ALNUM SLT     7          MOVE CHAR BACK TO ACC      PTM43365
                          SLA     11                                    PTM43370
                          LDX  L2 TYPTB-1    FETCH TABLE POINTER        PTM43375
                          BSC     C                                     PTM43380
                          MDX   2 10         USE SECOND HALF OF TABLE   PTM43385
                          SLA     1          SET CARRY FOR HALF WORD    PTM43390
                          SRA     12                                    PTM43395
                          OR      LDKON      SET UP LOAD                PTM43400
                          STO     *               INSTRUCTION           PTM43405
                          LD    2 0          FETCH WORD WITH CHARACTER  PTM43410
                          BSC     C                                     PTM43415
                          SLA     8          RIGHT HALF WORD            PTM43420
                          SRA     8          LEFT HALF WORD             PTM43425
                    COTP2 MDX     TYPOT      EXIT                       PTM43430
                    *                                                 * PTM43435
                    H0010 DC      /0010      CONSTANT 16                PTM43440
                    LDKON LD    2 0          CONSTANT                   PTM43445
                    TYPTB DC      /3C7C       A        J                PTM43450
                          DC      /1858       B        K                PTM43455
                          DC      /1C5C       C        L                PTM43460
                          DC      /3070       D        M                PTM43465
                          DC      /3474       E        N                PTM43470
                          DC      /1050       F        O                PTM43475
                          DC      /1454       G        P                PTM43480
                          DC      /2464       H        Q                PTM43485
                          DC      /2060       I        R                PTM43490
                          DC      /21C4       BLANK    0                PTM43495
                    *          START SECOND HALF OF TABLE             * PTM43500
                          DC      /21FC       BLANK    1                PTM43505
                          DC      /98D8       S        2                PTM43510
                          DC      /9CDC       T        3                PTM43515
                          DC      /B0F0       U        4                PTM43520
                          DC      /B4F4       V        5                PTM43525
                          DC      /90D0       W        6                PTM43530
                          DC      /94D4       X        7                PTM43535
                          DC      /A4E4       Y        8                PTM43540
                          DC      /A0E0       Z        9                PTM43545
                          DC      /2121       BLANK    BLANK            PTM43550
                    *             ENTER WITH 1 EBCDIC CHARACTER IN A,   PTM43555
                    *                   RIGHT JUSTIFIED WITH HIGH ZERO. PTM43560
                    *                   EXIT WITH 1403 CODE IN A.       PTM43565
                    *             SPECIAL CHARACTER TABLE FOR 1053.     PTM43570
                    CON43 DC      *-*                                   PTM43575
                          LDX  L2 PR460      SET TABLE POINTER          PTM43580
                          SLA     8          LEFT-JUSTIFY               PTM43585
                          BSC     -          SPECIAL CHAR.IF NOT NEG.   PTM43590
                          MDX     PR270      GO PROCESS SPECIAL CHAR    PTM43595
                          SLA     2          1ST OR 2ND HALF OF TABLE   PTM43600
                          BSC     C          *UPPER CASE         *      PTM43605
                          MDX     *+1        *CHARACTERS         *      PTM43610
                          MDX     PR270-1    *TREATED AS BLANKS  *      PTM43615
                          BSC     +          1ST HALF REQUIRED,SKIP     PTM43620
                          MDX   2 10         2ND HALF REQUIRED,SET IR2  PTM43625
                          SLA     2          SET CARRY IF RT.HALF TABLE PTM43630
                          SRA     12         MOVE TO RT.HAND SIDE       PTM43635
                          STO     *+1        COMPUTE TABLE INCREMENT    PTM43640
                    PR200 LD   L2 *-*        LOAD 2-1403 CHARACTERS     PTM43645
                          BSC     C          CHK.CARRY FOR RT.OR LEFT   PTM43650
                          SLA     8          ISOLATE AND LEFT JUSTIFY   PTM43655
                          SRA     8          THE CHARACTER REQUIRED     PTM43660
                          SRT     8          SAVE CHARACTER             PTM43665
                          LD      PR200+1    CHK.VALIDITY OF ORIGINAL   PTM43670
                          S       PR260      EBC HALF CHAR.TREAT AS     PTM43675
                          BSC     -          SPECIAL IF GREATER         PTM43680
                          MDX     PR270-1    THAN 9                     PTM43685
                    PR210 SLA     16                                    PTM43690
                          SLT     8          BRING BACK CHAR SAVED      PTM43695
                          BSC  I  CON43      CONVERSION COMPLETE,EXIT   PTM43700
                    *                                                   PTM43705
                    PR310 DC      /7F00      1403 CODE FOR A BLANK      PTM43710
                    TEMP1 DC      0          TEMP STORAGE               PTM43715
                    PR260 DC      10         CONSTANT 10                PTM43720
                    *                                                   PTM43725
                    * ROUTINE TO CONVERT SPECIAL CHARACTER              PTM43730
                    *                                                   PTM43735
                          LD      PR310      FORCE BLANK CHARACTER      PTM43740
                    PR270 STO     TEMP1      SAVE CHAR IN TEMP LOC.     PTM43745
                          LDX   2 13         INIT.XR2 TO SPEC.TABLE CNT PTM43750
                    PR280 SLT     32         CLEAR Q REGISTER           PTM43755
                          LD   L2 PR470-1    LD CHAR FROM SPECIAL TBL   PTM43760
                          SRT     8          SAVE 1403 CHAR IN Q REG.   PTM43765
                          SLA     8          LEFT JUSTIFY EBC CHAR      PTM43770
                          S       TEMP1      IS IT CHAR.WE WANT         PTM43775
                          BSC     +-         NO,SKIP                    PTM43780
                          MDX     PR210      YES,GO GET 1403 EQUIVALENT PTM43785
                          MDX   2 -1         NEXT WORD IN TABLE         PTM43790
                          MDX     PR280      LOOP                       PTM43795
                          MDX     PR210      NOT IN TABLE,TREAT AS BLK  PTM43800
                    PR460 DC      /7F7F      BLANK     BLANK            PTM43805
                          DC      /6458      A         J                PTM43810
                          DC      /2519      B         K                PTM43815
                          DC      /261A      C         L                PTM43820
                          DC      /675B      D         M                PTM43825
                          DC      /681C      E         N                PTM43830
                          DC      /295D      F         O                PTM43835
                          DC      /2A5E      G         P                PTM43840
                          DC      /6B1F      H         Q                PTM43845
                          DC      /2C20      I         R                PTM43850
                    *                                                   PTM43855
                    * SECOND HALF OF TABLE                              PTM43860
                    *                                                   PTM43865
                          DC      /7F49                0                PTM43870
                          DC      /7F40                1                PTM43875
                          DC      /0D01      S         2                PTM43880
                          DC      /0E02      T         3                PTM43885
                          DC      /4F43      U         4                PTM43890
                          DC      /1004      V         5                PTM43895
                          DC      /5145      W         6                PTM43900
                          DC      /5246      X         7                PTM43905
                          DC      /1307      Y         8                PTM43910
                          DC      /5408      Z         9                PTM43915
                    *                                                   PTM43920
                    *SPECIAL CHARACTER TABLE.EBC CODE IN LEFT SIDE,     PTM43925
                    *1403 EQUIVALENT IN RIGHT                           PTM43930
                    *                                                   PTM43935
                    PR470 DC      /407F      BLANK                      PTM43940
                          DC      /7E4A      EQUAL                      PTM43945
                          DC      /7D0B     APOSTROPHE              2-5 PTM43950
                          DC      /614C      SLASH                      PTM43955
                          DC      /5015      AMPERSAND                  PTM43960
                          DC      /6B16      COMMA                      PTM43965
                          DC      /4D57      LEFT PAREN                 PTM43970
                          DC      /6061      MINUS                      PTM43975
                          DC      /5B62      DOLLAR                     PTM43980
                          DC      /5C23      ASTERISK                   PTM43985
                          DC      /4E6D      PLUS                       PTM43990
                          DC      /4B6E      PERIOD                     PTM43995
                          DC      /5D2F      RIGHT PAREN                PTM44000
                    COTAT DC      /4202      EXC PT    CENT             PTM44005
                          DC      /4000      $         PERIOD           PTM44010
                          DC      /D6DE       *        LESS THAN        PTM44015
                          DC      /F6FE      )         (                PTM44020
                          DC      /D2DA      SEMICOLON +                PTM44025
                          DC      /F2C6      NOT       OR               PTM44030
                          DC      /4421     AMPERSAND BLANK             PTM44035
                          DC      /8221      COLON     BLANK            PTM44040
                          DC      /C080      POUND     ,                PTM44045
                          DC      /0406     AT        PERCENT           PTM44050
                          DC      /E6BE      '         UNDERSCORE       PTM44055
                          DC      /C246      =         GREATER          PTM44060
                          DC      /E286      QUOTE     QUESTION         PTM44065
                          DC      /2184      BLANK     MINUS            PTM44070
                          DC      /21BC      BLANK     SLASH            PTM44075
                    *                                                   PTM44080
                    DMS25 BSI  L  LDLBL     GET NEXT RECORD        2-10 PTM44085
                          MDX  L  DMS30,0   MUST NEXT REC BE DMES  2-10 PTM44090
                          MDX     DMS40     BO GO EXIT             2-10 PTM44095
                          LD    1 30        TEST NEXT OP FOR DMES  2-10 PTM44100
                          RTE     8                                2-10 PTM44105
                          LD    1 29                               2-10 PTM44110
                          RTE     8                                2-10 PTM44115
                          LD    1 27                               2-10 PTM44120
                          SLA     8                                2-10 PTM44125
                          OR    1 28                               2-10 PTM44130
                          SD   L  DMESM     SUBTRACT MASK          2-10 PTM44135
                          BSC  L  STRT9,+-  IF ZERO RETURN         2-10 PTM44140
                          STO   3 ASSAD-X3  SET TO NOT ZERO        2-10 PTM44145
                          SLA     16        CLEAR                  2-10 PTM44150
                          STO  L  DMT04     NO CHARACTERS TRUNC    2-10 PTM44155
                          LD      DMS40+1   GET RETURN ADDR        2-10 PTM44160
                          STO  L  P9202     SET IN ERROR ACTION    2-10 PTM44165
                          MDX  L  ERADD,MCOM5-ERCNT  PT.WARN CNT.  2-11 PTM44170
                          LD      DMESQ     GET WARNING MSG        2-10 PTM44175
                          BSC  L  FLGCO     GO SET FLAG            2-10 PTM44180
                    DMS40 BSC  L  STRT9     GO TO OP CODE SEARCH   2-10 PTM44185
                    DMESQ DC      .Q        Q WARN FLAG            2-10 PTM44187
                          BSS  E  0                                2-10 PTM44190
                    *                                              2-10 PTM44195
                    *                                              2-10 PTM44200
                    *                                                   PTM44205
                    DMMAX EQU     P9000-1   CALC PATCH AREA        2-10 PTM44210
                          BSS     DMMAX-*   PH 8 PATCH AREA        2-10 PTM44215
         E3         S8AZ  DC      0                                     PTM44220
*SBRKSLS E3          ASM PUNCH CONVERSION PHASE                   V2M08 PTM44225
                          HDNG    ***ASM PUNCH CONVERSION***            PTM44230
                    *************************************************** PTM44235
                    *                                                 * PTM44240
                    *STATUS-VERSION 2, MODIFICATION 8                 * PTM44245
                    *                                                 * PTM44250
                    *FUNCTION/OPERATION-                              * PTM44255
                    *                                                 * PTM44260
                    *ENTRY POINTS-                                    * PTM44265
                    *   *PN010+1 - ENTRY FROM PHASE 3,9, OR 12        * PTM44270
                    *                                                 * PTM44275
                    *INPUT-                                           * PTM44280
                    *   * A BUFFER TO BE CONVERTED                    * PTM44285
                    *                                                 * PTM44290
                    *OUTPUT                                           * PTM44295
                    *   *A CONVERTED BUFFER AND PUNCHED DATA          * PTM44300
                    *                                                 * PTM44305
                    *EXTERNAL RERERENCES-                             * PTM44310
                    *   *SUBROUTINES-                                 * PTM44315
                    *      * GETS6                                    * PTM44320
                    *      * GETS7                                    * PTM44325
                    *      * GETS8                                    * PTM44330
                    *      * GTS8A                                    * PTM44335
                    *      * GTS12                                    * PTM44340
                    *   *DCOM/COMMA-                                  * PTM44345
                    *       $IBSY                                     * PTM44350
                    *                                                 * PTM44355
                    *EXITS-                                           * PTM44360
                    *   *NORMAL - TO THE CALLER                       * PTM44365
                    *   * ERROR - NONE                                * PTM44370
                    *                                                 * PTM44375
                    *TABLES/WORK AREAS- N/A                           * PTM44380
                    *                                                 * PTM44385
                    *ATTRIBUTES-REUSABLE                              * PTM44390
                    *                                                 * PTM44395
                    *NOTES-N/A                                        * PTM44400
                    *                                                 * PTM44405
                    *************************************************** PTM44410
                    *                                                   PTM44415
                          ORG     OVLAY                                 PTM44420
                          DC      PN900-PN000  WORD COUNT OF PNCH CNV   PTM44425
                          DC      /E3       SLET ID OF PNCH CNVT    2-8 PTM44430
                    *                                                 * PTM44435
                    PN000 BSC  L  GETS5     FETCH PH 5              2-8 PTM44440
                          BSC  L  GETS6     FETCH PH 6              2-8 PTM44445
                          BSC  L  GETS7     FETCH PH 7              2-8 PTM44450
                          BSC  L  GETS8     FETCH PH 8              2-8 PTM44455
                          BSC  L  GTS8A     FETCH PH 8A             2-8 PTM44460
                          BSC  L  GTS12     FETCH PH 12             2-8 PTM44465
                          BSC  L  GTS13     FETCH MACRO PH 1        2-8 PTM44470
                          BSC  L  GETS2     FETCH PH 2              2-8 PTM44475
                    *                                                 * PTM44480
                    PN010 BSC  L  *-*        ENTRY                      PTM44485
                          STX   1 PN060+1    SAVE I/O AREA ADDR         PTM44490
                          STX   1 PN015+1                               PTM44495
                          STX   1 SYMTB+2                               PTM44500
                          STX   1 PN040+1                               PTM44505
                          STX   1 PN210+1                               PTM44510
                          BSC     +-         SKIP ON LIST DECK REQ      PTM44515
                          MDX     SYMTB      BR TO HANDLE SYM TBL       PTM44520
                          LDX   2 +19        INITIALIZE WD CNT          PTM44525
                    PN015 STX  L2 *-*        SET UP BFR WD CNT          PTM44530
                    *                                                   PTM44535
                    CV055 LD    3 LDKOP-X3                              PTM44540
                          BSC     +Z         SKIP ON EDIT DECK          PTM44545
                          MDX     PN035      BR TO HANDLE FULL LIST     PTM44550
                          MDX   2 -2         SET TO CLEAR FIRST 17 COL. PTM44555
                    *                                                 * PTM44560
                          SLA     16                                    PTM44565
                    PN020 STO   1 1                                     PTM44570
                          MDX   1 +1                                    PTM44575
                          MDX   2 -1                                    PTM44580
                          MDX     PN020                                 PTM44585
                          STX   1 PN040+1   SET TO PT TO CC 17      2-8 PTM44590
                          MDX   2 +2         SET WD CNT TO 2            PTM44595
                          MDX   1 -17                                   PTM44600
                    PN035 MDX   1 +19        POINT TO CC 19             PTM44605
                    PN030 LD    1 0                                     PTM44610
                          S       PN215     SCAN FROM RT FOR BLANKS 2-8 PTM44615
                          BSC     Z          SKIP IF BLANK              PTM44620
                          MDX     PN040      BR OUT IF NON BLANK        PTM44625
                          STO   1 0         STORE ZEROES IF BLANK   2-8 PTM44630
                          MDX   1 -1         DECRE IOAR POINTER         PTM44635
                          MDX   2 -1         DECRE COLUMN COUNT         PTM44640
                          MDX     PN030      LOOP TO CONTINUE SCAN      PTM44645
                    PN036 MDX     PN210-1    BR TO RETURN               PTM44650
                    *                                                 * PTM44655
                    PN040 LDX  L1 *-*        RESET I/O PNTR             PTM44660
                          STX     PN050+1                               PTM44665
                    PN045 LD      PN050+1                               PTM44670
                          A       DISP                                  PTM44675
                          STO     PN050+1                               PTM44680
                    PN050 LDX  L3 *-*                                   PTM44685
                          LD    1 +1                                    PTM44690
                          BSC     +-         SKIP IF COLUMN NON-ZERO    PTM44695
                          MDX     EBHXT      BR TO SKIP CONVERSION      PTM44700
                          S       H00C0      = 'C0'                     PTM44705
                          BSC     +-         SKIP IF NOT A 'C0'         PTM44710
                          MDX     PN190      BR TO TREAT AS BLANK       PTM44715
                          A       H00C0                                 PTM44720
                          S       EBHCN      =.                         PTM44725
                          BSC     +-         SKIP BLANK - NO PNCHS      PTM44730
                          MDX     EBHXT      GO TO DECRE WD CNT         PTM44735
                          S       HDLLR+1    CHECK FOR DOLLAR SIGN      PTM44740
                          BSC     +-         SKIP                       PTM44745
                          MDX     EBXTA                                 PTM44750
                          A       HDLLR+1    NOT DOLLAR SIGN            PTM44755
                          S       HSLSH+1    =./                        PTM44760
                          BSC     +-         KSIP IF NOT A SLASH        PTM44765
                          MDX     EBSLH      BR TO CNVRT SLASH          PTM44770
                          A       HSLSH+1                               PTM44775
                    *                                                 * PTM44780
                          S     3 0          FIND ZONE GROUP            PTM44785
                          STO     EBHB+1     STORE NUMERIC VALVE        PTM44790
                          MDX   3 +2                                    PTM44795
                          BSC     +Z                                    PTM44800
                          MDX     *-5                                   PTM44805
                    *                                                 * PTM44810
                          LD    3 -1                                    PTM44815
                          STO     EBHC                                  PTM44820
                          LD      EBHT+3     =/2000                     PTM44825
                    EBHB  LDX  L3 *-*                                   PTM44830
                          SRA   3 0          GENERATE NUMERIC PUNCH     PTM44835
                          OR      EBHC       COMBINE WITH ZONE PUNCH.   PTM44840
                    EBHXT MDX   2 -1         DECRE WD CNT               PTM44845
                          MDX     CV110      BR TO CNVRT NEXT CHAR      PTM44850
                    *                                                 * PTM44855
                    CV100 OR      PSTOP      SET PNCH STOP CHAR         PTM44860
                          STO   1 +1         OUTPUT THE CNV CHAR        PTM44865
                          MDX     PN200      BR TO PUNCH                PTM44870
                    SYMTB LDX   2 +39                                   PTM44875
                          STX  L2 *-*        SET UP BFR WD CNT          PTM44880
                          MDX     PN040+2                               PTM44885
                    *                                                 * PTM44890
                    CV110 STO   1 +1         OUTPUT THE CNV CHAR        PTM44895
                          MDX   1 +1         INCRE IOAR POINTER         PTM44900
                          MDX     PN040+2    BR TO CNVRT NEXT CHAR      PTM44905
                    EBXTA LD      HDLLR      COL. IMAGE OF DOLLAR SIGN  PTM44910
                          MDX     EBHXT                                 PTM44915
                          BSS  E  0                                     PTM44920
                    PN060 DC      /7001      PNCH FUNC CODE             PTM44925
                          DC      *-*        IOAR ADDR                  PTM44930
                    EBSLH LD      HSLSH      FETCH HOL SLASH CODE       PTM44935
                          MDX     EBHXT      BR TO CNVR EXIT            PTM44940
                    *                                                 * PTM44945
                    HDLLR DC      /4420                                 PTM44950
                          DC      .$-.                                  PTM44955
                    HSLSH DC      /3000      HOL SLASH CODE             PTM44960
                          DC      /21        EBC SLASH CODE - 40        PTM44965
                    EBHT  DC      .0-.       0-9 NO ZONE                PTM44970
                          DC      0                                     PTM44975
                          DC      .S-2-.0    S-Z  0 ZONE                PTM44980
                          DC      /2000                                 PTM44985
                          DC      .J-1-.S+2 J-R  11 ZONE                PTM44990
                          DC      /4000                                 PTM44995
                          DC      .A-.J      A-I  12 ZONE               PTM45000
                          DC      /8000                                 PTM45005
                          DC      /FF78      AT SIGN OR POUND SIGN      PTM45010
                          DC      /0020                                 PTM45015
                    EBHC  DC      0                                     PTM45020
                    EBHCN DC      .                                     PTM45025
                    CV053 DC      1          CONSTANT ONW               PTM45030
                    DISP  DC      EBHT-PN045                            PTM45035
                    H00C0 DC      /C0        CONSTANT                   PTM45040
                    *                                                 * PTM45045
                    PN190 SLA     16         CLEAR ACC                  PTM45050
                          MDX     EBHXT      BR TO EXIT CONVERSION      PTM45055
                    *                                                 * PTM45060
                    PN200 LDD     PN060      FUNC CODE & IOAR ADDR      PTM45065
                          MDX  L  RP000,+3                              PTM45070
                          BSI  I  RP000      BR TO PNCH A RCRD          PTM45075
                          MDX  L  RP000,-3                              PTM45080
                    *                                                   PTM45085
                          LD   L  $IBSY                                 PTM45090
                          BSC     Z          SKIP IF PNCH NOT BUSY      PTM45095
                          MDX     *-4        LOOP TIL NOT BUSY          PTM45100
                    *                                                 * PTM45105
                          LD      ORGCT                                 PTM45110
                    PN210 STO  L  *-*        RESTO ORIG WD CNT          PTM45115
                          BSI  L  LDXRS      RESTO XR1 & XR3            PTM45120
                          MDX     PN010      RETURN TO CALLER           PTM45125
                    *                                                 * PTM45130
                    PN215 DC      /40       EBCD1C CODE FOR BLANK   2-8 PTM45135
                    PSTOP DC      /0008      PUNCH STOP CHAR            PTM45140
                    ORGCT DC      /50        ORIGINAL WD CNT            PTM45145
                    *                                                 * PTM45150
                          BSS     5         PUNCH CONVERSION PATCH  2-8 PTM45155
                    PN900 DC      0                                     PTM45160
*SBRKSLS E6          ASM GRAPHIC ORDER PHASE                      V2M08 PTM45165
                          HDNG    1130/2250 ASSEMBLER PHASE 13      2G2 PTM45170
                    ************************************************2G2 PTM45175
                    *                                              *2G2 PTM45180
                    *STATUS - VERSION 2, MODIFICATION 9            *2G2 PTM45185
                    *                                              *2G2 PTM45190
                    *FUNCTION/OPERATION-                           *2G2 PTM45195
                    *   *PHASE 13 PROCESSES ALL OF THE ASSEMBLER   *2G2 PTM45200
                    *    1130/2250 ORDERS TO OUTPUT MACHINE ORDERS.*2G2 PTM45205
                    *   *THE GRAPHIC OP CODE TABLE IS SEARCHED. IF *2G2 PTM45210
                    *    MNEMONIC  IS NOT VALID,CONTROL IS PASSED  *2G2 PTM45215
                    *    TO PHASE 9.                               *2G2 PTM45220
                    *   *WHEN IN PASS 1, THE L.A.C. IS INCREMENTED *2G2 PTM45225
                    *    TO REFLECT THE SIZE OF THE ORDER.         *2G2 PTM45230
                    *   *WHEN IN PASS 2, A BRANCH IS MADE THROUGH  *2G2 PTM45235
                    *    THE 4TH WORD OF THE OP CODE TABLE ENTRY TO*2G2 PTM45240
                    *    THE CODING THAT WILL PROCESS THE ORDER.   *2G2 PTM45245
                    *   *THE FORMAT, TAG AND OPERAND FIELDS ARE    *2G2 PTM45250
                    *    TESTED AND THE SCAN SUBROUTINE IN PHASE 9 *2G2 PTM45255
                    *    IS USED TO EVALUTE ANY OPERANDS.          *2G2 PTM45260
                    *   *THE ORDER IS CONVERTED FOR PRINTING BY    *2G2 PTM45265
                    *    B4HEX IN PHASE 9 AND THE OBJECT OUTPUT IS *2G2 PTM45270
                    *    STOREDIN THE DSF BUFFER BY DFOUT IN PH 9. *2G2 PTM45275
                    *                                              *2G2 PTM45280
                    *ENTRY POINTS-                                 *2G2 PTM45285
                    *   * G4000                                    *2G2 PTM45290
                    *                                              *2G2 PTM45295
                    *INPUT- N/A                                    *2G2 PTM45300
                    *                                              *2G2 PTM45305
                    *OUTPUT-                                       *2G2 PTM45310
                    *   *THE MACHINE CODE FOR THE ORDER BEING      *2G2 PTM45315
                    *    PROCESSED.                                *2G2 PTM45320
                    *                                              *2G2 PTM45325
                    *EXTERNAL REFERENCES-                          *2G2 PTM45330
                    *   *SUBROUTINES-                              *2G2 PTM45335
                    *       * B4HEX                                *2G2 PTM45340
                    *       * DFOUT                                *2G2 PTM45345
                    *       * ERFLG                                *2G2 PTM45350
                    *       * LDLBL                                *2G2 PTM45355
                    *       * LDXRS                                *2G2 PTM45360
                    *       * SCAN                                 *2G2 PTM45365
                    *       * OPERR                                *2G2 PTM45370
                    *       * CLLCT                                *2G2 PTM45375
                    *       * P9MVE                                *2G2 PTM45380
                    *                                              *2G2 PTM45385
                    *EXITS-                                        *2G2 PTM45390
                    *   *NORMAL - LDLBL SUBROUTINE IN PHASE 9      *2G2 PTM45395
                    *   *ERROR - ERFLG IN PHASE 9                  *2G2 PTM45400
                    *                                              *2G2 PTM45405
                    *TABLES/WORK AREAS- N/A                        *2G2 PTM45410
                    *                                              *2G2 PTM45415
                    *ATTRIBUTES-                                   *2G2 PTM45420
                    *   *REUSABLE                                  *2G2 PTM45425
                    *           E                                  *2G2 PTM45430
                    *NOTES-                                        *2G2 PTM45435
                    *   *THE ADDRESS AT WHICH PHASE 13 ORIGINS AT  *2G2 PTM45440
                    *    IS DEPENDENT UPON THE ADDRESS AT WHICH    *2G2 PTM45445
                    *    THE PRINCIPLE PRINT ROUTINE IS LOADED AND *2G2 PTM45450
                    *    THE LENGTHS OF THE TWO PRINT ROUTINES. IF *2G2 PTM45455
                    *    EITHER CHANGES, THE ORIGIN ADDRESS FOR    *2G2 PTM45460
                    *    PHASE 13 MUST BE ALTERED TO REFLECT THIS  *2G2 PTM45465
                    *    CHANGE.                                   *2G2 PTM45470
                    *                                              *2G2 PTM45475
                    ************************************************2G2 PTM45480
                    *                                               2G2 PTM45485
                    *                                               2G2 PTM45490
                          ORG     GRAPH                            2-11 PTM45495
                          DC      -1    GRAPHI3 (2250-4) PHASE IDENT2G2 PTM45500
                          DC      /E6       SLET ID OF PHASE 13     2-8 PTM45505
                    *                                               2G2 PTM45510
                    *     PHASE 13 PROCESSES ALL OF THE             2G2 PTM45515
                    *     GRAPHIC ORDERS.                           2G2 PTM45520
                    *                                               2G2 PTM45525
                    G4000 BSI  L  LDXRS                             2G2 PTM45530
                          LDX  L2 TBLE1                             2G2 PTM45535
                          LDX  L1 TBLE1-G4990 INIT X1 WITH NEG TBL L2G2 PTM45540
                    G4010 LDD   3 SYMBF-X3   LOAD ACC WITH OP CODE  2G2 PTM45545
                          SD    2 0          SUBTRACT TABLE ARGUMENT2G2 PTM45550
                          BSC     +-                                2G2 PTM45555
                          RTE     16                                2G2 PTM45560
                          BSC  L  G4040,+-   BRANCH IF OP CODE FOUND2G2 PTM45565
                          MDX   2 +4         INCREMENT TABLE ENTRY P2G2 PTM45570
                          MDX   1 +4         DECREMENT NEG ENTRY CTR2G2 PTM45575
                          MDX     G4010                             2G2 PTM45580
                          BSC  L  OPERR                             2-8 PTM45585
                    G4040 LD      G4087     PREVENT FURTHER PH      2-8 PTM45590
                          STO  L  OPVND     *2 MNEMONICS            2-8 PTM45595
                          LD    3 PASS-X3   CHECK IF PASS 1 OR 2    2-8 PTM45600
                          BSC  L  G4070,Z    BRANCH IF PASS 2       2G2 PTM45605
                          STX   2 SAVE2                             2G2 PTM45610
                          LD      SAVE2                             2G2 PTM45615
                          S       ADDR1                             2G2 PTM45620
                          BSC  L  G4070,-    BR IF CHAR STROKE ORDER2G2 PTM45625
                          LD    2 2                                 2G2 PTM45630
                          BSC  L  G4050,E    BRANCH IF 1 WORD ORDER 2G2 PTM45635
                          MDX  L  ADCOW,1                           2G2 PTM45640
                          NOP                                       2G2 PTM45645
                    G4050 MDX  L  ADCOW,1    INCREMENT L.A.C.       2G2 PTM45650
                          NOP                                       2G2 PTM45655
                    G4060 BSI  L  LDLBL     READ NEXT RCD           2-8 PTM45660
                          BSC  L  STRT9     BR TO OP CODE SEARCH    2-8 PTM45665
                    *                                               2G2 PTM45670
                    *         *** START OF PASS 2 PROCESSING ***    2G2 PTM45675
                    *                                               2G2 PTM45680
                    G4070 BSI   3 LDXRS-X3   INCREMENT X1 TO POINT  2G2 PTM45685
                          MDX   1 +35        TO COLUMN 35           2G2 PTM45690
                          LD    1 -3                                2G2 PTM45695
                          STO     SAVE0      SAVE COLUMN 32         2G2 PTM45700
                          LD    2 2                                 2G2 PTM45705
                          BSC     +                                 2G2 PTM45710
                          MDX     G4080                             2G2 PTM45715
                          SRA     1                                 2G2 PTM45720
                          SLA     1                                 2G2 PTM45725
                          MDX     G4082                             2G2 PTM45730
                    G4080 SLA     1                                 2G2 PTM45735
                          SRA     1                                 2G2 PTM45740
                    G4082 STO   3 OPCNT-X3   STORE 3RD WD OF TBL ENT2G2 PTM45745
                          STO     SAVE1                             2G2 PTM45750
                          LD    2 +3                                2G2 PTM45755
                          STO     G4085+1                           2G2 PTM45760
                          LDX  L2 CONST                             2G2 PTM45765
                    G4085 BSC  L  *-*                               2G2 PTM45770
                    *                                               2G2 PTM45775
                    *         *** CONSTANTS ***                     2G2 PTM45780
                    *                                               2G2 PTM45785
                    G4087 DC      OPERR     OPERATION CODE ERR      2-8 PTM45790
                    CONST EQU     *                                 2G2 PTM45795
                    ADDR1 DC      STROK                             2G2 PTM45800
                    G1    DC      1         CONSTANT 1              2G2 PTM45805
                    G2    DC      2         CONSTANT 2              2G2 PTM45810
                    G3    DC      3         CONSTANT 3              2G2 PTM45815
                    G4    DC      4         CONSTANT 4              2G2 PTM45820
                    G6    DC      6         CONSTANT 6              2G2 PTM45825
                    G7    DC      7         CONSTANT 7              2G2 PTM45830
                    G8    DC      8         CONSTANT 8              2G2 PTM45835
                    G12   DC      12        CONSTANT 12             2G2 PTM45840
                    G15   DC      15        CONSTANT 15             2G2 PTM45845
                    PH8ID DC      99                                2G2 PTM45850
                    G127  DC      127       CONSTANT 127            2G2 PTM45855
                    G1K   DC      1023      CONSTANT 1023           2G2 PTM45860
                    G8K   DC      8191      CONSTANT 8191           2G2 PTM45865
                    GB0   DC      .0        EBCDIC ZERO             2G2 PTM45870
                    GB2   DC      .2        EBCDIC 2                2G2 PTM45875
                    GB3   DC      .3        EBCDIC 3                2G2 PTM45880
                    B     DC      .B        EBCDIC B                2G2 PTM45885
                    I     DC      .I        EBCDIC I                2G2 PTM45890
                    L     DC      .L        EBCDIC L                2G2 PTM45895
                    N     DC      .N        EBCDIC N                2G2 PTM45900
                    O     DC      .O        EBCDIC O                2G2 PTM45905
                    R     DC      .R        EBCDIC R                2G2 PTM45910
                    W     DC      .W        EBCDIC W                2G2 PTM45915
                    X     DC      .X        EBCDIC X                2G2 PTM45920
                    Z     DC      .Z        EBCDIC Z                2G2 PTM45925
                    BLANK DC      /0040     EBCDIC BLANK            2G2 PTM45930
                    COMMA DC      .,        EBCDIC COMMA            2G2 PTM45935
                    SAVE0 DC      0                                 2G2 PTM45940
                    MASK1 DC      /4000                             2G2 PTM45945
                    MASK2 DC      /0400                             2G2 PTM45950
                    MASK3 DC      /0080                             2G2 PTM45955
                    MASK4 DC      /0800                             2G2 PTM45960
                    MASK5 DC      /8000                             2G2 PTM45965
                    MASK6 DC      /0100                             2G2 PTM45970
                    MASK7 DC      /0200                             2G2 PTM45975
                    MASK8 DC      /0700                             2G2 PTM45980
                    SHORT DC      0                                 2G2 PTM45985
                    OPER2 DC      0                                 2G2 PTM45990
                    BRAN2 DC      G3447                             2G2 PTM45995
                          BSS  E  0                                 2G2 PTM46000
                    CPAIR DC      0                                 2G2 PTM46005
                    SHIFT DC      0                                 2G2 PTM46010
                    SAVE1 DC      0                                 2G2 PTM46015
                    SAVE2 DC      0                                 2G2 PTM46020
                    GBCE  DC      0                                 2G2 PTM46025
                    TEMP  DC      0                                 2G2 PTM46030
                    IND   DC      0                                 2G2 PTM46035
                    INCRM DC      0                                 2G2 PTM46040
                    COL6  DC      .0        EBCDIC ZERO             2G2 PTM46045
                    COL7  DC      .0        EBCDIC ZERO             2G2 PTM46050
                    GP63  DC      63        CONSTANT 63             2G2 PTM46055
                          DC      64        CONSTANT 64             2G2 PTM46060
                    D     DC      .D        EBCDIC D                2G2 PTM46065
                          DC      .S        EBCDIC S                2G2 PTM46070
                    S     DC      .S        EBCDIC S                2G2 PTM46075
                          DC      .D        EBCDIC D                2G2 PTM46080
                    GBGI  DC      0                                 2G2 PTM46085
                    GIGIC DC      0                                 2G2 PTM46090
                    *                                               2G2 PTM46095
                    *         *** CHECK VALIDITY OF COLUMNS 32 & 33 2G2 PTM46100
                    *                                               2G2 PTM46105
                    G4250 DC      0          ENTRY WORD             2G2 PTM46110
                          LD    1 -3                                2G2 PTM46115
                          S       BLANK      CHK IF COLUMN 32 = BLAN2G2 PTM46120
                          BSI  L  G4220,Z                           2G2 PTM46125
                          LD    1 -2                                2G2 PTM46130
                          S       BLANK      CHK IF COLUMN 33 = BLAN2G2 PTM46135
                          BSI  L  G4220,Z                           2G2 PTM46140
                          BSC  I  G4250      RETURN TO MAINLINE     2G2 PTM46145
                    *                                               2G2 PTM46150
                    * PROCESS STMR/SGMV/RVT/GNOP/SRVT/SGMP/SCMB/SCML2G2 PTM46155
                    *                                               2G2 PTM46160
                    G4260 LD    1 0                                 2G2 PTM46165
                          S       BLANK      CHK IF COLUMN 35 = BLAN2G2 PTM46170
                          BSI  L  G4200,Z    BRANCH IF NO           2G2 PTM46175
                          BSI     G4250                             2G2 PTM46180
                          BSI     G4090                             2G2 PTM46185
                          LD      SAVE1                             2G2 PTM46190
                          S    L  SRVT       ORDER = SRVT           2G2 PTM46195
                          BSC  L  G4060,Z    BRANCH IF NO           2G2 PTM46200
                    G4265 BSI     G4150                             2G2 PTM46205
                    G4270 MDX     G4060      READ NEXT RECORD       2G2 PTM46210
                    *                                               2G2 PTM46215
                    *         *** PROCESS MBI/DBI ORDERS ***        2G2 PTM46220
                    *                                               2G2 PTM46225
                    G4280 LDD     GP63                              2G2 PTM46230
                          STD     SAVE1                             2G2 PTM46235
                          LD    3 OPCNT-X3                          2G2 PTM46240
                          OR      MASK5                             2G2 PTM46245
                          STO   3 OPCNT-X3                          2G2 PTM46250
                          STX   1 INCRM      SET MBI/DBI INDICATOR  2G2 PTM46255
                          MDX     G4295                             2G2 PTM46260
                    *                                               2G2 PTM46265
                    *         *** PROCESS MBAX/MBAY/DBAX/DBAY ORDERS2G2 PTM46270
                    *                                               2G2 PTM46275
                    G4285 STX   3 SHORT      SET SHORT ABSOLUTE IND 2G2 PTM46280
                    *                                               2G2 PTM46285
                    *         *** PROCESS MBA/DBA ORDERS ***        2G2 PTM46290
                    *                                               2G2 PTM46295
                    G4290 LD      G1K                               2G2 PTM46300
                          STO     SAVE1                             2G2 PTM46305
                    G4295 BSI     G4250      BRANCH TO CHK COL 32+332G2 PTM46310
                    G4300 LD      L                                 2G2 PTM46315
                          STO   1 -3         STORE BCD L IN COLUMN 32G2 PTM46320
                    G4305 BSI  L  SCAN                              2-8 PTM46325
                          LDX  L2 CONST                             2G2 PTM46330
                          LD      INCRM      CHK IF ORDER = MBI0DBI 2G2 PTM46335
                          BSC  L  G4310,+-   BRANCH IF NO           2G2 PTM46340
                          LD    3 VALUE-X3                          2G2 PTM46345
                          BSC  L  G4320,-    BRANCH IF OPERAND =/GT 2G2 PTM46350
                          A       SAVE1+1                           2G2 PTM46355
                          BSC  L  G4330,Z+   BRANCH IF OPERAND LT -62G2 PTM46360
                          MDX     G4340                             2G2 PTM46365
                    G4310 LD    3 VALUE-X3                          2G2 PTM46370
                          BSC  L  G4330,Z+   BRANCH IF OPERAND LT 0 2G2 PTM46375
                    G4320 S       SAVE1                             2G2 PTM46380
                          BSC  L  G4340,+    BR IF OPERAND =/LT ARGU2G2 PTM46385
                    G4330 BSI     G4180      BRANCH TO ERROR SUBROUT2G2 PTM46390
                          SLA     16                                2G2 PTM46395
                          STO   3 VALUE-X3   ZERO OPERAND VALUE     2G2 PTM46400
                    G4340 LD      INCRM      CHK IF MBI/DBI ORDER   2G2 PTM46405
                          BSC  L  G4345,+-   BRANCH IF NO           2G2 PTM46410
                          LD    3 VALUE-X3                          2G2 PTM46415
                          SLA     9                                 2G2 PTM46420
                          SRA     9                                 2G2 PTM46425
                          STO   3 VALUE-X3                          2G2 PTM46430
                          LD      IND        CHECK IF 2ND OPERAND   2G2 PTM46435
                          BSC  L  G4345,Z    BRANCH IF YES          2G2 PTM46440
                          LD    3 VALUE-X3                          2G2 PTM46445
                          SLA     8                                 2G2 PTM46450
                          MDX     G4348                             2G2 PTM46455
                    G4345 LD    3 VALUE-X3                          2G2 PTM46460
                    G4348 OR    3 OPCNT-X3   OR OPERAND W/OP CODE WO2G2 PTM46465
                          STO   3 OPCNT-X3                          2G2 PTM46470
                          LD      INCRM      CHK IF ORDER = MBI/DBI 2G2 PTM46475
                          BSC  L  G4365,+-   BRANCH IF NO           2G2 PTM46480
                          LD      IND        CHK 2ND OPERAND SWITCH 2G2 PTM46485
                          BSC  L  G4360,Z    BRANCH IF 2ND OPERAND  2G2 PTM46490
                    G4350 STX   3 IND        SET 2ND OPERAND INDICAT2G2 PTM46495
                          MDX     G4305                             2G2 PTM46500
                    G4360 BSI     G4090                             2G2 PTM46505
                    G4362 SLT     32                                2G2 PTM46510
                          STD     IND        ZERO 2ND OPERAND SWITCH2G2 PTM46515
                    *                        MBI/DBI INDICATOR      2G2 PTM46520
                    G4363 MDX     G4270      BR TO READ NEXT REDORD 2G2 PTM46525
                    G4365 LD      IND                               2G2 PTM46530
                          BSC  L  G4367,Z    BRANCH IF 2ND OPERAND  2G2 PTM46535
                          BSI     G4090      BR TO OUTPUT WORD      2G2 PTM46540
                          LD      SHORT                             2G2 PTM46545
                          BSC  L  G4350,+-   BR IF NOT SHORT ABS ORD2G2 PTM46550
                          SLA     16                                2G2 PTM46555
                          STO     SHORT      ZERO SHORT ABSOLUTE IND2G2 PTM46560
                          MDX     G4363                             2G2 PTM46565
                    G4367 BSI     G4150      BRANCH TO OUTPUT WORD  2G2 PTM46570
                          MDX     G4362                             2G2 PTM46575
                    *                                               2G2 PTM46580
                    *                                               2G2 PTM46585
                    * *** OUTPUT OF ORDER WORD AND INDICATOR BITS **2G2 PTM46590
                    *                                               2G2 PTM46595
                    G4090 DC      0          ENTRY WORD             2G2 PTM46600
                          STX   1 G4100+1    SAVE X1                2G2 PTM46605
                          BSI   3 LDXRS-X3   INIT X1 TO POINT TO    2G2 PTM46610
                          MDX   1 +9         COLUMN 9               2G2 PTM46615
                          LD    2 COL6-CONST                        2G2 PTM46620
                          STO   1 -3         STORE IND BITS IN COL 62G2 PTM46625
                          LD    2 SAVE0-CONST                       2G2 PTM46630
                          STO   1 +23        RESTORE COLUMN 32      2G2 PTM46635
                    G4095 LD    3 OPCNT-X3                          2G2 PTM46640
                          STO   3 TRWRD-X3   STORE OP CODE TO CONSTA2G2 PTM46645
                          OR    2 G8-CONST                          2G2 PTM46650
                          STO   3 OPCNT-X3   ZERO OP CODE BUFFER    2G2 PTM46655
                          LD    3 TRWRD-X3                          2G2 PTM46660
                          BSI  L  B4HEX     BR TO CONVERSION        2-8 PTM46665
                          BSI  L  DFOUT     BR TO O/P SUBR          2-8 PTM46670
                          MDX  L  ADCOW,1    INCREMENT L.A.C.       2G2 PTM46675
                    G4100 LDX  L1 *-*        RESTORE X1             2G2 PTM46680
                          LDX  L2 CONST                             2G2 PTM46685
                          LD    2 GB0-CONST                         2G2 PTM46690
                          STO   2 COL6-CONST                        2G2 PTM46695
                          STO   2 COL7-CONST                        2G2 PTM46700
                          SLA     16                                2G2 PTM46705
                          STO   3 OPCNT-X3                          2G2 PTM46710
                          STO   3 TRWRD+1-X3                        2G2 PTM46715
                          BSC  I  G4090      RETURN TO MAINLINE     2G2 PTM46720
                    *                                               2G2 PTM46725
                    * *** SECOND ENTRY POINT OF OUTPUT SUBROUTINE **2G2 PTM46730
                    *                                               2G2 PTM46735
                    G4150 DC      0          ENTRY WORD             2G2 PTM46740
                          LD      G4150      TRANSFER RETURN ADDRESS2G2 PTM46745
                          STO     G4090                             2G2 PTM46750
                    G4160 BSI   3 LDXRS-X3   INIT X1 TO POINT TO    2G2 PTM46755
                          MDX   1 +13        COLUMN 13              2G2 PTM46760
                          LD    2 COL7-CONST                        2G2 PTM46765
                          STO   1 -6         STORE IND BITS IN COL 72G2 PTM46770
                          MDX     G4095                             2G2 PTM46775
                    *                                               2G2 PTM46780
                    *         *** ERROR CODE POSTING SUBROUTINE     2G2 PTM46785
                    *                                               2G2 PTM46790
                    G4180 DC      0          ENTRY WORD             2G2 PTM46795
                          LDD   2 W-CONST                           2G2 PTM46800
                    G4190 STX   1 G4195+1                           2G2 PTM46805
                          BSI  L  ERFLG     BR TO POST ERROR        2-8 PTM46810
                    G4195 LDX  L1 *-*        RESTORE X1             2G2 PTM46815
                          BSC  I  G4180      RETURN TO MAINLINE     2G2 PTM46820
                    G4200 DC      0          ENTRY WORD             2G2 PTM46825
                          LD      G4200                             2G2 PTM46830
                          STO     G4180      TRANSFER RETURN ADDRESS2G2 PTM46835
                          LDD   2 S-CONST                           2G2 PTM46840
                          MDX     G4190                             2G2 PTM46845
                    G4220 DC      0          ENTRY WORD             2G2 PTM46850
                          LD      G4220                             2G2 PTM46855
                          STO     G4180      TRANSFER RETURN ADDRESS2G2 PTM46860
                          LDD   2 X-CONST                           2G2 PTM46865
                          MDX     G4190                             2G2 PTM46870
                    G4230 DC      0          ENTRY WORD             2G2 PTM46875
                          LD      G4230                             2G2 PTM46880
                          STO     G4180      TRANSFER RETURN ADDRESS2G2 PTM46885
                          LDD   2 Z-CONST                           2G2 PTM46890
                          MDX     G4190                             2G2 PTM46895
                    *                                               2G2 PTM46900
                    *         *** PROCESS CS ORDERS ***             2G2 PTM46905
                    *                                               2G2 PTM46910
                    G1010 LD    1 -3                                2G2 PTM46915
                          S     2 BLANK-CONST CHK IF COL 32 = BLANK 2G2 PTM46920
                          BSC  L  G1020,+-   BRANCH IF YES          2G2 PTM46925
                          LD    1 -3                                2G2 PTM46930
                          S     2 R-CONST    CHK IF COL 32 = R      2G2 PTM46935
                          BSI  L  G4220,Z    BRANCH IF NO           2G2 PTM46940
                    G1020 LD    1 -2                                2G2 PTM46945
                          S     2 BLANK-CONST CHK IF COL 33 = BLANK 2G2 PTM46950
                          BSI  L  G4220,Z    BRANCH IF NO           2G2 PTM46955
                          LD    2 L-CONST                           2G2 PTM46960
                          STO   1 -3         STORE BCD L IN COLUMN 32G2 PTM46965
                          BSI  L  SCAN      BR TO EVALUATE OPERAND  2-8 PTM46970
                          LDX  L2 CONST                             2G2 PTM46975
                          LD    3 VALUE-X3                          2G2 PTM46980
                          S     2 G1-CONST   CHK IF OPERAND = 1     2G2 PTM46985
                          BSC  L  G1040,Z    BRANCH IF NO           2G2 PTM46990
                          LD    2 MASK6-CONST LOAD MASK             2G2 PTM46995
                          STO   2 SAVE2-CONST                       2G2 PTM47000
                    G1030 LD    2 SAVE0-CONST                       2G2 PTM47005
                          S     2 R-CONST    CHK IF COL 32 WAS = R  2G2 PTM47010
                          BSC  L  G1070,Z    BRANCH IF NO           2G2 PTM47015
                          LD    2 SAVE2-CONST                       2G2 PTM47020
                          A     2 MASK3-CONST INCREM MASK VALUE     2G2 PTM47025
                          STO   2 SAVE2-CONST                       2G2 PTM47030
                          MDX     G1070                             2G2 PTM47035
                    G1040 LD    3 VALUE-X3                          2G2 PTM47040
                          S     2 G2-CONST   CHK IF OPERAND = 2     2G2 PTM47045
                          BSC  L  G1050,Z    BRANCH IF NO           2G2 PTM47050
                          LD    2 MASK7-CONST LOAD MASK             2G2 PTM47055
                          STO   2 SAVE2-CONST                       2G2 PTM47060
                          MDX     G1030                             2G2 PTM47065
                    G1050 LD    3 VALUE-X3                          2G2 PTM47070
                          S     2 G4-CONST   CHK IF OPERAND = 4     2G2 PTM47075
                          BSC  L  G1060,Z    BRANCH IF NO           2G2 PTM47080
                          LD    2 MASK2-CONST LOAD MASK             2G2 PTM47085
                          STO   2 SAVE2-CONST                       2G2 PTM47090
                          MDX     G1030                             2G2 PTM47095
                    G1060 LD    3 VALUE-X3                          2G2 PTM47100
                          S     2 G7-CONST   CHK IF OPERAND = 7     2G2 PTM47105
                          BSC  L  G1080,Z    BRANCH IF NO           2G2 PTM47110
                          LD    2 MASK8-CONST LOAD MASK             2G2 PTM47115
                          STO   2 SAVE2-CONST                       2G2 PTM47120
                          MDX     G1030                             2G2 PTM47125
                    G1070 LD    2 SAVE2-CONST                       2G2 PTM47130
                          OR    3 OPCNT-X3   OR MASK BITS INTO      2G2 PTM47135
                          STO   3 OPCNT-X3   OP CODE BUFFER         2G2 PTM47140
                          MDX     G1090                             2G2 PTM47145
                    G1080 BSI     G4180                             2G2 PTM47150
                    G1090 LD    1 -1                                2G2 PTM47155
                          BSC  L  G1110,+-   BRANCH IF NO 2ND OPERAN2G2 PTM47160
                          LD    2 G127-CONST                        2G2 PTM47165
                          BSI     G4400                             2G2 PTM47170
                    G1110 BSI     G4090                             2G2 PTM47175
                          BSI  L  LDLBL                             2-8 PTM47180
                          BSC  L  STRT9     BR TO OP CODE SEARCH    2-8 PTM47185
                    *                                               2G2 PTM47190
                    *         *** CHECK OPERAND RANGE ***           2G2 PTM47195
                    *                                               2G2 PTM47200
                    G4400 DC      *-*        ENTRY WORD             2G2 PTM47205
                          STO   2 SAVE2-CONST                       2G2 PTM47210
                          BSI  L  SCAN                              2-8 PTM47215
                          LDX  L2 CONST                             2G2 PTM47220
                          LD    3 VALUE-X3                          2G2 PTM47225
                          BSC  L  G4420,Z+   BRANCH IF LT 0         2G2 PTM47230
                          S     2 SAVE2-CONST                       2G2 PTM47235
                          BSC  L  G4420,Z-   BR IF GT ARGUMENT      2G2 PTM47240
                          LD    3 VALUE-X3                          2G2 PTM47245
                          STX   3 G4410+1                           2G2 PTM47250
                          LDX  I3 SHIFT                             2G2 PTM47255
                          SLA   3                                   2G2 PTM47260
                    G4410 LDX  L3 *-*                               2G2 PTM47265
                          OR    3 OPCNT-X3                          2G2 PTM47270
                          STO   3 OPCNT-X3                          2G2 PTM47275
                          MDX     G4430                             2G2 PTM47280
                    G4420 BSI  L  G4180                             2G2 PTM47285
                    G4430 BSC  I  G4400                             2G2 PTM47290
                    *                                               2G2 PTM47295
                    *         *** PROCESS SPM ORDER ***             2G2 PTM47300
                    *                                               2G2 PTM47305
                    G1150 BSI  L  G4250                             2G2 PTM47310
                          LD    2 G15-CONST                         2G2 PTM47315
                          BSI     G4400                             2G2 PTM47320
                          MDX     G1110      BRANCH TO OUTPUT ORDER 2G2 PTM47325
                    *                                               2G2 PTM47330
                    *         *** PROCESS GSB ORDER ***             2G2 PTM47335
                    *                                               2G2 PTM47340
                    G1180 BSI  L  G4250                             2G2 PTM47345
                          MDX  L  ADCOW,+1                          2G2 PTM47350
                          LD    2 G8K-CONST                         2G2 PTM47355
                          BSI     G4400                             2G2 PTM47360
                          MDX  L  ADCOW,-1                          2G2 PTM47365
                          LD    3 RELSW-X3   CHECK RELOCATION VALUE 2G2 PTM47370
                          BSC  L  G1110,+-   BRANCH IF ABSOLUTE     2G2 PTM47375
                          LD    2 GB3-CONST                         2G2 PTM47380
                          STO   2 COL6-CONST STORE BCD 3 IN COL6    2G2 PTM47385
                          SLA     14                                2G2 PTM47390
                          STO   3 TRWRD-X3+1                        2G2 PTM47395
                          LD    3 OPCNT-X3                          2G2 PTM47400
                          OR    2 MASK5-CONST                       2G2 PTM47405
                          STO   3 OPCNT-X3                          2G2 PTM47410
                          MDX     G1110                             2G2 PTM47415
                    *                                               2G2 PTM47420
                    *         *** PROCESS GBCE ORDERS ***           2G2 PTM47425
                    *                                               2G2 PTM47430
                    G1230 STX  L3 GBCE       TURN ON GBCE INDICATOR 2G2 PTM47435
                    *                                               2G2 PTM47440
                    *         *** PROCESS GBE ORDERS ***            2G2 PTM47445
                    *                                               2G2 PTM47450
                    G1240 LD    1 -3                                2G2 PTM47455
                          S     2 BLANK-CONST IS COL 32 = BLANK     2G2 PTM47460
                          BSI  L  G4220,Z    BRANCH TO ERR SUBR IF N2G2 PTM47465
                          LD    2 L-CONST                           2G2 PTM47470
                          STO   1 -3                                2G2 PTM47475
                          BSI  L  CLLCT                             2G2 PTM47480
                          LDX  L2 CONST                             2G2 PTM47485
                    *                        STORE 1ST 14 BITS OF NA2G2 PTM47490
                          STO   3 OPCNT-X3   IN OP CODE WORD        2G2 PTM47495
                          BSI   3 LDXRS-X3   INIT X1 TP POINT TO COL2G2 PTM47500
                          LD    2 GBCE-CONST CHK IF GBCE ORDER      2G2 PTM47505
                          BSC  L  G1320,Z    BRANCH IF YES          2G2 PTM47510
                          LD    1 +33                               2G2 PTM47515
                          S     2 N-CONST    IS COL 32 = N          2G2 PTM47520
                          BSC  L  G1250,Z    BRANCH IF NO           2G2 PTM47525
                          LD    3 OPCNT-X3                          2G2 PTM47530
                          OR    2 MASK1-CONST OR 1 INTO BIT 1 OF    2G2 PTM47535
                          STO   3 OPCNT-X3   OP CODE WORD           2G2 PTM47540
                          MDX     G1260                             2G2 PTM47545
                    G1250 LD    1 +33                               2G2 PTM47550
                          S     2 BLANK-CONST IS COL 33 = BLANK     2G2 PTM47555
                          BSI  L  G4220,Z    BRANCH TO ERR SUBR IF N2G2 PTM47560
                    G1260 LD    2 GB3-CONST                         2G2 PTM47565
                          STO   2 COL6-CONST STORE BCD 3 IN COL 6   2G2 PTM47570
                          SLA     14                                2G2 PTM47575
                          STO   3 TRWRD-X3+1                        2G2 PTM47580
                          BSI  L  G4090      BRANCH TO OUTPUT 1ST WO2G2 PTM47585
                          LD    3 SYMBF+1-X3 STORE 2ND WORD OF NAME 2G2 PTM47590
                          STO   3 OPCNT-X3   IN OP CODE WORD        2G2 PTM47595
                          LD    2 GB2-CONST                         2G2 PTM47600
                          STO   2 COL7-CONST STORE BCD 2 IN COL 7   2G2 PTM47605
                          SLA     14                                2G2 PTM47610
                          STO   3 TRWRD-X3+1                        2G2 PTM47615
                    G1270 BSC  L  G4265      BRANCH TO OUTPUT 2ND WO2G2 PTM47620
                    G1320 MDX   1 +36                               2G2 PTM47625
                          LDX   2 +6                                2G2 PTM47630
                    G1322 LD    1 -1                                2G2 PTM47635
                          S    L  COMMA      CHK IF CHAR = COMMA    2G2 PTM47640
                          BSC  L  G1323,+-   BRANCH IF YES          2G2 PTM47645
                          MDX   1 +1                                2G2 PTM47650
                          MDX   2 -1                                2G2 PTM47655
                          MDX     G1322                             2G2 PTM47660
                    G1323 LDX  L2 CONST                             2G2 PTM47665
                          BSI     G1325                             2G2 PTM47670
                          MDX     G1372                             2G2 PTM47675
                    *                                               2G2 PTM47680
                    *         *** CHECK CONDITION OPERAND ***       2G2 PTM47685
                    *                                               2G2 PTM47690
                    G1325 DC      0          ENTRY WORD             2G2 PTM47695
                          LD    1 +1                                2G2 PTM47700
                          RTE     16                                2G2 PTM47705
                          LD    1 0                                 2G2 PTM47710
                          SD    2 D-CONST    IS OPERAND = DS        2G2 PTM47715
                          BSC     +-                                2G2 PTM47720
                          RTE     16                                2G2 PTM47725
                          BSC  L  G1360,+-   BRANCH IF YES          2G2 PTM47730
                          LD    1 +1                                2G2 PTM47735
                          RTE     16                                2G2 PTM47740
                          LD    1 0                                 2G2 PTM47745
                          SD    2 S-CONST    IS OPERAND = SD        2G2 PTM47750
                          BSC     +-                                2G2 PTM47755
                          RTE     16                                2G2 PTM47760
                          BSC  L  G1360,+-   BRANCH IF YES          2G2 PTM47765
                          LD    1 +1                                2G2 PTM47770
                          S     2 BLANK-CONST                       2G2 PTM47775
                          BSC  L  G1350,Z                           2G2 PTM47780
                          LD    1 0                                 2G2 PTM47785
                          S     2 S-CONST    IS OPERAND = S         2G2 PTM47790
                          BSC  L  G1340,Z    BRANCH IF NO           2G2 PTM47795
                          LD    2 G1-CONST   LOAD MASK              2G2 PTM47800
                          STO   2 TEMP-CONST                        2G2 PTM47805
                          MDX     G1370                             2G2 PTM47810
                    G1340 LD    1 0                                 2G2 PTM47815
                          S     2 D-CONST    IS OPERAND = D         2G2 PTM47820
                          BSC  L  G1350,Z    BRANCH IF NO           2G2 PTM47825
                          LD    2 G2-CONST   LOAD MASK              2G2 PTM47830
                          STO   2 TEMP-CONST                        2G2 PTM47835
                          MDX     G1370                             2G2 PTM47840
                    G1350 BSI  L  G4230      BRANCH TO POST ERROR   2G2 PTM47845
                          MDX     G1370                             2G2 PTM47850
                    G1360 LD    2 G3-CONST   LOAD MASK              2G2 PTM47855
                          STO   2 TEMP-CONST                        2G2 PTM47860
                    G1370 BSC  I  G1325      RETURN                 2G2 PTM47865
                    *                                               2G2 PTM47870
                    *                                               2G2 PTM47875
                    G1372 LD    2 TEMP-CONST                        2G2 PTM47880
                          SLA     14                                2G2 PTM47885
                          OR    3 OPCNT-X3   OR OP CODE WITH MASK   2G2 PTM47890
                          STO   3 OPCNT-X3                          2G2 PTM47895
                          BSI   3 LDXRS-X3   INIT X1 TO POINT TO COL2G2 PTM47900
                          LD    2 GB2-CONST                         2G2 PTM47905
                          STO   2 COL6-CONST STORE BCD 2 IN COL 6   2G2 PTM47910
                          SLA     14                                2G2 PTM47915
                          STO   3 TRWRD-X3+1                        2G2 PTM47920
                          BSI  L  G4090      OUTPUT 1ST WORD        2G2 PTM47925
                          LD    1 +33                               2G2 PTM47930
                          S     2 N-CONST    IS COL 33 = N          2G2 PTM47935
                          BSC  L  G1380,Z    BRANCH IF NO           2G2 PTM47940
                          LD    2 GB3-CONST                         2G2 PTM47945
                          STO   2 COL7-CONST STORE BCD 3 IN COL 7   2G2 PTM47950
                          SLA     14                                2G2 PTM47955
                          STO   3 TRWRD-X3+1                        2G2 PTM47960
                          MDX     G1390                             2G2 PTM47965
                    G1380 LD    1 +33                               2G2 PTM47970
                          S     2 BLANK-CONST IS COL 33 = BLANK     2G2 PTM47975
                          BSI  L  G4220,Z    BRANCH IF NO           2G2 PTM47980
                          LD    2 GB2-CONST                         2G2 PTM47985
                          STO   2 COL7-CONST STORE BCD 2 IN COL 7   2G2 PTM47990
                          SLA     14                                2G2 PTM47995
                          STO   3 TRWRD-X3+1                        2G2 PTM48000
                    G1390 LD    3 SYMBF+1-X3 STORE 2ND WORD OF NAME 2G2 PTM48005
                          STO   3 OPCNT-X3   IN OP CODE WORD        2G2 PTM48010
                          SLT     32                                2G2 PTM48015
                          STD   2 GBCE-CONST                        2G2 PTM48020
                          MDX     G1270      BRANCH TO OUTPUT 2ND WO2G2 PTM48025
                    *                                               2G2 PTM48030
                    *         *** PROCESS GI ORDER ***              2G2 PTM48035
                    *                                               2G2 PTM48040
                    G1400 STO   2 GBGI-CONST SET GB/GI ORDER INDICAT2G2 PTM48045
                          MDX     G1430                             2G2 PTM48050
                    *                                               2G2 PTM48055
                    *         *** PROCESS GB ORDER ***              2G2 PTM48060
                    *                                               2G2 PTM48065
                    G1410 STO   2 GBGI-CONST SET GB/GI ORDER INDICAT2G2 PTM48070
                    *                                               2G2 PTM48075
                    *         *** PROCESS GBC ORDER ***             2G2 PTM48080
                    *                                               2G2 PTM48085
                    G1420 LD    1 -3                                2G2 PTM48090
                          S     2 I-CONST    CHK IF COL 32 = I      2G2 PTM48095
                          BSC  L  G1440,Z    BRANCH IF NO           2G2 PTM48100
                          LD    3 OPCNT-X3                          2G2 PTM48105
                          OR    2 MASK3-CONST TURN ON BIT 8 IN OP CO2G2 PTM48110
                          STO   3 OPCNT-X3   BUFFER                 2G2 PTM48115
                          MDX     G1450                             2G2 PTM48120
                    *                                               2G2 PTM48125
                    *         *** PROCESS GIC ORDER ***             2G2 PTM48130
                    *                                               2G2 PTM48135
                    G1430 STO   2 GIGIC-CONST SET INTERRUPT ORDER IN2G2 PTM48140
                    G1440 LD    1 -3                                2G2 PTM48145
                          S     2 BLANK-CONST  CHK IF COL 32 = BLANK2G2 PTM48150
                          BSI  L  G4220,Z    BRANCH IF NO           2G2 PTM48155
                    G1450 MDX  L  ADCOW,+2                          2G2 PTM48160
                          LD    1 -2                                2G2 PTM48165
                          S     2 N-CONST    CHK IF COL 33 = N      2G2 PTM48170
                          BSC  L  G1460,Z    BRANCH IF NO           2G2 PTM48175
                          LD    3 OPCNT-X3                          2G2 PTM48180
                          OR    2 MASK2-CONST TURN ON BIT 5 IN OP CO2G2 PTM48185
                          STO   3 OPCNT-X3   WORD                   2G2 PTM48190
                          MDX     G1470                             2G2 PTM48195
                    G1460 LD    1 -2                                2G2 PTM48200
                          S     2 BLANK-CONST CHK IF COL 33 = BLANK 2G2 PTM48205
                          BSI  L  G4220,Z    BRANCH IF NO           2G2 PTM48210
                    G1470 LD    2 GBGI-CONST                        2G2 PTM48215
                          BSC  L  G1480,Z    BR IF ORDER IS GB OR GI2G2 PTM48220
                          LD    2 L-CONST                           2G2 PTM48225
                          STO   1 -3                                2G2 PTM48230
                          MDX     G1510                             2G2 PTM48235
                    G1480 LD    2 GIGIC-CONST CHK IF INTERRUPT ORDER2G2 PTM48240
                          BSC  L  G1490,+-   BRANCH IF NO           2G2 PTM48245
                          LD    1 0                                 2G2 PTM48250
                          S     2 BLANK-CONST CHK IF COL 35 = BLANK 2G2 PTM48255
                          BSC  L  G1500,+-   BRANCH IF YES          2G2 PTM48260
                    G1490 BSI  L  SCAN      BR TO EVALUATE ORDER    2-8 PTM48265
                          LDX  L2 CONST                             2G2 PTM48270
                          MDX     G1530                             2G2 PTM48275
                    G1500 SLA     16                                2G2 PTM48280
                          STO   3 VALUE-X3                          2G2 PTM48285
                          MDX     G1530                             2G2 PTM48290
                    G1510 BSI  L  SCAN      BR TO CVRT 1ST OPERAND  2-8 PTM48295
                          LDX  L2 CONST                             2G2 PTM48300
                          BSI  L  G1325                             2G2 PTM48305
                          LD    2 TEMP-CONST                        2G2 PTM48310
                          OR    3 OPCNT-X3   OR OP CODE WITH MASK   2G2 PTM48315
                          STO   3 OPCNT-X3                          2G2 PTM48320
                    G1530 MDX  L  ADCOW,-2                          2G2 PTM48325
                          BSI  L  G4090                             2G2 PTM48330
                          LD    3 RELSW-X3   LOAD RELOC INDICATOR   2G2 PTM48335
                          A     2 GB0-CONST  MAKE PRINTABLE AND     2G2 PTM48340
                          STO   2 COL7-CONST STORE IN COL 7         2G2 PTM48345
                          SLA     14                                2G2 PTM48350
                          STO   3 TRWRD-X3+1                        2G2 PTM48355
                          LD    2 GIGIC-CONST CHK IF INTERRUPT ORDER2G2 PTM48360
                          BSC  L  G1560,Z    BRANCH IF YES          2G2 PTM48365
                          LD    3 VALUE-X3   BRANCH IF OPERAND =/GT 2G2 PTM48370
                          BSC  L  G1565,-    0 AND =/LT 32767       2G2 PTM48375
                          BSI  L  G4180      BRANCH TO POST ERROR   2G2 PTM48380
                          MDX     G1570                             2G2 PTM48385
                    G1560 LD    3 VALUE-X3   STORE OPERAND IN OP COD2G2 PTM48390
                    G1565 STO   3 OPCNT-X3   WORD                   2G2 PTM48395
                    G1570 SLT     32                                2G2 PTM48400
                          STD   2 GBGI-CONST                        2G2 PTM48405
                          BSC  L  G4265                             2G2 PTM48410
                    *                                               2G2 PTM48415
                    *         *** PROCESS MBS ORDER ***             2G2 PTM48420
                    *                                               2G2 PTM48425
                    G3230 SLA     16                                2G2 PTM48430
                          STO   2 IND-CONST  ZERO DBS INDICATOR     2G2 PTM48435
                          MDX     G3234                             2G2 PTM48440
                    *                                               2G2 PTM48445
                    *         *** PROCESS DBS ORDER ***             2G2 PTM48450
                    *                                               2G2 PTM48455
                    G3232 STX  L3 IND        SET DBS INDICATOR      2G2 PTM48460
                    G3234 LD    3 PASS-X3                           2G2 PTM48465
                          BSC  L  G3236,Z    BRANCH IF PASS 2       2G2 PTM48470
                          SLA     16                                2G2 PTM48475
                          STO   2 IND-CONST  ZERO DBS INDICATOR     2G2 PTM48480
                          MDX  L  ADCOW,+1                          2G2 PTM48485
                          LD    1 -3                                2G2 PTM48490
                          S     2 R-CONST    CHK IF REVERT SPECIFIED2G2 PTM48495
                          BSC  L  G3235,Z   BR IF NO                2-8 PTM48500
                          BSI  L  LDLBL     PASS RECORD,GET NEXT RCD2-8 PTM48505
                          BSC  L  STRT9     BR TO OP CODE SEARCH    2-8 PTM48510
                    G3235 BSI     G3443                             2-8 PTM48515
                          LD    2 CPAIR-CONST CHK IF 2ND STROKE ORDE2G2 PTM48520
                          BSC  L  STRT9,+-   BRANCH IF NO           2G2 PTM48525
                          SLA     16                                2G2 PTM48530
                          STO   2 CPAIR-CONST                       2G2 PTM48535
                          BSI  L  LDLBL                             2-8 PTM48540
                          BSC  L  STRT9     BR TO OP CODE SEARCH    2-8 PTM48545
                    G3236 LD    2 CPAIR-CONST                       2G2 PTM48550
                          BSC  L  G3238,+-   BR IF NO MBS/DBS PENDIN2G2 PTM48555
                          STO   3 OPCNT-X3                          2G2 PTM48560
                          LD    2 G4-CONST                          2G2 PTM48565
                          STO   2 SHIFT-CONST SET SHIFT VALUE       2G2 PTM48570
                          MDX     G3240                             2G2 PTM48575
                    G3238 LD    2 MASK5-CONST                       2G2 PTM48580
                          STO   3 OPCNT-X3                          2G2 PTM48585
                          LD    2 G12-CONST                         2G2 PTM48590
                          STO   2 SHIFT-CONST SET SHIFT VALUE       2G2 PTM48595
                    G3240 LD    2 IND-CONST                         2G2 PTM48600
                          BSC  L  G3245,+-   BRANCH IF MBS ORDER    2G2 PTM48605
                          LD    2 CPAIR-CONST                       2G2 PTM48610
                          BSC  L  G3242,Z    BRANCH IF ORDER PENDING2G2 PTM48615
                          LD    3 OPCNT-X3                          2G2 PTM48620
                          OR    2 MASK4-CONST OR 1 INTO BIT 4       2G2 PTM48625
                    G3241 STO   3 OPCNT-X3                          2G2 PTM48630
                          MDX     G3245                             2G2 PTM48635
                    G3242 LD    3 OPCNT-X3                          2G2 PTM48640
                          OR    2 G8-CONST   OR 1 INTO COL 12       2G2 PTM48645
                          MDX     G3241                             2G2 PTM48650
                    G3245 LD    1 -2                                2G2 PTM48655
                          S     2 D-CONST    CHK IF COL 33 = D      2G2 PTM48660
                          BSC  L  G3250,Z    BRANCH IF NO           2G2 PTM48665
                          LD    3 OPCNT-X3                          2G2 PTM48670
                          SLA     1                                 2G2 PTM48675
                          SRA     1                                 2G2 PTM48680
                          STO   3 OPCNT-X3                          2G2 PTM48685
                          MDX     G3280                             2G2 PTM48690
                    G3250 LD    1 -2                                2G2 PTM48695
                          S     2 BLANK-CONST CHK IF COL 33 = BLANK 2G2 PTM48700
                          BSC  L  G3280,+-   BRANCH IF YES          2G2 PTM48705
                          BSI  L  G4220      BRANCH TO POST ERROR   2G2 PTM48710
                    G3280 LD    1 -3                                2G2 PTM48715
                          S     2 R-CONST    CHK IF COL 32 = R      2G2 PTM48720
                          BSC  L  G3290,Z    BRANCH IF NO           2G2 PTM48725
                          LD    3 OPCNT-X3                          2G2 PTM48730
                          OR    2 MASK3-CONST OR 1 INTO BIT 8 OF OP 2G2 PTM48735
                          STO   3 OPCNT-X3   CODE WORD              2G2 PTM48740
                          MDX     G3300                             2G2 PTM48745
                    G3290 LD    1 -3                                2G2 PTM48750
                          S     2 BLANK-CONST  CHK IF COL 32 = BLANK2G2 PTM48755
                          BSC  L  G3300,+-   BRANCH IF YES          2G2 PTM48760
                          BSI  L  G4220      BRANCH TO POST ERROR   2G2 PTM48765
                    G3300 LD    2 L-CONST    STORE BCD L IN COL 32  2G2 PTM48770
                          STO   1 -3                                2G2 PTM48775
                    G3400 LD    2 G6-CONST                          2G2 PTM48780
                    G3405 BSI  L  G4400                             2G2 PTM48785
                          LD    2 OPER2-CONST CHK IF 2ND OPERAND IND2G2 PTM48790
                          BSC  L  G3442,Z    BRANCH IF NO           2G2 PTM48795
                          STX  L1 OPER2      SET 2ND OPERAND INDICAT2G2 PTM48800
                          MDX  L  SHIFT,-4                          2G2 PTM48805
                          NOP                                       2G2 PTM48810
                          LD    2 G7-CONST                          2G2 PTM48815
                          MDX     G3405                             2G2 PTM48820
                    G3442 SLA     16                                2G2 PTM48825
                          STO   2 OPER2-CONST ZERO 2ND OPERAND IND  2G2 PTM48830
                          LD    2 SHIFT-CONST CHK IF MBS/DBS PENDING2G2 PTM48835
                          BSC  L  G3470,+-   BRANCH IF YES          2G2 PTM48840
                          LD    3 OPCNT-X3                          2G2 PTM48845
                          SLA     9          CHK IF REVERT BIT IS ON2G2 PTM48850
                          BSC  L  G3470,C    BRANCH IF YES          2G2 PTM48855
                          BSI     G3443                             2G2 PTM48860
                          LD    2 CPAIR-CONST CHK IF NEXT ORDER = ST2G2 PTM48865
                          BSC  L  G3457,Z    BRANCH IF YES          2G2 PTM48870
                          MDX     G3456                             2G2 PTM48875
                    *                                               2G2 PTM48880
                    *         *** LOOK AT NEXT ORDER ***            2G2 PTM48885
                    *                                               2G2 PTM48890
                    G3443 DC      0          ENTRY WORD             2G2 PTM48895
                          BSI   3 LDXRS-X3   INIT X1 TO POINT TO COL2G2 PTM48900
                          LD    3 PASS-X3                           2G2 PTM48905
                          BSC  L  G3446,+-   BRANCH IF PASS 1       2G2 PTM48910
                          LDX  I2 RDBFR+1    INIT X2 WITH ALT BFR AD2G2 PTM48915
                          LDX   3 +80                               2G2 PTM48920
                    G3444 LD    1 +1         SAVE CURRENT ORDER     2G2 PTM48925
                          STO   2 +1                                2G2 PTM48930
                          MDX   1 +1                                2G2 PTM48935
                          MDX   2 +1                                2G2 PTM48940
                          MDX   3 -1                                2G2 PTM48945
                          MDX     G3444                             2G2 PTM48950
                          BSI  L  LDXRS      INIT X3                2G2 PTM48955
                    G3446 EQU     *                                 2-8 PTM48960
                          LDX  L2 CONST                             2G2 PTM48965
                          LD    3 LSTOP-X3                          2G2 PTM48970
                          STO   2 SAVE2-CONST                       2G2 PTM48975
                          SLA     16                                2G2 PTM48980
                          STO   3 LSTOP-X3                          2G2 PTM48985
                          BSI  L  LDLBL     READ NEXT RCD           2-8 PTM48990
                    G3447 LDX  L2 CONST                             2G2 PTM48995
                          LD    2 SAVE2-CONST                       2G2 PTM49000
                          STO   3 LSTOP-X3                          2G2 PTM49005
                          LD    1 +29                               2G2 PTM49010
                          S     2 S-CONST    CHK IF MBS/DBS         2G2 PTM49015
                          BSC  L  G3452,Z    BRANCH IF NOT = S      2G2 PTM49020
                          LD    1 +28                               2G2 PTM49025
                          S     2 B-CONST                           2G2 PTM49030
                          BSC  L  G3452,Z    BRANCH IF NOT MBS/DBS  2G2 PTM49035
                          LD    3 OPCNT-X3                          2G2 PTM49040
                          BSC     +-         SKIP IF NOT ZERO       2G2 PTM49045
                          OR    2 MASK5-CONST  OR 1 INTO BIT 0      2G2 PTM49050
                          STO   2 CPAIR-CONST SAVE OP CODE WORD     2G2 PTM49055
                          SLA     16                                2G2 PTM49060
                          STO   3 OPCNT-X3   ZERO OP CODE WORD      2G2 PTM49065
                    G3452 LD    3 PASS-X3                           2G2 PTM49070
                          BSC  I  G3443,+-   BRANCH IF PASS 1       2G2 PTM49075
                          BSI     G3490                             2G2 PTM49080
                    G3455 BSC  I  G3443                             2G2 PTM49085
                    *                                               2G2 PTM49090
                    *                                               2G2 PTM49095
                    *                                               2G2 PTM49100
                    G3456 LD    2 GB0-CONST                         2G2 PTM49105
                          STO   1 +6                                2G2 PTM49110
                          LD    3 LABVL-X3   STORE LABEL VALUE IN BF2G2 PTM49115
                          MDX   1 +1                                2G2 PTM49120
                          BSI  L  B4HEX                             2-8 PTM49125
                          LDX  L2 CONST                             2G2 PTM49130
                          BSI  L  G4090                             2G2 PTM49135
                    G3457 BSI   3 LDXRS-X3   INIT X1 TO POINT TO COL2G2 PTM49140
                          LD    2 SAVE0-CONST                       2G2 PTM49145
                          STO   1 +32        RESTORE COLUMN 32      2G2 PTM49150
                          LD    1 +18                               2G2 PTM49155
                          S     2 BLANK-CONST                       2G2 PTM49160
                          BSC  L  G3458,Z    BR IF LINE PRINTED     2G2 PTM49165
                          LD    3 LABVL-X3   STORE LABEL VALUE IN BF2G2 PTM49170
                          MDX   1 +1                                2G8 PTM49175
                          BSI  L  B4HEX                             2-9 PTM49180
                          LD    3 LSTOP-X3                          2G2 PTM49185
                          BSC  L  G3458,+-   BRANCH IF NO LIST      2G2 PTM49190
                          BSI  L  P9MVE     BR TO PRINT LINE        2-8 PTM49195
                    G3458 BSI     G3490                             2G2 PTM49200
                    G3459 BSC  L  STRT9                             2G2 PTM49205
                    G3470 SLT     32                                2G2 PTM49210
                          STD   2 CPAIR-CONST                       2G2 PTM49215
                          STO   2 IND-CONST                         2G2 PTM49220
                    G3480 BSC  L  G1110      OUTPUT ORDER           2G2 PTM49225
                    G3490 DC      0                                 2G2 PTM49230
                          LDD   3 RDBFR-X3                          2G2 PTM49235
                          RTE     16                                2G2 PTM49240
                          STD   3 RDBFR-X3                          2G2 PTM49245
                          LDX  I1 RDBFR                             2G2 PTM49250
                          BSI   3 STXRS-X3                          2G2 PTM49255
                          BSC  I  G3490                             2G2 PTM49260
                    *                                               2G2 PTM49265
                    *         *** OP CODE SEARCH TABLE ***          2G2 PTM49270
                    *                                               2G2 PTM49275
                          BSS  E  14        PATCH AREA              2-8 PTM49280
                    TBLE1 EBC     .SGMV.                            2G2 PTM49285
                          DC      /3201                             2G2 PTM49290
                          DC      G4260                             2G2 PTM49295
                          EBC     .SGMP.                            2G2 PTM49300
                          DC      /B201                             2G2 PTM49305
                          DC      G4260                             2G2 PTM49310
                          EBC     .SCMB.                            2G2 PTM49315
                          DC      /3301                             2G2 PTM49320
                          DC      G4260                             2G2 PTM49325
                          EBC     .SCML.                            2G2 PTM49330
                          DC      /B301                             2G2 PTM49335
                          DC      G4260                             2G2 PTM49340
                          EBC     .STMR.                            2G2 PTM49345
                          DC      /3401                             2G2 PTM49350
                          DC      G4260                             2G2 PTM49355
                          EBC     .RVT .                            2G2 PTM49360
                          DC      /3601                             2G2 PTM49365
                          DC      G4260                             2G2 PTM49370
                          EBC     .SRVT.                            2G2 PTM49375
                    SRVT  DC      /3500                             2G2 PTM49380
                          DC      G4260                             2G2 PTM49385
                          EBC     .GNOP.                            2G2 PTM49390
                          DC      /3101                             2G2 PTM49395
                          DC      G4260                             2G2 PTM49400
                          EBC     .MBA .                            2G2 PTM49405
                          DC      /4000                             2G2 PTM49410
                          DC      G4290                             2G2 PTM49415
                          EBC     .DBA .                            2G2 PTM49420
                          DC      /5000                             2G2 PTM49425
                          DC      G4290                             2G2 PTM49430
                          EBC     .MBAX.                            2G2 PTM49435
                          DC      /6001                             2G2 PTM49440
                          DC      G4285                             2G2 PTM49445
                          EBC     .MBAY.                            2G2 PTM49450
                          DC      /6801                             2G2 PTM49455
                          DC      G4285                             2G2 PTM49460
                          EBC     .DBAX.                            2G2 PTM49465
                          DC      /7001                             2G2 PTM49470
                          DC      G4285                             2G2 PTM49475
                          EBC     .DBAY.                            2G2 PTM49480
                          DC      /7801                             2G2 PTM49485
                          DC      G4285                             2G2 PTM49490
                          EBC     .MBI .                            2G2 PTM49495
                          DC      /0001                             2G2 PTM49500
                          DC      G4280                             2G2 PTM49505
                          EBC     .DBI .                            2G2 PTM49510
                          DC      /0081                             2G2 PTM49515
                          DC      G4280                             2G2 PTM49520
                          EBC     .GSB .                            2G2 PTM49525
                          DC      /0001                             2G2 PTM49530
                          DC      G1180                             2G2 PTM49535
                          EBC     .SPM .                            2G2 PTM49540
                          DC      /3101                             2G2 PTM49545
                          DC      G1150                             2G2 PTM49550
                          EBC     .GB  .                            2G2 PTM49555
                          DC      /2800                             2G2 PTM49560
                          DC      G1410                             2G2 PTM49565
                          EBC     .GBC .                            2G2 PTM49570
                          DC      /2800                             2G2 PTM49575
                          DC      G1420                             2G2 PTM49580
                          EBC     .GI  .                            2G2 PTM49585
                          DC      /2000                             2G2 PTM49590
                          DC      G1400                             2G2 PTM49595
                          EBC     .GIC .                            2G2 PTM49600
                          DC      /2000                             2G2 PTM49605
                          DC      G1430                             2G2 PTM49610
                          EBC     .CS  .                            2G2 PTM49615
                          DC      /7001                             2G2 PTM49620
                          DC      G1010                             2G2 PTM49625
                          EBC     .GBE .                            2G2 PTM49630
                          DC      /0000                             2G2 PTM49635
                          DC      G1240                             2G2 PTM49640
                          EBC     .GBCE.                            2G2 PTM49645
                          DC      /0000                             2G2 PTM49650
                          DC      G1230                             2G2 PTM49655
                    STROK EBC     .MBS .                            2G2 PTM49660
                          DC      /0000                             2G2 PTM49665
                          DC      G3230                             2G2 PTM49670
                          EBC     .DBS .                            2G2 PTM49675
                          DC      /0000                             2G2 PTM49680
                          DC      G3232                             2G2 PTM49685
                    G4990 EQU     *+4                               2G2 PTM49690
                          BSS     18                                2-9 PTM49695
                    PDEND DC      1                                 2G2 PTM49700
*SBRKSLS E8          ASM CONTROL CARDS III                        V2M08 PTM49705
                          HDNG    PHASE 1B  CONTROL RECORDS III         PTM49710
                    *************************************************** PTM49715
                    *                                                 * PTM49720
                    *STATUS - VERSION 2, MODIFICATION 11              * PTM49725
                    *                                                 * PTM49730
                    *FUNCTION/OPERATION-                              * PTM49735
                    *   *IN PASS 1,PHASE 1B PROCESSES THE MACLIB      * PTM49740
                    *    CONTROL RECORD.                              * PTM49745
                    *   *A CORE SIZE CHECK IS PERFORMED AGAINST       * PTM49750
                    *    4K AND A CHECK IS MADE FOR MULTIPLE          * PTM49755
                    *    MACLIB RECORDS. EITHER OF THESE CONDITIONS   * PTM49760
                    *    FORCES THE A07 ERROR MESSAGE AND             * PTM49765
                    *    CAUSES PHASE 1 TO BE RESTORED FOR            * PTM49770
                    *    FURTHER RECORD PROCESSING.                   * PTM49775
                    *   *THE MACLIB NAME IS CHECKED FOR               * PTM49780
                    *    VALIDITY. IF THE NAME IS INVALID,            * PTM49785
                    *    THE A07 ERROR MESSAGE IS PRINTED             * PTM49790
                    *    AND PHASE 1 IS RESTORED TO CONTINUE          * PTM49795
                    *    PROCESSING RECORDS.                          * PTM49800
                    *   *A STANDARD LET/FLET SEARCH IS                * PTM49805
                    *    PERFORMED AGAINST THE MACLIB NAME            * PTM49810
                    *    WITH DDF INDICATOR. IF THE LET/FLET          * PTM49815
                    *    SEARCH FAILS, THE A07 ERROR MESSAGE IS       * PTM49820
                    *    PRINTED AND PHASE 1 IS RESTORED TO           * PTM49825
                    *    CONTINUE PROCESSING RECORDS.                 * PTM49830
                    *   *IF THE LET/FLET SEARCH IS SUCCESSFUL,        * PTM49835
                    *    THE DISK ADDRESS OF THE START OF THE         * PTM49840
                    *    LIBRARY IS SET IN SMSEC OF ASMCM AND         * PTM49845
                    *    THE HIGH LIMIT DISK ADDRESS OF THE           * PTM49850
                    *    LIBRARY IS SET IN SYSLM OF ASMCM. PHASE      * PTM49855
                    *    1 IS THEN RESTORED TO CONTINUE RECORD        * PTM49860
                    *    PROCESSING.                                  * PTM49865
                    *   *IN PASS 2,PHASE 1 IS IMMEDIATELY             * PTM49870
                    *    RESTORED AND PROCESSING OF RECORDS           * PTM49875
                    *    CONTINUES.                                   * PTM49880
                    *                                                 * PTM49885
                    *ENTRY POINTS-                                    * PTM49890
                    *   * B1000 - ENTRY FROM PHASE 1                  * PTM49895
                    *                                                 * PTM49900
                    *INPUT-                                           * PTM49905
                    *   *MACLIB CONTROL RECORD AT INPUT BUFFER        * PTM49910
                    *                                                 * PTM49915
                    *OUTPUT-                                          * PTM49920
                    *   *SYSTEM MACRO LIBRARY STARTING AND            * PTM49925
                    *    ENDING DISK ADDRESSES IN SMSEC AND           * PTM49930
                    *    SYSLM OF ASMCM RESPECTIVELY.                 * PTM49935
                    *EXTERNAL REFERENCES-                             * PTM49940
                    *   *SUBROUTINES-                                 * PTM49945
                    *     * DISK1                                     * PTM49950
                    *     * LXDRS                                     * PTM49955
                    *   *DCOM/COMMA-                                  * PTM49960
                    *     * $ULET                                     * PTM49965
                    *     * $PBSY                                     * PTM49970
                    *     * $PHSE                                     * PTM49975
                    *     * $CORE                                     * PTM49980
                    *     * @LFNM                                     * PTM49985
                    *     * @UAFX                                     * PTM49990
                    *     * @LFHD                                     * PTM49995
                    *     * @WDSA                                     * PTM50000
                    *     * @SCTN                                     * PTM50005
                    *     * @MXDR                                     * PTM50010
                    *     * @NEXT                                     * PTM50015
                    *     * @LFEN                                     * PTM50020
                    *     * @BLCT                                     * PTM50025
                    *   *ASMCM-                                       * PTM50030
                    *     * PASS                                      * PTM50035
                    *     * SMSEC                                     * PTM50040
                    *     * SYSLM                                     * PTM50045
                    *                                                 * PTM50050
                    *EXITS-                                           * PTM50055
                    *   *NORMAL - MASTER OVERLAY CONTROL SUBR         * PTM50060
                    *   *ERROR  - MASTER OVERLAY CONTROL SUBR         * PTM50065
                    *                                                 * PTM50070
                    *TABLES/WORK AREAS-                               * PTM50075
                    *   *BUFI IS USED AS READ AREA FOR LET/FLET       * PTM50080
                    *                                                 * PTM50085
                    *ATTRIBUTES-REUSABLE                              * PTM50090
                    *                                                 * PTM50095
                    *NOTES-N/A                                        * PTM50100
                    *                                                 * PTM50105
                    *************************************************** PTM50110
                          ORG     OVLAY                                 PTM50115
                          DC      B1999-B1000  WD CNT OF PHASE 1B       PTM50120
                          DC      -/E8      SLET ID OF PHASE 1B         PTM50125
                    PHS1B DC      B1990-PHS1B  ADDR OF ID TABLE         PTM50130
                          DC      1         NO. OF ID'S TO BE FILLED    PTM50135
                          ORG     *-2                                   PTM50140
                    *                                                   PTM50145
                    B1000 LD      B1900     INDICATE ASM PH 1B IS       PTM50150
                          STO  L  $PHSE     *IN CONTROL                 PTM50155
                    *                                                   PTM50160
                          LD    3 PASS-X3   DETM ASM PASS               PTM50165
                          BSC  L  B1200,Z   BR IF IN 2ND PASS           PTM50170
                    *                                                   PTM50175
                          LD   L  $CORE     TEST FOR 4K CORE            PTM50180
                          S       B1910                                 PTM50185
                          BSC  L  SR011,+-  BR-4K SYSTEM                PTM50190
                    *                                                   PTM50195
                          LD    3 SMSEC-X3  TEST FOR PREVIOUS MACLIB    PTM50200
                          BSC  L  B1150,Z   BR-PREVIOUS MACLIB          PTM50205
                    *                                                   PTM50210
                    *************************************************** PTM50215
                    *                                                 * PTM50220
                    *             LET/FLET SEARCHES FOR FILES         * PTM50225
                    *                                                 * PTM50230
                    *************************************************** PTM50235
                    *                                                   PTM50240
                    *                                                   PTM50245
                    *             CHECK FILE NAME FOR VALIDITY          PTM50250
                    *                                                   PTM50255
                          MDX   1 9         ADJUST XR1 FOR NAME         PTM50260
                          STX   3 SR010+1   SAVE XR3                    PTM50265
                          LD    1 0         FIRST CHAR MUST BE          PTM50270
                          S       SR900     *NONNUMERIC                 PTM50275
                          BSC  L  SR010,-   BR-FIRST CHAR IS NUMERIC    PTM50280
                    *                                                   PTM50285
                          LDX   3 -5        SET CHAR CNT                PTM50290
                    SR050 LDX  L2 SR901     SET TABLE ADDR              PTM50295
                    *                                                   PTM50300
                          LD    1 0         CHECK FOR BLANK COL         PTM50305
                          S       SR902                                 PTM50310
                          BSC  L  SR020,+-  BR-COL IS BLANK             PTM50315
                    *                                                   PTM50320
                    SR040 S     2 0         CHECK FOR VALID 8-BIT CHAR  PTM50325
                          BSC  L  SR010,+Z  BR-NOT IN CHAR RANGE        PTM50330
                          S     2 1                                     PTM50335
                          BSC  L  SR030,+   BR-CHAR IS VALID            PTM50340
                          MDX   2 2                                     PTM50345
                          MDX     SR040     CONT CHAR CHECK             PTM50350
                    *                                                   PTM50355
                    SR030 MDX   1 1         INCR I/P PT                 PTM50360
                          MDX   3 1         INCR CHAR CNT               PTM50365
                          MDX     SR050     CONT NAME CHECK-NEXT CHAR   PTM50370
                          MDX     SR060     LABEL VALID-GO PACK,SEARCH  PTM50375
                    *                                                   PTM50380
                    SR010 LDX  L3 *-*       RESTORE XR3                 PTM50385
                    SR011 LD      B1959     SET SWITCH FOR              PTM50390
                          STO   3 SMSEC-X3  *PHASE 1                    PTM50395
                    B1150 BSI  L  LDXRS     RESTORE XR1 AND XR3         PTM50400
                          BSI  L  P9MVE     PR INVAL CTRL RCD           PTM50405
                    B1155 LD   L  $PBSY     TEST PR BUSY                PTM50410
                          BSC  L  B1155,Z-  LOOP ON PR BUSY             PTM50415
                          LDD     B1957     PR PARAM TO ACC,EXT         PTM50420
                          BSI  L  P9472+3   PRINT A LINE                PTM50425
                          LD   L  $PBSY                                 PTM50430
                          BSC  L  *-4,Z-    BR-PRINT BFR BUSY           PTM50435
                          MDX     B1200     GO TO RESTORE PH 1          PTM50440
                    *                                                   PTM50445
                    *     CONSTANTS                                     PTM50450
                    *                                                   PTM50455
                          BSS  E  0         FORCE EVEN ADDR             PTM50460
                    B1957 DC      /7001     WR FUNC CODE                PTM50465
                          DC      B1958     I/O AREA ADDR               PTM50470
                          BSS     1         FORCE ODD ADDR              PTM50475
                    B1958 DC      B1959-B1958-1  WD CNT                 PTM50480
                          EBC     .A07 ABOVE CONTROL STMNT .            PTM50485
                          EBC     .INVALID..                            PTM50490
                    B1959 DC      -1        NEGATIVE SWITCH             PTM50495
                    *                                                   PTM50500
                    B1210 LDD  L  B1997     RESTORE BUFI HDR            PTM50505
                          STD  L  BUFI                                  PTM50510
                          MDX     SR011     SET SMSEC AND PR A07 MSG    PTM50515
                    *                                                   PTM50520
                    *                                                   PTM50525
                    *     FETCH AND GO TO PHASE 1                       PTM50530
                    *                                                   PTM50535
                    B1200 EQU     *                                     PTM50540
                          LDD  L  B1990+2   SET WD CNT AND SCTR ADDR    PTM50545
                          STD  L  OVLAY     *TO RESTORE PHASE 1         PTM50550
                          BSI  L  LDXRS     RESTORE XR1 AND XR3         PTM50555
                          BSC  L  P0130     BR TO READ PHASE 1          PTM50560
                    *                                                   PTM50565
                    *     CONSTANTS                                     PTM50570
                    *                                                   PTM50575
                    SR900 DC      .0        EBC 0                       PTM50580
                    SR902 DC      .         EBC BLANK                   PTM50585
                    B1900 DC      /E8       SLET ID OF PHASE 1B         PTM50590
                    B1910 DC      /1000     CORE SIZE CONSTANT          PTM50595
                    *                                                   PTM50600
                    SR020 LD    1 0         CHECK FOR EMBEDDED BLANKS   PTM50605
                          S       SR902                                 PTM50610
                          BSC  L  SR010,Z   BR-EMBEDDED BLANK ERROR     PTM50615
                          MDX   1 1                                     PTM50620
                          MDX   3 1         INCR CHAR CNT               PTM50625
                          MDX     SR020     CONT BLANK CHECK            PTM50630
                    *                                                   PTM50635
                          LD    1 -5        CHECK FOR BLANK NAME FIELD  PTM50640
                          S       SR902                                 PTM50645
                          BSC  L  SR010,+-  BR-FILE NAME BLANK          PTM50650
                    *                                                   PTM50655
                    *************************************************** PTM50660
                    *                                                 * PTM50665
                    *             PACK FILE NAME                      * PTM50670
                    *                                                 * PTM50675
                    *************************************************** PTM50680
                    SR060 MDX   1 -5        NAME IS VALID               PTM50685
                          LDX   3 -5        PACK NAME                   PTM50690
                          SLT     32        CLEAR REGISTERS             PTM50695
                    *                                                   PTM50700
                    SR070 STD  L  SR908     CLEAR NAME SAVE AREA        PTM50705
                          LD    1 0         RETRIEVE CHAR               PTM50710
                          AND  L  SR903     PREPARE 6 BITS FOR PACK     PTM50715
                          SLA     10                                    PTM50720
                          OR   L  SR908     ADD 6 BIT CHAR TO PACK NAME PTM50725
                          RTE     32-6                                  PTM50730
                          MDX   1 1         INCR I/O PT                 PTM50735
                          MDX   3 1         INCR CHAR CNT               PTM50740
                          MDX     SR070     CONT NAME PACK              PTM50745
                    *                                                   PTM50750
                          OR   L  SR904     OR ON DDF INDR TO NAME      PTM50755
                          STD  L  SR908     SAVE FILE NAME              PTM50760
                          LDD  L  BUFI      SAVE WD CNT,SCTR ADDR       PTM50765
                          STD  L  B1997     *OF INTERM I/P              PTM50770
                          BSI     SERCH     DO LET/FLET SEARCH          PTM50775
                          MDX     SR150     PLACE SCTR ADDR             PTM50780
                    *                                                   PTM50785
                    *************************************************** PTM50790
                    *                                                 * PTM50795
                    *             PERFORM LET/FLET SEARCH             * PTM50800
                    *                                                 * PTM50805
                    *************************************************** PTM50810
                    SERCH DC      *-*       ENTRY POINT                 PTM50815
                          LDX  I3 SR010+1   RESTORE XR3                 PTM50820
                          LDX  L2 BUFI      SET XR2 TO DISK BFR         PTM50825
                          MDX   2 2         REG 2 PT TO I/O AREA        PTM50830
                    *                                                   PTM50835
                    SR090 LDX   1 -'MXDR-1  SET REG 1 TO MAX DR CNT     PTM50840
                          LD   L1 $ULET+@MXDR+1 FETCH ADDR OF LET       PTM50845
                          MDX   1 1         SKIP IF ALL DRIVES SEARCHED PTM50850
                          MDX     *+1       *BRANCH OTHERWISE           PTM50855
                    *                                                   PTM50860
                    *     PRINT ERROR MSG AND EXIT                      PTM50865
                    *                                                   PTM50870
                    SR080 MDX     B1210                                 PTM50875
                    *                                                   PTM50880
                          BSC     +-        SKIP IF DR BEING USED,      PTM50885
                          MDX     B1210                                 PTM50890
                    SR140 STO   2 -1        SAVE SCTR ADDR FOR READ     PTM50895
                    *                                                   PTM50900
                          LDD     B1110     SET DISK READ PARAMS   2-11 PTM50905
                          BSI   3 DISK1-X3  FETCH 1 LET/FLET SCTR       PTM50910
                    *                                                   PTM50915
                          LD    2 @SCTN     FETCH LET/FLET SCTR NO.     PTM50920
                          BSC     +-        SKIP,NOT FIRST LET SCTR     PTM50925
                          MDX     SR100     *BRANCH OTHERWISE           PTM50930
                    *                                                   PTM50935
                          S    L  SR906                                 PTM50940
                          BSC     Z         SKIP IF 1ST SCTR FLET       PTM50945
                          MDX     SR110     BR,NOT 1ST SCTR LET/FLET    PTM50950
                    *                                                   PTM50955
                    SR100 LD    2 @UAFX     INITIALIZE BLK ADDR ACC     PTM50960
                          SLA     4         *TO ADDR 1ST PROGRAM        PTM50965
                          STO  L  SR905     *STORED IN LET/FLET         PTM50970
                    *                                                   PTM50975
                    SR110 LD   L  SR907     COMPUTE NO. WDS IN CURRENT  PTM50980
                          S     2 @WDSA     *LET/FLET SECTOR            PTM50985
                          STO  L  SR909                                 PTM50990
                    *                                                   PTM50995
                    SR130 LD    2 @BLCT+@LFHD SAVE BLK CNT OF CURRENT   PTM51000
                          STO  L  SR910     *LET/FLET ENTRY             PTM51005
                    *                                                   PTM51010
                    *     COMPARE FILE NAME TO ENTRY NAME               PTM51015
                    *                                                   PTM51020
                    *                       FETCH NAME OF CURRENT       PTM51025
                          LD    2 @LFNM+@LFHD *LET/FLET ENTRY           PTM51030
                          S    L  SR908     COMPARE WITH NAME SOUGHT    PTM51035
                          BSC     Z         SKIP IF 1ST WDS MATCH,      PTM51040
                          MDX     SR120     *BRANCH OTHERWISE           PTM51045
                    *                                                   PTM51050
                          LD    2 @LFNM+1+@LFHD FETCH 2ND WD-ENT NAME   PTM51055
                          S    L  SR908+1                               PTM51060
                          BSC     Z         SKIP IF NAMES MATCH,        PTM51065
                          MDX     SR120     *BRANCH OTHERWISE           PTM51070
                          LD    2 @LFNM+2+@LFHD  GET FILE BLK CNT       PTM51075
                          STO     B1926     *AND SAVE                   PTM51080
                          BSC  I  SERCH     RETURN TO CALLER            PTM51085
                    *                                                   PTM51090
                    *     RETURN SCTR ADDR AND BLK CNT FOR FILE         PTM51095
                    *                                                   PTM51100
                    SR150 LDX  I2 OFLOW+1   SAVE OVERFLOW SCTR ADDR     PTM51105
                          LD    2 1                                     PTM51110
                          STO  L  B1921                                 PTM51115
                          STX   2 B1923     SET RESTORE ADDR            PTM51120
                          MDX  L  B1923,1                               PTM51125
                          LDX  L2 BUFI                                  PTM51130
                          LD   L  SR905     FETCH BLK ADDR OF FILE      PTM51135
                          SRA     4         CONVERT TO SCTR ADDR        PTM51140
                          STO  L  SR905     SAVE SCTR ADDR              PTM51145
                          LD   L  BUFI+1    FETCH CURR DR CODE          PTM51150
                          AND     SR912                                 PTM51155
                          OR   L  SR905     ADD SECTOR ADDR             PTM51160
                          STO   3 SMSEC-X3  SAVE MACRO LIBRARY ADDR     PTM51165
                          STO   2 1         SET SCTR ADDR FOR DK READ   PTM51170
                          LD      B1926     FETCH FILE BLK CNT          PTM51175
                          SRA     4                                     PTM51180
                          A     3 SMSEC-X3                              PTM51185
                          STO   3 SYSLM-X3  SET MACRO LIBRARY LIMIT     PTM51190
                    SR160 LDD     B1110                                 PTM51195
                          BSI   3 DISK1-X3  READ FIRST FEW WORDS        PTM51200
                          LD    2 +6        FETCH LIBRARY NAME          PTM51205
                          RTE     16        *FROM LIBRARY HDR           PTM51210
                          LD    2 +5                                    PTM51215
                          SD   L  SR908     SUBRT. PACKED NAME OF LIB.  PTM51220
                          BSC  L  B1107,Z   BR-NOT MACRO LIBRARY        PTM51225
                          RTE     16                                    PTM51230
                          BSC  L  B1107,Z   BR-NOT MACRO LIBRARY        PTM51235
                          LDX  I1 OFLOW+1   SET DISK BUFFER PNTR        PTM51252
                    B1105 LD    2 +4        SAVE SECTOR DISP.           PTM51253
                          STO  L  B1990     SAVE FOR LATER              PTM51254
                          LD    2 +1                                    PTM51255
                          A     2 +3        ADD RELATIVE SEC ADDR  2-10 PTM51260
                    *                                              2-10 PTM51265
                          STO   1 +1                                    PTM51270
                    B1106 LDD   3 OFLOW-X3                              PTM51275
                          BSI   3 DISK1-X3  READ LIBRARY SCTR           PTM51280
                          LD   L  B1990                                 PTM51285
                          A       B1925     ADD 2                       PTM51290
                          A       B1923                                 PTM51295
                          STO     *+1                                   PTM51300
                    B1109 LD   L  *-*       FETCH CONCAT INDR           PTM51305
                          BSC  L  B1100,+   BR-NO CONCATENATION         PTM51310
                          MDX  L  CATCT,-1  DECR CIRCULAR CONCAT CNT    PTM51315
                          MDX     B1108     CONT TO TEST CONCAT         PTM51320
                          MDX     B1107     CIRCULAR CONCAT             PTM51325
                    B1100 BSI  L  LDXRS     RESTORE XR1 AND XR3         PTM51330
                          BSI  L  P9MVE     PRINT MACLIB RCD            PTM51335
                          LDD  L  B1997     RESTORE BUFI HDR            PTM51340
                          STD  L  BUFI                                  PTM51345
                          LD      B1921     RESET DFBUF SCTR ADDR       PTM51350
                          STO  I  B1923                                 PTM51355
                          BSC  L  B1200     RESTORE PHASE 1             PTM51360
                    B1111 BSC  L  SR090+1   BRANCH                 2-11 PTM51365
                    *                                                   PTM51370
                    *     CONSTANTS                                     PTM51375
                    *                                                   PTM51380
                    B1925 DC      2         CONSTANT 2                  PTM51385
                    B1926 BSS     1         TEMP SAVE AREA              PTM51390
                          BSS  E  0         FORCE EVEN ADDR             PTM51395
                    B1110 DC      /7000     DISKZ READ CODE             PTM51400
                          DC      BUFI      I/O AREA ADDR               PTM51405
                    B1923 DC      *-*       TEMP SAVE AREA              PTM51410
                    SR912 DC      /F000                                 PTM51415
                    *                                                   PTM51420
                    *     CONTINUE SEARCH,NO MATCH FOUND                PTM51425
                    *                                                   PTM51430
                    SR120 LD      SR905     COMPUTE ACCUMULATED BLK     PTM51435
                          A       SR910     *ADDR AND                   PTM51440
                          STO     SR905     *SAVE                       PTM51445
                    *                                                   PTM51450
                          MDX   2 @LFEN     PT TO NEXT LET/FLET ENTRY   PTM51455
                          LD      SR909                                 PTM51460
                          S       B1930     DECR LET/FLET CNT           PTM51465
                          STO     SR909                                 PTM51470
                          BSC  L  SR125,+-  SKIP WHEN SCTR SEARCHED2-11 PTM51475
                          BSC  L  SR130     *BRANCH OTHERWISE      2-11 PTM51480
                    *                                                   PTM51485
                    *     PREPARE TO READ DOWN A NEW LET/FLET SCTR      PTM51490
                    *                                                   PTM51495
                    SR125 LDX  L2 BUFI+2    ADDR OF BFR TO XR2     2-11 PTM51500
                          LD    2 @NEXT                                 PTM51505
                          BSC     +-        SKIP UNLESS LAST LET/FLET   PTM51510
                          MDX     B1111     BR TO INITIALIZE NEW DR     PTM51515
                    *                                                   PTM51520
                          LD    2 -1        FETCH CURR SCTR ADDR        PTM51525
                          AND     SR912     AND OUT SCTR ADDR           PTM51530
                          OR    2 @NEXT     OR IN NEW SCTR ADDR         PTM51535
                          BSC  L  SR140     BRANCH TO CONTINUE          PTM51540
                    B1107 LDD     B1997     RESET DISK BFR HDR          PTM51545
                          STD  L  BUFI                                  PTM51550
                          LD      B1921     RESET DFBUF SCTR ADDR       PTM51555
                          STO  I  B1923                                 PTM51560
                          BSC  L  SR010     BR TO RECORD ERROR          PTM51565
                    B1108 LDX  I1 B1109+1                               PTM51570
                          LD    1 +2        FETCH CONCATENATED          PTM51575
                          SRT     16        *LIBRARY NAME               PTM51580
                          LD    1 +1                                    PTM51585
                          STD     SR908     SAVE LIBRARY NAME           PTM51590
                          BSI  L  SERCH     PERFORM LET/FLET SEARCH     PTM51595
                          LD      SR905     PLACE CONCATENATED          PTM51600
                          SRA     4         *LIBRARY DISK ADDR          PTM51605
                          STO     SR905                                 PTM51610
                          LD   L  BUFI+1    FETCH LOGICAL DRIVE         PTM51615
                          AND     SR912     *CODE,ADD SCTR ADDR         PTM51620
                          OR      SR905                                 PTM51625
                          STO  I  B1109+1                               PTM51630
                          STO  L  BUFI+1                                PTM51635
                          LDD   3 OFLOW-X3                              PTM51640
                          A       B1924                                 PTM51645
                          BSI   3 DISK1-X3  WRITE SCTR TO DISK          PTM51650
                          LDX  L2 BUFI                                  PTM51655
                          BSC  L  SR160     TEST CONCATENATED LIBRARY   PTM51660
                    *                                                   PTM51665
                    *     CONSTANTS                                     PTM51670
                    *                                                   PTM51675
                    SR901 DC      .$-.      $                           PTM51680
                          DC      .$-.$                                 PTM51685
                          DC      .#-.$                            2-11 PTM51690
                          DC      1                                2-11 PTM51695
                          DC      /0045                            2-11 PTM51700
                    *CONSTANT REMOVED                              2-11 PTM51705
                    *CONSTANT REMOVED                              2-11 PTM51710
                          DC      .I-.A                                 PTM51715
                          DC      .J-.I     J-R                         PTM51720
                          DC      .R-.J                                 PTM51725
                          DC      .S-.R     S-Z                         PTM51730
                          DC      .Z-.S                                 PTM51735
                          DC      .0-.Z     0-9                         PTM51740
                          DC      .9-.0                                 PTM51745
                          DC      /3FFF-.9  (FORCE END CHECK LOOP)      PTM51750
                    SR910 DC      *-*       BLK CNT OF CURR LET ENT     PTM51755
                    SR903 DC      /3F       USED TO SAVE BITS 10-15     PTM51760
                    SR904 DC      /C000     DISK DATA FMT INDR          PTM51765
                    SR908 BSS  E  2         SAVE ADDR FOR PACKED NAME E PTM51770
                    SR905 DC      *-*       CURRENT BLOCK ADDR          PTM51775
                    SR909 DC      *-*       NO. WDS LEFT FOR COMPARISON PTM51780
                    SR907 DC      320-@LFHD NO. WDS PER LET/FLET SCTR   PTM51785
                    SR906 DC      16        NO. OF 1ST SCTR IN FLET     PTM51790
                    CATCT DC      16        CONCATENATION CTR           PTM51795
                    *                                                   PTM51800
                    *                                                   PTM51805
                    *     PROCESS CROSS-REFERENCE                       PTM51810
                    *                                                   PTM51815
                    B1300 LD   L  B1900     SET PHASE ID NUMBER         PTM51820
                          STO  L  $PHSE                                 PTM51825
                          LD      B1320     RESTORE OVERLAY XEQ ADDR    PTM51830
                          STO  L  P0140+1                               PTM51835
                          LD    3 PASS-X3                               PTM51840
                          BSC  L  B1200,Z   BR IF IN 2ND PASS           PTM51845
                          LD   L  $CORE                                 PTM51850
                          S    L  B1910                                 PTM51855
                          BSC  L  B1150,+-  BR-4K SYSTEM                PTM51860
                          LD      B1310                                 PTM51865
                          OR    3 LSTOP-X3  SET LIST,XREF OPTIONS ON    PTM51870
                          STO   3 LSTOP-X3                              PTM51875
                          STO   3 TLIST-X3                              PTM51880
                          BSI   3 LDXRS-X3  RESTORE XR1                 PTM51885
                          BSI  L  P9MVE     PRINT XREF RCD              PTM51890
                          BSC  L  B1200     RESTORE PH 1                PTM51895
                    *                                                   PTM51900
                    *     CONSTANTS                                     PTM51905
                    *                                                   PTM51910
                    B1310 DC      /C000     LIST,XREF INDR              PTM51915
                    B1320 DC      OVLAY+2                               PTM51920
                    B1930 DC      3         CONSTANT 3                  PTM51925
                    B1921 BSS     1         TEMP SAVE AREA              PTM51930
                    B1924 DC      1         CONSTANT 1                  PTM51935
                    *                                                   PTM51940
                          BSS  E  0                                     PTM51945
                    B1990 DC      /D5       SLET ID OF PHASE 1          PTM51950
                          BSS     3                                     PTM51955
                    B1997 BSS  E  2         TEMP SAVE BUFI HDR          PTM51960
                          BSS     0         PATCH AREA EXHAUSTED   2-11 PTM51965
                    B1999 DC      0         END OF PHASE                PTM51970
*SBRKSLS E9          ASM MACRO PH 1 - SPECIAL OP AND PREPROCESSINGV2M08 PTM51975
                          HDNG    MACRO PROCESSOR PHASE 1               PTM51980
                    *************************************************** PTM51985
                    *                                                 * PTM51990
                    *STATUS-VERSION 2, MODIFICATION 10                * PTM51995
                    *                                                 * PTM52000
                    *FUNCTION/OPERATION                               * PTM52005
                    *   *MACRO PHASE 1 IS INVOKED WHENEVER THE OP CODE* PTM52010
                    *    SEARCH IS UNSUCCESSFUL WITH XR3 POINTING TO  * PTM52015
                    *    ASM COMMA.                                   * PTM52020
                    *   *THE OP CODE IS CHECKED AGAINST THE SPECIAL   * PTM52025
                    *    PSEUDO OP TABLE. MACRO PHASE 1A IS INVOKED   * PTM52030
                    *    IF THE PSEUDO OP IS SET, PURG OR ANOP. MACRO * PTM52035
                    *    PHASE 1B IS INVOKED IF THE OP IS A CONDI-    * PTM52040
                    *    TIONAL ASSEMBLY PSEUDO OP.                   * PTM52045
                    *   *IF THE OP IS EITHER MAC OR SMAC, THE         * PTM52050
                    *    PROTOTYPE NAME IS COMPARED AGAINST EITHER    * PTM52055
                    *    THE TEMPORARY OR SPECIFIED MACRO LIBRARY FOR * PTM52060
                    *    MULTIPLE DEFINITION. IF NO MATCH CAN BE FOUND* PTM52065
                    *    MACRO PHASE 2 IS INVOKED.                    * PTM52070
                    *   *IF THE OP IS NOT RECOGNIZABLE, THE TEMPORARY * PTM52075
                    *    AND/OR SPECIFIED MACRO LIBRARIES ARE SCANNED * PTM52080
                    *    FOR THE OP CODE. IF THE SCAN IS SUCCESSFUL,  * PTM52085
                    *    MACRO PHASE 3 IS INVOKED. OTHERWISE,AN ERROR * PTM52090
                    *    IS ISSUED AND PROCESSING CONTINUES.          * PTM52095
                    *                                                 * PTM52100
                    *ENTRY POINT-                                     * PTM52105
                    *   *M1000+12 - ENTRY FROM STRT9,ASM PHASE 9      * PTM52110
                    *                                                 * PTM52115
                    *INPUT-                                           * PTM52120
                    *   *RECORD IN INPUT BUFFER                       * PTM52125
                    *                                                 * PTM52130
                    *OUTPUT-N/A                                       * PTM52135
                    *                                                 * PTM52140
                    *EXTERNAL REFERENCES-                             * PTM52145
                    *   *SUBROUTINES-                                 * PTM52150
                    *       * DFOUT                                   * PTM52155
                    *       * DISK1                                   * PTM52160
                    *       * ERFLG                                   * PTM52165
                    *       * GETS5                                   * PTM52170
                    *       * GETS6                                   * PTM52175
                    *       * GETS7                                   * PTM52180
                    *       * GETS8                                   * PTM52185
                    *       * GTS8A                                   * PTM52190
                    *       * GTS12                                   * PTM52195
                    *       * GETS2                                   * PTM52200
                    *       * LDLBL                                   * PTM52205
                    *       * LDXRS                                   * PTM52210
                    *       * PALBL                                   * PTM52215
                    *       * P0130                                   * PTM52220
                    *       * P0140+1                                 * PTM52225
                    *       * STRT9                                   * PTM52230
                    *   *ASMCM-                                       * PTM52235
                    *       * ADCOW                                   * PTM52240
                    *       * ASMCM                                   * PTM52245
                    *       * COMSW                                   * PTM52250
                    *       * LOGC0                                   * PTM52255
                    *       * MCDEF                                   * PTM52260
                    *       * MCOM1                                   * PTM52265
                    *       * MCOM2                                   * PTM52270
                    *       * MCOM3                                   * PTM52275
                    *       * MCOM4                                   * PTM52280
                    *       * MCOM8                                   * PTM52285
                    *       * OPBUF                                   * PTM52290
                    *       * OPCNT                                   * PTM52295
                    *       * PARAM                                   * PTM52300
                    *       * PASS                                    * PTM52305
                    *       * SMAC0                                   * PTM52310
                    *       * SMSEC                                   * PTM52315
                    *       * TRWRD                                   * PTM52320
                    *       * SYMBF                                   * PTM52325
                    *   *DCOM/COMMA-                                  * PTM52330
                    *       * $CORE                                   * PTM52335
                    *EXITS-                                           * PTM52340
                    *   *THRU GTS00 TO MACRO PHASES 1A, 1B, 2, 3      * PTM52345
                    *   *THRU BGASM TO BYPASS                         * PTM52350
                    *   *THRU OPCDR ON ERROR CONDITION                * PTM52355
                    *                                                 * PTM52360
                    *TABLE/WORK AREAS-                                * PTM52365
                    *   *OPN01-SPECIAL OP CODE TABLE                  * PTM52370
                    *   *OPN02-BR ADDR TABLE TO OPN01                 * PTM52375
                    *   *OPN04-BYPASS BR TABLE                        * PTM52380
                    *   *MCOP4-OP CODE BFR                            * PTM52385
                    *                                                 * PTM52390
                    *ATTRIBUTES-N/A                                   * PTM52395
                    *                                                 * PTM52400
                    *NOTES-                                           * PTM52405
                    *   *THERE ARE PRESENTLY TWO WORDS OF PATCH       * PTM52410
                    *    AREA AVAILABLE IN THIS PHASE.PATCH AREA      * PTM52415
                    *    IS PROVIDED FOR THIS PHASE IN THE            * PTM52420
                    *    GENERAL PATCH OF MACRO PROCESSOR PH 3B.      * PTM52425
                    *    ADDITIONAL PATCH CAN BE OBTAINED BY          * PTM52430
                    *    MAKING THE PASS TWO BYPASS SUBR A SEPARATE   * PTM52435
                    *    PHASE.                                       * PTM52440
                    *                                                 * PTM52445
                    *************************************************** PTM52450
                    *************************************************** PTM52455
                    *                                                 * PTM52460
                    *     MACRO PHASE 1 COMMUNICATIONS AREA           * PTM52465
                    *                                                 * PTM52470
                    *************************************************** PTM52475
                    BGASM EQU     STRT9                                 PTM52480
                    BRBCK EQU     P0140                                 PTM52485
                    DEFSK EQU     BGASM+1                               PTM52490
                    OPBUF EQU     P9040                                 PTM52495
                    *                                                 * PTM52500
                    *************************************************** PTM52505
                    *       * MCOM3                                   * PTM52510
                    *                                                   PTM52515
                          ORG     OVLAY                                 PTM52520
                          DC      MC1Z0-M1000  WD CNT OF PHASE          PTM52525
                          DC      -/E9      SLET ID OF MACRO PH 1       PTM52530
                    *                                                   PTM52535
                    MPH01 DC      M1800-MPH01  ADDR OF ID TABLE         PTM52540
                          DC      4            NO. OF ID'S TO BE FILLED PTM52545
                          ORG     *-2                                   PTM52550
                    *                                                   PTM52555
                    *                                                   PTM52560
                    *                                                   PTM52565
                    *     GENERAL DISK READ SUBROUTINE                  PTM52570
                    *                                                   PTM52575
                    *                                                   PTM52580
                    M1000 EQU     *                                     PTM52585
                    DKOUT BSC  L  *-*       RETURN TO CALLER            PTM52590
                    DKRD0 EQU     *-1       ENTRY POINT                 PTM52595
                          LD   L  SKEL0-1   SET SCTR ADDR               PTM52600
                          STO     PLSR0                                 PTM52605
                          LDD     DKRDC     INITIALIZE FOR DK READ      PTM52610
                          BSI     DISK1     PERFORM DK READ             PTM52615
                          MDX     DKOUT     RETURN TO CALLER            PTM52620
                    *                                                   PTM52625
                          BSS  E  0         FORCE EVEN ADDR             PTM52630
                    DKRDC DC      /7000     DK READ FUNC CODE           PTM52635
                          DC      SKEL0-2   I/O AREA ADDR               PTM52640
                    HFE00 DC      /FE00     END OF LIBRARY INDR         PTM52645
                    OPER1 DC      OPCDR                                 PTM52650
                    *                                                   PTM52655
                    *     ENTER MACRO PROCESSOR PH 1                    PTM52660
                    *                                                   PTM52665
                          MDX     MACRO     +14 XEQ MACRO PH 1          PTM52670
                    *                                                   PTM52675
                    SKELX DC      *-*       DISPLACEMENT PT             PTM52680
                    PLSR0 BSS  E  2         LAST SCTR READ INFO         PTM52685
                    MCOP4 BSS  E  2         OP CODE BFR                 PTM52690
                          DC      *-*       OP CODE BFR                 PTM52695
                    ENTRY DC      OVLAY+18  ENTRY TO MACRO PHASES       PTM52700
                    *                                                   PTM52705
                    *     RESTORE MACRO PHASE 1                         PTM52710
                    *     *TO PROCESS ERROR                             PTM52715
                    *                                                   PTM52720
                    OPER0 LD      OPER1     SET ADDR TO PROCESS ERROR   PTM52725
                          MDX     GTS00+1   PROCESS ERROR               PTM52730
                    *                                                   PTM52735
                    *     SEARCH APPROPRIATE DISK AREA TO GUARD         PTM52740
                    *     *AGAINST MULTIPLY-DEFINED MACROS.             PTM52745
                    *                                                   PTM52750
                    OPLC1 BSI     DKRD0     READ SKELETON SCTR          PTM52755
                          LDX   2 1                                     PTM52760
                          LD      MCDEF                                 PTM52765
                          BSC  L  IFMAC-2,-   BR-NO PREVIOUS DEFINITION PTM52770
                    OPLCE MDX     NMSCH     PERFORM NAME SEARCH         PTM52775
                    *************************************************** PTM52780
                    *     THE FOLLOWING TWO ADDRESS CONSTANTS           PTM52785
                    *     *MUST BE LOCATED AT AN EVEN ADDRESS           PTM52790
                    *************************************************** PTM52795
                          DC      IFMAC     END OF STRING               PTM52800
                          DC      OPER0     DUPLICATE FOUND             PTM52805
                    *                                                   PTM52810
                    *     SKELETON SEARCH COMPLETE, PLACE NAME          PTM52815
                    *     *IN SKELETON                                  PTM52820
                    *                                                   PTM52825
                          STX   2 SKEL0                                 PTM52830
                          STX   2 MCDEF     SET TEMP MACRO SW           PTM52835
                    IFMAC LDD     MCOP4     PLACE MACRO                 PTM52840
                          STD     MCOM2     *NAME IN ASMCM-3 WD ENT     PTM52845
                          LD      MCOP4+2                               PTM52850
                          STO     MCOM4                                 PTM52855
                    *                                                   PTM52860
                          LD      OPER3                                 PTM52865
                    OPERN MDX   2 4                                     PTM52870
                          STX   2 PLSR0+1                               PTM52875
                          BSC  L  MOVSK,Z   MOVE SKEL0 BFR IF NEEDED    PTM52880
                    MVSKR LDD     PLSR0                                 PTM52885
                          STD     MCOM8                                 PTM52890
                          LDD  L  M1820+2   GET WD CNT & SCTR ADDR      PTM52895
                    MVADD EQU     *-1                                   PTM52900
                          STD     OVLAY     SET OVERLAY HEADER          PTM52905
                    GTS00 LD      ENTRY     SET ENTRY POINT ADDR        PTM52910
                          BSI  L  LDXRS     RESTORE XR1 AND XR3         PTM52915
                          STO   3 BRBCK+1-X3  *OF OVERLAY               PTM52920
                          BSC  L  P0130     LD AND GO TO OVERLAY        PTM52925
                    *                                                   PTM52930
                    *                                                   PTM52935
                    *     ADJUST TO MOVE SKEL0 BFR AND LOAD/GO TO       PTM52940
                    *     *MACRO PHASE 3                                PTM52945
                    *                                                   PTM52950
                    MAC08 MDX  L  MVADD,4   PT TO WD CNT, SCTR ADDR     PTM52955
                          SLA     16        CLEAR TO MOVE SKEL0         PTM52960
                          MDX     OPERN     MOVE SKEL0,GET MACRO PH 0   PTM52965
                    *                                                   PTM52970
                    *                                                   PTM52975
                    *     SKELETON BUFFER MOVE SUBR                     PTM52980
                    *                                                   PTM52985
                    MOVSK EQU     *                                     PTM52990
                          LDX  L3 DEFSK+321 TARGET SKELETON             PTM52995
                    OPER3 EQU     *-1                                   PTM53000
                          LDX  L2 322       SET WD CNT                  PTM53005
                    MVSK1 LD   L2 SKEL0-3   MOVE DATA WD                PTM53010
                          STO   3 0                                     PTM53015
                          MDX   3 -1                                    PTM53020
                          MDX   2 -1                                    PTM53025
                          MDX     MVSK1     CONT DATA MOVE              PTM53030
                          MDX     MVSKR                                 PTM53035
                    *                                                   PTM53040
                    *     SUBROUTINE TO SEARCH DISK FOR NAME            PTM53045
                    *             ENTRY BSI  L  NMSCH                   PTM53050
                    *                   DC      NAME1                   PTM53055
                    *                   DC      NAME2                   PTM53060
                    *             NAME1 IS BR ADDR IF NAME NOT FOUND    PTM53065
                    *             NAME2 IS BR ADDR IF NAME FOUND        PTM53070
                    *             XR2 AND XR3 ARE DESTROYED             PTM53075
                    *                                                   PTM53080
                    NMSCH EQU     *                                     PTM53085
                          LD      SKEL0     1ST WD OF PROTOTYPE         PTM53090
                          MDX     NMSR1+1   TEST FOR ZERO               PTM53095
                          STO     SKELX     SAVE DISPLACEMENT TO        PTM53100
                    NMSRH LDX  I2 SKELX     *NEXT MACRO                 PTM53105
                          LDX  L3 SKEL0                                 PTM53110
                          MDX  I3 SKELX                                 PTM53115
                          LD    3 0         TEST FOR END OF MACROS      PTM53120
                          EOR     HFE00                                 PTM53125
                          BSC  L  NMSR0,Z   BR IF NOT END OF LIB        PTM53130
                          LD      DEFSW     SKIP IF DEFINITION OR ABS   PTM53135
                          BSC     -         *END OF LIBRARY             PTM53140
                          LD    3 1         CHECK FOR CONCATENATION     PTM53145
                          BSC     +-                                    PTM53150
                          LD      DEFSW                                 PTM53155
                          BSC  I  OPLCE+1,+  BR-NO CONCATENATION        PTM53160
                          STO     SKEL0-1   SAVE SCTR ADDR OF LIBRARY   PTM53165
                          MDX     NMSR2+2   BR TO READ NEW SCTR         PTM53170
                    NMSR0 EQU     *                                     PTM53175
                          LD    3 1         GET NAME FROM PROTOTYPE     PTM53180
                          RTE     16        *AND CMP AGAINST NAME       PTM53185
                          LD    3 0                                     PTM53190
                          SD      MCOP4                                 PTM53195
                          BSC     Z                                     PTM53200
                          MDX     NMSR1     BR-NO MATCH ON 1ST WD       PTM53205
                          LD    3 2                                     PTM53210
                          EOR     MCOP4+2                               PTM53215
                          BSC     +-        BR-NO MATCH ON 5TH CHAR     PTM53220
                          RTE     16                                    PTM53225
                          BSC  I  OPLCE+2,+-  BR-NAME FOUND, EXIT       PTM53230
                    NMSR1 LD    3 3         FETCH CHAIN WD              PTM53235
                          BSC     Z         SKIP IF NEED NEW SCTR       PTM53240
                          MDX     NMSRH-1   CONT SCTR SEARCH            PTM53245
                    *                                                   PTM53250
                    *             READ NEXT SKELETON SCTR               PTM53255
                    *                                                   PTM53260
                    NMSR2 MDX  L  SKEL0-1,1  INCREMENT SCTR ADDR        PTM53265
                          BSI     DKRD0     BR TO READ SKELETON         PTM53270
                          MDX     NMSCH     CONT NAME SEARCH            PTM53275
                    *                                                   PTM53280
                    *     CHECK OPERATION CODE TO DETERMINE IF          PTM53285
                    *     *OPERATION IS A MACRO DEFINITION OR           PTM53290
                    *     *SPECIAL PSEUDO OPERATION                     PTM53295
                    *                                                   PTM53300
                    MACRO LD    3 LOGC0-X3  SET DEFINITION SW TO        PTM53305
                          STO     DEFSW     *LOGICAL CONCATENATOR       PTM53310
                          LD    1 +31       TEST FOR 5 CHAR OP CODE     PTM53315
                          S       M1901                                 PTM53320
                          BSC  L  MAC22,Z   BR-5TH CHAR PRESENT         PTM53325
                          LDX  L3 OPN02-2   XR3 PTS TO SPECIAL OP TBL   PTM53330
                          LDX   2 OPN03-OPN02  SET LOOP CNT TO TBL SIZE PTM53335
                    MAC01 LDD  L  OPBUF     CMP OP CODE TO SPECIAL      PTM53340
                          SD    3 0         *OP TABLE                   PTM53345
                          BSC     Z         SKIP IF 1ST HALF MATCHES    PTM53350
                          MDX     MAC02     SKIP-NO MATCH               PTM53355
                          RTE     16        SET TO TEST 2ND HALF        PTM53360
                          BSC  I2 OPN02-1,+-  BR THRU TABLE IF MATCH    PTM53365
                    MAC02 MDX   3 -2        DECR THRU OP TABLE          PTM53370
                          MDX   2 -1        DECR THRU BR TABLE          PTM53375
                          MDX     MAC01     CONTINUE SPECIAL OP SEARCH  PTM53380
                          MDX     MAC22     CONT TEST FOR MACRO         PTM53385
                    *                                                   PTM53390
                    DEFSW DC      *-*       DEFINITION SW,0 FOR NONE    PTM53395
                    *                                                   PTM53400
                    *     OP CODE NOT WITHIN SPECIAL OP CODE LIST       PTM53405
                    *     *SEARCH DISK FOR MACRO NAME IF MACROS         PTM53410
                    *     *DEFINED. ALTER CALL PARAMETERS TO NMSCH      PTM53415
                    *     *SUBROUTINE AND TREAT AS MAC OR SMAC          PTM53420
                    *     *PSEUDO OPERATION.                            PTM53425
                    *                                                   PTM53430
                    MAC22 LD   L  $CORE     TEST FOR 4K SYSTEM          PTM53435
                          S       M1902                                 PTM53440
                          BSC  L  OPCDR,+-  BR IF 4K SYSTEM             PTM53445
                    *                                                   PTM53450
                    MAC03 LD   L  MCDEF     NEGATIVE-MAC DEFINED        PTM53455
                          LDX   3 0                                     PTM53460
                          BSC     +Z        SKIP IF MAC NOT DEFINED     PTM53465
                          MDX     MAC05+1   BR IF MAC DEFINED           PTM53470
                    MAC05 LDX   3 2         SEARCH SYST MACRO LIBRARY   PTM53475
                          LDD     MAC06     MODIFY NMSCH EXITS          PTM53480
                          STD     OPLCE+1                               PTM53485
                          LD      MAC11     SET ERROR ADDR              PTM53490
                          STO     MCOP                                  PTM53495
                          LD   L  PASS      0 IF PASS 1                 PTM53500
                          STO  L  MACSW     MCCSN ENTRY POINT           PTM53505
                          MDX   3 0         SKIP IF MAC DEFINED         PTM53510
                          MDX     MACS0     TREAT AS SMAC               PTM53515
                          MDX     MACN0     TREAT AS MAC                PTM53520
                    *                                                   PTM53525
                    *     CONSTANTS                                     PTM53530
                    *                                                   PTM53535
                          BSS  E  0         FORCE EVEN ADDR             PTM53540
                    MAC06 DC      OPER0     BR IF NOT MAC OR SMAC OP    PTM53545
                          DC      MAC08     BR ADDR FOR VALID SMAC OP   PTM53550
                    MAC11 DC      /7000+MAC12-MCOP-1                    PTM53555
                    OPECR DC      .O        OP CODE ERROR FLAG          PTM53560
                    *                                                   PTM53565
                    *                                                   PTM53570
                    *     NOT DEFINITION OR SPECIAL OPERATION.          PTM53575
                    *     *CHECK FOR MACRO OPERATION OR OPERATION       PTM53580
                    *     *CODE ERROR                                   PTM53585
                    *                                                   PTM53590
                    MOPR1 LD    1 +34                                   PTM53595
                          EOR     OPECR                                 PTM53600
                          BSC  L  OPCDR,+-  BR-OP CODE ERR              PTM53605
                    MOPER LD    1 +34                                   PTM53610
                          STO     DEFSW                                 PTM53615
                          LD      M1901     RESET COL 34 TO BLANK       PTM53620
                          STO   1 34                                    PTM53625
                          LD      DEFSW     FETCH ERROR FLAG            PTM53630
                    OPCD2 BSI  L  ERFLG     PLACE ERROR FLAG            PTM53635
                          BSI  L  LDLBL     PASS RECORD                 PTM53640
                    *                                                   PTM53645
                    *     GET NEXT RECORD                               PTM53650
                    *                                                   PTM53655
                    STASM LDD  L  P9041+12  SET I/O HDR TO RESTORE 2-10 PTM53660
                          STD   3 OVLAY-X3  *ASM PH2 TO OVLAY AREA 2-10 PTM53665
                          LD      STAM1     SET BRANCH ADDR TO STRT9    PTM53670
                          STO   3 P0140+1-X3                            PTM53675
                          BSC  L  P0130     BR TO FETCH ASM PH 2   2-10 PTM53680
                    *                                                   PTM53685
                    STAM1 DC      STRT9                                 PTM53690
                    *                                                   PTM53695
                    OPCDR BSI  L  LDXRS     RESTORE XR1 AND XR3         PTM53700
                    OPCD1 MDX  L  ADCOW,2   INCR L.A.C.                 PTM53705
                          NOP               (MAY SKIP)                  PTM53710
                          LD      OPECR     FETCH ERR FLAG              PTM53715
                          MDX  L  PSMDE,0   TEST PASS MODE              PTM53720
                          MDX     OPCD2     BR-TWO PASS MODE            PTM53725
                          LD    3 PASS-X3                               PTM53730
                          BSC  L  MOPER,Z   BR-PASS TWO                 PTM53735
                          LD      OPECR     SET ERROR FLAG              PTM53740
                          STO   1 34                                    PTM53745
                          MDX     OPCD2                                 PTM53750
                    *                                                   PTM53755
                    *     SYSTEM MACRO PROCESSING -- SMAC               PTM53760
                    *                                                   PTM53765
                    SMACE LD      *-1       SET DEFINITION SW           PTM53770
                          STO     DEFSW                                 PTM53775
                    MACS0 BSI  L  LDXRS     XR1 TO I/P BFR,XR3 TO ASMCM PTM53780
                          STO   3 SMAC0-X3  SET SMAC SWITCH             PTM53785
                    *                                                   PTM53790
                          LD    3 SMSEC-X3  TEST FOR MACRO LIBRARY      PTM53795
                          BSC     Z-        BR-NO LIBRARY SPECIFIED     PTM53800
                          MDX     MACN1     SKIP TO GEN PROCESSING      PTM53805
                    *                                                   PTM53810
                    *     PROCESS ERROR WHEN NO MACLIB                  PTM53815
                    *                                                   PTM53820
                    M1700 EQU     *                                     PTM53825
                          LD      DEFSW                                 PTM53830
                          BSC  L  OPCDR,-   BR IF NO MACRO SEARCH       PTM53835
                    *                                                   PTM53840
                    M1701 LDD  L  M1800+2   GET WD CNT,SCTR ADDR PH 1A  PTM53845
                          STD  L  OVLAY                                 PTM53850
                          LD      EN1AA     GET SECONDARY ENT PH 1A     PTM53855
                          BSC  L  GTS00+1   LD AND GO TO MACRO PH 1A    PTM53860
                    *                                                   PTM53865
                    *     CONSTANTS                                     PTM53870
                    *                                                   PTM53875
                    EN1AA DC      M1AA0     SECONDARY ENT TO MACRO PH 1APTM53880
                    M1900 DC      1         CONSTANT 1                  PTM53885
                    M1901 DC      /40       EBCDIC BLANK                PTM53890
                    M1902 DC      /1000     4K CORE INDR                PTM53895
                    M1903 DC      320       DK BFR WD CNT               PTM53900
                    *                                                   PTM53905
                    *     TEMPORARY MACRO PROCESSING -- MAC             PTM53910
                    *                                                   PTM53915
                    MACNE LD      *-1       SET DEFINITION SW           PTM53920
                          STO     DEFSW                                 PTM53925
                    MACN0 BSI  L  LDXRS     XR1 TO I/P BFR,XR3 TO ASMCM PTM53930
                          SLA     16                                    PTM53935
                          STO   3 SMAC0-X3  MAC OP,CLEAR SMAC SW        PTM53940
                          LD    3 PARAM-X3                              PTM53945
                    *                                                   PTM53950
                    MACN1 STO     SKEL0-1   SET SCTR ADDR IN DK BFR     PTM53955
                          STO   3 MCOM1-X3  *AND SAVE IN ASMCM          PTM53960
                    *                                                   PTM53965
                          LD   L  $CORE     CHECK FOR 4K                PTM53970
                          S       M1902                                 PTM53975
                          BSC  L  OPCDR,+-  BR IF 4K SYSTEM             PTM53980
                    *                                                   PTM53985
                          LD      M1900     SET MAC/SMAC OP SW          PTM53990
                          STO  L  OPSW0                                 PTM53995
                    *                                                   PTM54000
                    MCTST LD      M1903     SET DK BFR WD CNT           PTM54005
                          STO     SKEL0-2                               PTM54010
                          STO   3 MCOM1-X3  SET MACRO SK WD CNT         PTM54015
                          LD    1 +34       CHECK FOR ERROR             PTM54020
                          S       M1901     CHECK FOR BLANK             PTM54025
                          BSC  L  MOPR1,Z   BR IF ERROR                 PTM54030
                    *                                                   PTM54035
                          LD    3 PSMDE-X3  TEST FOR TWO PASS MODE      PTM54040
                          BSC     +-        SKIP-ONE PASS MODE          PTM54045
                          MDX     MCT1S     SKIP-ONE PASS MODE          PTM54050
                          LD      DEFSW                                 PTM54055
                          BSC  L  MCTS2,-   BR-NOT A DEFINITION         PTM54060
                    MCT1S LD    3 PASS-X3   IF PASS TWO,BR TO           PTM54065
                          BSC  L  SCNPS,Z   *BYPASS DEFINITION          PTM54070
                    *                                                   PTM54075
                    MCTS2 LD    1 +35                                   PTM54080
                          EOR     M1901     CHK COMMENTS SW,CC 35       PTM54085
                          STO   3 COMSW-X3  SET COMMENTS SW             PTM54090
                    *                                                   PTM54095
                    *                                                   PTM54100
                    *     SCAN PROTOTYPE STATEMENT                      PTM54105
                    *                                                   PTM54110
                    MCOP  BSI  L  PALBL     READ NEXT RCD               PTM54115
                    *                                                   PTM54120
                          MDX   1 +27       XR1 POINTS TO OP CODE       PTM54125
                          SLA     16        CLEAR OP CODE CHAR CNT      PTM54130
                          STO     OPCN1                                 PTM54135
                    MCOP0 LDX   2 MCOP2-MCOP1  SET PARAM SET CNT        PTM54140
                          BSI  L  MCCSN     PERFORM CHAR SCAN           PTM54145
                    MCOP1 DC      /4B       EBCDIC PERIOD               PTM54150
                          DC      MCOP5                                 PTM54155
                          DC      /6B       EBCDIC COMMA                PTM54160
                          DC      MCOP5                                 PTM54165
                          DC      /4D       EBCDIC LEFT PAREN           PTM54170
                          DC      MCOP5                                 PTM54175
                          DC      /5D       EBCDIC RIGHT PAREN          PTM54180
                          DC      MCOP5                                 PTM54185
                    MC0P0 DC      /40       EBCDIC BLANK                PTM54190
                          DC      MCOP6                                 PTM54195
                    MCOP2 MDX  L  OPCN1,1   INCR OP LENGTH CNT          PTM54200
                          MDX   1 1         PT TO NEXT CHAR             PTM54205
                          MDX     MCOP0     CONTINUE OP CODE SCAN       PTM54210
                    *                                                   PTM54215
                    MCOP6 LD      OPCN1     TEST OP CHAR CNT            PTM54220
                          S       M1904                                 PTM54225
                          BSC     +Z        SKIP IF 5 OR MORE CHARS     PTM54230
                          MDX     MCOP2     CONT OP SEARCH-EMBEDDED BLNKPTM54235
                          BSC     Z         BR TO PLACE MACRO NAME      PTM54240
                    MCOP5 MDX     M1701     BR-INVALID MACRO NAME       PTM54245
                    *                                                   PTM54250
                    *                                                   PTM54255
                    *     PLACE MACRO NAME IN LIST                      PTM54260
                    *                                                   PTM54265
                    MCOP3 LDX  L3 MCOP4     XR3 PT TO OP CODE BFR       PTM54270
                          MDX   1 -5        XR1 PT TO OP CODE FLD       PTM54275
                          LDX   2 5         SET TO PACK 4 CHAR          PTM54280
                    MCP31 LD    1 0         FETCH LEFTHAND CHAR         PTM54285
                          SLA     8         SHIFT                       PTM54290
                          MDX   2 -1                                    PTM54295
                          OR    1 1         FETCH RIGHTHAND CHAR        PTM54300
                          MDX   2 1                                     PTM54305
                          STO   3 0         STORE 2 CHAR                PTM54310
                          MDX   1 2         PT TO NEXT CHAR             PTM54315
                          MDX   3 1         PT TO NEXT BFR WD           PTM54320
                          MDX   2 -2        DECR PACK CNT               PTM54325
                          MDX     MCP31     CONT PACK 2 CHAR/WD         PTM54330
                          LD   L  SMAC0     TEST FOR SYSTEM MACRO       PTM54335
                          BSC  L  OPLC1,+-  BR-TEMPORARY MACRO          PTM54340
                          MDX     SYSOP     BR-SYST MACRO               PTM54345
                    *                                                   PTM54350
                    *     PLACE MACRO NAME IN MACRO OP TO SCAN          PTM54355
                    *                                                   PTM54360
                    MAC12 LDD  L  OPBUF     FETCH FIRST 4 CHARS         PTM54365
                          STD   3 MCOP4-X3  *AND SAVE                   PTM54370
                          LD    1 31        FETCH 5TH CHAR AND SAVE     PTM54375
                          SLA     8         PACK 5TH CHAR               PTM54380
                          STO   3 MCOP4+2-X3                            PTM54385
                    SYSOP BSC  L  NMSR2+2   BR TO READ,SCAN SKEL0       PTM54390
                    *                                                   PTM54395
                    *     CONSTANTS AND INDICATORS                      PTM54400
                    *                                                   PTM54405
                    OPCN1 DC      *-*       OP CODE LENGTH              PTM54410
                    M1904 DC      5         CONSTANT 5                  PTM54415
                    M1905 DC      /F0       POSITIVE ZONE               PTM54420
                    M1906 DC      .*        EBCDIC ASTERISK             PTM54425
                    *                                                   PTM54430
                    *     SPECIAL OP CODE TABLE                         PTM54435
                    *                                                   PTM54440
                          BSS  E  0         FORCE EVEN ADDR             PTM54445
                    OPN01 EBC     .SMAC.    SYST MACRO DEFN OP          PTM54450
                          EBC     .MAC .    TEMP MACRO DEFN OP          PTM54455
                          EBC     .MEND.    END MACRO DEFN OP           PTM54460
                          EBC     .AIF .    ASM IF FALSE OP             PTM54465
                          EBC     .AGO .    GO TO ASM OP                PTM54470
                          EBC     .AIFB.    ASM IF FALSE BACK OP        PTM54475
                          EBC     .AGOB.    GO TO ASM BACK OP           PTM54480
                          EBC     .SET .    SET VALUE OP                PTM54485
                          EBC     .PURG.    PURG MACRO OP               PTM54490
                          EBC     .ANOP.    PASS LABEL OP               PTM54495
                    OPN02 EQU     *                                     PTM54500
                          DC      SMACE     SYST MACRO ENTRY            PTM54505
                          DC      MACNE     TEMP MACRO ENTRY            PTM54510
                          DC      M1701     OP CODE ERROR               PTM54515
                          DC      GTS1B     GET MACRO PH 1B             PTM54520
                          DC      GTS1B     GET MACRO PH 1B             PTM54525
                          DC      GTS1B     GET MACRO PH 1B             PTM54530
                          DC      GTS1B     GET MACRO PH 1B             PTM54535
                          DC      GTS1A     GET MACRO PH 1A             PTM54540
                          DC      GTS1A     GET MACRO PH 1A             PTM54545
                          DC      GTS1A     GET MACRO PH 1A             PTM54550
                    OPN03 EQU     *                                     PTM54555
                          EBC     .END .    EBC END                     PTM54560
                    OPN04 DC      SCNPS-2   MAC   BRANCH TBL            PTM54565
                          DC      SCNPS-2   SMAC  *FOR SECOND           PTM54570
                          DC      SCNP3     MEND  *PASS                 PTM54575
                    OPN05 EQU     *                                     PTM54580
                    *                                                   PTM54585
                    *     LOAD AND GO TO MACRO PH 1A OR 1B IN           PTM54590
                    *     *OVERLAY AREA TO PROCESS SPECIAL              PTM54595
                    *     *OPERATIONS.                                  PTM54600
                    *                                                   PTM54605
                    *                                                   PTM54610
                    GTS1B LDD     M1810+2   GET WD CNT & SCTR ADDR      PTM54615
                          STD  L  OVLAY                                 PTM54620
                          MDX     GTSLD     BR TO LOAD OVERLAY          PTM54625
                    GTS1A LDD     M1800+2   GET WD CNT & SCTR ADDR      PTM54630
                          STD  L  OVLAY                                 PTM54635
                    GTSLD BSC  L  GTS00     BR TO LOAD OVERLAY          PTM54640
                    *                                                   PTM54645
                    *     CODE FOR BYPASSING DEFINITIONS                PTM54650
                    *     XR1 MUST POINT TO START OF INPUT BUFFER.      PTM54655
                    *                                                   PTM54660
                          MDX  L  OPSW0,1                               PTM54665
                    SCNPS MDX  L  MACSW,0                               PTM54670
                          MDX     SCNP4                                 PTM54675
                    SCNPE LDX  I1 RDBFR     RESTORE XR1                 PTM54680
                          LD    1 +34       TEST FOR ERROR FLAG         PTM54685
                          S    L  M1901                                 PTM54690
                          BSC  L  MOPR1,Z   BR IF ERROR                 PTM54695
                    SCNP0 MDX     PASLB                                 PTM54700
                    *                                                   PTM54705
                          LD    1 +21       TEST FOR ASTERISK IN COL 21 PTM54710
                          EOR     M1906                                 PTM54715
                          BSC  L  PASLB,+-  BR IF COMMENTS RCD          PTM54720
                          LD    1 +31                                   PTM54725
                          EOR     MC0P0     TEST FOR 5 CHAR OP          PTM54730
                          BSC  L  PASLB,Z   BR IF MACRO NAME            PTM54735
                    *                                                   PTM54740
                          LDX   2 4         SET OP CODE CHAR CNT        PTM54745
                          SLT     32        PACK OP CODE 2 EBCDIC       PTM54750
                    SCNP1 OR    1 +30       *CHARACTERS/WD              PTM54755
                          RTE     8                                     PTM54760
                          MDX   1 -1                                    PTM54765
                          MDX   2 -1                                    PTM54770
                          MDX     SCNP1     CONT PACKING OP CODE        PTM54775
                          RTE     16                                    PTM54780
                          STD  L  OPBUF     SAVE OP CODE FOR ASM        PTM54785
                          STD   3 SYMBF-X3                              PTM54790
                          SD      OPN03     TEST FOR END RCD            PTM54795
                          BSC     +-                                    PTM54800
                          SLT     16                                    PTM54805
                          BSC  L  SCNP5,+-  BR-END RCD                  PTM54810
                    *                                                   PTM54815
                          LDX   2 OPN04-OPN05  NEGATIVE TBL CNT         PTM54820
                          LDX  L1 OPN01     BR TBL PT                   PTM54825
                    *                                                   PTM54830
                    SCNP2 LDD   3 SYMBF-X3  CMP CURR OP CODE            PTM54835
                          SD    1 0         *WITH TABLE                 PTM54840
                          BSC     Z         SKIP IF MATCH               PTM54845
                          MDX     *+3                                   PTM54850
                          RTE     16                                    PTM54855
                          BSC  I2 OPN05,+-  BR THRU TBL IF MATCH        PTM54860
                          MDX   1 2         INCR CMP TBL PT             PTM54865
                          MDX   2 1         INCR BR TBL PT              PTM54870
                          MDX     SCNP2     CONT OP CODE CMP            PTM54875
                          MDX     SCNPS     GO GET NEXT RCD             PTM54880
                    *                                                   PTM54885
                    SCNP3 MDX  L  OPSW0,-1  MEND,DECR DEFINITION CNT    PTM54890
                          MDX     SCNPS     CONT,NESTED DEFINITION      PTM54895
                    *                                                   PTM54900
                    SCNP4 EQU     *                                     PTM54905
                          BSI  L  PALBL     GET NEXT RCD                PTM54910
                    SCNP5 BSI   3 LDXRS-X3  RESTORE XR1                 PTM54915
                          BSC  L  STASM     RETURN TO ASM               PTM54920
                    *                                                   PTM54925
                    *                                                   PTM54930
                    *     GENERAL CHARACTER SCAN                        PTM54935
                    *     *UPON ENTRY,                                  PTM54940
                    *     *  XR1 POINTS TO CHAR                         PTM54945
                    *     *  XR2 CONTAINS PARAM LIST SIZE               PTM54950
                    *     *XR3 IS DESTROYED BY MCCSN                    PTM54955
                    *     *CALLING SEQUENCE IS                          PTM54960
                    *     *       BSI     MCCSN                         PTM54965
                    *     *       DC      CHAR                          PTM54970
                    *     *       DC      ADDR                          PTM54975
                    *ADDR IS LOCATION TRANSFERRED TO IF CHAR FOUND      PTM54980
                    *                                                   PTM54985
                    *                                                   PTM54990
                    MCCSN DC      *-*                                   PTM54995
                    MCCS0 LDX  I3 MCCSN     XR3 PT TO PARAM             PTM55000
                    MCCS1 LD    1 0         FETCH CHAR                  PTM55005
                          EOR   3 0         CMP WITH CALL CHAR          PTM55010
                          BSC  I3 1,+-      BR IF CALL CHAR FOUND       PTM55015
                    MCC01 EQU     *-1                                   PTM55020
                          MDX   3 2         SKIP TO NEXT PARAM SET      PTM55025
                          MDX   2 -2        DECR PARAM SET CNT          PTM55030
                          MDX     MCCS1     CONT SCAN                   PTM55035
                    MCCS3 BSC  L3 0         NORMAL RETURN               PTM55040
                    MACSW EQU     MCCSN                                 PTM55045
                    *                                                   PTM55050
                    *     CODE TO PRINT SEQUENCE NUMBERS                PTM55055
                    *     *WITH DEFINITION PROTOTYPE AND READS          PTM55060
                    *     *NEXT RECORD.                                 PTM55065
                    *                                                   PTM55070
                    PASLB EQU     *                                     PTM55075
                          LDX   2 5         SET TO CVRT 5 DIGITS        PTM55080
                          LD      CNT26     FETCH COUNT AND             PTM55085
                          A       MCC01     *INCR BY 1                  PTM55090
                          STO     CNT26                                 PTM55095
                          BSC  L  PASL4,+Z  BR IF NONPOSITIVE           PTM55100
                          BSC  L  SCNP0+1,+-  CHK FOR SPECIAL OPS       PTM55105
                          S       MCC01     START COUNT WITH ZERO       PTM55110
                          RTE     16        DIVIDEND TO EXTENSION REG   PTM55115
                    PASL2 SLA     16        CLEAR ACC                   PTM55120
                          D       M1907     CALC NEXT DECML DGT         PTM55125
                          RTE     16        SHIFT DGT TO ACC            PTM55130
                          OR   L  M1905     ADD ZONE TO DGT             PTM55135
                          STO   1 +16       STORE DGT IN BFR            PTM55140
                          MDX   1 -1        DECR BFR ADDR               PTM55145
                          MDX   2 -1        DECR CNT                    PTM55150
                          MDX     PASL2     CONT CONVERTING SEQNO       PTM55155
                    PASL3 EQU     *                                     PTM55160
                          BSI  L  PALBL     PRINT RCD AND READ NEXT RCD PTM55165
                          MDX     SCNP0+1   RETURN                      PTM55170
                    PASL4 BSI  L  PALBL     PRINT RCD,READ NEXT RCD     PTM55175
                          MDX     SCNPE     GO CHECK FOR ERROR          PTM55180
                    *                                                   PTM55185
                    *     CONSTANTS AND SLET TABLE                      PTM55190
                    *                                                   PTM55195
                    M1907 DC      10        CONSTANT 10                 PTM55200
                          BSS  E  0         FORCE EVEN ADDR             PTM55205
                    M1800 DC      /EA       SLET ID OF MACRO PH 1A      PTM55210
                          BSS     3                                     PTM55215
                    M1810 DC      /EB       SLET ID OF MACRO PH 1B      PTM55220
                          BSS     3                                     PTM55225
                    *************************************************** PTM55230
                    *     CODE BEGINNING AT M1820+2 CANNOT            * PTM55235
                    *     *OVERLAID BY THE SKEL0 BFR.                 * PTM55240
                    *************************************************** PTM55245
                    M1820 DC      /EC       SLET ID OF MACRO PH 2       PTM55250
                    *     NOTE THE DISTANCE BETWEEN MACRO AND S7Z00     PTM55255
                    *     *MUST EQUAL 322 WORDS                         PTM55260
                    S7Z00 EQU     *                                     PTM55265
                    SKEL0 EQU     S7Z00-321                             PTM55270
                          BSS     3                                     PTM55275
                    M1830 DC      /F0       SLET ID OF MACRO PH 3A      PTM55280
                          BSS     3                                     PTM55285
                    CNT26 DC      -2        INITIAL CTR VALUE -2        PTM55290
                    OPSW0 DC      *-*       MAC/SMAC SW AND COUNTER     PTM55295
                    MC1Z0 EQU     *-1       END OF MACRO PH 1           PTM55300
*SBRKSLS EA          MACRO PHASE 1A - SPECIAL PSEUDO OPS          V2M08 PTM55305
                          HDNG    MACRO PROCESSOR PHASE 1A              PTM55310
                    *************************************************** PTM55315
                    *                                                 * PTM55320
                    *STATUS - VERSION 2, MODIFICATION 11              * PTM55325
                    *                                                 * PTM55330
                    *FUNCTION/OPERATION-                              * PTM55335
                    *   *MACRO PHASE 1A PROCESSES THE SPECIAL PSEUDO  * PTM55340
                    *    OPERATIONS PURG,SET,AND ANOP.                * PTM55345
                    *   *THE PURG PSEUDO OP IS PROCESSED DURING PASS  * PTM55350
                    *    1.PURG IS INVALID IF SPECIFIED ON A 4K SYSTEM* PTM55355
                    *    OR IF A MACRO LIBRARY IS NOT SPECIFIED.      * PTM55360
                    *    THE CHARACTERS IN QUOTES IN THE OPERAND FLD  * PTM55365
                    *    ARE THE SEARCH ARGUMENT.IF THE NAME IS FOUND,* PTM55370
                    *    THE NAME IS ERASED FROM THE LIBRARY. IF THE  * PTM55375
                    *    NAME IS NOT FOUND,A WARNING IS ISSUED.       * PTM55380
                    *   *THE SET PSEUDO OP IS PROCESSED DURING BOTH   * PTM55385
                    *    PASSES.IF NO LABEL IS SPECIFIED,THE STATEMENT* PTM55390
                    *    IS FLAGGED.OTHERWISE,THE VALUE OF THE SYMBOL * PTM55395
                    *    BECOMES THE VALUE OF THE OPERAND FIELD.      * PTM55400
                    *   *ANOP CAUSES A LABEL TO BE PASSED.            * PTM55405
                    *   *MACRO PHASE 1A ALSO PROCESSES THE A08        * PTM55410
                    *    ERROR CONDITION WHICH IS DETECTED BY MACRO   * PTM55415
                    *    PHASE 1.                                     * PTM55420
                    *                                                 * PTM55425
                    *ENTRY POINTS-                                    * PTM55430
                    *   *BRTAB-1 - PROCESS PURG,SET ANOP              * PTM55435
                    *            ENTRY FROM MACRO PHASE 1             * PTM55440
                    *   *M1AA0 - PROCESS A08 ERROR MESSAGE            * PTM55445
                    *            ENTRY FROM MACRO PHASE 1             * PTM55450
                    *                                                 * PTM55455
                    *INPUT-                                           * PTM55460
                    *   *RECORD IN INPUT BUFFER                       * PTM55465
                    *                                                 * PTM55470
                    *OUTPUT-SEE FUNCTION/OPERATION                    * PTM55475
                    *                                                 * PTM55480
                    *EXTERNAL REFERENCES-                             * PTM55485
                    *   *SUBROUTINES-                                 * PTM55490
                    *       * BGASM                                   * PTM55495
                    *       * DISK1                                   * PTM55500
                    *       * ERFLG                                   * PTM55505
                    *       * GETS2                                   * PTM55510
                    *       * GETS5                                   * PTM55515
                    *       * GETS6                                   * PTM55520
                    *       * GETS7                                   * PTM55525
                    *       * GETS8                                   * PTM55530
                    *       * GTS8A                                   * PTM55535
                    *       * GTS12                                   * PTM55540
                    *       * GTS13                                   * PTM55545
                    *       * LDLBL                                   * PTM55550
                    *       * LDXRS                                   * PTM55555
                    *       * PALBL                                   * PTM55560
                    *       * SCAN                                    * PTM55565
                    *       * SCNPS                                   * PTM55570
                    *   *ASMCM-                                       * PTM55575
                    *       * LABRL                                   * PTM55580
                    *       * LABVL                                   * PTM55585
                    *       * PASS                                    * PTM55590
                    *       * RELSW                                   * PTM55595
                    *       * SMSEC                                   * PTM55600
                    *       * VALUE                                   * PTM55605
                    *   *DCOM/COMMA-                                  * PTM55610
                    *       * $CORE                                   * PTM55615
                    *       * $FPAD                                   * PTM55620
                    *       * $IREQ                                   * PTM55625
                    *       * $1410                                   * PTM55630
                    *       * $PHSE                                   * PTM55635
                    *                                                 * PTM55640
                    *EXITS-                                           * PTM55645
                    *   *BGASM IS ASM PHASE 9                         * PTM55650
                    *                                                 * PTM55655
                    *TABLES/WORK AREAS-                               * PTM55660
                    *   *PSKEL - DISK BUFFER FOR PURG                 * PTM55665
                    *                                                 * PTM55670
                    *ATTRIBUTES-N/A                                   * PTM55675
                    *                                                 * PTM55680
                    *NOTES-N/A                                        * PTM55685
                    *                                                 * PTM55690
                    *************************************************** PTM55695
                    *************************************************** PTM55700
                    *     MACRO PROCESSOR COMMUNICATIONS AREA         * PTM55705
                    *************************************************** PTM55710
                    MULT  EQU     P9334                                 PTM55715
                    STADD EQU     P9352                                 PTM55720
                    STLBL EQU     P9222                                 PTM55725
                    STSCH EQU     P9300                                 PTM55730
                    STSXT EQU     P9303+1                               PTM55735
                    STS1  EQU     P9300+3                               PTM55740
                    *************************************************** PTM55745
                          ORG     OVLAY                                 PTM55750
                          DC      MP1AZ-MP1A0  WD CNT OF MACRO PH 1A    PTM55755
                    A1902 DC      /EA       SLET ID OF MACRO PH 1A      PTM55760
                    MP1A0 EQU     *                                     PTM55765
                    *                                                   PTM55770
                    *     INTERPHASE BRANCH TABLE                       PTM55775
                    *     *IF PRESENT,ALWAYS AT BEGINNING OF            PTM55780
                    *     *OVERLAY AREA                                 PTM55785
                    *                                                   PTM55790
                          BSC  L  GETS5     +2  FETCH PH 5              PTM55795
                          BSC  L  GETS6     +4  FETCH PH 6              PTM55800
                          BSC  L  GETS7     +6  FETCH PH 7              PTM55805
                          BSC  L  GETS8     +8  FETCH PH 8              PTM55810
                          BSC  L  GTS8A     +10 FETCH PH 8A             PTM55815
                          BSC  L  GTS12     +12 FETCH PH 12             PTM55820
                          BSC  L  GTS13     +14 FETCH MACRO PH 1        PTM55825
                          BSC  L  GETS2     +16 FETCH PH 2              PTM55830
                    *                                                   PTM55835
                    *     ENTER MACRO PHASE 1A HERE                     PTM55840
                    *                                                   PTM55845
                          MDX     MAC1A      ENTER MACRO PH 1A          PTM55850
                    *                                                   PTM55855
                    *     BRANCH TABLE BASED ON OP CODE                 PTM55860
                    *     XR2 SET TO TBL DISPLACEMENT                   PTM55865
                    *     *IN MACRO PHASE 1                             PTM55870
                    *                                                   PTM55875
                    BRTAB EQU     *-8                                   PTM55880
                          DC      SET       BR ADDR FOR SET OP          PTM55885
                          DC      PURG      BR ADDR FOR PURG OP         PTM55890
                          DC      ENXT0     BR ADDR FOR ANOP OP         PTM55895
                    *                                                   PTM55900
                    MAC1A EQU     *                                     PTM55905
                          LD   L2 BRTAB     SET ENTRY FOR DESIRED       PTM55910
                          STO     *+1       *PSEUDO OPERATION           PTM55915
                          BSC  L  *-*       *AND BR TO SUBR             PTM55920
                    *                                                   PTM55925
                    PURG1 EQU     *                                     PTM55930
                          LD    3 PASS-X3                               PTM55935
                          BSC  L  PURGB,Z   BR IF PASS 2                PTM55940
                          LDD     A1910     LD DISK READ PARAM          PTM55945
                          BSI   3 DISK1-X3  PERFORM DISK READ           PTM55950
                    *                                                   PTM55955
                          LD      PSKEL                                 PTM55960
                          MDX     PURG4     TEST CHAIN WD FOR 0         PTM55965
                    PURG2 STO     SKELY     SAVE DISP TO NEXT ENT       PTM55970
                          LDX  I2 SKELY                                 PTM55975
                          LD   L2 PSKEL     TEST FOR END OF LIBRARY INDRPTM55980
                          EOR     AFE00                                 PTM55985
                          BSC  L  PURGA,Z   BR IF NOT END OF LIBRARY    PTM55990
                          LDX  I1 RDBFR     RESTORE XR1                 PTM55995
                    PURGE LD   L  PSMDE                                 PTM56000
                          BSC  L  PURGD,+-  BR-ONE PASS MODE            PTM56005
                          MDX  L  P2MWC,1   INCR TWO PASS MODE          PTM56010
                          NOP               *WARNING CNT                PTM56015
                          BSI     A1QFG     PLACE Q FLAG                PTM56020
                          BSI  L  P9MVE     PRINT RCD                   PTM56025
                          MDX     ENXT0     PASS RCD                    PTM56030
                    *                                                   PTM56035
                    PURGD LD      A1906     SET COL 33 TO NON-BLANK     PTM56040
                          STO   1 +33                                   PTM56045
                          MDX     ENXT0     PASS RCD                    PTM56050
                    *                                                   PTM56055
                    PURGB LDX  I1 RDBFR     TEST IF PURGE PERFORMED     PTM56060
                          LD    1 +33       DO NOT SET Q FLAG IF        PTM56065
                          EOR     A1912     *OPERATION OCCURRED         PTM56070
                          BSI  L  A1QFG,Z   BR TO SET Q FLAG            PTM56075
                    PURGC LD      A1912     RESTORE COL 34 TO BLANK     PTM56080
                          STO   1 +33                                   PTM56085
                          MDX     ENXT0     PROCESS NEXT RECORD         PTM56090
                    *                                                   PTM56095
                    PURGA EQU     *                                     PTM56100
                          LD   L2 PSKEL+1   CHECK TO SEE IF NAME        PTM56105
                          RTE     16        *MATCHES                    PTM56110
                          LD   L2 PSKEL                                 PTM56115
                          SD      PMOP0                                 PTM56120
                          BSC     Z                                     PTM56125
                          MDX     PURG3     NO MATCH                    PTM56130
                          RTE     16                                    PTM56135
                          BSC     Z         SKIP IF CHARACTERS MATCH    PTM56140
                          MDX     PURG3     BR-NO MATCH                 PTM56145
                          LD   L2 PSKEL+2   TEST 5TH CHARACTER          PTM56150
                          S       PMOP0+2   *FOR MATCH                  PTM56155
                          BSC  L  PURG5,+-  BRANCH IF MATCH             PTM56160
                    PURG3 LD   L2 PSKEL+3   TEST END OF LIBRARY SCTR    PTM56165
                    PURG4 BSC     Z         SKIP TO DK READ             PTM56170
                          MDX     PURG2     CONT SCTR SEARCH            PTM56175
                          MDX  L  PSKEL-1,1 INCR SCTR ADDR              PTM56180
                          MDX     PURG1     GO TO DK READ               PTM56185
                    PURG5 STO  L2 PSKEL     CLEAR FIRST WD OF NAME      PTM56190
                          LDX  I1 RDBFR     SET INDR THAT OPERATION     PTM56195
                    *                                                   PTM56200
                    *     MASK INTRPT REQ KEY TO PREVENT                PTM56205
                    *     *LOSS OF FILE PROTECT ADDRESS                 PTM56210
                    *                                                   PTM56215
                          LD   L  $IREQ     SAVE INTRPT REQ BR ADDR     PTM56220
                          STO     A1908                                 PTM56225
                          LDX  L1 MIREQ     SET INTRPT BR ADDR          PTM56230
                          STX  L1 $IREQ                                 PTM56235
                          SLA     16        CLEAR ENT PT AND SWITCH     PTM56240
                          STO     MIREQ                                 PTM56245
                    *                                                   PTM56250
                          LDD     A1910     GET DK WRITE PARAM          PTM56255
                          A       A1909     SET TO WRITE                PTM56260
                          BSI   3 DISK1-X3  WR SCTR TO DISK             PTM56265
                    *                                                   PTM56270
                    *     RESTORE INTRPT REQUEST                        PTM56275
                    *                                                   PTM56280
                          LD      A1908     RESTORE INTRPT REQ BR ADDR  PTM56285
                          STO  L  $IREQ                                 PTM56290
                          LD      MIREQ     TEST INTRPT REQ SW          PTM56295
                          BSI  I  $IREQ,Z   BR IN INTRPT REQ OCCURRED   PTM56300
                    *                                                   PTM56305
                    ENXT0 BSI  L  PALBL     GET NEXT RECORD        2-11 PTM56310
                          BSC  L  BGASM     BR TO OPCODE SEARCH    2-11 PTM56312
                    *                                                   PTM56315
                    *     MASK INTRPT REQ SUBROUTINE                    PTM56320
                    *                                                   PTM56325
                    MIREQ DC      *-*       ENT PT - 0 IF NO REQ        PTM56330
                          XIO     RESEA     RESET KB/CP SWITCH          PTM56335
                          BSC  L  $1410     RETURN TO ILS04             PTM56340
                    *                                                   PTM56345
                    *     CONSTANTS                                     PTM56350
                    *                                                   PTM56355
                          BSS  E  0         FORCE EVEN ADDR             PTM56360
                    A1900 DC      /4040     PACKED EBC BLANKS           PTM56365
                          DC      /4040     PACKED EBC BLANKS           PTM56370
                          BSS  E  0         FORCE EVEN ADDR             PTM56375
                    PMOP0 DC      /4040     MACRO NAME BFR              PTM56380
                          DC      /4040                                 PTM56385
                          DC      /4000                                 PTM56390
                    A1903 DC      /4000     LEFTHAND EBCDIC BLANK       PTM56395
                    AFE00 DC      /FE00                                 PTM56400
                    A1904 DC      /1000     4K CORE INDICATOR           PTM56405
                    A1906 DC      .O        EBCDIC O-OP CODE ERR FLG    PTM56410
                    A1908 DC      *-*       SAVE INTRPT REQ BR ADDR     PTM56415
                          BSS  E  0         FORCE EVEN ADDR             PTM56420
                    A1910 DC      /7000     DISK READ FUNC CODE         PTM56425
                          DC      PSKEL-2   I/O AREA ADDR               PTM56430
                          BSS  E  0         FORCE EVEN ADDR             PTM56435
                    A1Q00 EQU     *                                     PTM56440
                    RESEA DC      .Q        EBCDIC Q                    PTM56445
                          DC      /0F01     IOCC TO RESET KB/CP         PTM56450
                    *                                                   PTM56455
                    A1QFG DC      *-*       ENTRY PT                    PTM56460
                          LD      A1QFG     SET RETURN ADDR             PTM56465
                          STO  L  P9202                                 PTM56470
                          MDX  L  ERADD,MCOM5-ERCNT  PT TO WARN CNT     PTM56475
                          LD      A1Q00     FETCH Q FLAG                PTM56480
                          BSC  L  FLGCO     JOIN ERFLG SUBR             PTM56485
                    *                                                   PTM56490
                    A1912 DC      .         EBCDIC BLANK                PTM56495
                          BSS  E  0         FORCE EVEN ADDR             PTM56500
                    SKELY DC      *-*                                   PTM56505
                    A1909 DC      1         CONSTANT 1                  PTM56510
                          BSS  E  0         FORCE EVEN ADDR             PTM56515
                          DC      320                                   PTM56520
                          DC      *-*       DISK SCTR ADDR              PTM56525
                    PSKEL EQU     *                                     PTM56530
                    *                                                   PTM56535
                    *     SET OP CODE ERROR FLAG AND CONTINUE           PTM56540
                    *     *PROCESSING WITH NEXT RECORD                  PTM56545
                    OFLAG MDX  L  ADCOW,2   INCR L.A.C.                 PTM56550
                          NOP               (MAY SKIP)                  PTM56555
                          LD      A1906     FETCH OP CODE FLAG          PTM56560
                          BSI  L  ERFLG     PLACE ERR FLG IN O/P BFR    PTM56565
                          MDX     ENXT0     CONT PROCESSING NEXT RCD    PTM56570
                    *                                                   PTM56575
                    *                                                   PTM56580
                    *                                                   PTM56585
                    *     PROCESS PURG PSEUDO OPERATION                 PTM56590
                    *     NEVER EFFECTIVE IN PASS TWO                   PTM56595
                    *     *OR ON 4K SYSTEM                              PTM56600
                    *     DELETES NAME FROM SYSTEM MACRO                PTM56605
                    *     *LIBRARY                                      PTM56610
                    PURC2 DC      0         CHAR CNT OF NAME            PTM56615
                    A1911 DC      .S        EBCDIC S,SYNTAX FLAG        PTM56620
                    M1AAP DC      .'        EBC APOSTROPHE              PTM56625
                    PURC1 DC      6         CHAR CNT OF NAME            PTM56630
                    *                                                   PTM56635
                    PURG  LD   L  $CORE     TEST FOR 4K SYSTEM          PTM56640
                          S       A1904                                 PTM56645
                          BSC  L  OFLAG,+-  BR TO SET OP CODE ERR FLAG  PTM56650
                    *                                                   PTM56655
                          BSI  L  LDXRS     XR1 TO I/P BFR,XR3 TO ASMCM PTM56660
                          MDX   1 +36       XR1 PT TO OPERAND FIELD     PTM56665
                          LD    3 SMSEC-X3  INITIALIZE FOR SYSTEM       PTM56670
                          STO     PSKEL-1   *MACRO READ                 PTM56675
                          BSC  L  PURG0,-Z  BR IF SYST MACLIB DEFINED   PTM56680
                          BSI  L  A1QFG     *SET Q FLAG OTHERWISE       PTM56685
                          MDX     ENXT0     *AND IGNORE OP              PTM56690
                    PURG0 EQU     *                                     PTM56695
                          LD    1 -1        FETCH COL 35                PTM56700
                          EOR     M1AAP     TEST FOR APOSTROPHE         PTM56705
                          BSC  L  PURA1,+-  BR-APOSTROPHE               PTM56710
                    PURA4 BSI     A1QFG     PLACE Q FLAG                PTM56715
                          MDX     ENXT0     PASS RCD                    PTM56720
                    PURA1 EQU     *                                     PTM56725
                    PURA2 LD    1 0                                     PTM56730
                          EOR     M1AAP     TEST FOR APOSTROPHE         PTM56735
                          BSC  L  PURA3,+-  BR-APOSTROPHE               PTM56740
                          MDX   1 1         INCR I/P PT                 PTM56745
                          MDX  L  PURC2,1   INCR CHAR CNT               PTM56750
                          NOP                                           PTM56755
                          MDX  L  PURC1,-1  DECR CHAR CNT               PTM56760
                          MDX     PURA2     CONT SCAN                   PTM56765
                          MDX     PURA4     SET ERROR FLAG              PTM56770
                    PURA3 LDX  I2 PURC2     SET NAME LNG                PTM56775
                          LDX  I1 RDBFR     SET I/P PT                  PTM56780
                          MDX   1 +36                                   PTM56785
                          MDX   2 0         TEST FOR NO NAME            PTM56790
                          MDX     *+1       CONT IF NAME                PTM56795
                          MDX     PURA4     PLACE ERROR FLAG,NO NAME    PTM56800
                    PURA5 LD    1 0         FETCH CHAR                  PTM56805
                          SLA     8                                     PTM56810
                          MDX   2 -1        DECR CHAR CNT               PTM56815
                          MDX     PURA7     SKIP IF COMPLETE            PTM56820
                          LD   I  PURA6     FETCH RIGHTHAND CHAR        PTM56825
                          SRT     8                                     PTM56830
                          SLA     16        CLEAR ACC                   PTM56835
                          LD    1 0         FETCH CHAR                  PTM56840
                          SLT     8         FETCH 2 CHARS               PTM56845
                          STO  L  PMOP0                                 PTM56850
                    PURA6 EQU     *-1                                   PTM56855
                          MDX  L  PURA6,1   INCR NAME BFR PT            PTM56860
                          MDX   1 2         INCR I/P PT                 PTM56865
                          MDX   2 -1        DECR CHAR CNT               PTM56870
                          MDX     PURA5     CONT TO GET NAME            PTM56875
                          LDD     PMOP0     TEST FOR BLAMK              PTM56880
                          SD      A1900     *OPERAND FIELD              PTM56885
                          BSC  L  PURG1,Z   BR-NONBLANK FLD             PTM56890
                          RTE     16                                    PTM56895
                          BSC  L  PURG1,Z   BR-NONBLANK FIELD           PTM56900
                          LD      PMOP0+2                               PTM56905
                          S       A1903                                 PTM56910
                          BSI  L  A1QFG,+-  BR-BLANK FLD                PTM56915
                          BSC  L  PURG1     CONT PURGE OPERATION        PTM56920
                    PURA7 OR    1 1         GET NEXT CHAR               PTM56925
                          MDX     PURA6-1                               PTM56930
                    *                                                   PTM56935
                    SET   LD    3 PASS-X3   DO NOT MODIFY IF PASS3 2-11 PTM56940
                          BSC  L  SET03,+Z  BRANCH IF PASS 3       2-11 PTM56942
                          LD      A1912     TEST IF LABEL PRESENT  2-11 PTM56944
                          EOR   1 21                               2-11 PTM56946
                          BSC  L  SETST,Z   BRANCH IF  YES         2-11 PTM56948
                          LD      A1911     FLAG WITH SYNTAX ERROR 2-11 PTM56950
                    SET01 BSI  L  ERFLG     FLAG ERROR             2-11 PTM56952
                          BSI  L  PALBL     PASS LABEL             2-11 PTM56954
                          MDX     SETRR     EXIT SET ROUTINE       2-11 PTM56956
                    *                                              2-11 PTM56958
                    SETST MDX   1 21        POINT TO LABEL         2-11 PTM56960
                          BSI  L  P9252     TEST IF VALID LABEL    2-11 PTM56962
                          MDX     SET02     BRANCH - YES           2-11 PTM56964
                          LD      SETLF     FLAG WITH LABEL ERROR  2-11 PTM56966
                          MDX     SET01                            2-11 PTM56968
                    *                                              2-11 PTM56970
                    SETLF DC      .L        LABEL ERROR CONSTANT   2-11 PTM56972
                    *                                              2-11 PTM56975
                    SET02 LDX   2 2                                2-11 PTM56977
                    SET00 LD   L2 RESK1-1   MOVE CODE TO SET            PTM56980
                          STO  L2 MULT-1    *VALUE IN SYMB TBL          PTM56985
                          MDX   2 -1                                    PTM56990
                          MDX     SET00                                 PTM56995
                          LDX   2 4         MODIFY LOAD LABEL      2-11 PTM56996
                    SET04 LD   L2 SET2K-1   *TO CAUSE SEARCH OF    2-11 PTM56997
                          STO  L2 STLBL-3   *SYMBOL TABLE AND      2-11 PTM56998
                          MDX   2 -1        *RETURN TO SET22       2-11 PTM56999
                          MDX     SET04                            2-11 PTM57000
                    SET03 MDX   1 35        POINT TO OPERAND FIELD 2-11 PTM57002
                          BSI  L  SCAN      SCAN AND EVALUATE OPERAND   PTM57005
                    *                                                   PTM57010
                          LDX  I1 RDBFR     RESTORE XR1                 PTM57015
                          LD    3 PASS-X3                               PTM57020
                          BSC  L  USL01,Z   BR-PASS 2 OR TWO PASS MODE  PTM57025
                          LD    1 +18       TEST COL 18 FOR U           PTM57030
                          EOR     USL02                                 PTM57035
                          BSC  L  USL03,+-  BR-COL 18 U                 PTM57040
                          LD    1 +19       TEST COL 19 FOR U           PTM57045
                          EOR     USL02                                 PTM57050
                          BSC  L  USCON,Z   BR-COL 18 OR 19 NOT U       PTM57055
                    USL03 LD    3 PSMDE-X3                              PTM57060
                          BSC  L  USL04,+-  BR-NOT TWO PASS MODE        PTM57065
                          MDX  L  P2MEC,1   INCR TWO PASS MODE ERR      PTM57070
                          NOP               *CNT                        PTM57075
                          BSI  L  P9MVE     PRINT RCD                   PTM57080
                    USL04 LD      USL02     SET U TO COL 33             PTM57085
                          STO   1 33                                    PTM57090
                          MDX     USCON     CONTINUE                    PTM57095
                    *                                                   PTM57100
                    USL02 DC      .U        EBCDIC                      PTM57105
                    USL01 LD    3 PSMDE-X3                              PTM57110
                          BSC  L  USL05,Z   BR-TWO PASS MODE            PTM57115
                          LD    1 33        TEST FOR U FLAG             PTM57120
                          EOR     USL02                                 PTM57125
                          BSC  L  USCON,Z   BR-NOT U FLAG               PTM57130
                          LD   L  A1912     RESET COL 33 TO BLANK       PTM57135
                          STO   1 33                                    PTM57140
                          LD      USL02                                 PTM57145
                          BSI  L  ERFLG     PLACE U FLAG                PTM57150
                    *                                                   PTM57155
                    USCON EQU     *                                     PTM57160
                          LD    3 VALUE-X3  SAVE VALUE OF SCAN          PTM57165
                          STO   3 LABVL-X3                              PTM57170
                          LD    3 RELSW-X3  SAVE RELOCATION BITS        PTM57175
                          SLA     14                                    PTM57180
                          STO   3 LABRL-X3                              PTM57185
                    SETRS BSI  L  LDLBL     PLACE LABEL AND VALUE       PTM57190
                    SETRR BSC  L  BGASM      CONT PROCESSING       2/11 PTM57195
                    *                                              2/11 PTM57200
                    *     MODIFY  ASSEMBLER TO STORE VALUE         2/11 PTM57205
                    *     *RATHER  THAN SET MULTIPLY DEFINED       2/11 PTM57210
                    *     *BIT IN  SYMBOL TABLE                    2/11 PTM57215
                    *                                              2/11 PTM57220
                    RESK1 BSC  L  SET21      BRANCH BACK TO SET    2/11 PTM57225
                    *                                              2/11 PTM57230
                    *                                              2/11 PTM57235
                    *     RESTORE  SUBROUTINE TO SET               2/11 PTM57240
                    *     *MULTIP LY DEFINED BIT                   2/11 PTM57245
                    *     *IN SYM BOL TABLE                        2/11 PTM57250
                    *                                              2/11 PTM57255
                    RESK  LD    1 -1                               2-11 PTM57260
                          OR   X  P9320-P9334-2                    2/11 PTM57265
                    *                                              2/11 PTM57270
                    *     RETURN  HERE FROM SYMBOL SEARCH ROUTINE  2/11 PTM57310
                    *                                              2/11 PTM57315
                    SET21 LD    3 LABVL-X3   GET NEW LABEL VALUE   2/11 PTM57320
                          STO   1 -2         SET IN SYM TABLE      2/11 PTM57325
                          LD    1 -1         SET OLD REL IND BIT   2/11 PTM57330
                          AND     SET1K      KEEP ALL BUT BIT 1    2/11 PTM57335
                          OR    3 LABRL-X3   OR IN NEW REL INDR    2/11 PTM57340
                          STO   1 -1         SAVE IN SYM TABLE     2/11 PTM57345
                          BSC  L  MULT+3     RETURN TO SYM SEARCH  2/11 PTM57350
                    *                                              2/11 PTM57355
                    *     ENTER H ERE FROM LOAD LABEL ROUTINE      2/11 PTM57360
                    *                                              2/11 PTM57365
                    SET22 BSC  L  STADD,+-   GO TO ADD SYM ON      2/11 PTM57370
                    *                        *PASS 1 ONLY          2/11 PTM57375
                          STX  L  P9428      SET ADD (CHG)         2/11 PTM57380
                          BSI  L  P9300      SEARCH FOR SYM        2/11 PTM57385
                          NOP                WILL SKIP             2/11 PTM57390
                          SLA     16                               2/11 PTM57395
                          STO  L  P9428      CLR ADD (CHG) SW      2/11 PTM57400
                    *                                              2/11 PTM57405
                    *     RETURN  HERE AFTER SYM TBL PROCESSED     2/11 PTM57410
                    *                                              2/11 PTM57415
                    SET23 LDX   2 4          RESTORE LOAD LABEL    2/11 PTM57420
                          LD   L2 SET3K-1                          2/11 PTM57421
                          STO  L2 STLBL-3                          2/11 PTM57425
                          MDX   2 -1                               2/11 PTM57426
                          MDX     SET23+1                          2/11 PTM57430
                          LDX   2 2          RESTORE SYM SEARCH    2/11 PTM57435
                    SET24 LD   L2 RESK-1     * TO FLAG M ERRORS    2/11 PTM57436
                          STO  L2 MULT-1                           2/11 PTM57440
                          MDX   2 -1                               2/11 PTM57441
                          MDX     SET24                            2/11 PTM57442
                          BSC  L  STLBL      RETURN TO LOAD LABEL  2/11 PTM57445
                    *                                              2/11 PTM57446
                    *     CONSTAN TS                               2/11 PTM57447
                    *                                              2/11 PTM57450
                    SET1K DC      /BFFF      MASK FOR REL IND      2/11 PTM57451
                    SET2K BSC  L  SET22      INST TO MODIFY        2/11 PTM57452
                          BSC  L  SET23      * LOAD LABEL          2/11 PTM57455
                    SET3K BSC  L  STADD,+-   INST TO               2/11 PTM57456
                          LD    3 LABVL-X3   * RESTORE LOAD LABEL  2/11 PTM57460
                          MDX   1 1                                2/11 PTM57461
                    *                                              2/11 PTM57462
                    *                                              2/11 PTM57465
                    *                                              2/11 PTM57470
                    *                                              2/11 PTM57475
                    *                                              2/11 PTM57480
                    *                                              2/11 PTM57485
                    *                                                   PTM57490
                    USL05 MDX   1 +18                                   PTM57495
                          LD    1 0         CC 18 = U                   PTM57500
                          EOR     USL02                                 PTM57505
                          BSC     Z         SKIP IF U                   PTM57510
                          MDX   1 1         CC 19 = U                   PTM57515
                          LD    1 0                                     PTM57520
                          EOR     USL02                                 PTM57525
                          BSC     Z                                     PTM57530
                          MDX     USCON     BR-CC18,19 NOT U            PTM57535
                          LD   L  A1912     U ALREADY COUNTED,PASS 1    PTM57540
                          STO   1 0         *DO NOT COUNT IN PASS 2     PTM57545
                          MDX  L  ERCNT,-1                              PTM57550
                          NOP               MAY SKIP                    PTM57555
                          MDX     USCON     RETURN TO CALLER            PTM57560
                    *                                                   PTM57565
                    *     PROCESS A08 ERROR MSG CONDITIOM               PTM57570
                    *     *FROM MACRO PHASE 1                           PTM57575
                    *                                                   PTM57580
                    M1AA0 LD    3 SMAC0-X3                              PTM57585
                          BSC  L  M1AA4,+-  BR-NOT STORED MACRO         PTM57590
                          LD    3 SMSEC-X3                              PTM57595
                          BSC  L  M1AA1,+   BR-SMAC LIBR UNDEFINED      PTM57600
                    M1AA4 LD    3 PSMDE-X3                              PTM57605
                          BSC  L  M1AA2,Z   BR-TWO PASS MODE            PTM57610
                    M1AA5 MDX  L  ADCOW,2   INCR L.A.C.                 PTM57615
                          NOP                                           PTM57620
                          LD    3 PASS-X3                               PTM57625
                          BSC  L  M1AA6,Z   BR-PASS TWO                 PTM57630
                          LD   L  A1906     SET OP CODE FLAG            PTM57635
                          STO   1 +34                                   PTM57640
                          BSI  L  ERFLG     PLACE FLAG                  PTM57645
                    M1AA3 BSI  L  LDLBL     PASS RCD                    PTM57650
                          BSC  L  BGASM     ASM RCD                     PTM57655
                    M1AA6 LD   L  A1912     RESET COL 34 TO BLANK       PTM57660
                          STO   1 34                                    PTM57665
                          LD   L  A1906     FETCH ERROR FLAG            PTM57670
                          MDX     M1AA3-2   GO PLACE ERROR FLAG         PTM57675
                    M1AA2 LD   L  A1906                                 PTM57680
                          BSI  L  ERFLG     PLACE OP CODE ERR           PTM57685
                          BSI  L  P9MVE     PRINT RCD IF TWO PASS MODE  PTM57690
                          MDX  L  P2MEC,1   INCR ERR CNT                PTM57695
                          NOP               MAY SKIP                    PTM57700
                          MDX     M1AA5     FETCH NEXT RCD              PTM57705
                    M1AA1 LD    1 +31       PRINT A08 MSG ONLY IF       PTM57710
                          EOR     M1AAB     *OP CODE IS SMAC            PTM57715
                          BSC  L  OFLAG,Z   BR-OP CODE NOT SMAC         PTM57720
                          LDD  L  OPBUF                                 PTM57725
                          SD      MSMAC                                 PTM57730
                          BSC  L  OFLAG,Z   BR-OP CODE NOT SMAC         PTM57735
                          RTE     16                                    PTM57740
                          BSC  L  OFLAG,Z   BR-OP CODE NOT SMAC         PTM57745
                          LD    3 PASS-X3                               PTM57750
                          BSC  L  OFLAG,+-  BYPASS A08 MSG IF PASS 1    PTM57755
                          LDD     A1920     PR PARAM TO ACC,EXT         PTM57760
                          BSI  L  P9472+3   PRINT ERR MSG               PTM57765
                          BSC  L  OFLAG     PASS RECORD                 PTM57770
                    *                                                   PTM57775
                    *     CONSTANTS                                     PTM57780
                    *                                                   PTM57785
                          BSS  E  0         FORCE EVEN ADDR             PTM57790
                    A1920 DC      /7001     WR FUNC CODE                PTM57795
                          DC      A1925      I/O AREA ADDR         2/11 PTM57800
                    *                                              2/11 PTM57805
                    *                                              2/11 PTM57810
                    *                                              2/11 PTM57815
                    *                                              2/11 PTM57820
                    *                                              2/11 PTM57825
                          BSS  E  0         FORCE EVEN ADDR             PTM57830
                    MSMAC EBC     .SMAC.    EBCDIC 'SMAC'               PTM57835
                    M1AAB DC      .         EBCDIC BLANK                PTM57840
                          BSS     P9000-*    PATCH                 2/11 PTM57856
                          DC      0                                2/11 PTM57857
                    MP1AZ EQU     *-1                                   PTM57860
*SBRKSLS EB          MACRO PHASE 1B - CONDITIONAL ASM PSEUDO OPS  V2M08 PTM57865
                          HDNG    MACRO PROCESSOR PHASE 1B              PTM57870
                    *************************************************** PTM57875
                    *                                                 * PTM57880
                    *STATUS-VERSION 2,MODIFICATION 8                  * PTM57885
                    *                                                 * PTM57890
                    *FUNCTION/OPERATION-                              * PTM57895
                    *   *MACRO PHASE 1B PROCESSES THE CONDITIONAL     * PTM57900
                    *    ASSEMBLY PSEUDO OPERATIONS. PROCESSING       * PTM57905
                    *    OCCURS IN PASS 1 ONLY IN ONE PASS MODE         PTM57910
                    *   *THE CONDITIONAL EXPRESSION IS CHECKED        * PTM57915
                    *    FOR VALIDITY AND SUBSEQUENTLY EVALUATED.     * PTM57920
                    *   *IF THE CONDITION IS FALSE,PROCESSING         * PTM57925
                    *    CONTINUES WITH THE NEXT RECORD.              * PTM57930
                    *   *IF THE CONDITION IS TRUE,AND THE OPERATION   * PTM57935
                    *    IS AIFB OR AGOB,A CHECK IS MADE TO INSURE    * PTM57940
                    *    THE OP OCCURS WITH A MACRO DEFINITION.       * PTM57945
                    *    IF SO,THE CURRENT MACRO PROTOTYPE IS READ    * PTM57950
                    *    FROM THE BEGINNING AND THE LABEL SEARCH      * PTM57955
                    *    IS PERFORMED.                                * PTM57960
                    *   *IF THE CONITION IS TRUE,AND THE OPERATION    * PTM57965
                    *    IS AIF OR AGO,THE LABEL SEARCH BEGINS        * PTM57970
                    *    WITH THE NEXT RECORD.                        * PTM57975
                    *                                                 * PTM57980
                    *ENTRY POINT-                                     * PTM57985
                    *   *AIFIN-ENTRY FROM MACRO PHASE 1               * PTM57990
                    *                                                 * PTM57995
                    *                                                 * PTM58000
                    *INPUT-                                           * PTM58005
                    *   *RECORD IN INPUT BUFFER                       * PTM58010
                    *                                                 * PTM58015
                    *OUTPUT-SEE FUNCTION/OPERATION                    * PTM58020
                    *                                                 * PTM58025
                    *EXTERNAL REFERENCES-                             * PTM58030
                    *   *SUBROUTINES-                                 * PTM58035
                    *       * BGASM                                   * PTM58040
                    *       * DISK1                                   * PTM58045
                    *       * ERFLG                                   * PTM58050
                    *       * GETS2                                   * PTM58055
                    *       * GETS5                                   * PTM58060
                    *       * GETS6                                   * PTM58065
                    *       * GETS7                                   * PTM58070
                    *       * GETS8                                   * PTM58075
                    *       * GTS8A                                   * PTM58080
                    *       * GTS12                                   * PTM58085
                    *       * GTS13                                   * PTM58090
                    *       * PALBL                                   * PTM58095
                    *       * RDCRD                                   * PTM58100
                    *       * SCAN                                    * PTM58105
                    *   *ASMCM-                                       * PTM58110
                    *       * PASS                                    * PTM58115
                    *       * RDBFR                                   * PTM58120
                    *       * VALUE                                   * PTM58125
                    *   *DCOM/COMMA-                                  * PTM58130
                    *       * $PHSE                                   * PTM58135
                    *                                                 * PTM58140
                    *EXITS-                                           * PTM58145
                    *   *BGASM IN ALL CASES                           * PTM58150
                    *                                                 * PTM58155
                    *TABLES/WORK AREAS-                               * PTM58160
                    *   *SKEL1 - MACRO PROTOTYPE BUFFER               * PTM58165
                    *                                                 * PTM58170
                    *ATTRIBUTES-N/A                                   * PTM58175
                    *                                                 * PTM58180
                    *NOTES-N/A                                        * PTM58185
                    *                                                 * PTM58190
                    *************************************************** PTM58195
                    *************************************************** PTM58200
                    *     MACRO PROCESSOR COMMUNICATIONS AREA         * PTM58205
                    *************************************************** PTM58210
                    *                                                 * PTM58215
                    *     THE FOLLOWING ADDRESSES ARE LOCATED         * PTM58220
                    *     *IN PHASE 3 OF THE MACRO PROCESSOR,         * PTM58225
                    *     *THE EXPANSION PHASE.                       * PTM58230
                    *                                                 * PTM58235
                    *     DEEP    PRESENT EXPANSION LEVEL             * PTM58240
                    *     SECAD   CURRENT MACRO STARTING DISK ADDR    * PTM58245
                    *     MACCT   MACRO TABLE POINTER                 * PTM58250
                    *     MACTB   MACRO TABLE STARTING ADDR           * PTM58255
                    *     SAVFD   INFORMATION TBL START ADDR          * PTM58260
                    *     DEPTH   MACRO NEST DEPTH LEVEL              * PTM58265
                    *                                                 * PTM58270
                    *     THE SKEL1 BFR OVERLAYS PART OF BASIC        * PTM58275
                    *     *ASSEMBLER. WHERE SKEL1 IS LOCATED IS       * PTM58280
                    *     *IS DETERMINED IN MACRO PHASE 3.            * PTM58285
                    *                                                 * PTM58290
                    *************************************************** PTM58295
                          ORG     OVLAY                                 PTM58300
                          DC      MP1BZ-MP1B0  WD CNT OF MACRO PH 1B    PTM58305
                    B190O DC      /EB       SLET ID OF MACRO PH 1B      PTM58310
                    *                                                   PTM58315
                    *     INTERPHASE BRANCH TABLE                       PTM58320
                    *     *IF PRESENT,ALWAYS AT BEGINNING OF            PTM58325
                    *       * P9468                                   * PTM58330
                    *     *OVERLAY AREA                                 PTM58335
                    *                                                   PTM58340
                    MP1B0 EQU     *                                     PTM58345
                          BSC  L  GETS5     +2  FETCH PH 5              PTM58350
                          BSC  L  GETS6     +4  FETCH PH 6              PTM58355
                          BSC  L  GETS7     +6  FETCH PH 7              PTM58360
                          BSC  L  GETS8     +8  FETCH PH 8              PTM58365
                          BSC  L  GTS8A     +10 FETCH PH 8A             PTM58370
                          BSC  L  GTS12     +12 FETCH PH 12             PTM58375
                          BSC  L  GTS13     +14 FETCH MACRO PH 1        PTM58380
                          BSC  L  GETS2     +16 FETCH PH 2              PTM58385
                    *                                                   PTM58390
                    *                                                   PTM58395
                    *     ENTER MACRO PHASE 1B HERE                     PTM58400
                    *                                                   PTM58405
                    AIFIN EQU     *                                     PTM58410
                          LD      MAC1B      GET PHASE ID          2/11 PTM58415
                          STO  L  $PHSE                                 PTM58420
                    *                                                   PTM58425
                          LD   L2 B1TB1     SET ENTRY FOR DESIRED       PTM58430
                          STO     *+1       *PSEUDO OPERATION           PTM58435
                          BSC  L  *-*       *AND BR TO SUBR             PTM58440
                    MAC1B DC      /EB        PHASE ID              2/11 PTM58441
                    *                                                   PTM58445
                    *     BRANCH TBL BASED ON OP CODE                   PTM58450
                    *     XR2 SET TO TBL DISPLACEMENT                   PTM58455
                    *     *IN MACRO PHASE 1                             PTM58460
                    *                                                   PTM58465
                    B1TB1 EQU     *-4                                   PTM58470
                          DC      AIF       +4  BR ADDR FOR AIF  OP     PTM58475
                          DC      AGOIN     +5  BR ADDR FOR AGO  OP     PTM58480
                          DC      AIFB      +6  BR ADDR FOR AIFB OP     PTM58485
                          DC      AGOB      +7  BR ADDR FOR AGOB OP     PTM58490
                    *                                                   PTM58495
                    *                                                   PTM58500
                    *     PROCESS AIFB PSEUDO OPERATION                 PTM58505
                    *                                                   PTM58510
                    AIFB  LD    3 PASS-X3                               PTM58515
                          BSC  L  AIF1B,+-  BR- PASS ONE                PTM58520
                          LDX  I1 RDBFR     RESTORE XR1                 PTM58525
                          LD    1 +33       TEST FOR BLANK              PTM58530
                          EOR  L  B1904                                 PTM58535
                          BSC  L  AG010,+-                              PTM58540
                          MDX     AIF2B     SKIP MACRO EXPANDER CHECK   PTM58545
                    AIF1B EQU     *                                     PTM58550
                          LD   L  MACEX     TEST FOR EXPANDER PH        PTM58555
                          BSC  L  AG010,Z   BR IF OUTSIDE DEFINITION    PTM58560
                    AIF2B STX     AIFBS     SET SWITCH FOR AIFB         PTM58565
                          MDX     AIF+2     BRANCH TO PROCESS AIFB      PTM58570
                    *                                                   PTM58575
                    *     PROCESS AIF PSEUDO OPERATION                  PTM58580
                    *                                                   PTM58585
                    AIF   SLA     16        SET AIF/AIFB SWITCH TO      PTM58590
                          STO     AIFBS     *INDICATE AIF               PTM58595
                          MDX   1 +35       POINT TO COLUMN 35          PTM58600
                          LD    1 0         GET COLUMN 35               PTM58605
                          EOR     LPAR1     CHECK FOR LEFT PAREN        PTM58610
                          BSC  L  ERR1A,Z   IF NONE - SYNTAX ERROR      PTM58615
                    *                                                   PTM58620
                          BSI     AIF00     SKIP BLANK COLUMNS          PTM58625
                          BSI  L  SCAN      EVALUATE LEFT EXPRESSION    PTM58630
                          BSC  L  ERR1A,Z   BR IF TERMINATOR NONBLNK    PTM58635
                          BSI  L  UFLAG     CHECK FOR UNDEFINED SYMB    PTM58640
                    *                                                   PTM58645
                          BSI     AIF00     SKIP BLANK COLUMNS          PTM58650
                          LDX  L2 A         RESTORE XR2                 PTM58655
                          LD    2 VALUE-A   VALUE FROM LAST SCAN        PTM58660
                          STO     LEFT      SAVE IT                     PTM58665
                          LDX   2 BLK-EQ    TABLE WORD COUNT            PTM58670
                          LDX  L3 EQ        ADDRESS OF CONDITION TABLE  PTM58675
                    AIF02 LD    1 0         CONDITION CODE ON CARD      PTM58680
                          SLA     8         LEFT-JUSTIFY                PTM58685
                          OR    1 1         OR IN SECOND CHARACTER      PTM58690
                          S     3 0         SUBTRACT TABLE ENTRY        PTM58695
                          BSC  L  F0UND,+-  BRANCH IF CODE IS FOUND     PTM58700
                    *                                                   PTM58705
                          MDX   3 1         BUMP TABLE POINTER          PTM58710
                          MDX   2 -1        DECREMENT LOOP COUNTER      PTM58715
                          MDX     AIF02     LOOP UNTIL ALL IS CHECKED   PTM58720
                          MDX     ERR1A     FLAG S ERR AND EXIT         PTM58725
                    *                                                   PTM58730
                    F0UND LD   L2 CODE-1    PROPER BRANCH CODE          PTM58735
                          STO     BRANC     STORE INTO BRANCH WORD      PTM58740
                          MDX   1 1         BUMP COLUMN POINTER         PTM58745
                          LD    1 1         TEST FOR BLANK COL          PTM58750
                          EOR     BLK                                   PTM58755
                          BSC  L  ERR1A,Z   BR-NO BLANK SEPARATOR       PTM58760
                          BSI     AIF00     SKIP BLANK COLUMNS          PTM58765
                          STX   1 *+1       XR1 TO XR2                  PTM58770
                          LDX  L2 *-*       =XR1                        PTM58775
                    AIF03 LD    2 0         SHOULD BE RIGHT PAREN       PTM58780
                          EOR     RPAR2     CHECK FOR RIGHT PAREN       PTM58785
                          BSC  L  DOSCN,+-  BRANCH IF RIGHT PAREN       PTM58790
                    *                                                   PTM58795
                          MDX   2 1         BUMP COLUMN POINTER         PTM58800
                          STX   2 AIFTP     SAVE COLUMN POINTER         PTM58805
                          LD   I  RDBFR                                 PTM58810
                          A       CRDND     CHECK FOR                   PTM58815
                          S       AIFTP     *END OF RECORD              PTM58820
                          BSC  L  AIF03,Z   BRANCH IF NOT END OF CARD   PTM58825
                    *                                                   PTM58830
                    ERR1A LD      SFLAG     =.S                         PTM58835
                    ERR1B BSI  L  ERFLG     FLAG SYNTAX ERROR           PTM58840
                          MDX     EXIT2     EXIT                        PTM58845
                    *                                                   PTM58850
                    DOSCN LD      BLK       =.                          PTM58855
                          STO   2 0         PLACE BLANK FOR RIGHT PAREN PTM58860
                          STX   2 RESX1+1   SET UP XR1 RESTORE          PTM58865
                          LDX  L3 ASMCM     RESTORE XR3                 PTM58870
                          BSI  L  SCAN      EVALUATE RIGHT EXPRESSION   PTM58875
                          BSC  L  ERR1A,Z   BR IF TERMINATOR NONBLNK    PTM58880
                          BSI  L  UFLAG     CHECK FOR UNDEFINED SYMB    PTM58885
                          LDX  L2 A         RESTORE XR2                 PTM58890
                          LD      RPAR2     =.)                         PTM58895
                    RESX1 LDX  L1 *-*       RESTORE XR1                 PTM58900
                          STO   1 0         RESTORE RIGHT PAREN         PTM58905
                          MDX   1 2         SKIP PAST COMMA             PTM58910
                          LD    1 -1        SHOULD BE A COMMA           PTM58915
                          EOR     C0MMA     SEE IF IT IS                PTM58920
                          BSC  L  ERR1A,Z   BRANCH IF NOT A COMMA       PTM58925
                    *                                                   PTM58930
                          LD    2 VALUE-A   RIGHT EXPRESSION VALUE      PTM58935
                          S       LEFT      LEFT EXPRESSION VALUE       PTM58940
                    BRANC BSC  L  AIFB5     EXIT IF EXPRESSION FALSE    PTM58945
                          MDX     AGO1      BRANCH IF TRUE              PTM58950
                    *                                                   PTM58955
                    *     SUBROUTINE TO SKIP OVER BLANKS                PTM58960
                    *                                                   PTM58965
                    AIF00 DC      *-*       ENTRY POINT                 PTM58970
                          MDX   1 1         BUMP COLUMN POINTER         PTM58975
                          LD    1 0         GET NEXT COLUMN             PTM58980
                          EOR     BLK       TEST FOR BLANK              PTM58985
                          BSC     +-        SKIP IF COLUMN NOT BLANK    PTM58990
                          MDX     AIF00+1   RETURN TO SKIP BLANKS       PTM58995
                          BSC  I  AIF00     RETURN TO CALLER            PTM59000
                    *                                                   PTM59005
                    AIFB5 LD    1 0                                     PTM59010
                          EOR     BLK                                   PTM59015
                          BSI  L  B1QFG,+-  BLANK AFTER COMMA           PTM59020
                          SLA     16        RESET                       PTM59025
                          STO     AIFBS     FORWARD/BACK SWITCH         PTM59030
                    EXIT2 MDX     EXT2A     GO GET NEXT RCD             PTM59035
                    *                                                   PTM59040
                    *     CONSTANTS                                     PTM59045
                    *                                                   PTM59050
                    EQ    EBC     .EQ.      EBC EQ                      PTM59055
                    NE    EBC     .NE.      EBC NE                      PTM59060
                    GT    EBC     .GT.      EBC GT                      PTM59065
                    LT    EBC     .LT.      EBC LT                      PTM59070
                    LE    EBC     .LE.      EBC LE                      PTM59075
                    GE    EBC     .GE.      EBC GE                      PTM59080
                    BLK   DC      .         EBC BLANK                   PTM59085
                    SFLAG DC      .S        EBCDIC LETTER S             PTM59090
                    RPAR2 DC      .)        EBCDIC RIGHT PAREN          PTM59095
                    LPAR1 DC      .(        EBCDIC LEFT PAREN           PTM59100
                    AIFBS DC      *-*       FORWARD/BACK SW  0=FORWARD  PTM59105
                    AIFK1 DC      1         CONSTANT                    PTM59110
                    LEFT  DC      *-*       LEFT EXPRESSION VALUE       PTM59115
                    CODE  DC      /4C30     GE   BSC  L    X,-Z         PTM59120
                          DC      /4C28     LE   BSC  L    X,+Z         PTM59125
                          DC      /4C08     LT   BSC  L    X,+          PTM59130
                          DC      /4C10     GT   BSC  L    X,-          PTM59135
                          DC      /4C18     NE   BSC  L    X,+-         PTM59140
                          DC      /4C20     EQ   BSC  L    X,Z          PTM59145
                    CRDND DC      71        RECORD COLUMN DISP          PTM59150
                    AIFTP DC      *-*       COLUMN BEING PROCESSED      PTM59155
                    C0MMA DC      .,        EBCDIC COMMA                PTM59160
                          DC      *-*       SAVE DEPTH CONSTANT HERE    PTM59165
                    AGONM BSS     5         AGO NAME BUFFER             PTM59170
                    END30 DC      .E        EBCDIC LETTER E             PTM59175
                          DC      .N        EBCDIC LETTER N             PTM59180
                          DC      .D        EBCDIC LETTER D             PTM59185
                          DC      .         EBCDIC BLANK                PTM59190
                          DC      .         EBCDIC BLANK                PTM59195
                    B1902 DC      112       SLET ID OF MACRO PH 3       PTM59200
                    MACTB EQU     P9468     MACRO EXPANDER NEST TBL     PTM59205
                    SKEL1 EQU     P9468+46  MACRO EXPANDER PROTOTYPE BFRPTM59210
                          BSS  E  0         FORCE EVEN ADDR             PTM59215
                    B1903 DC      /7000     DK READ FUNC CODE           PTM59220
                          DC      SKEL1     I/O AREA ADDR               PTM59225
                    B1904 DC      .O        EBCDIC O,OP CODE FLAG       PTM59230
                    AGOSW DC      *-*       ABOB SW                     PTM59235
                    *                                                   PTM59240
                    EXT2A BSI  L  PALBL     GET NEXT RCD                PTM59245
                          BSC  L  BGASM     BR TO OP CODE SEARCH        PTM59250
                    *                                                   PTM59255
                    *     PROCESS AGOB PSEUDO OPERATION                 PTM59260
                    *                                                   PTM59265
                    AGOB  STX     AIFBS     SET SWITCH FOR AGOB         PTM59270
                          STX     AGOSW                                 PTM59275
                          MDX     AGOIN+2   BRANCH TO PROCESS AGOB      PTM59280
                    *                                                   PTM59285
                    *     PROCESS AGO PSEUDO OPERATION                  PTM59290
                    *                                                   PTM59295
                    AGOIN SLA     16        SET AGO/AGOB SWITCH TO      PTM59300
                          STO     AIFBS     *INDICATE AGO               PTM59305
                    AGO00 MDX   1 +35       POINT TO COLUMN 35          PTM59310
                    AGO1  LDX   2 -5        INITIALIZE LOOP COUNTER     PTM59315
                          LDX  L3 AGONM     POINT TO AGO NAME BUFFER    PTM59320
                          LD      AIFBS     FORWARD/BACK SWITCH         PTM59325
                          BSC  L  AGO10,+-  BRANCH IF AIF OR AGO        PTM59330
                    *                                                   PTM59335
                          SLA     16        RESET SWITCH SO DEFINITION  PTM59340
                          STO     AIFBS     *WILL BE SEARCHED ONCE ONLY PTM59345
                          LD   L  MACEX     TEST FOR MACRO PH 3 IN CORE PTM59350
                          BSC  L  AG020,+-  BR-WITHIN EXPANSION         PTM59355
                    AG010 LD   L  PASS                                  PTM59360
                          STX   1 AIFS1     SAVE XR1                    PTM59365
                          LDX  I1 RDBFR     RESTORE XR1                 PTM59370
                          BSC  L  AG015,Z   BR-PASS TWO                 PTM59375
                          LD      B1904     SET ERROR INDR FOR PASS     PTM59380
                          STO   1 +33                                   PTM59385
                          MDX     AG016     BR TO PLACE ERROR           PTM59390
                    AG013 LDX  L1 *-*       RESTORE XR1                 PTM59395
                    AIFS1 EQU     *-1                                   PTM59400
                          MDX     AGO10     CONT SYNTAX CHECKING        PTM59405
                    AG014 MDX  L  PSMDE,0   TEST TWO PASS MODE          PTM59410
                          MDX     AGO23     PROCESS ON TWO PASS MODE    PTM59415
                          MDX     EXIT2     BYPASS ON 1 PASS MODE       PTM59420
                    AG015 MDX  L  PSMDE,0                               PTM59425
                          MDX     AG016     BR-TWO PASS MODE            PTM59430
                          LD    1 +33       TEST ERR INDR               PTM59435
                          EOR     BLK                                   PTM59440
                          BSC  L  AG013,+-  BR-ERROR NOT INDICATED      PTM59445
                          LD      BLK       RESET COL33                 PTM59450
                          STO   1 +33                                   PTM59455
                    AG016 LD      B1904     FETCH ERROR FLAG            PTM59460
                          MDX  L  ADCOW,2   INCR L.A.C.                 PTM59465
                          NOP               (MAY SKIP)                  PTM59470
                          BSC  L  ERR1B     PLACE OP CODE ERR FLAG      PTM59475
                    AG020 EQU     *                                     PTM59480
                          STX   2 AIFB2     SAVE XR2                    PTM59485
                          LDX  I2 DEEP      =PRESENT EXPANSION LEVEL    PTM59490
                          LD   L2 SECAD-1   GET THIS MACRO START ADDR   PTM59495
                          LDX  I2 MACCT     GET START SECTOR ADDR       PTM59500
                          STO  L2 MACTB-2   STORE IN MAC TABLE          PTM59505
                          EOR  L  SKEL1+1   IS THIS SECTOR IN CORE      PTM59510
                          BSC  L  AIFB1,+-  SKIP DISK READ IF IT IS     PTM59515
                    *                                                   PTM59520
                          LD   L2 MACTB-2   PUT SECTOR ADDRESS          PTM59525
                          STO  L  SKEL1+1   INTO SKEL1                  PTM59530
                          LDD     B1903     DK READ PARAM TO ACC,EXT    PTM59535
                          BSI  L  DISK1     READ SKELETON SCTR          PTM59540
                    AIFB1 LD   L2 MACTB-1   GET START DISPLACEMENT      PTM59545
                          S       AIFK1     =1    ADJUST POINTER        PTM59550
                          STO  L2 SAVFD-1   SAVE IN INFO TABLE          PTM59555
                          SLA     16        INDICATE THIS TABLE         PTM59560
                          STO  L2 SAVFD     ENTRY IS BEING USED         PTM59565
                          LDX  L2 *-*       RESTORE XR2                 PTM59570
                    AIFB2 EQU     *-1       POINT TO XR2 SAVE WORD      PTM59575
                    AGO10 LD   L  DEPTH     GET DEPTH CONSTANT          PTM59580
                          STO   3 -1        AND SAVE IT                 PTM59585
                    AGO2  LD    1 0         NAME CHARACTER              PTM59590
                          STO   3 0         STORE IN NAME BUFFER        PTM59595
                          EOR     BLK       TEST FOR BLANK              PTM59600
                          BSC  L  AGO22,+-  BRANCH IF BLANK IS FOUND    PTM59605
                    *                                                   PTM59610
                          MDX   1 1         POINT TO NEXT CHARACTER     PTM59615
                          MDX   3 1         BUMP NAME BUFFER POINTER    PTM59620
                          MDX   2 1         BUMP LOOP COUNTER           PTM59625
                          MDX     AGO2      LOOP                        PTM59630
                    *                                                   PTM59635
                          LD    1 0         SIXTH CHARACTER             PTM59640
                          EOR  L  BLK       =. SHOULD BE A BLANK        PTM59645
                          BSC  L  ERR1A,Z   BRANCH IF IT ISN'T          PTM59650
                          LDX   2 -5        TEST FOR BLANK SKIP         PTM59655
                    NMCHK LD   L2 AGONM+5   *TO LABEL                   PTM59660
                          EOR  L  BLK                                   PTM59665
                          BSC  L  AGO20,Z   BR-NOT BLANK LABEL          PTM59670
                          MDX   2 1                                     PTM59675
                          MDX     NMCHK     CONT LABEL CHECK            PTM59680
                    *                                                   PTM59685
                          BSI     B1QFG     PLACE Q FLAG                PTM59690
                    *                                                   PTM59695
                    AGO20 EQU     *                                     PTM59700
                    AGO21 LDX  L3 ASMCM     RESTORE XR3                 PTM59705
                          MDX  L  PASS,0    SKIP IF PASS 1              PTM59710
                          MDX     AG014     EXIT IF PASS 2              PTM59715
                    AGO23 BSI  L  PALBL     PASS LABEL/READ CARD        PTM59720
                          MDX     AGO3      GO CHECK FOR AGO NAME       PTM59725
                    *                                                   PTM59730
                    AGO22 LD    1 0         =.                          PTM59735
                          STO   3 0         FILL OUT BUFFER WITH BLANKS PTM59740
                          MDX   3 1         BUMP NAME BUFFER POINTER    PTM59745
                          MDX   2 1         BUMP LOOP COUNTER           PTM59750
                          MDX     AGO22+1   LOOP TO FILL BLANKS         PTM59755
                          MDX     NMCHK-1   GO READ NEXT CARD           PTM59760
                    *                                                   PTM59765
                    AGO4  BSI  L  LDXRS     RESTORE XR1 AND XR3         PTM59770
                          BSI  L  RDCRD     READ A CARD                 PTM59775
                          LD    3 RDBFR-X3  I/P BFR ADDR TO ACC         PTM59780
                          BSI  I  CVADR     CONVERT LAST RCD TO EBC     PTM59785
                    AGO3  LDX   2 -5        INITIALIZE LOOP COUNTER     PTM59790
                          MDX   1 +21       POINT TO COLUMN 21          PTM59795
                          LD    1 0         TEST FOR * IN COL 21        PTM59800
                          EOR     AIFAS                                 PTM59805
                          BSC  L  AGO4,+-   BR-* IN COL 21              PTM59810
                          LDX  L3 AGONM     POINT TO AGO NAME BUFFER    PTM59815
                          LD   L  DEPTH     GET DEPTH CONSTANT          PTM59820
                          EOR   3 -1        COMPARE WITH SAVED CONSTANT PTM59825
                          BSC  L  BRCON,Z   BRANCH IF NO MATCH          PTM59830
                    *                                                   PTM59835
                    AGO5  LD    3 0         BUFFER CHARACTER            PTM59840
                          EOR   1 0         LABEL FIELD CHARACTER       PTM59845
                          BSC  L  AGO41,Z   BRANCH IF NO MATCH          PTM59850
                    *                                                   PTM59855
                          MDX   1 1         BUMP COLUMN POINTER         PTM59860
                          MDX   3 1         AGO NAME BUFFER POINTER     PTM59865
                          MDX   2 1         BUMP LOOP COUNTER           PTM59870
                          MDX     AGO5      TEST ANOTHER CHARACTER      PTM59875
                    BRCON BSI  L  LDXRS     RESTORE XR1 AND XR3         PTM59880
                          BSC  L  BGASM     LABEL COMPARES,PROCESS RCD  PTM59885
                    *                                                   PTM59890
                    *     CONSTANTS                                     PTM59895
                    *                                                   PTM59900
                    B1Q00 DC      .Q        EBCDIC Q                    PTM59905
                    AIFAS DC      .*        EBCDIC ASTERISK             PTM59910
                    *                                                   PTM59915
                    AGO41 LDX   2 -5        INITIALIZE LOOP COUNTER     PTM59920
                          LDX   3 -5                                    PTM59925
                          MDX  I2 RDBFR     POINT TO I/P BFR            PTM59930
                          NOP               SKIP                        PTM59935
                    AGO42 LD    2 +32       FETCH OP CODE               PTM59940
                          EOR  L3 END30+5   CHECK FOR END STATEMENT     PTM59945
                          BSC  L  AGO4,Z    OK IF NO COMPARE            PTM59950
                    *                                                   PTM59955
                          MDX   2 1         INCR TABLE PT               PTM59960
                          NOP               (MAY SKIP)                  PTM59965
                          MDX   3 1         BUMP LOOP COUNTER           PTM59970
                          MDX     AGO42     TEST ANOTHER CHAR           PTM59975
                          LD   L  PSMDE                                 PTM59980
                          BSC  L  ENDQ,+-   BR-ONE PASS MODE            PTM59985
                          MDX  L  P2MWC,1   INCR TWO PASS MODE          PTM59990
                          NOP               *WARNING CNT                PTM59995
                          BSI     B1QFG     SET Q FLAG                  PTM60000
                          BSI  L  P9MVE     PRINT RECORD                PTM60005
                          MDX     BRCON     PROCESS RCD                 PTM60010
                    ENDQ  EQU     *                                     PTM60015
                          LDX  I1 RDBFR     RESTORE XR1                 PTM60020
                          LD      B1QFG     SET Q FLAG                  PTM60025
                          STO   1 +33                                   PTM60030
                          MDX     BRCON     PROCESS END CARD            PTM60035
                    *                                                   PTM60040
                    *     PROCESS Q FLAG                                PTM60045
                    *                                                   PTM60050
                    B1QFG DC      *-*       ENTRY PT                    PTM60055
                          LD      B1QFG     SET RETURN ADDR             PTM60060
                          STO  L  P9202                                 PTM60065
                          MDX  L  ERADD,MCOM5-ERCNT  PT TO WARN CNT     PTM60070
                          LD      B1Q00     FETCH Q FLAG                PTM60075
                          BSC  L  FLGCO     JOIN ERFLG SUBR             PTM60080
                    *                                                   PTM60085
                    *     PROCESS U FLAG                                PTM60090
                    *                                                   PTM60095
                    UFLAG DC      *-*       ENTRY POINT                 PTM60100
                          STX   1 UFL01     SAVE XR1                    PTM60105
                          BSI  L  LDXRS     RESTORE XR1 AND XR3         PTM60110
                          LD    3 PASS-X3                               PTM60115
                          BSC  L  UFL02,Z   BR-PASS TWO OR TWO PASS MODEPTM60120
                          LD    1 +18       TEST COL 18 FOR U           PTM60125
                          EOR     UFL03                                 PTM60130
                          BSC  L  UFL04,+-  BR-COL 18 U                 PTM60135
                          LD    1 +19       TEST COL 19 FOR U           PTM60140
                          EOR     UFL03                                 PTM60145
                          BSC  L  UFL05,Z   BR-COL 18 OR 19 NOT U       PTM60150
                    UFL04 LD    3 PSMDE-X3                              PTM60155
                          BSC  L  UFL06,+-  BR-NOT TWO PASS MODE        PTM60160
                          LD      UPRS1                                 PTM60165
                          BSC  L  UFL05,Z   BR-ALREADY PRINTED RCD      PTM60170
                          A    L  AIFK1     SET PRINT SW                PTM60175
                          STO     UPRS1                                 PTM60180
                          MDX  L  P2MEC,1   INCR TWO PASS MODE          PTM60185
                          NOP               *ERR CNT                    PTM60190
                          BSI  L  P9MVE     PRINT RCD                   PTM60195
                    UFL06 LD      UFL03     SET U TO COL 33             PTM60200
                          STO   1 +33                                   PTM60205
                    UFL05 LDX  L1 *-*       RESTORE XR1                 PTM60210
                    UFL01 EQU     *-1                                   PTM60215
                          BSC  I  UFLAG     RETURN TO CALLER            PTM60220
                    *                                                   PTM60225
                    UPRS1 DC      *-*       U FLAG PRINT SW             PTM60230
                    UFL03 DC      .U        EBCDIC U                    PTM60235
                    *                                                   PTM60240
                    UFL02 LD    3 PSMDE-X3                              PTM60245
                          BSC  L  UFL07,Z   BR-TWO PASS MODE            PTM60250
                          LD    1 33        TEST FOR U FLAG             PTM60255
                          EOR     UFL03                                 PTM60260
                          BSC  L  UFL05,Z   BR-NOT U FLAG               PTM60265
                          LD   L  BLK       RESET COL 33 TO BLANK       PTM60270
                          STO   1 33                                    PTM60275
                          LD      UFL03                                 PTM60280
                          BSI  L  ERFLG     PLACE U FLAG                PTM60285
                          MDX     UFL05     RETURN TO CALLER            PTM60290
                    UFL07 MDX   1 +18                                   PTM60295
                          LD    1 0         CC 18 = U                   PTM60300
                          EOR     UFL03                                 PTM60305
                          BSC     Z         SKIP IF U                   PTM60310
                          MDX   1 1         CC 19 = U                   PTM60315
                          LD    1 0         PTM59                       PTM60320
                          EOR     UFL03                                 PTM60325
                          BSC     Z                                     PTM60330
                          MDX     UFL05     BR-CC 18,19 NOT U           PTM60335
                          LD   L  BLK       U ALREADY COUNTED,PASS 1    PTM60340
                          STO   1 0         *DO NOT COUNT IN PASS 2     PTM60345
                          MDX  L  ERCNT,-1                              PTM60350
                          NOP                                           PTM60355
                          MDX     UFL05     RETURN TO CALLER            PTM60360
                    *                                                   PTM60365
                          BSS     P9000-*    PATCH AREA            2/11 PTM60370
                    MP1BZ DC      0         END OF MACRO PH 1B          PTM60375
*SBRKSLS EC          ASM MACRO PHASE 2 - MACRO DEFINITION         V2M08 PTM60380
                          HDNG    MACRO PROCESSOR PHASE 2 - DEFINITION  PTM60385
                    *************************************************** PTM60390
                    *                                                 * PTM60395
                    *STATUS - VERSION 2, MODIFICATION 11              * PTM60400
                    *                                                 * PTM60405
                    *FUNCTION/OPERATION-                              * PTM60410
                    *   *MACRO PHASE 2 INITIALIZES MACRO DEFINITION   * PTM60415
                    *    AND RESTORES THE BASIC ASSEMBLER AT THE END  * PTM60420
                    *    OF DEFINITION PROCESSING.                    * PTM60425
                    *   *DEFINITION INITIALIZATION CONSISTS OF THE    * PTM60430
                    *    FOLLOWING 4 STEPS.                           * PTM60435
                    *       * LOAD PHASE 2B IN CORE,OVERLAYING PART   * PTM60440
                    *         OF ASSEMBLER PHASE 9.                   * PTM60445
                    *       * PLACE MACRO NAME IN DISK PROTOTYPE      * PTM60450
                    *         BUFFER.                                 * PTM60455
                    *       * SCAN PROTOTYPE STATEMENT FOR PARAMETER  * PTM60460
                    *         NAMES,PLACING NAMES IN PARAMETER BUFFER.* PTM60465
                    *       * LOAD MACRO PHASE 2A INTO OVERLAY AREA   * PTM60470
                    *         AND PASS CONTROL TO IT.                 * PTM60475
                    *   *FOLLOWING MACRO DEFINITION PROCESSING,CONTROL* PTM60480
                    *    IS RETURNED TO MACRO PHASE 2 TO PLACE THE    * PTM60485
                    *    END OF LIBRARY INDR,WRITE THE PROTOTYPE      * PTM60490
                    *    SCTR TO DISK,REFRESH ASM PHASE 9,AND RETURN  * PTM60495
                    *    CONTROL TO PHASE 9 TO CONTINUE THE ASSEMBLY. * PTM60500
                    *                                                 * PTM60520
                    *ENTRY POINTS-                                    * PTM60525
                    *   *M2010 - MACRO DEFINITION INITIALIZATION      * PTM60530
                    *            ENTER FROM MACRO PHASE 1             * PTM60535
                    *   *ELIB - EXIT MACRO DEFINITION PHASE           * PTM60540
                    *           ENTER FROM MACRO PHASE 2A             * PTM60545
                    *   *ELIB1 - EXIT MACRO EXPANSION PHASE           * PTM60550
                    *           ENTER FROM MACRO PHASE 3B             * PTM60555
                    *                                                 * PTM60570
                    *INPUT-                                           * PTM60575
                    *   *MACRO PROTOTYPE STATEMENT IN INPUT BFR.      * PTM60580
                    *                                                 * PTM60585
                    *OUTPUT-N/A                                       * PTM60590
                    *                                                 * PTM60595
                    *EXTERNAL REFERENCES-                             * PTM60600
                    *   *SUBROUTINES-                                 * PTM60605
                    *       * BGASM                                   * PTM60610
                    *       * DISK1                                   * PTM60615
                    *       * GETER                                   * PTM60620
                    *       * GETS2                                   * PTM60625
                    *       * GETS5                                   * PTM60630
                    *       * GETS6                                   * PTM60635
                    *       * GETS7                                   * PTM60640
                    *       * GETS8                                   * PTM60645
                    *       * GTS8A                                   * PTM60650
                    *       * GTS12                                   * PTM60655
                    *       * LDXRS                                   * PTM60660
                    *       * PALBL                                   * PTM60665
                    *       * P0130                                   * PTM60670
                    *       * P9227                                   * PTM60675
                    *       * RDBFR                                   * PTM60680
                    *   *THE FOLLOWING ENTRY POINTS TO MACRO PHASE    * PTM60685
                    *    2B ARE USED BY MACRO PHASE 2.                * PTM60690
                    *       * DKWRT                                   * PTM60695
                    *       * M2CSN                                   * PTM60700
                    *       * WRSKL                                   * PTM60705
                    *   *ASMCM-                                       * PTM60710
                    *       * MCOM2                                   * PTM60715
                    *       * MCOM3                                   * PTM60720
                    *       * MCOM4                                   * PTM60725
                    *       * MCOM9                                   * PTM60730
                    *       * SMAC0                                   * PTM60735
                    *       * SMSEC                                   * PTM60740
                    *   *DCOM/COMMA-                                  * PTM60745
                    *       * $EXIT                                   * PTM60750
                    *       * $PHSE                                   * PTM60755
                    *                                                 * PTM60760
                    *EXITS-                                           * PTM60765
                    *   *OVLAY+18 - BEGIN MACRO DEFINITION PROCESS    * PTM60770
                    *   *BGASM - END MACRO DEFINITION,CONT ASM        * PTM60775
                    *   *$EXIT - TERMINATE ASSEMBLY                   * PTM60780
                    *                                                 * PTM60785
                    *TABLES/WORK AREAS-                               * PTM60790
                    *   *BUFF - PARAMETER NAME BUFFER                 * PTM60795
                    *   *SKEL0(SKEL2) - MACRO PROTOTYPE BUFFER        * PTM60800
                    *            BEGINS AT DEFSK+2                    * PTM60805
                    *                                                 * PTM60810
                    *                                                 * PTM60815
                    *ATTRIBUTES-N/A                                   * PTM60820
                    *                                                 * PTM60825
                    *NOTES-                                           * PTM60830
                    *   *REFERENCES LOCATIONS IN MACRO PHASES 2A      * PTM60835
                    *    AND 2B.                                      * PTM60840
                    *   *PATCH FOR THIS PHASE IS INCLUDED IN THE      * PTM60845
                    *    GENERAL PATCH AREA AT THE END OF MACRO       * PTM60850
                    *    PH 2B.                                       * PTM60855
                    *                                                 * PTM60860
                    *************************************************** PTM60865
                          ORG     OVLAY                                 PTM60870
                          DC      MP20Z-MP200  WD CNT OF MACRO PH 2     PTM60875
                          DC      -/EC      SLET ID OF MACRO PH 2       PTM60880
                    M2000 DC      M2800-M2000  ADDR OF SLET TBL         PTM60885
                          DC      15        NO. OF SLET ENTRIES    2-11 PTM60890
                          ORG     *-2                                   PTM60895
                    BUFF  EQU     DEFSK+322 PARAMETER NAME BFR          PTM60900
                    SKEL2 EQU     DEFSK+2   START ADDR OF SKEL0 BFR     PTM60905
                    *************************************************** PTM60910
                    *     NOTE - SRT2B MUST BE EVEN ADDRESS             PTM60915
                    SRT2B EQU     DEFSK+382 LD ADDR OF MACRO PH 2B      PTM60920
                    *************************************************** PTM60925
                    *                                                   PTM60930
                    *     INTERPHASE BRANCH TABLE                       PTM60935
                    *     *IF PRESENT,ALWAYS AT BEGINNING OF            PTM60940
                    *     *OVERLAY AREA                                 PTM60945
                    *                                                   PTM60950
                    MP200 BSC  L  GETS5     +2  FETCH PH 5              PTM60955
                          BSC  L  GETS6     +4  FETCH PH 6              PTM60960
                          BSC  L  GETS7     +6  FETCH PH 7              PTM60965
                          BSC  L  GETS8     +8  FETCH PH 8              PTM60970
                          BSC  L  GTS8A     +10 FETCH PH 8A             PTM60975
                          BSC  L  GTS12     +12 FETCH PH 12             PTM60980
                          BSC  L  GTS13     +14 FETCH MACRO PH 1        PTM60985
                          BSC  L  GETS2     +16 FETCH PH 2              PTM60990
                    *                                                   PTM60995
                    *     ENTER MACRO PHASE 2 HERE                      PTM61000
                    *                                                   PTM61005
                    M2010 LD      M2900     SET PH ID NUMBER            PTM61010
                          STO  L  $PHSE                                 PTM61015
                          BSI     LDXRS     XR1 TO I/P BFR,XR3 TO ASMCM PTM61020
                    *                                                   PTM61025
                    *     LOAD MACRO PHASE 2B OVER PART OF PHASE 9      PTM61030
                    *                                                   PTM61035
                          LDD  L  M2820+2   GET WD CNT,SCTR ADDR PH 2B  PTM61040
                          STD  L  SRT2B     INITIALIZE PH 2B AREA       PTM61045
                          LDD     M2901     DK READ PARAM TO ACC,EXT    PTM61050
                          BSI   3 DISK1-X3  LOAD MACRO PH 2B            PTM61055
                    *                                                   PTM61060
                    *     CLEAR BUFF AND PLACE MACRO NAME               PTM61065
                    *                                                   PTM61070
                    MCSRT LDX   1 60        SET LOOP CTR TO BUFF SIZE   PTM61075
                          SLA     16        CLEAR PARAM LIST            PTM61080
                    MCCLR STO  L1 BUFF-1    *BFR TO ZERO                PTM61085
                          MDX   1 -1        DECR LOOP CTR               PTM61090
                          MDX     MCCLR     CONT CLEARING BUFF          PTM61095
                          STO  L  CNT2B     CLEAR CTR IN PH 2B          PTM61100
                          LDX  I1 RDBFR     XR1 PT TO I/P BFR           PTM61105
                          MDX   1 +21       XR1 POINTS TO COL 21        PTM61110
                    *                                                   PTM61115
                    *     HOUSEKEEP SKELETON SECTOR CHAIN,CONCAT WORDS  PTM61120
                    *                                                   PTM61125
                          LDX  L2 SKEL2     XR2 PT TO SKELETON BFR      PTM61130
                          MDX  I2 MCOM9     INCR BY DISPLACEMENT        PTM61135
                          LD    3 SMSEC-X3  FETCH SYST MACLIB ADDR      PTM61140
                          MDX  L  SMAC0,0   SKIP IF TEMP MACRO          PTM61145
                          LD    2 -3        OTHERWISE,FETCH CONCAT WD   PTM61150
                          STO  L  TIESA     SAVE IN PH 2B               PTM61155
                          LD    2 -1        SAVE CONCATENATED           PTM61160
                          RTE     16        *LIBRARY NAME               PTM61165
                          LD    2 -2                                    PTM61170
                          STD  L  TIESA-2                               PTM61175
                          SLA     16        CLEAR CURRENT CHAIN WD      PTM61180
                          STO   2 -1                                    PTM61185
                    *                                                   PTM61190
                    *     FETCH MACRO NAME,PLACE IN PROTOTYPE           PTM61195
                    *                                                   PTM61200
                          LDD   3 MCOM2-X3  FETCH FIRST TWO WORDS       PTM61205
                          STO   2 -4        *OF MACRO NAME AND          PTM61210
                          RTE     16        *SAVE IN SKELETON SCTR      PTM61215
                          STO   2 -3                                    PTM61220
                          LD    3 MCOM4-X3  FETCH 3RD WD OF NAME        PTM61225
                          STO   2 -2        *AND SAVE                   PTM61230
                          SLA     16        CLEAR SWITCH                PTM61235
                          STO   3 MCOM4-X3                              PTM61240
                    *                                                   PTM61245
                    *     PARAMETER SCAN BEGINS HERE                    PTM61250
                    *                                                   PTM61255
                    M2020 LD      M29O2     SET SCAN RETURN             PTM61260
                          STO  L  MCS1+1    *FOR FIRST PARAM            PTM61265
                          BSC  L  STSCN     SCAN FOR PARAM              PTM61270
                    *                                                   PTM61275
                    M2030 LDX  I1 RDBFR     RESTORE XR1 TO POINT        PTM61280
                          MDX   1 +34       *TO COL. 34 OF I/P BFR      PTM61285
                          LD      M2903     SET SCAN RETURN             PTM61290
                          STO  L  MCS1+1    *FOR COMMA TERMINATOR       PTM61295
                          BSC  L  MSCN1                                 PTM61300
                    *                                                   PTM61305
                    *     CONSTANTS                                     PTM61310
                    *                                                   PTM61315
                    ELIBT EQU     *         TEMP SAVE AREA              PTM61320
                    M2900 DC      /EC       SLET ID OF MACRO PH 2       PTM61325
                    DISP1 EQU     /450                                  PTM61330
                          BSS  E  0         FORCE EVEN ADDR             PTM61335
                    M2901 DC      /7000     DK READ FUNC CODE           PTM61340
                          DC      SRT2B     I/O AREA ADDR               PTM61345
                    M29O2 DC      M2030     ADDR CONSTANT               PTM61350
                    M2903 DC      MSCN      ADDR CONSTANT               PTM61355
                    *                                                   PTM61360
                    *                                                   PTM61365
                    *     PLACE END OF LIBRARY INDR,WRITE SCTR TO       PTM61370
                    *     *DISK                                         PTM61375
                    *                                                   PTM61380
                    ELIB  EQU     *                                     PTM61385
                          MDX  L  $PHSE,-1  SET PH ID /EC          2-10 PTM61390
                    *                                              2-10 PTM61395
                          STX   2 DELTA     SAVE LIBRARY SCTR DISP      PTM61400
                          LD      DELTA                                 PTM61405
                          S       M2906     TEST IF END LIBRARY NAME    PTM61410
                          BSI  L  WRSKL,-   *WILL FIT-WRITE SCTR IF NOT PTM61415
                          LD   L  MEND      SET FE00 NAME               PTM61420
                          STO  L2 SKEL2                                 PTM61425
                          LD   L  TIESA     SET CONCATENATOR WD         PTM61430
                          STO  L2 SKEL2+1                               PTM61435
                          LDD  L  TIESA-2   RESTORE CONCATENATED        PTM61440
                          STO  L2 SKEL2+2   *LIBRARY NAME               PTM61445
                          RTE     16                                    PTM61450
                          STO  L2 SKEL2+3                               PTM61455
                          LDX  I3 POINT                                 PTM61460
                          LD      DELTA     ADJUST DELTA                PTM61465
                          OR   L3 SKEL2-1                               PTM61470
                          STO  L3 SKEL2-1                               PTM61475
                          BSI  L  DKWRT     WRITE SCTR TO DISK          PTM61480
                          LDX  L2 DISP1     SAVE CODE-SNEAKY            PTM61485
                          BSI  L  LDXRS     RESOTRE XR1 AND XR3         PTM61490
                          LD      M2PL2     LD MACRO PLUS INDR          PTM61495
                          MDX  L  MACEX,0   TEST FOR MACRO EXPANSION    PTM61500
                          MDX     *+1       SKIP-NOT MACRO EXPANSION    PTM61505
                          STO   1 +72       STORE MACRO & INDR          PTM61510
                    *                                                   PTM61515
                    *     UPDATE LIBRARY HEADER IF SMAC                 PTM61520
                    *                                                   PTM61525
                          LD    3 SMAC0-X3                              PTM61530
                          BSC  L  REST0,+-  BR NOT SYSTEM MACRO         PTM61535
                          LD    2 SKEL2-1-DISP1  SAVE SCTR END ADDR     PTM61540
                          S     3 SMSEC-X3  SUB. BEGIN FOR  DISP.  2-11 PTM61542
                          STO     ELIBT     *OF LIBRARY INDR            PTM61545
                          LD    3 SMSEC-X3  SET SCTR ADDR TO            PTM61550
                          STO   2 SKEL2-1-DISP1  *START OF LIBRARY      PTM61555
                          LD      ELB10     SET WD CNT TO FIRST FEW     PTM61560
                          STO   2 SKEL2-2-DISP1  *WORDS OF SCTR         PTM61565
                          LDD     ELB20     PREPARE TO                  PTM61570
                          BSI   3 DISK1-X3  READ 1ST SCTR OF LIBRARY    PTM61575
                          LD      DELTA     SET LIBRARY END INDR        PTM61580
                          STO   2 SKEL2+2-DISP1  *DISPLACEMENT          PTM61585
                          LD      ELIBT     SET LIBRARY END INDR        PTM61590
                          STO   2 SKEL2+1-DISP1  *SCTR ADDR             PTM61595
                          MDX  L  ELB20,1   PLACE WR FUNC CODE          PTM61600
                          LDD     ELB20     PREPARE TO                  PTM61605
                          BSI   3 DISK1-X3  WRITE 1ST LIBR SCTR         PTM61610
                          MDX     REST0                                 PTM61615
                    *                                                   PTM61620
                    M2907 DC      P9245-P9000  REFRESH WD CNT           PTM61625
                    ELB10 DC      320       WD CNT OF LIBRARY HDR       PTM61630
                    M2PL2 DC      /41       MACRO PLUS INDR        2-10 PTM61635
                          BSS  E  0         FORCE EVEN ADDR             PTM61645
                    ELB20 DC      /7000     DK READ FUNC CODE           PTM61650
                          DC      SKEL2-2   I/O AREA HDR                PTM61655
                    *                                                   PTM61660
                    *     SUBROUTINE TO RESTORE PH 9 OF ASSEMBLER       PTM61665
                    *     *AND READ NEXT RCD FOR PROCESSING             PTM61670
                    *                                                   PTM61675
                    REST0 LDX  L3 DISP1     SAVE CODE-SNEAKY            PTM61680
                          LD    3 M2800+3-DISP1  SET WD CNT,SCTR ADDR   PTM61685
                          STO   3 P9000-1-DISP1  *PH 9 RESTORE          PTM61690
                          LD      M2907     SET REFRESH WD CNT          PTM61695
                          STO   3 P9000-2-DISP1                         PTM61700
                          LDD   3 P9000-DISP1  SAVE PH 9 HDR            PTM61705
                          STD     M2908                                 PTM61710
                          LD    3 P9000+2-DISP1                         PTM61715
                          STO     M2908+2                               PTM61720
                          LDD     M2905     DK READ PARAM TO ACC,EXT    PTM61725
                          BSI  L  DISK1     REFRESH ASM PH 9            PTM61730
                    *                                                   PTM61735
                          LD      TVWD7     RESTORE WD 7           2-10 PTM61740
                          STO  L  OPVND     *OF TRANSFER VECTOR    2-10 PTM61745
                          LDX   1 -16       SET LOOP CTR                PTM61750
                          LDX   2 0         SET TBL PT                  PTM61755
                    REST3 LDD  L1 M2996+18  FETCH SECONDARY DISK        PTM61760
                          STD  L2 P9245+6   *HEADER TABLE               PTM61765
                          MDX   2 2         INCR TBL PT                 PTM61770
                          MDX   1 4         DECR LOOP CTR               PTM61775
                          MDX     REST3     CONT TO RESTORE PH 9        PTM61780
                          LDD     M2908     RESTORE PH 9 HEADER         PTM61785
                          STD   3 P9000-DISP1                           PTM61790
                          LD      M2908+2                               PTM61795
                          STO   3 P9000+2-DISP1                         PTM61800
                    *                                                   PTM61805
                          LDX   1 -32                                   PTM61810
                          LDX   2 0                                     PTM61815
                    REST1 LDD  L1 M2991+34  FETCH DISK HEADER TBL       PTM61820
                          STD  L2 P9041     *IN ASM PH 9                PTM61825
                          MDX   2 2                                     PTM61830
                          MDX   1 4         INCR LOOP CTR               PTM61835
                          MDX     REST1     CONT TO RESTORE TBL         PTM61840
                          LD    3 M2992-DISP1  SET GRAPHICS PH ADDR     PTM61845
                          STO   3 P9540-DISP1                           PTM61850
                          BSI  L  LDXRS     RESTORE XR1 AND XR3         PTM61855
                    *************************************************** PTM61860
                    *     REST2-1 AND REST2+1 MUST OCCUR AT           * PTM61865
                    *     EVEN WORD BOUNDARIES OR ALL REFERENCES      * PTM61870
                    *     CHANGE TO REST2 AND REST2+2 RESPECTIVELY    * PTM61875
                    *************************************************** PTM61880
                          NOP                                      2-11 PTM61881
                          NOP                                      2-11 PTM61882
                          ORG     *-2                              2-11 PTM61883
                          BSS  E  0         INSURE EVEN ADDRESS    2-11 PTM61884
                          LD      ERSW      TERMINATE ASM IF ERROR      PTM61885
                    REST2 BSC  L  P9227,Z   EXIT TO SUPERVISOR ON ERR   PTM61890
                          LD    3 MCOM4-X3  TEST FOR END STATEMENT      PTM61895
                          BSI  L  PALBL,+-  BR TO READ NEXT RCD         PTM61900
                          BSC  L  BGASM     BR TO PROCESS NEXT RCD      PTM61905
                    *                                                   PTM61930
                    *     CONSTANTS                                     PTM61935
                    *                                                   PTM61940
                    M2906 DC      314       CONSTANT 314           2-10 PTM61945
                    M2904 DC      3         CONSTANT 3                  PTM61950
                    MPACN DC      20        MAXIMUM PARAM CNT           PTM61955
                          BSS  E  0         FORCE EVEN ADDR             PTM61960
                    M2905 DC      /7000     DK READ FUNC CODE           PTM61965
                          DC      P9000-2   I/O AREA ADDR               PTM61970
                    M2908 BSS  E  3         TEMP SAVE AREA              PTM61975
                    PNCK1 DC      *-*       TEMP SAVE AREA              PTM61980
                    DELTA DC      *-*       SAVE AREA FOR SCTR DISP     PTM61985
                    ERSW  DC      *-*       ERROR INDR                  PTM61990
                    *                       CODE MOVED             2-10 PTM61995
                    M2956 DC      *-*       PARAM NAME LNG              PTM62000
                    *                                                   PTM62005
                    *                                                   PTM62010
                    *     SCAN FOR PARAMETER NAMES                      PTM62015
                    *                                                   PTM62020
                    STSCN LDX   2 7          SET NAME CHAR COUNT   2/11 PTM62025
                          STX   2 M2956                            2/11 PTM62030
                          LDX   2 1         ADJUST SKELETON PTR    2-11 PTM62035
                          LD   L  CNT2B     CALCULATE POSITION          PTM62040
                          M       M2904     *OF NEXT PARAM IN SKELETON  PTM62045
                          SLT     16        CLEAR BUFF DISP PT          PTM62050
                          STO     MCOK+1                                PTM62055
                          STX   2 MCOK-1    SAVE XR2                    PTM62060
                    *                                                   PTM62065
                    *     BEGIN SCAN OF PROTOTYPE RECORD                PTM62070
                    *                                                   PTM62075
                    MSCAN LDX   2 MCS2-MCS1 SET XR2 TO M2CSN TBL SIZE   PTM62080
                          BSI  L  M2CSN     SCAN CHARACTER FOR TERMINATOPTM62085
                    MCS1  DC      /40       EBCDIC BLANK                PTM62090
                          DC      MSCN      RETURN ADDR FOR BLANK       PTM62095
                          DC      /6B       EBCDIC COMMA                PTM62100
                          DC      MSCN1     RETURN ADDR FOR COMMA       PTM62105
                          DC      /50       EBCDIC AMPERSAND            PTM62110
                          DC      AMP       RETURN ADDR FOR AMPERSAND   PTM62115
                    MCS2  EQU     *                                     PTM62120
                    *                                                   PTM62125
                    *     RETURN HERE IF CHARACTER NOT BLANK,COMMA,     PTM62130
                    *     *OR AMPERSAND                                 PTM62135
                    *                                                   PTM62140
                          LDX  L2 *-*       RESTORE XR2 TO SKELETON PT  PTM62145
                    MCOK  LDX  L3 *-*       RESTORE XR3 TO BUFF PT      PTM62150
                          LD    1 0         FETCH CHAR                  PTM62155
                          MDX   2 -1        SKIP IF 1ST,3RD,5TH CHAR    PTM62160
                          MDX     MCPK      2ND,4TH CHAR                PTM62165
                          SLT     8         SHIFT TO LEFTHAND BYTE      PTM62170
                          MDX   2 2         ADJUST SKELETON PT          PTM62175
                          STO  L3 BUFF      STORE IN PARAM LIST BFR     PTM62180
                    MCK   STX   3 MCOK+1    SAVE XR3                    PTM62185
                          MDX   1 1         PT TO NEXT CHAR             PTM62190
                          MDX  L  M2956,-1  DECR PARAM NAME LNG         PTM62195
                          MDX     MSCAN-1   CHECK NEXT CHAR             PTM62200
                    MCK01 LDX  L3 ASMCM     RESTORE XR3                 PTM62205
                          MDX     PNCK6     OP CODE ERROR               PTM62210
                    *                                                   PTM62215
                    MCPK  OR   L3 BUFF      OR 2ND OR 4TH CHAR TO NAME  PTM62220
                          STO  L3 BUFF      *AND SAVE IN PARAM LIST     PTM62225
                          MDX   3 1         INCR BUFF PT                PTM62230
                          MDX     MCK       RETURN TO CHECK NEXT CHAR   PTM62235
                    *                                                   PTM62240
                    *     PROCESS COMMA TERMINATOR                      PTM62245
                    *                                                   PTM62250
                    MSCN1 MDX  L  CNT2B,1   INCR PH 2B PARAM CTR        PTM62255
                          MDX   1 1         XR1 PT TO NEXT PARAM NAME   PTM62260
                          MDX  L  MPACN,-1  DECR CNT                    PTM62265
                          MDX     STSCN     FETCH NEXT PARAM NAME       PTM62270
                          MDX     MCK01     TOO MANY PARAM              PTM62275
                    *                                              2-10 PTM62280
                    TVWD7 DC      OVLAY+16  WD 7 OF TRANS VECTOR   2-10 PTM62285
                    M2990 DC      MCGOS     ENTRY TO MACRO PH 2A   2-10 PTM62290
                    *                                                   PTM62295
                    *     PROCESS BLANK TERMINATOR                      PTM62300
                    *                                                   PTM62305
                    MSCN  MDX  L  CNT2B,1   INCR PH 2B PARAM CTR        PTM62310
                          LD   L  CNT2B                                 PTM62315
                    *                                                   PTM62320
                    *     CHECK FOR VALID PARAMETER NAMES               PTM62325
                    *                                                   PTM62330
                          STO     PNCK1     SET NUMBER OF PARAM         PTM62335
                          LDX  L1 BUFF-3    INITLZ BUFF PT              PTM62340
                    PNCK3 MDX   1 +3                                    PTM62345
                          STX   1 PNCKS     SAVE BUFF PT                PTM62350
                          LDX  L2 PNAME     PT TO LABEL BFR             PTM62355
                          LDX   3 3         INITLZ MOVE CTR             PTM62360
                    PNCK5 LD    1 0         GET PARAM CHARS             PTM62365
                          SRA     8                                     PTM62370
                          BSC     +-        SKIP IF NON-BLANK           PTM62375
                          LD      MCS1      SET TO BLANK                PTM62380
                          STO   2 0         STORE CHAR                  PTM62385
                          LD    1 0         GET SECOND CHAR             PTM62390
                          SLA     8                                     PTM62395
                          SRA     8                                     PTM62400
                          BSC     +-        SKIP IF NON-BLANK           PTM62405
                          LD      MCS1      SET TO BLANK                PTM62410
                          STO   2 1         SAVE CHAR                   PTM62415
                          MDX   1 1         INCR LABEL BFR PT           PTM62420
                          MDX   2 2         INCR LABEL BFR PT           PTM62425
                          MDX   3 -1        DECR LOOP CTR               PTM62430
                          MDX     PNCK5                                 PTM62435
                          LDX  L1 PNAME     PT TO LABEL BFR             PTM62440
                          LD    1 0         GET 1ST CHAR                PTM62445
                          EOR     MCS2-2    TEST FOR AMPERSAND          PTM62450
                          LDX  L3 ASMCM     RESTORE XR3                 PTM62455
                          BSC  L  P6CHR,Z   BR TO TEST 6TH CHAR         PTM62460
                          MDX   1 1         INCR NAME BFR PT            PTM62465
                          MDX     P6CH1                                 PTM62470
                    P6CHR LD    1 5         TEST 6TH CHAR FOR BLANK     PTM62475
                          EOR     MCS1                                  PTM62480
                          BSC  L  PNCK6,Z   BR-6TH CHAR NONBLANK        PTM62485
                    P6CH1 LD    1 0         TEST 1ST CHAR FOR BLANK     PTM62490
                          EOR     MCS1                                  PTM62495
                          BSI  L  P9252,Z   GO CHECK LABEL              PTM62500
                          MDX     PNCKA     GO CHECK NEXT LABEL         PTM62505
                    *                                                   PTM62510
                    PNCK6 LDD  L  M2996-2                          2-11 PTM62515
                          STD   3 OVLAY-X3                              PTM62520
                          LD      PNCKB     SET XEQ ADDR TO OPCDR       PTM62525
                          STO   3 P0140-X3+1                            PTM62530
                          LDD     PNCKD     FETCH REST0 RETURN          PTM62535
                          STD  L  REST2-1                               PTM62540
                          MDX     ELIB7     RESTORE PH 9                PTM62545
                    *                                                   PTM62550
                    PNCK7 BSC  L  P0130     FETCH MACRO PH 1            PTM62555
                    *                                                   PTM62560
                    PNCKA MDX  L  PNCK1,-1  DECR PARAM CNT              PTM62565
                          MDX     PNCKC     GET NEXT PARAM              PTM62570
                          LDD     M2810+2   WD CNT,SCTR ADDR PH 2A      PTM62575
                          STD   3 OVLAY-X3                              PTM62580
                          MDX  L  $PHSE,+1  SET PH ID /ED          2-10 PTM62585
                    *                                              2-10 PTM62590
                          LD      M2990     SET ENT FOR PH 2A           PTM62595
                          STO   3 BRBCK+1-X3                            PTM62600
                          LD    3 MCOM9-X3  INITLZ PH 2B PT             PTM62605
                          STO  L  POINT     *FOR MACRO NAME             PTM62610
                    MMASS LD    3 MCDEF-X3                              PTM62615
                          BSC  L  P0130,+   BR- NOT TEMP DEFN           PTM62620
                          LD      MMACS     SET TEMP DEFN FLAG          PTM62625
                          STO   3 MCDEF-X3                              PTM62630
                          MDX     MMASS     CONT WITH DEFN              PTM62635
                    *                                                   PTM62640
                          BSS  E  0         FORCE EVEN ADDR             PTM62645
                    PNCKD BSC  L  PNCK7                                 PTM62650
                    PNAME BSS     6         SYMBOL BFR                  PTM62655
                    PNCKB DC      M1701     OP CODE ERR ADDR            PTM62660
                    *                                                   PTM62665
                    PNCKC LDX  L1 *-*       RESTORE BUFF PT             PTM62670
                    PNCKS EQU     *-1                                   PTM62675
                          MDX     PNCK3     CONT NAME CHECK             PTM62680
                    *                                                   PTM62685
                    *     PROCESS AMPERSAND TERMINATOR                  PTM62690
                    *                                                   PTM62695
                    AMP   LD      AMPCN     SET CONCATENATOR SW         PTM62700
                          STO  L  CNAMP+1   *FOR AMPERSAND IN PH 2B     PTM62705
                          MDX     MCOK-2    FETCH NEXT PARAM NAME       PTM62710
                    AMPCN DC      CNAM1     ADDR CONSTANT               PTM62715
                    *                                                   PTM62720
                    *     ENTER FROM MACRO PH 3B                        PTM62725
                    ELIB1 EQU     *                                     PTM62730
                          LDD     M2910     SET TO RESTORE XR1 AND XR3  PTM62735
                          STD  L  REST2-1                               PTM62740
                          LDD     M2909     SET TO RETURN TO MACRO PH   PTM62745
                          STD  L  REST2+1   *3 WHEN PH 9 REFRESHED      PTM62750
                          LD   L  OPVND     SAVE WD 7 OF TRANS VEC 2-10 PTM62755
                          STO     TVWD7     *BEFORE PH 9 REFRESH   2-10 PTM62760
                          LDX  L3 ASMCM     RESTORE XR3                 PTM62765
                          LDD   3 CNVRT-X3  FETCH CONVERSION SUBR HDR   PTM62815
                    ELIB6 MDX  L  CVADR,-3                              PTM62830
                          STD  I  CVADR     SET CONVERSION SUBR HDR     PTM62835
                          LD    3 CVADR-X3  FETCH I/O AREA ADDR         PTM62840
                          MDX  L  CVADR,+3  RESTORE BR ADDR             PTM62845
                          RTE     16                                    PTM62850
                          LD   L  M2905     FETCH READ FUNC CODE        PTM62855
                          BSI   3 DISK1-X3  LOAD CONVERSION SUBR        PTM62860
                          LD    3 IPTKB-X3  IS INPUT FROM PT/KB         PTM62865
                          BSC  L  ELIB8,+-  NO,BRANCH                   PTM62870
                          LD   L  RP000                            2-11 PTM62875
                          A       ELI10                            2-11 PTM62880
                          STO     ELIB9+1                          2-11 PTM62885
                          LD      ELI21                            2-11 PTM62890
                    ELIB9 STO  L  *-*                              2-11 PTM62895
                    ELIB8 MDX  L  M2907,P9250-P9245                     PTM62900
                    ELIB7 BSC  L  REST0     RESTORE PHASE 9             PTM62905
                    *                                                   PTM62910
                    *     CONSTANTS,SLET ID TBL                         PTM62915
                    *                                                   PTM62920
                    *                                              2-10 PTM62925
                    ELI21 DC      21        CONSTANT 21                 PTM62930
                    ELI10 DC      10                               2-11 PTM62935
                    MMACS DC      /8000     TEMP DEFN SW                PTM62940
                    M2992 DC      G4000     START ADDR OF GRAPHICS PH   PTM62945
                          BSS  E  0         FORCE EVEN ADDR             PTM62950
                    M2909 BSC  L  FE000     EVEN ADDR                   PTM62955
                    M2910 BSI  L  LDXRS                                 PTM62960
                    M2800 EQU     *                                     PTM62965
                          DC      /DC       SLET ID OF PHASE 9          PTM62970
                          BSS     3                                     PTM62975
                    M2810 DC      /ED       SLET ID OF MACRO PH 2A      PTM62980
                          BSS     3                                     PTM62985
                    M2820 DC      /EE       SLET ID OF MACRO PH 2B      PTM62990
                          BSS     3                                     PTM62995
                    M2991 DC      /DD       SLET ID OF PHASE 5          PTM63000
                          BSS     3                                     PTM63005
                          DC      /DE       SLET ID OF PHASE 6          PTM63010
                          BSS     3                                     PTM63015
                          DC      /DF       SLET ID OF PHASE 7          PTM63020
                          BSS     3                                     PTM63025
                          DC      /E1       SLET ID OF PHASE 8          PTM63030
                          BSS     3                                     PTM63035
                          DC      /E2       SLET ID OF PHASE 8A         PTM63040
                          BSS     3                                     PTM63045
                          DC      /D3       SLET ID OF PHASE 12         PTM63050
                          BSS     3                                     PTM63055
                          DC      /DA       SLET ID OF PHASE 2          PTM63060
                          BSS     3                                     PTM63065
                          DC      /E9       SLET ID OF MACRO PH 1       PTM63070
                          BSS     3                                     PTM63075
                    M2996 DC      /E3       SLET ID OF PNCH CNVRT       PTM63090
                          BSS     3                                     PTM63095
                          DC      /D4       SLET ID OF ERMSG            PTM63100
                          BSS     3                                     PTM63105
                          DC      /D9       SLET ID OF PHASE 4          PTM63110
                          BSS     3                                     PTM63115
                          DC      /E5       SLET ID OF PHASE 10A        PTM63120
                          BSS     2                                2-10 PTM63125
                          DC      *-*                              2-10 PTM63130
                    MP20Z EQU     *-1                                   PTM63135
*SBRKSLS ED          MACRO PHASE 2A - MACRO DEFINITION            V2M08 PTM63140
                          HDNG    MACRO PROCESSOR PHASE 2A, GENERATION  PTM63145
                    *************************************************** PTM63150
                    *                                                 * PTM63155
                    *STATUS - VERSION 2, MODIFICATION LEVEL 12        * PTM63160
                    *                                                 * PTM63165
                    *FUNCTION/OPERATION-                              * PTM63170
                    *   *MACRO PHASE 2A IN CONJUNCTION WITH MACRO     * PTM63175
                    *    PHASE 2B PROCESSES MACRO DEFINITION SOURCE   * PTM63180
                    *    STATEMENTS AND BUILDS THE MACRO PROTOTYPE,   * PTM63185
                    *    PLACING THE PROTOTYPE ON DISK.               * PTM63190
                    *   *EACH FIELD OF EACH DEFINITION SOURCE STATE-  * PTM63195
                    *    MENT IS SCANNED FOR POSSIBLE PARAMETER       * PTM63200
                    *    SUBSTITUTION,AUTOMATIC LABEL GENERATION,OR   * PTM63205
                    *    AMPERSAND OR PERIOD CONCATENATION.           * PTM63210
                    *   *NESTED MACRO DEFINITION AND END STATEMENT    * PTM63215
                    *    TRUNCATION ARE HANDLED BY A SPECIAL SCAN OF  * PTM63220
                    *    THE OPERATION CODE FIELD.                    * PTM63225
                    *                                                 * PTM63230
                    *ENTRY POINTS-                                    * PTM63235
                    *   *MCGOS - ENTER FROM MACRO PHASE 2             * PTM63240
                    *                                                 * PTM63245
                    *INPUT-                                           * PTM63250
                    *   *BUFF CONTAINS LIST OF PROTOTYPE PARAMETER    * PTM63255
                    *    NAME FROM PROTOTYPE STATEMENT.               * PTM63260
                    *   *SKEL2 CONTAINS CURRENT DISK PROTOTYPE SCTR   * PTM63265
                    *    WHICH IS BEING EXTENDED.                     * PTM63270
                    *                                                 * PTM63275
                    *OUTPUT-                                          * PTM63280
                    *   *MACRO DEFINITION PROTOTYPE ON DISK.          * PTM63285
                    *                                                 * PTM63290
                    *EXTERNAL REFERENCES-                             * PTM63295
                    *   *SUBROUTINES-                                 * PTM63300
                    *       * PALBL                                   * PTM63305
                    *   *THE FOLLOWING ENTRY POINTS TO MACRO PHASE    * PTM63310
                    *    2B ARE USED BY MACRO PHASE 2A                * PTM63315
                    *       * ASTK                                    * PTM63320
                    *       * CNAMP                                   * PTM63325
                    *       * CNAM1                                   * PTM63330
                    *       * CKEND                                   * PTM63335
                    *       * CONPD                                   * PTM63340
                    *       * NORM5                                   * PTM63345
                    *       * NORM6                                   * PTM63350
                    *       * SETND                                   * PTM63355
                    *       * WRSKL                                   * PTM63360
                    *   *ASMCM-                                       * PTM63365
                    *       * MCOM8                                   * PTM63370
                    *       * MCOM9                                   * PTM63375
                    *       * RDBFR                                   * PTM63380
                    *                                                 * PTM63385
                    *EXITS-                                           * PTM63390
                    *   *P0130 - RESTORE MACRO PHASE 2 FOR FINAL      * PTM63395
                    *            DEFINITION PROCESSING                * PTM63400
                    *                                                 * PTM63405
                    *TABLES/WORK AREAS-                               * PTM63410
                    *   *BUFF - PROTOTYPE PARAMETER NAME BUFFER       * PTM63415
                    *   *SKEL0(SKEL2) - MACRO PROTOTYPE BUFFER        * PTM63420
                    *                   BEGINS AT DEFSK+2             * PTM63425
                    *                                                 * PTM63430
                    *ATTRIBUTES-N/A                                   * PTM63435
                    *                                                 * PTM63440
                    *NOTES-                                           * PTM63445
                    *   *MACRO PHASE 2B IS IN CORE,OVERLAYING PART    * PTM63450
                    *    OF ASSEMBLER PHASE 9,WHEN MACRO PHASE 2A IS  * PTM63455
                    *    IN CORE. MACRO PHASE 2B IS REALLY AN         * PTM63460
                    *    EXTENSION OF MACRO PHASE 2A. CONTROL SHIFTS  * PTM63465
                    *    BACK AND FORTH BETWEEN 2A AND 2B TO PROCESS  * PTM63470
                    *    MACRO DEFINITION SOURCE STATEMENTS.          * PTM63475
                    *   *PATCH FOR THIS PHASE IS INCLUDED IN THE      * PTM63480
                    *    GENERAL PATCH AREA AT THE END OF MACRO       * PTM63485
                    *    PH 2B.                                       * PTM63490
                    *                                                 * PTM63495
                    *************************************************** PTM63500
                          ORG     OVLAY                                 PTM63505
                          DC      MC2AZ-RDSRC  WD CNT OF MACRO PH 2A    PTM63510
                          DC      -/ED      SLET ID OF MACRO PH 2A      PTM63515
                    M2A00 DC      M2A90-M2A00 DISP TO SLET ID TABLE     PTM63520
                          DC      1         NO. SLET ENTRIES TO FILL    PTM63525
                          ORG     *-2                                   PTM63530
                    *                                                   PTM63535
                    *     RESTORE MACRO PHASE 2 FOR FINAL PROCESSING    PTM63540
                    *                                                   PTM63545
                    RDSRC LD      MACXT     SET RETURN ADDR FOR         PTM63550
                          STO     BRBCK+1   *MACRO PH 2                 PTM63555
                          LDD     M2A90+2   GET WD CNT,SCTR ADDR FOR    PTM63560
                          STD     OVLAY     *MACRO PH 2                 PTM63565
                          LDX  L3 ASMCM     XR3 POINTS TO ASMCM         PTM63570
                          MDX     P0130     LD AND GO TO MACRO PH 2     PTM63575
                    *                                                   PTM63580
                    *     CONSTANTS                                     PTM63585
                    *                                                   PTM63590
                    MACXT DC      ELIB      EXIT ADDR TO MACRO PH 2     PTM63595
                          BSS  E  0         FORCE EVEN ADDR             PTM63600
                    M2A90 DC      /EC       SLET ID OF MACRO PH 2       PTM63605
                          BSS     3                                     PTM63610
                    MLSR  EQU     M2A90     LAST SCTR READ INFO         PTM63615
                    MLSTR EQU     MLSR                                  PTM63620
                    *                                                   PTM63625
                    *     SUBROUTINE TO INCREMENT NEST COUNTER          PTM63630
                    *                                                   PTM63635
                    NEST  MDX  L  ENDM6,1   INCR NEST CTR BY 1          PTM63640
                          MDX     MCS70-1   *MAC OR SMAC IN DEFINITION  PTM63645
                    *                                                   PTM63650
                    *     ENTRY POINT FOR THIS PHASE                    PTM63655
                    *                                                   PTM63660
                    MCGOS EQU     *                                     PTM63665
                    *                                                   PTM63670
                          MDX  L  ENDM6,1   INCR NEST CTR               PTM63675
                    MCGO1 EQU     *                                     PTM63680
                          BSI  L  PALBL     READ NEXT RECORD            PTM63685
                          BSC  L  SETND     GO TO SET END OF RCD        PTM63690
                    MCGO2 STD     MLSTR     INITIALIZE PROTOTYPE POS    PTM63695
                          LD   L  M2B10     RESTORE TEMP AREA IN CASE   PTM63700
                          STO  L  M2A80     *NESTED DEFINITION OCCURRED PTM63705
                    *                                                   PTM63710
                    *     SCAN PROTOTYPE SOURCE STATEMENT FIELDS        PTM63715
                    *     *FOR SPECIAL TERMINATORS AS BUILD THE         PTM63720
                    *     *PROTOTYPE TO DISK                            PTM63725
                    *                                                   PTM63730
                    MCGO  EQU     *                                     PTM63735
                          LDX  I1 RDBFR     RESTORE XR1 TO I/P BFR ADDR PTM63740
                          MDX   1 27        POINT TO OPCODE FIELD  2-12 PTM63745
                          STX   1 A2900                            2-12 PTM63750
                          SLA     16                                    PTM63755
                          STO  L  MCHA      CLEAR CHAR CNT              PTM63760
                          STO  L  PSWTH     *AND PARAMETER SWITCH       PTM63765
                          MDX   1 -6        POINT TO LABEL FIELD   2-12 PTM63770
                    MCTS1 EQU     *                                     PTM63775
                          LDX  L3 MCS04     SET EXIT ADDR FOR           PTM63780
                          STX  L3 BLKX+1    *SOURCE SCAN SUBR           PTM63785
                          LD    1 0                                2-11 PTM63786
                          EOR  L  ASK       TEST FOR COMMENT CARD  2-11 PTM63787
                          BSC  L  ASTK,+-   BRANCH IF COMMENT      2-11 PTM63788
                    MCS00 LDX   2 MCS01-*-1 TABLE LENGTH FOR MCCSN  212 PTM63793
                          BSI  L  M2CSN     SCAN FOR * ' OR BLANK       PTM63795
                    QUOT3 DC      /7D       EBC APOSTROPHE              PTM63810
                          DC      QUOTE     BR FOR GENERATED NAME       PTM63815
                          DC      /50       EBC AMPERSAND               PTM63820
                          DC      CNAMP     BR FOR & CONCATENATION      PTM63825
                          DC      .         BLANK                   212 PTM63826
                          DC      NORMN     PROCESS LABEL           212 PTM63827
                          DC      ..        EBC PERIOD                  PTM63830
                    MCS01 DC      CONPD     BR FOR . CONCATENATION 2-12 PTM63835
                          MDX  L  MCHA,1    INCR CHAR CNT               PTM63850
                          MDX   1 1         PT TO NEXT COL              PTM63855
                          MDX     MCS00     CONTINUE SCAN               PTM63860
                    *                                                   PTM63865
                    *     RETURN HERE FROM PROCESSING LABEL OR          PTM63870
                    *     *OP CODE FIELDS                               PTM63875
                    *                                                   PTM63880
                    MCS04 LD   L  TERM      RESTORE TERMINATOR          PTM63885
                          STO  I  STOP                                  PTM63890
                          EOR     QUOT3     CHECK IF LEADING QUOTE      PTM63895
                          OR      MCHA                                  PTM63900
                          OR      PSWTH     *AND NOT A PARAMETER        PTM63905
                          BSC  L  MCS00,+-  BR IF LEADING QUOTE         PTM63910
                          LD   L  STOP      COMPUTE IF LABEL            PTM63915
                          S       A2900     *OR OP CODE FIELD           PTM63920
                          BSC  L  MCS06,-   BRANCH IF OP COMPLETE       PTM63925
                          SRA     16                                    PTM63930
                    MCS   LDX  L1 *-*       POINT TO OP CODE FIELD 2-12 PTM63935
                    A2900 EQU     *-1       ADDR OF BUFR +27       2-12 PTM63940
                          STO     PSWTH     CLEAR PARAMETER SW          PTM63945
                          BSC  L  MCS2B                                 PTM63950
                    *                                                   PTM63955
                    *     PROCESS APOSTROPHE                            PTM63960
                    *                                                   PTM63965
                    QUOTE EQU     *                                2-12 PTM64005
                          LD      QUOT0     GET LEADING QUOTE INDR      PTM64010
                          MDX  L  MCHA,0    SKIP IF LEADING QUOTE       PTM64015
                          LD      QUOT1     GET TRAILING QUOTE INDR     PTM64020
                          STO   1 0         STORE FLAG IN PROTOTYPE RCD PTM64025
                          BSC  L  NORMN     CONT TO PROC RCD            PTM64030
                    *                                                   PTM64035
                    *     CONSTANTS                                     PTM64040
                    *                                                   PTM64045
                    QUOT0 DC      /FC       LEADING QUOTE INDR          PTM64050
                    QUOT1 DC      /FB       TRAILING QUOTE INDR         PTM64055
                    *                                                   PTM64065
                    *     RETURN AFTER OP SCAN                          PTM64070
                    *                                                   PTM64075
                    MCS06 MDX  L  PSWTH,0   SKIP IF OP NOT PARAM        PTM64080
                          MDX     MCS70     BR IF OP PARAM              PTM64085
                          LD   L  YUK+2     CHECK FOR 5 CHAR OP CODE    PTM64090
                          BSC  L  FIVCH,Z   BR IF 5TH CHAR SPEC    2-10 PTM64095
                          LDD  L  YUK       FETCH 4 CHAR OP CODE        PTM64100
                          STD  L  MOP       SAVE 4 CHAR OP CODE         PTM64105
                          LDX  X3 MOP-SPOP  XR3 IS SPECIAL OP TBL SIZE  PTM64110
                    SCSOP SD   L3 SPOP-2    CMP AGAINST SPECIAL OP      PTM64115
                          BSC     +-        SKIP IF NO MATCH            PTM64120
                          RTE     16        CHECK COMPLETE OP CODE      PTM64125
                          BSC  I3 MOP,+-    BR IF MATCH                 PTM64130
                          LDD  L  MOP       FETCH OP CODE               PTM64135
                          MDX   3 -2        DECR LOOP CTR               PTM64140
                          MDX     SCSOP     CONT TO TEST FOR SPECIAL OP PTM64145
                    *                                                   PTM64150
                    *     SCAN FLAG AND TAG FIELDS                      PTM64155
                    *                                                   PTM64160
                          STX   2 MLSTR+1   SET SKELETON PT             PTM64165
                    MCS70 LDX  I1 RDBFR     XR1 POINTS TO I/P BFR       PTM64170
                          MDX   1 +32       XR1 POINTS TO FLAG FLD      PTM64175
                          LDX  L3 MCS08     SET EXIT ADDR FOR SCAN SUBR PTM64180
                          SLA     16        CLEAR CHAR CNT              PTM64195
                          STO     MCHA                                  PTM64200
                    MCS71 STX  L3 BLKX+1    SET TERMINATOR SUBR EXIT    PTM64205
                    *                                                   PTM64210
                          LD    1 0                                2-12 PTM64215
                          EOR     BLAN      TEST FOR A BLANK       2-12 PTM64220
                          BSC  L  BLK01,+-  BRANCH IF BLANK        2-12 PTM64225
                    *                                                   PTM64235
                          LDX   3 0         XR3 IS PARAM LIST DISP      PTM64240
                          LDX  I2 CNT2B     XR2 IS PARAM CNT            PTM64245
                    MCS72 LD    1 0         FETCH SCANNED CHAR          PTM64250
                          SLA     8                                     PTM64255
                          EOR  L3 BUFF      CMP WITH PARAM NAME         PTM64260
                          BSC  L  MCS74,Z   BR IF NO MATCH              PTM64265
                          STX   2 TERM-1    SAVE PARAM NO. TEMP         PTM64270
                          LD   L  CNT2B     PARAM FOUND, GET PARAM NO.  PTM64275
                          S       TERM-1                                PTM64280
                          A    L  M2C01     ADD ONE                     PTM64285
                          STO     TERM-1                                PTM64290
                          LDX  L1 TERM-1                                PTM64295
                    MCS73 MDX     BLK01     SET PARAM NO. IN SKELETON   PTM64300
                    MCS74 MDX   3 3         INCR PARAM LIST DISP        PTM64305
                          MDX   2 -1        DECR PARAM LIST CTR         PTM64310
                          MDX     MCS72     CONT PARAM LIST SCAN        PTM64315
                    *                                                   PTM64320
                    MCS75 LD    1 0         FETCH SCANNED CHAR          PTM64325
                          MDX     MCS73     PLACE CHAR IN SKELETON      PTM64330
                    *                                                   PTM64335
                    *     INDICATORS                                    PTM64340
                    *     SCAN TAG FIELD                                PTM64345
                    *                                                   PTM64350
                    MCS08 LDX  L3 MCS10     SET EXIT FOR TAG FIELD      PTM64355
                          LDX  I1 RDBFR     XR1 PT TO I/P BFR           PTM64360
                          MDX   1 +33       XR1 PT TO TAG FLD           PTM64365
                          MDX     MCS71     GO SCAN TAG FLD             PTM64370
                    *                                                   PTM64375
                    BLAN  DC      .         EBC BLANK              2-12 PTM64376
                    MCHA  DC      *-*       CHARACTER COUNT SW          PTM64380
                    PSWTH DC      *-*       PARAMETER SW                PTM64385
                    *                                                   PTM64390
                    *                                                   PTM64395
                    *     PROCESS OPERAND FIELD                         PTM64400
                    *                                                   PTM64405
                    MCS10 LDX  I1 RDBFR     XR1 PT TO I/P BFR           PTM64410
                          MDX   1 +35       XR1 PT TO OPERAND FLD       PTM64415
                    A2010 LDX  L3 CKEND     SET EXIT ADDR OF SOURCE SCANPTM64420
                          STX  L3 BLKX+1    *TO END OF RCD SUBR         PTM64425
                          SRA     16                                    PTM64430
                          STO     MCHA      CLEAR CHAR CNT SW           PTM64435
                          STO     PSWTH     CLEAR PARAM SW              PTM64440
                    MCS11 LDX   2 MCS12-*-1 LENGTH OF MCCSN TABLE   212 PTM64457
                          BSI  L  M2CSN     SCAN FOR TERMINATORS   2-12 PTM64460
                          DC      .         BLANK                   212 PTM64462
                          DC      NORM2     PROCESS OPERAND         212 PTM64463
                          DC      /6B       EBC COMMA                   PTM64465
                          DC      NORM1     BR ADDR FOR COMMA           PTM64470
                          DC      /4E       EBC PLUS                    PTM64475
                          DC      NORM1     BR ADDR FOR PLUS            PTM64480
                    AMPS0 DC      /50       EBC AMPERSAND               PTM64485
                          DC      CNAMP     BR ADDR FOR AMPERSAND       PTM64490
                          DC      /60       EBC MINUS                   PTM64495
                          DC      NORM1     BR ADDR FOR MINUS           PTM64500
                    ASK   DC      .*        EBCDIC ASTERISK        2-11 PTM64505
                          DC      NORM1     BR ADDR FOR ASTERISK        PTM64510
                    PEROD DC      ..        EBC PERIOD                  PTM64515
                          DC      CONPD     BR ADDR FOR PERIOD          PTM64520
                          DC      /5D       EBC RIGHT PAREN             PTM64525
                          DC      NORM6     BR ADDR FOR RIGHT PAREN     PTM64530
                          DC      /4D       EBC LEFT PAREN              PTM64535
                          DC      NORM5     BR ADDR FOR LEFT PAREN      PTM64540
                          DC      ./        EBCDIC SLASH            212 PTM64545
                          DC      NORM1                             212 PTM64550
                          DC      /7D       EBC APOSTROPHE              PTM64555
                    MCS12 DC      MC123     BR ADDR FOR APOSTROPHE 2-12 PTM64560
                    *                                                   PTM64575
                          MDX  L  MCHA,1    BUMP CHARACTER COUNT   2-12 PTM64590
                          MDX   1 1         BUMP POINTER           2-12 PTM64595
                          MDX     MCS11     GO SCAN AGAIN          2-12 PTM64600
                    *                                                   PTM64605
                    MC123 MDX  L  LPASW,0   SKIP IF OUTSIDE PARENS      PTM64610
                          MDX     NORM2-2   WITHIN PARENS,TREAT NORMALLYPTM64615
                          MDX  L  PSW,0     CHECK PASS SW               PTM64620
                          MDX     NORM1     PASS APOSTROPHE             PTM64625
                          BSC  L  QUOTE     TREAT AS GENERATED LABEL    PTM64630
                    *                                                   PTM64635
                    NORM2 MDX  L  PSW,0     SKIP IF NO PARAM FOUND      PTM64640
                          MDX     NORM1     BR TO PROC PARAM            PTM64645
                          MDX  L  COMSW,0   SKIP IF NO COMMENTS CARRIED PTM64650
                          MDX     NORM1     BR TO CARRY COMMENTS        PTM64655
                    NRM21 LD   L  MEOC      GET END OF RCD FLAG         PTM64660
                          STO   1 0         *AND SAVE IN SKELETON       PTM64665
                          MDX     NORMN     *AND CONT SCAN              PTM64685
                    *                                                   PTM64695
                    MCS15 LD      TERM      FETCH TERMINATOR            PTM64700
                          LDX  I1 STOP      RESET SCAN PT               PTM64705
                          STO   1 0         PLACE TERMINATOR IN SKELETONPTM64710
                          EOR     BLAN      TEST FOR BLANK              PTM64715
                    M15A  MDX   1 1         INCR RCD COL PT             PTM64720
                          OR   L  COMNT     COMMENTS SW MUST BE 0       PTM64725
                          OR   L  PSW       IF PASS SW SET              PTM64730
                          BSC  L  A2010,Z   *SCAN NEXT FLD              PTM64735
                    MCRED BSI  L  LDXRS     RESTORE XR1 AND XR3         PTM64740
                          LDD   3 MLSTR-X3  SAVE SKELETON INFO IN CASE  PTM64745
                          STD   3 MCOM8-X3  *OF NESTED DEFINITION       PTM64750
                          BSC  L  M2PLS     TEST FOR MACRO INDR         PTM64755
                    *                                                   PTM64760
                    *     SUBROUTINE TO PROCESS NORMAL TERMINATION      PTM64765
                    *     CHECK STRING AGAINST PARAMETER LIST           PTM64770
                    *     PACK AND SAVE STRING IN SKELETON              PTM64775
                    *     EXIT ADDRESS MUST BE PRESTORED IN BLKX+1      PTM64780
                    *     UPON ENTRY,                                   PTM64785
                    *     *  XR1 POINTS TO LAST CHARACTER SCANNED+1     PTM64790
                    *     *  XR3 POINTS TO THE TERMINATOR               PTM64795
                    *     *  LOCATION MCHA CONTAINS SIZE OF STRING      PTM64800
                    *                                                   PTM64805
                    *                                                   PTM64810
                    *     CONSTANTS AND INDICATORS                      PTM64815
                    *                                                   PTM64820
                    L6    DC      6         CONSTANT 6                  PTM64825
                    HFF   DC      /FF       SCTR TRUNCATOR INDR         PTM64830
                          DC      *-*       TEMP SAVE AREA              PTM64835
                    TERM  DC      *-*       TERMINATOR SAVE AREA        PTM64840
                    STOP  DC      *-*       COL OF SCAN TERMINATION     PTM64845
                    CONSW DC      *-*       CONCATENATION SW            PTM64850
                    *                                                   PTM64855
                    *                                                   PTM64860
                    NORM1 EQU     *                                2-12 PTM64864
                    NORMN LD    3 0         SAVE TERMINATOR             PTM64865
                          STO     TERM                                  PTM64870
                    BLKEN LD      MCHA      TEST CHAR CNT               PTM64875
                          BSC  L  BLK01,+-  BRANCH IF ZERO              PTM64880
                          LDX   2 -48       TEST FOR SKELETON TRUNCATIONPTM64885
                          SLCA  2 16                                    PTM64890
                          MDX   2 -60                                   PTM64895
                          MDX  I2 MLSTR+1   ADJUST BY SKELETON PT       PTM64900
                          MDX     BLK01     BR IF NO TRUNCATION         PTM64905
                          LD   L  MLSTR+1   GET SKELETON DISP           PTM64910
                          A       PAK+1     ADD SKELETON BFR START ADDR PTM64915
                          STO     *+1                                   PTM64920
                    BLK00 LDX  L2 *-*       XR2 PT TO END SKELETON BFR  PTM64925
                          LD      HFF       GET TRUNCATION INDR         PTM64930
                          MDX  L  BYTE,0    SKIP IF NO STORED DATA      PTM64935
                          OR    2 0         ADD STORED DATA TO INDR     PTM64940
                          STO   2 0         SET TRUNCATION INDR         PTM64945
                          BSI  L  WRSKL     WRITE SKELETON SCTR TO DISK PTM64950
                    *                                                   PTM64955
                    BLK01 LDX  I2 MLSTR+1   FETCH POS PT                PTM64960
                          STX  L2 MCSK2+1   SAVE SKELETON POS           PTM64965
                          STX   1 STOP      SAVE SCAN STOP POS          PTM64970
                          LD      STOP                                  PTM64975
                          S       MCHA      CALCULATE START ADDR        PTM64980
                          STO     *+1       *OF CURRENT SCAN            PTM64985
                    PCK01 LDX  L1 *-*       XR1 PT TO START OF SCAN     PTM64990
                          LDX  I3 MCHA      XR3 IS STRING CNT           PTM64995
                    *                       INCR CNT TO                 PTM65000
                          MDX   3 1         *INCLUDE TERMINATOR         PTM65005
                          LD      M2A80                                 PTM65010
                          STO  L  M2B10     SAVE INITIAL POS IN PH 2B   PTM65015
                          LD   L  BYTE      SAVE LEFTHAND BYTE SW       PTM65020
                          STO     BYTE1                                 PTM65025
                          MDX  L  CONSW,0   SKIP IF NO CONCATENATION    PTM65030
                    *                       CONCATENATION -             PTM65035
                          MDX   3 -1        *DO NOT PLACE TERMINATOR    PTM65040
                    PCK02 BSC  L  PCK1,Z    BR IF RIGHTHAND PACK        PTM65045
                    *                                                   PTM65050
                    *     LEFTHAND PACK SUBROUTINE                      PTM65055
                    *                                                   PTM65060
                    PCK0  LD    1 0         FETCH CHAR                  PTM65065
                          SLA     8         SHIFT TO LEFTHAND BYTE      PTM65070
                          STO     M2A80     SAVE TEMPORARILY            PTM65075
                    PAK   STO  L2 SKEL2     SAVE CHAR IN SKELETON       PTM65080
                          STX  L0 BYTE      SET LEFTHAND BYTE SW        PTM65085
                          MDX   1 1         XR1 PT TO NEXT CHAR         PTM65090
                          MDX   3 -1        DECR STRING CNT             PTM65095
                          MDX     *+1       BR TO CONT PACK             PTM65100
                          MDX     PCK2      BR-STRING IN SKELETON       PTM65105
                    *                                                   PTM65110
                    *     RIGHTHAND PACK SUBROUTINE                     PTM65115
                    *                                                   PTM65120
                    PCK1  LD    1 0         FETCH CHAR FROM STRING      PTM65125
                          OR      M2A80     PACK TO LEFTHAND CHAR       PTM65130
                    *                       BR TO SAVE IN SKELETON AND  PTM65135
                          BSI     MCKND     *CHECK END OF SKELETON SCTR PTM65140
                          SLA     16        CLEAR LEFTHAND BYTE SW      PTM65145
                          STO  L  BYTE                                  PTM65150
                          MDX   1 1         XR1 PT TO NEXT CHAR         PTM65155
                          MDX   3 -1        DECR STRING CNT             PTM65160
                          MDX     PCK0      CONT PACKING STRING         PTM65165
                    PCK2  STX   2 MMOV0+1   SAVE SKELETON PT            PTM65170
                          LD   L  CNT2B     TEST FOR PARAM LIST         PTM65175
                          BSC  L  MMOV0,+-  BR IF NO PARAMETERS         PTM65180
                          LD   L  MCHA      TEST CHAR CNT               PTM65185
                          BSC  L  MMOV0,+-  BR IF NO CHARS IN STRING    PTM65190
                          S       L6        TEST FOR LESS OR EQUAL 6    PTM65195
                          BSC  L  MMOV0,-Z  BR IF STRING OF MORE THAN 6 PTM65200
                    PCK03 LDX  I3 MCHA      XR3 IS STRING CNT           PTM65205
                          SLT     32        CLEAR PART OF NAME          PTM65210
                          STD     YUK       *BUFFER                     PTM65215
                          STO     YUK+2                                 PTM65220
                          LDX  I1 PCK01+1   XR1 PT TO START OF STRING   PTM65225
                          LDX  L2 YUK       XR2 PT TO PACK BUFFER       PTM65230
                    PCK3  LD    1 0         FETCH CHAR                  PTM65235
                          SLA     8         LEFTHAND CHAR               PTM65240
                          MDX   3 -1        DECR STRING CNT             PTM65245
                          OR    1 1         GET NEXT CHAR               PTM65250
                          STO   2 0         SAVE TWO CHARACTERS         PTM65255
                          MDX   1 2         INCR STRING PT              PTM65260
                          MDX   2 1         INCR BFR PT                 PTM65265
                          MDX   3 +1        INCR STRING CNT             PTM65270
                          NOP                                           PTM65275
                          MDX   3 -2        DECR STRING CNT             PTM65280
                          MDX     PCK3      CONT TO PACK TEST BFR       PTM65285
                    *     TEST STRINGS OF 6 OR LESS CHARACTERS          PTM65290
                    *     *AGAINST PARAMETER NAME LIST                  PTM65295
                          LDX  I2 CNT2B     XR2 IS PARAM COUNT          PTM65300
                          LDX   1 0         XR1 IS PARAM BFR DISP       PTM65305
                    MCPRE LD      YUK       TEST 1ST TWO CHARACTERS     PTM65310
                          EOR  L1 BUFF                                  PTM65315
                          BSC     +-        SKIP IF NO MATCH            PTM65320
                          MDX     MCHSK     BR TO CHECK REST OF STRING  PTM65325
                    MCPR1 MDX   1 3         PT TO NEXT PARAM NAME       PTM65330
                          MDX   2 -1        DECR PARAM CNT              PTM65335
                    MCPRX MDX     MCPRE     CONT PARAM LIST CHECK       PTM65340
                    MMOV0 LDX  L2 *-*       RESTORE SKELETON PT         PTM65345
                          LD      YUK       FETCH 1ST AND 2ND CHARS     PTM65350
                          SRA     8         RIGHT-JUSTIFY 1ST CHAR      PTM65355
                          EOR  L  AMPS0     TEST FOR AMPERSAND          PTM65360
                          BSC  L  NTAMP,Z   BR IF NOT AMPERSAND         PTM65365
                          MDX  L  PCK01+1,1 BUMP CHAR PT                PTM65370
                          MDX  L  MCHA,-1   DECR CHAR CNT               PTM65375
                          NOP               MAY SKIP                    PTM65380
                          LD      BYTE1                                 PTM65385
                          BSC  L  ZBYTE,+-  BR-BYTE SW=0                PTM65390
                          MDX  L  MCSK2+1,1 BUMP SKEL DELTA PT          PTM65395
                          SLA     16        CLEAR ACC                   PTM65400
                    MCPR2 STO     BYTE1     SET BYTE SW                 PTM65405
                          LD      H5000     =5000 HEX                   PTM65410
                          STO  L  M2B10     SET UP CONTINUATION         PTM65415
                          MDX     PCK03     REPROCESS WITHOUT AMPERSAND PTM65420
                    ZBYTE LD      *         NON-ZERO VALUE              PTM65425
                          MDX     MCPR2     EXIT TO PROCESS             PTM65430
                    NTAMP LD      M2A80     SAVE TEMP FOR POSSIBLE      PTM65435
                          STO  L  M2B10     *OVERLAY BY NESTED DEF      PTM65440
                          LD   L  CONSW                                 PTM65445
                          BSC  I  CONSW,Z   BR IF CONCATENATION         PTM65450
                    BLKX  BSC  L  *-*       BR TO CONT DEFINITION       PTM65455
                    *                                                   PTM65460
                    *     ALTERNATE ENTRY                               PTM65465
                    *                                                   PTM65470
                    BLKXY EQU     *-1                                   PTM65475
                          BSC  L  BLKEN+1                               PTM65480
                    *                                                   PTM65485
                    *     CONSTANTS,INDRS, AND BUFFERS                  PTM65490
                    *                                                   PTM65495
                    H5000 DC      /5000     CONSTANT HEX 5000           PTM65500
                    BYTE1 BSS  E  1         SAVE LEFTHAND BYTE SW       PTM65505
                    M2A80 DC      *-*       TEMP STORAGE                PTM65510
                          BSS  E  0         FORCE EVEN ADDR             PTM65515
                    YUK   DC      *-*       TEMP PACK BFR FOR           PTM65520
                          DC      *-*       *TESTING PARAM NAME         PTM65525
                          DC      *-*                                   PTM65530
                    M2A70 DC      320       CONSTANT 320                PTM65535
                    *                                                   PTM65540
                    *     SUBROUTINE TO CHECK FOR END OF SKELETON       PTM65545
                    *     *SECTOR.  IF END,GO TO SUBROUTINE TO WRITE    PTM65550
                    *     *SECTOR TO DISK AND UPDATE MLSTR AND MLSTR+1  PTM65555
                    *                                                   PTM65560
                    MCKND DC      *-*       ENTRY PT                    PTM65565
                    MCKN1 STO  L2 SKEL2     PLACE DATA IN SKELETON      PTM65570
                          MDX   2 1         INCR SKELETON PT            PTM65575
                          LD      M2A70     CHECK FOR END OF SCTR       PTM65580
                          STX  L2 MLSTR+1   SAVE SKELETON INFORMATION   PTM65585
                          S    L  MLSTR+1                               PTM65590
                          BSI  L  WRSKL,+   WRITE CURRENT IF FULL       PTM65595
                          BSC  I  MCKND     RETURN TO CALLER            PTM65600
                    *                                                   PTM65605
                    *     CONTINUE PARAMETER LIST CHECK                 PTM65610
                    *     *BRANCH HERE IF 1ST TWO CHARACTERS MATCH      PTM65615
                    *                                                   PTM65620
                    MCHSK STX   2 MCSK1+1   SAVE PARAM CNT              PTM65625
                          LDX  L2 YUK       XR2 PT TO TEST BFR          PTM65630
                    MCHSL LD   L1 BUFF+1    GET NEXT WD FROM PARAM LIST PTM65635
                          EOR   2 1         CMP TO TEST BFR             PTM65640
                          BSC     Z         SKIP IF MATCH               PTM65645
                          MDX     MCSK1     BR IF NO MATCH              PTM65650
                          LD   L1 BUFF+2    GET NEXT WD FROM PARAM LIST PTM65655
                          EOR   2 2         CMP TO TEST BFR             PTM65660
                          BSC     Z         SKIP IF MATCH               PTM65665
                          MDX     MCSK1     BR IF NO MATCH              PTM65670
                    MPARA STX  L0 PSWTH     SET PARAMETER SW            PTM65675
                          SLA     16        CLEAR CHAR CNT              PTM65680
                          STO  L  MCHA                                  PTM65685
                    MPAR1 LDX  I1 STOP      RESTORE SKELETON POS        PTM65690
                          LD    1 0         FETCH TERMINATOR AND PRE-   PTM65695
                          STO   2 1         *PARE FOR SKELETON INSERT   PTM65700
                          LDX  L3 M2C01+/70                             PTM65705
                          LD    3 M2B10-M2C01-/70                       PTM65710
                          STO     M2A80     RESTORE TEMP STORAGE        PTM65715
                          LD    3 CNT2B-M2C01-/70 CALC PARAM SKEL ADDR  PTM65720
                          S       MCSK1+1                               PTM65725
                          A     3 -/70      ADD ONE                     PTM65730
                    MCSK3 LDX  L1 YUK       PREPARE FOR SKELETON INSERT PTM65735
                          LDX   3 2                                     PTM65740
                    *                                                   PTM65745
                    *     EXIT PROCEDURE                                PTM65750
                    *                                                   PTM65755
                    MCSK2 LDX  L2 *-*       RESTORE SKELETON PT         PTM65760
                          STX  L2 MLSTR+1   *AND SAVE                   PTM65765
                          STO   1 0         SET PARAM SKELETON ADDR     PTM65770
                          LD      BYTE1     GET LEFTHAND BYTE SW        PTM65775
                          BSC  L  PCK02-3   GO PACK PARAM PT            PTM65780
                    *                                                   PTM65785
                    *     PARAMETER NAME NOT FOUND                      PTM65790
                    *                                                   PTM65795
                    MCSK1 LDX  L2 *-*       RESTORE PARAM CNT           PTM65800
                          MDX     MCPR1     CONT PARAM LIST CHECK       PTM65805
                    MC2AZ EQU     *-1       END OF MACRO PH 2A          PTM65810
*SBRKSLS EE          MACRO PHASE 2B - MACRO DEFINITION            V2M08 PTM65815
                          HDNG    MACRO PROCESSOR PHASE 2B, GENERATION  PTM65820
                    *************************************************** PTM65825
                    *                                                 * PTM65830
                    *STATUS - VERSION 2, MODIFICATION 11              * PTM65835
                    *                                                 * PTM65840
                    *FUNCTION/OPERATION-                              * PTM65845
                    *   *MACRO PHASE 2B IN CONJUNCTION WITH MACRO     * PTM65850
                    *    PHASE 2A PROCESSES MACRO DEFINITION SOURCE   * PTM65855
                    *    STATEMENTS AND BUILDS THE MACRO PROTOTYPE,   * PTM65860
                    *    PLACING THE PROTOTYPE ON DISK.               * PTM65865
                    *   *MACRO PHASE 2B CONTAINS THE FOLLOWING BASIC  * PTM65870
                    *    SUBROUTINES.                                 * PTM65875
                    *       * GENERAL CHARACTER SCAN                  * PTM65880
                    *       * CONCATENATION PROCESSING                * PTM65885
                    *       * SKELETON SECTOR DISK WRITE              * PTM65890
                    *       * END RECORD PROCESSING                   * PTM65895
                    *       * RECORD SCAN FOR FIRST NONBLANK COLUMN   * PTM65900
                    *       * SPECIAL OP PROCESSING - LEFT AND RIGHT  * PTM65905
                    *         PARENS,DMES,EBC,AND ASTERISK            * PTM65910
                    *       * END OF RECORD PROCESSING                * PTM65915
                    *                                                 * PTM65920
                    *ENTRY POINTS-                                    * PTM65925
                    *   *M2CSN - GENERAL CHARACTER SCAN               * PTM65930
                    *   *CNAMP - AMPERSAND CONCATENATION              * PTM65935
                    *   *CONPD - PERIOD CONCATENATION                 * PTM65940
                    *   *WRSKL - WRITE SKELETON SECTOR TO DISK        * PTM65945
                    *   *END1 - END RECORD PROCESSING                 * PTM65950
                    *   *EMDM - MEND RECORD PROCESSING                * PTM65955
                    *   *DKWRT - DISK WRITE                           * PTM65960
                    *   *ASTK - COMMENTS PROCESSING                   * PTM65965
                    *   *NDRM5 - LEFT PAREN PROCESSING                * PTM65970
                    *   *NORM6 - RIGHT PAREN PROCESSING               * PTM65975
                    *   *DMES - DMES AND EBC PROCESSING               * PTM65980
                    *   *CKEND - END OF RECORD PROCESSING             * PTM65985
                    *   *SETND - SCAN FOR FIRST NONBLANK COLUMN       * PTM65990
                    *   *CNAM1 - TRAILING APOSTROPHE PROCESSING       * PTM65995
                    *                                                 * PTM66000
                    *INPUT-                                           * PTM66005
                    *   *MACRO DEFINITION SOURCE STATEMENT IN INPUT   * PTM66010
                    *    BUFFER                                       * PTM66015
                    *   *SKELETON SECTOR IN SKELETON SECTOR BUFFER    * PTM66020
                    *                                                 * PTM66025
                    *OUTPUT-                                          * PTM66030
                    *   *MACRO DEFINITION PROTOTYPE ON DISK           * PTM66035
                    *                                                 * PTM66040
                    *EXTERNAL REFERENCES-                             * PTM66045
                    *   *SUBROUTINES-                                 * PTM66050
                    *       * DISK1                                   * PTM66055
                    *   *THE FOLLOWING ENTRY POINTS TO MACRO PHASE    * PTM66060
                    *    2A ARE USED BY MACRO PHASE 2B                * PTM66065
                    *       * CONSW - PROCESS WITH CONCATENATOR       * PTM66070
                    *       * MCGO2 - PROCESS SOURCE STATEMENT        * PTM66075
                    *       * MCKND - END OF SKELETON SCTR CHECK      * PTM66080
                    *       * MCS15 - FINAL RCD PROCESSING            * PTM66085
                    *       * MCS70-2 - PROCESS RCD AT FLAG FLD       * PTM66090
                    *       * NORMN - PROCESS NORMAL TERMINATOR       * PTM66095
                    *       * NORM1 - RESTORE AND CONT FLD SCAN       * PTM66100
                    *       * NRM21 - PLACE END OF RECORD FLAG        * PTM66105
                    *       * RDSRC - RESTORE MACRO PHASE 2           * PTM66110
                    *       * A2010 - PROCESS RCD AT OPERAND FLD      * PTM66115
                    *       * NEST - NESTED DEFINITION                * PTM66120
                    *       * MCS70 - PROCESS RCD AT FLAG FIELD       * PTM66125
                    *                                                 * PTM66130
                    *   *ASMCM-                                       * PTM66135
                    *       * MCOM4                                   * PTM66140
                    *       * MCOM8                                   * PTM66145
                    *       * MCOM9                                   * PTM66150
                    *       * RDBFR                                   * PTM66155
                    *       * SKLTN                                   * PTM66160
                    *       * SMAC0                                   * PTM66165
                    *       * SYSLM                                   * PTM66170
                    *   *DCOM/COMMA-                                  * PTM66175
                    *       * IREQ                                    * PTM66180
                    *       * $1410                                   * PTM66185
                    *                                                 * PTM66190
                    *EXITS-                                           * PTM66195
                    *   *SEE EXTERNAL REFERENCES TO MACRO PHASE 2A    * PTM66200
                    *                                                 * PTM66205
                    *TABLES/WORK AREAS-                               * PTM66210
                    *   *SKEL0(SKEL2) - MACRO PROTOTYPE BUFFER        * PTM66215
                    *                   BEGINS AT DEFSK+2             * PTM66220
                    *   *SPOP - SPECIAL OP CODE TABLE                 * PTM66225
                    *   *MPOP+2 - SPECIAL OP CODE BRANCH TABLE        * PTM66230
                    *   *BUFF - PROTOTYPE PARAMETER NAME BUFFER       * PTM66235
                    *                                                 * PTM66240
                    *ATTRIBUTES-N/A                                   * PTM66245
                    *                                                 * PTM66250
                    *NOTES-                                           * PTM66255
                    *   *MACRO PHASE 2B IS IN CORE,OVERLAYING PART OF * PTM66260
                    *    ASSEMBLER PHASE 9,WHEN MACRO PHASE 2A IS IN  * PTM66265
                    *    CORE. MACRO PHASE 2B IS AN EXTENSION OF MACRO* PTM66270
                    *    PHASE 2A. CONTROL SHIFTS BACK AND FORTH      * PTM66275
                    *    BETWEEN 2A AND 2B TO PROCESS MACRO DEFINITION* PTM66280
                    *    SOURCE STATEMENTS.                           * PTM66285
                    *                                                 * PTM66290
                    *************************************************** PTM66295
                          ORG     DEFSK+382                             PTM66300
                          DC      MC2BZ-M2CSN  WD CNT OF MACRO PH 2B    PTM66305
                          DC      /EE       SLET ID OF MACRO PH 2B      PTM66310
                    *                                                   PTM66315
                    *                                                   PTM66320
                    *     GENERAL CHARACTER SCAN                        PTM66325
                    *     *UPON ENTRY,                                  PTM66330
                    *     *  XR1 POINTS TO CHAR                         PTM66335
                    *     *  XR2 CONTAINS PARAM LIST SIZE               PTM66340
                    *     *XR3 IS DESTROYED BY M2CSN                    PTM66345
                    *     *CALLING SEQUENCE IS                          PTM66350
                    *     *       BSI     M2CSN                         PTM66355
                    *     *       DC      CHAR                          PTM66360
                    *     *       DC      ADDR                          PTM66365
                    *ADDR IS LOCATION TRANSFERRED TO IF CHAR FOUND      PTM66370
                    *                                                   PTM66375
                    *                                                   PTM66380
                    M2CSN DC      *-*       ENTRY POINT                 PTM66385
                          STX   2 INVL+1    SAVE XR2 FOR RESCAN         PTM66390
                    M2CS0 LDX  I3 M2CSN     XR2 PT TO PARAM LIST        PTM66395
                    M2CS1 LD    1 0         GET RCD COL                 PTM66400
                          EOR   3 0         CMP WITH CALL CHAR          PTM66405
                          BSC  I3 1,+-      BR IF CHARS MATCH           PTM66410
                    M2C01 EQU     *-1       CONSTANT 1                  PTM66415
                          MDX   3 2         PT TO NEXT CMP PARAM        PTM66420
                          MDX   2 -2        DECR SCAN CTR               PTM66425
                          MDX     M2CS1     CONT SCAN                   PTM66430
                    SCNXT BSC  L3 0         BR-NO SPECIAL CHAR FOUND    PTM66435
                    INVL  LDX  L2 *-*       RESTORE XR2 FOR RESCAN      PTM66440
                          MDX     M2CS0     BR TO RESCAN                PTM66445
                    *                                                   PTM66450
                    *     THE FOLLOWING SUBROUTINE PROCESSES            PTM66455
                    *     *THE CONCATENATORS & AND .                    PTM66460
                    *                                                   PTM66465
                    *     THE FOLLOWING BRANCH ADDR IS MODIFIED         PTM66470
                    *     *BY MACRO PH 2 TO CNAM1 TO PROCESS            PTM66475
                    *     *AMPERSAND CONCATENATION IF IT OCCURS         PTM66480
                    CNAMP BSC  L  NORM1     PROCESS & CONCATENATOR      PTM66485
                    CNAM1 STX   1 RSTX1+1   SAVE SCAN POINTER           PTM66490
                          MDX  L  MCHA,0    SKIP IF AMPERSAND           PTM66495
                          MDX     CONCH     PROC . CONCATENATOR         PTM66500
                          MDX     M2C01+1   PROC & AS ALPHA CHAR        PTM66505
                    *                                                   PTM66510
                    *     PROCESS PERIOD                                PTM66515
                    *                                                   PTM66520
                    CONPD LD   L  MCHA      IF MCHA IS 0                PTM66525
                          BSC  L  DCTST,+-  *CHECK IF DC STMNT     2-10 PTM66530
                          LD   L  PSW       IF PASS SWITCH SET          PTM66535
                          BSC  L  NORM1,Z   *PROC NORMALLY              PTM66540
                          STX   1 RSTX1+1   SAVE SCAN POINTER           PTM66545
                          MDX  L  RSTX1+1,1 INCR SCAN PT BY 1           PTM66550
                    *                                                   PTM66555
                    CONCH BSI  L  CONSW     SET SWITCH-GO TO NORMN      PTM66560
                          SLA     16        CLEAR SWITCHES              PTM66565
                          STO  L  CONSW     *FOR RESCAN                 PTM66570
                          STO  L  MCHA                                  PTM66575
                          STO  L  PSWTH                                 PTM66580
                    RSTX1 LDX  L1 *-*       RESTORE RCD COL PT          PTM66585
                          MDX     INVL      *AND GO RESCAN              PTM66590
                    *                                                   PTM66595
                    *     WRITE SKELETON SCTR ON DISK                   PTM66600
                    *                                                   PTM66605
                    WRSKL DC      *-*       ENTRY POINT                 PTM66610
                          LD      M2C01     SET PT SW TO 1              PTM66615
                          STO  L  POINT                            2-11 PTM66620
                          BSI     DKWRT     PERFORM DK WRITE            PTM66625
                          LD   L  SKEL2-1   UPDATE SCTR ADDR WD         PTM66630
                          A       M2C01                                 PTM66635
                          STO  L  MLSTR                                 PTM66640
                          STO  L  SKEL2-1                               PTM66645
                          SRA     16                                    PTM66650
                          STO     BYTE      CLEAR BYTE PT               PTM66655
                          STO  L  SKEL2     *AND CHAIN WD               PTM66660
                          LDX   2 1        INITIALIZE INDEX 2           PTM66665
                          STX  L2 MLSTR+1   *AND PROTOTYPE PT           PTM66670
                          STX  L2 MCSK2+1   *AND SAVE                   PTM66675
                          BSC  I  WRSKL     RETURN TO CALLER            PTM66680
                    *                                                   PTM66685
                    *     END OF MACRO PROCESSING                       PTM66690
                    *                                                   PTM66695
                          BSC  L  MCS70-1   CONT PROC DEFINITION        PTM66700
                    ENDM  LD      MEND      FETCH AND STORE MEND INDR   PTM66705
                          MDX  L  ENDM6,-1  DECR NEST CTR               PTM66710
                          MDX     ENDM-2    NESTING-CONT PROC           PTM66715
                    *                                                   PTM66720
                    ENDM1 LDX  I2 MCSK2+1   FETCH PROTOTYPE POINTER     PTM66725
                          LD      MEND      LD MEND INDR                PTM66730
                          BSI  L  MCKND     CHECK FOR END OF SCTR       PTM66735
                          BSC  L  RDSRC     RETURN TO RESTORE PHASE 9   PTM66740
                    *                                                   PTM66745
                    *     CONSTANTS AND INDRS                           PTM66750
                    *                                                   PTM66755
                    ENDM6 DC      *-*       DEFINITION NEST COUNTER     PTM66765
                    BYTE  DC      *-*       LEFTHAND BYTE SW            PTM66770
                    *                                                   PTM66775
                    *                                                   PTM66780
                    *     END RCD PROCESSING                            PTM66785
                    *                                                   PTM66790
                    END10 STX  L0 MCOM4     SET END RCD SWITCH          PTM66795
                          MDX     ENDM1     PROCESS AS MEND STATEMENT   PTM66800
                    *                                                   PTM66805
                    *     SUBROUTINE TO WRITE SCTR TO DISK              PTM66810
                    *                                                   PTM66815
                    DKWRT DC      *-*       ENTRY POINT                 PTM66820
                          LD   L  SMAC0     TEST FOR SYST MACRO         PTM66825
                          BSC  L  UWRCK,+-  BR- TEMP MACRO              PTM66830
                          LD   L  SKEL2-1   CHECK FOR EXCEEDING SYST    PTM66835
                          S    L  SYSLM     *PROTOTYPE LIMIT            PTM66840
                          BSC  L  SKELS,-   BR-DK AREA EXCEEDED         PTM66845
                    *                                                   PTM66850
                    *     MASK INTRPT REQ KEY TO PREVENT                PTM66855
                    *     *LOSS OF FILE PROTECT ADDRESS                 PTM66860
                    *                                                   PTM66865
                          LD   L  $IREQ     SAVE INTRPT REQ BR ADDR     PTM66870
                          STO     M2B02                                 PTM66875
                          LD      M2B22     SET INTRPT BR ADDR          PTM66880
                          STO  L  $IREQ                                 PTM66885
                          SLA     16        CLEAR ENT PT AND SWITCH     PTM66890
                          STO     MIRE2                                 PTM66895
                    *                                                   PTM66900
                          BSI     WRTO      WRITE SCTR TO DISK          PTM66905
                    *                                                   PTM66910
                          LD      M2B02     RESET INTRPT REQ ADDR       PTM66915
                          STO  L  $IREQ                                 PTM66920
                          LD      MIRE2     TEST INTRPT REQ SW          PTM66925
                          BSI  I  $IREQ,Z   BR IF INTRPT REQ OCCURRED   PTM66930
                          MDX     WRT1      BR TO RETURN                PTM66935
                    *                                                   PTM66940
                    UWRCK EQU     *                                     PTM66945
                          LD   L  SKEL2-1   TEST FOR EXCEEDING          PTM66950
                          S    L  ADJSA     MINUS START OF W.S.         PTM66955
                          BSC  L  SKELR,-   BR-DK AREA EXCEEDED         PTM66960
                          BSI     WRTO      WRITE SCTR TO DISK          PTM66965
                    WRT1  BSC  I  DKWRT     RETURN TO CALLER            PTM66970
                    *                                                   PTM66975
                    *     SUBROUTINE TO HANDLE INTRPT REQUEST KEY       PTM66980
                    *                                                   PTM66985
                    MIRE2 DC      *-*       ENT PT - 0 IF NO INTRPT REQ PTM66990
                          XIO     RES2B     RESET KB/CP SWITCH          PTM66995
                          BSC  L  $1410     CONT ASM                    PTM67000
                    *                                                   PTM67005
                    *     WRITE SCTR TO DISK                            PTM67010
                    *                                                   PTM67015
                    WRTO  DC      *-*       ENTRY POINT                 PTM67020
                          LDD     M2B04     DK WR PARAM TO ACC, EXT     PTM67025
                          BSI  L  DISK1     WRITE DK SCTR               PTM67030
                          BSC  I  WRTO      RETURN TO CALLER            PTM67035
                    *                                                   PTM67040
                    *     PROTOTYPE AREA EXCEEDED                       PTM67045
                    *                                                   PTM67050
                    SKELS LD   L  SMSEC     SET DK READ SCTR ADDR       PTM67055
                          STO  L  SKEL2-1                               PTM67060
                          LDD     M2B03     READ 1ST SCTR OF MACRO      PTM67065
                          BSI  L  DISK1     *LIBRARY INTO CORE          PTM67070
                          LD   L  SKEL2+1   FETCH SCTR ADDR FOR END     PTM67075
                          A    L  SKEL2-1   *OF LIBRARY            2-11 PTM67077
                          STO  L  SKEL2-1   *OF LIBRARY INDR            PTM67080
                          LDX  I2 SKEL2+2   GET FE INDR SCTR DISP       PTM67085
                          LDD     M2B03     READ END OF LIBRARY         PTM67090
                          BSI  L  DISK1     *SCTR INTO CORE             PTM67095
                          LD      MEND      SET END OF LIBRARY INDR     PTM67100
                          LD      TIESA     RESTORE CHAIN POINTER  2-11 PTM67105
                          STO  L2 SKEL2+1                          2-11 PTM67110
                          LDD     TIESA-2   RESTORE CONCATENATE    2-11 PTM67115
                          STO  L2 SKEL2+2   *LIBRARY NAME          2-11 PTM67120
                          RTE     16                               2-11 PTM67125
                          STO  L2 SKEL2+3                          2-11 PTM67130
                          BSI     WRTO      WRITE ENDOF LIBRARY    2-11 PTM67135
                    SKELR LDX   2 8         POINT TO A10 ERROR MSG 2-11 PTM67140
                          BSI  L  GETER     PRINT ERROR MESSAGE    2-11 PTM67145
                    *                                                   PTM67150
                    *      CONSTANTS                                    PTM67155
                    *                                                   PTM67160
                    M2B02 DC      *-*       SAVE INTRPT REQ ADDR        PTM67165
                    M2B22 DC      MIRE2     $IREQ ADDR-TEMP             PTM67170
                          BSS  E  0         FORCE EVEN ADDR             PTM67175
                    M2B03 DC      /7000     DK READ FUNC CODE           PTM67180
                          DC      SKEL2-2   I/O AREA ADDR               PTM67185
                    M2B04 DC      /7001     DK WR FUNC CODE             PTM67190
                          DC      SKEL2-2   I/O AREA ADDR               PTM67195
                          BSS  E  0         FORCE EVEN ADDR             PTM67200
                          BSS     2         SAVE CONCATENATE NAME       PTM67205
                    RES2B EQU     *                                     PTM67210
                    TIESA DC      *-*       SAVE CONCATENATE INDR       PTM67215
                          DC      /0F01     IOCC TO RESET KB/CP         PTM67220
                    POINT DC      *-*       SKELETON PT                 PTM67225
                    M2BLK DC      /40       EBC BLANK                   PTM67230
                          BSS  E  0         FORCE EVEN ADDR             PTM67235
                    CNT2B DC      *-*       NUMBER OF PARAMETERS        PTM67240
                    MEND  DC      /FE00     END OF MACRO INDR           PTM67245
                    *                                                   PTM67250
                    *     PROCESS COMMENTS                              PTM67255
                    *                                                   PTM67260
                    ASTK  STX   0 PSW       SET TO PASS BLANKS          PTM67265
                          BSC  L  A2010     CONTINUE SCAN               PTM67270
                    *                                                   PTM67275
                    *     SUBROUTINE TO SCAN RCD FOR BLANKS             PTM67280
                    *                                                   PTM67285
                    SKIM  DC      *-*       ENTRY POINT                 PTM67290
                          LDX  I1 RDBFR     XR1 PT TO I/P BFR           PTM67295
                          MDX   1 +72       XR1 PT TO COL 72            PTM67300
                          LDX   3 51        XR3 CONTAINS MAX COL CNT    PTM67305
                    ASTK1 LD      M2BLK     FETCH EBC BLANK             PTM67310
                          STO  L  TERM      SET TERM TO BLANK           PTM67315
                          STO   1 0         FORCE COLUMN 72 TO BLANK    PTM67320
                          EOR   1 -1        TEST FOR BLANK              PTM67325
                          BSC     Z         SKIP IF BLANK               PTM67330
                          MDX     ASTK3     BR IF NONBLANK              PTM67335
                          MDX   1 -1        XR1 PT TO NEXT RCD COL      PTM67340
                          MDX   3 -1        TEST ONLY 51 COLUMNS        PTM67345
                          MDX     ASTK1     BR TO CHECK NEXT COL        PTM67350
                    ASTK3 BSC  I  SKIM      RETURN TO CALLER            PTM67355
                    *                                                   PTM67360
                    *     SPECIAL OP TABLE                              PTM67365
                    *                                                   PTM67370
                          BSS  E  0         FORCE EVEN ADDR             PTM67375
                    SPOP  EQU     *                                     PTM67380
                          DC      /D4C5     EBC ME                      PTM67385
                          DC      /D5C4     EBC ND                      PTM67390
                          DC      /D4C1     EBC MA                      PTM67395
                          DC      /C300     EBC C                       PTM67400
                          DC      /E2D4     EBC SM                      PTM67405
                          DC      /C1C3     EBC AC                      PTM67410
                          DC      /C5C2     EBC EB                      PTM67415
                          DC      /C300     EBC C                       PTM67420
                          DC      /C5D5     EBC EN                      PTM67425
                          DC      /C400     ENC D                       PTM67430
                          DC      /C4D4     EBC DM                      PTM67435
                          DC      /C5E2     EBC ES                      PTM67440
                          DC      /E7C6     EBC XFLC                    PTM67445
                          DC      /D3C3                                 PTM67450
                          DC      /C4C5     EBC DEC                     PTM67455
                          DC      /C300                                 PTM67460
                          DC      /D7E4     EBC PURG                    PTM67465
                          DC      /D9C7                                 PTM67470
                    *                                                   PTM67475
                    MOP   BSS  E  2         OP CODE BFR                 PTM67480
                          DC      ENDM                                  PTM67485
                    C2DND DC      *-*       END OF RCD INDR             PTM67490
                          DC      NEST      BR FOR MAC OP               PTM67495
                    M2B10 DC      *-*       TEMP STORAGE                PTM67500
                          DC      NEST      BR FOR SMAC OP              PTM67505
                    EBCSW DC      *-*       EBC OP SW                   PTM67510
                          DC      EBC-1     BR ADDR FOR EBC OP     2-10 PTM67515
                    MEOC  DC      /FD       END OF RCD INDR             PTM67520
                          DC      END10     BR ADDR FOR END OF RCD      PTM67525
                    COMNT DC      *-*       COMMENTS SW                 PTM67530
                          DC      DMES-1    BR ADDR FOR DMES OP    2-10 PTM67535
                    PSW   DC      *-*       PASS SW                     PTM67540
                          DC      EBC       BR ADDR FOR XFLC            PTM67545
                    LPASW DC      *-*       LEFT PAREN CTR              PTM67550
                          DC      EBC       BR ADDR FOR DEC             PTM67555
                    M2PL1 DC      /41       MACRO PLUS INDR             PTM67560
                          DC      EBC       BR ADDR FOR PURG            PTM67565
                    *                                                   PTM67570
                    *     SPECIAL OP PROCESSING                         PTM67575
                    *                                                   PTM67580
                    NORM5 MDX  L  LPASW,1   INCR LEFT PAREN CTR         PTM67585
                          STX   0 PSW       SET SW TO PASS              PTM67590
                    NORM7 BSC  L  NORM1     BR TO CONT PROC             PTM67595
                    *                                                   PTM67600
                    NORM6 MDX  L  LPASW,-1  DECR LEFT PAREN CTR         PTM67605
                          MDX     NORM7     BR IF NOT LAST LEFT PAREN   PTM67610
                          LD      DMEBC     PSW MUST NOT BE RESET  2-10 PTM67615
                          BSC     +-        *IF OPER OF DMES OR EBC2-10 PTM67620
                          STO     PSW       *NORMAL BLNK PROC           PTM67625
                          MDX     NORM7     CONT PROC                   PTM67630
                    *                                                   PTM67635
                    *     PROCESS DMES OP                               PTM67640
                    *                                                   PTM67645
                          STX   0 DMEBC     SET DMES-EBC INDICATOR 2-10 PTM67650
                    DMES  STX   0 PSW       SET PASS SWITCH             PTM67655
                          BSC  L  MCS70     CONT TO PROC RCD            PTM67660
                    EBC   EQU     DMES      PROC EBC AS DMES            PTM67665
                    *                                              2-10 PTM67670
                    *     PROCESS DC STMNT                         2-10 PTM67675
                    *                                              2-10 PTM67680
                    DCTST LD      MOP       CHECK IF               2-10 PTM67685
                          S       HC4C3     *OP CODE IS DC         2-10 PTM67690
                          BSC     +-        IF YES,                2-10 PTM67695
                          STX   0 PSW       *SET THE SWITCH        2-10 PTM67700
                          BSC  L  NORMN     BRANCH BACK TO CONTINUE2-10 PTM67705
                    HC4C3 DC      /C4C3     EBCDIC FOR DC          2-10 PTM67710
                    *                                                   PTM67715
                    *     END OF RECORD PROCESSING                      PTM67720
                    *                                                   PTM67725
                    CKEND EQU     *                                     PTM67730
                          LD      C2DND     LD RCD END POS              PTM67735
                          S    L  STOP      CMP WITH RCD STOP POS       PTM67740
                          MDX  L  COMSW,0   SKIP IF NO COMMENTS         PTM67745
                          STO     COMNT     SET RCD COMMENTS SW         PTM67750
                    *     THE FOLLOWING BR ADDR IS ALTERED              PTM67755
                    *     *IF COMMENTS ARE TO BE CARRIED ON             PTM67760
                    *     *PROTOTYPE                                    PTM67765
                    COMBR BSC  L  MCS15,-Z  BR IF END OF RCD            PTM67770
                          SLA     16        CLEAR SWITCHES TO           PTM67775
                          STO     PSW       *ENABLE FURTHER RCD         PTM67780
                          STO     DMEBC     RESET DMES-EBC INDIC   2-10 PTM67785
                          STO     LPASW     *PROCESSING                 PTM67790
                          STO     COMNT     CLEAR INTERNAL COMMENTS SW  PTM67795
                          STO  L  MCHA      CLEAR CHAR CNT              PTM67800
                          LD      MEOC      GET END OF RCD INDR         PTM67805
                          LDX  I1 STOP      XR1 PT TO LAST RCD COL      PTM67810
                          EOR   1 0         TEST FOR END OF RCD INDR    PTM67815
                          LDX  L3 BLAN      XR3 PT TO BLANK PROC        PTM67820
                          BSC  L  NRM21,Z   BR TO PLACE END OF RCD INDR PTM67825
                          BSC  L  MCS15     BR TO CONT DEFINITION       PTM67830
                    *                                                   PTM67835
                    *     DETERMINE LAST NONBLANK COL                   PTM67840
                    *                                                   PTM67845
                    SETND BSI     SKIM      DETERMINE LAST NONBLANK     PTM67850
                          STX   1 C2DND     *COL AND SAVE AS END OF RCD PTM67855
                          LDD  L  MCOM8     FETCH COMMUNICATIONS CELLS  PTM67860
                          BSC  L  MCGO2     *AND BR TO CONTINUE         PTM67865
                    MCS2B STO  L  MCHA                                  PTM67870
                          STO  L  YUK+2                                 PTM67875
                          BSC  L  MCS00                                 PTM67880
                    M2PLS LD      M2PL1     LD MACRO PLUS INDR          PTM67885
                          MDX  L  MACEX,0   TEST FOR MACRO EXPANSION    PTM67890
                          MDX     *+1       SLIP-NO MACRO EXPANSION     PTM67895
                          STO   1 +72       STORE MACRO & INDR          PTM67900
                          BSC  L  MCGO1     GET,PROCESS NEXT RECORD2-10 PTM67905
                    DMEBC DC      *-*       DMES-EBC STMNT SWITCH  2-10 PTM67910
                    FIVCH SRA     8         GET FIFTH              2-10 PTM67915
                          SLA     8         *CHARACTER AND         2-10 PTM67920
                          OR   L  M2BLK     *BLANK IN ACC          2-10 PTM67925
                          MDX  L  MCHA,-5   GO BACK AGAIN WITH     2-10 PTM67930
                          MDX     INSBL     *NOTHING DONE IF NO    2-10 PTM67935
                          MDX     BACK      *CONT MARK IN COL 32   2-10 PTM67940
                    INSBL MDX  L  BYTE1,0   OTHERWISE,INSERT AN    2-10 PTM67945
                          SLA     8         *EXTRA BLANK AS TERMI- 2-10 PTM67950
                          STO  L2 SKEL2-1   *NATOR BEFORE COL 32   2-10 PTM67955
                          STO  L  M2A80     SAVE ALSO IN TEMP      2-10 PTM67960
                          LD   L  BYTE1     REORDER LEFT-RIGHT     2-10 PTM67965
                          STO  L  BYTE      *SWITCHES              2-10 PTM67970
                          BSC     Z         DECREMENT POINTER DEPEN2-10 PTM67975
                          MDX   2 -1        *DING ON WHETHER L OR R2-10 PTM67980
                    BACK  BSC  L  MCS70-1   GO BACK TO CONTINUE    2-10 PTM67985
                          BSS     /0735-*   MACRO PH 2,2A,2B PATCH 2-10 PTM67990
                    MC2BZ DC      0         END OF MACRO PH 2B          PTM67995
*SBRKSLS EF          MACRO PHASE 3 - MACRO EXPANSION              V2M08 PTM68000
                          HDNG    MACRO PROCESSOR PHASE 3, EXPANSION    PTM68005
                    *************************************************** PTM68010
                    *                                                 * PTM68015
                    *STATUS-VERSION 2,MODIFICATION 8                  * PTM68020
                    *                                                 * PTM68025
                    *FUNCTION/OPERATION-                              * PTM68030
                    *   *MACRO PHASE 3 IN CONJUNCTION WITH MACRO PHASE* PTM68035
                    *    3B EXPANDS THE MACRO CALL. IT IS LOADED BY   * PTM68040
                    *    MACRO PHASE 3A WHICH TRANSFERS CONTROL TO IT.* PTM68045
                    *   *MACRO PHASE 3 MODIFIES THE ASM RDCRD SUB-    * PTM68050
                    *    ROUTINE TO RETURN TO A MACRO EXPANDER WHEN A * PTM68055
                    *    RECORD HAS BEEN READ. IT INITIALIZES THE I/O * PTM68060
                    *    HEADER OF THE SKELETON BUFFER AND TRANSFERS  * PTM68065
                    *    CONTROL TO MACRO PHASE 3B.                   * PTM68070
                    *   *MACRO PHASE 3 CONTAINS THE SKELETON SECTOR   * PTM68075
                    *    READ SUBROUTINE,THE SUBROUTINE TO CLEAR THE  * PTM68080
                    *    INPUT BUFFER TO BLANKS,AND VARIOUS COMMON    * PTM68085
                    *    CONSTANTS,SAVE AREAS,AND INDICATORS OF THE   * PTM68090
                    *    EXPANDER.                                    * PTM68095
                    *   *MACRO PHASE 3 OVERLAYS THE RDCRD SUBROUTINE  * PTM68100
                    *    WITH THE EXCEPTION OF THE FIRST FEW WORDS.   * PTM68105
                    *                                                 * PTM68110
                    *ENTRY POINTS-                                    * PTM68115
                    *   *MCEXP - RDCRD INTERFACE AND SKELETON READ    * PTM68120
                    *            INITIALIZATION                       * PTM68125
                    *            ENTER FROM MACRO PHASE 3A            * PTM68130
                    *                                                 * PTM68135
                    *INPUT-                                           * PTM68140
                    *   *PARAMETER STRINGS FOR MACRO NEST BEING PRO-  * PTM68145
                    *    CESSED IN PBUFF AND PARAMETER SPILL AREA ON  * PTM68150
                    *    DISK.                                        * PTM68155
                    *                                                 * PTM68160
                    *OUTPUT-N/A                                       * PTM68165
                    *                                                 * PTM68170
                    *EXTERNAL REFERENCES-                             * PTM68175
                    *   *SUBROUTINES-                                 * PTM68180
                    *       * BGASM                                   * PTM68185
                    *       * DISK1                                   * PTM68190
                    *       * PALBL                                   * PTM68195
                    *   *ASMCM-                                       * PTM68200
                    *       * RDBFR                                   * PTM68205
                    *   *DCOM/COMMA-NONE                              * PTM68210
                    *   *THE FOLLOWING ASM SUBROUTINES ARE OVERLAID   * PTM68215
                    *    BY THE MACRO EXPANDER                        * PTM68220
                    *       * P9468                                   * PTM68225
                    *       * RDCRD                                   * PTM68230
                    *   *THE FOLLOWING MACRO PHASE 3B REFERENCE ARE   * PTM68235
                    *    MADE                                         * PTM68240
                    *       * DECOI                                   * PTM68245
                    *       * FDNXT                                   * PTM68250
                    *                                                 * PTM68255
                    *EXITS-                                           * PTM68260
                    *   *DECOI - ENTER MACRO PHASE 3B TO BEGIN DECODE * PTM68265
                    *            AND BUILD EXPANSION                  * PTM68270
                    *                                                 * PTM68275
                    *TABLES/WORK AREAS-                               * PTM68280
                    *   *GENNM-GENERATED NAME NUMBER BUFFER           * PTM68285
                    *   *PBUFF-PARAMETER STRING BUFFER                * PTM68290
                    *   *SECAD-MACRO NEST SECTOR ADDR TBL             * PTM68295
                    *   *SKEL1-MACRO PROTOTYPE DISK SECTOR            * PTM68300
                    *                                                 * PTM68305
                    *ATTRIBUTES-N/A                                   * PTM68310
                    *                                                 * PTM68315
                    *NOTES-                                           * PTM68320
                    *   *MACRO PHASE 3 IS LOADED OVER THE RDCRD       * PTM68325
                    *    SUBROUTINE IN ASM PH 9. RDCRD IS REFRESHED   * PTM68330
                    *    BY MACRO PHASE 3A.                           * PTM68335
                    *                                                 * PTM68340
                    *************************************************** PTM68345
                          ORG     RDCRD+4                               PTM68350
                          DC      MZ300-GENSW  WD CNT OF PHASE          PTM68355
                    M3900 DC      /EF       SLET ID OF MACRO PH 3       PTM68360
                    *                                                   PTM68365
                    *     CONSTANTS,INDICATORS, AND TABLES              PTM68370
                    *                                                   PTM68375
                    GENSW DC      *-*       GENERATED NAME SW           PTM68380
                    MACEX DC      0         MACRO PH 3 LOAD INDR        PTM68385
                    DEPTH DC      /DD       INITIAL DEPTH CONSTANT      PTM68390
                    MACCT DC      0         INITIAL DEPTH CTR           PTM68395
                    SECAD BSS  E  20        MACRO SCTR ADDR TBL         PTM68400
                    GENGO DC      FDNXT     RDCRD MODIFIER              PTM68405
                    ENTR1 DC      INIMC     RDCRD MODIFIER              PTM68410
                    *                                                   PTM68415
                    *     BEGIN MACRO EXPANSION                         PTM68420
                    *                                                   PTM68425
                    MCEXP EQU     *                                     PTM68430
                          LD      ENTR1     MODIFY RDCRD TO RETURN TO   PTM68435
                          STO     RDCRD+2   *MACRO EXPANDER             PTM68440
                          LD   L  MCOM8     SET SKEL SCTR ADDR          PTM68445
                          STO  L  SKEL1+1                               PTM68450
                          LD      MCNX1     SET SKEL BFR WD CNT         PTM68455
                          STO  L  SKEL1                                 PTM68460
                          BSC  L  MCOP7     BR TO INCR NEST CTRS        PTM68465
                    MCNX2 BSI     RDSK      READ SKEL SCTR              PTM68470
                    MCNX  LDX  L3 ASMCM     RESTORE XR3                 PTM68475
                          BSI  L  PALBL     READ NEXT RCD               PTM68480
                          BSI  L  LDXRS     RESTORE XR1 AND XR3         PTM68485
                          BSC  L  BGASM     PROCESS NEXT RCD            PTM68490
                    *                                                   PTM68495
                    *     CONSTANTS                                     PTM68500
                    *                                                   PTM68505
                    GENNM EQU     P9468+40  GENERATED NAME BFR          PTM68510
                          BSS  E  0         FORCE EVEN ADDR             PTM68515
                    M3901 DC      /7000     DK READ FUNC CODE           PTM68520
                          DC      SKEL1     I/O AREA ADDR               PTM68525
                    MCNX1 DC      320       CONSTANT 320                PTM68530
                    DEEP  DC      21        MAX DEPTH + 1               PTM68535
                    *                                                   PTM68540
                    *     RETURN FROM 1ST RECORD READ                   PTM68545
                    *                                                   PTM68550
                    INIMC LD      GENGO     SET RDCRD TO RETURN TO      PTM68555
                          STO     RDCRD+2   *MACRO EXPANDER             PTM68560
                          BSI     SCLR      CLEAR I/P AREA TO BLANKS    PTM68565
                    INIM1 BSC  L  DECOI     BR TO DECODE PROTOTYPE      PTM68570
                    *                                                   PTM68575
                    *     SUBR TO CLEAR I/P BFR TO BLANKS               PTM68580
                    *                                                   PTM68585
                    SCLR  DC      *-*       ENTRY PT                    PTM68590
                          STX   2 SCLRX+1   SAVE XR2                    PTM68595
                          LDX   2 80        LOOP CTR TO I/P AREA SIZE   PTM68600
                          LDX  I3 RDBFR     XR3 PT TO I/P AREA          PTM68605
                    SCLR1 LD      SCLR2     FETCH BLANK                 PTM68610
                          STO   3 1         CLEAR I/P AREA TO BLANK     PTM68615
                          MDX   3 1         INCR I/P AREA PT            PTM68620
                          MDX   2 -1        DECR LOOP CTR               PTM68625
                          MDX     SCLR1+1   CONT CLEAR OPERATION        PTM68630
                          LDX   3 52        SET XR3 TO 51               PTM68635
                    SCLRX LDX  L2 *-*       RESTORE XR2                 PTM68640
                          BSC  I  SCLR      RETURN TO CALLER            PTM68645
                    *                                                   PTM68650
                    *     CONSTANT                                      PTM68655
                    *                                                   PTM68660
                          BSS  E  0         FORCE EVEN ADDR             PTM68665
                    RDSKS DC      *-*       TEMP SAVE AREA - ACC        PTM68670
                          DC      *-*       TEMP SAVE AREA - EXT        PTM68675
                    SCLR2 DC      .         EBC BLANK                   PTM68680
                    *                                                   PTM68685
                    *     SKELETON DISK READ SUBR                       PTM68690
                    *                                                   PTM68695
                    DK0UT BSC  L  *-*       RETURN TO CALLER            PTM68700
                    RDSK  EQU     *-1       ENTRY PT ADDR               PTM68705
                          STD     RDSKS     SAVE ACC AND EXT            PTM68710
                          LDD     M3901     DK READ PARAM TO ACC,EXT    PTM68715
                          BSI  L  DISK1     READ SKELETON SCTR          PTM68720
                          LDD     RDSKS     RESTORE ACC AND EXT         PTM68725
                          MDX     DK0UT     RETURN TO CALLER            PTM68730
                    MZ300 EQU     *-1       END OF MACRO PH 3           PTM68735
*SBRKSLS F0          MACRO PHASE 3A - MACRO EXPANSION             V2M08 PTM68740
                          HDNG    MACRO PROCESSOR PHASE 3A, EXPANSION   PTM68745
                    *************************************************** PTM68750
                    *                                                 * PTM68755
                    *STATUS-VERSION 2,MODIFICATION 8                  * PTM68760
                    *                                                 * PTM68765
                    *FUNCTION/OPERATION-                              * PTM68770
                    *   *MACRO PHASE 3A IS LOADED INTO CORE BY MACRO  * PTM68775
                    *    PHASE 1 TO INITIALIZE MACRO EXPANSION.       * PTM68780
                    *   *IN BOTH PASSES UNDER TWO PASS MODE AND IN    * PTM68785
                    *    PASS ONE UNDER ONE PASS MODE,MACRO PHASE 3A  * PTM68790
                    *    LOADS MACRO PHASE 3 INTO CORE.               * PTM68795
                    *   *MACRO PHASE 3A THEN SCANS THE MACRO CALL     * PTM68800
                    *    STATEMENT AND BUILDS THE PARAMETER STRING    * PTM68805
                    *    LIST.IT FINALLY TRANSFERS CONTROL TO MACRO 3.* PTM68810
                    *   *IF A PARAMETER STRING IS INVALID,MACRO PHASE * PTM68815
                    *    3A ISSUES THE SYNTAX FLAG FOR THE CALL.      * PTM68820
                    *   *IF PARAMETER SPILL OVERFLOW OCCURS-I.E.,NOT  * PTM68825
                    *    ENOUGH DISK SPACE AVAILABLE TO PROCESS ALL   * PTM68830
                    *    PARAMETER STRINGS-MACRO PHASE 3A ISSUES THE  * PTM68835
                    *    A09 ERROR MSG AND ABORTS THE ASSEMBLY.       * PTM68840
                    *   *IN PASS TWO OF ONE PASS MODE,MACRO PH 3A AND * PTM68845
                    *    HENCE EXPANSION IS BYPASSED.                 * PTM68850
                    *                                                 * PTM68855
                    *ENTRY POINT-                                     * PTM68860
                    *   *RDP3-ENTER FROM MACRO PHASE 1                * PTM68865
                    *                                                 * PTM68870
                    *INPUT-                                           * PTM68875
                    *   *MACRO CALL STATEMENT IN INPUT BUFFER.        * PTM68880
                    *                                                 * PTM68885
                    *OUTPUT-                                          * PTM68890
                    *   *PARAMETER STRINGS PROCESSED AND SAVED IN     * PTM68895
                    *    PBUFF.                                       * PTM68900
                    *                                                 * PTM68905
                    *EXTERNAL REFERENCES-                             * PTM68910
                    *   *SUBROUTINES-                                 * PTM68915
                    *       * BGASM                                   * PTM68920
                    *       * DISK1                                   * PTM68925
                    *       * ERFLG                                   * PTM68930
                    *       * GETER                                   * PTM68935
                    *       * PALBL                                   * PTM68940
                    *       * RDCRD                                   * PTM68945
                    *       * SCAN                                    * PTM68950
                    *   *ASMCM-                                       * PTM68955
                    *       * MCOM0                                   * PTM68960
                    *       * MCOM3                                   * PTM68965
                    *       * MCOM9                                   * PTM68970
                    *       * PARAM                                   * PTM68975
                    *       * PASS                                    * PTM68980
                    *       * PSMDE                                   * PTM68985
                    *       * RDBFR                                   * PTM68990
                    *       * THRT2                                   * PTM68995
                    *       * VALUE                                   * PTM69000
                    *   *DCOM/COMMA-                                  * PTM69005
                    *       * $EXIT                                   * PTM69010
                    *       * $IBSY                                   * PTM69015
                    *       * $PHSE                                   * PTM69020
                    *                                                 * PTM69025
                    *EXITS-                                           * PTM69030
                    *   *MCEXP-ENTER MACRO PHASE 3 TO BEGIN MACRO     * PTM69035
                    *          EXPANSION.                             * PTM69040
                    *   *BGASM-BYPASS MACRO EXPANSION,CONTINUE        * PTM69045
                    *          ASSEMBLY.                              * PTM69050
                    *                                                 * PTM69055
                    *TABLES/WORK AREAS-                               * PTM69060
                    *   *MACTB-MACRO NEST TABLE                       * PTM69065
                    *   *PBUFF-PARAMETER STRING BUFFER                * PTM69070
                    *   *SECAD-MACRO NEST SCTR ADDR TBL               * PTM69075
                    *   *SKEL1-SKELETON BUFFER                        * PTM69080
                    *                                                 * PTM69085
                    *ATTRIBUTES-N/A                                   * PTM69090
                    *                                                 * PTM69095
                    *NOTES-N/A                                        * PTM69100
                    *                                                 * PTM69105
                    *************************************************** PTM69110
                          ORG     OVLAY                                 PTM69115
                          DC      M3Z00-A3000  WD CNT OF PHASE          PTM69120
                          DC      -/F0      SLET ID OF MACRO PH 3A      PTM69125
                    P3A00 DC      P3X-P3A00 ADDR OF SLET TBL            PTM69130
                          DC      1         NO. OF SLET ENT TO FILL     PTM69135
                          ORG     *-2                                   PTM69140
                    *                                                   PTM69145
                    *     INTERPHASE BRANCH TABLE                       PTM69150
                    *     *IF PRESENT, ALWAYS AT BEGINNING OF           PTM69155
                    *     *OVERLAY AREA                                 PTM69160
                    *                                                   PTM69165
                    A3000 BSC  L  GETS5     +2  FETCH PH 5              PTM69170
                          BSC  L  GETS6     +4  FETCH PH 6              PTM69175
                          BSC  L  GETS7     +6  FETCH PH 7              PTM69180
                          BSC  L  GETS8     +8  FETCH PH 8              PTM69185
                          BSC  L  GTS8A     +10 FETCH PH 8A             PTM69190
                          BSC  L  GTS12     +12 FETCH PH 12             PTM69195
                          BSC  L  GTS13     +14 FETCH MACRO PH 1        PTM69200
                          BSC  L  GETS2     +16 FETCH PH 2              PTM69205
                    *                                                   PTM69210
                    *     BEGIN MACRO PHASE 3A HERE                     PTM69215
                    *     READ MACRO PHASE 3 INTO CORE                  PTM69220
                    *                                                   PTM69225
                    RDP3  EQU     *                                     PTM69230
                          LD   L  PSMDE                                 PTM69235
                          BSC  L  RDP30,+-  BR- NOT TWO PASS MODE       PTM69240
                          LD   L  LDKOP     TEST FOR LIST DECK OPTION   PTM69245
                          BSC  L  RDP30,+-  BR-NO LIST DECK OPTION SET  PTM69250
                          LDX   2 +11       PREPARE TO                  PTM69255
                          BSI  L  GETER     PRINT A22 ERROR MSG         PTM69260
                    RDP30 EQU     *                                     PTM69265
                          LD      A3903     SET PH ID INDR              PTM69270
                          STO  L  $PHSE                                 PTM69275
                          LD      A3900     SET WD CNT                  PTM69280
                          STO  L  PBUFF     *FOR PBUFF                  PTM69285
                          MDX  L  PSMDE,0   TEST PASS MODE              PTM69300
                          MDX     PRSCN     BR IF TWO PASS MODE         PTM69305
                          MDX  L  PASS,0    TEST PASS OF ASM            PTM69310
                          MDX     P3Y       BR TO RESTORE, 2ND PASS     PTM69315
                          MDX     PRSCN     BR TO BEGIN EXPANSION       PTM69320
                    *                                                   PTM69325
                    *     FETCH MACRO PHASE 3                           PTM69330
                    *                                                   PTM69335
                    RDP31 LD   L  MACEX     GET MACRO PH 3 SW           PTM69340
                          BSC  L  MCEXP,+-  BR TO MACRO PH 3            PTM69345
                          LDD     P3X+2     SET WD CNT,SCTR ADDR OF     PTM69350
                          STD  L  RDCRD+4   *MACRO PH 3 IN HDR          PTM69355
                          LDD     A3905     DK READ PARAM TO ACC,EXT    PTM69360
                          BSI  L  DISK1     FETCH MACRO PH 3            PTM69365
                          MDX  L  $IBSY,0   CONT ONLY AFTER I/P         PTM69370
                          MDX     *-3      *COMPLETED                   PTM69375
                          BSC  L  MCEXP     BR TO MACRO PH 3            PTM69380
                    *                                                   PTM69385
                    *     CONSTANTS AND SLET TBL                        PTM69390
                    *                                                   PTM69395
                    A3903 DC      /F0       SLET ID OF MACRO PH 3A      PTM69400
                          BSS  E  0         FORCE EVEN ADDR             PTM69410
                    A3905 DC      /7000     DK READ FUNC CODE           PTM69415
                          DC      RDCRD+4   I/O AREA ADDR               PTM69420
                          BSS  E  0         FORCE EVEN ADDR             PTM69425
                    P3X   DC      /EF       SLET ID OF MACRO PH 3       PTM69430
                          BSS     3                                     PTM69435
                    *                                                   PTM69440
                    *     RETURN TO CONT ASSEMBLY                       PTM69445
                    *                                                   PTM69450
                    P3Y   BSI  L  PALBL     READ A RECORD               PTM69455
                          BSC  L  BGASM     CONT ASSEMBLY               PTM69460
                    *                                                   PTM69465
                    *                                                   PTM69470
                    *     BEGIN EXPANSION                               PTM69475
                    *     ENTER FROM MACRO PH 3                         PTM69480
                    *                                                   PTM69485
                    MCOP7 MDX  L  MACCT,2   INCR DEPTH CTR              PTM69490
                          MDX  L  DEPTH,1   INCR DEPTH SYMBOL           PTM69495
                          MDX  L  DEEP,-1   TEST MAX DEPTH CTR          PTM69500
                          MDX     *+2       SKIP IF DEPTH NOT MAX       PTM69505
                          BSC  L  FE03      BR IF DEPTH EXCEEDS MAX     PTM69510
                          LDX  I2 MACCT     XR2 IS DEPTH CTR            PTM69515
                          LDX  I3 DEEP      SET TBL PT                  PTM69520
                          LD   L  SKEL1+1   SAVE CURRENT MACRO DK ADDR  PTM69525
                          STO  L3 SECAD-1                               PTM69530
                          STO  L2 MACTB-2   *IN NEST TBL                PTM69535
                          LD   L  MCOM9     SAVE MACRO START POS        PTM69540
                          STO  L2 MACTB-1   *IN NEST TBL                PTM69545
                          LDD  L  PSAVE     SAVE PARAMETER LIST         PTM69550
                          STD  L  PRLOC     *POINTERS FOR NEXT PH       PTM69555
                          BSC  L  MCNX2     BR TO EXPAND MACRO          PTM69560
                    *                                                   PTM69565
                    A3900 DC      100       CONSTANT 150                PTM69570
                    *                                                   PTM69575
                    *     INITIALIZATION FOR PARAMETER SCAN             PTM69580
                    *                                                   PTM69585
                    PBUFF EQU     PDEND+2   START ADDR OF SPILL BFR     PTM69590
                    PRSCN LDX  I1 RDBFR     XR1 PT TO I/P BFR           PTM69595
                          MDX   1 +21       XR1 PT TO COL 21            PTM69600
                          MDX  L  MACEX,0   SKIP IF MACRO PH 3 IN CORE  PTM69605
                          MDX     PRSN2     BR TO INITLZ SPILL BFR      PTM69610
                          LD   L  PRLOC     POINTER TO BUILD NEXT       PTM69615
                          MDX     PRSN1     *CALL AND BR                PTM69620
                    *                                                   PTM69625
                    PRSN2 LD      PPONE     =1 PTR TO 1ST MACRO CALL    PTM69630
                    PRSN1 STO  L  PNTR1                                 PTM69635
                          A       PPONE     =1,PTR TO PARAM NO,WD CNT   PTM69640
                          STO  L  PNTR2                                 PTM69645
                          A       PPONE     =1,EBC  PARAM NAME ADDR     PTM69650
                          STO  L  PNTR3                                 PTM69655
                          STX   1 LOCSW     SET SW FOR FLD SCAN         PTM69660
                          SLA     16        INITLZ TO ZERO              PTM69665
                          STO  L  PNUM      *THE PARAM NUMBER           PTM69670
                    PARMY STO  L  CNT3A     *THE CHAR CNT PER PARAM     PTM69675
                    PARMX STO     PSAVE     ZERO LEFT BYTE SAVE WD      PTM69680
                    PARMZ LDX  X2 PARM0-BLAK  XR2 IS SCAN CTR           PTM69685
                          BSI  L  M3CSN     GO TO CHAR SCAN             PTM69690
                    BLAK  DC      .         EBC BLANK                   PTM69695
                          DC      BLKTL-3   BR ADDR FOR BLANK           PTM69700
                    COMM  DC      .,        EBC COMMA                   PTM69705
                          DC      COMT-3    BR ADDR FOR COMMA           PTM69710
                    LPARN DC      /4D       EBC LEFT PAREN              PTM69715
                          DC      LPAR      BR ADDR FOR LEFT PAREN      PTM69720
                    RPARN DC      /5D       EBC RIGHT PAREN             PTM69725
                          DC      RPAR      BR ADDR FOR RIGHT PAREN     PTM69730
                    CHAR  DC      /5E       EBC SEMICOLON               PTM69735
                          DC      SEMI      BR ADDR FOR SEMICOLON       PTM69740
                    *                                                   PTM69745
                    PARM0 MDX  L  CNT3A,1   INCR CHAR CNT PER PARAM     PTM69750
                          LD      PSAVE     =0 IF FIRST BYTE            PTM69755
                          BSC     +-        SKIP IF RIGHT JUSTIFIED     PTM69760
                          MDX     PARM3     BR TO LEFT JUSTIFY          PTM69765
                          OR    1 0         ADD CURRENT CHAR            PTM69770
                          BSI  L  PRSTO     STORE WD IN PBUFF           PTM69775
                    PARM2 BSI     BUMP1     INCR AND TEST XR1           PTM69780
                          SLA     16                                    PTM69785
                          MDX     PARMX     RETURN TO CONT SCAN         PTM69790
                    PARM3 LD    1 0         LEFT JUSTIFY CHAR           PTM69795
                          SLA     8         *AND SAVE IN PARAM BFR      PTM69800
                          STO     PSAVE                                 PTM69805
                          BSI     BUMP1     INCR AND TEST XR1           PTM69810
                          MDX     PARMX+1   BR TO CONT SCAN             PTM69815
                    *                                                   PTM69820
                    *     PROCESS BLANK TERMINATOR                      PTM69825
                    *                                                   PTM69830
                    LOCSW DC      *-*                                   PTM69835
                          MDX  L  PARCT,0   SKIP IF OUTSIDE PARENS      PTM69840
                          MDX     PARM0     PASS BLANK,WITHIN PARENS    PTM69845
                    BLKTL MDX  L  LOCSW,0   TEST IF LABEL FLD           PTM69850
                          MDX     *+1       SKIP TO PROCESS OPERAND     PTM69855
                          MDX     BLKT      GO TEST FOR CONTINUATION    PTM69860
                          STO     LOCSW     RESET FLD INDR              PTM69865
                          LDX  I1 RDBFR     XR1 PT TO I/P BFR           PTM69870
                          MDX   1 +34       XR1 PT TO COL 34            PTM69875
                          MDX     COMT      PROCESS AS COMMA            PTM69880
                    *                                                   PTM69885
                    BLKT  LDX  I1 RDBFR     XR1 PT TO I/P BFR           PTM69890
                          LD    1 +32       GET CONTINUATION INDR       PTM69895
                          EOR     BLAK      TEST FOR BLANK              PTM69900
                          BSC  L  BLKT1,+-  B2-NO CONTINUATION          PTM69905
                          LDX  L3 ASMCM     RESTORE XR3                 PTM69910
                          BSI  L  PALBL     PASS RCD,READ RCD           PTM69915
                          MDX  L  $IBSY,0   TEST BUSY                   PTM69920
                          MDX     *-3                                   PTM69925
                          LDX  I1 RDBFR     XR1 POINTS TO COL 34        PTM69930
                          MDX   1 +35       *OF NEW RCD                 PTM69935
                          MDX     PARMZ     CONCATENATE RCDS            PTM69940
                    *                                                   PTM69945
                    BLKT1 BSI     COMT1     SET PARAM CTRL WD           PTM69950
                          LD      PNTR1     PT TO NO. OF PARAM          PTM69955
                          BSI  L  PRSTO     STORE IN PBUFF              PTM69960
                          LD      PNTR3     END OF CALL STRING          PTM69965
                          STO     PSAVE     *SAVED HERE                 PTM69970
                          LD      PNTR1     SET ADDR TO O/P NO. OF      PTM69975
                          STO     PNTR3     *PARAM IN CALL              PTM69980
                          LD      PNUM      NO. OF PARAM                PTM69985
                          BSI  L  PRSTO     OUTPUT TO PBUFF             PTM69990
                          BSC  L  RDP31     BR TO BEGIN EXPANSION       PTM69995
                    *                                                   PTM70000
                    PPONE DC      1         CONSTANT 1                  PTM70005
                    *                                                   PTM70010
                    *     PROCESS AS COMMA TERMINATOR                   PTM70015
                    *                                                   PTM70020
                    COMT1 DC      *-*       ENTRY PT                    PTM70025
                          LD      PSAVE     ODD NO. OF BYTES            PTM70030
                          BSI  L  PRSTO,Z   BR IF YES                   PTM70035
                          LDD     PNTR2     SET PT TO PARAM NO. AND     PTM70040
                          RTE     16        *CHAR CNT THAT NEXT         PTM70045
                          STD     PNTR2     *PRSTO UPDATES PARAM NO.    PTM70050
                          MDX  L  PNUM,1    INCR PARAM NO.              PTM70055
                          NOP               (MAY SKIP)                  PTM70060
                          LD      PNUM      BUILD PARAM CTRL WD         PTM70065
                          SLA     9         CONSISTS OF PARM NO AND2-11 PTM70070
                          OR      CNT3A     *CHAR CNT PER PARAM         PTM70075
                          BSI  L  PRSTO     OUTPUT SAME                 PTM70080
                          LD      PNTR2     SET PT TO NEXT O/P          PTM70085
                          A       PPONE     ADD 1                       PTM70090
                          STO     PNTR3     POINT TO O/P EBC AREA       PTM70095
                          BSC  I  COMT1     RETURN TO CALLER            PTM70100
                    *                                                   PTM70105
                    *     PROCESS COMMA TERMINATOR                      PTM70110
                    *                                                   PTM70115
                          MDX  L  PARCT,0   SKIP IF OUTSIDE PARENS      PTM70120
                          MDX     PARM0     PASS CHAR,WITHIN PARENS     PTM70125
                    *                                                   PTM70130
                    COMT  BSI     COMT1     BUILD PARAM CTRL WD         PTM70135
                          BSI     BUMP1     INCR RCD PT TO NEXT COL     PTM70140
                          SLA     16        SET TO CLEAR NAME WD        PTM70145
                          MDX     PARMY     BR TO CONT PARAM SCAN       PTM70150
                    *                                                   PTM70155
                    *     PROCESS LEFT PAREN TERMINATOR                 PTM70160
                    *                                                   PTM70165
                    LPAR  LD      LPK1      ENT FOR 1ST LEFT PAREN      PTM70170
                          STO     LPARN+1   SET SCAN FOR MULTI PARENS   PTM70175
                          BSI     BUMP1     INCR AND TEST COL PT        PTM70180
                          LD      PPONE     SET PAREN CTR TO 1          PTM70185
                          STO     PARCT                                 PTM70190
                          MDX     PARMZ     CONTINUE SCAN          2-11 PTM70200
                    *                                                   PTM70205
                    *     CONSTANTS AND INDICATORS                      PTM70210
                    *                                                   PTM70215
                    LPK1  DC      LPARX     SECONDARY PAREN ADDR        PTM70220
                    RPK1  DC      LPAR      INITIAL PAREN ADDR          PTM70225
                    PARCT DC      *-*       PAREN CTR                   PTM70230
                    *                                                   PTM70235
                    *     PROCESS MULTIPLE PARENS                       PTM70240
                    *                                                   PTM70245
                    LPARX MDX  L  PARCT,1   INCR PAREN CTR              PTM70250
                          MDX     PARM0     CONT STRING SCAN            PTM70255
                    *                                                   PTM70260
                    *     PROCESS RIGHT PAREN TERMINATOR                PTM70265
                    *                                                   PTM70270
                    RPAR  LD      PARCT     TEST FOR PAIRED PARENS      PTM70275
                          BSI  L  SNTXR,+-  BR-PARENS NOT PAIRED        PTM70280
                          S       PPONE     DECR PAREN CTR              PTM70285
                          STO     PARCT                                 PTM70290
                          BSC  L  PARM0,Z   BR-NESTED PARENS            PTM70295
                    RPAR1 LD      RPK1      RESTORE SCAN TBL            PTM70300
                          STO     LPARN+1                               PTM70305
                          BSI     BUMP1     INCR RCD COL PT             PTM70310
                          MDX     PARMZ     CONT TO SCAN STRING         PTM70315
                    *                                                   PTM70320
                          BSS  E  0         FORCE EVEN ADDR             PTM70325
                    PSAVE DC      *-*       SAVE WD                     PTM70330
                    PNTR1 DC      *-*       NO. OF PARAM PT             PTM70335
                    PNTR2 DC      *-*       PARAM NO./CNT PT            PTM70340
                    PNTR3 DC      *-*       EBC PARAM CODE              PTM70345
                    *                                                   PTM70350
                    *     INCREMENT REG 1 SUBROUTINE                    PTM70355
                    *     *INCREMENTS XR1 TO NEXT COL                   PTM70360
                    *     *CHECKS FOR END OF RCD AND CONTINUATION       PTM70365
                    *                                                   PTM70370
                    BUMP1 DC      *-*       ENTRY PT                    PTM70375
                          MDX   1 1         INCR COL PT                 PTM70380
                          LD      BMPK                                  PTM70385
                          A    L  RDBFR     ADD I/P BFR ADDR            PTM70390
                          STX   1 BMPK+1    CHECK FOR END OF RCD        PTM70395
                          EOR     BMPK+1                                PTM70400
                          BSC  I  BUMP1,Z   BR IF NOT END OF RCD        PTM70405
                    BUMP2 LDX  I1 RDBFR     XR1 PT TO I/P BFR           PTM70410
                          LD    1 +32       GET CONT COL                PTM70415
                          EOR  L  BLAK      CHECK FOR CONTINUATION      PTM70420
                          BSC  L  BLKT1,+-  BR- NO CONTINUATION         PTM70425
                    *                                                   PTM70430
                    BMP2A LDX  L3 ASMCM                                 PTM70435
                    BMP2B BSI  L  PALBL     FETCH NEXT RCD              PTM70440
                          MDX  L  $IBSY,0   TEST BUSY                   PTM70445
                          MDX     *-3                                   PTM70450
                          LDX  I1 RDBFR     XR1 PT TO I/P BFR           PTM70455
                          MDX   1 +35       XR1 PT TO RCD COL 34        PTM70460
                          BSC  I  BUMP1     RETURN TO CALLER            PTM70465
                    *                                                   PTM70470
                    *     CONSTANTS                                     PTM70475
                    *                                                   PTM70480
                    BMPK  DC      72        END OF RCD INDR             PTM70485
                          DC      *-*       TEMP STORAGE-RCD COL        PTM70490
                          BSS  E  0         FORCE EVEN ADDR             PTM70495
                    PNUM  DC      *-*       PARAM NUMBER                PTM70500
                    CNT3A DC      *-*       CHAR CNT PER PARAM          PTM70505
                    *                                                   PTM70510
                    *     PARAM SPILL STORE CHAR SUBR                   PTM70515
                    *                                                   PTM70520
                    PRSTO DC      *-*       ENTRY POINT                 PTM70525
                          LDX  L2 PBUFF                                 PTM70530
                          STO     PRS90     SAVE CHAR TO BE STORED      PTM70535
                          LD      PNTR3     REL PBUFF ADDR FOR STORE    PTM70540
                          SRT     16        RIGHT-JUSTIFY DIVIDEND      PTM70545
                          D     2 0         GET SCTR DISPLACEMENT       PTM70550
                          A    L  PBASE     ADD SCTR ADDR OF PARAM LIST PTM70555
                          STD     PRS92     SAVE INFO                   PTM70560
                          S    L  PLAST                                 PTM70565
                          BSC  L  PARER,-Z  BR-PARAM LIST OVFLO         PTM70570
                    *                                                   PTM70575
                    PRS00 LD      PRS92     SCTR ADDR THIS STORE        PTM70580
                          EOR   2 1         CMP TO PBUFF SCTR ADDR      PTM70585
                          BSC  L  PRS10,+-  BR-ADDRESSES MATCH          PTM70590
                          LDD  L  A3901     WRITE FILLED PBUFF          PTM70595
                          BSI  L  DISK1     *TO W.S.                    PTM70600
                          LD      PRS92     UPDATE PBUFF SCTR ADDR      PTM70605
                          STO   2 1                                     PTM70610
                          LDD  L  A3901                                 PTM70615
                          S       PPONE                                 PTM70620
                          BSI  L  DISK1     READ IN PROPER SECTOR       PTM70625
                    *                                                   PTM70630
                    PRS10 LDX  I2 PRS92+1   DISP FOR STORE              PTM70635
                          LD      PRS90     FETCH WD TO BE STORED       PTM70640
                          STO  L2 PBUFF+2   STORE IN PBUFF              PTM70645
                          MDX  L  PNTR3,1   INCR PBUFF DISP PTR         PTM70650
                          BSC  I  PRSTO     RETURN TO CALLER            PTM70655
                    *                                                   PTM70660
                    *     CONSTANTS AND INDICATORS                      PTM70665
                    *                                                   PTM70670
                    PRS90 DC      *-*       SAVE AREA FOR PBUFF CHAR    PTM70675
                    PRS92 BSS  E  2         PBUFF SCTR ADDR,DISP        PTM70680
                    *                                                   PTM70685
                    *     GENERAL CHARACTER SCAN                        PTM70690
                    *     *UPON ENTRY,                                  PTM70695
                    *     *  XR1 POINTS TO CHAR                         PTM70700
                    *     *  XR2 CONTAINS PARAM LIST SIZE               PTM70705
                    *     *XR3 IS DESTROYED BY M3CSN                    PTM70710
                    *     *CALLING SEQUENCE IS                          PTM70715
                    *     *       BSI     M3CSN                         PTM70720
                    *     *       DC      CHAR                          PTM70725
                    *     *       DC      ADDR                          PTM70730
                    *ADDR IS LOCATION TRANSFERRED TO IF CHAR FOUND      PTM70735
                    *                                                   PTM70740
                    *                                                   PTM70745
                    M3CSN DC      *-*       ENTRY PT                    PTM70750
                          STS     S3NXT-1   SAVE STATUS                 PTM70755
                          STX   2 INVL3+1   SAVE SCAN CTR               PTM70760
                    M3CS0 LDX  I3 M3CSN     XR3 PT TO PARAM LIST        PTM70765
                    M3CS1 LD    1 0         FETCH CHAR                  PTM70770
                          EOR   3 0         CMP WITH CALL CHAR          PTM70775
                          BSC  I3 1,+-      BR IF CHARS MATCH           PTM70780
                    M3C01 EQU     *-1                                   PTM70785
                          MDX   3 2         INCR PARAM LIST PT          PTM70790
                          MDX   2 -2        DECR SCAN CTR               PTM70795
                          MDX     M3CS1     CONTINUE SCAN               PTM70800
                          LDS     0         RESTORE STATUS              PTM70805
                    S3NXT BSC  L3 0         BR-NO SPECIAL CHAR FOUND    PTM70810
                    INVL3 LDX  L2 *-*       RESTORE XR2 FOR RESCAN      PTM70815
                          MDX     M3CS0     BR TO RESCAN                PTM70820
                    *                                                   PTM70825
                    BLAN2 DC      .         EBC BLANK                   PTM70830
                    *                                                   PTM70835
                    *     PROCESS SYNTAX ERROR                          PTM70840
                    *                                                   PTM70845
                          DC      *-*                                   PTM70850
                    SNTXR DC      *-*       ENTRY PT                    PTM70855
                          MDX  L  SNTXR,4   SET RETURN ADDR             PTM70860
                          STX   1 SNTXR-1   SAVE XR1                    PTM70865
                          LDX  I1 RDBFR     SET XR1 TO I/P BFR          PTM70870
                          LD      SFLG      FETCH ERROR FLAG            PTM70875
                          MDX  L  PSMDE,0                               PTM70880
                          MDX     *+1       SKIP-TWO PASS MODE          PTM70885
                          STO   1 +34       SAVE S FLAG                 PTM70890
                          BSI  L  ERFLG     SET ERROR FLAG              PTM70895
                          LDX  I1 SNTXR-1   RESTORE XR1                 PTM70900
                          BSC  I  SNTXR     RETURN TO CALLER            PTM70905
                    *                                                   PTM70910
                    SFLG  DC      .S        SYNTAX ERROR FLAG           PTM70915
                    *                                                   PTM70920
                    *     PROCESS A09 ERROR CONDITION                   PTM70925
                    *                                                   PTM70930
                    PARER LDX   2 +9        PT TO A09 ERR MSG           PTM70935
                          BSI  L  GETER     PRINT ERROR MESSAGE         PTM70940
                    *                                                   PTM70945
                    *     PROCESS SEMICOLON TERMINATOR                  PTM70950
                    *                                                   PTM70955
                    SEMI  EQU     *                                     PTM70960
                          LD   L  PARCT     TEST FOR PARENS             PTM70965
                          BSC  L  PARM0,Z   PASS CHAR IF IN PARENS      PTM70970
                          LD      HOOK1     MODIFY SCAN SUBR            PTM70975
                          STO  L  P9114+2                               PTM70980
                          MDX   1 1         INCR I/P PT TO NEXT CHAR    PTM70985
                          LDX  L3 ASMCM     RESTORE XR3                 PTM70990
                          BSI  L  SCAN      EVALUATE PARAM              PTM70995
                          MDX  L  INDCT,-1  DECR INDIRECT LVL CNT       PTM71000
                          MDX     SEMI1     BR-VALID INDIRECT LEVEL     PTM71005
                          MDX  L  INDCT,17  RESTORE COUNT          2-11 PTM71007
                          MDX     SEMI3     BR-INVALID INDIRECT LVL     PTM71010
                    SEMI1 EQU     *                                     PTM71015
                          LD    2 VALUE-A   OBTAIN VALUE                PTM71020
                          AND     SMASK     MASK OUT HIGH BITS          PTM71025
                          OR      FLGBT     SET SPECIAL FLAG BIT        PTM71030
                          STO     CNT3A     STORE IN CHAR CNT           PTM71035
                    SEMI2 LD      HOOK2     RESTORE SCAN SUBR           PTM71040
                          STO  L  P9114+2                               PTM71045
                          LD    1 0         TEST FOR BLANK              PTM71050
                          EOR     BLAN2                                 PTM71055
                          BSC     Z         SKIP IF BLANK               PTM71060
                          MDX   1 -1       MSET I/P PT FOR SCAN         PTM71065
                          BSC  L  PARMZ     RETURN TO CONT SCAN         PTM71070
                    FE03  LDX   2 +10       SET TO PRINT A12 ERR MSG    PTM71075
                          MDX     PARER+1   BR TO PRINT MSG AND EXIT    PTM71080
                    SEMI3 LDX  I2 RDBFR     XR2 IS I/P PT               PTM71085
                          LD      SFLG                                  PTM71090
                          MDX  L  PSMDE,0   TEST PASS MODE              PTM71095
                          MDX     *+1       TWO PASS MODE - SKIP        PTM71100
                          STO   2 +34                                   PTM71105
                          BSI  L  ERFLG     PLACE ERROR FLAG            PTM71110
                          MDX     SEMI2     CONT TO DECODE CALL         PTM71115
                    *                                                   PTM71120
                    *     CONSTANTS                                     PTM71125
                    *                                                   PTM71130
                    INDCT DC      17        INDIRECT LEVEL COUNT   2-11 PTM71135
                    FLGBT DC      /0100     FLAG CONSTANT          2-11 PTM71140
                    HOOK1 MDX  X  P9116-P9114-3  SCAN MODIFIER          PTM71145
                    HOOK2 S     2 +32       SCAN RESTORE CONSTANT       PTM71150
                    SMASK DC      /007F     MASK CONSTANT          2-11 PTM71155
                          BSS     19        PATCH AREA                  PTM71160
                    M3Z00 DC      0         END OF MACRO PH 3A          PTM71165
*SBRKSLS F1          MACRO PHASE 3B - MACRO EXPANSION             V2M08 PTM71170
                          HDNG    MACRO PROCESSOR PHASE 3B, EXPANSION   PTM71175
                    *************************************************** PTM71180
                    *                                                 * PTM71185
                    *STATUS - VERSION 2, MODIFICATION LEVEL 12        * PTM71190
                    *                                                 * PTM71195
                    *FUNCTION/OPERATION-                              * PTM71200
                    *   *MACRO PHASE 3B IS LOADED AT ASSEMBLER        * PTM71205
                    *    INITIALIZATION TIME AND REMAINS RESIDENT     * PTM71210
                    *    THROUGHOUT THE ASSEMBLY.                     * PTM71215
                    *   *MACRO PHASE 3B DECODE THE MACRO PROTOTYPE,   * PTM71220
                    *    STATEMENT BY STATEMENT AND BUILDS THE        * PTM71225
                    *    RECORD IMAGE.                                * PTM71230
                    *   *IT CHECKS ALL SPECIAL FLAGS,SUCH AS AUTOMATIC* PTM71235
                    *    LABEL GENERATION-PREFIXED AND SUFFIXED-,END  * PTM71240
                    *    OF RCD,AND END OF SCTR FLAGS,AND DOES THE    * PTM71245
                    *    APPROPRIATE PROCESSING.                      * PTM71250
                    *                                                 * PTM71255
                    *ENTRY POINT-                                     * PTM71260
                    *   *DECOI-ENTER FROM MACRO PHASE 3.              * PTM71265
                    *                                                 * PTM71270
                    *INPUT-                                           * PTM71275
                    *   *MACRO PROTOTYPE IN SKELETON BFR.             * PTM71280
                    *   *PARAMETER STRINGS IN PBUFF.                  * PTM71285
                    *                                                 * PTM71290
                    *OUTPUT-                                          * PTM71295
                    *   *EXPANDED MACRO SOURCE TO ASM PH 9.           * PTM71300
                    *                                                 * PTM71305
                    *EXTERNAL REFERENCES-                             * PTM71310
                    *   *SUBROUTINES-                                 * PTM71315
                    *       * BGASM                                   * PTM71320
                    *       * DISK1                                   * PTM71325
                    *       * P9000                                   * PTM71330
                    *       * P9468                                   * PTM71335
                    *       * RDCRD                                   * PTM71340
                    *   *ASMCM-                                       * PTM71345
                    *       * MCOM6                                   * PTM71350
                    *       * MCOM9                                   * PTM71355
                    *       * RDBFR                                   * PTM71360
                    *   *DCOM/COMMA-                                  * PTM71365
                    *       * $PHSE                                   * PTM71370
                    *   *FROM MACRO PHASE 3-                          * PTM71375
                    *       * SCLR-SUBR TO CLEAR I/P BFR              * PTM71380
                    *       * RDSK-READ SKELETON SUBR                 * PTM71385
                    *                                                 * PTM71390
                    *EXITS-                                           * PTM71395
                    *   *BGASM-TO CONTINUE ASSEMBLY                   * PTM71400
                    *                                                 * PTM71405
                    *TABLES/WORK AREAS-                               * PTM71410
                    *   *GENNM-GENERATED NAME NUMBER BUFFER           * PTM71415
                    *   *MACTB-MACRO NEST TABLE                       * PTM71420
                    *   *PBUFF-PARAMETER STRING BUFFER                * PTM71425
                    *   *SKEL1-MACRO PROTOTYPE BUFFER                 * PTM71430
                    *                                                 * PTM71435
                    *ATTRIBUTES-N/A                                   * PTM71440
                    *                                                 * PTM71445
                    *NOTES-N/A                                        * PTM71450
                    *                                                 * PTM71455
                    *************************************************** PTM71460
                          ORG     PDEND+104                             PTM71465
                          DC      M3BZ-M3B0 WD CNT OF PHASE             PTM71470
                          DC      -/F1      SLET ID OF MACRO PH 3B      PTM71475
                          DC      B3902-M3B0 ADDR OF SLET TBL           PTM71480
                          DC      1         NO. OF SLET ENTS TO FILL    PTM71485
                          ORG     *-2                                   PTM71490
                    M3B0  EQU     *                                     PTM71495
                    PBASE BSS     1         START DK ADDR-PARAM SPILL   PTM71500
                    PLAST BSS     1         LAST DK ADDR-PARAM SPILL    PTM71505
                    *                                                   PTM71510
                    *     INITLZ STARTING SKELETON PT                   PTM71515
                    *                                                   PTM71520
                    DECOI LD      B3900     SET PH ID INDR              PTM71525
                          STO  L  $PHSE                                 PTM71530
                          LD   L  MCOM9     INITLZ SKELETON PT          PTM71535
                          STO     STAR                                  PTM71540
                          MDX     DECOD+2   BR TO EXPAND MACRO          PTM71545
                    *                                                   PTM71550
                    *     SKELETON DECODE                               PTM71555
                    *                                                   PTM71560
                    DECOD BSI  L  SCLR      CLEAR I/P BFR               PTM71565
                          SLT     32        CLEAR CHAR CNT              PTM71570
                          STO  L  MCHX                                  PTM71575
                          LDX  L2 *-*       XR2 IS SKELETON PT          PTM71580
                    STAR  EQU     *-1                                   PTM71585
                          LDX  I1 RDBFR     XR1 PT TO I/P AREA          PTM71590
                          MDX   1 +21       XR1 PT TO LABEL FLD         PTM71595
                    EXP01 SLT     32        CLEAR BOTH REGS             PTM71600
                          LD   L2 SKEL1+2   FETCH SKELETON WD           PTM71605
                          SRT     8         POS FOR CHAR CHECK          PTM71610
                          BSI     CHECK     BR TO CHAR CHECK            PTM71615
                          MDX  L  MCHX,1    INCR CHAR CNT               PTM71620
                          MDX   3 0         TEST FOR END OF RCD         PTM71625
                    *                       STORE CHAR IN I/P BFR IF NO PTM71630
                          STO   1 0         *SPECIAL HANDLING REQUIRED  PTM71635
                          MDX   1 1         INCR I/P BFR PT             PTM71640
                    EXP02 SLA     16        CLEAR ACC FOR 2ND CHAR CHECKPTM71645
                          SLT     8         SHIFT 2ND CHAR TO ACC       PTM71650
                          BSI     CHECK     CHECK 2ND CHAR              PTM71655
                          MDX  L  MCHX,1    INCR CHAR CNT               PTM71660
                          MDX   3 0         TEST FOR END OF RCD         PTM71665
                          STO   1 0         SAVE CHAR IN I/P BFR        PTM71670
                          MDX   1 1         INCR I/P BFR PT             PTM71675
                    EXP03 BSI     CKSEC     CHECK FOR END OF SKEL SCTR  PTM71680
                          MDX     EXP01     CONT TO DECODE RCD          PTM71685
                    *                                                   PTM71690
                    *     SUBR TO CHECK END OF SKELETON SCTR            PTM71695
                    *                                                   PTM71700
                          BSC  L  *-*       RETURN TO CALLER            PTM71705
                    CKSEC EQU     *-1       ENTRY PT                    PTM71710
                          STX   2 EXP13+1   SAVE XR2                    PTM71715
                          MDX  L2 -318      CHECK FOR END OF SCTR       PTM71720
                          MDX     EXP23     BR TO READ NEXT SCTR        PTM71725
                    EXP13 LDX  L2 *-*       RESTORE XR2                 PTM71730
                          MDX   2 1         INCR SKELETON PT            PTM71735
                          MDX     CKSEC-1   CONT TO DECODE              PTM71740
                    EXP23 BSC  L  FF        BR TO READ NEXT SKEL SCTR   PTM71745
                    *                                                   PTM71750
                    *     CONSTANTS                                     PTM71755
                    *                                                   PTM71760
                    GEN   EQU     MCOM6                                 PTM71765
                    HXFA  DC      /FA       HEX CONSTANT FA             PTM71770
                    HXFF  DC      /FF       HEX CONSTANT FF             PTM71775
                    * B3900 WAS CARD 71800 IN THE ORIGINAL SOURCE BUT   KNITTEL0
                    * WAS MOVED UP HERE IN THE 2.12 FICHE TO AVOID      KNITTEL1
                    * EXTRA WORD FROM BSS E - NOTE 213 ANNOTATION       KNITTEL2
                    B3900 DC      /F1       SLET ID OF MACRO PH 3B  213 PTM71777
                          BSS  E  0         FORCE EVEN ADDR             PTM71780
                    CCHAR DC      *-*       TEMP CHAR STORAGE           PTM71785
                          DC      *-*       TEMP CHAR STORAGE           PTM71790
                    CHARX DC      /5E       EBC SEMICOLON               PTM71795
                    *                                                   PTM71805
                    CCOL  MDX  L  CHKTP,-13 UPDATE COL INDR             PTM71810
                          MDX     CHX1      CONT CHAR CHECK             PTM71815
                          MDX   1 1         INCR I/P PT                 PTM71820
                          SLA     16        CLEAR CHAR CNT              PTM71825
                          STO  L  MCHX                                  PTM71830
                          MDX   3 -1        DECR CHAR CNT               PTM71835
                          NOP               (MAY SKIP)                  PTM71840
                          MDX     CHX1      CONT CHAR CHECK             PTM71845
                    *                                                   PTM71850
                    *     CHARACTER CHECK SUBR                          PTM71855
                    *                                                   PTM71860
                          BSC  L  *-*       RETURN TO CALLER            PTM71865
                    CHECK EQU     *-1       ENTRY PT ADDR               PTM71870
                          AND     HXFF      CHECK FOR SKEL SCTR END     PTM71875
                          BSC  L  CHXO+3,Z  BR IF NOT END OF SCTR       PTM71880
                    CHXO  MDX  L  CHECK,5   DO NOT STORE CHAR IN I/P BFRPTM71885
                          MDX     CHECK-1   RETURN TO CALLER            PTM71890
                          STD     CCHAR     SAVE CURRENT AND NEXT CHAR  PTM71895
                          MDX   3 0         SKIP IF END OF RCD          PTM71900
                          MDX     *+1       SKIP-NOT END OF RCD         PTM71905
                          MDX     CHEX2+1   CHECK FOR END OF RCD FLAG   PTM71910
                          EOR  L  SCLR2     CHECK FOR BLANK             PTM71915
                          MDX  L  CHKTP,0   CHECK FOR COLS 32 OR 33     PTM71920
                          MDX     CCOL      BR TO INITLZ NEXT FLD       PTM71925
                    *                                                   PTM71930
                          BSC  L  NXFLD,+-  SKIP TO NEXT FLD            PTM71935
                    *                                                   PTM71940
                    CHX1  LD      CCHAR     CHECK FOR PARAM SUBSTITUTIONPTM71945
                          S       M3B$$     TEST FOR DOLLAR SIGN        PTM71950
                          BSC     Z         SKIP IF DOLLAR SIGN         PTM71955
                          S       M3B##     TEST FOR POUND SIGN         PTM71960
                          BSC     Z         SKIP IF POUND SIGN          PTM71965
                          S       M3B@@     TEST FOR AT SIGN            PTM71970
                          BSC  L  CHEX2,+-  BR-SPECIAL CHAR             PTM71975
                          LD      CCHAR                                 PTM71980
                          SRT     6                                     PTM71985
                          BSC  L  PSUB,+-   BR TO SUBSTITUTE PARAM      PTM71990
                          SRT     1         CHECK FOR SPECIAL CHAR      PTM71995
                          BSC  L  CHEX2,Z   BR-NOT SPECIAL CHAR         PTM72000
                          MDX  L  CHECK,2   DO NOT INCR CHAR CNT        PTM72005
                          STO  L  MCHX      SET CHAR CNT TO ZERO        PTM72010
                    *                                                   PTM72015
                    CHEX2 SLT     7         RESTORE CHAR                PTM72020
                          S       HXFA      TEST FOR SPECIAL CHAR       PTM72025
                          BSC  L  FLAG,-    BR FOR SPECIAL CHAR         PTM72030
                          MDX   3 0         TEST CHAR CNT               PTM72035
                          MDX     *+1       SKIP TO RETURN CHAR         PTM72040
                          MDX     CHEX1     BR TO BYPASS CHAR           PTM72045
                          MDX   3 -1        CLEAR CHAR CNT              PTM72050
                          NOP               (MAY SKIP)                  PTM72055
                    CHEX  LDD     CCHAR     RESTORE CHAR TO ACC         PTM72060
                          MDX     CHECK-1   RETURN TO CALLER            PTM72065
                    *                                                   PTM72070
                    *     INDICATORS                                    PTM72075
                    *                                                   PTM72080
                    CHKTP DC      *-*       I/P FLD PT                  PTM72085
                    M3B$$ DC      .$        EBC DOLLAR SIGN             PTM72090
                    M3B## DC      .#-.$     EBC POUND SIGN              PTM72095
                    M3B@@ DC      1         EBC AT SIGN                 PTM72100
                    *                                                   PTM72105
                    *     PROCESS FA INDR                               PTM72110
                    *     PRESENTLY NOT USED                            PTM72115
                    *                                                   PTM72120
                    FA    EQU     *                                     PTM72125
                    *                                                   PTM72130
                    *     PROCESS FB INDR                               PTM72135
                    *     GENERATED NAME SUBSTITUTION                   PTM72140
                    *                                                   PTM72145
                    *                       TEST FOR PREVIOUS           PTM72150
                    FB    MDX  L  GENSW,0   *GENERATED NAME             PTM72155
                          MDX     FB00      BR-PREVIOUS NAME            PTM72160
                          STX  L0 GENSW     SET GENERATED NAME SW       PTM72165
                          MDX  L  GEN,1     INCR GENERATED NAME CTR     PTM72170
                    FB00  STX   2 FXR2      SAVE XR2                    PTM72175
                          STX   3 FBXT1+1   SAVE XR3                    PTM72180
                          MDX   3 0         TEST RCD COL CNT            PTM72185
                          MDX     *+1       SKIP-NOT END OF RCD         PTM72190
                          MDX     CHEX1     BR TO BYPASS CHAR           PTM72195
                          LDX   2 6         SET LOOP CTRL               PTM72200
                          LD      MCHX      SET CHAR CNT TO INCLUDE     PTM72205
                          EOR     FBMSK     *GENERATED PART OF NAME     PTM72210
                          STO     *         SET MDX INSTRUCTION         PTM72215
                          MDX     *         DYNAMICALLY MODIFIED INST   PTM72220
                          MDX     *+1       BR TO GENERATE NAME         PTM72225
                          MDX     FBXT      EXIT-NAME GENERATED         PTM72230
                          STX   2 FB02+1    SAVE LOOP CTRL              PTM72235
                    *                                                   PTM72240
                          LD   L  GEN       FETCH GENERATION NO.        PTM72245
                          SRT     16                                    PTM72250
                    FB01  D       D10       CVRT GENERATION NO.         PTM72255
                          RTE     16        *TO EBC DIGITS AND          PTM72260
                          OR      HXF0      *SAVE TEMPORARILY           PTM72265
                          STO  L2 GENNM-1                               PTM72270
                          SLA     16        CLEAR ACC                   PTM72275
                          MDX   2 -1        DECR LOOP CTRL              PTM72280
                          MDX     FB01      CONT TO CVRT GENERATION NO. PTM72285
                    *                                                   PTM72290
                    FB02  LDX  L2 *-*       RESTORE CNT TO XR2          PTM72295
                          LDX  L3 GENNM     XR3-GENERATED NO. BFR PT    PTM72300
                    FB03  LD    3 0         ADD GENERATED NO. TO I/P FLDPTM72305
                          MDX  L  FBXT1+1,-1 DECREMENT COLUMN COUNT     PTM72310
                          MDX     *+1       SKIP-ADD CHAR TO I/P FLD    PTM72315
                          MDX     FEND      TRUNCATE NAME FLD           PTM72320
                          STO   1 0         STORE CHAR IN I/P BFR       PTM72325
                          MDX   1 1         INCR I/P BFR PT             PTM72330
                          MDX   3 1         INCR GENERATED NO. BFR PT   PTM72335
                          MDX   2 -1        DECR LOOP CTRL CTR          PTM72340
                          MDX     FB03      CONT NAME GENERATION        PTM72345
                    FBXT  LDX  L2 *-*       RESTORE XR2                 PTM72350
                    FXR2  EQU     *-1                                   PTM72355
                    FBXT1 LDX  L3 *-*       RESTORE XR3                 PTM72360
                          MDX  L  FBXT1+1,-45  CHECK IF PAST LABEL FLD  PTM72365
                          MDX     NX45      NO,SET TO OP CODE FLD       PTM72370
                          MDX     CHEX1     CONT TO DECODE              PTM72375
                    *                                                   PTM72380
                    *     SUBROUTINE TO TRUNCATE PARAMETER              PTM72385
                    *     *SUBSTITUTION OR GENERATED NAME               PTM72390
                    *     *PROCESSING                                   PTM72395
                    *                                                   PTM72400
                    FEND  LDX  I2 FXR2      RESTORE XR2                 PTM72405
                          LDX   3 0         SET COL CNT TO ZERO         PTM72410
                          MDX     CHEX1     CONT TO DECODE              PTM72415
                    *                                                   PTM72420
                    *     PROCESS FC INDR                               PTM72425
                    *     DEPTH SYMBOL PROCESSING                       PTM72430
                    *                                                   PTM72435
                    FC    LD   L  DEPTH     FETCH DEPTH SYMBOL          PTM72440
                          S       HXF0      TEST CHAR RANGE             PTM72445
                          BSC     -         SKIP IF A TO R              PTM72450
                          A       L8DEC     ADD 8 IF S TO Z             PTM72455
                          A       D10       ALWAYS ADD 10               PTM72460
                          BSC     -Z        SKIP IF CHARACTER A TO I    PTM72465
                          A       L7        ADD 7 IF J TO Z             PTM72470
                          A       LC9       FORM FINAL CHARACTER        PTM72475
                          MDX   3 -1        ADJUST COL CNT              PTM72480
                          MDX     CHEX+1    PLACE CHAR IN I/P BFR       PTM72485
                          MDX     FEND+2    TRUNCATE NAME               PTM72490
                    *                                                   PTM72495
                    *     CONSTANTS                                     PTM72500
                    *                                                   PTM72505
                    L8DEC DC      8         CONSTANT 8                  PTM72510
                    L7    DC      7         CONSTANT 7                  PTM72515
                    LC9   DC      /C9       EBC I                       PTM72520
                    *                                                   PTM72525
                    *     PROCESS SPECIAL FLAGS                         PTM72530
                    *                                                   PTM72535
                    FLAG  A       FLAGK     CALC TBL ENTRY              PTM72540
                          STO     *+1       SET BR ADDR                 PTM72545
                          BSC  I  TABFX     BR THRU TBL TO PROCESS CHAR PTM72550
                    *                                                   PTM72555
                    *     CONSTANTS AND TABLES                          PTM72560
                    *                                                   PTM72565
                    FLAGK DC      TABFX     START ADDR OF BR TBL        PTM72570
                    *                                                   PTM72575
                    *     BR ADDR TBL FOR SPECIAL FLAGS                 PTM72580
                    *                                                   PTM72585
                    TABFX DC      FA        NOT USED                    PTM72590
                          DC      FB        GENERATED NAME              PTM72595
                          DC      FC        DEPTH SYMBOL NAME           PTM72600
                          DC      FD        END OF RCD FLAG             PTM72605
                          DC      FE        END OF MACRO FLAG           PTM72610
                          DC      FF        SCTR TRUNCATOR              PTM72615
                    ASTK2 DC      .*        EBC ASTERISK                PTM72620
                    *                                                   PTM72625
                    *     INITLZ TO DECODE NEXT RCD FLD                 PTM72630
                    *                                                   PTM72635
                    NXFLD STX   3 FLDX      SAVE CURRENT COL POS        PTM72640
                          STX   1 M3B01+1   SAVE XR1                    PTM72645
                          LDX  I1 RDBFR     XR1 PT TO I/P BFR           PTM72650
                          LD    1 +21       CHECK FOR COMMENTS          PTM72655
                          EOR     ASTK2     *RCD                        PTM72660
                          BSC  L  M3B01,+-  BR-COMMENTS RCD             PTM72665
                          SLA     16                                    PTM72670
                          STO     MCHX      CLEAR CHAR CNT              PTM72675
                          MDX   3 -39       TEST FOR OPERAND FIELD 2-10 PTM72680
                          MDX     *+1       SKIP-NOT OPERAND FLD        PTM72685
                          MDX     CHEZ      RETURN TO CHAR CHECK        PTM72690
                          MDX   3 -6        DETERMINE FIELD        2-10 PTM72695
                          MDX     NX45      BR TO PROCESS OP CODE FLD   PTM72700
                          MDX     NX40      BR TO PROCESS TAG FLD       PTM72705
                    *                                                   PTM72710
                    CHEZ  LDX  L3 *-*       RESTORE XR3                 PTM72715
                    FLDX  EQU     *-1                                   PTM72720
                          LDX  I1 M3B01+1   RESTORE XR1                 PTM72725
                          BSC  L  CHX1      RETURN TO DECODE            PTM72730
                    *                                                   PTM72735
                    CHEX1 MDX  L  CHECK,5   DO NOT PLACE CHAR           PTM72740
                          MDX     CHEX      CONT TO DECODE              PTM72745
                    *                                                   PTM72750
                    NX40  LDX   3 39        SET COL CNT                 PTM72755
                          STX   3 CHKTP     SET I/P FLD PT              PTM72760
                          MDX   3 1         INCR COL CNT                PTM72765
                          MDX   1 +32       XR1 PT TO TAG FLD           PTM72770
                          MDX     CHEX1     RETURN TO DECODE            PTM72775
                    *                                                   PTM72780
                    NX45  LDX   3 45        SET COL CNT                 PTM72785
                          LDX  I1 RDBFR                                 PTM72790
                          MDX   1 +27       XR1 PT TO OP CODE FLD       PTM72795
                          MDX     CHEX1     RETURN TO DECODE            PTM72800
                    *                                                   PTM72805
                    M3B01 LDX  L1 *-*       RESTORE XR1                 PTM72810
                          BSC  L  CHEX-2    CONT TO DECODE              PTM72815
                    *                                                   PTM72820
                    *     CONSTANTS AND INDICATORS                      PTM72825
                    *                                                   PTM72830
                    MCHX  DC      *-*       CHAR CNT                    PTM72835
                    FBMSK MDX   2 -1        INSTRUCTION MODIFIER        PTM72840
                    D10   DC      10        CONSTANT 10                 PTM72845
                    HXF0  DC      /F0       POSITIVE ZONE CONSTANT      PTM72850
                    PLUSI DC      /0041     MACRO INDR                  PTM72855
                    *                                                   PTM72860
                    *     PROCESS FD INDR                               PTM72865
                    *     END OF RCD PROCESSING                         PTM72870
                    *                                                   PTM72875
                    FD    RTE     16        MOVE EXT TO ACC             PTM72880
                          STX  L2 SAVFD     SAVE XR2                    PTM72885
                          LDX  I2 MACCT     XR2 IS DEPTH CTR            PTM72890
                          STO  L2 SAVFD     SAVE EXT IN NEST TBL        PTM72895
                          LD   L  SAVFD                                 PTM72900
                          STO  L2 SAVFD-1   SAVE XR2 IN NEST TBL        PTM72905
                          BSI  L  LDXRS     RESTORE XR1 AND XR3         PTM72910
                          LD    3 PSMDE-X3  CHECK PASS MODE INDR   2-11 PTM72912
                          BNZ     TWPAS     BRANCH IS 2-PASS MODE  2-11 PTM72913
                          BSI     M3BBC      SEARCH FOR LEFT BLK   2/11 PTM72915
                          LD      PLUSI      SET MACRO INDICATOR   2/11 PTM72916
                    FD050 STO  L  *-*                              2/11 PTM72917
                    FD060 BSC  I  P9220      RETURN                2-11 PTM72918
                    TWPAS LD      MACPL     LD + INDICATOR         2-11 PTM72919
                          STO   1 20        STORE AT COL 20        2-11 PTM72920
                          B       FD060     GO TO RETURN           2-11 PTM72921
                    *                                              2/11 PTM72930
                    *     SUBROUT INE TO SEARCH FOR RIGHT MOST     2/11 PTM72931
                    *     CHARACT ER OF STATEMENT                  2/11 PTM72932
                    *                                              2/11 PTM72933
                    M3BBC DC      *-*        ENTRY                 2/11 PTM72934
                          MDX   1 79         BUMP TO COL 80        2/11 PTM72935
                          LDX   3 45         MAX COUNT 21-80       2/11 PTM72936
                    M3B05 LD    1 0          GET THE CHARACTER     2/11 PTM72937
                          EOR     MACBK      IS IT A BLANK         2/11 PTM72938
                          BSC  L  M3B10,Z                          2/11 PTM72939
                          MDX   1 -1         DECR COL POINTER      2/11 PTM72940
                          MDX   3 -1         DECR CHAR COUNT       2/11 PTM72941
                          MDX     M3B05      BACK FOR NEXT CHAR    2/11 PTM72942
                    M3B10 MDX   1 3         BACK TO THE BLANK       212 PTM72943
                          STX   1 FD050+1    SAVE COL ADDR         2/11 PTM72944
                          BSI  L  LDXRS      RESTORE               2/11 PTM72945
                          BSC  I  M3BBC      RETURN                2/11 PTM72946
                    *                                              2/11 PTM72947
                    MACBK DC      .          BLANK                 2/11 PTM72948
                    MACPL DC      .+         PLUS                  2/11 PTM72949
                    *                                              2/11 PTM72950
                    *     ENTRY   FROM RDCRD                       2/11 PTM72951
                    *                                              2/11 PTM72952
                    FDNXT LDX  I2 MACCT     XR2 IS DEPTH COUNTER   2-11 PTM72953
                          SLA     16                                    PTM72955
                          STO     MCHX      CLEAR CHARACTER COUNT       PTM72960
                          LDD  L2 SAVFD-1   FETCH SKEL PT AND EXT       PTM72965
                          STO     FDNX1+1   SET TO RESTORE SKEL PT      PTM72970
                          BSI  L  SCLR      CLEAR I/P BFR               PTM72975
                          LD   L2 SAVFD     FETCH POS IN SKELETON       PTM72980
                          LDX  I1 RDBFR     XR1 PT TO I/P BFR           PTM72985
                          MDX   1 +21       XR1 PT TO LABEL FLD         PTM72990
                    FDNX1 LDX  L2 *-*       RESTORE SKELETON PT         PTM72995
                          BSC  L  EXP02,Z   BR TO DECODE 2ND CHAR       PTM73000
                          BSC  L  EXP03     BR TO CHECK FOR END OF SCTR PTM73005
                    *                                                   PTM73010
                    *     PROCESS FE INDR                               PTM73015
                    *     END OF MACRO PROCESSING                       PTM73020
                    *                                                   PTM73025
                    FE    MDX  L  MACCT,-2  DECR DEPTH CTR              PTM73030
                          MDX     FENXT     BR TO HANDLE NESTING        PTM73035
                    *                                                   PTM73040
                    FE00  EQU     *         SET END SW                  PTM73045
                          LDX  L3 ASMCM     RESTORE XR3                 PTM73050
                          LDD   3 PINPT-X3  SET PRINC I/P SUBR HDR      PTM73055
                          STD  I  RP000                                 PTM73060
                          LDD     B3901     DK READ PARAM TO ACC,EXT    PTM73065
                          BSI   3 DISK1-X3  REFRESH PRINC I/P SUBR      PTM73070
                          LDD     B3902+2   SET HEADER TO LOAD          PTM73075
                          STD   3 OVLAY-X3  *MACRO PH 2                 PTM73080
                          LD      B3905     SET XEQ ADDR FOR MACRO PH 2 PTM73085
                          STO   3 P0140+1-X3                            PTM73090
                          BSC  L  P0130     XEQ MACRO PH 2              PTM73095
                    *                                                   PTM73100
                    FE000 EQU     *         RESTORE MACRO PH 3A         PTM73105
                    FE01  LD    3 RDBFR+1-X3  FETCH I/O AREA ADDR       PTM73110
                          BSI  I  CVADR     CONVERT NEXT RCD TO EBCDIC  PTM73115
                          LD    3 RDBFR-X3  RESTORE I/O AREA HDR        PTM73120
                          STO  L  P9245+5                               PTM73125
                          BSI  L  RDCRD     BR TO GET NEXT RCD          PTM73130
                          MDX  L  $IBSY,0   TEST BUSY                   PTM73135
                          MDX     *-3                                   PTM73140
                          LD    1 +21       TEST FOR ASTERISK IN CC 21  PTM73145
                          EOR     M3BAS                                 PTM73150
                          BSC  L  *+3,+-    BR-ASTERISK IN CC 21        PTM73155
                          LD   L  MACBK     SET COL +34 TO BLANK        PTM73160
                          STO   1 +34       *UNCONDITIONALLY            PTM73165
                          BSC  L  BGASM     CONT ASSEMBLY               PTM73170
                    *                                                   PTM73175
                    FENXT LDX  I2 MACCT     XR2 IS DEPTH CTR            PTM73180
                          MDX  L  DEPTH,-1  DECREMENT DEPTH SYMBOL      PTM73185
                          MDX  L  DEEP,1    INCR DEPTH CTR              PTM73190
                          LD   L2 MACTB-2   RESTORE SKELETON SCTR ADDR  PTM73195
                          SLA     1                                     PTM73200
                          SRA     1         CLEAR HIGH ORDER BIT        PTM73205
                          STO  L  SKEL1+1                               PTM73210
                          BSI  L  RDSK      READ SKELETON SCTR          PTM73215
                    *                                                   PTM73220
                    * END OF MACRO HAS OCCURRED SET CALL PTS            PTM73225
                    * (PRMLC + PRLOC) TO PREVIOUS CALL IF NESTED        PTM73230
                          LD      PRMLC     PT TO CALL PARAM FOR        PTM73235
                          STO     PRLOC     *THIS NEST LEVEL            PTM73240
                          LDX   3 -1        PT TO NEXT AVAILABLE        PTM73245
                          STX   3 PRREL     *CALLER,GET BACKWARD PT     PTM73250
                          BSI  L  PRLD      *TO PREVIOUS CALL           PTM73255
                          STO     PRMLC     *AND SAVE                   PTM73260
                          MDX     FDNXT+2   PROCESS NEXT RCD            PTM73265
                    *                                                   PTM73270
                    *     CONSTANTS                                     PTM73275
                    *                                                   PTM73280
                    M3BAS DC      .*        EBCDIC ASTERISK             PTM73285
                          BSS  E  0         FORCE EVEN ADDR             PTM73290
                    B3901 DC      /7000     DK READ FUNC CODE           PTM73295
                          DC      P9468     I/O AREA ADDR               PTM73300
                          BSS  E  0         FORCE EVEN ADDR             PTM73305
                    B3902 DC      /EC       SLET ID OF MACRO PH 2       PTM73310
                          BSS     3                                     PTM73315
                          BSS  E  0         FORCE EVEN ADDR             PTM73320
                    B3904 DC      /7000     DK READ FUNC CODE           PTM73325
                          DC      PBUFF-2   I/O AREA ADDR               PTM73330
                          BSS  E  0         FORCE EVEN ADDR             PTM73335
                    PRLOC DC      *-*       PBUFF END +1                PTM73340
                    PRMLC DC      *-*       PBUFF CURR CALL PT          PTM73345
                    PRREL DC      *-*       PT WITHIN MACRO CALL        PTM73350
                    B3905 DC      ELIB1     MACRO PH 2 SPECIAL ENTRY    PTM73355
                    *                                                   PTM73360
                    *     PROCESS FF INDR                               PTM73365
                    *     SKELETON SCTR TRUNCATION                      PTM73370
                    *                                                   PTM73375
                    FF    EQU     *                                     PTM73380
                          STX   3 FF3+1     SAVE XR3                    PTM73385
                          MDX  L  SKEL1+1,1 INCR SKELETON SCTR ADDR     PTM73390
                          BSI  L  RDSK      READ SKELETON SCTR ADDR     PTM73395
                          LDX  I2 MACCT     UPDATE MACRO NEST TBL       PTM73400
                          LD   L2 MACTB-2   *SKELETON SCTR ADDR         PTM73405
                          A       SUB1                                  PTM73410
                          STO  L2 MACTB-2                               PTM73415
                          LDX   2 1         INITLZ SKELETON SCTR PT     PTM73420
                          STX  L2 STAR                                  PTM73425
                    FF3   LDX  L3 *-*       RESTORE XR3                 PTM73430
                          BSC  L  EXP01     CONT TO DECODE              PTM73435
                    *                                                   PTM73440
                    *     SUBROUTINE TO MOVE PARAM STRING               PTM73445
                    *                                                   PTM73450
                    *     XR1 IS TARGET ADDR                            PTM73455
                    *     XR2 IS STRING CTR                             PTM73460
                    *     XR3 IS SOURCE ADDR                            PTM73465
                    *                                                   PTM73470
                    MSTNG DC      *-*       ENTRY PT                    PTM73475
                    MST01 BSI  L  PRLD      LD 2 BYTES FROM PBUFF       PTM73480
                          RTE     8         SHIFT OUT 1ST CHAR          PTM73485
                    MST02 BSC     Z                                     PTM73490
                          STO   1 0         STORE CHAR IF EXISTS        PTM73495
                          BSC     Z         IF CHAR PRESENT             PTM73500
                          MDX   1 1         *INCR TARGET ADDR PT        PTM73505
                          SLA     16        CLEAR ACC                   PTM73510
                          SLT     8         GET NEXT CHAR               PTM73515
                          BSC  L  MST03,+-  BR IF NO CHAR               PTM73520
                          MDX   2 -1        DECR CHAR CNT               PTM73525
                          MDX     MST02     CONT MOVE OPERATION         PTM73530
                          MDX     MST04     BR-MOVE COMPLETED           PTM73535
                    *                                                   PTM73540
                    MST03 EQU     *                                     PTM73545
                          MDX   2 -1        DECR CHAR CNT               PTM73550
                          MDX     MST01     CONT STRING MOVE            PTM73555
                    MST04 BSC  I  MSTNG     RETURN TO CALLER            PTM73560
                    *                                                   PTM73565
                    *     PARAMETER SUBSTITUTION SUBR                   PTM73570
                    *                                                   PTM73575
                    PSUB  STX  L2 FXR2      SAVE XR2                    PTM73580
                          STX   3 PSUB3+1   SAVE XR3                    PTM73585
                          LDX   2 20        SET INDIRECT SUBSTITUTE CTR PTM73590
                          SLT     6         SHIFT IN PAREM NUMBER       PTM73595
                    PSUB0 LDX   3 0         SET RELATIVE PT TO ZERO     PTM73600
                          STX   3 PRREL                                 PTM73605
                          STO     PSUB1     SAVE PARAM NO.              PTM73610
                          LD      PSUB3+1   TEST COL CNT FOR ZERO       PTM73615
                          BSC  L  PSUB2,+-  EXIT IF END OF RCD          PTM73620
                          BSI     PRLD      IS PARAM NO. GT NEEDED      PTM73625
                          S       PSUB1                                 PTM73630
                          BSC  L  PSUB4,+Z  BYPASS SUBSTITUTION         PTM73635
                    SUB2  BSI     PRLD      GET NEXT PARAM NO./STG CNT  PTM73640
                          RTE     9         CHECK PARAM NO         2-11 PTM73645
                          S       PSUB1                                 PTM73650
                          BSC     +-        SKIP IF STRING NOT FOUND    PTM73655
                          MDX     SUBIT     SUBSTITUTE STRING           PTM73660
                          SLT     17                                    PTM73665
                          SRA     8         CHAR COUNT TO ACC      2-11 PTM73670
                          BSC     C         SKIP-NO INDIRECT SUBSTITUTE PTM73675
                          SLA     16        CLEAR CHAR CNT              PTM73680
                          A       SUB1      INCR CHAR CNT               PTM73685
                          SRA     1         ADJUST PARAM STRING PT      PTM73690
                          A       PRREL     ADD PREVIOUS PT AND     NT  PTM73695
                          STO     PRREL     *STO FOR NEXT PARAM PT      PTM73700
                          MDX     SUB2      RETURN TO SEARCH PBUFF      PTM73705
                    *                                                   PTM73710
                    *     CONSTANTS AND SAVE AREAS                      PTM73715
                    *                                                   PTM73720
                    SUB1  DC      1         CONSTANT 1                  PTM73725
                    PSUB1 DC      *-*       TEMP STORAGE                PTM73730
                    PRSVE BSS  E  2         SAVE LOCN FOR PRLD          PTM73735
                    *                                                   PTM73740
                    *     PERFORM PARAM SUBSTITUTION                    PTM73745
                    *                                                   PTM73750
                    SUBIT SLT     17                                    PTM73755
                          SRA     8         CHAR COUNT TO ACC      2-11 PTM73760
                          BSC  L  PSUBI,C   BR-INDIRECT SUBSTITUTE      PTM73765
                          BSC  L  PSUB4,+-  EXIT,CHAR CNT ZERO          PTM73770
                          STO     *+1                                   PTM73775
                    SUBI1 LDX  L2 *-*       XR2 IS CHAR CNT             PTM73780
                          S       PSUB3+1                               PTM73785
                          BSC  L  SUBI2,+Z  BR IF VALID STRING LNG      PTM73790
                          LDX  I2 PSUB3+1   XR2 IS STRING LNG           PTM73795
                          SLA     16        CLEAR ACC                   PTM73800
                          MDX   2 0         TEST STRING LNG             PTM73805
                          MDX     SUBI2+2   BR TO PLACE STRING          PTM73810
                          MDX     PSUB2     CONT TO DECODE              PTM73815
                    *                                                   PTM73820
                    SUBI2 LD      PSUB3+1   CALC NO. OF CHARS ALLOWED   PTM73825
                          S       SUBI1+1   *AFTER STRING PLACED        PTM73830
                          STO     PSUB3+1   *IN I/P BFR                 PTM73835
                          LD   L  MCHX      UPDATE CHAR CNT             PTM73840
                          A       SUBI1+1   *TO ACCT FOR STRING         PTM73845
                          STO  L  MCHX                                  PTM73850
                          BSI     MSTNG     BR TO PLACE STRING          PTM73855
                    *                                                   PTM73860
                    PSUB2 LDX  I2 FXR2      RESTORE XR2                 PTM73865
                    PSUB3 LDX  L3 *-*       RESTORE XR3                 PTM73870
                          BSC  L  CHEX1     RETURN TO DECODE            PTM73875
                    PSUBI MDX   2 -1        DECR INDIRECT SUBSTITUTE CTRPTM73880
                          MDX     PSUB0     CONT PBUFF SCAN             PTM73885
                    PSUB4 MDX  L  CHKTP,0   IF FLAG OR TAG FLD,         PTM73890
                          MDX   1 1         ACCT FOR ONE CHAR           PTM73895
                          MDX     PSUB2     RETURN TO DECODE            PTM73900
                    *                                                   PTM73905
                    PRLD  DC      *-*       ENTRY POINT                 PTM73910
                          LDX  L3 PBUFF     ADDR PARAM BFR TO XR3       PTM73915
                          LD      PRMLC     ADDR 1ST WD THIS CALL       PTM73920
                          A       PRREL     ADDR 1ST WD REQUESTED       PTM73925
                          SRT     16        INTO EXT                    PTM73930
                          D     3 0         TEST TO SEE IF CORRECT      PTM73935
                          A    L  PBASE     *SCTR IN PARAM BFR          PTM73940
                          STD     PRSVE     SAVE SCTR ADDR,REL ADDR     PTM73945
                          S     3 1                                     PTM73950
                          BSC  L  PRLD0,-+  BR-NO DISK READ REQUIRED    PTM73955
                    *                                                   PTM73960
                          LDD     A3901                                 PTM73965
                          BSI  L  DISK1     WRITE OLD SCTR TO DISK      PTM73970
                          LD      PRSVE     SET NEW SCTR ADDR           PTM73975
                          STO   3 1                                     PTM73980
                          LDD     A3901     PREPARE TO                  PTM73985
                          S       SUB1                                  PTM73990
                          BSI  L  DISK1     READ PARAM SPILL SCTR       PTM73995
                    *                                                   PTM74000
                    PRLD0 LDX  I3 PRSVE+1   LD DISP PT TO XR3           PTM74005
                          SLT     16                                    PTM74010
                          LD   L3 PBUFF+2   FETCH PARAM STRING WD       PTM74015
                          MDX  L  PRREL,1   POINT TO NEXT WD            PTM74020
                          NOP               MAY SKIP                    PTM74025
                          BSC  I  PRLD      RETURN TO CALLER            PTM74030
                    *                                                   PTM74035
                    *     CONSTANTS AND SAVE AREAS                      PTM74040
                    *                                                   PTM74045
                          BSS  E  1         TEMP SAVE AREA              PTM74050
                    SAVFD DC      *-*       TEMP SAVE AREA              PTM74055
                          BSS     40        DUPLICATE NEST TBL          PTM74060
                    A3901 DC      /7001     DISK WRITE FUNC CODE        PTM74065
                          DC      PBUFF     I/O AREA ADDR               PTM74070
                    *                                                   PTM74075
                    *     CROSS-REFERENCE P9MVE INTERFACE               PTM74080
                    *                                                   PTM74085
                    X9MVE MDX   1 -5        ADJUST I/P PT FOR STMNT NO. PTM74090
                          STX   1 MV020                                 PTM74095
                          MDX   1 -1        SET O/P SEPARATOR           PTM74100
                          LD      MVBLK     FETCH BLANK                 PTM74105
                          STO   1 1         *COLS. TO BLANK             PTM74110
                    *                                                   PTM74115
                    *                                                   PTM74120
                          LDX   2 5         SET PRECISION TO 5          PTM74125
                          MDX  L  RDMDE,1   INCR STMNT NO.              PTM74130
                          LD   L  RDMDE     FETCH STMNT NO.             PTM74135
                          SRT     16                                    PTM74140
                    *                                                   PTM74145
                    MV010 D       MV060     CALC DECML DGT              PTM74150
                          RTE     16                                    PTM74155
                          EOR     MV070     ADD ZONE                    PTM74160
                          STO  L2 *-*       SAVE DGT IN I/P BFR         PTM74165
                    MV020 EQU     *-1                                   PTM74170
                          SLA     16        CLEAR LAST DGT              PTM74175
                          MDX   2 -1                                    PTM74180
                          MDX     MV010     CONT TO PLACE STMNT NO.     PTM74185
                    *                                                   PTM74190
                          MDX  L  PACK-1,+27 MODIFY P9MVE FOR XREF      PTM74195
                          LD      MV090                                 PTM74200
                          STO  L  PACK0+1                               PTM74205
                          LDX  L2 PRBFR+8   SET O/P BFR PT              PTM74210
                          BSC  L  PACK-1    PACK 2ND PART OF BFR        PTM74215
                    *                                                   PTM74220
                    *     RESTORE P9MVE,SET TO PRINT A LINE             PTM74225
                    *                                                   PTM74230
                    MV030 MDX  L  PACK-1,-27  RESTORE P9MVE             PTM74235
                          LDD     MV080                                 PTM74240
                          STO  L  PACK0+1                               PTM74245
                          BSC  L  PACK1                                 PTM74250
                    *                                                   PTM74255
                    *     CONSTANTS                                     PTM74260
                    *                                                   PTM74265
                    MV060 DC      10        CONSTANT 10                 PTM74270
                    MV070 DC      /F0       EBCDIC POSITIVE ZONE        PTM74275
                    XADJS DC      *-*       ADJUSTED W.S. PT        2-8 PTM74280
                          BSS  E  0         FORCE EVEN ADDR             PTM74285
                    MV080 DC      X9MVE     RETURN ADDR FOR P9MVE       PTM74290
                          DC      PRBFR     I/O PRINT AREA ADDR         PTM74295
                    MV090 DC      MV030     RETURN ADDR FOR P9MVE       PTM74300
                    MVBLK DC      .         EBCDIC BLANK                PTM74305
                    *                                              2/11 PTM74310
                    *                                              2/11 PTM74315
                    *                                              2/11 PTM74320
                    *                                              2/11 PTM74325
                    *                                              2/11 PTM74330
                    *                                              2/11 PTM74335
                    *                                              2/11 PTM74340
                    *                                              2/11 PTM74345
                    *                                              2/11 PTM74350
                    *                                              2/11 PTM74355
                    *                                              2/11 PTM74360
                    *                                              2/11 PTM74365
                    *                                              2/11 PTM74370
                    *                                              2/11 PTM74375
                    *                                              2/11 PTM74380
                    *                                              2/11 PTM74385
                    XADCO DC      *-*       SAVED ADCOW VALUE       2-9 PTM74390
                    OUT   BSI  L  P9250     AT PASS 2 P9233 BR TO  2-10 PTM74395
                    IN    BSC  L  *-*       *HERE TO UPDATE STMNT  2-10 PTM74400
                          BSC  L  OUT,Z     *NO. EVEN IF STMNT IS  2-10 PTM74405
                          MDX  L  RDMDE,1   *NOT TO BE LISTED. IF  2-10 PTM74410
                          NOP               SKIP IF >32,767 STMTS   212 PTM74412
                          MDX     IN        *LIST,OUT TO P9MVE.    2-10 PTM74415
                          BSS  E  1                                2/11 PTM74420
                    A1925 DC      A1935-A1930                      2/11 PTM74420
                    A1930 EQU     *                                2/11 PTM74421
                          EBC     .A08 MACLIB UNDEFINED.           2/11 PTM74422
                    A1935 EQU     *                                2/11 PTM74423
                          BSS     /1573-*                          2/11 PTM74424
                    M3BZ  DC      0         END OF MACRO PH 3B          PTM74425
                          HDNG    DIVISION OPERATOR PROCESSOR           PTM74430
                    *************************************************** PTM74435
                    *                                                 * PTM74440
                    *STATUS-VERSION 2,MODIFICATION 8                  * PTM74445
                    *                                                 * PTM74450
                    *FUNCTION/OPERATION-                              * PTM74455
                    *   *PROCESSES THE DIVISION OPERATOR IN AN        * PTM74460
                    *    ASSEMBLER LANGUAGE EXPRESSION                * PTM74465
                    *   *PHASE IN THE OVERLAY AREA AT THE TIME        * PTM74470
                    *    A DIVISION OPERATOR IS ENCOUNTERED IS        * PTM74475
                    *    SAVED ON DISK,OVERLAID IN CORE BY THE        * PTM74480
                    *    DIVISION OPERATOR PROCESSOR.WHEN THE         * PTM74485
                    *    DIVISION OPERATOR IS PROCESSED,THE           * PTM74490
                    *    ORIGINAL OVERLAY PHASE IS RESTORED IN        * PTM74495
                    *    CORE. PROCESSING OF THE ASSEMBLER            * PTM74500
                    *    LANGAGE EXPRESSION CONTINUES.                * PTM74505
                    *                                                 * PTM74510
                    *ENTRY POINT-                                     * PTM74515
                    *   *DIVSN                                        * PTM74520
                    *                                                 * PTM74525
                    *INPUT-                                           * PTM74530
                    *   *RECORD IN INPUT BUFFER                       * PTM74535
                    *                                                 * PTM74540
                    *OUTPUT-                                          * PTM74545
                    *   *ELMNT VALUE SET IN ASMCM                     * PTM74550
                    *                                                 * PTM74555
                    *EXTERNAL REFERENCES-                             * PTM74560
                    *   *SUBROUTINES-                                 * PTM74565
                    *       *COLL                                     * PTM74570
                    *       *ERFLG                                    * PTM74575
                    *       *F0130                                    * PTM74580
                    *       *SCAN                                     * PTM74585
                    *   *ASMCM-                                       * PTM74590
                    *       *ELMNT                                    * PTM74595
                    *       *RLCNT                                    * PTM74600
                    *       *VALUE                                    * PTM74605
                    *                                                 * PTM74610
                    *EXIT-                                            * PTM74615
                    *   *RETURNS TO SCAN THROUGH MASTER OVERLAY       * PTM74620
                    *    CONTROL AT P9062                             * PTM74625
                    *                                                 * PTM74630
                    *TABLES/WORK AREAS-N/A                            * PTM74635
                    *                                                 * PTM74640
                    *ATTRIBUTES-N/A                                   * PTM74645
                    *                                                 * PTM74650
                    *NOTES-N/A                                        * PTM74655
                    *                                                 * PTM74660
                    *************************************************** PTM74665
*SBRKSLS E7          ASM DIVISION OPERATOR                        V2M08 PTM74670
                          ORG     OVLAY                                 PTM74675
                          DC      DIV99-DIVSN   PH WD CNT               PTM74680
                          DC      /E7       SLET ID OF DIVISION OP      PTM74685
                    COLL  EQU     P9154                                 PTM74690
                    INTYP EQU     P9098                                 PTM74695
                    TYPE  EQU     P9064                                 PTM74700
                    DIVSN LD   L  VALUE     RESULT OF PRIOR SCAN        PTM74705
                          STO  L  DIV80     SAVE VALUE                  PTM74710
                          SLA     16        ZERO ACC                    PTM74715
                          STO  L  VALUE     SET TO ZERO                 PTM74720
                          LD   L  SCAN      RETURN ADDR AT SCAN ENTRY   PTM74725
                          STO     DIV81     SAVE IT                     PTM74730
                          STX   1 DIV83     SAVE POINTER TO SLASH       PTM74735
                          STX   2 DIV20+1   SAVE XR2                    PTM74740
                          STX   3 DIV48+1   SAVE XR3                    PTM74745
                          LDX  L2 DVER      SET AS EXIT                 PTM74750
                          STX  L2 SCAN      AT CAN                      PTM74755
                          BSI  L  COLL      EVAL FIRST PART             PTM74760
                          MDX  L  RLCNT,0   TEST FOR ERROR              PTM74765
                          MDX     DVER      ERROR                       PTM74770
                          LD   L  VALUE     GET IT                      PTM74775
                          STO     DIV82     SAVE IT                     PTM74780
                          LDX  L2 DIV09     SET RETURN ADDR             PTM74785
                          LDX   3 -5        SET CHAR CNT                PTM74790
                          BSI     DVSCN     SCAN FOR SPECIAL CHAR       PTM74795
                    DIV09 MDX  L  DVSC1+1,2  ADJUST SCAN SUBR           PTM74800
                    DIV10 LDX  L2 DIV20     SET RETURN ADDR             PTM74805
                          LDX   3 -7        SET CHAR CNT                PTM74810
                          BSI     DVSCN     SCAN FOR SPECIAL CHAR       PTM74815
                          MDX     DIV10     CONT CHAR SCAN              PTM74820
                    DVSCN DC      *-*       ENTRY PT                    PTM74825
                          MDX   1 1         INCR CARD PT                PTM74830
                          LD    1 0         FETCH CHAR                  PTM74835
                    DVSC1 S    L3 DIV03+5   TEST FOR SPECIAL CHAR       PTM74840
                          BSC  L2 0,+-      BR IF SPECIAL CHAR          PTM74845
                          MDX   3 1         INCR CHAR CNT               PTM74850
                          MDX     DVSC1     CONT SCAN                   PTM74855
                          BSC  I  DVSCN     RETURN TO CALLER            PTM74860
                    DIV03 DC      .+        TEST PLUS                   PTM74865
                          DC      .--.+     TEST MINUS                  PTM74870
                          DC      /50-.-    TEST AMPERSAND              PTM74875
                          DC      ./-/50    TEST SLASH                  PTM74880
                          DC      .*-./     TEST ASTERISK               PTM74885
                          DC      .,-.*     TEST COMMA                  PTM74890
                          DC      /40-.,    TEST BLANK                  PTM74895
                    DQFLG DC      .Q        EBCDIC Q - WARNING          PTM74900
                    DWARN DC      *-*       ENTRY PT                    PTM74905
                          LD      DWARN     SET RETURN ADDR             PTM74910
                          STO  L  P9202                                 PTM74915
                          MDX  L  ERADD,MCOM5-ERCNT  PT TO WARN CNT     PTM74920
                          LD      DQFLG     FETCH FLAG                  PTM74925
                          BSC  L  FLGCO     JOIN ERFLG SUBR             PTM74930
                    DIV15 DC      .*        EBC ASTERISK                PTM74935
                    DIV20 LDX  L2 *-*       RESTORE XR2                 PTM74940
                          LD    1 0         FETCH TERMINATOR            PTM74945
                          STO     DIV84     SAVE IT                     PTM74950
                          EOR     DIVSL                                 PTM74955
                          BSC  L  DIVR1,+-  BR-MULTIPLE DIVISION OP     PTM74960
                          LD      DBLNK     EBCDIC BLANK                PTM74965
                          STO   1 0         REPLACE TERMINATOR W/BLANK  PTM74970
                          STX   1 DIV40     SAVE TERMINATOR POINTER     PTM74975
                          LDX  I1 DIV83     POINTS TO DIVISION SIGN     PTM74980
                          MDX   1 1         POINT TO COLUMN AFTER /     PTM74985
                    DIV48 LDX  L3 *-*       RESTORE XR3                 PTM74990
                          BSI  L  SCAN      EVALUATE THE DIVISOR        PTM74995
                          MDX  L  RLCNT,0   TEST FOR ERROR              PTM75000
                          MDX     DVER      ERROR                       PTM75005
                          LD    2 VALUE-A   SCAN VALUE                  PTM75010
                          BSI  L  DWARN,+-  BR ON ZERO                  PTM75015
                          LD      DIV82     GET THE DIVIDEND            PTM75020
                          SRT     16        RIGHT-JUSTIFY IT            PTM75025
                          D    L  VALUE     PERFORM THE DIVISION        PTM75030
                          STO     DIV86     SAVE THE QUOTIENT           PTM75035
                          LD      DIV84     SAVED TERMINATOR            PTM75040
                          EOR     DIV15     TEST FOR AN ASTERISK        PTM75045
                          BSC  L  DIV35,+-  BRANCH IF AN ASTERISK       PTM75050
                    *                                                   PTM75055
                          LD      DIV80     GET PREV OPERAND VALUE      PTM75060
                          A       DIV86     ADD QUOTIENT FROM DIVIDE    PTM75065
                          STO  L  VALUE     VALUE NOW INCLUDES DIVIDE   PTM75070
                          MDX     DIV40-1   SKIP TO CONTINUE            PTM75075
                    DIV35 LD      DIV86     = QUOTIENT                  PTM75080
                          STO  L  ELMNT     PUT QUOTIENT INTO ELMNT     PTM75085
                          LD      DIV80     RESTORE                     PTM75090
                          STO  L  VALUE     *'VALUE'                    PTM75095
                          LDX  L1 *-*       POINT TO NEXT OPERATOR      PTM75100
                    DIV40 EQU     *-1       EQUATED TO XR1 LOAD VALUE   PTM75105
                          LD      DIV84     FETCH SAVED TERMINATOR      PTM75110
                          STO   1 0         RESTORE INTO CARD BUFFER    PTM75115
                    DIV46 LD   L  P9068                                 PTM75120
                          SRA     12                                    PTM75125
                          STO  L  P9142     RESET TERM AND RTERM TO 1   PTM75130
                          STO  L  P9144                                 PTM75135
                          LD      DIV81     SAVED SCAN RETURN ADDRESS   PTM75140
                          STO  L  SCAN      RESTORE PROPER RETURN ADDR  PTM75145
                          LD   L  INTYP     =MDX INSTRUCTION            PTM75150
                          STO  L  TYPE      SET TYPE TO AN MDX          PTM75155
                          SLT     32         CLEAR REGISTERS            PTM75160
                          LDD  L  DVSKY     RESTORE OVERLAY AREA HDR    PTM75165
                          STD   3 OVLAY-X3                              PTM75170
                          LD      DRTRN     SET BR ADDR TO CONT SCAN    PTM75175
                          STO   3 P0140+1-X3                            PTM75180
                          BSC  L  P0130     RETURN TO SCAN              PTM75185
                    DIV80 DC      *-*       'VALUE' SAVE WD             PTM75190
                    DIV81 DC      *-*       'SCAN' SAVE WD              PTM75195
                    DIV82 DC      *-*       DIVIDEND                    PTM75200
                    DIV83 DC      *-*       POINTS TO DIVISION OPTR     PTM75205
                    DIV84 DC      *-*       POINTS TO TERMINATOR        PTM75210
                    DIV86 DC      *-*       QUOTIENT                    PTM75215
                    *                                                   PTM75220
                    DRTRN DC      P9062                                 PTM75225
                    DBLNK DC      .         EBCDIC BLANK                PTM75230
                    DIVR1 LD   L  P9076     PLACE S FLAG                PTM75235
                          MDX     DVER+2                                PTM75240
                    DVER  LD   L  P9122     LOAD S FLAG                 PTM75245
                          BSI  L  ERFLG     STORE FLAG                  PTM75250
                    DIV97 MDX   1 1         MOVE INDEX ONE TO POINT     PTM75255
                          LD    1 0         *TO NEXT BLANK              PTM75260
                          S       DBLNK     *BEFORE RETURNING           PTM75265
                          BSC     Z         *TO THE MAIN SCAN           PTM75270
                          MDX     DIV97     *ROUTINE                    PTM75275
                          STO  L  VALUE     STORE ZERO IN VALUE         PTM75280
                          MDX     DIV46     EXIT                        PTM75285
                    DIVSL DC      ./        EBCDIC SLASH                PTM75290
                    *                                                   PTM75295
                          BSS     25        PATCH AREA                  PTM75300
                    DIV99 DC      0         END OF DIVISION OP PH       PTM75305
                          HDNG    CROSS-REFERENCE PART 1                PTM75310
                    *************************************************** PTM75315
                    *                                                 * PTM75320
                    *STATUS-VERSION 2,MODIFICATION 10                 * PTM75325
                    *                                                 * PTM75330
                    *FUNCTION/OPERATION-                              * PTM75335
                    *   *CROSS-REFERENCE PART 1 IS LOADED INTO THE    * PTM75340
                    *    OVERLAY AREA AT THE COMPLETION OF PHASE 3    * PTM75345
                    *    IN PASS TWO IF *XREF HAS BEEN SPECIFIED      * PTM75350
                    *    AND IS A VALID OPTION.                       * PTM75355
                    *   *IT EXPANDS THE SYMBOL TABLE TO 4 WORD        * PTM75360
                    *    ENTRIES,THE FIRST WORD OF EACH ENTRY         * PTM75365
                    *    BEING A STATEMENT NUMBER,INITIALIZED TO      * PTM75370
                    *    ZERO.                                        * PTM75375
                    *   *IT INITIALIZES THE STATEMENT COUNTER AND     * PTM75380
                    *    SET THE PASS FLAG TO THIRD PASS. IT REFRESHES* PTM75385
                    *    PHASE 9 AND MODIFIES THE FOLLOWING PHASE     * PTM75390
                    *    9 SUBROUTINES AS DESCRIBED.                  * PTM75395
                    *       *LDLBL TO INTERFACE WITH XREF SYMBOL      * PTM75400
                    *        TABLE SEARCH AND STATEMENT NUMBER        * PTM75405
                    *        SETTING                                  * PTM75410
                    *       *P9MVE TO INCREMENT STATEMENT COUNTER ONLY* PTM75415
                    *       *ERFLG TO SET CROSS-REFERENCE TBL ENTRY   * PTM75420
                    *       *PALBL                                    * PTM75425
                    *       *DFOUT TO BYPASS BUILDING DSF             * PTM75430
                    *       *STSCH TO HANDLE 4 WORD ENTRIES IN        * PTM75435
                    *        SYMBOL TABLE                             * PTM75440
                    *   *IT ALSO LOADS CROSS-REFERENCE PART 2 INTO    * PTM75445
                    *    CORE AND INITIATES THE THIRD PASS            * PTM75450
                    *                                                 * PTM75455
                    *ENTRY POINT-                                     * PTM75460
                    *   *XR000                                        * PTM75465
                    *                                                 * PTM75470
                    *INPUT-N/A                                        * PTM75475
                    *                                                 * PTM75480
                    *OUTPUT-N/A                                       * PTM75485
                    *                                                 * PTM75490
                    *EXTERNAL REFERENCES-                             * PTM75495
                    *   *SUBROUTINES-                                 * PTM75500
                    *       *DISK1                                    * PTM75505
                    *       *INT2                                     * PTM75510
                    *       *LDXRS                                    * PTM75515
                    *   *ASMCM-                                       * PTM75520
                    *       *ADJSA                                    * PTM75525
                    *       *DSADR                                    * PTM75530
                    *       *HIEND                                    * PTM75535
                    *       *LOEND                                    * PTM75540
                    *       *PASS                                     * PTM75545
                    *       *RDMDE                                    * PTM75550
                    *   *DCOM/COMMA-                                  * PTM75555
                    *       *$CORE                                    * PTM75560
                    *       *$PHSE                                    * PTM75565
                    *                                                 * PTM75570
                    *EXIT-                                            * PTM75575
                    *   *LOADS AND TRANFERS CONTROL TO PHASE 1        * PTM75580
                    *                                                 * PTM75585
                    *TABLES/WORK AREAS-N/A                            * PTM75590
                    *                                                 * PTM75595
                    *ATTRIBUTES-N/A                                   * PTM75600
                    *                                                 * PTM75605
                    *NOTES-N/A                                        * PTM75610
                    *                                                 * PTM75615
                    *************************************************** PTM75620
*SBRKSLS F2          ASM CROSS-REFERENCE PART I                   V2M08 PTM75625
                          ORG     OVLAY                                 PTM75630
                          DC      XR999-XR900  WD CNT OF XREF PH 1      PTM75635
                          DC      -/F2      SLET ID OF XREF PART 2      PTM75640
                    XR001 DC      XR900-XR001  SLET TBL ADDR DISP       PTM75645
                          DC      18        NO. OF PHASE ID'S TO FILL   PTM75650
                          ORG     *-2                                   PTM75655
                    *                                                   PTM75660
                    *     CONSTANTS                                     PTM75665
                    *                                                   PTM75670
                          BSS  E  0         FORCE EVEN ADDR             PTM75675
                    XR900 DC      /DC       SLET ID OF PHASE 9          PTM75680
                          BSS     3                                     PTM75685
                          DC      /DD       SLET ID OF PHASE 5          PTM75690
                          BSS     3                                     PTM75695
                          DC      /DE       SLET ID OF PHASE 6          PTM75700
                          BSS     3                                     PTM75705
                          DC      /DF       SLET ID OF PHASE 7          PTM75710
                          BSS     3                                     PTM75715
                          DC      /E1       SLET ID OF PHASE 8          PTM75720
                          BSS     3                                     PTM75725
                          DC      /E2       SLET ID OF PHASE 8A         PTM75730
                          BSS     3                                     PTM75735
                          DC      /D3       SLET ID OF PHASE 12         PTM75740
                          BSS     3                                     PTM75745
                          DC      /DA       SLET ID OF PHASE 2          PTM75750
                          BSS     3                                     PTM75755
                          DC      /E9       SLET ID OF MACRO PH 1       PTM75760
                          BSS     3                                     PTM75765
                    XR912 DC      /D5       SLET ID OF PHASE 1          PTM75770
                          BSS     3                                     PTM75775
                          DC      /E3       SLET ID OF PNCH CNVRT       PTM75780
                          BSS     3                                     PTM75785
                          DC      /D4       SLET ID OF ERMSG            PTM75790
                          BSS     3                                     PTM75795
                    XR993 DC      /D9       SLET ID OF PHASE 4          PTM75800
                          BSS     3                                     PTM75805
                          DC      /E5       SLET ID OF PHASE 10A        PTM75810
                          BSS     3                                     PTM75815
                    XR990 DC      /F3       SLET ID OF XREF PART 2A     PTM75820
                          BSS     3                                     PTM75825
                          DC      /F4       SLET ID OF XREF PART 2B     PTM75830
                          BSS     3                                     PTM75835
                          DC      /F5       SLET ID OF XREF PART 2C     PTM75840
                          BSS     3                                     PTM75845
                    XR994 DC      /D2       SLET ID OF PHASE 11         PTM75850
                          BSS     3                                     PTM75855
                    *                                                   PTM75860
                    XR901 DC      /F2       SLET ID OF XREF PART 1      PTM75865
                    XR902 DC      -1        3RD PASS CONSTANT           PTM75870
                          BSS  E  0         FORCE EVEN ADDR             PTM75875
                    XR905 DC      /7000     DK READ FUNC CODE           PTM75880
                          DC      P9000-2   I/O AREA ADDR               PTM75885
                    XR903 DC      G4000     GRAPHICS PH START ADDR      PTM75890
                          BSS  E  0         FORCE EVEN ADDR             PTM75895
                    XR906 BSC  L  XR200     BR INSTRUCTION FOR LDLBL    PTM75900
                    XR907 MDX  L  RDMDE,1   INST TO INCR STMNT NO.      PTM75905
                          BSC  I  P9250     INST TO RETURN IN P9MVE     PTM75910
                          DC      0         FORCE EVEN ADDR             PTM75915
                          EBC     .B   .    EBC B                       PTM75920
                          EBC     .BC  .    EBC BC                      PTM75925
                          EBC     .BN  .    EBC BN                      PTM75930
                          EBC     .BNN .    EBC BNN                     PTM75935
                          EBC     .BNP .    EBC BNP                     PTM75940
                          EBC     .BNZ .    EBC BNZ                     PTM75945
                          EBC     .BO  .    EBC BO                      PTM75950
                          EBC     .BOSC.    EBC BOSC                    PTM75955
                          EBC     .BOD .    EBC BOD                     PTM75960
                          EBC     .BP  .    EBC BP                      PTM75965
                          EBC     .BSC .    EBC BSC                     PTM75970
                          EBC     .BSI .    EBC BSI                     PTM75975
                          EBC     .BZ  .    EBC BZ                      PTM75980
                          EBC     .SKP .    EBC SKP                     PTM75985
                    XR919 EQU     P9MVE+6                               PTM75990
                    XR933 DC      3         CONSTANT                    PTM75995
                    XR934 DC      PDEND     END OF GRAPHICS PH          PTM76000
                    *                                                   PTM76005
                    *     ENTER XREF PART 1 HERE                        PTM76010
                    *                                                   PTM76015
                    XR000 EQU     *         ENTER XREF PHASE HERE       PTM76020
                          LD      XR901     SET PHASE ID TO XREF PH     PTM76025
                          STO  L  $PHSE                                 PTM76030
                          LDX  L3 ASMCM     RESTORE XR3                 PTM76035
                    *                                                   PTM76040
                    *     CALCULATE SYMBOL TBL SIZE WITH 4              PTM76045
                    *     *WORD ENTRIES --- ABORT CROSS-REFERENCE       PTM76050
                    *     *IF OVERFLOW WILL OCCUR                       PTM76055
                    *                                                   PTM76060
                          LD    3 HIEND-X3  CALCULATE SYMBOL TBL        PTM76065
                          S     3 LOEND-X3  *SIZE WITH 4 WORD ENTRIES   PTM76070
                          A       XR933                                 PTM76075
                          STO  L  XR932     NEW SYMBOL TBL = OLD SYMBOL PTM76080
                          SRT     16                                    PTM76085
                          D       XR933     *TBL+(OLD SYMBOL TBL)/3     PTM76090
                          STO  L  XR931     *MOVE PTR                   PTM76095
                          A    L  XR932                                 PTM76100
                          A       XR934     ADD END ADDR OF XREF PH     PTM76105
                          S    L  $CORE     SUBTRACT HIGH CORE ADDR     PTM76110
                          BSC  L  XR800,-   BR-OVFLO OCCURS             PTM76115
                          LD   L  XADJS     SAVE WS POINTER TEMPOR 2-10 PTM76120
                          STO  L  TADJS     *FROM SYMB TB EXPANSION2-10 PTM76125
                          LD    3 LOEND-X3  CALC SYMBOL TBL             PTM76130
                          S    L  XR931                                 PTM76135
                          STO     *+1                                   PTM76140
                    *                                                   PTM76145
                          LDX  L2 *-*       XR2 IS MOVE TO PT           PTM76150
                    STSV0 EQU     *-1                                   PTM76155
                          LDX  I1 LOEND     XR1 IS MOVE FROM PT         PTM76160
                          LD    3 HIEND-X3                              PTM76165
                          S     3 LOEND-X3                              PTM76170
                          BSC  L  STSV2+1,+-  BR-DO NOT MODIFY LOEND    PTM76175
                          BSC  L  STSV1,-   BR-ADJUST SYMB TBL PT       PTM76180
                          LD    3 LOEND-X3                              PTM76185
                          S       XR902                                 PTM76190
                          MDX     STSV2                                 PTM76195
                    STSV1 LD      STSV0     ADJUST SYMB TBL PT          PTM76200
                          S       XR902                                 PTM76205
                    STSV2 STO   3 LOEND-X3                              PTM76210
                    STMV2 MDX  L  XR931,-1                              PTM76215
                          MDX     *+1       BR-CONT SYMBOL TBL MOVE     PTM76220
                          MDX     XR002     BR-SYMBOL TBL MOVED         PTM76225
                          MDX   2 +1        ADJUST MOVE TO PT           PTM76230
                          LDX   3 3         SET LOOP CTR                PTM76235
                          SLA     16        SET STATEMENT NO. TO ZERO   PTM76240
                          STO   2 -1        *RESET IF NON-SYSTEM SYMBOL PTM76245
                    STMV1 LD    1 0         MOVE SYMBOL TBL WORD        PTM76250
                          STO   2 0                                     PTM76255
                          MDX   1 +1        ADJUST MOVE FROM PT         PTM76260
                          MDX   2 +1        ADJUST MOVE TO PT           PTM76265
                          MDX   3 -1        DECR LOOP CTR               PTM76270
                          MDX     STMV1     CONT TO MOVE SYMB TBL ENT   PTM76275
                          MDX     STMV2     CONT TO MOVE SYMBOL TBL     PTM76280
                    XR002 LDX  L3 ASMCM     RESTORE XR3                 PTM76285
                          SLA     16        SET LAST STMNT NO.          PTM76290
                          STO   2 0         *TO ZERO                    PTM76295
                    *                                                   PTM76300
                          LD      XR902     SET PASS TO PASS 3          PTM76305
                          STO   3 PASS-X3                               PTM76310
                          LD      IRDMD     INITIALIZE STMNT NO.        PTM76315
                          STO   3 RDMDE-X3                              PTM76320
                    *                                                   PTM76325
                    *                                                   PTM76330
                          LD   L  ERPTR     SAVE SPECIAL ERR CNT        PTM76335
                          STO     XRRPT     *TEMPORARILY                PTM76340
                          LDD  L  XR900+2   RESTORE ASM PH 9            PTM76345
                          STD  L  P9000-2                               PTM76350
                          LDD     XR905                                 PTM76355
                          BSI   3 DISK1-X3  FETCH PHASE 9               PTM76360
                          LD      XRRPT     RESTORE SPECIAL ERR CNT     PTM76365
                          STO  L  ERPTR                                 PTM76370
                          LD      NLTBR     SET TO NO LIST              PTM76375
                          STO  L  P9233                            2-10 PTM76380
                          LDX   2 0                                     PTM76385
                          LDX   1 -32                                   PTM76390
                    XR003 LDD  L1 XR900+38  REFRESH DISK HEADER TBL     PTM76395
                          STD  L2 P9041     *IN PHASE 9                 PTM76400
                          MDX   2 +2                                    PTM76405
                          MDX   1 +4                                    PTM76410
                          MDX     XR003     CONT REFRESH PH 9 TBL       PTM76415
                          LD   L  XR903     SET GRAPH PH START ADDR     PTM76420
                          STO  L  P9540                                 PTM76425
                          LDX   1 -16       SET LOOP CTR                PTM76430
                          LDX   2 0         SET TBL PT                  PTM76435
                    XXR03 LDD  L1 XR900+54  REFRESH DISK HDR TBL        PTM76440
                          STD  L2 P9245+6                               PTM76445
                          MDX   2 2         INCR TBL PT                 PTM76450
                          MDX   1 4         DECR LOOP CTR               PTM76455
                          MDX     XXR03     CONT TO REFRESH TBL         PTM76460
                    *                                                   PTM76465
                    *     SET LABEL FIELD SCAN TO RETURN HERE           PTM76470
                    *                                                   PTM76475
                          LDD  L  XR906     SET UP BRANCH INSTRUCTION   PTM76480
                          STO  L  P9221     *IN LDLBL TO RETURN FOR     PTM76485
                          SLT     16        *XREF PHASE                 PTM76490
                          STO  L  P9221+1                               PTM76495
                    *                                                   PTM76500
                    *     MODIFY P9MVE SUBR TO INCR STATEMENT           PTM76505
                    *     *NUMBER ONLY                                  PTM76510
                    *                                                   PTM76515
                          LDX   1 -33       SET LOOP CONTROL            PTM76520
                    XR004 LD   L1 XR907+33  MODIFY P9MVE WD             PTM76525
                          STO  L1 P9250+34                              PTM76530
                          MDX   1 +1        DECR LOOP CTR               PTM76535
                          MDX     XR004     CONT TO MODIFY P9MVE        PTM76540
                    *                                                   PTM76545
                    *     MODIFY ERFLG SUBR                             PTM76550
                    *     *FOR CROSS REFERENCE                          PTM76555
                    *                                                   PTM76560
                          LDX   2 XR012-XR010+1  SET LOOP CTR           PTM76565
                    XR005 LD   L2 XR010-1   MOVE ERFLG SUBR             PTM76570
                          STO  L2 FLGCO-1   *FOR XREF                   PTM76575
                          MDX   2 -1                                    PTM76580
                          MDX     XR005                                 PTM76585
                          MDX     XR015     BYPASS ERFLG SUBR           PTM76590
                    *                                                   PTM76595
                    *     CONSTANTS                                     PTM76600
                    *                                                   PTM76605
                    NLTBR DC      /4400     UNCONDITIONAL BRANCH   2-10 PTM76610
                    IRDMD DC      1         INITIAL STMNT NO.           PTM76615
                    XRRPT DC      *-*       TEMP SAVE AREA              PTM76620
                          BSS  E  0         FORCE EVEN ADDR             PTM76625
                    XR908 BSC  L  XR300     BR INSTRUCTION FOR PALBL    PTM76630
                    XR909 BSC  I  P9276     INST TO RETURN IN DSF O/P   PTM76635
                    XR910 BSC  L  XR400     BR INST FOR SYM TBL SCN     PTM76640
                    XR911 BSC  L  XR500     BR INST FOR SYM TBL SCN     PTM76645
                    XR992 DC      /7000     DK READ FUNC CODE           PTM76650
                          DC      RDCRD     I/O AREA ADDR               PTM76655
                    XR995 DC      /7000     DK READ FUNC CODE           PTM76660
                          DC      P9350     I/O AREA ADDR               PTM76665
                    XR996 DC      /7000     DK READ FUNC CODE           PTM76670
                          DC      P9276+3   I/O AREA ADDR               PTM76675
                    XR997 DC      BUFI                                  PTM76680
                    XR013 SRA     3         MODIFY SYMBOL TBL SEARCH    PTM76685
                          SLA     2         *TO HANDLE 4 WORD ENTRIES   PTM76690
                          SLA     0                                     PTM76695
                    *                                                   PTM76700
                    *     THE FOLLOWING CODE OVERLAYS THE ERFLG SUBR    PTM76705
                    *                                                   PTM76710
                    XR010 LDX  L3 ASMCM     RESTORE XR3                 PTM76715
                          BSI  L  XR600     GET XREF PT-XR2             PTM76720
                          LD   X  XR012-XR011                           PTM76725
                    XR011 STO   2 0         SET ERROR FLAG INDR         PTM76730
                          MDX     *+2       ACCT FOR Q FLAG,ERFLG       PTM76735
                          BSS     2         *MODIFICATION               PTM76740
                          STO  L  ERCT1     SET ERROR CTR               PTM76745
                          LD   L  RDMDE                                 PTM76750
                          STO   2 2         SET STATEMENT NO.           PTM76755
                          SLA     16        ZERO NEXT ENTRY INDR        PTM76760
                          STO   2 3                                     PTM76765
                          LDX  I2 XR6X2     RESTORE XR2                 PTM76770
                          BSC  I  P9202     RETURN TO CALLER            PTM76775
                    XR012 DC      /C000     XREF ERROR ENTRY INDR       PTM76780
                    *                                                   PTM76785
                    *     MODIFY PALBL SUBR TO SEARCH FOR               PTM76790
                    *     *SYMBOLIC TAG FIELD                           PTM76795
                    *                                                   PTM76800
                    XR015 LDD     XR908     SET UP BR INSTRUCTION       PTM76805
                          STO  L  P9226     *IN PALBL TO RETURN TO      PTM76810
                          SLT     16        *XREF PHASE                 PTM76815
                          STO  L  P9226+1                               PTM76820
                    *                                                   PTM76825
                    *     MODIFY DSF OUTPUT SUBR TO BYPASS              PTM76830
                    *                                                   PTM76835
                          LDD     XR909     SET DSF OUTPUT SUBR FOR     PTM76840
                          STO  L  P9276+1   *IMMEDIATE RETURN TO        PTM76845
                          SLT     16        *CALLER                     PTM76850
                          STO  L  P9276+2                               PTM76855
                    *                                                   PTM76860
                    *     MODIFY SYMBOL TBL SEARCH SUBR                 PTM76865
                    *     *TO SET UP CROSS-REFERENCE TBL                PTM76870
                          MDX  L  P9316,1                               PTM76875
                          LDD     XR910     SET BRANCH INST FOR         PTM76880
                          STO  L  P9301     *UNDEFINED SYMBOL ON        PTM76885
                          SLT     16        *CROSS-REFERENCE            PTM76890
                          STO  L  P9301+1                               PTM76895
                    *                                                   PTM76900
                          LDD     XR911     SET BRANCH INST FOR         PTM76905
                          STO  L  P9302     *DEFINED SYMBOL ON          PTM76910
                          SLT     16        *CROSS-REFERENCE            PTM76915
                          STO  L  P9302+1                               PTM76920
                          LDX   1 -3        MODIFY SYMBOL TBL SEARCH    PTM76925
                    XR020 LD   L1 XR013+3   *TO HANDLE 4 WORD ENTRIES   PTM76930
                          STO  L1 P9327+3                               PTM76935
                          MDX   1 1                                     PTM76940
                          MDX     XR020     CONT TO MODIFY              PTM76945
                    *                                                   PTM76950
                    *     FETCH RESIDENT CROSS-REFERENCE CODE           PTM76955
                    *     *INTO CORE,OVERLAYS DFOUT,PHASE 10 AND P9MVE  PTM76960
                    *     *SUBROUTINES                                  PTM76965
                    *                                                   PTM76970
                          LD      XR026     RESET BUFI WD CNT           PTM76975
                          STO  L  BUFI                                  PTM76980
                          LDD  L  XR990+2   GET WD CNT,SCTR ADDR        PTM76985
                          STD  L  RDCRD     *AND SAVE IN I/O HEADER     PTM76990
                          LDD     XR992     FETCH DK READ PARAM         PTM76995
                          BSI   3 DISK1-X3  LOAD XREF PART 2-RESIDENT   PTM77000
                          LDD  L  XR990+6   PREPARE TO FETCH            PTM77005
                          STD  L  P9350     *XREF PART 2B               PTM77010
                          LDD     XR995                                 PTM77015
                          BSI   3 DISK1-X3  LOAD XREF PART 2B           PTM77020
                          LDD  L  XR990+10  PREPARE TO                  PTM77025
                          STD  L  P9276+3   *LD XREF PART 2C            PTM77030
                          LDD     XR996                                 PTM77035
                          BSI   3 DISK1-X3                              PTM77040
                          LDD  L  XR994+2   SET PH 11 I/O HDR           PTM77045
                          STD  L  P11AA                                 PTM77050
                          LD      *-2       PREPARE TO                  PTM77055
                          RTE     16                                    PTM77060
                          LD      XR995                                 PTM77065
                          BSI   3 DISK1-X3  FETCH PH 11                 PTM77070
                          LD    3 ADJSA-X3  ADDR OF INTERM I/P          PTM77075
                          STO  L  BUFI+1                                PTM77080
                          LD      XR997     PREPARE TO                  PTM77085
                          RTE     16                                    PTM77090
                          LD      XR995                                 PTM77095
                          BSI   3 DISK1-X3  READ SCTR INTERM I/P        PTM77100
                          BSI   3 LDXRS-X3  RESTORE XR1                 PTM77105
                          BSI  L  INT2      1ST SOURCE STMNT TO BFR     PTM77110
                    *                                                   PTM77115
                    *     BEGIN THIRD PASS BY LOADING ASM PH 1          PTM77120
                    *     *AND TRANSFERRING CONTROL TO IT               PTM77125
                    *                                                   PTM77130
                          LD   I  DSADR     SAVE END OF PRG TO RETORE   PTM77135
                          STO  L  XR932                                 PTM77140
                          LD   L  DSADR                                 PTM77145
                          S    L  XR933     SUBTRACT 3                  PTM77150
                          STO  L  XR931                                 PTM77155
                          LDX  I2 XR931     SET XREF END INDR           PTM77160
                          SLA     16                                    PTM77165
                          STO   2 4                                     PTM77170
                          LD      TADJS     RESTORE DSF PT         2-10 PTM77175
                          STO   3 ADJSA-X3  *ADDR FOR XREF              PTM77180
                          LDD  L  XR912+2   SET OVERLAY HEADER TO       PTM77185
                          STD  L  OVLAY     *LOAD ASM PHASE 1           PTM77190
                          LD      IBRXR     SET BR ADDR FOR OVLAY       PTM77195
                          STO   3 P0140+1-X3                            PTM77200
                    *                                                   PTM77205
                          SLA     16                                    PTM77210
                          STO   3 ADCOW-X3  RESER L.A.C.                PTM77215
                          STO   3 OPCNT-X3  RESET OP CODE WD            PTM77220
                          LD    3 P2MWC-X3                              PTM77225
                          STO   3 HTYPE-X3                              PTM77230
                          LD      XR025                                 PTM77235
                          STO  L  OPVND     ALLOW PH 2 MNEMONICS        PTM77240
                          LDX   2 8                                     PTM77245
                          SLT     32        CLEAR TO ZERO               PTM77250
                    XR027 STD  L2 INTL1-2   THE HDR INFO SWITCHES       PTM77255
                          MDX   2 -2        IN ASMCM                    PTM77260
                          MDX     XR027                                 PTM77265
                          LD      XRO28                                 PTM77270
                          STO   3 ENTCT-X3  REINITLZ ENT CNT            PTM77275
                          BSC  L  P0130     LD AND XEQ ASM PH 1         PTM77280
                    *                                                   PTM77285
                    IBRXR DC      OVLAY+2   OVLAY BR ADDR               PTM77290
                    XR025 DC      OVLAY+16  PH 2 BR ADDR                PTM77295
                    XR026 DC      320       BUFI WORD COUNT             PTM77300
                    XRO28 DC      /2000                                 PTM77305
                    *                                                   PTM77310
                    *     FETCH AND EXECUTE ASSEMBLER EXIT PHASE        PTM77315
                    *     *CORE REQUIREMENTS FOR CROSS-REFERENCE        PTM77320
                    *     *SYMBOL TABLE EXCESSIVE                       PTM77325
                    *                                                   PTM77330
                    XR800 LD   L  XADJS     RESTORE                2-10 PTM77335
                          STO   3 ADJSA-X3  *DSF PT                2-10 PTM77340
                          LDD  L  XR993+2   GET WD CNT,SCTR ADDR   2-10 PTM77345
                          STD  L  OVLAY                                 PTM77350
                          LDX  L1 OVLAY+2   SET BR ADDR                 PTM77355
                          STX  L1 P0140+1                               PTM77360
                          BSC  L  P0130     LD AND GO TO PHASE 4        PTM77365
                    TADJS DC      *-*       TEMP STOR FOR DSF PT   2-10 PTM77370
                    *                                                   PTM77375
                          BSS     /0448-*   PATCH AREA             2-10 PTM77380
                    XR999 DC      0         END OF XREF PART 1          PTM77385
                          HDNG    CROSS-REFERENCE PART 2A               PTM77390
                    *************************************************** PTM77395
                    *                                                 * PTM77400
                    *STATUS-VERSION 2,MODIFICATION 10                 * PTM77405
                    *                                                 * PTM77410
                    *FUNCTION/OPERATION-                              * PTM77415
                    *   *CONSISTS OF SUBROUTINES TO HANDLE CROSS-     * PTM77420
                    *    REFERENCE PROCESSING OF LABEL FIELD          * PTM77425
                    *    AND UNDEFINED SYMBOL                         * PTM77430
                    *                                                 * PTM77435
                    *ENTRY POINTS-                                    * PTM77440
                    *   *XR200-LDLBL INTERFACE                        * PTM77445
                    *   *XR300-PALBL INTERFACE                        * PTM77450
                    *   *XR400-SYMBOL TABLE SEARCH INTERFACE,         * PTM77455
                    *    (UNDEFINED SYMBOL)                           * PTM77460
                    *                                                 * PTM77465
                    *INPUT-                                           * PTM77470
                    *   *THIRD PASS INTERMEDIATE I/O                  * PTM77475
                    *                                                 * PTM77480
                    *OUTPUT-                                          * PTM77485
                    *   *EXPANDED SYMBOL TABLE                        * PTM77490
                    *   *CROSS-REFERENCE TABLE                        * PTM77495
                    *                                                 * PTM77500
                    *EXTERNAL REFERENCES-                             * PTM77505
                    *   *SUBROUTINES-                                 * PTM77510
                    *       *LDXRS                                    * PTM77515
                    *   *ASMCM-                                       * PTM77520
                    *       *RDMDE                                    * PTM77525
                    *       *SYMBF                                    * PTM77530
                    *                                                 * PTM77535
                    *EXIT-N/A                                         * PTM77540
                    *                                                 * PTM77545
                    *TABLES/WORK AREAS-                               * PTM77550
                    *   *SYMBOL TABLE                                 * PTM77555
                    *   *CROSS-REFERENCE TBL                          * PTM77560
                    *                                                 * PTM77565
                    *ATTRIBUTES-N/A                                   * PTM77570
                    *                                                 * PTM77575
                    *NOTES-                                           * PTM77580
                    *   *OVERLAYS PHASE 9 RDCRD SUBROUTINE            * PTM77585
                    *                                                 * PTM77590
                    *************************************************** PTM77595
*SBRKSLS F3          ASM CROSS-REFERENCE PART 2A                  V2M08 PTM77600
                          ORG     RDCRD                                 PTM77605
                          DC      XR2A9-XR913  WD CNT OF PH             PTM77610
                          DC      /F3       SLET ID OF XREF PART 2A     PTM77615
                    XR913 EQU     *                                     PTM77620
                    XR420 DC      XR500                                 PTM77625
                    XR935 DC      XR210     SYMBOL DEFINITION RETURN    PTM77630
                    *                                                   PTM77635
                    *     PROCESS LABEL FIELD FOR XREF                  PTM77640
                    *                                                   PTM77645
                    XR200 EQU     *                                     PTM77650
                          BSC  L  XR300,+-  BR-BLANK LABEL FIELD        PTM77655
                          STD   3 SYMBF-X3                              PTM77660
                          LD      XR935                                 PTM77665
                          STO  L  P9302+1                               PTM77670
                          BSI  L  P9300     PERFORM SYMBOL TBL SEARCH   PTM77675
                    XR210 LD    3 RDMDE-X3  SET STATEMENT NO.           PTM77680
                          STO   1 -3                                    PTM77685
                          LD      XR420     RESTORE SYMBOL TBL SEARCH   PTM77690
                          STO  L  P9302+1                               PTM77695
                    *                                                   PTM77700
                    XR300 LDX  I1 RDBFR     XR1 PT TO I/P BFR           PTM77705
                          SLA     16        RESET                  2-10 PTM77710
                          STO  I  $CH12     *CH 12 INDICATOR       2-10 PTM77715
                          BSC  L  P9228     PASS RCD,FETCH NEXT RCD     PTM77720
                    *                                                   PTM77725
                    *     RETURN FROM SYMBOL TBL SEARCH                 PTM77730
                    *     SYMBOL NOT FOUND                              PTM77735
                    *                                                   PTM77740
                    XR399 DC      0         UNDEFINED SYM SW            PTM77745
                    XR400 EQU     *                                     PTM77750
                          MDX  L  XR399,1   SET UNDEFINED SYM SW        PTM77755
                          BSI  L  XR600     FETCH XREF PT-XR2           PTM77760
                          LDD   3 SYMBF-X3                              PTM77765
                          OR      XR916     SET UNDEFINED SW            PTM77770
                          STO   2 0         *AND SAVE SYMBOL IN         PTM77775
                          SLT     16        *XREF TBL                   PTM77780
                          STO   2 1                                     PTM77785
                    XR410 LD    3 RDMDE-X3  SAVE STATEMENT NO.          PTM77790
                          STO   2 2                                     PTM77795
                          SLA     16        SET XREF END INDR           PTM77800
                          STO   2 3                                     PTM77805
                          BSI   3 LDXRS-X3  RESTORE XR1                 PTM77810
                          LD   L  P9321     SYMBOL VALUE TO ACC         PTM77815
                          LDX  L2 *-*       RESTORE XR2                 PTM77820
                    XR6X2 EQU     *-1                                   PTM77825
                          BSC  I  P9300     RETURN TO CALLER            PTM77830
                    *                                                   PTM77835
                    *     CONSTANTS                                     PTM77840
                    *                                                   PTM77845
                          BSS  E  0         FORCE EVEN ADDR             PTM77850
                    XR925 EBC     .MDM .    MODIFY INSTRUCTIONS         PTM77855
                          EBC     .MDX .                                PTM77860
                          EBC     .SET .                                PTM77865
                          EBC     .STD .                                PTM77870
                          EBC     .STO .                                PTM77875
                          EBC     .STS .                                PTM77880
                          EBC     .STX .                                PTM77885
                    XR916 DC      /8000     UNDEFINED SWITCH            PTM77890
                    *                                                   PTM77895
                          BSS     /07FB-*   PATCH AREA                  PTM77900
                    XR2A9 DC      0         END OF XREF PART 2A         PTM77905
                          HDNG    CROSS-REFERENCE PART 2B               PTM77910
                    *************************************************** PTM77915
                    *                                                 * PTM77920
                    *STATUS-VERSION 2,MODIFICATION 8                  * PTM77925
                    *                                                 * PTM77930
                    *FUNCTION/OPERATION-                              * PTM77935
                    *   *PROCESSES REFERENCE ENTRY OF SYMBOL;         * PTM77940
                    *    DETERMINES REFERENCE TYPE AND BUILDS         * PTM77945
                    *    3 WORD CROSS-REFERENCE TABLE ENTRY.          * PTM77950
                    *                                                 * PTM77955
                    *ENTRY POINT-                                     * PTM77960
                    *   *XR500                                        * PTM77965
                    *                                                 * PTM77970
                    *INPUT-                                           * PTM77975
                    *   *RECORD IN INPUT BUFFER                       * PTM77980
                    *                                                 * PTM77985
                    *OUTPUT-                                          * PTM77990
                    *   *CROSS-REFERENCE TABLE ENTRY CONSISTING       * PTM77995
                    *    OF EBC REFERENCE TYPE,SYMBOL TABLE ADDR      * PTM78000
                    *    OF SYMBOL AND REFERENCE STMNT NUMBER         * PTM78005
                    *                                                 * PTM78010
                    *EXTERNAL REFERENCES-                             * PTM78015
                    *   *ASMCM-                                       * PTM78020
                    *       *RDBFR                                    * PTM78025
                    *       *SYMBF                                    * PTM78030
                    *                                                 * PTM78035
                    *                                                 * PTM78040
                    *EXIT-N/A                                         * PTM78045
                    *                                                 * PTM78050
                    *TABLES/WORK AREAS-                               * PTM78055
                    *   *SYMBOL TABLE                                 * PTM78060
                    *   *CROSS-REFERENCE TABLES                       * PTM78065
                    *   *TABLES OF OP CODE REPRESENTING REFERENCE     * PTM78070
                    *    TYPE,INCLUDING PHASE 9 OP CODE TABLE         * PTM78075
                    *                                                 * PTM78080
                    *ATTRIBUTES-N/A                                   * PTM78085
                    *                                                 * PTM78090
                    *NOTES-                                           * PTM78095
                    *   *OVERLAYS SYMBOL TABLE ADD SUBROUTINE OF      * PTM78100
                    *    PHASE 9                                      * PTM78105
                    *   *PATCH FOR THIS PHASE IS INCLUDED IN THE      * PTM78110
                    *    PATCH OF CROSS-REFERENCE PART 2A             * PTM78115
                    *                                                 * PTM78120
                    *************************************************** PTM78125
*SBRKSLS F4          ASM CROSS-REFERENCE PART 2B                  V2M08 PTM78130
                          ORG     P9350                                 PTM78135
                          DC      X2C99-XR091  WD CNT OF XREF PART 2    PTM78140
                          DC      -/F4      SLET ID OF XREF PART 2B     PTM78145
                    XR090 DC      XR091-XR090  SLET TBL ADDR DISP       PTM78150
                          DC      1         NO. OF ID'S TO BE FILLED    PTM78155
                          ORG     *-2                                   PTM78160
                    XR091 DC      /D9       SLET ID OF PHASE 4          PTM78165
                          BSS     3                                     PTM78170
                    XR917 BSS  E  3         TEMP SAVE AREA              PTM78175
                    ERCT1 DC      *-*       ERROR STMNT CNT             PTM78180
                          BSS  E  0         FORCE EVEN ADDR             PTM78185
                    XR918 DC      .B        EBCDIC B                    PTM78190
                          DC      XR919-2   STARTING TBL ADDR           PTM78195
                    XR920 EBC     .MDX .                                PTM78200
                    XR921 DC      .B                                    PTM78205
                          DC      XR920-2                               PTM78210
                    XR922 DC      .L        EBCDIC  L                   PTM78215
                          DC      .0-.      EBCDIC  0                   PTM78220
                    XR924 DC      .M        EBCDIC  M                   PTM78225
                          DC      XR925-2   TBL ADDR FOR M TYPE OP      PTM78230
                    XR926 DC      .R        EBCDIC R                    PTM78235
                    XR929 DC      0         XREF OVERFLOW SCTR CNT      PTM78240
                    XR932 DC      *-*       DSF DISK END ADDR           PTM78245
                    XR914 DC      .         EBCDIC BLANK                PTM78250
                    *                                                   PTM78255
                    *     RETURN FROM SYMBOL TBL SEARCH                 PTM78260
                    *     SYMBOL FOUND                                  PTM78265
                    *                                                   PTM78270
                    XR500 EQU     *                                     PTM78275
                          BSI  L  XR600     FETCH XREF PT-XR2           PTM78280
                          STX   1 XR917                                 PTM78285
                          LD      XR917     SET SYM TBL DISP            PTM78290
                          STO   2 1                                     PTM78295
                    *                                                   PTM78300
                    *     SCAN OP CODE FIELD TO DETERMINE               PTM78305
                    *     *REFERENCE TYPE                               PTM78310
                    *                                                   PTM78315
                    XR510 EQU     *                                     PTM78320
                    *                                                   PTM78325
                          LDD     XR918     INITILIZE REFERENCE TYPE    PTM78330
                          LDX   1 28        SET LOOP CTR                PTM78335
                          BSI     XR550     CHECK OP CODE               PTM78340
                          DC      XR560     BR ADDR-OP CODE FOUND       PTM78345
                          LDX   1 2         SET LOOP CTR                PTM78350
                          LDD     XR921     INITIALIZE REFERENCE TYPE   PTM78355
                          BSI     XR550     CHECK OP CODE               PTM78360
                          DC      XR520     CHECK FLAG,TAG FLD          PTM78365
                          MDX     XR540     CONT OP CODE CHECK          PTM78370
                    *                                                   PTM78375
                    XR520 LDX  I1 RDBFR                                 PTM78380
                          LD    1 +33                                   PTM78385
                          EOR  L  XR914                                 PTM78390
                          BSC  L  XR530,+-  BR-TAG FLD BLANK            PTM78395
                          S       XR922+1                               PTM78400
                          BSC  L  XR530,+-  BR-TAG FLD ZERO             PTM78405
                          MDX     XR545     SET TO REFERENCE TYPE       PTM78410
                    XR530 LD    1 +32                                   PTM78415
                          EOR     XR922                                 PTM78420
                          BSC  L  XR560,Z   BR-FLAG FLD NOT L           PTM78425
                          LD      XR924     SET REFERENCE TYPE          PTM78430
                          MDX     XR570                                 PTM78435
                    *                                                   PTM78440
                    XR540 LDX   1 14                                    PTM78445
                          LDD     XR924     INITIALIZE REFERENCE TYPE   PTM78450
                          BSI     XR550     CHECK OP CODE               PTM78455
                          DC      XR560     BR ADDR-OP CODE FOUND       PTM78460
                    *                                                   PTM78465
                    XR545 LD      XR926     SET REFERENCE TYPE TO R     PTM78470
                          MDX     XR570                                 PTM78475
                    *                                                   PTM78480
                    XR550 DC      *-*       ENTRY TO OP TBL SEARCH      PTM78485
                          STO  L  XR917+2   SAVE REFERENCE TYPE         PTM78490
                          SLT     16                                    PTM78495
                          STO     XR555     SET OP TBL ADDR             PTM78500
                    XR553 LDD  L  P9040     FETCH OP CODE               PTM78505
                          SD   L1 *-*                                   PTM78510
                    XR555 EQU     *-1                                   PTM78515
                          BSC  L  XR557,Z   BR-NO MATCH                 PTM78520
                          RTE     16                                    PTM78525
                          BSC  L  XR557,Z   BR-NO MATCH                 PTM78530
                          LD   I  XR550     FETCH RETURN ADDR           PTM78535
                          STO     XR556                                 PTM78540
                          BSC  L  *-*       BR TO PLACE REFERENCE TYPE  PTM78545
                    XR556 EQU     *-1                                   PTM78550
                    *                                                   PTM78555
                    XR557 MDX   1 -2        DECR LOOP CTR               PTM78560
                          MDX     XR553     CONTINUE SEARCH             PTM78565
                          MDX  L  XR550,1   INCR RETURN ADDR            PTM78570
                          BSC  I  XR550     RETURN TO CALLER            PTM78575
                    *                                                   PTM78580
                    XR560 LD   L  XR917+2   FETCH REFERENCE TYPE        PTM78585
                    XR570 STO   2 0         SET   REFERENCE TYPE        PTM78590
                          MDX  L  P9300,1   INCR RETURN ADDR            PTM78595
                          BSC  L  XR410     SET STATEMENT NUMBER        PTM78600
                    X2C99 EQU     *-1                                   PTM78605
                          HDNG    CROSS-REFERENCE PART 2C               PTM78610
                    *************************************************** PTM78615
                    *                                                 * PTM78620
                    *STATUS-VERSION 2,MODIFICATION 8                  * PTM78625
                    *                                                 * PTM78630
                    *FUNCTION/OPERATION-                              * PTM78635
                    *   *SUBROUTINE TO FETCH CROSS-REFERENCE SECTOR   * PTM78640
                    *    POINTER. TESTING IS DONE TO WRITE THE        * PTM78645
                    *    CROSS-REFERENCE TABLE SECTOR TO DISK BEHIND  * PTM78650
                    *    PROGRAM DSF IF SECTOR IS FULL.               * PTM78655
                    *                                                 * PTM78660
                    *ENTRY POINT-                                     * PTM78665
                    *   *XR600                                        * PTM78670
                    *                                                 * PTM78675
                    *INPUT-N/A                                        * PTM78680
                    *                                                 * PTM78685
                    *OUTPUT-                                          * PTM78690
                    *   *INDEX REGISTER 2 CONTAINS NEXT CROSS-        * PTM78695
                    *    REFERENCE TABLE ADDRESS                      * PTM78700
                    *                                                 * PTM78705
                    *EXTERNAL REFERENCES-                             * PTM78710
                    *   *SUBROUTINES                                  * PTM78715
                    *       *DISK1                                    * PTM78720
                    *   *ASMCM-                                       * PTM78725
                    *       *DSADR                                    * PTM78730
                    *       *DSFWR                                    * PTM78735
                    *       *MCGEN                                    * PTM78740
                    *       *SCRA                                     * PTM78745
                    *                                                 * PTM78750
                    *EXIT-N/A                                         * PTM78755
                    *                                                 * PTM78760
                    *TABLES/WORK AREAS-N/A                            * PTM78765
                    *                                                 * PTM78770
                    *ATTRIBUTES-N/A                                   * PTM78775
                    *                                                 * PTM78780
                    *NOTES-                                           * PTM78785
                    *   *OVERLAYS PHASE 9 DSF OUTPUT SUBROUTINE       * PTM78790
                    *                                                 * PTM78795
                    *************************************************** PTM78800
*SBRKSLS F5          ASM CROSS-REFERENCE PART 2C                  V2M08 PTM78805
                          ORG     P9276+3                               PTM78810
                          DC      XR299-XR928  WD CNT OF PH             PTM78815
                          DC      /F5       SLET ID OF XREF PART 2C     PTM78820
                    *                                                   PTM78825
                    *     SUBROUTINE TO FETCH XREF PT FOR               PTM78830
                    *     *NEXT ENTRY                                   PTM78835
                    *                                                   PTM78840
                    XR928 DC      315       BFR SIZE                    PTM78845
                    XR930 DC      1         CONSTANT 1                  PTM78850
                    XR931 DC      *-*       XREF BFR PT                 PTM78855
                    *                                                   PTM78860
                    XR600 DC      *-*       ENTRY POINT                 PTM78865
                          STX  L2 XR6X2     SAVE XR2                    PTM78870
                          LD      XR931     TEST FOR SCTR OVERFLOW      PTM78875
                          S    L  DSADR                                 PTM78880
                          S       XR928                                 PTM78885
                          BSC  L  XR620,+Z  BR-BFR NOT FULL             PTM78890
                    XR605 LD    3 SCRA-X3   CHECK IF ANY W.S. AVAILABLE PTM78895
                          BSC  L  XR610,Z   BR IF W.S. STILL LEFT       PTM78900
                          LD   L  MCGEN     RESET DSF ADDR              PTM78905
                          STO  I  DSADR                                 PTM78910
                          LDD  L  XR091+2   LD AND XEQ ASM              PTM78915
                          STD  L  OVLAY     *EXIT PHASE                 PTM78920
                          LDX  L1 OVLAY+2   SET BR ADDR                 PTM78925
                          STX  L1 P0140+1                               PTM78930
                          BSC  L  P0130                                 PTM78935
                    *                                                   PTM78940
                    XR610 LDD   3 DSFWR-X3                              PTM78945
                          BSI   3 DISK1-X3  OUTPUT 1 SCTR OF XREF       PTM78950
                          MDX  L  XR929,1                               PTM78955
                    XR615 LD   I  DSADR     INCR XREF OVERFLOW ADDR     PTM78960
                          A       XR930                                 PTM78965
                          STO  I  DSADR                                 PTM78970
                          MDX  L  SCRA,-1   DECR W.S. SECTORS           PTM78975
                          NOP               (MAY SKIP)                  PTM78980
                          LD   L  DSADR     RESET BFR PT                PTM78985
                          STO     XR931                                 PTM78990
                          MDX     XR630                                 PTM78995
                    *                                                   PTM79000
                    XR620 MDX  L  XR931,3   INCR XREF BFR PT            PTM79005
                    XR630 LDX  I2 XR931     XR2 PT TO NEXT ENTRY        PTM79010
                          MDX   2 1         *IN XREF BFR                PTM79015
                          BSC  I  XR600     RETURN TO CALLER            PTM79020
                    *                                                   PTM79025
                          BSS     8         PATCH AREA                  PTM79030
                    XR299 DC      0         END OF XREF PART 2C         PTM79035
                          HDNG    CROSS-REFERENCE PART 3              * PTM79040
                    *************************************************** PTM79045
                    *                                                 * PTM79050
                    *STATUS - VERSION 2, MODIFICATION 12              * PTM79055
                    *                                                 * PTM79060
                    *FUNCTION/OPERATION-                              * PTM79065
                    *   *CROSS-REFERENCE PART 3 IS LOADED INTO CORE   * PTM79070
                    *    AT THE END OF PASS THREE BY PHASE 12. IT     * PTM79075
                    *    OVERLAYS THE GRAPHICS PHASE                  * PTM79080
                    *   *IF THERE ARE SYMBOLS IN THE SYMBOL TABLE,    * PTM79085
                    *    A CROSS-REFERENCE PRINT ENTRY IS BUILT AND   * PTM79090
                    *    PRINTED FOR EACH SYMBOL. THE CROSS-REFERENCE * PTM79095
                    *    TABLE IS READ INTO CORE,OVERLAYING PHASE 9   * PTM79100
                    *    6 SECTORS MAXIMUM AT A TIME, EACH TIME A     * PTM79105
                    *    SYMBOL IS PROCESSED. ONLY REFERENCE ENTRIES  * PTM79110
                    *    ARE PROCESSED.                               * PTM79115
                    *   *FOLLOWING SYMBOL TABLE PROCESSING, IF THERE  * PTM79120
                    *    WERE UNDEFINED SYMBOLS IN THE ASSEMBLY,      * PTM79125
                    *    A NEW ALPHABETICALLY ORDERED SYMBOL TABLE    * PTM79130
                    *    IS BUILT FOR UNDEFINED SYMBOLS BY SCANNING   * PTM79135
                    *    THE CROSS-REFERENCE TABLE. THE CODE FOR      * PTM79140
                    *    PROCESSING THE SYMBOLS IS MODIFIED TO        * PTM79145
                    *    ACCOMMODATE UNDEFINED SYMBOLS AND THE        * PTM79150
                    *    UNDEFINED SYMBOL TABLE IS PROCESSED AS THE   * PTM79155
                    *    SYMBOL TABLE WAS.                            * PTM79160
                    *   *FOLLOWING PROCESSING OF UNDEFINED SYMBOLS,   * PTM79165
                    *    IF THERE ARE ANY ERRORS THE CROSS-REFERENCE  * PTM79170
                    *    TABLE IS EXAMINED ONCE FOR ERROR STATEMENT   * PTM79175
                    *    ENTRIES AND THE STATEMENT NUMBERS ARE        * PTM79180
                    *    PRINTED.                                     * PTM79185
                    *   *FINALLY PHASE 9 IS REFRESHED                 * PTM79190
                    *    AND PHASE 4 IS LOADED AND CONTROL IS         * PTM79195
                    *    TRANSFERRED TO IT.                           * PTM79200
                    *                                                 * PTM79205
                    *ENTRY POINT-                                     * PTM79210
                    *   *XR100                                        * PTM79215
                    *                                                 * PTM79220
                    *INPUT-                                           * PTM79225
                    *   *SYMBOL TABLE                                 * PTM79230
                    *   *CROSS-REFERENCE TABLE                        * PTM79235
                    *                                                 * PTM79240
                    *OUTPUT-                                          * PTM79245
                    *   *PRINTED CROSS-REFERENCE                      * PTM79250
                    *                                                 * PTM79255
                    *EXTERNAL REFERENCES-                             * PTM79260
                    *   *SUBROUTINES-                                 * PTM79265
                    *       *DISK1                                    * PTM79270
                    *   *ASMCM-                                       * PTM79275
                    *       *DSADR                                    * PTM79280
                    *       *ERPTR                                    * PTM79285
                    *       *HIEND                                    * PTM79290
                    *       *LOEND                                    * PTM79295
                    *       *MCGEN                                    * PTM79300
                    *   *DCOM/COMMA-                                  * PTM79305
                    *       *$CH12                                    * PTM79310
                    *       *#HDNG                                    * PTM79315
                    *       *$PBSY                                    * PTM79320
                    *       *$PHSE                                    * PTM79325
                    *                                                 * PTM79330
                    *EXITS-                                           * PTM79335
                    *   TRANSFERS CONTROL TO ASM PHASE 4              * PTM79340
                    *                                                 * PTM79345
                    *TABLES/WORK AREAS-                               * PTM79350
                    *   *CROSS-REFERENCE TABLE                        * PTM79355
                    *   *SYMBOL TABLE                                 * PTM79360
                    *   *XRBFR,PRINT BUFFER                           * PTM79365
                    *                                                 * PTM79370
                    *ATTRIBUTES-N/A                                   * PTM79375
                    *                                                 * PTM79380
                    *NOTES-N/A                                        * PTM79385
                    *************************************************** PTM79390
*SBRKSLS F6          ASM CROSS-REFERENCE PART III                 V2M08 PTM79395
                          ORG     G4000-2                               PTM79400
                          DC      X3399-X3001  WD CNT OF XREF PART 3    PTM79405
                          DC      -/F6      SLET ID OF XREF PART 3      PTM79410
                    *                                                   PTM79415
                    X3003 DC      X3001-X3003  SLET TBL DISP ADDR       PTM79420
                          DC      3         NO. OF ID'S TO BE FILLED    PTM79425
                          ORG     *-2                                   PTM79430
                    X3001 DC      /D9       SLET ID OF PHASE 4          PTM79435
                          BSS     3                                     PTM79440
                          DC      /DC       SLET ID OF PHASE 9          PTM79445
                          BSS     3                                     PTM79450
                    XGETR DC      /D4       SLET ID OF ERMSG PH         PTM79455
                          BSS     3                                     PTM79460
                    XR936 DC      .         EBCDIC BLANK                PTM79465
                    XR940 DC      /2FFF     CONSTANT /2FFF              PTM79470
                          BSS  E  1         FORCE ODD ADDR              PTM79475
                          DC      60        WD CNT OF O/P LINE          PTM79480
                    XRBFR BSS  E  120       XREF BFR                    PTM79485
                    XR943 DC      .*        EBC *                       PTM79490
                          DC      .M        EBC M                       PTM79495
                          DC      .U        EBC U                       PTM79500
                          DC      .L        EBC L                       PTM79505
                          DC      .T        EBC T                       PTM79510
                          DC      .I        EBC I                       PTM79515
                          DC      .P        EBC P                       PTM79520
                          DC      .L        EBC L                       PTM79525
                          DC      .Y        EBC Y                       PTM79530
                          DC      .-        EBC -                       PTM79535
                          DC      .D        EBC D                       PTM79540
                          DC      .E        EBC E                       PTM79545
                          DC      .F        EBC F                       PTM79550
                          DC      .I        EBC I                       PTM79555
                          DC      .N        EBC N                       PTM79560
                          DC      .E        EBC E                       PTM79565
                          DC      .D        EBC D                       PTM79570
                          DC      .*        EBC *                       PTM79575
                    XR948 DC      .S        EBC S                       PTM79580
                          DC      .Y        EBC Y                       PTM79585
                          DC      .S        EBC S                       PTM79590
                          DC      .M        EBC M                       PTM79595
                          DC      .B        EBC B                       PTM79600
                    *                                                   PTM79605
                    X3000 DC      /F6       SLET ID OF XREF PART 3      PTM79610
                    XR958 DC      *-*       UNDEFINED SYMBOL SW         PTM79615
                    XR959 DC      .         EBCDIC BLANK                PTM79620
                    XR960 DC      1         CONSTANT 1                  PTM79625
                          BSS  E  0         FORCE EVEN ADDR             PTM79630
                    XR937 BSC  L  XR104                                 PTM79635
                    XR938 BSS     1         NO. SYMBOLS TO PROCESS      PTM79640
                    XR939 BSS     1         SYMBOL TBL PT               PTM79645
                          BSS  E  0         FORCE EVEN ADDR             PTM79650
                    XRP93 DC      10        PAGE HDNG WD CNT            PTM79655
                          DC      #HDNG     PAGE HDNG SCTR ADDR         PTM79660
                    *                                                   PTM79665
                    *     CLEAR PRINT BFR TO BLANKS SUBR                PTM79670
                    *                                                   PTM79675
                    XRCLR DC      *-*       ENTRY POINT                 PTM79680
                          LDX  L2 XRBFR     CLEAR PRINT BFR TO BLANKS   PTM79685
                          LD      XR959                                 PTM79690
                          LDX   3 +120      SET LOOP CTR                PTM79695
                    XRCL1 STO   2 0         STORE BLANKS                PTM79700
                          MDX   2 +1        ADJUST BFR PT               PTM79705
                          MDX   3 -1        DECR LOOP CTR               PTM79710
                          MDX     XRCL1     CONT TO CLEAR BFR           PTM79715
                          MDX   2 -120      RESTORE XREF BFR PT         PTM79720
                          BSC  I  XRCLR     RETURN TO CALLER            PTM79725
                    *                                                   PTM79730
                    *     PROCESS CROSS-REFERENCE TABLE                 PTM79735
                    *     WRITE LAST XREF SCTR TO DISK                  PTM79740
                    *     RETURN HERE WHEN DATA WRITTEN                 PTM79745
                    *                                                   PTM79750
                    XR100 LD      X3000     SET PHASE ID                PTM79755
                          STO  L  $PHSE                                 PTM79760
                          LDD     XR937     SET RETURN ADDR TO XR105    PTM79765
                          STO  L  XR615                                 PTM79770
                          SLT     16                                    PTM79775
                          STO  L  XR615+1                               PTM79780
                          BSC  L  XR605     WRITE XREF SCTR TO DISK     PTM79785
                    XR104 LD   L  XR932     SAVE POINTERS               PTM79790
                          STO     X9932                                 PTM79795
                          LD   L  XR929                                 PTM79800
                          STO     X9929                                 PTM79805
                    *                                                   PTM79810
                    *     BEGIN TO BUILD SYMBOL TBL                     PTM79815
                    *     *CROSS-REFERENCE                              PTM79820
                    *                                                   PTM79825
                    XR105 LD    3 HIEND-X3  CALC NO. OF SYMBOLS+1       PTM79830
                          S     3 LOEND-X3  *TO PROCESS AND SAVE        PTM79835
                          A       XR942     ADD ONE                     PTM79840
                          SRT     16                                    PTM79845
                          D       XR942                                 PTM79850
                          A       XR960     ADD CONSTANT ONE        2-9 PTM79855
                          STO     XR938                                 PTM79860
                          LD    3 HIEND-X3  SET SYMBOL TBL PTR          PTM79865
                          STO     XR939                                 PTM79870
                          BSI     XRCLR     CLEAR PRINT BFR TO BLANKS   PTM79875
                    *                                                   PTM79880
                    *     READ PAGE HDNG INTO CORE                      PTM79885
                    *                                                   PTM79890
                    XRPG1 LDD     XRP93     SET PAGE HDNG DISK HDR      PTM79895
                          STD  L  XRP94                                 PTM79900
                          LDD  L  XRP90     PREPARE TO                  PTM79905
                          LDX  L3 ASMCM     RESTORE XR3                 PTM79910
                          BSI   3 DISK1-X3  READ PAGE HDNG              PTM79915
                          MDX  L  XRP90+1,1   SET I/O AREA PRINT ADDR   PTM79920
                          LD      XRP93     SET PRINT WD CNT            PTM79925
                          STO  L  XRP94+1                               PTM79930
                          MDX  L  XRP94+1,8                             PTM79935
                          LD   L  XR399     FETCH,SAVE UNDEFINED        PTM79940
                          STO     XR958     *SYMBOL SWITCH              PTM79945
                          LD   L  ERCT1     FETCH ERROR CNT             PTM79950
                          STO  L  ERCT2                                 PTM79955
                          LD      XR938     LOAD SYMBOL TABLE INDR 2-11 PTM79960
                          BSC     +-        SKIP IF NOT ZERO       2-11 PTM79962
                          MDX     SYB01     SKIP AROUND BRANCH     2-11 PTM79964
                          BSI  L  XRPGH     NEW,PAGE,PRINT HDR          PTM79965
                    *                                                   PTM79970
                    SYB01 MDX  L  XR938,-1  DECR LOOP CTR               PTM79975
                          MDX     SYM02     GO PROCESS SYMBOL           PTM79980
                    SYM01 BSC  L  XR700     GO CHECK FOR UNDEFINED SYMB PTM79985
                    *                                                   PTM79990
                    SYM02 LD      XR951     SET LINE COUNT              PTM79995
                          STO     XR952                                 PTM80000
                          MDX  L  XR939,-4  PT TO NEXT SYMBOL           PTM80005
                          NOP               (MAY SKIP)                  PTM80010
                          MDX  L  XR957,1   SET TO PR LINE              PTM80015
                          MDX  L  XD900,1   SET DISK READ SW            PTM80020
                          LDX  I1 XR939     XR1 PT TO SYMBOL TBL ENT-1  PTM80025
                          LD    1 +4        FETCH SYMBOL NAME           PTM80030
                          RTE     16                                    PTM80035
                          LD    1 +3                                    PTM80040
                          BSI  L  UNPCK     UNPACK SYMBOL NAME          PTM80045
                    *                       *AND PLACE IN O/P BFR       PTM80050
                    SYMM2 MDX   2 +5        ADJUST O/P BFR PT           PTM80055
                          LD    1 +3        MULTIPLY-DEFINED INDR       PTM80060
                          BSC  L  SYM05,-   BR-NOT MULTIPLY DEFINED     PTM80065
                    *                                                   PTM80070
                          MDX   2 +17       ADJUST O/P BFR PT           PTM80075
                          LDX   3 +18       SET LOOP CTR                PTM80080
                    SYM03 LD   L3 XR943-1   SET MULTIPLY-DEFINED MSG    PTM80085
                          STO   2 0         *IN O/P BFR                 PTM80090
                          MDX   2 -1                                    PTM80095
                          MDX   3 -1        DECR LOOP CTR               PTM80100
                          MDX     SYM03     CONT MSG MOVE               PTM80105
                          MDX   2 +25       ADJUST O/P BFR PT TO COL 35 PTM80110
                          MDX     SYM30     BR TO SEARCH XREF TBL       PTM80115
                    SYM05 LD    1 +2        FETCH SYMBOL VALUE          PTM80120
                          BSI  L  S4HEX     CONVERT VALUE               PTM80125
                    *                                                   PTM80130
                          MDX   2 +3        ADJUST O/P PT               PTM80135
                          LD    1 +3        FETCH RELOCATION PT         PTM80140
                          SLA     1                                     PTM80145
                          SRA     15                                    PTM80150
                          OR   L  XR947     ADD EBCDIC ZONE             PTM80155
                          STO   2 0         SET RELOCATION INDR         PTM80160
                    *                                                   PTM80165
                          MDX   2 +8        ADJUST O/P PT               PTM80170
                          LD    1 +1        FETCH STATEMENT NO.         PTM80175
                          BSC  L  SYM20,Z   BR-VALID STATEMENT NO.      PTM80180
                    *                                                   PTM80185
                          LDX   3 5         SET LOOP CTR                PTM80190
                    SYM10 LD   L3 XR948-1   FETCH MSG SYSMB FOR         PTM80195
                          STO   2 0         *STATEMENT NO.              PTM80200
                          MDX   2 -1        DECR LOOP CTR               PTM80205
                          MDX   3 -1                                    PTM80210
                          MDX     SYM10     CONT TO FETCH MSG           PTM80215
                          MDX     SYM25     GO ADJUST O/P PT            PTM80220
                    *                                                   PTM80225
                    SYM20 LD    1 +1        FETCH STATEMENT NO.         PTM80230
                          BSI  L  XBDEC     CONVERT,SAVE NO.            PTM80235
                    SYM25 MDX   2 14        ADJUST O/P PT TO COL 35     PTM80240
                    *                                                   PTM80245
                    SYM30 EQU     *                                     PTM80250
                          LD      X9932     SET CURRENT OVFLO CNT       PTM80255
                          STO  L  P9000+3   *OF CROSS-REFERENCE TBL     PTM80260
                          LD      X9929                                 PTM80265
                          STO     XD902                                 PTM80270
                    SYM35 BSI  L  XDKRD     READ XREF TBL               PTM80275
                          DC      SYM70     RETURN IF SYMBOL PROCESSED  PTM80280
                          LDX  L3 P9000+1   XR3 IS XREF TBL PT          PTM80285
                          LD      XR949     SET WD CNT                  PTM80290
                          STO     XR950                                 PTM80295
                    SYM40 MDX   3 3         INCR XREF PT                PTM80300
                          MDX  L  XR950,-3  DECR CURRENT WD CNT         PTM80305
                          MDX     SYM50     CONT SEARCH OF CURRENT SCTR PTM80310
                          MDX  L  XR953,-1  DECR SCTR CNT               PTM80315
                          MDX     SYM45     CONT SEARCH WITH NEXT SCTR  PTM80320
                          MDX     SYM35     BR TO READ XREF TBL         PTM80325
                    SYM45 LD      XR949     SET WD CNT FOR ONE SCTR     PTM80330
                          STO     XR950                                 PTM80335
                          MDX   3 -1        SET PT FOR NEXT SCTR        PTM80340
                          MDX     SYM40     CONT TO PROCESS XREF TBL    PTM80345
                    *                                                   PTM80350
                    *     CONSTANTS                                     PTM80355
                    *                                                   PTM80360
                    X9932 DC      *-*       SCTR ADDR SAVED             PTM80365
                    X9929 DC      *-*       OVERFLO CNT SAVED           PTM80370
                    XD902 DC      *-*       XREF OVFLO COUNTER,CURRENT  PTM80375
                    XR942 DC      4         CONSTANT 4                  PTM80380
                    XR949 DC      321       SCTR WD CNT                 PTM80385
                    XR950 DC      321       CURRENT WD CNT              PTM80390
                    XR951 DC      11        XREF LINE CNT               PTM80395
                    XR952 DC      11        CURRENT LINE CNT            PTM80400
                    XR953 DC      *-*       PARTIAL XREF TBL SCTR CNT   PTM80405
                    XR954 BSS     1         SAVE SYMBOL TBL ADDR        PTM80410
                    XR955 DC      .,        EBCDIC COMMA                PTM80415
                    *                                                   PTM80420
                    SYM50 EQU     *                                     PTM80425
                          LD    3 0         TEST FOR SYMBOL COMPLETE    PTM80430
                          BSC  L  SYM70,+-  BR TO PRINT LAST LINE       PTM80435
                    SYM55 BSC  L  SYM40,+   BR-NOT REFERENCE ENTRY      PTM80440
                          STX   1 XR954     SAVE SYMBOL TBL ADDR-4      PTM80445
                          LD      XR954     FETCH SYMBOL TBL ADDR-4     PTM80450
                          A       XR942     ADD 4                       PTM80455
                          S     3 1                                     PTM80460
                          BSC  L  SYM40,Z   BR-NOT SYMBOL REFERENCE     PTM80465
                          MDX  L  XR957,1   INDICATE PR LINE            PTM80470
                          LD    3 2         FETCH REFERENCE NO.         PTM80475
                          BSI  L  XBDEC     PLACE REFERENCE NO.         PTM80480
                    SYM60 LD      XR955     SET COMMA IN O/P BFR        PTM80485
                          STO   2 6                                     PTM80490
                          LD    3 0         SET REFERENCE TYPE          PTM80495
                          STO   2 7         *IN O/P BFR                 PTM80500
                    SYM65 MDX   2 13        SET O/P PTR FOR NEXT ENTRY  PTM80505
                          MDX  L  XR952,-1  DECR LINE CNT               PTM80510
                          MDX     SYM40     BR-LINE NOT COMPLETE        PTM80515
                          BSI  L  XREPR     PRINT A LINE                PTM80520
                          MDX   2 +34       INITIALIZE O/P BFR ADDR     PTM80525
                          LD      XR951     SET LINE COUNT FOR          PTM80530
                          STO     XR952     *NEW LINE                   PTM80535
                          MDX     SYM40     CONT SEARCH                 PTM80540
                    SYM70 EQU     *                                     PTM80545
                          BSI  L  XREPR     PRINT LINE OF XREF          PTM80550
                          BSC  L  SYB01     PROCESS NEXT SYMBOL         PTM80555
                    *                                                   PTM80560
                    *     CHECK FOR UNDEFINED SYMBOLS                   PTM80565
                    *                                                   PTM80570
                    XR700 EQU     *                                     PTM80575
                    *                                                   PTM80580
                          LDX  L2 ASMCM     RESTORE XR3                 PTM80585
                          LD    2 HIEND-X3  INITIALIZE SYM TBL PTS      PTM80590
                          A       XR942                                 PTM80595
                          STO   2 LOEND-X3  *FOR UNDEFINED SYMBOL TBL   PTM80600
                    *                                                   PTM80605
                          MDX  L  XR958,0   TEST FOR UNDEFINED SYM      PTM80610
                          MDX     XR705     BR-UNDEFINED SYM            PTM80615
                          BSC  L  XR790     BR-NO UNDEFINED SYM         PTM80620
                    *                                                   PTM80625
                    XR705 EQU     *                                     PTM80630
                          MDX  L  XD900,1   SET DISK READ SW            PTM80635
                          LD      X9932     SET CURRENT OVFLO COUNT     PTM80640
                          STO  L  P9000+3   *XREF TBL                   PTM80645
                          LD      X9929                                 PTM80650
                          STO     XD902                                 PTM80655
                    XR707 BSI  L  XDKRD     READ XREF TBL               PTM80660
                    XR708 DC      XR730     RETURN IF TBL PROCESSED     PTM80665
                          LDX  L3 P9000+1   XR3 IS XREF TBL PT          PTM80670
                          LD      XR949     SET CURRENT WD CNT          PTM80675
                          STO     XR950                                 PTM80680
                    XR709 MDX   3 3         INCR XREF PT                PTM80685
                          MDX  L  XR950,-3  DECR CURRENT WD CNT         PTM80690
                          MDX     XR712     CONT SEARCH CURRENT SCTR    PTM80695
                          MDX  L  XR953,-1   DECR SCTR CNT              PTM80700
                          MDX     XR710     CONT SEARCH WITH NEXT SCTR  PTM80705
                          MDX     XR707     BR TO READ XREF TBL         PTM80710
                    XR710 LD      XR949     SET CURRENT WD CNT          PTM80715
                          STO     XR950                                 PTM80720
                          MDX   3 -1        SET PT FOR NEXT SCTR        PTM80725
                          MDX     XR709     CONT TO PROCESS XREF TBL    PTM80730
                    *                                                   PTM80735
                    XR712 EQU     *                                     PTM80740
                          LD    3 0         TEST FOR TBL SEARCHED       PTM80745
                    XRE12 BSC  L  XR730,+-  BR-XREF TBL SEARCHED        PTM80750
                          BSC  L  XR709,-   BR-NOT UNDEFINED ENTRY      PTM80755
                          SLA     1                                     PTM80760
                    XR713 BSC  L  XR709,+   BR-NOT UNDEFINED ENTRY      PTM80765
                          BSI  L  XRSSR     PERFORM XREF SYM TBL SEARCH PTM80770
                          MDX     XR709     CONT TO PROCESS XREF TBL    PTM80775
                    *                                                   PTM80780
                    *     MODIFY THE ORIGINAL XREF TO HANDLE            PTM80785
                    *     *UNDEFINED SYMBOLS                            PTM80790
                    *                                                   PTM80795
                    XR730 EQU     *                                     PTM80800
                          LD      XR799     MODIFY XREF END ADDR        PTM80805
                          STO  L  SYM01+1                               PTM80810
                    *                                                   PTM80815
                          LDX   1 3         SET BRANCH INSTRUCTION      PTM80820
                    XR732 LD   L1 XR798-1   *TO BYPASS SYMBOL           PTM80825
                          STO  L1 SYMM2     *HANDLING TO REFERENCE      PTM80830
                          MDX   1 -1        *COLLECTION                 PTM80835
                          MDX     XR732                                 PTM80840
                    *                                                   PTM80845
                          LDX   1 6         SET INSTRUCTION SEQUENCE    PTM80850
                    XR734 LD   L1 XR797-1   *TO TEST FOR UNDEFINED      PTM80855
                          STO  L1 SYM55-1   *SYMBOL                     PTM80860
                          MDX   1 -1                                    PTM80865
                          MDX     XR734                                 PTM80870
                          LD      XR796     SET INST TO BYPASS          PTM80875
                          STO     SYM60     *SET REFERENCE TYPE         PTM80880
                    *                                                   PTM80885
                          LD      XR795+1   SET HDNG BFR ADDR           PTM80890
                          STO  L  XRP92+1                               PTM80895
                          LD   I  $CH12     CHANNEL 12 ON-BR            PTM80900
                          BSI  L  XRPGH,Z   BRANCH IO EJECT,PRINT HDRS  PTM80905
                    *                                                   PTM80910
                          LD      XR791                                 PTM80915
                          BSI  L  P9472+3   SPACE A LINE                PTM80920
                          LDD     XR795     PREPARE TO                  PTM80925
                          BSI  L  P9472+3   PRINT HDR FOR UNDEFINED SYM PTM80930
                          LD      XR791                                 PTM80935
                          BSI  L  P9472+3   SPACE A LINE                PTM80940
                          LD      XRE17     BYPASS PAGE HDNG            PTM80945
                          STO  L  XRPG1                                 PTM80950
                          LDX  L3 ASMCM     RESTORE XR3                 PTM80955
                          BSC  L  XR105     BR TO BUILD XREF TBL        PTM80960
                    *                                                   PTM80965
                    *     CONSTANTS                                     PTM80970
                    *                                                   PTM80975
                          BSS  E  0         FORCE EVEN ADDR             PTM80980
                    XR795 DC      /7001     PRINT FUNC CODE             PTM80985
                          DC      XR794                                 PTM80990
                    XR796 MDX  X  SYM65-SYM60-1                         PTM80995
                    XR794 DC      XR793-XR794-1                     212 PTM81000
                          EBC     .***UNDEFINED SYMBOLS***.             PTM81005
                    XR793 DC      XRE16                                 PTM81010
                    XR791 DC      /7002     SPACE FUNC CODE             PTM81015
                    XR792 DC      XRER2                                 PTM81020
                    *                                                   PTM81025
                    XR797 LD    3 1                                     PTM81030
                          S     1 +4                                    PTM81035
                          BSC  L  SYM40,Z                               PTM81040
                          LD    3 0                                     PTM81045
                          S     1 +3                                    PTM81050
                    *                                                   PTM81055
                    * THIS STATEMENT IS COMMENTED OUT IN THE FICHE:     KNITTEL0
                    *     BSS  E  0         FORCE EVEN ADDR             PTM81060
                    XR798 MDX   2 +24                                   PTM81065
                          BSC  L  SYM30                                 PTM81070
                    XR799 DC      XR790     ADDR OF ERROR PROCESSING    PTM81075
                    XRER8 MDX     XR709                                 PTM81080
                    *                                                   PTM81085
                          BSS  E  0         FORCE EVEN ADDR             PTM81090
                    XRE33 DC      /7001     PRINT FUNC CODE             PTM81095
                          DC      XRER4     ERROR MSG HEADER            PTM81100
                    *                                                   PTM81105
                          BSS  E  1         FORCE ODD ADDR              PTM81110
                    XRER4 DC      XRER5-XRER4  WD ONT OF ERR MSG        PTM81115
                          EBC     .ERROR STATEMENT LINE NUMBERS.        PTM81120
                    XRER5 DC      20                                    PTM81125
                    *                                                   PTM81130
                          BSS  E  0         FORCE EVEN ADDR             PTM81135
                    XRER7 DC      /7000     DK READ FUNC CODE           PTM81140
                          DC      P9000-2   I/O AREA ADDR               PTM81145
                    XRE17 MDX  X  SYB01-XRPG1-1                         PTM81150
                    XRE18 MDX  X  XR709-XR713-3                         PTM81155
                    PSTMN DC      *-*                                   PTM81160
                    ERCT2 DC      *-*       DUPLICATE ERROR CTR         PTM81165
                    *                                                   PTM81170
                    XRE16 BSI  L  XREPR     PRINT IF SET TO PRINT       PTM81175
                          MDX     XRER3     GO EXIT ASM                 PTM81180
                    *                                                   PTM81185
                    *     PROCESS ERROR STATEMENT ENTRIES               PTM81190
                    *                                                   PTM81195
                    XR790 EQU     *                                     PTM81200
                          LD      XR793     SET FINAL BRANCH ADDR       PTM81205
                          STO  L  XR708                                 PTM81210
                          LD      XRE18     SET TO BYPASS UNDEFINED     PTM81215
                          STO  L  XR713+2   *SYMBOL                     PTM81220
                          LD      XR792     SET BR ADDR FOR ERROR       PTM81225
                          STO     XR713+1   *ENTRY PROCESSING           PTM81230
                          LD      XRE33+1   SET ERROR HDNG ADDR         PTM81235
                          STO  L  XRP92+1                               PTM81240
                          LD      XR793     SET TO RETURN ON            PTM81245
                          STO     XRE12+1   *END OF XREF TBL            PTM81250
                          LD      ERCT2                                 PTM81255
                          BSC  L  XRER3,+-  BR-NO ERRORS                PTM81260
                    *                                                   PTM81265
                          LD   I  $CH12                                 PTM81270
                          BSI  L  XRPGH,Z   BR TO EJECT,PRINT HEADERS   PTM81275
                          LD      XR791                                 PTM81280
                          BSI  L  P9472+3   SPACE A LINE                PTM81285
                          LDD     XRE33     PRINT ERROR HDR             PTM81290
                          BSI  L  P9472+3                               PTM81295
                          LD      XR791                                 PTM81300
                          BSI  L  P9472+3   SPACE A LINE                PTM81305
                          BSI  L  XRCLR     CLEAR O/P BFR TO BLANK      PTM81310
                          LD      XRER5     SET LINE CNT                PTM81315
                          STO  L  XR952                                 PTM81320
                          MDX   2 4                                     PTM81325
                          BSC  L  XR705     PROCESS ERROR ENTRIES       PTM81330
                    *                                                   PTM81335
                    XRER2 LD    3 2                                     PTM81340
                          S       PSTMN     SKIP IF MATCH PREVIOUS      PTM81345
                          BSC  L  XR709,+-  *STMNT NO.                  PTM81350
                          LD    3 2         FETCH STATEMENT NO.         PTM81355
                          STO     PSTMN     SET TO PREVIOUS             PTM81360
                          BSI  L  XBDEC     CONVERT,PLACE STATEMENT NO. PTM81365
                          MDX  L  XR957,1   SET TO PRINT LINE           PTM81370
                          MDX   2 11        INCR O/P BFR PT             PTM81375
                          MDX  L  XR952,-1  DECR LINE CNT               PTM81380
                          MDX     XRER8     CONT PROCESSING TBL         PTM81385
                    *                                                   PTM81390
                    XRER6 BSI  L  XREPR     PRINT LINE                  PTM81395
                          LD      XRER5     SET LINE COUNT              PTM81400
                          STO  L  XR952                                 PTM81405
                          MDX   2 4                                     PTM81410
                          MDX     XRER8     CONT TO DECODE TBL          PTM81415
                    *                                                   PTM81420
                    XRER3 LD   L  MCGEN     RESET DSF END ADDR          PTM81425
                          STO  I  DSADR                                 PTM81430
                          LDD  L  X3001+2   WD CNT,SCTR ADDR PHASE 4    PTM81435
                          STD  L  OVLAY                                 PTM81440
                          LDX  L3 ASMCM     RESTORE XR3                 PTM81445
                          LD   L  XADCO     RESTORE ADCOW PTR       2-9 PTM81450
                          STO   3 ADCOW-X3  *FOR EXIT PHASE         2-9 PTM81455
                          LD   L  ERPTR     SAVE ERPTR FOR PHASE 4      PTM81460
                          STO   3 MCGEN-X3                              PTM81465
                          LDD  L  X3001+6   SET REFRESH HDR             PTM81470
                          STD  L  P9000-2                               PTM81475
                          LDD     XRER7     PREPARE TO                  PTM81480
                          BSI   3 DISK1-X3  RESTORE PHASE 9             PTM81485
                          LD    3 MCGEN-X3  RESTORE ERPTR               PTM81490
                          STO  L  ERPTR                                 PTM81495
                          LD      XREND     SET XEQ ADDR FOR            PTM81500
                          STO   3 P0140+1-X3  *PHASE 4                  PTM81505
                          LDD  L  XGETR+2   RESTORE GETER DISK HDR      PTM81510
                          STD  L  P9245+8                               PTM81515
                          BSC  L  P0130     LD AND XEQ PHASE 4          PTM81520
                    *                                                   PTM81525
                    XREND DC      OVLAY+2   PH 4 XEQ ADDR               PTM81530
                    *                                                   PTM81535
                    *     CROSS-REFERENCE SYMBOL TBL SEARCH SUBR        PTM81540
                    *                                                   PTM81545
                    XRSSR DC      *-*       ENTRY POINT                 PTM81550
                          LD    3 1         SAVE SYMBOL IN              PTM81555
                          RTE     16        *SYMBOL TBL SAVE AREA       PTM81560
                          LD    3 0                                     PTM81565
                          STD     XRS96                                 PTM81570
                          BSI     XRS30     SEARCH IN-CORE TBL          PTM81575
                    *     RETURN HERE IF SYM NOT FOUND                  PTM81580
                    *     OTHERWISE,BRANCH TO XRS10                     PTM81585
                          LD    2 LOEND-X3  TEST IF OVFLO WILL OCCUR    PTM81590
                          S    L  XR942                                 PTM81595
                          S       XRS91     *IF SYM IS ADDED            PTM81600
                          BSC  L  XRER3,+   BR-OVFLO WILL OCCUR         PTM81605
                          BSI     XRSAS     BR TO ADD SYM TO TBL        PTM81610
                    XRS10 BSC  I  XRSSR     RETURN TO CALLER            PTM81615
                    *                                                   PTM81620
                    *     CONSTANTS                                     PTM81625
                    *                                                   PTM81630
                    XRS91 DC      PDEND     ADDR LIMIT OF SYMBOL TBL    PTM81635
                    XRS92 DC      4         CONSTANT 4                  PTM81640
                    XRS93 DC      *-*       TEMP SAVE AREA              PTM81645
                    XRS94 DC      *-*       TEMP SAVE AREA              PTM81650
                    XRS95 DC      1         CONSTANT 1                  PTM81655
                          BSS  E  0         FORCE EVEN ADDR             PTM81660
                    XRS96 BSS     2         SYMBOL SAVE AREA            PTM81665
                    *                                                   PTM81670
                    XRS30 DC      *-*       ENTRY POINT                 PTM81675
                          LD    2 LOEND-X3  FORM NEW LOW END ADDR       PTM81680
                          S       XRS92     *OF SYMBOL TBL              PTM81685
                          STO     XRS93                                 PTM81690
                          LD    2 HIEND-X3                              PTM81695
                          A       XRS92                                 PTM81700
                          STO     XRS94                                 PTM81705
                    XRS33 LD      XRS94     CALC REMAINING SYM TBL      PTM81710
                          S       XRS93     *SIZE                       PTM81715
                          SRA     3                                     PTM81720
                          SLA     2                                     PTM81725
                          BSC  I  XRS30,+   BR-SEARCH DONE              PTM81730
                          STO     XRS35+1   SET TBL ADDR                PTM81735
                          LD      XRS94     CALC SYM TBL ENTRY ADDR     PTM81740
                          S       XRS35+1                               PTM81745
                          STO     XRS35+1                               PTM81750
                    XRS35 LDX  L1 *-*       SET SYM TBL ENT ADDR        PTM81755
                          LD    1 0                                     PTM81760
                          RTE     16                                    PTM81765
                          LD    1 -1                                    PTM81770
                          SD      XRS96                                 PTM81775
                          BSC  L  XRS40,Z   BR-NO MATCH                 PTM81780
                          RTE     16                                    PTM81785
                          BSC  L  XRS10,+-  BR-MATCH                    PTM81790
                    XRS40 BSC  L  XRS42,C   SET LOW ADDR                PTM81795
                          STX   1 XRS93                                 PTM81800
                          MDX     XRS33     CONT SEARCH                 PTM81805
                    XRS42 STX   1 XRS94     SET HIGH ADDR               PTM81810
                          MDX     XRS33     CONT SEARCH                 PTM81815
                    *                                                   PTM81820
                    *     CROSS-REFERENCE SYM TBL ADD SUBR              PTM81825
                    *                                                   PTM81830
                    XRSAS DC      *-*       ENTRY POINT                 PTM81835
                          LDX  I1 XRS93     XR1 IS CURRENT LOW END PT   PTM81840
                          LD    2 LOEND-X3                              PTM81845
                          S       XRS93                                 PTM81850
                          S       XRS92                                 PTM81855
                          BSC  L  XRS55,+-  BR-NO ENTRIES TO MOVE       PTM81860
                          STO     *+1                                   PTM81865
                          LDX  L2 *-*       XR2-NO. ENTRIES TO MOVE     PTM81870
                          STX   3 XRS53+1   SAVE XR3                    PTM81875
                          LDX  I3 LOEND                                 PTM81880
                    XRS50 LD    3 -3        4 WD ENTRIES MOVED          PTM81885
                          STO   3 -7                                    PTM81890
                          MDX   3 1                                     PTM81895
                          MDX   2 1                                     PTM81900
                          MDX     XRS50     CONT TO MOVE SYM TBL        PTM81905
                    XRS53 LDX  L3 *-*       RESTORE XR3                 PTM81910
                    XRS55 LDD     XRS96     PLACE SYMBOL IN TBL         PTM81915
                          STO   1 -1                                    PTM81920
                          RTE     16                                    PTM81925
                          STO   1 0                                     PTM81930
                          LDX  L2 ASMCM     RESTORE XR2                 PTM81935
                          LD    2 LOEND-X3  SET NEW LOEND ADDR          PTM81940
                          S       XRS92                                 PTM81945
                          STO   2 LOEND-X3                              PTM81950
                          BSC  I  XRSAS     RETURN TO CALLER            PTM81955
                    *                                                   PTM81960
                    *     SUBROUTINE TO READ XREF TABLE FROM DISK       PTM81965
                    *                                                   PTM81970
                    *                                                   PTM81975
                    XD900 DC      1         XREF READ SW,INITIALLY 1    PTM81980
                    XD901 DC      6         CONSTANT 6                  PTM81985
                    XD903 DC      320       CONSTANT 320                PTM81990
                          BSS  E  0         FORCE EVEN ADDR             PTM81995
                    XD904 DC      /7000     DK READ FUNC CODE           PTM82000
                          DC      P9000+2   I/O AREA ADDR               PTM82005
                    *                                                   PTM82010
                    XDKRD DC      *-*       ENTRY POINT                 PTM82015
                          MDX  L  XD900,0   TEST READ SW                PTM82020
                          MDX     XD001     BR TO PERFORM READ          PTM82025
                          LD   I  XDKRD     RETURN TO CALLER            PTM82030
                          STO     *+1                                   PTM82035
                          BSC  L  *-*                                   PTM82040
                    *                                                   PTM82045
                    XD001 LD   L  XD902     FETCH OVFLO COUNT           PTM82050
                          S       XD901                                 PTM82055
                          BSC  L  XD010,-Z  BR IF OVFLO EXCEEDS 6       PTM82060
                          SLA     16                                    PTM82065
                          STO     XD900     RESET READ SW               PTM82070
                          LD   L  XD902     SET WD CNT FOR DISK READ    PTM82075
                    XD005 STO  L  XR953                                 PTM82080
                          M       XD903                                 PTM82085
                          SLT     16                                    PTM82090
                          STO  L  P9000+2                               PTM82095
                          MDX     XD015     BR TO PERFORM DISK READ     PTM82100
                    *                                                   PTM82105
                    XD010 STO  L  XD902     SET NEW OVFLO COUNT         PTM82110
                          LD      XD901                                 PTM82115
                          MDX     XD005     BR TO SET WD CNT            PTM82120
                    *                                                   PTM82125
                    XD015 EQU     *                                     PTM82130
                          LDD     XD904     FETCH DISK READ PARAM       PTM82135
                          BSI  L  DISK1     READ IN PARTIAL XREF TBL    PTM82140
                    *                                                   PTM82145
                          LD   L  P9000+3   CALC NEXT READ SCTR ADDR    PTM82150
                          A    L  XR953     *AND SAVE                   PTM82155
                          STO  L  P9000+3                               PTM82160
                    *                                                   PTM82165
                          MDX  L  XDKRD,1   ADJUST RETURN ADDR          PTM82170
                          BSC  I  XDKRD     RETURN TO CALLER            PTM82175
                    *                                                   PTM82180
                    *     CONSTANTS                                     PTM82185
                    *                                                   PTM82190
                    XR941 DC      /00C0     UNPACKED EBCDIC CHAR HDR    PTM82195
                    XR944 DC      10        CONSTANT 10                 PTM82200
                    XR945 DC      .A-.0-10                              PTM82205
                    XR946 DC      .0+10                                 PTM82210
                    XR947 DC      /F0       EBCDIC + ZONE               PTM82215
                    *                                                   PTM82220
                    *     SUBROUTINE TO UNPACK SYMBOL NAME              PTM82225
                    *                                                   PTM82230
                    UNPCK DC      *-*       ENTRY POINT                 PTM82235
                          SLT     2                                     PTM82240
                          LDX   3 -5        SET LOOP CTR                PTM82245
                          MDX     *+1                                   PTM82250
                    UNPK1 SLT     6         SHIFT CHAR TO LEFTMOST      PTM82255
                          STD  L  XR937     SAVE TEMP                   PTM82260
                          SRA     10                                    PTM82265
                          OR      XR941     EXPAND TO EBCDIC            PTM82270
                          BSI  L  SPCHR     CHECK FOR SPECIAL CHAR      PTM82275
                          STO   2 0         SAVE IN O/P BFR             PTM82280
                          MDX   2 1         INCR O/P BFR PT             PTM82285
                          LDD  L  XR937     FETCH NEXT CHAR             PTM82290
                          MDX   3 1         DECR LOOP CTR               PTM82295
                          MDX     UNPK1     CONT TO UNPACK              PTM82300
                          BSC  I  UNPCK     RETURN TO CALLER            PTM82305
                    *                                                   PTM82310
                    *                                                   PTM82315
                    *     SUBROUTINE TO CONVERT HEXADECIMAL             PTM82320
                    *     *WORD TO EBCDIC AND SAVE                      PTM82325
                    *                                                   PTM82330
                    S4HEX DC      *-*       ENTRY PT                    PTM82335
                          LDX   3 4         SET LOOP CTR                PTM82340
                          RTE     16                                    PTM82345
                    S4HX1 SLA     16        CLEAR ACC                   PTM82350
                          SLT     4         4 BITS=ONE CHAR             PTM82355
                          S       XR944     SUBTRACT 10                 PTM82360
                          BSC     -                                     PTM82365
                          A       XR945     .A-.0-10                    PTM82370
                          A       XR946     .0+10                       PTM82375
                          STO   2 0         PLACE CHAR                  PTM82380
                          MDX   2 1         ADJUST O/P PT               PTM82385
                          MDX   3 -1        DECR LOOP CTR               PTM82390
                          MDX     S4HX1     CONT TO CONVERT             PTM82395
                          BSC  I  S4HEX     RETURN TO CALLER            PTM82400
                    *                                                   PTM82405
                    *                                                   PTM82410
                    *     SUBROUTINE TO CONVERT,SAVE                    PTM82415
                    *     *STATEMENT NO. TO EBCDIC                      PTM82420
                    *                                                   PTM82425
                    XBDEC DC      *-*       ENTRY PT                    PTM82430
                          STX   3 XBD02+1   SAVE XR3                    PTM82435
                          LDX   3 5         SET LOOP CTR                PTM82440
                          SRT     16                                    PTM82445
                    XBD01 SLA     16        CLEAR ACC                   PTM82450
                          D       XR944     FETCH DECML DGT             PTM82455
                          RTE     16        *TO ACC                     PTM82460
                          OR      XR947     ADD EBCDIC + ZONE           PTM82465
                          STO   2 0                                     PTM82470
                          MDX   2 -1        ADJUST O/P PT               PTM82475
                          MDX   3 -1        DECR LOOP CTR               PTM82480
                          MDX     XBD01     CONT CONVERSION             PTM82485
                    XBD02 LDX  L3 *-*       RESTORE XR3                 PTM82490
                          BSC  I  XBDEC     RETURN TO CALLER            PTM82495
                    *                                                   PTM82500
                    *                                                   PTM82505
                    *     SUBROUTINE TO PACK O/P BFR                    PTM82510
                    *                                                   PTM82515
                    XRPCK DC      *-*       ENTRY POINT                 PTM82520
                          STX   3 XRP02+1   SAVE XR3                    PTM82525
                          STX   1 XRP03+1   SAVE XR1                    PTM82530
                          LDX  L2 XRBFR     SET BFR PT                  PTM82535
                          LDX  L1 XRBFR     SET BFR PT                  PTM82540
                          LDX   3 60        SET LOOP CTR                PTM82545
                    XRP01 LD    2 1         FETCH RIGHTHAND CHAR        PTM82550
                          SRT     8                                     PTM82555
                          LD    2 0         FETCH LEFTHAND CHAR         PTM82560
                          SLT     8                                     PTM82565
                          STO   1 0         STORE PACKED CHARS          PTM82570
                          MDX   2 2         INCR I/P PT                 PTM82575
                          MDX   1 1         INCR O/P PT                 PTM82580
                          MDX   3 -1        DECR LOOP CNT               PTM82585
                          MDX     XRP01     CONT TO PACK                PTM82590
                    XRP02 LDX  L3 *-*       RESTORE XR3                 PTM82595
                    XRP03 LDX  L1 *-*       RESTORE XR1                 PTM82600
                          BSC  I  XRPCK     RETURN TO CALLER            PTM82605
                    *                                                   PTM82610
                    *     SUBR TO PACK AND PRINT LINE                   PTM82615
                    *                                                   PTM82620
                          BSS  E  0         FORCE EVEN ADDR             PTM82625
                    XR956 DC      /7001     PRINT FUNC CODE             PTM82630
                          DC      XRBFR-1   I/O AREA ADDR               PTM82635
                    XRP39 DC      /7002     SPACE FUNC CODE             PTM82640
                    XR957 DC      1         PRINT INDR,PR IF NONZERO    PTM82645
                    *                                                   PTM82650
                    XREPR DC      *-*       ENTRY POINT                 PTM82655
                          STX   3 XREP3+1   SAVE XR3                    PTM82660
                          LD      XR957                                 PTM82665
                    XREP1 BSC  L  XREP2,+-  BR IF NO O/P                PTM82670
                          BSI     XRPCK     PACK O/P LINE               PTM82675
                          LD   I  $CH12     CHANNEL 12 ON-BR            PTM82680
                          BSI  L  XRPGH,Z   BR TO EJECT,PRINT HDRS      PTM82685
                          LDD     XR956     PR PARAM TO ACC,EXT         PTM82690
                          BSI  L  P9472+3   PRINT THE LINE              PTM82695
                          LD   L  $PBSY     TEST PRINTER BFR            PTM82700
                          BSC  L  *-4,-Z    BR-PRINT BFR BUSY           PTM82705
                    XREP2 BSI  L  XRCLR     CLEAR O/P BFR TO BLANKS     PTM82710
                          SLA     16        RESET PR INDR               PTM82715
                          STO     XR957                                 PTM82720
                    XREP3 LDX  L3 *-*       RESTORE XR3                 PTM82725
                          BSC  I  XREPR     RETURN TO CALLER            PTM82730
                    *                                                   PTM82735
                    *     SUBROUTINE TO PRINT PAGE HEADER,SPACE,        PTM82740
                    *     *PRINT CROSS-REFERENCE HEADER,SPACE           PTM82745
                    *                                                   PTM82750
                    XRPGH DC      *-*       ENTRY POINT                 PTM82755
                          LDD     XRP90     GO TO PRINT SUBR TO         PTM82760
                          BSI  L  P9472+3   *SKIP TO CHANNEL 1          PTM82765
                          BSI  L  P9472+3   RETURN TO PRINT HDNG        PTM82770
                          LD      XRP39                                 PTM82775
                          BSI  L  P9472+3   SPACE A LINE                PTM82780
                          LDD     XRP92     PREPARE TO                  PTM82785
                          BSI  L  P9472+3   PRINT XREF HEADING          PTM82790
                          LD      XRP39                                 PTM82795
                          BSI  L  P9472+3   SPACE A LINE                PTM82800
                          BSC  I  XRPGH     RETURN TO CALLER            PTM82805
                    *                                                   PTM82810
                    *     CONSTANTS                                     PTM82815
                    *                                                   PTM82820
                          BSS  E  0         FORCE EVEN ADDR             PTM82825
                    XRP90 DC      /7000     PRINT FUNC CODE             PTM82830
                          DC      XRP94     PAGE HDNG I/O AREA          PTM82835
                    XRP92 DC      /7001     PRINT FUNC CODE             PTM82840
                          DC      XRP96     XREF HDNG I/O AREA          PTM82845
                    XRP94 BSS     12        PAGE HDNG I/O AREA          PTM82850
                          EBC     . CROSS-REFERENCE.                    PTM82855
                    XRP95 DC      /7002     SPACE FUNC CODE             PTM82860
                    *     ADDED -1 PER FICHE LISTINGS:                  KNITTEL0
                    XRP96 DC      XRP97-XRP96-1 WD CNT OF XREF HDNG 213 PTM82865
                          EBC     .SYMBOL    VALUE  REL DEFN .          PTM82870
                          EBC     .    REFERENCES.                      PTM82875
                    XRP97 EQU     *                                     PTM82880
                    *                                                   PTM82885
                    *                                                   PTM82890
                    SPCHR DC      *-*       ENTRY POINT                 PTM82895
                          STX   3 SPCH2+1   SAVE XR3                    PTM82900
                          LDX   3 -4        INITIALIZE CTR              PTM82905
                          STO     SPC00     SAVE CHAR                   PTM82910
                    SPCH1 AND     SPC01                                 PTM82915
                          EOR  L3 SPC02+4   CHECK FOR SPECIAL CHAR      PTM82920
                          BSC  L  SCPH3,+-  BR-SPECIAL CHAR             PTM82925
                          LD      SPC00     FETCH CHAR                  PTM82930
                          MDX   3 +1        INCR CTR                    PTM82935
                          MDX     SPCH1     CONT CHECK                  PTM82940
                    SPCH2 LDX  L3 *-*       RESTORE XR3                 PTM82945
                          BSC  I  SPCHR     RETURN TO CALLER            PTM82950
                    SCPH3 LD   L3 SPC03+4   FETCH CHAR                  PTM82955
                          MDX     SPCH2     RETURN                      PTM82960
                    *                                                   PTM82965
                    *     CONSTANTS                                     PTM82970
                    *                                                   PTM82975
                    SPC00 DC      *-*       TEMP SAVE AREA              PTM82980
                    SPC01 DC      /7F       CONSTANT /7F                PTM82985
                    SPC02 DC      .         EBCDIC BLANK                PTM82990
                          DC      .$        EBCDIC DOLLAR SIGN          PTM82995
                          DC      /7C       EBCDIC AT SIGN              PTM83000
                          DC      .#        EBCDIC POUND SIGN           PTM83005
                    SPC03 DC      .         EBCDIC BLANK                PTM83010
                          DC      .$        EBCDIC DOLLAR SIGN          PTM83015
                          DC      .'        EBCDIC APOSTROPHE           PTM83020
                          DC      /7E       EBCDIC EQUAL SIGN           PTM83025
                    *                                                   PTM83030
                          BSS     /127B-*   PATCH AREA              2-9 PTM83035
                    *                                                   PTM83040
                    *     NOTE - THIS PHASE FITS OVER PHASE 13          PTM83045
                    *     DO NOT EXCEED PDEND                           PTM83050
                    *                                                   PTM83055
                    X3399 DC      0         END OF XREF PART 3          PTM83060
                          END     P0000                                 PTM83070
